ATPDesigner - Design and Simulation of Power Networks
         Nächstes Thema

ATPDesigner is a control center for an Interactive Design and Simulation of Electrical Power Networks. ATPDesigner is a graphical pre-processor to the ATP version of the Electromagnetic Transients Program (EMTP) executed on Windows operating system:

  • Windows 7 (32Bit & 64Bit)
  • Windows 8 (64Bit)
  • Windows 8.1 (64Bit)
  • Windows 10 (64Bit).

In addition ATPDesigner also provides the user analyzing short-circuits, disturbances, faults, Protection Relaying , etc. in electrical power networks.

  • Please, read the chapter Getting Started in Simulation of Power Networks and all other chapters in the main chapter Getting Started of this help file to make the first steps with ATPDesigner.

Read more about Getting Started in Simulation of Electrical Power Networks with ATPDesigner

ATPDesigner is a copyrighted product:

Copyright © 2005-18, Prof. Dr.-Ing. Michael Igel, Saarbrücken, Germany. All rights reserved.

Read more about the Installation Setup of ATPDesigner

Read more about the License Agreement for ATPDesigner

Read more about User License for ATPDesigner

Read more about ATP and EEUG (European EMTP-ATP Users Group e.V. Association)

ATPDesigner Homepage and Support: www.atpdesigner.de

    • Download ATPDesigner Evaluation Release
    • Request for time-limited licenses
    • Download several PDF's e.g. Applications, etc.
    • Download interesting .NET - Files
    • Download Version History
    • Information about the compatibility to the ATP executable files
    • Information about pricing and purchasing

Purchasing and Ordering

Read more in ATPDesigner - How to Order

Web Services

The Web Services can also be started using ATPDesigner:

    • Open first the main menu Help
    • Click on the menu item Web Services

  • More about the European EMTP-ATP Users Group e.V.

Read more about on the EEUG homepage www.eeug.org

  • More about the ATP

Read more about on the ATP homepage www.emtp.org

  • Please Note - ATPDesigner and the ATP Rule Book

Some of the comments and also figures used as part of this help file are copied out of the ATP Rule Book to achieve the best understanding how to use ATPDesigner. All this comments and figures are tagged with "(ATP Rule Book)" to keep the copyrights.

ATPDesigner - Graphical User Interface to the ATP

Various Network Elements e.g. overhead lines or transformers are prepared as templates and can be used very easy to design electrical 3-phase and 1-phase power networks. All network elements are defined from the electrical engineering point of view. The knowledge of the geometrical and physical data of the network elements are sufficient to define the required settings. Internal, only ATP related settings are predefined and invisible for the ATPDesigner user. Neither detailed knowledge in modeling power network elements nor detailed knowledge about ATP and the ATP rules are required, if ATPDesigner will be used as the graphical user interface. The figure below shows the graphical user interface of ATPDesigner.

  • Design Area for Electrical Power Networks
    • View for power networks
    • Using tabbed interface to switch between the different power networks
    • Open multiple views for power network scheme or Diagrams

  • Project Information

    • Network
      • List of all network elements, which are used to design the electrical power network
      • Window can be enabled and disabled via the main menu View

Right Mouse Button Menu: opened if only one element has been selected by a Left Mouse Button Click

    • Protection
      • List of all Protection Elements as shown below and in addition the both settings dialogs Network Configuration and ATP Related Settings

Right Mouse Button Menu: opened if only one element has been selected by a Left Mouse Button Click

    • Zone
      • The user can define groups of network elements with its own drawing color etc.

Right Mouse Button Menu: opened if only one element has been selected by a Left Mouse Button Click

    • Settings
      • List of often used settings dialogs e.g. Configuration or ATP Settings

    • Equipment
      • List of the types of all available network elements with the number of these network elements used in the top most electrical power network

Right Mouse Button Menu: opened if only one element has been selected by a Left Mouse Button Click

  • Messages Window

ATPDesigner provides several messages windows, one messages window for ATP related messages e.g. errors and warnings and other common messages, one messages window only for messages coming from the Protection Elements used in the electrical power network etc.

    • Window can be docked at any frame location
    • Displays messages, errors, warnings, etc. created by the ATP (read out of the .LST-File ) or by ATPDesigner
    • Displays messages which are related to Protection Elements
    • Closing the window: Left mouse button click on x
    • Changing to floating window: Left mouse button double-click on the grip of the window
    • Window can be also enabled and disabled via the main menu View
    • Read more in the chapter Messages Window

    • Right mouse button menu available, if the cursor has been located in this window

The figure below shows the user interface of ATPDesigner with several Views.

  • 1 : Project Information
  • 2 : Electrical Power Network
  • 3 : Protection Messages Window
  • 4 : General Messages Window
  • 5 : ATP Messages Window

ATPDesigner - Diagram Viewer, Viewer for Signal Analysis Results

ATPDesigner includes also a Diagram Viewer to display the calculated voltages and currents in a Diagram. .PL4-Files as well as COMTRADE - Files can be read and displayed. Several Signal Analysis features are implemented based on the DFT-Algorithm . The results will be presented as a List of the Calculated Complex Vectors or as a Vector Diagram . In addition the DFT based calculation of the Frequency Spectrum and the calculation of the calculation of the R.M.S. Value is also available. The frequency spectrum will be presented as a list of the complex phasor or displayed using a bar diagram. The time window which are used to process the DFT-Algorithm will be indicated by the Graphic Cursor displayed in the Diagram .

  • Example

Diagram Viewer - Short-Circuit Current Fault Type ABCG

    • (ABC)PI001 Phase current iABC(t)

The signals shown below are calculated based on a DFT for the fundamental frequency using MODELS .

    • S_001 Apparent power S ( Scaling Factor 150)
    • P_001 Active power P ( Scaling Factor 150)
    • Q_001 Reactive power Q ( Scaling Factor 150)

  • Example

Frequency Spectrum - List of Complex Phasor

    • Using the DFT (Discrete Fourier Transformation) to calculate the frequency spectrum
    • Amount of the DC component, fundamental frequency and harmonics, absolute phase angle
    • Phase difference related to the first frequency component

  • Example

Frequency Spectrum - Bar Diagram

    • First selecting one of the signals in the tab DFT (f)
    • Displaying the frequency spectrum as a bar diagram

ATPDesigner - Analyzing Protection Relaying Schemes

ATPDesigner also provides a lot of features e.g. diagrams as shown below to analyze Protection schemes in electrical power networks calculating Short-Circuit Analysis Results (ATP Steady State). A part of this protection elements are also available as MODELS based protection elements to calculate the transients.

  • Please Note

The protection elements are part of the features of the network element Probe .

Read more about

  • Probes and Protection Elements
  • Protection Analysis

Protection Elements for Short-Circuit Analysis (ATP Steady State)

The table below shows the protection elements which are available (X) or not (---).

Protection Element | Short-Circuit Analysis (ATP Steady State) | Calculating Transients (MODELS based)
Directional and Undirectional Overcurrent Protection | X | X
Distance Protection | X | X
Differential Protection | X | X
Invers-Time Overcurrent Protection (IDMT) | X | ---
Fuse | X | X

The both figures below show the tripping characteristics of a Distance Protection .

The figure below shows the tripping characteristic of an Directional Overcurrent Protection .

ATPDesigner - Processor for COMTRADE Files

ATPDesigner has been designed to read and process COMTRADE files, which are defined according the international standard IEC 60255-24. ATPDesigner reads the COMTRADE .CFG - and .DAT-Files and verifies the content of the files according the international standard. If possible ATPDesigner accepts deviations from the COMTRADE standard as far as possible. Therefore it is very important to read all messages, which will be displayed from ATPDesigner reading the COMTRADE files.

Read more about Support of COMTRADE Files

ATPDesigner - Analyzing Network Disturbances and Short-Circuits

ATPDesigner also offers several features to analyze short-circuits and other power network disturbances. Therefore ATPDesigner has been prepared to calculate new, user defined equations processing the analogue and binary signals of COMTRADE files. Please note, that ATPDesigner supports the definition of User Defined Equations only based on the COMTRADE file import function. A lot of different functions are available to calculate new, user specific output signals. Both mathematical equations e.g. subtraction or addition and filter algorithms e.g. DFT algorithms (Discrete Fourier Transformation) can be easily used to process available input signals.

Read more about User Defined Equations

Read more about Operation Mode of User Defined Equations

ATPDesigner - Protection Relaying Results and Short-Circuit Analysis Results

Not only the design and the analysis of the transient behavior of power networks in case of network faults but also the analysis of the stationary behavior of electrical power networks is supported by ATPDesigner and ATP. Protection Relaying Results or Short-Circuit Analysis Results of power networks are also implemented as part of ATPDesigner capabilities.

ATPDesigner - Presenting Short-Circuit Analysis Results in Tooltips

The results of the Short-Circuit Analysis based on ATP Steady State Analysis will be displayed in Tooltips as part of the power network graphics, if the voltage and currents will be measured by Probes . The user can easily process the Short-Circuit Analysis using the CTRL + E key or the toolbar button [image] . The Tooltips can be enabled moving the mouse cursor "over" a network element e.g. Probe , Transformer , Lines , etc.

Read more details about Short-Circuit Analysis Results

Read more details about the Short-Circuit Analysis Results Displayed in Tooltips

ATPDesigner - Design and Simulation of Electrical Power Networks

Simulation of 3-Phase Power Networks

Short-Circuit Analysis of 3-Phase Power Networks

Simulation of 1-Phase Networks

The power network will be calculated with the ATP , the Alternative Transients Program. ATP-EMTP as world-wide mostly used universal program for digital simulation of electromagnetic transients in power systems has extensive modeling capabilities. The network simulation system ATP is designed and will be further developed to simulate single- and multi-phase electrical power networks. ATP is very well prepared to calculate voltages and currents of 3-phase electrical power networks. It can be used to simulate high-frequency transient phenomena as well as stationary short-circuits. In addition ATP supports a lot of network elements, linear and nonlinear impedances and mathematical methods to design a model of the electrical power network.

Linear Network Elements

    • Impedances (RLC)
    • Overhead Lines (Single-Circuit Lines, Double-Circuit Lines, etc.)
    • Transposed and untransposed Lines
    • Cable
    • Transformer (2 Winding, 3 Winding, etc.)
    • Circuit-Breaker
    • Generators
    • Rotating Machines
    • etc.

Non-Linear Network Elements

    • Static and Dynamic Arc Resistances
    • CT Saturation with Hysteresis
    • Overfluxing
    • MOV (Metal Oxide Varistor)
    • etc.

Additional Features

    • Transient Analysis of Control Systems ( TACS )
    • Filter Techniques
    • Laplace Functions
    • Free Programmable Interface ( MODELS )
    • Renewable Power Infeed
    • Short-Circuit Calculation
    • etc.

ATPDesigner - Calculation of Voltages and Currents derived from Vpg and Ipg

ATPDesigner calculates not only currents and voltages, but also the 012-Sequence System Signals , Differential Current and Restraining Current , etc. as derived parameters based on voltages and currents measured at the Measuring Locations M1..5 and the measuring device Probe in the electrical power network.


ATPDesigner - Testing Protection Relays

ATPDesigner also supports the user testing protection relays. ATPDesigner is able to control several CMC Test System of Omicron directly via the parallel port interface or ethernet link based on the CMEngine interface DLL. Please note, that the required CMEngine interface DLL is not part of the ATPDesigner package. The calculated voltages and currents can be also exported via the COMTRADE interface. Therefore test systems of other manufacturers can be also used to test protection relays, if these test systems support the COMTRADE file standard.

  • Please Note

Contact Omicron for more information on www.omicron.at.

It can be stated, that the use of ATPDesigner and the network simulation system ATP improve also the testing of protection relays,

    • to calculate voltages and currents in electrical power networks depending on different network situations and using several network elements,
    • to test and approve protection relays in case of transient phenomena,
    • to determine settings e.g. the reactive reach X1 for the protection relay.


ATPDesigner - Graphical User Interface

The figure below shows the graphical user interface of ATPDesigner with two views: first the electrical power network and in the second view the corresponding Diagram .

    • Electrical power network

    • Diagram to show voltages v(t) and currents i(t)
      • Phase currents API001, BPI001, CPI001

Read more about Vector Diagrams

In addition ATPDesigner is able to calculate and display the Frequency Spectrum using the Discrete Fourier Transformation (DFT) algorithm. The figure below shows the amount and phase angle of the fundamental frequency of the phase currents API001, BPI001, CPI001.

Read more about Signal Analysis Results

It is also possible to display the Peak Values of voltages and currents disabling the setting RMS. The figure below shows for example the three phase currents API001, BPI001, CPI001.


ATPDesigner - 3-Phase Power Networks

ATPDesigner is mainly designed to simulate 3-phase power networks as well steady-state as transients. The figure below and the list below give an overview about the available network elements and the corresponding symbols used for the network graphics. A list of all network elements, which are supported by ATPDesigner can be seen in List of Available Network Elements in ATPDesigner . The example in the figure below shows a 20kV power network with a 10MW wind farm an a 3-phase-to-ground fault at the right busbar. The steady state short-circuit called Short-Circuit Analysis has been calculated and displayed at the fault location.


ATPDesigner - 1-Phase Networks

Several 3-phase network elements e.g. Load Impedances can be also used as single-phase network elements. The phase related components can be enabled or disabled independent from each other. Therefore Single-Phase Voltage and Current Sources are foreseen correspondent to the 3-Phase Network Infeed . The figure below shows a simple single-phase network and the corresponding diagram presented with the Diagram Viewer .

Read the list of all Single-Phase Network Elements available in ATPDesigner


ATPDesigner - Web Services

Read also How to Download the Newest Update of ATPDesigner

ATPDesigner provides the user with some Web Services, if an internet connection has been established.

ATPDesigner Homepage

Open the homepage www.atpdesigner.de using the standard web browser

ATPDesigner Downloads

Open the Downloads page of the homepage

  • Change documentation
  • Tutorial in Englisch
  • Manual in German
  • Download link for the setup of the ATPDesigner trial version
  • and additional reports etc.

Mail to: ATPDesigner E-Mail Support

  • E-Mail Support: michael.igel@htwsaar.de

Check Update

Check the availability of a newer ATPDesigner release which may be saved on the ATPDesigner web server

Download Update

The newest ATPDesigner Setup File will be downloaded from the ATPDesigner web server and saved on the hard disk. The default folder and the file name to be used to save the setup file can be selected by the user.

Close

Close the dialog

Help

Open the corresponding chapter in the help file


ATPDesigner - How to Order

Please read the information on the homepage www.atpdesigner.de , How to Order or write an e-mail to michael.igel@htwsaar.de .


ATPDesigner - Multiple Views of One Application

ATPDesigner was developed using a Multi Document Interface technology according the philosophy of Microsoft products e.g. Word or Excel. Different types of graphical views and diagrams can be opened and presented in parallel. The figure below shows ATPDesigner presenting three different views.

  • A view presenting a Power Network Graphics in the background
  • A view presenting a Diagram of Currents and Voltages
  • A view presenting a Operating Time Diagram .


List of Available Network Elements in ATPDesigner

ATPDesigner supports a lot of different network elements to design and simulate electrical power networks. Some of these network elements correspond directly with ATP specific models, but some of these network elements are self developed based on fundamental ATP components.

List of the Types of the Network Elements

3-Phase Network Elements
  • Network Infeed
  • Single-Circuit Line
  • Double-Circuit Line
  • 3-Pole Circuit-Breaker
  • Transformer (2-Winding)
  • BCTRAN Transformer (2- and 3-Winding)
  • Cable (CABLE PARAMETERS)
  • Autotransformer
  • Generator (Type 59 S.M.)
  • 3-Phase Symmetrical Source
  • Fault Type and Fault Locations (Up to 3 Fault Locations with 3 Fault Types) (max. 3)
  • Current and Voltage Transformers (max. 5)
  • Capacitive Voltage Transformers (max. 5)
  • Current Transformer Saturation (max. 5)
  • Harmonic Frequency Source
  • Multi-Circuit Line
  • Load Flow Nodes
  • Electrical Machine (Type 56 Induction Machine)
  • Renewable Power Infeed

1- or 3-Phase Network Elements
  • Busbars
  • 1-Pole Circuit-Breaker
  • Switch
  • 1-Phase and 3-Phase - Load Impedances
  • Shunt Impedance
  • XFORMER Transformer
  • SATURABLE Transformer
  • Connection
  • Serial and Parallel Impedance
  • Grounding System
  • Splitter
  • Probe (Protection Element)
  • Nonlinear Element e.g. L(i)
  • Multi Frequency Source
  • MOV - Metal Oxyd Varistor (ZNO Fitter)
  • Admittance Function Y(s) ot Y(z)

1-Phase Network Elements
  • Static Power Network Source

Other Network Elements
  • Textframe
  • Picture
  • Empirical Function (max. 10)
  • External .ATP-File
  • Measuring Locations (max. 5)
  • TACS Data Card
  • TACS STAND ALONE

In addition other ATP related software tools can be started using the menus or toolbars of ATPDesigner.

  • WINDSYN
  • WTRAFOS2 and WTRAFOS3
  • ELINEQ


User License for ATPDesigner

Read more about License Agreement for ATPDesigner

ATPDesigner is a confidential copyrighted product. Please note, that the ATPDesigner is NEITHER PUBLIC DOMAIN SOFTWARE NOR FREEWARE.

The user of ATPDesigner needs a registered User License to work with. Please contact the author of the help file how to get an offer. Users of ATPDesigner must have a user license before starting to work with ATPDesigner. Each user license consists of an individual NAME and an individual PASSWORD for each user. After the installation had been finalised, ATPDesigner starts with the message shown below. The user must first enter his individual NAME and PASSWORD. After that he should confirm the login to start ATPDesigner. Invalid combinations of NAME and PASSWORD will be not accepted from ATPDesigner.

The user license will be displayed in the ATPDesigner About Dialog as shown below.

How to Identify Your License Name used to generate the Password

Some times it is difficult to identify the right License Name for a specific user account, but which is required to generate the Password.

  • First, delete the file ATPDesignerReg.ini, if existing in the folder C:.
  • Start ATPDesigner, you will now see the ATPDesigner User License Dialog as shown above.
  • The name displayed in the upper edit field NAME is your LICENSE NAME.
  • Write this name in your order e-mail as LICENSE NAME.


License Agreement for ATPDesigner

Please read carefully the following terms and conditions regarding the use of this software product, including the executable files and documentation before using it. If you do not accept or agree with all of these terms, you may not install or use it.

Read also How to obtain a User License for ATPDesigner

With this license agreement you accept and agree, that ATPDesigner is only a graphical pre-processor to the ATP version of the Electromagnetic Transients Program (EMTP). The use of ATPDesigner for power network simulations and all other functions described in this help file requires the availability of ATP. The ATP software is NOT part of this license agreement and must be obtained separately.

Read more about the ATP

ATPDesigner is a confidential copyrighted product as a result of R&D projects. ATPDesigner is also NEITHER PUBLIC DOMAIN SOFTWARE NOR FREEWARE. It is NOT permitted to copy ATPDesigner and therefore it is NOT permitted to distribute these copies. It is also NOT permitted to modify, adapt, decompile, disassemble, decrypt, extract, or otherwise reverse engineer ATPDesigner or to distribute such versions.

Use of ATPDesigner

ATPDesigner and its documentation (called Software now) are AS IT IS with NO WARRANTIES OF ANY KIND. The software is only intended for professional use and it's not designed for high-risk activities. All users use this software ON ITS OWN RISK.

This license agreement permits you to use one copy of the Software solely for your internal operations on a single computer.

Exceptions to Warranties; Disclaimers.

ALL WARRANTIES WILL BE DISCLAIMED. It is not warrant that the Software, its use, operation or your ability to use the Software will be uninterrupted or error-free or that all Software errors will be corrected. The warranty set shall not apply to any defect or problems caused by any defect in any hardware or software used in combination with the Software, or use of the Software in your specific execution environment. It is not warrant that the Software or service will meet your requirements or that the operation of the Software will be uninterrupted or error free.

The software was approved in principal under Windows 7, Windows 8, Windows 8.1 and Windows 10 Operating Systems. The user should be carefully to use the software in his own PC software environment.


References
  1. American EMTP User Group

ATP Rule Book
Portland, Oregon 1987-92, USA, 1995

  2. Mustafa Kizilcay / Laszlo Prikler

ATP-EMTP Beginner's Guide for EEUG Members

European EMTP-ATP Users Group e.V., June 2000

  3. American EMTP User Group

ATP Rule Book

Portland, Oregon 1987-92, USA, 1995

  4. J.A. Jodice

Relay Performance Testing

A Power System Relaying Committee Publication

IEEE Power System Relaying Committee, Working Group I13

  5. CM Engine

Programming interface for CMC test systems

Copyright © 1995,96, 99, 00 OMICRON electronics GmbH

All rights reserved

  6. ATPDesigner and ATP - Introduction and Overview

EEUG Meeting 2005 - One Day EEUG Course, Warsaw, Poland

  7. ATPDesigner and ATP - Practical Exercises

EEUG Meeting 2005 - One Day EEUG Course, Warsaw, Poland

The following copyright notice applies to the software that accompanies this documentation:

  • Please Note

Windows, Windows 10, Windows Vista, Windows 8.1, Windows 8, Windows 7, Windows 2000 and Windows XP are trademarks of Microsoft Corporation.


ATPDesigner User Interface
  • Messages Window
  • Project Information
  • Description of the Power Network


Messages Window

ATPDesigner provides several Messages Windows.

  • 1 : Project Information

  • 2 : Electrical Power Network

  • 3 : Protection Messages Window

Messages coming from the Protection Elements

  • 4 : General Messages Window

Messages, measuring values, etc. from ATPDesigner e.g. voltages of the Busbar

  • 5 : ATP Messages Window

Warnings, errors and other messages from the ATP itself

ATPDesigner writes messages into the Messages Windows if visible. The figure below shows the Messages Window at the bottom.

    • The both Messages Window can be docked at any frame location.
    • The both Messages Window can be set visible or invisible using the menu items Messages Window and Protection Messages in the main menu View .

    • ATPDesigner writes messages, errors, warnings, etc. created by the ATP (read out of the .LST-File ) or by ATPDesigner into the Messages Window.
    • Closing the window: Left mouse button click on the "x" in the upper right corner.
    • Changing to floating window: Left mouse button double-click on the grip of the window.
    • Window can be also enabled and disabled using the menu item Messages Window in the main menu View.

    • The text which are displayed in the Messages Window can be copied into the Clipboard using the Right Mouse Button Menu which can be opened using a right mouse button click in order to paste it e.g. in a text editor or any word processor.
    • The user can select a Font to be used for the messages window.
    • The .ATP-File and the .LST-File which corresponds to the topmost power network can be opened.

  • Error Messages of the ATP

It may be possible that an error occurs during the simulation processed by the ATP. In this case the ATP writes an error message into the .LST-File . All these error messages will be displayed in the ATP Messages Window. The user can open the line of the .LST-File containing the error message by a left mouse button double-click on this entry in the ATP Messages Window.

If the mouse cursor has been located in the Messages Window, a right mouse button menu can be opened.

    • Delete Messages

Delete all messages displayed in the Messages Window

    • Copy

Copy messages of the Messages Window into the clipboard

      • If no message line has been selected, all messages will be copied into the clipboard.
      • If messages has been selected using the mouse as usual in windows based application software, only the selected message lines will be copied into the clipboard.

    • Select Font

Select an user specific font which will be used for all messages into the Messages Window

The user can set a different font for each of the Messages Window. These fonts will be stored into the .INI-File of ATPDesigner. If the .INI-File had been deleted ATPDesigner automatically uses the default fonts.

    • Open .ATP-File

Open the .ATP-File of the top most power network using the text editor

    • Open .LST-File

Open the .LST-File of the top most power network using the text editor


Project Information

ATPDesigner provides information about the top most power network in the Project Information window. A lot of network related information and favorite settings dialogs will be shown in the docking bar views.

  • Network
  • Protection
  • Zone
  • Settings
  • Equipment


Network

Project Information - Network

ATPDesigner displays the both items to open the settings dialogs Configuration and ATP Settings always at the root of the tree control and a list of all network elements which are used by electrical power network shown in the top most view.

  • Configuration - Network Configuration
  • ATP Settings - ATP Data
  • List of all network elements of the electrical power network in alphabetical order

The settings dialog of a network element can be opened by a Left Mouse Button Double Click on the name of the network element e.g. Bb 1. In addition a Right Mouse Button Menu will be opened by a Right Mouse Button Click on the type of the network element e.g. Busbar as well on the name of the network element e.g. Bb 1.


Network: Right Mouse Button Menu
  • Please Note

It is recommended first to select a tree item by a Left Mouse Button Click before the right mouse button menu can be opened. If done the tree item is highlighted using blue background color.

Mouse Cursor "over" the Name of a Network Element Type

If the mouse cursor has been moved in the Project Information window "over" the name of a network element type e.g. Busbar , a right mouse button menu can be opened by a Right Mouse Button Click.

    • Enable

Enable all network elements of the network element type

    • Disable

Enable all network elements of the network element type

    • Select

Select all network elements of the network element type

  • Only for Probe

    • All Protection ON/OFF

The Protection Elements of all Probe will be enabled or disabled.

  • Only for Single-Circuit Line

    • Find Multi Line

The Single-Circuit Line using the operation mode Multi Line (RLC-PI) will be identified in the power network by a red frame a drawn in light blue.

    • Find Single-Line

The Single-Circuit Line not using the operation mode Multi Line (RLC-PI) will be identified in the power network by a red frame a drawn in light blue.

Mouse Cursor "over" the Name of a Network Element

If the mouse cursor has been moved in the Project Information window "over" the name of an network element e.g. Bb 1, a right mouse button menu can be opened by a Right Mouse Button Click.

    • Find

Network element will be located and highlighted in the power network graphics, a red frame will be drawn around it.

Read more in the chapter Find - Network Elements and Node Names

    • Clear

The red frame will be deleted.

    • Enable / Disable

The network element will be enabled or disabled .

    • Delete

The selected network element will be deleted.

The Enabled or Disabled status of the network elements will be also indicated in the tree control as shown below.

The network element is enabled.

The network element is disabled.

The network element has been selected e.g. to open the Right Mouse Button menu.


Protection

Project Information - Protection

All Protection Elements used as part of the power network will be shown in this tree control. Two Right Mouse Button Menus are available shown below.

For all Protection Elements of the same type e.g. all Distance Protection

    • Enable

Enable all network elements of the network element type

    • Disable

Enable all network elements of the network element type

    • Select

Select all network elements of the network element type

    • Protection ON

The Protection Elements of the selected type will be enabled.

    • Protection OFF

The Protection Elements of the selected type will be disabled.

Only for the selected Protection Element

    • Find

Network element will be located and highlighted in the power network graphics, a red frame will be drawn around it.

Read more in the chapter Find - Network Elements and Node Names

    • Clear

The red frame will be deleted.

    • Enable / Disable

The network element will be enabled or disabled .

    • Delete

The selected network element will be deleted.

    • Protection ON

The protection of the Protection Element will be enabled.

    • Protection OFF

The protection of the Protection Element will be disabled.


Zone

Project Information - Zone

The user can define Zones. A Zone is a group of several network elements e.g. all network elements connected to a feeder of a substation. The Zone number 0 is the default zone. Each network element can be a member only of one Zone. Several Zone specific settings can be set by the user e.g. a Zone Color. The Zone specific settings can be set using some toolbar buttons in the Toolbar for Network Elements . The figure below shows to the left the Zone View. If a Main Item of Zone View e.g. "1 [Zone 1]" has been selected by a Left Mouse Button Click the Right Mouse Button Menu will be opened as shown below to the right. The commands of the Right Mouse Button Menu will be processed for all network elements which are member of the Zone.

  • Find

Network element will be located and highlighted in the power network graphics, a red frame will be drawn around it.

Read more in the chapter Find - Network Elements and Node Names

  • Clear

The red frame will be deleted.

  • Enable / Disable

The network element will be enabled or disabled .

  • Delete

The selected network element will be deleted.

The Zones can be easily managed using the toolbar buttons shown and explained below, which are part of the Toolbar for Network Elements .

  • : ATPDesigner draws the network elements using the Zone Colors and writes the Zone Number closed to the network element into the network graphic.

  • : ATPDesigner draws all network elements of the Zone of the corresponding number first written into the edit field.

      1. Disable the Zone Coloring by a Left Mouse Button Click on the toolbar button [image] and switch to the standard colors.
      2. Write the Zone Number in the edit field
      3. Left Mouse Button Click on the toolbar button: The network elements of the Zone will be drawn using the corresponding Zone Color.

  • : ATPDesigner assigns all selected network elements to the Zone of the corresponding Zone Number if existing or create a new Zone using the Zone Number of the edit control.

      1. Write the Zone Number in the edit field
      2. Select the network elements to be assigned to the Zone
      3. Left Mouse Button Click on the toolbar button: The selected network elements will be assigned to the Zone.

  • : ATPDesigner enables or disables the mode to draw the network elements permanently using the Zone Colors.

  • : Reset the Zone Coloring and all related modifications

The root of the zone tree shows the file name of the .NET-File . At the next level of the Zone tree the Zone Number 0..N with the user specific Zone Name in brackets [..] will be displayed.

  • Set the Zone specific drawing color

  • Edit field to define the Zone Name

The edit mode can be enabled by a Left Mouse Button Double Click. The edit mode can be closed by a Left Mouse Button Click on any other position inside the Zone window outside the edit field.

  • Scaling factors for apparent / active / reactive power the network elements Load Impedance and 3-Phase Source

    1. Global scaling factor for all Load Impedance in the electrical power network
    2. Global scaling factor for all 3-Phase Source in the electrical power network
    3. Zone related scaling factor for the Load Impedance of the corresponding Zone
    4. Zone related scaling factor for all 3-Phase Source of the corresponding Zone


Vnom Groups

Project Information - Vnom Groups

Read also Automatic Identification and Test of Nominal Voltages

Read also Vnom Colors

ATPDesigner automatically identifies network elements using the same nominal voltage using the toolbar button [image] of the Main Toolbar or the menu item Vnom Level in the main menu Edit . Network elements with the same nominal voltage will be drawn in the same color defined in the settings dialog Vnom Colors . In addition ATPDesigner creates a tree control shown in the figure below. The coloring of the nominal voltage levels can be reset e.g. using the toolbar button [image] or main menu ATP menu item Remove Short-Circuit Results or CTRL + Alt + E.

If a Vnom Level e.g. 110 kV has been selected by a Left Mouse Button Click the Right Mouse Button Menu shown below will be opened.

  • Find

Network element will be located and highlighted in the power network graphics, a red frame will be drawn around it.

Read more in the chapter Find - Network Elements and Node Names

  • Clear

The red frame will be removed.

  • Enable

The network element will be enabled .

  • Disable

The network element will be disabled .

  • Protection ON

Only if one or more Probe are part of the Vnom Level: The Protection Elements of the Probe will be enabled.

  • Protection OFF

Only if one or more Probe are part of the Vnom Level: The Protection Elements of the Probe will be disabled.

  • Visible

The network elements of the Vnom Level will be drawn "invisible" using the color Net. Element Invisible in the tab Colors of the settings dialog Network Configuration .

  • Invisible

The network elements of the Vnom Level will be drawn using the standard drawing color.

If a network element e.g. Bb 1 or Line 4 has been selected by a Left Mouse Button Click the Right Mouse Button Menu shown below will be opened.

  • Find

Network element will be located and highlighted in the power network graphics, a red frame will be drawn around it.

Read more in the chapter Find - Network Elements and Node Names

  • Clear

The red frame will be deleted.

  • Enable / Disable

The network element will be enabled or disabled .

  • Delete

The selected network element will be deleted.

  • Protection ON

Only if a Probe has been selected: The protection of the Protection Element will be enabled.

  • Protection OFF

Only if a Probe has been selected: The protection of the Protection Element will be disabled.


Version

Project Information - Version

The user can define Versions of the power network. The Version No. 0 is always existing as the basis version of the power network. In the figure below Version 1 is defined.

The Versions can be easily managed using the toolbar buttons shown and explained below, which are part of the Toolbar for Network Elements .

First the Version Number must be set in the edit control shown in the figure above.

  • : ATPDesigner enables or disables the mode to draw the network elements permanently using the Version Colors.

  • : ATPDesigner assigns all selected network elements to the Version of the corresponding Version Number if existing or create a new Version using the Version Number of the edit control.

      1. Write the Version Number in the edit field
      2. Select the network elements to be assigned to the Version
      3. Left Mouse Button Click on the toolbar button: The selected network elements will be assigned to the Version.

  • : Reset the Version Coloring and all related modifications


Settings

Project Information - Settings

The user can open often used settings dialogs by a Left Mouse Button Click. The root of the tree list shows the file name of the .NET-File .

Configuration | Network Configuration
ATP Settings | ATP Data
Description | Description of the Power Network which can be defined in the settings dialog Network Configuration
Load Adjusting | ATPDesigner Load Flow Algorithm Load Adjusting
Phase Adjusting | ATPDesigner Load Flow Algorithm Phase Adjusting
Create Diagram | Selecting Voltages, Currents and Binary Signals
Signal Analysis | Analyzing the signals displayed in a diagram Signal Analysis Settings
Diagram Settings | Diagram Settings
Short-Circuit | Calculation of short-circuits Short-Circuit
VDE 0102 (IEC 60909) | Calculation of a short-circuit acc. VDE0102 VDE 0102 (IEC 60909)
Protection | Open the tab Protection of the settings dialog Network Configuration
Messages | Open the tab Messages of the settings dialog Network Configuration
Colors | Open the tab Colors of the settings dialog Network Configuration
Vnom Colors | Open the tab Vnom Colors of the settings dialog Network Configuration
V<> Colors | Open the tab V<> Colors of the settings dialog Network Configuration
I> Colors (Overload) | Open the tab I> Colors (Overload) of the settings dialog Network Configuration
Ploss Colors | Open the tab Ploss Colors of the settings dialog Network Configuration


Equipment

Project Information - Equipment

ATPDesigner shows a list of the Types of Network Elements which are available to design power networks.

  • Enable

Enable the network elements of the corresponding type

  • Disable

Disable the network elements of the corresponding type

  • Select

Select the network elements of the corresponding type


Description of the Power Network

The figure below shows the dialog to define the Description of the Power Network. This text editor is similar to the Text Editor used for the MODELS source code . The description will be displayed in the dialog Browse Files ... if the option Displaying .NET-File Description has been enabled in a tooltip at the mouse cursor location, if the mouse cursor hovers over the file name.

The dialog to define the description can be opened in the settings dialog Network Configuration in the tab Network using the Button Description .

  • Dialog to define the description

  • Browse Files ... Dialog


Installation Setup for ATPDesigner

Read more about Folders for ATPDesigner and ATP

Read more about What about ATP ?

ATPDesigner will be installed using a pre-configured setup software. The setup software only consists of one executable file, which shows the release information at the end of the file name. Please note, that the ATPDesigner setup does NOT contain the ATP itself e.g. tpbig.exe and startup. If you are not a member of any ATP / EMTP user group, please read the homepage www.emtp.org for more detailed information, how to obtain an ATP license.

  • Example

setupatpdesignerv20400.exe : ATPDesigner version 2.04.00

    • Start the setup program and follow the instructions.
    • Read carefully the License Agreement and all other information.
    • It will be recommended to accept all pre-configured settings of the setup procedure e.g. folders etc.

  • Required Disk Space

ATPDesigner needs about 50MByte hard disk space. The setup procedure doesn't check before installing, wether enough hard disk space will be available. Therefore be carefully, if you are not sure to have enough free hard disk space.

Processing the Setup Procedure

Start the setup program and follow the instructions shown in the setup dialogs. The setup procedure has been pre-configured and it is recommended to accept the pre-defined settings e.g. folders etc. The figure below shows the background screen and the first dialog of the setup procedure.

  • Caution !!!

If one or more of the pre-defined settings e.g. folders have been changed during the setup procedure, the settings in the settings dialog Program Settings must be also changed. The Program Settings can be found in the main menu Tools .

  • Please read carefully the License Agreement and the Information.

  • If you agree the license agreement, press I accept the agreement and Next >. If you disagree, please stop the setup software pressing the I do not accept the agreement and the Cancel button.

  • The user can now select the root folder for the following installation procedure.

  • Before the setup software will install the new ATPDesigner release, the setup software presents some options.

  • Additional icons on the Desktop or in the Quick Launch Bar can be created.

  • Now the compilation of all options.

  • The setup procedure had been successfully finalized.

Default Folders for ATPDesigner and ATP

After the setup procedure has been successfully finalized, the default folders are created. Please note, that the pre-configured setup procedure will create the main folder ATPDesigner in the root of the hard disk C. The main folder ATPDesigner had been created in the root folder of the hard disk. The preferred hard disk is C:. Three sub folders had been also created:

How to Copy the ATP Runtime System in the subfolder ATPSYSTEM

  • AtpSystem

The subfolder AtpSystem must contain the files of the ATP Runtime System e.g. tpbig.exe and startup. Several ATP Runtime Systems are existing worldwide in parallel depending on the ATP user groups and depending on the year of its distribution. Therefore the number and names of the files, which should be copied into the sub folder AtpSystem are not really clear to specify.

  • Additional ATP Tools and External ATP File

Some Additional ATP Tools e.g. WINDSYN or ELINEQ shall be also copied to this folder because these executable files can be started from the ATPDesigner menu and the .ATP-Files created with these tools can be included using the network element External ATP File .

Read more about How ATPDesigner Supports Different ATP Versions

Below two examples for two different ATP Runtime Systems:

EEUG GNU-MING W32 - Release 2004

The files listed below should be copied into the sub folder AtpSystem

  • TPBIGG.EXE
  • STARTUP

MINGW32 - Release June 2004

The files listed below should be copied into the sub folder AtpSystem

  • TPBIG.EXE
  • STARTUP

  • Please Note
    • In older releases the ATP executable file (.EXE) had been called different.
    • In older releases it may be necessary to copy also the file BLOCKD51.BIN into the sub folder AtpSystem.

Independent of the ATP runtime system, the file name of the ATP executable program e.g. TPBIG.EXE must be set by the user in the settings dialog Program Settings . The complete file name of the ATP executable file consists of NAME and EXTENSION. ATPDesigner uses this information to create the command line to start the ATP executable file:

ATPSystemExec.File DISK .ATP-File Name .LST-File Name

  • Example

C:\AtpDesigner\TPBIGG.EXE DISK C:\AtpDesigner\Data\Network_1.ATP C:\AtpDesigner\Data\Network_1.LST

ATPDesigner creates the command line invisible for the user and executes ATP in the background as a temporary Windows thread. The .PL4 - File will be automatically created by ATP using the file name of the .LST - File but with the extension .PL4.

Sub folders Exe, Data, Doc, Backup, Fuse

  • Exe

The subfolder Exe contains the runtime system of ATPDesigner including the ATPDesigner help file.

  • ATPDESIGNER.EXE
  • ATPDESIGNER.HLP or ATPDESIGNER.CHM
  • KEYLIB32.DLL

An .INI - File will be automatically created if not existing during startup.

  • Data

ATPDesigner use the sub folder Data as the default working folder.

  • ATPDesigner stores the .ATP-Files in this folder.
  • ATP reads the .ATP-Files out of this folder and stores the .LST - Files and the .PL4 - Files there.
  • ATP stores also a lot of temporary files in this folder, which can be easily deleted using ATPDesigners Integrated File Browser .

  • Doc

The subfolder Doc contains various PDF - files with more detailed information about ATPDesigner and how to use.

  • Backup

The subfolder Backup will be automatically created by the ATPDesigner setup software, if one or both of the files ATPDesigner.exe and/or ATPDesigner.chm/.hlp are existing in the subfolder Exe, if the setup software starts to extract one or both of these files. The setup software backups the both files in the subfolder Backup.

  • Fuse

The subfolder Fuse contains the melting characteristics of the Fuse stored in .csv-files.

Environment Variable GNUDIR in Windows System Panel (System Properties)

Environment variables are strings that contain information such as drive, path, or file name. They control the behavior of various programs. For example, the TEMP environment variable specifies the location in which programs place temporary files.

Since ATPDesigner release V 1.3.0

It is not further necessary to assign the environment variable GNUDIR to the ATPDesigner folder ATPSYSTEM (see Program Settings ) e.g. "c:\atpdesigner\atpsystem" via the Windows System Panels (System Properties). ATPDesigner assigns automatically the environment variable GNUDIR to the folder where ATPSYSTEM points to, but only as long as ATPDesigner is running.

Read also detailed information about ATP related environment variables and ATP installation

Up to ATPDesigner release 1.2.x

Please don't forget to adapt the environment variable GNUDIR to the path where the ATP Runtime System had been saved. The ATP executable file e.g. TPBIG.EXE requires this environment variable to load the STARTUP file. If you didn't change the pre-configured setup procedure you should set the environment variable GNUDIR as follows:

To Add or Change the Values of Environment Variables (e.g. GNUDIR)

    • Open System in Control Panel.
    • On the Advanced tab, click Environment Variables, then click the name of the user variable or system variable you want to change, as follows. Click:
    • New to add a new variable name and value.
    • Edit to change a current variable name and value.
    • Delete to remove a variable name and value.

  • Please note
    • If you are not logged on as administrator to the local computer, teh only environment variables you can change are user variables.
    • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
    • Windows saves changes in the registry so they are available automatically the next time you start sour computer.
    • You might have to close and reopen running programs for the new settings to take effect.

If you forgot to adapt the environment variable GNUDIR, ATPDesigner will create the error message shown below after starting the first simulation process.

The explanation below is also included in the chapter Error Messages .

ATPDesigner tries to start the exe file TPBIGG.EXE (ATP main module). This file is saved in the ATP System folder and therefore could be find from ATPDesigner. But ATP could not work properly because the environment variable GNUDIR points not to this directory.

  • The environment variable GNUDIR should be reassigned to the ATP System folder.


Folders for ATPDesigner and ATP

Read also about Program Settings

Read also about Installation Setup for ATPDesigner

Folders, which will be used from ATPDesigner and ATP, can be changed in the settings dialog Program Settings . All folders are pre-defined using default settings. The figure below shows the default folder structure. It is not required but recommended to use the default folder structure. The main folder called ATPDesigner is the root folder. After the setup had been finalized the main folder ATPDesigner is located in the root folder of the hard disk of the PC or Laptop.

More about How to Change Folder Names

Specification of the Default Folders

  • Caution !!!

It is absolutely forbidden to use blanks for folder names or file names. The ATP software uses blanks as separator as usual for command lines of older DOS based programs (now called console applications). Therefore ATP will split folder names or file names in multiple parts, if they consist of blanks. In this case ATP can not find the .ATP-Files etc. If the user doesn't respect this very important rule, ATP will be confused and will create a lot of problems. The following error messages will be presented by ATPDesigner.

  • Case 1: If the file name of the .NET-File consists of blanks.

  • Case 2: If the file name of the folder name of the .ATP-Files consists of blanks.

  • Environmental Variable GNUDIR

The ATP network simulation system software requires the environment variable GNUDIR to identify the folder where the ATP system files (see next figure) are saved. If the environment variable GNUDIR has been not set properly in the Windows operating system control panel, ATP can not process the .ATP-File . The definition of the environmental variable depends on the used Windows operating system.

Read more How ATPDesigner Uses the Environment Variable GNUDIR

Read detailled information about ATP related environment variables and ATP installation

  • AtpSystem

The folder contains the ATP Runtime System e.g. the ATP executable file TPBIG.EXE and the external .PL4-File viewer PlotXY. The figure below shows the files which must be saved by the user into this folder. The folder is defined in the Program Settings dialog changing the folder Atp System . In addition ATP creates some temporary files during the execution e.g. dum*.bin.

See more detailed information about ATP Files

  • Data

This folder is the data folder and contains all temporary files created by ATPDesigner and ATP during runtime: .ATP-File , .LST-File and .PL4-File . The folder can be selected in the settings dialog Program Settings using the folder setting Atp Data . In addition the .NET-Files shall be also stored in this folder.

  • Caution: .PL4 -, .CFG- and corresponding .NET - Files

It is recommended to use the Data folder for .NET-Files as well as for .PL4-File and .CFG-Files . If a .PL4- or a .CFG-File will be displayed, ATPDesigner tries to load also the corresponding .NET-File to read Diagram related settings e.g. colors from the .NET-File. If the corresponding .NET-File could be not found, ATPDesigner uses the global diagram settings saved in the .INI-File .

  • Please Note

If the Data folder has been changed by the user, the folder used from the ATPDesigner Browser will be automatically adapted.

See more detailed information about Files and File Extensions

  • Exe

This folder contains the runtime system of ATPDesigner including the executable file ATPDesigner.exe, some dll's e.g. keylib32.dll (for licensed release only, not for evaluation release) and the help file. This folder is also the default folder to store the ATPDesigner data files called .NET-Files and will be also used to substitute the Data folder, if the Data folder specified in the settings dialog Program Settings is not existing. The Exe folder is defined in the Program Settings as Working Directory .

In addition the files containing the load profiles are also saved there if available (not required to use Load Impedance ) in the sub folder Load Profiles. Nevertheless the sub folder for the Load Profiles files can be set by the user in the settings dialog Program Settings .

  • Backup

Read more about the Backup subfolder in Installation Setup for ATPDesigner


Program Settings

Read more about Files and File Extensions

Read more about COMTRADE

Read more about Installation Setup for ATPDesigner

Read more about the Undo - Function

Read more about How ATPDesigner Supports Different ATP Versions

Read more about Additional ATP Tools e.g. WINDSYN etc.

The figure below shows the dialog Program Settings with default settings. The program settings will be saved in the .INI-File independent of any .NET-File .

  • File name for the .ATP-File , .PL4-File , .LST-File , etc.
  • Text editor
  • Diagram viewer
  • Folders
  • File name and folder of Additional ATP Tools e.g. WINDSYN or ELINEQ

  • Caution !!!

It is required NOT to use the BLANK character as part of folder names or file names. If used the ATP will fail handling such file or folder names.

Read more about File Names and Folder Names and Blanks

OK

Close dialog and save changed data

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

TT Font

Font to display tooltips e.g. Measuring Tooltips

    • Font name
    • Font size
    • Font color

TT BkColor

Background color of tooltips e.g. Measuring Tooltips

Help:

Format of the ATPDesigner Help File

    • HLP: Help - File Format
    • CHM: Compiled HTML - File Format

Loading last .NET - file during startup

If enable the last .NET-File which was processed by ATPDesigner will be loaded automatically during the startup phase of ATPDesigner.

.INI-File

The dialog element displays the version of the loaded .INI-File .

Undo Steps

The maximum number of Undo - Steps

Menu Style

The user can select one of the available menu style e.g. XP menu style.

Task Priority

ATPDesigner starts the ATP executable file e.g. TPBIGG.EXE in the background as a second task. The task priority can be changed.

Tabbed MDI Interface

ATPDesigner enables tabs at the bottom of the main window, which can be used to switch faster between the multiple power network views.

Checking for ATPDesigner updates

If enabled ATPDesigner automatically checks the availability of software updates saved on the ATPDesigner update server.

If existing the software update can be downloaded using the DOWNLOAD UPDATE button in the Web Services settings dialog.

Read also How to Download the Newest Update of ATPDesigner

Read more about the Undo - Function

ATP Exec.File

The file name defines the name of the executable ATP file e.g. TPBIG.EXE.

Read more about How ATPDesigner Supports Different ATP Versions

Text Editor

The file name defines the editor which will be used to display several types of text files e.g. the .ATP-File , .LST-File or .TXT-File . The editor NOTEPAD will be used as the default editor. The editor can be changed easily via the BROWSE button: Pressing the button and selecting a new editor.

  • Please Note

The text editor will be started as an independent task in parallel to ATPDesigner. ATPDesigner will be disabled as long as the text editor is still running. The file name of the file to be displayed will be transferred to the text editor via the command line. As an alternative the text editor can be started by hand in parallel to ATPDesigner. In this case ATPDesigner will be not disabled and the user can switch between both applications e.g. using the the taskbar buttons.

Diagram Viewer:

The file name defines the external viewer which will be used to display the .PL4-File or COMTRADE - File . The external viewer can be changed via the BROWSE button: Press the button and choose a new viewer ( Viewer for Voltages and Currents ).

Conversion to COMTRADE

If enabled, the .PL4-File , which contains the data to display diagrams, will be automatically converted into the COMTRADE format for COMTRADE format based diagram viewers.

  • Please Note

The external diagram viewer will be started as an independent task in parallel to ATPDesigner. ATPDesigner will be disabled as long as the diagram viewer is still running. The file name of the file to display will be transferred to the diagram viewer via the command line. As an alternative the diagram viewer can be started by hand in parallel to ATPDesigner. In this case ATPDesigner will be not disabled and the user can switch between both applications e.g. using the the taskbar buttons.

  • Please Note

ATPDesigner provides the user by an integrated Diagram Viewer . It is recommended to use the integrated Diagram viewer.

Folders for ATP and ATPDesigner

Read more detailed information about Folders

ATP Data

This folder contains all files created by ATPDesigner and ATP during runtime: .ATP-File , .LST-File and .PL4-File . The simulation program ATP creates some temporary files during the execution. This file names of these temporary files can be identified by the file name dum*.bin. These files can be deleted after the simulation has been finalized.

  • Please Note

The .PL4 - File and the .LST-File are both using the same target folder ATP Data. The default settings are:

    • .PL4 - File: C:\ATPDesigner\DATA\ATPCONTR.PL4
    • .LST - File: C:\ATPDesigner\DATA\ATPCONTR.LST

If the ATP Data folder doesn't exist, ATPDesigner uses automatically the Working Dir .

Read more about Installation Setup for ATPDesigner - DATA Folder

ATP System

Read more about ATP System

CM Engine

The folder contains the Windows-DLL CMENGW32.DLL of the Omicron test system. This Windows-DLL has to be installed according the Omicron setup rules, if the user wants to use ATPDesigner in combination with an Omicron test system e.g. CMC156 or CMC256 or CMC356.

Working Dir

The folder points to the current working folder of ATPDesigner.

Windows Dir

The folder points to the current windows folder.

Load Profiles Dir

The folder contains the Load Profile text files

  • Please Note

Read more about Load Profiles in the chapter Load Impedance


PC Equipment and Support of Omicron's CMC Test System

PC Equipment and Support of Omicron CMC Test System

ATPDesigner has been designed as a 32-bit-application running under Windows Operating Systems developed using Microsoft Visual Studio 2013. ATPDesigner consists of several software components:

  • ATPDesigner.exe: executable program
  • ATPDesigner.ini: .INI-File
  • ATPDesigner.chm: Help file
  • ATPDesignerReg.ini: User specific license file
  • keylib32.dll: User specific license decoding software

See more detailed information about Folders

Recommended PC Equipment and Operating System

High performance PC with min. 2GHz clock frequency, min. 2 GBytes RAM and min. 60MByte free hard disk space

ATPDesigner and ATP need a high amount of CPU power and RAM for both the graphical user interface ATPDesigner and ATP to calculate voltages and currents. ATPDesigner and ATP are Windows based applications (Read more in ATPDesigner - Design and Simulation of Power Networks ).

Support of Omicron CMC Test System

ATPDesigner is able to communicate with CMC test systems of Omicron via Omicrons CM Engine interface. The test software of Omicron contains a DLL called "CM Engine" to interface the CMC test systems. The CM Engine - DLL is a software library containing several procedures to communicate, control and set the CMC test system. ATPDesigner supports the Omicron test system and amplifiers listed below:

  • Test system CMC156
  • Test System CMC256
  • Test System CMC356
  • Current Amplifier CMA156
  • Current and Voltage Amplifier CMS156

Read more about CM Engine folder

Typical Combinations of ATPDesigner and CMC Test Systems

Electrical Power Networks with only One Measuring Location

If the power network contains only One Measuring Location the protection device can be tested using the test systems CMC156 or CMC256 or CMC356 only. ATPDesigner supports the user to assign voltages and currents of the measuring location to the physical voltage and current amplifiers of the CMC Test System .

Electrical Power Networks with 2 Measuring Locations

If the power network contains Two Measuring Locations the protection device should to be tested using the test systems CMC156 or CMC256 or CMC356 in combination with an additional amplifier CMA156 or CMS156 depending on the signals measured at both measuring locations. ATPDesigner supports the user to assign voltages and currents of both measuring locations to the physical voltage and current amplifiers of the CMC Test System . If two protection devices shall be tested, a CMC test system consisting of CMC256 and CMS156 is required. Both protection devices can be stimulated using 3 voltage signals and 3 current signals up to 25Arms.


Files and File Extensions

INI

The .INI-File contains the Program Settings which are saved independent of the data of the power network. The .INI-File will be automatically saved to the hard disk during the shutdown of ATPDesigner and automatically read during the startup. ATPDesigner creates automatically a missing .INI-File during startup.

  • Please Note
    • The recreation of the .INI-File has no influence of the data of the power network which are saved in the corresponding .NET-File .
    • The COMTRADE based Equations are saved in the .INI-File and will be lost if the .INI-File was deleted.

NET

The .NET-File contains all data of the power network both the electrical and mechanical and the graphical data e.g. size and coordinates of all network elements. All other files described below can be generated based on the information and data of the .NET-File. Therefore it is only necessary to save the .NET-File. .NET-Files are independent from the .INI-File of ATPDesigner.

BAK

Before saving the .NET-File using the menu item Save in the main Menu File or the toolbar button [image] in the Main Toolbar , ATPDesigner makes a copy of the .NET-File which is stored on the hard drive. ATPDesigner changes the file extension of the copy to BAK.

  • Please Note

If the .NET-File has been corrupted by any reason, the user should delete the corrupted .NET-File and change the extension of the .BAK-File from BAK ⇒ NET. Now he can work with the renamed file.

  • Please Note

It will be recommended to make .ZIP-Files of the current project e.g. using the Save Project feature.

ATP

The .ATP-File is the ATP input file and contains the control commands for ATP. The .ATP-File will be generated by ATPDesigner based on the information and data stored in the .NET-File.

LST or LIS

The .LST-File contains a copy of the control commands and additional comments, error messages, etc. In case of errors the .LST-File must be checked for a deeper error analysis. Please read the ATP Users Manual for more information.

  • Please Note

The extension .LST will be replaced by the extension .LIS beginning with the ATPDesigner release 4.00.63 and later.

PL4

The .PL4-File contains all data which have been calculated during the simulation process: voltages, currents, energy, etc. These data are saved as sampled values. The .PL4-File will be used to create diagrams.

See more about Diagram Viewers

ZIP

ATPDesigner provides the user creating a .ZIP-File using the Save As.. menu item, which can be found in the main menu File . Please note, that ATPDesigner saves not only the .NET-File but also all assigned External .ATP-Files e.g. MODELS-Files into the .ZIP-File. Therefore this feature can be easily used to create a BACKUP of an ATPDesigner project.

Read also How to Create a Project Backup using .ZIP-Files

MOD

.MOD-Files contain the MODELS script language source code using the concept of External .ATP-File

TXT

.TXT-Files are standard text files which can be opened with several text editors or text viewers. ATPDesigner uses the text editor which is defined in Program Settings using the setting Text Editor .

CSV

.CSV-Files will be used for the Fuse Characteristics stored in the folder c:\ATPDesigner\Exe\Fuse.

TRP

The .TRP-File contains information which are recorded and saved from the CMC Test Systems , which is able to monitor the binary output signals of protection devices. CMC Test Systems are continuously storing these information with a sampling rate of about 100μs into an internal recording memory. ATPDesigner read out this recording memory, after finalizing e.g. a Single-Step Test or a Test Procedure . The content of the recording memory will be saved into the .TRP-File. The file name of the .TRP-File is identical with corresponding .NET-File, only the file extension has been changed from .NET to .TRP. Therefore the relation between the .TRP-File and the corresponding .NET-File is well defined. The file name of the corresponding .NET-File is also saved into the first line of the .TRP-File.

  • Example: .TRP-File and Corresponding .NET-File

File name of the .TRP-File: Network_1.TRP

File name of the Corresponding .NET-File: Network_1.NET

Example: Content of the .TRP-File

C:\Mscpp\ATPDesigner\Network_1.net

This information points to the corresponding .NET-File

1,bin,0.0000000e+000,0,0,-;

1,bin,0.0000000e+000,0,1,-;

1,bin,5.7000000e-002,2,1,-;

1,bin,1.1690000e-001,3,1,-;

1,bin,2.3660000e-001,1,1,-;

1,empty,0.0000000e+000,0,0,-;

CFG

COMTRADE (Common Format For Transient Data Exchange For Power Systems) is a worldwide used standard format for the data files and exchange medium for the interchange of various fault, test and simulation data. The extension CFG identifies COMTRADE files. COMTRADE files contain information to view e.g. voltages, currents, etc. as well as binary signals. The COMTRADE format is defined in the international standard IEC 60255-24.

A COMTRADE record must consist of 2 files:

  • Configuration file with extension .CFG
  • Data file with extension .DAT

Optional files are:

  • Header file with extension .HDR
  • Information file with extension .INF


Viewer for Voltages and Currents

The calculated voltages and currents are saved as sampled values in the .PL4-File . The .PL4-File can be displayed by several methods:

    • using the internal Diagram Viewer of ATPDesigner ,
    • using the external viewer PlotXY.EXE, the default diagram viewer of the ATP or
    • using any other COMTRADE or .PL4 compatible viewer.

An external viewer must be first configured in the settings dialog Program Settings before starting it using the [image] toolbar button. With respect to ATP the default setting for the external viewer is PLOTXY.EXE.

COMTRADE-Viewer

COMTRADE compatible viewer can be also used. The figure below shows the settings of the corresponding Program Settings dialog. The option Conversion to COMTRADE has to be enabled in order to convert automatically .PL4-Files to COMTRADE .

Read more about Support of COMTRADE Files


Info about ATPDesigner

The figure below shows the dialog presenting information about ATPDesigner, the version of the .NET-File and the user license.

Help

Open the corresponding chapter in the help file

Version

Version of the .EXE-File ATPDesigner.exe

Version .NET-File

Version of the last released .NET-File , not the version of the loaded .NET-File

The version of the loaded .NET-File can be seen in Program Settings

Licensed for

Name of the license of the current ATPDesigner software installation

User Name

Name of the logged user

Computer Name

Name of the computer where ATPDesigner is currently running

  • Please Note

In the dialog above the comment "Unlicensed Version - For Internal Use Only" is written. This means that the executable .EXE-File of ATPDesigner is only an internal test release and not foreseen to be distributed as an official release. If ATPDesigner has been licensed, this comment will be not further displayed.


Content of the .INI - File

The .INI-File contains the program settings used from ATPDesigner, which are independent of the settings of the eletrical power network. Each program setting can be identified by a key name and its value following the "=". The user should be very carefully to change the content of the .INI-File by hand. Modifications should be only done using the corresponding Program Settings dialog. The content of the .INI-File is shown below written in black color. Additional comments and explanations are written in red below each line.

[ATPDesigner - Design and Simulation of Power Networks]

VersionIniFile=Version INI File 2.6 - 02.01.2017

Version of the .INI-file

VersionATPDesigner=Version 2.04.40 - 10.07.2011

Version of ATPDesigner .EXE-file

ExeFolder=C:\Mscpp\ATPDesigner

Folder where ATPDesigner has been launched

DataFolder=C:\ATPDesigner\DATA

Folder where ATPDesigner reads and writes files during runtime e.g. the .ATP-File

CmEngineDllFolder=C:\

Folder where Omicron's DMEngine-DLL is saved

AtpFolder=C:\ATPDesigner\ATPSYSTEM

Folder where the ATP exe-file is saved

AtpLoadProfilesFolder=C:\ATPDesigner\LoadProfiles

Folder where the text files containing the load profiles are saved

AtpBrowserFolder=C:\ATP

Start folder for the file browser

PL4FileFolder=C:\ATPDesigner\DATA

Folder where ATP stores the .PL4-Files

AtpExeFilename=TPBIGG.EXE

File name of the ATP .EXE-file

GraphicViewerFilename=C:\ATPDesigner\ATPSYSTEM\PLOTXY.EXE

File name and folder of the selected diagram viewer

TxtEditorFilename=NOTEPAD.EXE

File name of the selected text editor

TxtEditorFolder=C:\WINDOWS

Folder where the selected text editor is saved

AutoLoadNetFileEnabled=0

= 1: The last processed .NET - file wil be loaded automatically during startup

ComtradeViewerEnabled=0

= 1: .PL4 - file will be automatically converted to COMTRADE to be loaded by a COMTRADE Viewer

WindSynFilename=C:\ATPDesigner\ATPSYSTEM\WINDSYN.EXE

File name and folder of additional ATP tool WINDSYN.EXE

WTrafo2Filename=C:\ATPDesigner\ATPSYSTEM\WTRAFOS2.EXE

File name and folder of additional ATP tool WTRAFOS2.EXE

WTrafo3Filename=C:\ATPDesigner\ATPSYSTEM\WTRAFOS3.EXE

File name and folder of additional ATP tool WTRAFOS3.EXE

ElineQFilename=C:\ATPDesigner\ATPSYSTEM\ELINEQ.EXE

File name and folder of additional ATP tool ELINEQ.EXE

MenuStyle=2

Style of the menus used in ATPDesigner

TaskPriority=1

Priority of the task which processes the ATP executable file e.g. TPBIGG.EXE

UpdateCheck=1

If enabled ATPDesigner automatically checks the availability of newer software releases saved on the ATPDesigner update server.

DiagramFrameColor=13749681

Frame color of diagrams

DiagramBkColor=16777215

Background color of diagrams

DiagramCursorLDownColor=255

Color of the left mouse button down diagram cursor

DiagramCursorRDownColor=8421504

Color of the right mouse button down diagram cursor

DiagramAxisColor=0

Color for the X- and Y-axis

DiagramPenThickness=2

Thickness of the pen to draw the signal curves

DiagramDFTWindow=Cursor

DFT window which will be used to calculate the phasors of voltages and currents

DiagramDFTFrequence=50.000000

Fundamantal frequency of the DFT window

NetworkGridEnabled=0 (see also How to Use the Network Grid)

= 1: A grid in the background can be enabled to support the user positioning network elements

NetworkGridDx=25

Distance (in pixel) between two network grid points in direction of the X-axis of the graphics view

NetworkGridDy=25

Distance (in pixel) between two network grid points in direction of the Y-axis of the graphics view

NetworkGridOffsetX=10

Distance (in pixel) of the first left upper network grid point related to the origin of the graphics view in direction of the X-axis

NetworkGridOffsetY=10

Distance (in pixel) of the first left upper network grid point related to the origin of the graphics view in direction of the Y-axis

NetworkGridColor=12632256

Color for the diagram grid

CopyToClipBoardOpMode=2

Operating mode of cell separation for all data transfers of list elements e.g. ListCtrls to the clipboard

CopyToClipBoardCellSeparation=,

Cell separation character or character sequence (up to 5 characters)

MaxNoUndoSteps=20

Maximum number of undo steps (minimum = 0, maximum = 100)

TooltipFontSize=-18

Font size used to display the tooltips e.g. presenting the results of the Short Circuit Analysis

TooltipFont=Arial

Font used to display the tooltips e.g. presenting the results of the Short-Circuit Analysis

TooltipFontColor=0

Color of the font used to display the tooltips e.g. presenting the results of the Short-Circuit Analysis

TooltipFontBkColor=15204351

Background color of the font used to display the tooltips e.g. presenting the results of the Short-Circuit Analysis

HelpFile=0

Type of the help file

TabbedMDI=1

Enable/disable the tabbed MDI interface

ControlBar=1

Enable/disable the control bar

Font for the Short-Circuit Results Tooltips

Font for the Messages in the Messages Window

Font for the Messages in the Protection Messages Window

Font for the Messages in the ATP Error and Warning Messages Window

EquationNumber=0

Number of user defined equations saved into the next section

[EquationData]

Definition of user defined equations


What about ATP ?

ATP (Alternative Transients Program) is the world-wide mostly used universal program system for digital simulation of transient phenomena of electromagnetic as well as electromechanical nature in electrical power systems. Using ATP complex electrical power networks and control systems can be simulated. ATP has extensive modeling capabilities and additional important features besides the computation of transients. ATP was developed based on the EMTP program as the PC version.

"The Electromagnetic Transients Program (EMTP) was developed in the public domain at the Bonneville Power Administration (BPA) of Portland, Oregon prior to the commercial initiative in 1984 by the EMTP Development Coordination Group and the Electric Power Research Institute (EPRI) of Palo Alto, California. The birth of ATP dates to early in 1984, when Drs. Meyer and Liu did not approve of proposed commercialization of BPA's EMTP and Dr. Meyer, using his own personal time, started a new program from a copy of BPA's public-domain EMTP. Since then the ATP program has been continuously developed through international contributions by Drs. W. Scott Meyer and Tsu-huei Liu, the co-Chairmen of the Canadian/American EMTP User Group. Several experts around the world have been contributing to EMTP starting in 1975 and later to ATP in close cooperation with program developers in Portland, USA. Whereas BPA work on EMTP remains in the public domain by U.S. law, ATP is not in the public domain and licensing is required before access to proprietary materials is granted. Licensing is, however, available free of all charge to anyone in the world who has not participated voluntarily in the sale or attempted sale of any electromagnetic transients program, (hereafter called "EMTP commerce")."

  • More detailed information about ATP can be get on the EEUG (European EMTP User Group) home page: www.emtp.org

  • More detailed information about ATP: ATP Beginners Guide for EEUG Members (part of the EEUG ATP installation setup)

  • Please Note

The text above was partly copied from official EEUG documents to explain ATP/EMTP.


About European EMTP-ATP Users Group e.V. Association

About "European EMTP-ATP Users Group e.V." Association

  • Please Note

The text below was copied from the EEUG homepage www.eeug.org to explain more about the EEUG. Please read more on the EEUG homepage.

  • Please Note

The current e-mail contact to obtain a ATP license or to become a EEUG member can be also found on the EEUG homepage www.eeug.org .

European EMTP-ATP Users Group e.V.” (EEUG e.V.) was established in 1994 as an Association registered at the local court Offenbach am Main, Germany. The purpose of the EEUG Association recognized as public-benefit organization by the tax office is to organize courses, meetings, publish a newsletter, to act as a communication centre for ATP-EMTP users, as well as to coordinate the program distribution. EEUG News, official newsletter of the Association, is published regularly. Besides technical papers, rubrics such as Reader’s Corner, Program Information, People and Profiles, Tips and Tricks are included in this newsletter.

Members receive free updates -included in the membership dues- of the ATP program and other related programs as well as of the ATP Rule Book each year. EEUG has supported until now the development of software PCPlot for Windows and ATP Control Centre running under MS Windows 9x/NT/2K/XP and available only for the members. EEUG has been supporting further development of ATPDraw and PlotXY. All programs are distributed on a CD-ROM with automatic installation routines for MS Windows 9x/NT/2K/XP/Vista/7. Another activity of the EEUG is the updating and conversion of the ATP Rule Book into electronic form, i. e. into Adobe Acrobat format (PDF files).

The annual European EMTP-ATP Conference is comprised of the EEUG Meeting and one-day short course. The EEUG Meeting which consists generally of two parts; annual Members’ Meeting and technical sessions. The technical sessions and the Members’ Meeting are open to all licensed ATP-EMTP users, whereas only EEUG members are authorized to vote for decisions at the Members’ Meeting. An EEUG course accompanies the EEUG Meeting almost every year. Until now, following EEUG meetings and courses have been held by the EEUG Association:

At present, the EEUG Association has about 200 members, which are composed of universities and companies in equal proportions. As explained in the paragraph § 2 “Purpose” of the Charter, the association will act primarily as a communication centre for its members. Any Institution that is willing to join the Association must have a valid license for the use of ATP-EMTP program. Licensing means the Applicant agrees with the licensing term by signing License Agreement.

The ATP-EMTP program is not a public domain software and it is available via password protected EEUG file server. Printed materials (Rule Book, Theory Book, User Manuals) can be ordered from EEUG by filling in the appropriate Order Forms.

Anyone who got a license may subscribe to the ATP-EMTP Mailing List in Internet, connecting about 2000 ATP users all over the world. The mailing list as well as EEUG file server which enables licensed users to download ATP related materials are operated by the EEUG.


Getting Started in Simulation of Power Networks

ATPDesigner is a graphical pre-processor to the ATP (Alternative Transients Program) version of the Electromagnetic Transients Program (EMTP) executed on Windows operating systems.

ATPDesigner assists the user

  • to design electrical power networks,
  • to create Diagrams of voltages and currents,
  • to analyse voltages and currents using Discrete Fourier Transformation (DFT) e.g. harmonic analysis.
  • to calculate Frequency Spectrum of voltages and currents,
  • to process COMTRADE files,
  • to test Protection Relays and Protection Elements ,
  • to create Libraries of Network Elements ,
  • to do a lot of things more.

  • ATPDesigner - Vision of a Graphical User Interface

Without any doubt the ATP (Alternative Transients Program) is one of the best software tools to study transient phenomena of electrical power networks. But also the ATP is difficult to use. Therefore some years ago the idea was born to design and develop a graphical user interface for Windows operating systems, which makes it possible to use the ATP with a minimum of knowledge about ATP. Using such a GUI software tool (Graphical User Interface) it must be possible for a student of electrical engineering to use ATP e.g. for exercises and projects after some days initial training.

  • The Conclusions for the Design of ATPDesigner ?
    • Following the intuitive design of Windows based software tools to minimize the initial training
    • Developing using C++, classes, threads, background tasks, ... using a high sophisticated development systems
    • Integration of design, simulation, diagrams, signal analysis, ...
    • Creating diagrams of voltages, currents, frequencies, ...
    • Integration of signal analysis methods often used for power engineering tasks
    • Simulating Protection Relays and Protection Elements calculating the Short-Circuit Results (ATP's Steady State) or the transient
    • Analyzing Protection Schemes in electrical power networks
    • Displaying tripping characteristics of Protection Elements

  • ATPDesigner and ATP - A Powerful Team for Power Engineering

Currents and voltages which are of interest shall be calculated using the ATP, one of the best software tools for the simulation of electrical power networks. The interaction between ATPDesigner and the ATP presented in How ATPDesigner incorporates ATP ? will be explained below more in detail.

Step 1: Design of the Electrical Power Network

The user should first create a new power network using the New button [image] of the Main Toolbar or using the corresponding menu item New in the main menu File . ATPDesigner creates the Default Network shown in the figure below. The default power network consists of several typical network elements:

  • Network Infeed Network1
  • Single-Circuit Line Line 1
  • Circuit-Breaker Cb1 with Measuring Location 1
  • Two Busbars

The user can now add, change, move, rotate, delete, Copy&Paste , etc. network elements e.g. Network Infeed , Line , Circuit-Breaker or auxiliary elements e.g. Text Frame or Pictures . Several network elements e.g. lines, Transformers , etc. are available to design an electrical power network. The network elements can be added via the main menu Network Design or the corresponding buttons in the Network Design Toolbar or the Right Mouse Button Menu .

New network elements can be added by the Drag & Drop Technology as usual for windows programs:

  1. First press the corresponding Toolbar Button .
  2. Select the Drawing Direction .
  3. Move the new network element to the target location in the graphics view e.g. a node of an existing network element.
  4. If necessary connecting one node of the new network element to the other network element.
  5. Open the settings dialog via a left-mouse-button-double-click on the graphical symbol of the network element.
  6. Change settings in the network element specific settings dialog.

Read the List of Available Network Elements

  • Erase All Network Elements

Is it also possible to erase all network elements, to start with a "blank drawing area" for a new power network project. All network elements can be easily erased by using the main menu Edit menu item Erase All or the toolbar button [image] . After that the drawing area is "blank", the user can now add network elements to design a new electrical power network.

  • Erase One Network Element

A network element must be first selected with a Left Mouse Button Click, than it can be erased e.g. using the toolbar button [image] .

  • Changing the Settings of Network Elements

The settings of each network element can be read and changed using the network element specific settings dialog.

    1. First the network element should be selected with a Left Mouse Button Click on the shape of the network element. The selected network element will be now drawn in light gray. The settings dialog can be also opened using the Project Information dialog, tab Settings .

    2. The settings dialog, which is specifically designed for the different types of network elements, can be now opened with a Left Mouse Button Double Click. All these dialogs are explained in the chapters Network Elements for Power Systems of this help file. Please check also the How to ... section in the menu Network Design Mode of this help file.

Read more about ATPDesigner and Simulation of Power Networks

Read more about the available Network Elements

Read more about How to Add a New Network Element

  • .NET-File

The .NET-File contains all data which are relevant for the electrical power network:

    • Data to describe the graphical representation of all network elements used in the power network.
    • Electrical and mechanical data to define the physical behavior of all network elements used in the power network.

The name of the .NET-File is displayed in the header of the corresponding client window e.g. C:\ATPDesigner\Data\Network_1.net shown in the figure above. In addition it is possible to define a project specific Description of the Power Network , which will be displayed in the dialog Browse Files .

  • Saving the Project

    • If no External .ATP-File e.g. a MODELS file will be used

It is sufficient to save only the .NET-File. All other files will be only temporarily created and can be reconstructed using ATPDesigner based on the .NET-File. Nevertheless the .NET-File can be also saved using the Save Project function.

    • If one or more External .ATP-Files e.g. a MODELS file will be used

In this case it is recommended to use the Save Project function. ATPDesigner saves the .NET-File and all embedded External .ATP-Files in a .ZIP-File.

The data saved in the .NET-File will be secured using a Checksum Algorithm. The user should NOT change any data in the .NET-File by hand e.g. using a text editor, because the .NET-File may be corrupted after such modifications. ATPDesigner doesn't accept .NET-Files with a corrupted checksum. In this case ATPDesigner presents the error message shown below and reloads a power network with default values. All information contained in the corrupted .NET-File are now lost.

  • Integrated File Browser

ATPDesigner assists the user managing the different file types via the integrated File Browser . Nevertheless the standardized functions of Windows based software e.g. New, Open, Save, Save As .., Print, etc. are also available either in the main menu File , using the buttons of the Main Toolbar or the standardized Hotkeys .

  • Main Menu

The main menu and all sub menus are explained in detail in the section Main Menu of this help file.

  • Program Settings

Several settings which are ATPDesigner specific and independent of the data of the electrical power network, will be saved in the .INI-File and not in the .NET-File. The .INI-File will be read automatically during startup. ATPDesigner creates a new .INI-File if the .INI-File could not be read. The .INI-File will be saved if ATPDesigner will be closed.

Read more about the Content of the .INI-File

Step 2: Start ATP to Calculate Voltages and Currents

The network simulation can be easily started only pressing the [image] button. ATPDesigner writes the ATP based models of the network elements into the .ATP-File and starts ATP in a background task.

  • Program Settings

Please don't forget to copy the both ATP files TPBIG.EXE and STARTUP into the folder C:\AtpDesigner\AtpSystem . In addition check the corresponding settings in the settings dialog Program Settings in the main menu Tools .

Now if done, ATP calculates voltages and currents and stores these results into two output files:

The .LST-File , which contains

  • a copy of all commands of the .ATP-File ,
  • additional comments and error messages written during the runtime of ATP (American EMTP User Group, References ) and
  • optionally the results of the Steady State Analysis of the electrical power network.

and

The .PL4-File , which contains the calculated voltages and currents as sampled values e.g. to create Diagrams . ATPDesigner reads the sampled values out of the .PL4-File and process these data using the integrated Signal Analysis Algorithms e.g. to display the frequency spectrum.

ATPDesigner is also able to process the results of ATP Steady State Analysis saved in the .LST-File . The so called Short-Circuit Analysis Results can be directly presented in the power network graphics using the tooltips technology pressing the F4 key.

Read more about Short-Circuit Analysis Results

Read more about Protection Relaying Results of the Power Network

Read more about Files and File Extensions

Step 3: Loading .PL4 - or COMTRADE - File to Create Signal Diagrams
and to Start the Signal Analysis

.PL4-File or COMTRADE-Files can be displayed using an External Diagram Viewer e.g. PlotXY, which is part of the ATP installation setup or using the integrated Diagram Viewer of ATPDesigner.

The External Diagram Viewer can be started via the [image] button or in parallel to ATPDesigner as a parallel task . The .PL4 - File can be also automatically converted to the COMTRADE standard IEC 60255-24 and presented using any external COMTRADE viewer.

The Internal Diagram Viewer will be automatically started if a .PL4 - File or a COMTRADE - File has been loaded e.g. via a double-click on the file name in the File Browser [image] .

  • The Most Easy Ways to Open a .PL4 - File and to Create a Diagram ...

The .PL4 - File can be also opened via the Right Mouse Button Menu . If the power network is displayed in the topmost view of ATPDesigner, click the Right Mouse Button and select the menu item Open Diagram (.PL4 - File) ... The .PL4 - File which corresponds to the topmost power network will be loaded and first the Dialog to Select the Signals to Be Displayed in a Diagram will be presented. After selecting voltages and/or currents the diagram will be automatically created in a new view.

A little bit more comfortable method to create a diagram using only toolbar buttons.

  • Step 1:

Press [image] button in the Toolbar for Network Elements to open the .PL4-File which corresponds to the topmost .NET-File .

  • Step 2:

Select the node names of the physical signals which shall be displayed in the diagram as explained in the chapter Selecting Voltages, Currents and Binary Signals .

  • Step 3:

After the Ok button has been clicked, the diagram will be drawn.

Read more about Diagrams in General

Read more about How to Open a Diagram

The figure below shows as an example the graphics of the power network and a diagram using the internal diagram viewer.

ATPDesigner assists the user with several Context Sensitive Right Mouse Button Menus depending on the type the topmost view (e.g. power network or diagram) and depending on the position of the mouse cursor (e.g. located "over" a network element or not).

Read more about Context Sensitive Right Mouse Button Menu for Power Network Graphics

Read more about Context Sensitive Right Mouse Button Menu for Diagrams

Signal Analysis Methods

ATPDesigner provides also the analysis of voltages and currents which are saved as sampled values in the .PL4-File . The signal analysis methods are based on the Discrete Fourier Transformation, which is used to calculate the frequency spectrum of voltages and currents. The figures below show two different analysis results.

Read more about Signal Analysis Algorithms

Read more about How to Present the Signals Analysis Results

  • DFT (f)

Amount and phase angle of the fundamental frequency e.g. 50Hz or 60Hz from all voltages and currents which are drawn into the corresponding Diagram

  • Harmonics

Amount and phase of the fundamental frequency and all other harmonics of a signal, which has been first selected

The user must first selected the node name TACS - IAP_M1 which represents the primary current in phase A (left mouse button click).

ATPDesigner calculates the frequency spectrum using the Discrete Fourier Algorithm (DFT). The result will be displayed in the list shown below.

In addition the results of the frequency analysis can be also presented in a Vector Diagram [image] shown in the figure below.

Nevertheless the vector diagram makes only sense if it's created for one frequency component only. If the complete frequency spectrum shall be presented, it is usual to create a line diagram showing the amount of the vectors of all frequency components.


Browser for .TXT-, .NET-, .PL4- and COMTRADE-Files

ATPDesigner provides the user with the capability to browse for .NET-Files , .PL4-Files , .TXT-Files and .CFG (COMTRADE)-Files . The figure below shows the Browser Files ... dialog.

  • File Tree (left)

A Tree Control containing the folders of all available floppy's, hard disks, memory sticks, etc. of the PC and additional network connections

  • File List (right)

A List Control containing all .NET-Files , .PL4-Files , .TXT-Files , .TRP-File and .CFG (COMTRADE)-Files which could be found in the Folder (see text field above the list control)

The folder can be chosen using the Folder button and will be displayed above the list control. During the first startup ATPDesigner selects automatically the Working Directory as the default setting of the start folder. The user can select any new folder thereafter. The folder will be saved in the .INI-File .

The different file types can be easily identified with the file icons displayed in the 1. column or the file extension displayed in the 2. column of the list view.

    • .NET-File
    • .PL4-File
    • .CFG-File
    • .TRP-File
    • .TXT-File

In addition some helpfully features are also implemented which will be explained more in detail below.

The figure below shows the Browse Files dialog. The Browse Files dialog is designed as a resizable dialog. The dialog can be resized using the grip at the right lower corner. The dialog can be opened via several ways:

    • via the button [image] of the Main Toolbar
    • via the hotkey CTRL + X

Displaying .NET-File Description

If enable the cursor displays the textual description of the power network which has been set before in a tooltip at the mouse cursor position, if the mouse cursor hovers above the corresponding file name in the List Control.

  • Please Note

The description of the power network can be set in the Network Configuration dialog.

Folder

Select a new folder to scan automatically for .NET-Files , .PL4-Files , .TXT-Files , .TRP-File and .CFG (COMTRADE)-Files

ATPDesigner restarts automatically the file scan, if the target folder had been changed.

  • Please Note

The Program Settings dialog contains the setting Data , which points to the standard data folder containing .NET-Files , etc.. If this setting had been changed by the user, ATPDesigner automatically adapts this corresponding folder setting of this Browser Dialog.

Clean Folder

ATP and also ATPDesigner create several temporary files during the network simulation process, which will be not automatically deleted. It is not necessary to store all these temporary files for a longer time and therefore all these files can be deleted clicking the Clean Folder button. The files to delete will be identified analyzing their file extensions. Following the list of file extensions which will be automatically deleted: .BIN, .DBG, .ATP , .LST , .TMP, .PCH

Delete .PL4

Delete all .PL4-Files, which are stored in this folder

A .PL4-File contain the data to draw a Diagram containing e.g. voltages and currents.

Open

Open the selected file

Files can be opened if they are first selected in one of the both views either the menu tree control at the left-side or the list control at the right side. If no file had been selected, the open button will be disabled.

Open a File using a Double-Click

Files can be also opened if the file will be Mouse double-clicked. The Browse Files dialog will be automatically closed before the selected file will be opened. The double-click can be also used for both views.

Delete

Delete the file which has been selected in the file list

Rename

The selected file can be renamed.

Copy

The selected file will be copied to CopyOf...

Close

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


How does ATPDesigner incorporate ATP ?

Read more about in Simulation of the Power Network

Read more about Files and File extensions

Read more about PC Equipment and Operating Systems

Read more about Omicron Test System Support

The figure below shows how ATPDesigner incorporates ATP.


How ATPDesigner Supports Different ATP Versions

The CD-Rom setup of the network simulation system ATP (Alternative Transients Program, www.emtp.org ) consists of different executable files and therefore different ATP Runtime Systems.

"EEUG ANNUAL ATP-EMTP DISTRIBUTION 2004

ATP-EMTP, Supporting Programs and Documents

====================================

This CD-ROM contains "GNU-Mingw", "Watcom" and "Salford" versions of ATP (Alternative Transients Program) running under MS-Windows 9x/NT/2000/XP and useful supporting programs ATPDraw, ATP Control Center, ATP_Analyzer, PlotXY, WPCPlot, GTPPLOT, WHFSPlot, WindSyn and Programmer's File Editor (PFE).

The "Salford" ATP versions released in November 2003 have been provided by co-chairpersons Dr. W. Scott Meyer and Dr. Tsu-huei Liu of the Canadian/American EMTP User Group in Portland, Oregon/USA. "GNU-Mingw" and "Watcom" versions released in October 2004 have been provided by Mr. Orlando P. Hevia, Santa Fé, Argentina who maintains these versions in cooperation with co-chairpersons Dr. W. Scott Meyer and Dr. Tsu-huei Liu of the Canadian/American EMTP User Group."

(copied from the CD-Rom "EEUG Annual ATP Programs/Documents Distribution 2004")

The explanations about the content of the sub-folder AtpSystem (which files should be copied by hand into this sub-folder) are based on one of these runtime systems. Therefore it can be a little confusing which files the user should copy into the sub-folder AtpSystem or not. This depends on the different ATP runtime systems.

Independent of the ATP runtime system, the Name of the ATP Executable File e.g. TPBIG.EXE must be set by the user in the dialog Program Settings . The complete file name of the ATP executable file consists of NAME and EXTENSION. ATPDesigner uses this information to create the command line to start the ATP executable file:

ATPSystemExec.File DISK .ATP-File Name .LST-File Name

  • Example

C:\AtpDesigner\TPBIGG.EXE DISK C:\AtpDesigner\Data\Network_1.ATP C:\AtpDesigner\Data\Network_1.LST

ATPDesigner creates the command line invisible for the user and executes ATP in the background as a temporary Windows thread. The .PL4-File will be automatically created by ATP using the file name of the .LST-File but with the extension .PL4.

EEUG GNU-MING W32 - Release

The files listed below should be copied into the sub-folder AtpSystem

  • TPBIGG.EXE
  • STARTUP

MINGW32 - Release

The files listed below should be copied into the sub-folder AtpSystem

  • TPBIG.EXE
  • STARTUP

Please note

  1. In older releases the ATP executable file (.EXE) had been called different.
  2. In older releases it may necessary to copy also the file BLOCKD51.BIN into the sub folder AtpSystem.


Compatibility to the ATP Versions and Releases

As usual and well known from the area of engineering software, several ATP release may be launched in the last years. In addition to this continuously growing number of releases, two different EXE-files of the ATP will be compiled for Windows OS: the MingW32 Version and the Watcom version. Both versions are named according the software compiler system used to compile and link the executable file. Unfortunately both ATP versions MingW32 and Watcom have some special features e.g. regarding the command line or the format of the .PL4-Files . Therefore new ATP releases must be tested regarding their compatibility to ATPDesigner. The ATP release can be easily identified. The header information saved in the .LST-File contains the Source Code Date as shown below. This source code date can be used to identify ATP releases.

  • Please Note

It will be recommended to use the Ming-version of the ATP.

  • Please Note

The text below was copied from the ATP .LST-File which will be created by the ATP executing a power network calculation.

Notice. MAXL31 within STARTUP is invalid. Replace the bad value 0 by a modest, usable 20.

--- 4418 cards of disk file read into card cache cells 1 onward.

Alternative Transients Program (ATP), F77 GNU Linux or DOS. All rights reserved by Can/Am user group of Portland, Oregon, USA.

Date (dd-mth-yy) and time of day (hh.mm.ss) = 19-Jun-16 19:38:56 Name of disk plot file is _ErrorESteiermark\_BRU_Rtg_MUE.pl4

Consult the 860-page ATP Rule Book of the Can/Am EMTP User Group in Portland, Oregon, USA. Source code date is 27 March 2016. <== Source Code Date

Total size of LABCOM tables = 16446853 INTEGER words. 31 VARDIM List Sizes follow: 6002 10K 192K 900 420K 1200 15K

120K 2250 3800 720 2K 72800 510 800K 800 90 254 800K 100K 3K 15K 192K 120 45K 260K 600 210K 1100 19 200K

--------------------------------------------------+--------------------------------------------------------------------------------

Descriptive interpretation of input data cards. | Input data card images are shown below, all 80 columns, character by character

0 1 2 3 4 5 6 7 8

012345678901234567890123456789012345678901234567890123456789012345678901234567890

--------------------------------------------------+--------------------------------------------------------------------------------

Comment card. Card index = 1. |C data:D:\ATPDesigner\_ErrorESteiermark\_BRU_Rtg_MUE.ATP

Comment card. Card index = 2. |C ========================================================

Comment card. Card index = 3. |C ATPDesigner - Design and Simulation of Power Networks

Comment card. Card index = 4. |C Version 4.00.26 - 19.06.2016

Comment card. Card index = 5. |C Copyright © 2005-2016

Comment card. Card index = 6. |C 19.06.2016 , 19:38:56

Comment card. Card index = 7. |C ========================================================

General Recommendations regarding ATP Releases

Users of ATPDesigner shall follow the general recommendations shown below. These settings can be found in the ATP-file called startup. This file can be found in the folder c:\ATPDesigner\AtpSystem. In addition the startup file can be opened using the menu item Open ATP Startup File in the main menu View .

Read more about the ATP file startup and the recommended settings


Compatible ATP Version - Source Code Date

The compatibility between ATPDesigner and ATP will be tested not for all, but for the most important versions and releases of the ATP in principle.

It can be NOT guaranteed that each combination listed below between ATPDesigner and ATP works without any error or any incompatibility.

  • Please Note

It is important to understand, that all users of ATPDesigner must be check the compatibility between ATPDesigner and the release of the ATP to ensure the full compatibility.

  • Please Note

If any compatibility problems will be assumed, please send an e-mail to the ATPDesigner support you will find in www.atpdesigner.de .

    • .NET-File which may be in error
    • .LST-File if possible
    • Source code date of the ATP .LST-File
    • Type of the ATP executable file e.g. tpbig.exe
    • Information about the ATP version e.g. MingW32, GigaAtp, etc.

Source Code Date | Version
27 June 2016 27 June 201625 | Alternative Transients Program (ATP), Intel Visual Fortran (tpgigi32) Alternative Transients Program (ATP), Intel Visual Fortran (tpgigi64)
25 September 2016 25 September 2016 | Alternative Transients Program (ATP), F77 GNU Linux or DOS (tpbigg32) Alternative Transients Program (ATP), F77 GNU Linux or DOS (tpbigg64)
25 September 2016 25 September 2016 | Alternative Transients Program (ATP), F77 GNU Linux or DOS (tpgigg32) Alternative Transients Program (ATP), F77 GNU Linux or DOS (tpgigg64)

Former ATP releases older than March 2016

Version | Source Code Date
MingW32 | 23 July 2007
MingW32 | 15 October 2007
MingW32 | 17 December 2007
MingW32 | 13 May 2008
MingW32 | 09 July 2008
MingW32 | 12 August 2008
MingW32 | 23 January 2009
MingW32 | 28 July 2009
MingW32 | 25 September 2009
MingW32 | 10 April 2010
MingW32 | 16 August 2010
MingW32 | 09 October 2011
MingW32 | 18 November 2012
MingW32 | 14 December 2015 Comment: The ATP release my have problems with larger power networks with more than 100 network elements.
MingW32 | 27 March 2016


ATP File startup - Recommended Settings

The content of the ATP file called startup (file name without any extension) is shown below. Important settings are colored in red.

    • NEWPL4: Format of the .PL4-File

NEWPL4 = 2 (PISA format)

    • LISTYP: File extension of the text file containing the steady-state results here called .LST-File . But nevertheless the extension .lis will be used as ATP standard extension.

LISTTYP = .lis

    • KOMPAR: Writing the source code date into the .LST-File

KOMPAR = 0

  • Please Note

It will be recommended to set the settings to the values as shown above.

  • Please Note

The text below was copied from the ATP startup file which is part of the ATP.

1 RHIGH EPSZNO EPWARN EPSTOP EPSUBA EPDGEL EPOMEG SZPLT SZBED TENFLZ

1.D+10 1.D-8 1.D-3 0.1 100. 1.D-16 1.D-15 10.0 72.0 10.

2 SIGMAX TENERG DEGMIN DEGMAX ZNOLIM(1), (2) STATFR ZNVREF XMAXMX AINCR

4.0 1.D+20 0.0 360. 1.0 1.5 60.0 1.D-6 2.0 .05

3 FREQFR HLETT1 HLETT2 VHS VS VH TAXISL VAXISL FILL1 FILL2

0.25 8.0 1.0 10. 20.0 8.0 6. 7.0

4 TOLRCE FHTAX FXSUP FYSUP FXTIT FYTIT VPLOTS VPLOTL FACTVI FTCARR

8.E-5 0.5 .25 .03 0.10 0.1 1.0 5.0 0.0 1.5

5 FXNUMV FXNUMH FVAXTT FXVERT UNIXON TIMTAC OVRLAP FLZERO EPSILN FLTINF

1.5 5.0 -1.5 0.0 0.0 0.0 0.5 1.D-12 1.D-8 1.D+19

6 XHEADM YHEADM HGTHDM XCASTI YCASTI HGTCST XLEGND YLEGND HGTLGN TSTALL

2.5 7.95 .55 0.5 7.3 .35 0.5 1.30 .25 0.0

7 XALPHA YALPHA HGTALF D4FACT PEKEXP EPSLRT EPSPIV PLMARK FACOSC UMJBUS

1.5 6.5 .25 1.0 43. 1.E-12 1.E-16 1.0 0.3

8 NMAUTO INTINF KOL132 MUNIT5 MAXZNO IPRSPY IPRSUP LNPIN MINHAR MAXHAR

1 9999999 132 1 50 0 0 6 0 20

9 NFORS2 NIOMAX MRGN LINLIM MPAGE MODE28 KPGRID KPEN(1) KPEN(2) KPEN(3)

30 10 2 100 0 1 3 12 10 11

10 ..(4) KOMLEV NSMTH MODSCR KOLALP MAXFLG LIMCRD NOBLAN MOUSET NOTPPL

14 -1 50 2 5 1 60000 1 0 1

1 NOCOMM NOHELP NEWPL4 JDELAY NOTMAX NSMPLT KOLWID KOLSEP JCOLU1 KSLOWR

0 0 2 0 0 50 11 1 0 25

2 KSYMBL NOBACK KOLEXM LTEK NCUT1 NCUT2 INCHPX INCHPY NODPCX LCHLIM

50 1 60 1 13 11 2 2 0 0

13 NORUN JTURBO MAXSYM IHS LIMCOL KLEVL KEXTR NOHPGL NOPOST NOSM59

0 1 3 3 79 0 0 0 0 0

4 LEFTA6 LENREC LU6VRT LRLIM KASEND LUNDAT KTRPL4 JORIEN LIMPNL LUNTEX

0 0 32768 75 5 3 -6666 0 200 -11

5 KINSEN LISTON LIMTAC NOCALC MFLUSH L4BYTE KOMPAR LIST01 NOGNU KROSEC

1 0 25 0 1000 1 0 0 0 0

6 LUNIT1 LUNIT2 LUNIT3 LUNIT4 LUNIT5 LUNIT6 LUNIT7 LUNIT8 LUNIT9 LUNT10

1 2 3 -4 5 6 7 8 9 -10

17 KS(1) KS(2) KS(3) KS(4) KP(1) KP(2) KP(3) KP(4) KOLROV NUMHLD

0 0 12 10 7 14 0 0 18

8 L4FULL NOQUOT JJEATS NUMBUS NOTAB

0 0 0 -1 0

18 Name of language font file ] Window] Root name for SPY @K usage ]

\ junk inclspy .dat

9 SSONLY CHEFLD TEXNAM CHVBAR BRANCH TXCOPY USERID -TRASH -TERRA CHRCOM

PHASOR E DUM | NAME COPY Hannov ...... TERRA C {}$,

0 DATTYP LISTYP PCHTYP PL4TYP EFIELD FMTPL4 PSCTYP DBGTYP BINTYP EXTTYP

.dat .lis .pch .pl4 .ps .dbg .bin .ext

C After regular STARTUP comes optional VMS-like symbol definitions that are

C used for input data file name in response to the opening prompt.

scott:==c:\atp\ { 1st of 2 remote directories

tsu:==c:\tsu-huei\ { 2nd of 2

$EOF { Software end-of-file terminates last of 20 or fewer VMS-like symbols

HLETT2 = 88555. ==> use READ (*, rather than CALL FLAGER for keyboard input

0.25 88555. 8.0 1.0 10. 20.0 8.0 6. 7.0

0.25 8.0 1.0 10. 20.0 8.0 6. 7.0


Overview about Projects

Read also about .ZIP-Files

Read also about File Save As..

Read also Save Project

Read also How to Create a Project Backup using .ZIP-Files

The simulation of electrical power networks will be more and more complex e.g. if protection relay functions shall be included in the project. For such purposes an External .ATP-File must be used as a container for MODELS or Empirical Functions .

Therefore to save only the .NET-File will be not sufficient to save all required data of the entire project. ATPDesigner provides the user with features to manage such complex projects more easy.


Save Project

Read also about .ZIP-Files

Read also about File Save As..

Read also Save Project

Read also How to Create a Project Backup using .ZIP-Files

ATPDesigner provides the user to save the .NET-File and all assigned files in ONE .ZIP-File . This feature can be very usefully in more complex projects, if not only the .NET-File but also one or more External .ATP-Files or Empirical Functions , which has been added to the project e.g. to realize high-sophisticated features based on MODELS , are part of the network simulation project. The file name of the .ZIP-File will be automatically proposed, but can be overwritten by the user.

  1. Toolbar button [image] .
  2. Main menu File , menu item Save Project .
  3. Ctrl + Alt + P

File name of the .ZIP-File: YYYYMMDDHHMMSS_{File name of the .NET-File} + .ZIP

  • Example

20151225083641_Network_6.zip


Network Design Mode

The Network Design Mode is enabled as default, if ATPDesigner had been started and a new power network has been created. The Network Design Mode Toolbar is displayed at the top of ATPDesigner main frame. The figure below shows the Network Design Toolbar . New network elements can be added to the power network, if the Network Design Mode has been enabled by a left mouse button click on the toolbar switch [image] . The toolbar can be moved to any other location inside ATPDesigner main frame.

Read more about Network Design Toolbar

Enable / Disable Network Design Mode

The user can enable or disable the Network Design Mode using

  • the menu item View or
  • the assigned button of [image] of the Main Toolbar or
  • the Hotkey CTRL + W.


Network Design Mode - Enabled

If the Network Design Mode has been enabled e.g using the toolbar button [image] of the Main Toolbar , there are no limits or restrictions working with ATPDesigner.

  • Add new network elements
  • Delete network elements
  • Move network elements
  • Rotate network elements
  • Disconnect existing network elements from other network elements
  • Connect existing network elements to other network elements
  • Display the properties of the network element
  • Change the data of each network element
  • Calculate voltages and currents
  • Display diagrams
  • Process protection elements
  • Displaying tripping characteristics

... and a lot of things more. ATPDesigner provides the user in an Interactive Design of Electrical Power Networks.

Open the Settings Dialog of a Network Element

  • If the Network Design Mode has been enabled the power network can be modified. The settings dialog of a network element can be opened by a Left Mouse Button Double Click on the shape of the network element.


Network Design Mode - Disabled

Network Design Mode disabled - Protect the Power Network against Modifications

  • The Network Design Mode can be used to protect the power network to be modified. If disabled it is not possible to select one or more, move, copy, delete, etc. network elements or to modify the power network itself.

Network Design Mode disabled - Easy opening the Settings Dialog of a Network Element only by One Click

  • If disabled ATPDesigner automatically selects the network element which is located "under" the tip of the mouse cursor. The settings dialog can be easily opened using one left mouse button click. The figure below shows an example, where the mouse cursor has been located "over" the shape of the Network Infeed .

If the Network Design Mode has been disabled, there are some limits and restrictions working with ATPDesigner.

Open the Settings Dialog of a Network Element

  • If the Network Design Mode has been disabled the power network can not be modified. But nevertheless the settings dialog of a network element can be easily opened by a Single Left Mouse Button Click on the shape of the network element. If the mouse cursor has been moved "over" a shape of a network element, ATPDesigner automatically selects the network element which is "under" the mouse cursor.

  • If the Network Design Mode has been disabled, it is possible
    • to process all kind of network calculations, protection analysis, , defining a short-circuit, etc.
    • to Enable or Disable Network Elements


Properties

If a network element has been selected, the properties of this network element can be displayed as presented in the figure below pressing the F2 Key . The figure below shows as an example the properties of the Circuit-Breaker Cb1. Please note that the measuring location M2 is assigned to the Circuit-Breaker Cb2. Therefore the data of the Assigned Network Element has been also displayed in the settings dialog.

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Information related to the Nodes of the Network Element

No. x

Name of node number x of the network element (x = 0, 1, ...)

Each used node of the network element will be identified using an unique node name for the .ATP - File. The structure of the node names is described in Node Names in the ATP Control File .

Con. Object

Connection of the node of the selected network element to a node of an other network element

These data describes the connection between nodes of network elements as base of all interconnections of the power network.

Elec. Connected

  • = 0 : Node is electrically connected to the graphical connected node
  • = 1 : Node is NOT electrically connected to the graphical connected node

Bi(0)/Uni(1)

  • = 0 : Node is bi-directional connected to an other node
  • = 1 : Node is uni-directional connected to an other node e.g. a node of the Measuring Line

COL

Drawing color of the network element

Zone

Zone number of the network element

Each network element can be assigned to a set of network elements using the Zone Number. The zone number 0 indicates that the network element is not assigned to any set of network elements.

Information related to the Network Element

Object No.

Number of the power network element of a specific type e.g. number 2 for network element Cb2

Object Index

Index of the data structure of the network element, which is saved into the .NET-File

  • Please Note

The data of each network element is saved into the .NET-File :

    • the data of the graphical representation etc. in the section [NetworkData]
    • and optional the physical data of the network element in a separate section e.g. [LineNo1] for the network element Line 1

Object Type

Type identifier of the network element:

    1. Network Infeed
    2. Single Circuit Line
    3. Busbar
    4. Circuit-Breaker ( 3-Pole ) or ( 1-Pole )
    5. Load Impedance
    6. Transformer
    7. Generator
    8. Connection
    9. Fault Type and Fault Location
    10. Measuring Location
    11. Current and Voltage Transformer
    12. RLC Impedance
    13. Textframe
    14. Grounding System
    15. Static Power Network Sources
    16. Autotransformer
    17. Probe
    18. Splitter
    19. BCTRAN Transformer
    20. Empirical Function
    21. 3-Phase Symmetrical Source
    22. External .ATP-File
    23. Cable
    24. TACS
    25. Nonlinear Element
    26. not used
    27. Multi Frequency Source
    28. Switch
    29. Saturable Transformer
    30. Admittance Function
    31. ZNO Fitter
    32. XFORMER Transformer
    33. Multi-Circuit Line
    34. Electrical Machine
    35. Universal Machine
    36. Load Flow Node

List Index

Index of the network element in the global list of the network elements

Locked

1 = Flexible shape, 0 = otherwise

Group No.

Number of the group, which the selected network element belongs

Information related to the Assigned Network Element

Name

Name of the assigned network element

Index

Index of the assigned network element in the global list of the network elements

No. 0

Name of the left-side node of the assigned network element

No. 1

Name of the right-side node of the assigned network element


Properties of Busbars

The properties of Busbars will be displayed using the common Properties dialog.


Nodes of Network Elements

Read also FIND - Network Elements and Node Names

A network element consists of one or more nodes to connect other network elements. The number of available nodes depends on the Network Element Type .

  • Nodes of Selected Network Elements

If a network element has been selected (e.g. by a left mouse button click on the shape of the network element), the nodes of the selected network element are displayed in light gray. The figure below shows a part of an electrical power network where Circuit-Breaker Cb1 has been selected by a left mouse button click.

  • Nodes of Not Selected Network Elements

If network elements are not selected all nodes are drawn as a small square in blue color, if the node is connected to an other network element. Not connected nodes will be drawn in a different color which can be selected in the settings dialog Graphic Colors . The figure below shows two network elements Cb1 and Line 1 where at least one node is still not connected. These not connected nodes are drawn in red. Not connected nodes and both network elements have been drawn in other colors to highlight their status "Not Connected".

Not selected nodes of a Busbar will be always drawn in light blue.


Nodes of Network Infeeds

The figure below shows a part of an electrical power network using the network infeed Network 1 . If the shape of a network infeed shall be moved, the network element must first be selected . In the figure below the network element Network 1 has been selected by a left mouse button click and therefore it's drawn in light gray. Only one node can be used to connect Network 1 to an other network element. If Network 1 should be disconnected from an other network element, always the visible node can be used to move the shape if the left-mouse button has been pressed down.


Find - Network Elements and Node Names

Read also Find Protection Elements

Sometimes it may be of interest to search one specific network element or one specific Node Name or Disabled Network Elements in the power network. The Find dialog provides the user to find a network element in the power network of the top most view. The Find dialog is a non-modal dialog. Therefore this dialog can keep open in parallel to other dialogs and views. The network element will be MARKED BY A RED FRAME. The figure below shows an example.

  • Please Note

The frame drawn around the identified network element can be only deleted, if the FIND dialog is still open and the CLEAR button will bee pressed. If the frame is still visible saving the power network file, the frame will be not saved.

How to Delete the Frame Around a Network Element Drawn in the Power Network Graphic

  • If the FIND dialog is not open, it must be first opened e.g. via CTRL + F or the main menu Edit , menu item Find
  • Select the name of the framed network element in the list via a left mouse button click.
  • Press the FIND button. The network element will be marked by a red frame.
  • Press the CLEAR button. The red frames will be deleted.

The next two figures show examples of the Find dialog. The root item of the dialog is always the file name of the .NET-File , which contains all data of the power network visible in the top most graphics view.

The most important functions of the Find dialog:

  • Presentation of all network elements of the topmost power network
  • Presentation of the enabled settings of the network elements
  • List of all valid TACS signals ( See more about TACS Management System )
  • Export of all these information in a Network Description File
  • Searching and marking network elements in the topmost power network graphic

How to Get an Overview about the Network Elements used in a Power Network ?

The Find dialog can be easily opened using several methods:

  • using the Hotkey CTRL + F
  • using the menu item Find in the Right Mouse Button Menu
  • using the menu item Find in the main menu Edit

Network Elements

  • Number of network elements used in the power network overall
  • Number of network elements used in the power network for each network element type e.g. Single-Circuit Line or Load Impedance

Disabled Network Elements

List of the network elements which are visible and disabled .

Line with Disconnected Node

It is possible that a connected nodes of a Single-Circuit Line can be disconnected. These nodes are drawn in red color.

Read more about Enable or Disable a Node of the Line by a Mouse-Click .

General Settings

Settings related to the power network in general or related to the network simulation process

Help

Open the corresponding chapter in the help file

Close

Close the dialog

On Top

Dialog remains on top if checked.

How to Find a Network Element in the Tree

A network element can be easily found using the Find dialog. The network element must be first selected in the menu tree by a left mouse button click on the name of the network element. After that the FIND button must be clicked. The network element will be now marked by a red colored frame.

Find

Find the network element in the list of network elements of the power network visible in the top most view

Clear

Redraw the network element using the standard drawing color and delete the frame around the network element.

See more details about Color Configuration

The figure below shows an example where a Transformer has been found and marked.

Expand and Collapse the Tree

Expand

Expand all items of the network element tree, all levels of the tree will be expanded

Collapse

Collapse the tree back to the root item

Expand +

Expand the current visible tree about ONE LEVEL

Collapse -

Collapse the current visible tree about ONE LEVEL, but the root item will be always visible at least

Copy the Settings into the Clipboard

Copy Settings

Copy all information which are saved in the tree control of the Find dialog into the clipboard to be copied in other applications

Writing the Settings into a Text File, Open the Settings File

Write Settings

Write all information which are saved in the tree control of the Find dialog in a text file so called Network Description File.

Open Settings

Open the Network Description File in an external text editor.

TACS Management System - Presenting all available TACS Signals of the Power Network

The figure below shows how ATPDesigner presents the TACS signals of a power network in the tree control of the Find dialog. First the name of the TACS signal will be presented, followed from the name of the TACS creating network element written in brackets.

Properties of the Network Element - Explanation of the Bitmaps used in the Find Tree

  • : Unique Reference name
  • : User specific name
  • : Node names or Node names with connected network elements
  • : 1-phase or 3-phase network element
  • : Number of the data set in the .NET-File
  • : Entry item of the names of the TACS signals of the power network
  • : Name of the TACS signal followed b the name of the "TACS producing" network element in brackets
  • : Entry item of the settings of the network element
  • : Setting of a network element

  • : Network element has been enabled or disabled
    Read more about How to Enable or Disable Network Elements

  • : Shape of the network element has been locked or unlocked
    Read more about How to Lock / Unlock Network Elements


Copy and Paste Network Elements

Read also Right Mouse Button Menus

The design of more complex power networks can be simplified, if existing network elements can be duplicated via Copy & Paste. As usual in Windows applications objects can be copied and paste as a new object via the Clipboard. ATPDesigner also supports this feature. Not only the shape but all settings of the network element will be copied, unless the user specific name of the network element. It is possible to copy and paste a network element in the same view (what means to duplicate) but also between different views. Therefore two different methods have been implemented in ATPDesigner to copy and paste network elements.

Method 1 [image] : Duplicate = Copy and Paste Network Elements in One Step

Network elements can be duplicated in one step, but not between two different power networks. After the network element has been selected, it can be copied and inserted clicking the button [image] in the Network Design Toolbar . Please note that the procedure to paste the new network element is identical to the network element specific procedure to add such a network element as new. As an alternative the menu item Duplicate as part of the Right Mouse Button Menu can be also used.

The copy function can be started by several methods:

  • Right Mouse Button Menu
  • Network Design Menu
  • Network Design Toolbar

  • Please Note

If no network element has been selected, the button [image] will be disabled.

Method 2 [image] , [image] : Copy and Paste Network Elements with CTRL + C and CTRL + V

The well known method in Windows applications to copy existing objects is the two-step method CTRL + C [image] and CTRL + V [image] so called Copy and Paste. The new network element will be copied into the center of the graphics view.

  • Please Note

If no network element has been selected, the graphics of the power network will be Copied Into The Clipboard .


Copy and Paste Text and Pictures

ATPDesigner provides the user also to copy and paste text and pictures from the clipboard into the power network graphics.

  • Please Note

The number of the picture formats used in the windows world are really big. Therefore it is not possible to support all existing picture formats to paste them into ATPDesigner. If text or a picture has been pasted from the clipboard, ATPDesigner creates automatically a new Text Frame and inserts this Text Frame into the power network view.

Read more about Copy and Paste Network Elements


Copy Settings from One to Another Network Element

Read the chapter How to Copy Settings from One to Other Network Elements


Open Settings Dialog with One Mouse Click

Read the chapter How to Open the Settings Dialog only with One Left Button Mouse Click


Undo

Read more about Edit

Read more about Main Toolbar

Read more about Program Settings

One of the most important standard functions of software tools, which are designed according Windows Style Guide is the Undo - Function. Using the Undo - Function the user can go back step by step and cancel the modifications step by step he had done. ATPDesigner supports also an Undo - Function.

The Undo - Function can be used

  • clicking the Undo - button [image] of the Main Toolbar ,
  • via the menu item Undo in the Edit - menu or
  • via the accelerator CTRL + Z .

The Undo - Function will be automatically disabled, if no further Undo -Step are available.

The maximum number of Undo - Steps can be set in the dialog Program Settings . The maximum number of Undo - Steps will be saved in the .INI-File . The figure below shows the corresponding setting as part of the dialog Program Settings .

Read more about Program Settings

The Undo - Function stores the modifications for each graphics view independent from each other. But the maximum number of Undo - Steps is a common setting. If the user opens a new graphics view e.g. a new power network, the new graphics view takes over the maximum number of Undo - Steps, which is currently set in the Program Settings . Then the maximum number of Undo - Steps is fixed as long the graphics view will be closed an re-opened.

If the user wants to change the maximum number of Undo - Steps, he must

  • first close the graphics view,
  • open the dialog Program Settings ,
  • set a new value for the setting Undo Steps = ... and
  • re-open the graphics view.


Grouping Network Elements

ATPDesigner provides the user to define Groups of Network Elements. First the user must select two or more network elements by Consecutive Left Mouse Button Clicks or using a Frame . Depending if some of these network elements are already part of a group or not, the both features Grouping and Ungrouping can be used.

  • Grouping Network Elements: CTRL + ALT + G

Create a group containing all selected network elements

  • Ungrouping Network Elements: CTRL + ALT + U

Delete a group containing all selected network elements

  • If one of the network elements of a group has been selected by a Left Mouse Button Click, all network elements of the group will be automatically selected (drawn in grey color).
  • A group of network elements can be easily relocated to an other position of the graphics view as well known from the relocation of one network element.

The figure below shows a group of network elements selected by a Left Mouse Button Click.

Read also How to Select One or More Network Elements


How to Download the Newest Update of ATPDesigner

Read also ATPDesigner - Web Services

ATPDesigner provides the user downloading the newest setup file from its update server, if an internet connection has been established before.

  1. Open the main menu HELP
  2. Open the dialog Web Services
  3. Click on the button DOWNLOAD UPDATE

The download session will now be initiated. The download file will be always saved in the root of the current drive e.g. "C:\". The figure below shows the download dialog. After the download has been finalized, the setup can be started as explained in the chapter Installation Setup for ATPDesigner .

Please note, that ATPDesigner automatically checks the availability of software updates saved on the web server during the startup phase. This option can be disabled using the setting Checking for ATPDesigner Updates in the settings dialog Program Settings . The figure below shows this setting.


How to Disable or Enable Network Elements

Network elements can be enabled or disabled for the network simulation processed by the ATP. If a network element has been disabled, it will be drawn as part of the network using the Color for Disabled Network Elements , but it will be ignored for the network simulation processed by the ATP.

Please note, that several network elements can be first selected. Thereafter these selected network elements can be enabled or disabled at the same time e.g. pressing the F5 hot key.

Read more about F5 : Enable or Disable Network Element(s)

Read the explanations about the corresponding button in the Network Design Toolbar


How to Display the Short-Circuit Analysis Results in the Power Network Graphics

Read more about List of Short-Circuit Analysis Results

Read more about Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Example: Short-Circuit Analysis Results


How to Increase the Available Graphics View

The graphics view of ATPDesigner can be increased by a simple method. The figures below show an example. The first figure shows a graphics view, which is completely used to present the graphics of the power network.

First the network graphics has to be moved ( Move Network Graphics ) to a position out of the graphics view e.g. to the upper-left corner in order to get a blank area, where the network graphics can be extended.

Now the new network elements 380kV Network Infeed and 380/110kV Transformer can be both added at the right side of the graphics view.

Now the network graphics can be moved back to the old position and scroll bars will be enabled automatically.


How to Load Automatically the Last .NET - File During Startup

ATPDesigner can be set to load automatically the last processed .NET-File during the startup phase. To enable the option Loading last .NET-File during startup the corresponding setting inside the Program Settings must be enabled. The figure below shows the part of the Program Settings dialog which is of interest.


How to Lock / Unlock Network Elements

ATPDesigner supports network elements

  • with a fixed graphical representation (shape) and
  • with a flexible graphical representation (shape), which can be changed e.g. with a rubber band.

To check the Unlock / Lock state the user should select first the network element and then he should check the Unlock / Lock symbol which is part of the Toolbar for Network Design Mode .

The toolbar button indicates, that the shape had been locked. The shape can be NOT changed, but the network element can be moved without changing the shape.

The toolbar button indicates, that the shape had been unlocked and can be changed now.

Network elements with changeable graphical representation (shape):

  • Single-Circuit Line
  • Double-Circuit Line
  • Connection
  • Cable

Please note, that all other network elements can be Rotated Clockwise or Anti-Clockwise .

The figure below shows a snapshot of the graphical view of a power network drawn after selecting all network elements using the menu item Select All or CTRL + A. It can be seen that the Lock [image] / Unlock [image] - Symbols of the network elements with flexible shape will be displayed.


How to Measure Currents and Voltages Independent of Circuit-Breakers

Voltages and Currents can be measured independent of the Measuring Locations of Circuit-Breakers Cb1..5 using a Probe . Probes can be added to the power network via the methods described below:

  • menu item Add Probe in the main menu Network Design
  • pressing the toolbar button [image] in the Toolbar for Network Design Mode
  • menu item Add Probe in the sub-menu Probe of the Right Mouse Button Menu , if the mouse cursor had been located "over" a Probe graphics symbol (see figures below)

Read more about Probes


How to Save COMTRADE Files

Read more about How to Save COMTRADE Files with User Defined Signals


How to Zoom the Power Network Graphics using a Zoom Frame

Read more about How to Zoom the Power Network Graphics using a Zoom Frame


How to Design a Single-Phase Network

Single-phase networks can be also designed using ATPDesigner. The steps to design single-phase networks will be explained below.

  • Step 1

Delete all network elements: How to Delete All Network Elements

  • Step 2

Add a single-phase source via the Network Design Menu or pressing the button [image] in the Network Design Toolbar

  • Step 3

Add all network elements which are of interest using the same menus and buttons designing a 3-phase-network. The single-phase option must be set in the corresponding dialogs for each network element.

  • Example - Single-Phase Load Impedance

The figure below shows the settings to define a single phase load impedance. The settings are explained in the corresponding chapter of this help file.

!!! Caution !!!

If all network elements have been disabled, all Measuring Locations will be also automatically disabled. Therefore no Output Signal will be defined in the .ATP-file. This will confuse the ATP. If ATP tries to calculate such an ATP data case without any output signal, ATP generates the error message shown below.

The user must select at least one output signal e.g. via the setting Output Signals set to Output List 3 or higher in the ATP Data settings dialog.

Read more about the ATP Data settings dialog


How to Add a New Network Element

Read also How to Add a New Network Element Using the Network Element Toolbox

New network elements can be added by different methods described below.

Network Design Toolbar

A new network element can be added, if the corresponding toolbar button has been pressed. The figure below shows the Network Design Toolbar .

Network Design Menu

A new network element can be added, if the corresponding menu item has been pressed. The figure below shows the Network Design Menu , which can be opened via a Right Mouse Button Click.

Example: Add a New Load Impedance

  • Step 1

After pressing the corresponding button [image] of the Network Design Toolbar , the dialog shown below will be presented. The user must now decide the Drawing Direction . The drawing direction can be also changed, if the network element had been added to the power network e.g. How to Rotate a Network Element .

  • Step 2

If the drawing direction Right has been chosen, ATPDesigner draws the frame of the network element to the right-side of the mouse cursor [image] . The frame of the network element can be seen in the figure below drawn as a dashed rectangle.

  • Step 3

If the final position of the network element has been chosen, the left mouse button must be pressed. Releasing the left mouse button ATPDesigner opens automatically the corresponding settings dialog (see Load Impedance ). Default settings are always automatically defined. Now the user can change the settings of the new network element. In the example below the both settings Name and Solid Grounded has been changed (see the both red frames).

  • Step 4

As the last step, the setting dialog must be closed. The load impedance was added to the right busbar. The modifications of the default settings can be easily seen inside the red rectangle.


How to Add Using the Network Element Toolbox

Read more about in the main menu item View


How to Add a Connection or a Line or a Cable

Read also about Single-Circuit Line

Read also about Double-Circuit Line

Read also about Cables

A new Connection, a new Line or a new Cable can be added to the power network by two different methods:

  • Menu item Network Design
  • Network Design Toolbar

  • Please Note

Connections and lines are network elements with a Flexible Graphical Representation (shape). Therefore connections can be Unlocked and Locked.

Read more about How to Lock / Unlock Network Elements

Choose the menu item Add Connection, Add Line or Add Cable of the menu Network Design or press the button [image] of the Network Design Toolbar to create a new connection or press the button [image] of the Network Design Toolbar to create a new Single-Circuit Line . To add a new cable click on the button [image] . In the example shown below a new line will be added. The example can be directly transferred if a new connection should be added. The cursor will be displayed as a red cross as shown in the figure below, if the new line was added via one of the both methods described above.

Step 1: Connecting One End of The Line to a Node

Move the mouse cursor [image] to a node. If ATPDesigner has identified a node, the mouse cursor will change to the mouse cursor symbol [image] .

Step 2: Drawing the Line as a Rubber Band

Press the left mouse button and move the mouse cursor [image] to the target location. The target location can be a not connected node of an other network element or any other location inside the graphics view. As long as the cursor will be moved the line will be drawn as a dashed line (rubber band).

Step 3: Selecting the Target for the Second Node

If the target location has been set, the line will be drawn. The figure below shows a power network with a line with one not connected node .

The figure below shows the graphical representation of a connection (thin line).

If the first node of the line are not connected to an other network element, the dashed line will be drawn as shown in the figure below.

If the second node is also not connected, the line will be located automatically in the center of the graphics view.


How to Add Additional Nodes for Single-Circuit Lines

The network element Single-Circuit Line consists of two nodes at both terminals of the line. ATPDesigner provides the user to enable additional nodes at each terminal of the line e.g. to connect a Load Impedance or other Network Elements directly at these nodes. In this case it is not necessary to use Busbars . Using the additional nodes the number of network elements can be minimized. The figure below shows an Low-Voltage Power Network which has been realized using the Additional Nodes .


How to Enable Protection Relaying Results

Read also Protection Relaying Results

Read also Main Toolbar

The Protection Relaying Results of ATPDesigner can be used to calculate the short-circuit analysis data e.g. phase-to-ground impedances of electrical power networks. The Protection Relaying Results operating mode must be first enabled in the settings dialog ATP Data .


How to Enable Automatic Calculation of the Power Network

Read more about the option Automatic Calculation

ATPDesigner can be set to start automatically the simulation of the electrical power network, if any setting of any network element had been modified. This option can be enabled in the settings dialog ATP Data . The option Automatic Calculation may be very helpfully if the user wants to modify a lot of different settings of one or more network elements of the electrical power network and he wants to check the results after each of these modifications. The Automatic Calculation of the power network saves a lot of time and a lot of mouse clicks.


How to Enable or Disable Network Elements

Read also How to Enable All Disabled Network Elements

Read also about Color Configuration

Network elements can be enabled or disabled for the network simulation processed by ATP. This feature can be very helpfully for the user during the design of a power network, because it is not necessary to delete a network element but only to disable the network element.

Network elements can be enabled or disabled using several methods:

  • Network Design Toolbar using the button
  • Right Mouse Button Menu

Enable

The network element will be taken into account during the network simulation. The network element will be drawn in the standard color for network elements.

Disabled

The network element will be NOT taken into account during the network simulation. If the network element is disabled, it will be drawn as part of the network using the Color for Disabled Network Elements .

  • Please Note: Disable a Busbar

If a Busbar has been disabled, all connected network elements will be disconnected from the Busbar . The figure below shows an enabled busbar. Before disabling the busbar the Transformer and the Probe were connected to the busbar. After disabling the busbar both network elements have been also disconnected and therefore drawn in light blue.


How to Enable All Disabled Network Elements

Read also How to Enable or Disable Network Elements

Disabled network elements can be enabled in one step using the menu item Enable All in the main menu Edit .


How to Copy Settings from One to Other Network Elements

ATPDesigner supports some useful features designing power networks. One of these features provides the user to copy a setting from a settings dialog of a network element to all other network elements of the same type, which has been also selected. Not all of the Available Network Elements and their settings are supported by this feature. But it can be easily identified if supported or not. It is only possible to copy a setting from one network element to an other network element of the same Network Element Type .

How to identify if the setting of one network element can be copied to the corresponding setting ?

  1. Define the destination: Select all network elements of the same type to which the setting shall be send

  2. Define the source: Open the settings dialog of the network element

If all network elements of one type shall be selected it will be recommended to use the Network Tree Control of the Project Information Window and its right mouse button menu.

  3. Move the mouse cursor "over" the control element of the setting e.g. a list control or a edit control
  4. Click on the Right Mouse Button
  5. Click on the Left Mouse Button to executed the Copy command

The both figures above show two different types of Right Mouse Button Menu both with the option Copy.

A way to select a part of the network elements of one type ?

  1. Select all network elements, where one setting should be changed e.g. by a Left Mouse Button Click or a Frame
  2. Open the settings dialog of the network element from which one setting shall be copied to all other network elements

  • Please Note

If many network elements have been selected, a Left Mouse Button Double-Click may be difficult and sometimes, the result is that all network elements are deselected. Therefore the user shall open the settings dialog by a right mouse button click (open the Right Mouse Button Menu ), selecting the menu item Network Element Data.

  3. Move the mouse cursor to the setting which shall be copied

  4. Right Mouse Button Click to open a settings specific submenu

  • Please Note

It may be that this feature has been not implemented for the setting which should be copied. In this case the settings specific submenu will not appear.

  5. Select the menu item Copy of the settings specific submenu.

The figure below shows an example. The setting S shall be copied using the submenu item Copy.

  • Please Note

Only selected network elements of the same type are destinations of the settings.


How to Show Power Network and Diagrams in Parallel

As well one or more power networks as one or more Diagrams can be shown in parallel using ATPDesigners Multi Document Interface (MDI) capability. The figures below show an example step by step.

Step 1: Design of the Power Network, Calculation of Voltages and Currents

After the power network has been designed, voltages and currents can be calculated via the button [image] of the Main Toolbar . Voltages and currents will be automatically saved by the ATP into the .PL4-File .

Step 2: Open the .PL4- or COMTRADE-File

Before a diagram can be created, a .PL4- or COMTRADE-File must be opened e.g. using the File Open or the Browse Files function.

1. Double - click on the .PL4 or COMTRADE - file name

OR

2. Select the .PL4 or COMTRADE - file name and press the Open button

OR

3. Open the Right Mouse Button Menu and select the menu item Open Diagram (.PL4-File).

Now select one or more of the node names presented in the list box.

After one or more output signals have been selected, the diagram will now be created in a new power network view.

Step 3: Select Tile in the Menu Item View

Now the power network view and the diagram of voltages and currents are displayed in parallel.

Step 4: After Re-Calculating the power network, select the diagram window
and press [image] to refresh the diagram

In the figure below the short-circuit has been changed from fault AG to fault AB.


How to Show the Node Names of Network Elements

Read also Node Names in the ATP Control File

Read also User Specific Node Names

Read also Node Names for Measuring Locations

Read also Node Names for Differential Protection

Read also Node Names for Transformers

Read also Node Names for Fault Locations

Read also Node Names for CT Saturation

Read also Node Names for CVT

Read also Node Names for Probes

The network elements of a power network are connected using electrical Nodes , which can be identified by unique Node Names . The node names can be displayed in the view of the power network using F3 or the toolbar button [image] , which can be found in the Toolbar for Network Elements . The node name(s) will be displayed using the Tooltip Technology well known from the Short-Circuit Analysis Results implemented in ATPDesigner depending on the current position of the mouse cursor.

1. Press F3 or the toolbar button

2. Move the mouse cursor to the node or to the network element of interest.

3. The node name(s) will be displayed in a tooltip.

  • Please Note

The network element may consist of one, two or more Node Names . For example the network element Load Impedance consist of only one node name, the network element Transformer of two node names. The user can select one of the node names using the cursor up and cursor down keys.

  • Please Note

User Specific Node Names can be ONLY shown in a tooltip, if at least once the .ATP-File has been created.

The figure below shows the node names of the node identified at the current cursor position and the name of the network element in a tooltip.

If a network element but not a node could be identified at the current cursor position, ATPDesigner shows all nodes of the network element using a Multi-Line Tooltip.


How To Show Settings at the Tip of the Mouse Cursor

ATPDesigner provides tooltips displayed at the tip of the mouse to show the most important (what means not all) settings of a network element.

  1. Enable or disable this function by pressing the toolbar button [image] or the menu item Settings of Network Elements of the main menu Power Network .

  2. Move the tip of the mouse cursor "over" the shape of the network element. The tooltip if available will be displayed.

The figure below shows a tooltip for a Load Impedance .

  • Please Note

Not all but only the most important settings will be displayed in this tooltips. The settings dialog of a network element, which contains all settings can be opened e.g. by a left mouse double-click "on" the shape of the network element or "on" the name of the network element in the Project Information window.


How to Use Protection Elements and Probes

Read more about in Probe - Creating Automatically a V, I - Diagram


How to Use 1-Pole or 3-Pole Circuit-Breaker

Circuit-Breaker can be used in different operation modes according the different types of Circuit-Breakers used in high-voltage and medium-voltage networks.

3-Pole Circuit-Breaker

These type of circuit-breaker can open the 3 poles only simultaneously. Only 3-pole tripping is possible.

1-Pole Circuit-Breaker

These type of circuit-breaker can open each pole independent of each other. 1-pole and 3-pole tripping is possible.

The operating mode of circuit-breaker can be selected in the Network Configuration dialog.


How to Use the ATP Steady State Analysis

Read more about List of Short-Circuit Analysis Results

Read more about Short-Circuit Analysis Results Displayed in Tooltips


How to Use Short-Circuit Calculation acc. VDE 0102 (IEC 60909)

ATPDesigner supports the short-calculation acc. VDE 0102 (IEC 60909).

  • Please Note

Read more about settings, features, restrictions and implementation details in VDE 0102 (IEC 60909) .


How to Delete Network Elements
  • Step 1

Select all network elements to delete

  • Step 2

Press Del - key or [image] of Network Design Toolbar or Right Mouse Button Menu

ATPDesigner shows the dialog presented below with the number of selected network elements to delete. The user can now decide, if the selected network elements should be deleted or if the execution should be canceled.

Which Network Elements Can Not Be Deleted ?

Network Elements With Assigned Network Elements

The figure below shows an example of a power network. Circuit-Breaker Cb1 has been defined as a Circuit-Breaker With Assigned Measuring Location . This assigned measuring location is still enabled. Therefore the circuit-breaker can not be deleted. If the Circuit-Breaker Cb1 should be deleted, the Measuring Location must be first disabled. The user can disable measuring locations via the menu item Network Configuration .

If the measuring location has been not disabled, the message shown below will be presented.


How to Delete All Network Elements

How to Delete All Network Elements in One Step

Read also How to Delete Network Elements

All visible network elements can be deleted using one of the methods described below.

Method 1

  • Select the menu item Erase All of the menu Edit or press the Del - key.

A message as shown below will be displayed. The user has now the opportunity to confirm with YES or to cancel with NO. If the YES - button has been pressed, all network elements will be deleted. If necessary, the network can be rebuild using the Undo function.

Method 2

  • Select all visible network elements: How to Select One or More Network Elements
  • Follow the instructions in How to Delete Network Elements


How to Identify Node Names

Node Names in the ATP Control File

Node Names for Measuring Locations

Node Names for Differential Protection

Node Names for Transformers

Node Names for Fault Locations

Node Names for CT Saturation

Node Names for CVT


How to Identify Not Connected Nodes

Read more about Node Names

ATPDesigner automatically checks the topology of the power network and identifies all nodes of network elements, that are not connected to other network elements. Not connected nodes and the corresponding network elements will be drawn in red color, but for Busbars in light blue color as default setting. The colors can be modified in the settings dialog Program Settings .

If two different nodes are located at the same screen coordinate (overlapping of the graphical nodes), it seems, that both nodes are connected . If one or both nodes are drawn in red color, the nodes are not connected. The next figure shows an example with not connected nodes drawn in red color.

  • Please Note

Not connected network elements will be drawn in orange color.

If the [image] button of the Network Design Toolbar has been pressed, ATPDesigner checks the power network for not connected nodes and displays the message shown below.


How to Identify the Left and Right Node of a Line

Read also How to Identify the Left and Right Node of the Line


How to Move the Network Graphics

How to Move the Power Network Graphic

The power network graphic can be moved to any position inside the graphics view of ATPDesigner. ATPDesigner re-calculates automatically size and position of the network graphics after moving them as an dotted rectangle as well none from Windows based applications, which encloses all network elements. This dotted rectangle will be further called Network Graphics Frame.

The Network Graphics Frame will be visible

    • if the mouse cursor position is located inside the Network Graphics Frame (shown as dotted frame in the figure below) AND
    • if ATPDesigner does NOT detect a network element at the current mouse cursor position AND
    • if the LEFT MOUSE BUTTON AND
    • the SHIFT key have been pressed.

The figure below shows the Network Graphics Frame for example. The mouse cursor bitmap will be changed [image] to indicate, that the network graphics can be moved now. If a part of the graphics of the power network will be located outside the view of ATPDesigner, scroll bars will be enabled automatically ( Increase Graphics View ).


How to Move a Network Element

A network element can be moved independent, if the network element is still disconnected or connected to one or more other network elements.

  • Step 1: Selecting the Network Element

First the network element to be moved must be selected ( How to Select One or More Network Elements ). The figure below shows Cb3 as selected network element drawn in light gray color. The network element Cb3 is still connected to other network elements.

  • Step 2: Moving the Mouse Cursor to the Selected Network Element

The mouse cursor must be moved over the selected network element until the mouse cursor will be displayed as [image] .

  • Step 3: Moving the Network Element to an Other Location inside the Graphics View

The selected network element can be now moved until the left mouse button has been pressed down. As long as the network element is being moved, the frame of the network element will be shown.

If the left mouse cursor button has been released, the network element will be reconfigured at the new location. The connections of all nodes will be automatically checked and reassigned.


How to Move Busbars

Read also How to Select One or More Network Elements

Busbars can be moved by two different methods. For both methods the busbar has been first selected.

  • Method 1:

Move the cursor "over" the busbar shape, but not "over" one of the nodes. If the left mouse button has been pressed, the [image] cursor appears as long as the left mouse button keeps pressed. The user can now move the busbar as long as the left mouse button keeps pressed.

  • Method 2:

Move the cursor "over" one of the nodes of the busbar. If the left mouse button has been pressed, the [image] cursor appears as long as the left mouse button keeps pressed. The user can now move the busbar as long as the left mouse button keeps pressed.

Moving A Busbar Using [image] Cursor

Moving A Busbar Using [image] Cursor


How to Move a Network Element to the Foreground or to the Background

Read also Main Toolbar

Read also about Hotkeys

Network elements can be moved to the foreground [image] or to the background [image] of the network graphics. If a network element has been moved to the foreground, the network element will overlap all other network elements. If a network element has been moved to the background, all other network element will overlap it. A network element can be moved to the foreground or the background using different methods:

  • Network Design Toolbar
  • Network Design Menu
  • Hotkeys


How to Select the Busbar Shape

Read more about Busbars


How to Select the Drawing Direction Adding a New Network Element

Read also How to Add a Network Element

Most of the network elements, which are supported by ATPDesigner, consist of one or two external nodes, where other network elements can be connected. If a new network element will be created, the user must select first the Drawing Direction of the new network element. The figure below shows the corresponding dialog to select the Drawing Direction for a Load Impedance .

Cancel

The dialog will be closed, no new network element will be created.

Left

The new network element will be drawn to the left related to the current mouse position (see a more detailed explanation below).

Right

The new network element will be drawn to the right related to the current mouse position (see a more detailed explanation below).

Down

The new network element will be drawn to the bottom of the graphics view related to the current mouse position.

Up

The new network element will be drawn to the top of the graphics view related to the current mouse position.

Nevertheless the Drawing Direction can be changed for existing network elements using several methods e.g. rotating the network element to the left or to the right.

How to Rotate a Network Element

How to Rotate a Network Element

How to Rotate a Network Element

See also Network Design Toolbar

Select the Drawing Direction: Left

If a new network element has been created, ATPDesigner draws a frame, which corresponds to the outline of the new network element. The mouse cursor will be drawn as a red cross [image] . The frame is orientated to the left of the cursor cross. The figure below shows as an example the frame of a Load Impedance with the Drawing Direction Left.

Select the Drawing Direction: Right

If a new network element has been created, ATPDesigner draws a frame, which corresponds to the outline of the new network element. The mouse cursor will be drawn as a red cross [image] . The frame is orientated to the right of the cursor cross. The figure below shows as an example the frame of a Load Impedance with the Drawing Direction Right.


How to Select a Circuit-Breaker Cb1..5

How to Select Network Elements With a Frame

The Circuit-Breaker Cb1..5 can be enabled via the Network Design Toolbar or the main menu item Network Design .


How to Select One or More Network Elements

Read also How to Select a Circuit-Breaker

How to Select Network Elements With a Frame

ATPDesigner provides the user to select one or more network elements only by the LEFT MOUSE BUTTON.

Selecting One Network Element

    1. Move the mouse cursor to the network element
    2. Press LEFT MOUSE BUTTON down
    3. The selected network element will be displayed in light gray.
    4. Release the LEFT MOUSE BUTTON

The selected network element can be now moved to another position.

    1. Press LEFT MOUSE BUTTON down and keep it down
    2. Move the selected network element to another position
    3. Release the LEFT MOUSE BUTTON

De-Selecting One Network Element

    1. Move the mouse cursor to the network element
    2. Press SHIFT KEY down
    3. Press LEFT MOUSE BUTTON down
    4. The selected network element will be now deselected.
    5. Release the LEFT MOUSE BUTTON

Selecting More Network Elements

    1. Move the mouse cursor closed to the first network element to be selected, but not "over" the network element
    2. Press LEFT MOUSE BUTTON as long as necessary to select all other network elements and move the mouse cursor
    3. As long as the LEFT MOUSE BUTTON will be pressed down, a dotted frame will be used to select new network elements
    4. The selected network elements will be displayed in light gray color.
    5. Press the LEFT MOUSE BUTTON down and move the selected network elements
    6. Release the LEFT MOUSE BUTTON

If the left mouse button has been released all selected network elements are drawn in light grey color. The figure below shows an example. The network elements can be deselected if any "blank" position of the graphics view will be clicked using the left mouse button.


How to Select the Right Measuring Scheme

Read also How to Select One or More Network Elements

Read also How to Select a Circuit-Breaker

Read more about Selecting Measuring Schemes using the Network Configuration settings dialog


How to Select the Calculation of 012-System Voltages and Currents

See more about in Example: 012 - Sequence System Voltages and Currents


How to Rotate a Network Element

Read also How to Select Network Elements With a Frame

Read also How to Select One or More Network Elements

If a network element has been selected, the network element can be rotated using two different methods:

Rotate the selected network element about 180°

  • or Press R Key

Rotate the selected network element about 90° (clockwise rotation to the right)

  • or Press L Key

Rotate the selected network element about 90° (inverse clockwise rotation to the left)

  • Please Note

Network elements can be only rotated, if the nodes of the network element are not connected to other network elements. In case of one or more connected nodes, the error message displayed below will be shown.


How to Rotate Circuit-Breaker with Assigned Measuring Location

Read also How to Select Network Elements With a Frame

Read also How to Select One or More Network Elements

Circuit-Breaker with assigned measuring locations can be also rotated. The measuring direction is always identical with the direction of the red arrow drawn as part of the circuit-breaker. The both figures below shows the power network and the calculated phase currents IA = OUTP01, IB = OUTP02 and IC = OUTP03. The phase currents will be measured from the left-side to the right-side of the circuit-breaker defined as the positive measuring direction.

As shown in the figure below the measuring location of the Circuit-Breaker with assigned measuring location has been rotated about 180°. Therefore the measuring location for the phase currents is now defined as positive measured from the right-side to the left-side of the circuit-breaker. The phase currents will have a phase shift about 180° compared with the figures above.


How to Connect Nodes of Network Elements

How to Connect Flexible Network Elements

How to Connect Fixed Network Elements

Nodes of new or existing network elements can be connected to other network elements, if not connected nodes of both network elements are existing. The method to connect nodes depends on the type of the network element . Two different groups of network elements can be identified:

Flexible Network Elements

The size of the network element is not fixed.

  • Single-Circuit Line
  • Busbar
  • Connection

Fixed Network Elements

The network element has a fixed size and can be only relocated moving the frame of the network element. All network elements are fixed except the flexible network elements listed above.


How to Connect Flexible Network Elements

Read also How to Select Network Elements With a Frame

Read also How to Select One or More Network Elements

The figures below show as an example how a Flexible Network Element can be connected to an other network element. In the example explained below the network element Line 4 has to be connected to Busbar 2. The not connected node of Line 4 is drawn in red color.

  • Caution !!!

The graphical representation of network elements can only be modified if they are NOT LOCKED. The easiest method to check if a network element is still locked is to have a look to the corresponding button inside the Network Design Toolbar which is presented below. Please look to the button inside the red rectangle.

Network element has been LOCKED

Network element has been NOT LOCKED

See more about Locked Network Elements

  • Step 1

Select network element Line 4. The network element Line 4 will be drawn in light gray color.

  • Step 2

The mouse cursor symbol will change to a red cross, if the not connected node of Line 4 has been identified. Press the left mouse button and keep the mouse button further pressed until the target node has been connected.

Move the mouse cursor to a not connected node of Busbar 2. As long as the mouse cursor will be moved, a dashed line will be drawn to shown the new location of Line 4.

  • Step 3

If a not connected node has been identified, the cursor will be displayed as red cross as shown in the figure below. Let the left mouse button go to connect the node of Busbar 2.

  • Step 4

Click on the red cross in the lower toolbar to deselect all network elements. Line 4 is now connected to the Busbar 2.


How to Connect Fixed Network Elements

Read also How to Select One or More Network Elements

The figures below show as an example how a Fixed Network Element has been connected to an other network element. In the example explained below the network element Load 2 has to be connected to Line 4. The not connected nodes are drawn in red color.

  • Step 1

Select network element Load 2. The network element Load 2 will be drawn in light gray color.

  • Step 2

The mouse cursor will change to a red cross, if the not connected node of Load 2 has been identified. Press the left mouse button and keep the mouse button further pressed until the target node has been connected.

Move the mouse cursor to the not connected node of Line 4. As long as the mouse cursor will be moved, the frame of the network element Load 2 will be drawn.

  • Step 3

If a not connected node has been identified, the cursor will be displayed as red cross as shown in the figure below. Release the left mouse button to connect the node of Line 4.

  • Step 4

Now Load 2 has been connected to Line 4.


How to Connect Already Connected Nodes

How to Connect Already Fixed Network Nodes

If a node of a network element is already connected to an other network element, it is not permitted to connect this node twice. An error message will be displayed, location and status of the network element tried to move will be reset.


How to Create a Project Backup using .ZIP-Files

Read also about .ZIP-Files

Read also about File Save As..

Read also Save Project

ATPDesigner provides the user Creating a Backup of an ATPDesigner project using the Save Project feature.


How to Create a New Diagram of Voltages and Currents

Read more about Diagrams

Read more about How to Open a Diagram

The most easy method to create a new Diagram , if a power network has been designed and its graphical view is still visible in ATPDesigner will be explained below. Please note, that the voltages and currents must be first calculated before creating the diagram. If not an error message will be displayed.

  • Step 1

Press [image] button in the Toolbar for Network Elements to open the .PL4-File which corresponds to the visible .NET-File . The .PL4-File contains all data of voltages, currents, etc. to create the time dependent diagram.

  • Step 2

Select the node names of the physical signals which shall be displayed in the diagram as explained in the chapter Selecting Voltages, Currents and Binary Signals .

  • Step 3

After the Ok button has been clicked, the diagram will be drawn.

Please note also, that several file formats can be used to create a diagram: .PL4-File , COMTRADE - Files and .TXT-Files . Such files can be easily loaded using the Open menu item of the main menu File . ATPDesigner automatically detects the file format and processes the file to create a diagram.


How to Create Multiple Diagrams of the Same .PL4- or COMTRADE-File

ATPDesigner is able to create multiple diagrams of the same .PL4-File or COMTRADE-File . Normally it is not possible to open a document twice for a Windows OS application. Nevertheless a work around would be implemented in ATPDesigner to realize such a feature. How does it work ?

ATPDesigner processes its own Document Management System, which is independent of the document management system of the Windows OS. . If the user wants to open a .PL4- or CONTRADE-file twice or more e.g. via the File Browser or the File Open menu item, ATPDesigner creates first a copy of the.PL4- or COMTRADE-file and thereafter a new diagram based on this file copy. The file name of the new file will be created based on the original file name, the current date and the current time stamp.

File Name of the Copy = Original File Name + Current Date + Current Time

  • Caution !!!

If the network calculation had been restarted, only the original .PL4- or COMTRADE-file will be refreshed, NOT the copies of these files.

The figure below shows two diagrams, which are created based on the same .PL4-File. The upper diagram was created based on the copy of the .PL4-file, the lower diagram based on the original .PL4-file.

File name of the original file: ...\PowerNetwork_1.PL4

File name of the copied file: ...\PowerNetwork_1_260602006223623.PL4


How to Create a New Diagram reading a .TXT - File

ATPDesigner provides the user to create a diagram reading the data out of a .TXT-File . But nevertheless this file must have a well defined structure. The time stamps and the sampled values of voltages and currents must be stored in BLANK separated columns as shown below.

  • Please Note

The time axis must be stored in columns 1.


How to Create a Group of Network Elements

Read more about Grouping Network Elements


How to Change Folders and File Names

Read more about Folders and File Names


How to Change the Drawing Color of a Network Element

Read more details about individual drawing colors of a network element and how to change the drawing color


How to Change the Drawing Color of All Network Elements to the Default Drawing Color

Read more details about individual drawing colors of a network element and how to reset the drawing color to default


How to Set Colors for the Network Graphics

Read more about Color Configuration


How to Set Lines, Connections or Cables to Horizontal Drawing Direction

Lines , Connections and Cables can be set to a horizontal drawing direction following the steps described below. Please note that these network elements can only be set to a horizontal drawing direction, if no node or maximum one node of the network element has been connected to an other network element. The figures below show an example.

  • Step 1

Select the network element (see How to Select One or More Network Elements )

  • Step 2

Press Right Mouse Button or open the main menu item Network Design

  • Step 3

Select the menu item Set Horizontal as shown above.


How to Set Lines, Connections or Cables to Vertical Drawing Direction

Lines , Connections and Cables can be set to a vertical drawing direction following the steps described below. Please note that these network elements can only be set to a vertical drawing direction, if no node or maximum one node of the network element has been connected to an other network element. The figures below show an example.

  • Step 1

Select the network element (see How to Select One or More Network Elements )

  • Step 2

Press Right Mouse Button or open the main menu item Network Design

  • Step 3

Select the menu item Set Vertical as shown above.


How to Set Line Shape to Diagonal or Standard (Horizontal/Vertical)

Lines and Connections can be drawn using different line shapes. The shape can be selected using the toolbar button [image] , which can be found in the Network Design Toolbar or the context sensitive, additional submenu Right Mouse Button Menu Line or Connection, if one of them has been first selected by a Left Mouse Button Click. The figure below shows how to open this submenu.

  1. Select first a Line or Connection by a Left Mouse Button Click .
  2. Open the context sensitive Right Mouse Button Menu by a Right Mouse Button Click.
  3. Open the submenu Line or Connection at the end of the menu.
  4. Click on the toolbar button [image] to enable or disable the Diagonal Shape.

  • Standard (Horizontal/Vertical) Line Shape

  • Diagonal Line Shape


How to Set Busbars to Horizontal Drawing Direction

Read more about How to Rotate a Network Element

Busbars can be set to a horizontal drawing direction by rotating 90° Clockwise or Invers-Clockwise .


How to Set Busbars to Vertical Drawing Direction

Read more about How to Rotate a Network Element

Busbars can be set to a vertical drawing direction by rotating 90° Clockwise or Invers-Clockwise .


How to Get Detailled Informations about the Power Network

ATPDesigner is able to write detailed information's about the power network and all network elements into a text file called Network Description File. The user must first open the Find dialog. Now ATPDesigner will create a tree control containing all relevant information about the power network and its network elements, but also the TACS Management System . These information can be also saved in a text file using a button of the Find dialog.

Read more about the Find dialog

The figure below shows an part of the Network Description File.


How to Open a Diagram

Diagrams are the graphical representation of the sampled values of physical signals e.g. voltages or currents. Diagrams will be always created based on the sampled values. Two successive sampled values will be "connected" using only a simple line. On this point of view a diagram "only" consists of a sequence of lines, which connects the all values. Therefore the sampling frequency, which was used to sample the analogue signals, is really an important parameter to create "good" or "bad" diagrams. In ATP and ATPDesigner the sampled values will be normally "created" using a fixed sampling frequency fa or sampling rate DT (delta time).

The figure below shows a diagram of the phase-to-ground voltages Vpg of a power network using the nominal frequency fnom = 50Hz. ATPDesigner is designed based on Microsoft's Multi Document Interface architecture. Therefore ATPDesigner is able to present several diagrams and power networks in parallel (what means in different views) as well known from standard Windows application software.

How to Open a Diagram, if the Power Network is Still Visible in a Graphics View ?

  • Step 1:

Press [image] button in the Toolbar for Network Elements to open the .PL4-File which corresponds to the visible .NET-File .

  • Step 2:

Select the node names of the physical signals which shall be displayed in the diagram as explained in the chapter Selecting Voltages, Currents and Binary Signals .

  • Step 3:

After the Ok button has been clicked, the diagram will be drawn.

The figure below shows an example of a Diagram an the corresponding Power Network (= .NET - File).

How to Create a New Diagram ?

Different options van be used to create a diagram:

  • Main menu item File , sub menu item Open
  • Button [image] in the Main Toolbar
  • Dialog Browse
  • Right Mouse Button Menu

A new diagram can be created, if a .PL4-File or a .CFG-File will be opened using the main menu item File or using the button [image] in the Main Toolbar . Please note that the right file extension .PL4 or .CFG must be selected in the file open dialog as usual for Windows OS applications. The figure below shows the file open dialog.

Read more details in Selecting Voltages and Currents

Supported File Types

  • .PL4: ATP specific file format to store the sampled values of the calculated physical signals e.g. voltages and currents in a file
  • .CFG: COMTRADE specific file format

Read more about .PL4-Files

Read more about COMTRADE-Files

A more convenient method to create a new diagram is based on the integrated file browser, which presents the files as known e.g. from the Windows Explorer.

Read more about the dialog Browse Files

If a power network will be shown in a view, the user should open the Right Mouse Button Menu to create a diagram, based on the corresponding .PL4-File . If the corresponding .PL4 - file doesn't exist ATPDesigner will create an error message.


How to Open the Settings Dialog of a Network Element

Read more about Right Mouse Button Menu

Read more about Right Mouse Button Menu for Diagrams

Read also Changing the Data of Network Elements

The settings dialog of a network element can be easily opened with a Left Mouse Button Double-Click on the graphical symbol of the network element.


How to Open the Settings Dialog only with One Left Button Mouse Click

ATPDesigner supports a method to open the settings dialog of a network element only with one Left Mouse Button Click.

  1. Disable the Network Design Mode e.g. using the toolbar button

If the Network Design Mode has been disabled, the network topology can not be modified. If now the mouse cursor will be moved "over" a shape of a network element, this network element will be automatically identified and selected indicated by the grey drawing color.

  2. Now the settings dialog can be opened only with one Left Mouse Button Click


How to Process STAND-ALONE ATP Data Cases

ATPDesigner provides the user to process so called STAND-ALONE ATP Data Cases, which is a special operation mode of the External .ATP-Files .

What is a STAND-ALONE ATP Data Case ?

A STAND-ALONE ATP Data Case is a text file, which contains all required control sequences according then ATP rule book to be executed by ATP.

ATPDesigner provides the user only regarding to start the ATP as a background task. For a deeper understanding please study one of the examples in the chapter .NET-Files .

How to process STAND-ALONE ATP Data Case by ATPDesigner ?

The figure below shows an example. Please follow the steps described in the yellow text frame and read some more details in External .ATP-Files .


Overview about Diagrams

Read also Diagram Settings

Read also Diagram Control Settings

Read also X/Y - Diagrams

Read also Probe - Creating Automatically a V, I - Diagram

Read also Selecting Voltages, Currents and Binary Signals

Read also Diagram Scaling Factors

Read also How to Create a New Diagram reading a .TXT - File

ATPDesigner is able to process several file formats to create a diagram, which presents the time dependent behavior of voltages and currents: .PL4-Files , COMTRADE-Files and .TXT-Files . Such files can be easily loaded using the Open menu item of the main menu File . ATPDesigner automatically detects the file format e.g. analyzing the file extension and processes the file to create a diagram. These file formats are designed to store the sampled values of analogue signals e.g. currents and voltages but also any binary signals. The sampled values can be presented in a Diagram as shown in the figure below: Primary phase currents IAP_M1, IBP_M1 and ICP_M1. If a Diagram has been presented in a view, only some buttons of the Main Toolbar are enabled e.g. File Open or [image] Data Convert . .PL4 - and .CFG (COMTRADE) - Files are saved in the Data Directory as default.

  • Please Note

ATPDesigner is able to create multiple diagrams based on the same .PL4-File or COMTRADE-File.

Read more about How to Create Multiple Diagrams of the Same .PL4- or COMTRADE-File

  • Caution !!! .PL4 -, .CFG- and Corresponding .NET - Files

It is recommended to use the Data Directory for .NET-File as well as for .PL4-File and .CFG-File . If a .PL4- or a .CFG-File will be displayed in the diagram view, ATPDesigner tries also to load the corresponding .NET-File to read the Diagram related settings e.g. colors out of the .NET-File. If the corresponding .NET-File couldn't be found, ATPDesigner uses the diagram settings saved in the .INI-File . ATPDesigner stores first the diagram settings into the corresponding .NET-File if existing. The .INI-File contains also the same set of diagram settings, but only as default settings, if the corresponding .NET-File could not be found.

Read more about Folders for ATPDesigner and ATP

Corresponding .NET-File of a Diagram

The corresponding .NET-File of a Diagram uses the same file name as the .PL4-File or .CFG-File, but the file extension .NET.

Example:

The diagram was created based on the .PL4 - File "Network_1.PL4". The corresponding .NET - File takes the file name "Network_1.NET".

The figure below shows a diagram containing three phase currents API002, BPI002 and CPI002. Two Diagram Cursor have been enabled: the both thin vertical lines drawn in red and gray. Both Diagram Cursor can be used to measure the sampled values of the displayed signals at different time stamps and the time difference between the two Diagram Cursor. In addition both Diagram Cursor are used to define a time window (between the both cursor), which will be used by the ATPDesigner specific Signal Analysis Algorithms .

The sampled values of the analogue signals at the Diagram Cursor time will be displayed at the right side of the both symbols symbols [image] and [image] shown in the Status Bar . The time difference between the two Diagram Cursors is displayed at the right side of the symbol [image] also shown in the Status Bar . Diagram Cursors are only available, if the Diagram Cursors have been enabled pressing the toolbar button [image] shown in the Network Element Toolbar . Now the first entries ( [image] ) of the Status Bar will be explained more in detail.

0.1289 4126.82 -1153.32 -2793.51

    • 1. Value: 0.1289 = time stamp at the red Graphic Cursor
      • .PL4-Files : in seconds.
      • .CFG-File : depending on the COMTRADE specification.
    • 2. Value: 4126.82 = value of the signal API002 at the red Graphic Cursor time in A
    • 3. Value: -1153.32 = value of the signal BPI002 at the red Graphic Cursor time in A
    • 4. Value: -2793.51 = value of the signal CPI002 at the red Graphic Cursor time in A

It can be easily seen, that the sequence of the values in the Status Bar matches with the sequence of the analogue signals in the header area of the diagram (selected in Selecting Voltages, Currents and Binary Signals ). Be carefully interpreting the sampled values. If a .PL4-File had been loaded, peak values will be displayed, not r.m.s. values.

Enable Diagram Cursor for time measuring inside the diagram

Enable the Diagram Zoom

Display Signal Analysis Results

Read more about Selecting Voltages, Currents and Binary Signals

Read more about Diagram Settings

Read more about Vector Diagrams

Refresh the diagram shown in the top most view e.g. of voltages and currents

The corresponding .PL4-Files or .CFG-File will be reloaded and the diagram will be refreshed.

Read more about Diagram Cursor Snap Data Points

Read more about Signal Analysis Settings

Read more about How to Open a Diagram

Read more about How to Create a New Diagram of Voltages and Currents

Read more about Diagram Control Settings

The figure below shows the different areas of a diagram e.g. Drawing Area and Frame, which will be explained in the following chapters.


Probe - Creating Automatically a V, I - Diagram

Read also about Right Mouse Button Menus

ATPDesigner provides the user to create Diagrams e.g. to display the calculated currents and voltages. Probes can be efficiently used to measure phase-to-ground voltages Vpg and phase currents Ip at different nodes of the electrical power network. In general only the voltages and currents measured at one node of the power network are of interest to be displayed in a diagram. ATPDesigner provides the user to create a diagram, which consists only the phase-to-ground voltages and phase currents measured from one Probe at one node of the power network.

    • Select a Probe in the power network with a left mouse button click
    • Let the mouse cursor "over" the selected probe
    • Open the context sensitive menu with a right mouse button click
    • Open the submenu Probe
    • Choose one of the menu items Create a Diagram V, Create a Diagram I or Create a Diagram V & I

Create a Diagram V

Phase-to-ground voltages only, measured by the selected Probe

Create a Diagram I

Phase currents only, measured by the selected Probe

Create a Diagram V& I

Both phase-to-ground voltages and phase currents measured by the selected Probe

ATPDesigner automatically opens the dialog to select the signals to be displayed in the diagram: Selecting Voltages, Currents and Binary Signals . Now the user can change the pre-selected node names or confirm by O.K.

  • Caution !!!

If two or more probes are connected to the same busbar, only the phase-to-ground voltages of one probe are part of the signal list. Therefore it may happen that the user had chosen the menu item Create a Diagram V, but no node name will be displayed in the right node name list of the dialog.


Selecting Voltages, Currents and Binary Signals

Read also How to Open a Diagram

Read also Overview about Diagrams

This chapter explains, how signals e.g. voltages, currents, etc. can be selected by the user to be presented in one or more diagrams. ATPDesigner is designed as a Multi-Document-Interface (MDI) application. Therefore several windows containing power network graphics or diagrams can be opened in parallel.

COMTRADE Files

ATPDesigner supports also COMTRADE files which are defined according the international standard IEC 60255-24. In addition user defined equations can be defined based on the signals saved into the COMTRADE file. For more information see Support of COMTRADE Files .

Read also

  • Diagram Scaling Factors
  • Diagram Cursor
  • Diagram Zoom
  • Reseting or Refreshing Diagrams
  • Diagram Settings
  • Diagram Control Settings

If an existing diagram should be modified by adding new or deleting existing signals

    • Select menu item Signal List of the menu Diagrams
    • Press toolbar button [image] of the Network Element Toolbar
    • Use the hot key CTRL + ALT + S

If a new diagram should be created

There are several methods available to open a .PL4-File to create a Diagram .

    • Open a .PL4-File or a .CFG-File via the File Menu Item or the button [image] in the Main Toolbar .

    • If a power network graphics will be displayed in the active view, open the Right Mouse Button Menu clicking the right mouse button and choose the menu item Open Diagram (.PL4 - File) .. and open the corresponding .PL4 - File to create a diagram. As an alternative the Hotkey CTRL + 4 can be also used.

Selecting the Signal Name for the X-Axis

Two different types of diagrams can be created:

    • Diagrams where the time is used for the X-axis (default setting)
    • Diagrams where any other signal can be used to create the X-axis e.g. to display Magnetization Characteristics of current transformers.

The figure below shows the part of the dialog containing the signal name of the X-axis. It can be seen, that the time t is used for the X-axis.

Select the signal name of the X-axis: copy the selected node name into the text box of the group Signal Name X-Axis

Delete the signal name of the X-axis

Step

Step size of the sampling data related to the X-axis

If this setting has been set to e.g. Step = 2, only each second sampled value will be used creating the diagram.

Step 1: Open the Dialog to Select the Signals

The figure below shows the dialog to select the signals e.g. currents and voltages to be presented in a diagram. The left-side list contains the available node names representing the signals, which can be selected. The right-side list contains the selected node names, which will be presented in the diagram. The OK button will be automatically enable if at least one node has been selected. The file name of the .PL4-File will be displayed at the bottom of the dialog.

Copy all selected node names to the right side list box

Copy all selected node names to the left side list box

Copy all node names to the right side list box

Copy all node names to the left side list box

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Node Help

Opens the page Node Names for Measuring Locations which more detailed information about node names

Step 2: Select One or More Node Names

The user can select one or more nodes to copy these from one to the other list using the buttons shown between the two list controls. To select one or more nodes please follow the typical Windows rules using Shift + Left Mouse Button or Strg + Left Mouse Button.

Step 3: Copy the Selected Node Names to the Right-Side List

The user should click one of the button [image] to copy the node names from the left-side list to the right-side list. The OK button will be automatically enabled.

Step 4: Confirming with OK, Drawing the Diagram

After confirmation by OK, ATPDesigner draws the diagram. The figure below shows two examples: one example presenting only the diagram and the second example showing the the diagram and the power network in different tabs.


Selecting Colors to Draw the Diagram Curves

It is possible to change the colors which will b used to draw the selected signals e.g. voltages and/or currents in a Diagram . The drawing color can be changed by a left mouse double-click on the color displayed in the left-hand column.

  • Please Note

This settings dialog can be also opened via the Toolbar for Network Elements using the toolbar button [image] or the main menu Diagrams , menu item Diagram Curve Colors or Ctrl + Alt + F.

Signal

The signal name which has been written into the edit control will be searched and displayed as the topmost index in the list control as shown above.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Diagram Scaling Factors

Read more about How to Zoom the Power Network Graphics using the Mouse Wheel

Read more about How to Zoom a Diagram using the Mouse Wheel

The user can define Diagram Scaling Factors specific for all signals e.g. voltages or currents which can be displayed in the Diagram . The figure below shows the settings dialog.

  • How to Modify a Value ?

The user can change any value by clicking on the cell which contains the value. As well known from e.g. Excel spreadsheets the value of the cell can be now changed. The new value will be accepted if the user takes a mouse click to any location in the dialog.

Signal

The signal name which has been written into the edit control will be searched, scrolled to the middle of the report control and highlighted as shown above.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default setting 1.0 for the scaling factor

Help

Open the corresponding chapter in the help file

  • Reseting Diagram Scaling Factors

If the all Diagram Scaling Factors should be reset to the default setting 1.0, press only the Default button.

  • Caution !!!

The Diagram Scaling Factors only affect the diagram but NOT the Signal Analysis Results e.g. Harmonic Analysis. The signal analysis results will be displayed ignoring the Diagram Scaling Factors.


Operating Times Diagram

The Omicron CMC Test System can monitor up to 10 binary channels e.g. trip commands of protection relays. The CMC Test System stores the events of the binary inputs into a internal buffer, which can be read out using the CMEngine interface. The list in the frame below shows these information as an example.

1,bin,0.0000000e+000,0,0,-;

1,bin,0.0000000e+000,0,1,-;

1,bin,7.9600000e-002,2,1,-;

1,bin,8.5500000e-002,3,1,-;

1,bin,8.5600000e-002,2,1,-;

1,bin,8.5900000e-002,3,1,-;

1,bin,4.3210000e-001,1,1,-;

1,bin,4.3690000e-001,0,1,-;

1,empty,0.0000000e+000,0,0,-;

    • Each line contains the key word bin to indicate the binary signal of the CMC input channels.
    • The first line is the reference data set. The time stamp of the first event is always 0.0000000e+000s.
    • The last line contains the information empty to indicate that the buffer has been completely read out.
    • Each event is time tagged e.g. 7.9600000e-002s.
    • More detailed information can be read in the CMEngine manual.

ATPDesigner reads out the event buffer of the CMC tests system when the test sequence has been finalized. The event information as shown in the list above will be stored into the .TRP-File . The file name of the .TRP-File is identical with corresponding .NET-File , only the file extension has been changed from .NET to .TRP. ATPDesigner can read the .TRP-File via the File Open menu item or using the button [image] of the Main Toolbar . The figure below shows the file open dialog. The file type CMCxxx Trip Commands (*.TRP) must be selected to read the .TRP-File.

After reading the .TRP-File ATPDesigner creates an Operating Times Diagram as shown below.

Operating Times Diagram

The figure below shows an example of an Operating Times Diagram which presents the operating and releasing times measured with a CMC Tests System.

  • Binary Signal No. 1..10

The binary inputs no. 1..10 are the graphical representation of the 10 binary inputs of CMC test systems which are monitored in real time.

  • Binary Signal No. 11

The binary signal no. 11 will be displayed to indicate the end of the Prefault time, which is defined in the corresponding .NET-File . The setting Prefault is part of the settings dialog ATP Data .

  • Please Note

The setting Prefault will be used to define the start time of an Fault Type which can be assigned to the Lines 1..3 .

  • Binary Signal No. 12

The binary signal no. 12 will be displayed to indicate the setting Fault Time of the Short-Circuit , which is defined in the corresponding .NET-File .

The time tags of the binary signals 1..12 can be read out using the Diagram Cursor . Diagram cursor can be easily enabled or disabled via the toolbar button [image] and set with the Right or Left Mouse Button. The results will be displayed into the Status Bar : time tag of both diagram cursor and the time difference in between.

  • Caution !!!

The setting DFT Window will be automatically set to Cursor and disabled, if an operating times diagram will be displayed.

The figure below shows an example. Both diagram cursors has been enabled by the toolbar button [image] . The red cursor has been set using the left mouse button to the first 0→1 step of the binary signal no. 11. At the time 0.04s the fault occurred at the end of the Prefault time shown in the Status Bar at the left. The grey cursor has been set using the right mouse button to the first 0→1 step of the binary signal no. 10 at the time 0.087099s. The time difference of about 0.04710s will also be shown in the Status Bar at the right.

Enable diagram cursor for time measuring inside the Operating Times Diagram

see Enable Diagram Cursor

see Diagram Settings

see Vector Diagrams

Refresh the visible diagram e.g. of voltages and currents

The assigned .PL4-File or .CFG-File will be reloaded and the diagram will be refreshed.

see Diagram Cursor Snap Data Points


Diagram Cursor

Two diagram cursor drawn in red and gray color are available to measure and display

    • the time stamps for each diagram cursor,
    • the time difference between the both diagram cursor and
    • the sampled values at the position of both diagram cursor inside the Status Bar (see also the last figure below).

How to enable or disable the Diagram Cursor ?

The both Diagram Cursor can be enabled and disabled via the methods listed below:

    • Click on the button [image] inside the Network Element Toolbar
    • Enable or disable the Diagram Cursor inside the main menu View .

How to use the both Diagram Cursor ?

The both diagram cursor can be set using the left mouse button for the red diagram cursor and the right mouse button for the gray diagram cursor. In addition both cursor can be also moved using the cursor keys of the keyboard:

    • left and right cursor keys to move the red diagram cursor
    • up and down cursor keys to move the gray diagram cursor

The figure below shows a diagram with enabled diagram cursor in red color and grey color as an example.

The figure below shows the Status Bar as shown in the example above. The first value inside the Status Bar is always the time stamp e.g. in seconds for .PL4-Files . For .CFG-Files it may depend on the COMTRADE specification.

The values following the time stamp are the sampled values of the analogue signals. The sequence is identical to the sequence which the analogue signals were selected in Selecting Voltages, Currents and Binary Signals . Be carefully interpreting the sampled values. If a .PL4-File has been loaded, peak values will be displayed, not r.m.s. values.

  • Example

A .PL4-File has been loaded. Therefore the unit of the time axis is seconds.

  • "Red" Diagram Cursor
    • Time stamp: 0.1289 seconds
    • Amplitude of the analogue signal TACS - API002 = 1916.61A
    • Amplitude of the analogue signal TACS - BPI002 = -486.952A
    • Amplitude of the analogue signal TACS - CPI002 = -1429.66A

: Time difference = 0.02000 seconds


Diagram Zoom

ATPDesigner provides the user with several functions to zoom each part of a diagram.

  • pressing the magnifying glass button [image] of the Network Element Toolbar
  • enabling the item Graphics Zoom in the main menu View
  • using the Mouse Wheel, if the Diagram Cursor are disabled (not visible in the diagram)

Zooming the Diagram using the Mouse Wheel

    • Disable the Diagram Cursor e.g. by pressing the Diagram Refresh Button [image] if enabled (= visible)
    • Zooming the Y-axis: Scroll the Mouse Wheel
    • Zooming the X-axis: Press the SHIFT-key and scroll the Mouse Wheel

Read more about How to Zoom the Power Network Graphics using the Mouse Wheel

Zooming the Diagram using the Magnifying Glass Button

    • First move the cursor to the position which should be the upper left corner of the zoom region.
    • Press the Left Mouse Button and keep it down.
    • The zoom region can now be defined moving the mouse as long as the left mouse button is still pressed down.
    • Release the left mouse button to zoom out the region inside the frame.
    • ATPDesigner re-calculates the diagram and determines an optimal zoom factor to match the zoom region inside the graphics view.

After the diagram had been zoomed, the zoom function will be automatically disabled.

  • Please Note

The Diagram Zoom depends on the setting Automatic Y-Scaling 10^n . The figures below show this differences. A Zoom Frame has been set enabling the Diagram Zoom by [image] as described above.

  • Automatic Y-Scaling 10^n enabled

The scaling of the Y-axis will be NOT changed.

  • Automatic Y-Scaling 10^n disabled

The scaling of the Y-axis will be changed according the dimensions of the Zoom Frame.

Left Mouse Button

Start/end of the zoom region

Right Mouse Button

Redraw the zoomed diagram to the original size

The first figure below shows a diagram presenting phase currents. A zoom region has been defined using the procedure explained above.

After the left mouse button has been released, ATPDesigner calculates the optimal zoom factor to match the zoom region inside the graphics view.

  • Please Note

The setting Automatic Y-Scaling 10^n must be first disabled.


Reseting or Refreshing Diagrams

What does it mean Resetting Diagrams or Refreshing Diagrams ?

Resetting or Refreshing Diagrams means:

    1. The data file e.g. .PL4-File or .CFG-File will be reloaded.
    2. The minimum and maximum values of the x- and y-axis will be recalculated.
    3. The diagram will be redrawn.

Diagrams can be reset using the methods listed below.

    1. Click on the button [image] inside the Network Element Toolbar
    2. Pressing the Right Mouse Button, if the diagram is top most window.
    3. Use the hot key CTRL + ALT + R

Easy to Update or Refresh a Diagram with One Mouse Click

If a Power Network and its corresponding Diagram are both available in ATPDesigner (that means visible in two different graphic views after pressing the menu item Window, Tile), the Diagram can be easily updated or refreshed clicking on the button [image] .


Diagram Cursor Snap Data Points

If the Diagram Cursor has been enabled, the user can also enable the property of the diagram cursor to snap automatically to the next measured data point, which is in the neighbourhood of the current position of the diagram cursor. The snap function of the diagram cursor helps the user to identify exactly the time (X-axis), when the status of the monitored binary signal has been changed. In addition the time stamps of both diagram cursor and the time difference in between will be disdplayed in the Status Bar .

Read more about Operating Times Diagram

The snap function of the diagram cursor can be enbaled or disabled via the menu item View or via the button [image] in the Toolbar for Network Elements . The figure below shows the both diagram cursor. The snap function of both diagram cursor has been first enabled.


Diagram Settings

Read more about Context Sensitive Right Mouse Button Menu for Diagrams

Diagram settings e.g. color or pen thickness can be changed using the settings dialog shown below. The results of the signal analysis can be displayed as a list of complex phasors or as phasor diagrams. The Diagram Settings are saved into the Corresponding .NET-File, but also into the .INI-File as global diagram settings.

  • Caution !!! .PL4 - Files, .CFG - Files and their Corresponding .NET-Files

It is recommended to use the Data folder for .NET-Files as well as for .PL4-Files and .CFG-File . If a .PL4- or a .CFG-File will be displayed, ATPDesigner tries to load also the corresponding .NET-File to read Diagram related settings e.g. colors out of the .NET-File. If the corresponding .NET-File could not be found, ATPDesigner will use the diagram settings saved in the .INI-File .

  • What is a Corresponding .NET-File

An example for a .TRP-File and its corresponding .NET-File is shown below. Please note, that ATPDesigner searchs the corresponding .NET-File only in the folder where the .PL4-File or the .CFG-File is saved.

  • Saving Changed Diagram Settings

If Diagram Settings had been changed, the File Save button [image] as part of the Main Toolbar will be enabled, if the corresponding .NET-File could be identified and loaded. Pressing this button, the current Diagram Settings will be saved into th corresponding .NET-File.

If the corresponding .NET-File could not be identified, the File Save button will be not enabled. The changed Diagram Settings will be saved into the .INI-File, during the shutdown procedure of ATPDesigner. This behavior is independent on displaying a .PL4-File or a .CFG-File in the graphics view,

Example for Corresponding .NET-Files

    • File name of the .PL4-File: Network_1.PL4
    • File name of the corresponding .NET-File: Network_1.NET

    • File name of the .CFG-File: TestNetwork.CFG
    • File name of the corresponding .NET-File: TestNetwork.NET

Read more about Folders for ATPDesigner and ATP

Read more about Signal Analysis Algorithms

Read more about List of Complex Phasors in Signal Analysis Results

Read more about in Phasor Diagrams

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Font

The user can select font and color for the axis labeling

Curve Color

The user can select the drawing color to be used creating a Diagram

The curve colors can be chosen in the settings dialog Selecting Colors to Draw the Diagram Curves .

Signal Analysis

DFT Window, DFT f

Read more details in Signal Analysis Algorithms

DFT Windowing

Read more details in Signal Windowing to Reduce DFT Leakage

Enable Y Data Cursor

Enable or disable a horizontal cursor to track the sampled values of a selected signal

Signal No.

Number of the selected signal to be tracked by the Y Data Cursor

Drawing Area

Plot Bk. Color

Background color of the Drawing Area

Axis Color

Color of the X/Y-axis

Frame Color

Background color of the Frame Area

Curve Pen

Thickness of the pen drawing the diagram in pixel

Axis Pen

Thickness of the pen drawing the diagram axis in pixel

Cursor Pen

Thickness of the pen drawing the diagram cursor in pixel

Axis

XMin

Minimum value for the X-axis

XMax

Maximum value for the X-axis

YMin

Minimum value for the Y-axis

YMax

Maximum value for the Y-axis

Fixed Settings

If enabled the settings will be not changed, if the .PL4-File will be reloaded to recreate the diagram.

Please note, that this setting will be not saved into the .NET-File.

Mark Data Points

The (x,y) - data points will be marked by a "+"

The figure below shows an example, how ATPDesigner marks the data points (= sampling data) of a curve.

Automatic Y-Scaling 10^n

  • If enabled

ATPDesigner first calculates the maximum value of the positive and negative sampling values of voltages and currents. Thereafter ATPDesigner determines the next 10^n - value [n = 1,2,3, ...] and uses this value to draw the positive and negative maximum of the Y-axis.

  • If disabled

The positive and negative maximum of the Y-axis calculated based on the sampling values will be not modified.

The figure below shows an example of a diagram showing phase currents in case of a phase-to-phase fault.


Diagram Control Settings

Read also X/Y - Diagrams

Read also How to Mark Data Points

ATPDesigner also provides the user to create a X/Y- Diagram , where any signal e.g. voltages, currents, resistance, reactance, etc. can be used instead the time to define the x-axis. X/Y-Diagrams are especially of interest to create the impedance trajectory (location curve) X = f (R), which is of a special interest for protection relay engineers.

Read more about the trajectory X = f (R)

The dialog shown below contains some settings to control diagrams.

No. of Samples

Overall number of samples which are available to draw the diagram.

Number of the samples = [1 .. N] for N samples

Max. Sample

Number of the last sample which will be used to create the diagram

The user can specify the number of the last sample which should be used to draw the diagram in order to create sub-diagrams. Please note that the number of the first sample is always 1.

On Top

If enabled, the window is the Top Most Window on the desktop

Left

Decrease the number of the Max. Sample (Number = 0 : no samples used for the diagram)

Right

Increase the number of the Max. Sample until the No. of Samples has been reached

Help

Open the corresponding chapter in the help file

  • Please Note

The user can easily increase or decrease the number of samples used to draw the diagram using the keys ALT + L = Left or ALT + R = Right.


X/Y - Diagrams

Read also Diagram Control Settings

Read also how to Mark Data Points

Read also Example: Calculating Impedances

ATPDesigner also provides the user to create a X/Y- Diagram , where any signal e.g. voltages, currents, resistance, reactance, etc. can be used instead the time to define the x-axis. X/Y-Diagrams are especially of interest to create the impedance trajectory (location curve) X =ƒ (R), which is of a special interest for protection relay engineers. But also all other X/Y-diagrams can be displayed. Start the network simulation to calculate the transients e.g. using the [image] toolbar button and open the corresponding .PL4-File e.g. using [image] toolbar button. Select the signals for the Y-axis and the X-axis. For the X-axis, please press the arrow button to overwrite the default setting t. After closing the settings dialog shown below, the diagram will be drawn.


Signal Analysis Settings

Read also Selecting Voltages, Currents and Binary Signals

The figure below shows the settings dialog to define the Signal Analysis Settings. These settings apply several signal analysis functions, which are partially using MODELS of he ATP.

    • Calculating the short-circuit impedances of the measuring loops AG, BG, CG, AB, BC and CA as well known from Distance Protection Relays.
    • Calculating the currents and voltages of the positive-, negative- and zero-sequence system (012-System)

  • Please Note

These impedances can be only calculated using the Circuit-Breaker Cb1..5 (Measuring Location M1..5 ).It must be seen that each of the Circuit-Breaker Cb1..5 is assigned to a Voltage and Current Transformer

Some of the settings are directly related to the Measuring Schemes Distance Protection and Differential Protection used for protection relays. The settings shown in the group box Signal Analysis are used to calculate impedances or voltages and currents of the zero-sequence system, positive-sequence system and negative-sequence system (012-System) based on the MODELS of the ATP. The Signal Analysis settings are also part of the settings dialog ATP Data .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Results displayed in the diagram

The results of the signal analysis e.g. max. tripping time will be displayed in the graphics view

Signal Analysis

ATPDesigner supports the calculation of impedances as usual e.g. in the field of protection relays as well as the voltages and currents of the zero-sequence, positive-sequence and negative sequence system using the MODELS programming language of the ATP. The MODELS based algorithms can be enabled in the current dialog as well as in the settings dialog ATP Data group box Signal Analysis . Nevertheless the MODELS based calculation of the impedances can be used for several purposes e.g. the calculation of the positive-sequence impedance or zero-sequence impedances of transformers.

Before using one of these options please check first the equations which are the base to process all these calculations. The Equations to calculate the impedances and the Node Names of resistances and reactances are described in detail in the chapter Node Names for Measuring Locations . The resistances, reactances and voltages and currents of the positive and negative sequence system will be calculated using the MODELS section of ATP. The calculation algorithm is based on the Discrete Fourier Transformation (DFT) .

Voltage & Currents : Positive & Negative Sequence System (12-System)

The voltages and currents of the zero-sequence, positive- and negative-sequence system will be calculated using the MODELS programming language of the ATP. See an example for 012-sequence system signals in Example: 012 - Sequence System Voltages and Currents . This option can be enabled or disabled independent on the Measuring Scheme . The corresponding equations are described in Node Names for Measuring Locations .

R = Re [ DFT (V, I) ]

ATPDesigner calculates the resistances R1k of the positive-sequence system impedance Z1k = R1k +jX1k as well known from distance protection relays for all measuring loops phase-to-ground and phase-to-phase.The calculation is based on a full-cycle DFT algorithm so called Phadke/Ibrahim Algorithm. This option can be only enabled or disabled if the Measuring Scheme Distance Protection had been first enabled. The corresponding equations are described in Node Names for Measuring Locations .

X = Im [ DFT (V, I) ]

ATPDesigner calculates the reactances X1k of the positive-sequence system impedance Z1k = R1k +jX1k as well known from distance protection relays for all measuring loops phase-to-ground and phase-to-phase.The calculation is based on a full-cycle DFT algorithm so called Phadke/Ibrahim Algorithm. This option can be only enabled or disabled if the Measuring Scheme Distance Protection had been first enabled. The corresponding equations are described in Node Names for Measuring Locations .

|kG|

Amount of the ground compensation factor

ø (kG)

Phase angle of the ground compensation factor

  • Please Note

The ground compensation factor kG will be used to calculate the impedance Z1k of the positive-sequence system in case of phase-to-ground faults. Please read in Node Names for Measuring Locations . The ground compensation factor will be calculated using the impedances of the positive-sequence system and the zero-sequence system:

    • kG = (Z0 - Z1) / (3 ⋅ Z1) = ZG / Z1

  • Caution !!!

If the ground compensation factor kG has been changed, the network simulation must be restarted in order to user the new ground compensation factor kG during the on-line calculation of the impedance Z1k.

Distance Protection

Max. Fault Location

Definition of the reactive reach of the distance zone to display as decision zone in the diagram

Max. Tripping Time

Definition of the maximum tripping time to display in the diagram

Differential Protection

Currents Idiff & Irest

The calculation of differential current and restraining current can be only enabled or disabled if the Measuring Scheme Diff. Protection had been first enabled. If the Measuring Scheme Distance Protection is enabled, this option will be automatically disabled. The equations to calculate the differential current Idiff and restraining current Irest are described in Node Names for Differential Protection .

Read more about Differential and Restraining Current

Id>

Operate value of the differential protection function as referred to the reference current of the relevant transformer end.

Id>>

Threshold value of the differential current for deactivation of the inrush stabilization function (harmonic restraint) and of the overfluxing restraint.

Id>>>

Threshold value of the differential current for tripping by the differential protection function independent of restraining variable, harmonic restraint, overfluxing restraint and saturation detector.

m1

Gradient of the tripping characteristic of differential protection in the range 0.5 Id> < Ir < Ir,m2.

m2

Gradient of the tripping characteristic of differential protection in the range Ir > Ir,m2

Ir,m2

This setting defines the second knee of the tripping characteristic. Above this knee, the gradient is equal to m2.

The figure below shows the tripping characteristic of the differential protection device based on the settings defined above.


Power Swing Blocking & Z< Settings

Read also X/Y - Diagrams

Read also Selecting Voltages, Currents and Binary Signals

ATPDesigner provides the user to draw a Power Swing Blocking Characteristic or an Under Impedance Characteristic Z< directly in a X/Y-diagram. Please note, that both characteristics will be only drawn in a Diagram , if a X/Y-Diagram has been configured.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Power Swing Blocking Characteristic

The figure below shows an example for a diagram with an enabled Power Swing Blocking characteristic.

Enable Power Swing Blocking

Enable Power Swing Blocking characteristic

Rpos

Primary resistance at the positive X-axis in Ohm

Rneg

Primary resistance at the negative X-axis in Ohm

Xpos

Primary reactance at the positive Y-axis in Ohm

Xneg

Primary reactance at the negative Y-axis in Ohm

ø

Angle of the power swing characteristic in degree

How to Create a X/Y-Diagram ?

  • Open the dialog to Select Voltages, Currents, etc.
  • Select the signal name to be used for the X-Axis and press [image] in the group Signal Name X-Axis
  • Select the signal name to be used for the Y-Axis
  • Press OK

Read also the example described in the chapter X/Y - Diagrams

Read also Selecting Voltages, Currents and Binary Signals

Z< Under Impedance Characteristic

  • Please Note

Z< - characteristic is not yet implemented !!!


Signal Analysis Algorithms

Read more about in Signal Analysis Results

Read more about in Vector Diagrams

Read more about Harmonic Analysis

ATPDesigner provides several signal analysis functions which are based on a the Discrete Fourier Transformation algorithm (DFT) e.g. the Calculation of Fault Impedances . The Diagram Cursor must be used from the user to define the DFT window. ATPDesigner performs the analyzing algorithms for the sampled data which are included in the DFT window. The results of the signal analysis can be displayed as a list of complex vectors or as vector diagrams.

The Discrete Fourier Transformation, sometimes called the finite Fourier transform, is a Fourier transform widely employed in signal processing and related fields to analyze the frequencies contained in a sampled signal, to solve partial differential equations, and to perform other operations such as convolutions. The DFT can be computed efficiently in practice using a fast Fourier transform (FFT) algorithm.

  • Please Note

The both settings DFT Window and DFT f are part of the dialog Diagram Settings .

DFT f

Frequency of the DFT filtering algorithm (called further DFT Frequency)

The DFT algorithm calculates the complex vectors the signals e.g. currents or voltages according using this setting as the filtering frequency of the DFT based algorithm.

DFT Window

  • Caution !!!

The setting DFT Window will be automatically set to Cursor and disabled, if an Operating Times Diagram will be displayed.

ATPDesigner calculates the complex vectors using a full cycle Discrete Fourier Transformation (DFT) algorithm. This time window will be called further DFT Window:

    • The DFT Window contains the samples, which are used to execute the DFT algorithm to calculate the complex vectors of the input signal s(t).

Depending on the setting below the DFT algorithm can be carried out based on one or more cycles of the DFT frequency DFT f. Therefore the length of the DFT window depends also on this setting. Several values can be chosen. The time length of a Cycle is defined as below:

    • Cycle [s] = 1 / DFT f [Hz]

The resulting number of DFT samples can be checked in the Signal Analysis Results dialog.

    • Example: DFT f = 50 Hz ⇒ Length of One Cycle = 20ms

  • 1 Cycle

The DFT window is fixed defined to 1 cycle depending on the DFT Frequency as defined above. The start sample can be set using the left mouse button. The end sample will be automatically set 1 cycle later. The DFT window can also be moved using the right - and left - cursor keys. The figure below shows the DFT window as an example.

  • 3 Cycle

As an alternative the DFT can be executed based on a 3 cycle DFT window. The 3 cycle DFT window increases the accuracy of the calculated vectors e.g. if wattmetric algorithms for ground fault detection will be tested in compensated networks.

  • Cursor

The start and end sample of the DFT window can be set independent from each other using the left and right mouse button. The figure below shows an example.

DFT Algorithm

The DFT algorithm calculates the complex vector of an input signal. The two basic equations are shown below.

Real Part of the Complex Vector

Re (s(t)) = (2 / Number of DFT Window Samples) ⋅ ∑ (s (tk) ⋅ cos ((2πk) / N)

Imaginary Part of the Complex Vector

Im (s(t)) = (2 / Number of DFT Window Samples) ⋅ ∑ (s (tk) ⋅ sin ((2πk) / N)

  • k = 1 (1) .. Number of DFT Samples
  • N = Number of Samples in ONE Cycle of the DFT Frequency

N = Sampling Frequency / DFT Frequency

The DFT frequency which is currently used as the base frequency of the signal analysis e.g. for the DFT based phasor solutions can be easily verified, if the both diagram cursors are enabled and the DFT Window is set to 1 Cycle. Using this setting the time difference between both cursor will be set automatically to the cycle of the DFT frequency. The time difference between the two cursors is displayed at the right-side of the Status Bar symbol [image] . For the example below the nominal frequency was set to DFT f = 50Hz, that means a time difference of 0.020s.

If the nominal frequency has been changed to fnom = 25 Hz, the time difference in the Status Bar will be set to 40ms.


Signal Analysis Results

Read also about Signal Analysis Algorithms

Read also about Vector Diagrams

Read also about Harmonic Analysis

Read also about Export of the Frequency Spectrum into a Text File

Read also about DFT for 60Hz Power Networks

ATPDesigner provides the user analyzing transient phenomena, short-circuits or any other faults or disturbances in electrical power networks. Therefore Signal Analysis Algorithms are also implemented in ATPDesigner. Both .PL4-Files and .CFG-File can be analyzed, if their signals are displayed in a diagram. Please note, that the Signal Analysis Algorithms can be only used , if the voltages, currents, etc. are displayed as a ATPDesigner Diagram .

The figure below shows the dialogs which presents the results of the Signal Analysis Algorithms implemented in ATPDesigner. The calculated vectors can be also displayed in a Vector Diagram . It is important to understand that the Signal Analysis Algorithms are based on the time window, which will be specified by the both Diagram Cursors .

The results of the Signal Analysis Algorithms will be displayed in a so called non-modal dialog, which can stay visible in parallel to the ATPDesigner view. It is not necessary to close the Signal Analysis Algorithms dialog, if e.g. the position of the both Diagram Cursors will be changed using the mouse cursor or the cursor keys left and right of the keyboard. The file name of the corresponding .PL4-File will be displayed in the header of the dialog and automatically adapted, if an other diagram view becomes the top most view.

Help

Open the corresponding chapter in the help file

Copy to Clipboard

Copy

Copy the analysis results into the clipboard

The different cell data will be separated using the Cell Separ. character or a tabulator. Both alternatives can be selected as explained below.

On Top

If enabled, the window is the Top Most Window on the desktop

RMS

If enabled, all values will be calculated and displayed as r.m.s. values. If disabled, all values will be calculated and displayed as peak values.

    • r.m.s. Value = Peak Value / √2

* Sqrt (3)

The calculated vector data will be multiplied by √3. This option can be used to calculate the corresponding nominal voltage, if phase-to-ground voltages have been measured.

Tab

Tabulator + Blank will be selected as cell separation

Character

The character displayed into the edit field below will be used as cell separation

  • Please Note

The both lists (combo box), which both displays frequency values in Hz, can be used to define the Minimum Frequency (upper list) and the Maximum Frequency (lower lost), which will be used to calculate the frequency spectrum using the Discrete Fourier Transformation displayed in the tabs Harmonics and Spectrum. Both settings will be stored in the registry, if the dialog will be closed or the tab will be changed. If the dialog will be opened, the both frequency settings will be restored from the registry.

  • Please Note

To delete the registry settings of ATPDesigner, press CTRL + ALT + X .

  • RMS-Value of the Fundamental Frequency

  • Peak Value of the Fundamental Frequency

    • r.m.s. Value = Peak Value / √2

  • Nominal Value of the Fundamental Frequency

    • Nominal Value = r.m.s. Value ⋅ √3

  • True R.M.S Value of Voltages or Currents

The figure below shows the TRUE r.m.s. Value.

  • Example: Using ',' as Cell Separation

No.,Node Name,Amount,Phase Angle [°],Phase Diff. [°],Real,Imag,DFT (n)

1,TACS - VAG_M1,89372.132,-1.808,0.000,89327.642,-2819.618,100

2,TACS - VBG_M1,89372.132,238.192,240.000,-47105.682,-75950.198,100

3,TACS - VCG_M1,89372.132,118.192,120.000,-42221.960,78769.817,100

4,TACS - IAP_M1,355.779,-4.090,-2.282,354.873,-25.376,100

5,TACS - IBP_M1,355.779,235.910,237.718,-199.413,-294.641,100

6,TACS - ICP_M1,355.779,115.910,117.718,-155.460,320.017,100

DFT (f) : DFT of the Fundamental Frequency

ATPDesigner calculates the complex phasors of all voltages and currents displayed in the corresponding diagram based on a Discrete Fourier Transformation (DFT). The results are displayed in the dialog presented below.

How to display the Harmonics or the Spectrum ?

ATPDesigner is also be able to calculate the harmonic frequencies for one selected voltage or current in relation to the fundamental frequency. The figure below shows an example.

    • First select one of the signals displayed in the dialog DFT (f)
    • Click on the tab Harmonics

  • Please Note

The rules to create Harmonics are shown in the dialog above.

1. One or more voltages or currents must be displayed in a Diagram .

2. A DFT window must selected using the Diagram Cursor .

3. Open the Signal Analysis Results dialog

4. Select one of the voltages or currents, which are visible in the signal list DFT (f). This selected signal is now highlighted as usual in Windows based software tools.

5. Select the property sheet Harmonics.

6. Select the property sheet Spectrum.

Read more information in Harmonic Analysis

No.

Number of the signal

Node Name

Name of the corresponding network node

Amount

Amount of the vector

Phase Angle [°]

Phase angle of the vector

Phase Diff. [°]

Phase difference in relation to the phase of the first node contained in line No. 1 of the spreadsheet

> Phase Diff. of Node N = Phase Angle of Signals No. N - Phase Angle of Signal No. 1

Real

Real part of the vector calculated using DFT

Imag

Imaginary part of the vector calculated using DFT

DFT (n)

The next figure shows an additional data: DFT (n) = Number of DFT Samples which are used from the DFT algorithm. ATPDesigner calculates first the time step dt = t [1] - t [0] as the difference of the time stamp of the first both samples. The number of samples depends on the time step dt , the DFT Frequency and the Number of DFT Samples which are used to carry out the DFT algorithm:

    • Number of DFT Samples = (Number of Cycles) / (dt · DFT Frequency) = Sampling Frequency / DFT Frequency

  • Caution !!!

It is important to understand that the implemented DFT algorithm is based on a constant sampling frequency fs. Time depending variations of the sampling frequency fs e.g. caused by a frequency tracking algorithm can result in wrong results e.g. rotating phasors.

Example:

Sampling rate = 0.001s, DFT frequency = 50Hz, 1 Cycle

    • Number of DFT samples = 1 / (0.001s · 50Hz) = 20

The number of samples can be seen in the figure below presented in the last column DFT (n). This data can be helpfully for a better understanding of the DFT algorithm executed by ATPDesigner.

The figure below shows an example for a diagram which presents the corresponding voltage and current signals.

Signal Analysis Results With Invalid Calculation Results

The figure below shows the Signal Analysis Result dialog with invalid phasor values indicated by a short dashed line. This can happen because e.g. the both Diagram Cursors are not located inside the diagram to define the DFT Window in order to process the DFT algorithm or the amount of the vectors are to small to calculate the phase angles.


Harmonic Analysis

ATPDesigner provides the Harmonic Analysis and the calculation of the R.M.S. Value as part of the Signal Analysis. As already discussed in the chapter Signal Analysis Results it is also important to understand, that the Signal Analysis Algorithms calculate the frequency spectrum as well as the R.M.S. Value only analyzing the sampled values, which are "located" in the time window, which will be defined by the both Diagram Cursors .

The dialog presented in the figure below is an user friendly resizable dialog. The size of the dialog can be changed using the grip in the lower right corner of the dialog.

Read more about in Signal Analysis Algorithms

Read more about in Signal Analysis Results

Read more about in Vector Diagrams

Read also about DFT for 60Hz Power Networks

The results of the Signal Analysis Algorithms will be displayed in a non-modal dialog, which can keep open in parallel to the ATPDesigner view. It is not necessary to close the Signal Analysis Algorithms dialog, if e.g. the position of the both Diagram Cursors will be changed using the mouse cursor or the arrow keys of the keyboard. The file name of the corresponding .PL4-File will be displayed in the header of the dialog and automatically adapted, if an other diagram view becomes the top most view.

The figures below shows, how to use the Harmonic Analysis. The complex vectors of voltages and currents will be calculated by the DFT Algorithm , the Discrete Fourier Algorithm.

  • First a Diagram must be created.
  • A time window must be defined using the both Diagram Cursor .
  • The Signal Analyzing Dialog must be opened e.g. via the toolbar button [image] or via the main menu item View .
  • One of the signals displayed in the list control must be selected with a mouse click.
  • Open the Harmonics Tab: the frequency spectrum of the selected will be calculated and displayed in a List.
  • Open the Spectrum Tab: the frequency spectrum of the selected signal will be calculated and displayed in a Bar Diagram.
  • Open the R.M.S Tab: the r.m.s. value of the selected signal will be calculated and displayed in a List.

Help

Open the corresponding chapter in the help file

Copy

Copy the analysis results as a text list to the clipboard

The different cell data will be separated using the Cell Separ. character or a tabulator. Both alternatives can be selected as explained below.

On Top

If enabled, the window is the Top Most Window on the desktop

RMS

If enabled, all values will be calculated and displayed as RMS values. If disabled, all values will be calculated and displayed as PEAK values.

Tab

Tabulator + Blank will be selected as cell separation

Character

The character displayed into the edit field below will be used as cell separation

Read more about How to copy the data into the clipboard

Switch to the Tab Harmonics

The spectrum of the harmonic frequencies will be displayed in the list control. The frequency spectrum will be calculated by ATPDesigner using the DFT algorithm.

Help

Open the corresponding chapter in the help file

Copy

Copy the analysis results as a text list to the clipboard

The different cell data will be separated using the Cell Separ. character or a tabulator. Both alternatives can be selected as explained below.

On Top

If enabled, the window is the Top Most Window on the desktop

RMS

If enabled, all values will be calculated and displayed as RMS values. If disabled, all values will be calculated and displayed as PEAK values.

Switch to the Tab Spectrum

The frequency spectrum, which has been displayed in the Harmonics tab, can be also drawn as a bar diagram. The bar diagram shows only the amount of the frequencies.

Minimum Frequency

The minimum frequency, which should be displayed in the bar diagram, can be selected in the upper list. The minimum frequency shown in the diagram below takes 0Hz.

Maximum Frequency

The maximum frequency, which should be displayed in the bar diagram, can be selected in the lower list. The maximum frequency shown in the diagram below takes 1000Hz.

  • Please Note

Maximum and minimum frequencies depend on several parameters e.g. the sampling frequency, number of samples, etc. Read more details in the chapter Signal Analysis Algorithms .

RMS

The amount of the harmonic frequencies will be displayed as RMS values.

Peak

The amount of the harmonic frequencies will be displayed as PEAK values.

%

The amount of the harmonic frequencies will be displayed as in % of the amount of the fundamental frequency.

Help

Open the corresponding chapter in the help file

Copy

Copy the line diagram to the clipboard

On Top

If enabled, the window is the Top Most Window on the desktop

Axis Font

Select font type and font color for axis labeling

Bar Font

Select font type and font color for bar labeling

Bar Color

Select the color to draw the bar diagram


Example: Calculating Impedances

Read also Example: Calculation of the Fault Impedance

Read also X/Y - Diagrams

The analysis of voltages and currents in electrical power networks often requires the calculation of impedances Z = R + j X. Especially in the field of Protection Relays e.g. distance protection relays it is absolutely necessary to analyse the time dependent behavior of the impedance for a better understanding of the behavior of protection relays. The example shows a simple method to calculate impedances using the capabilities of ATPDesigner.

The figure below shows a simple network which contains Circuit-Breaker Cb1 with Measuring Location 1. ATPDesigner calculates the impedances Z = R + j X based on the phase-to-ground voltages VAG, VBG and VCG and the phase currents IA, IB and IC measured at the secondary circuit of the substation voltage and current transformers. The equations to calculate the impedances are specified in the chapter about Node Names for Measuring Locations .

  • Please Note

This function only operates, if the voltages and currents will be measured by one of the Circuit-Breaker Cb1..5.

The power network consists of the network elements:

  • ATP single phase source
  • Splitter
  • Circuit-Breaker Cb1
  • RLC Impedance
  • Grounding System

Read more about the Settings of the Substation Voltage and Current Transformers of Measuring Location 1..5 assigned to Circuit-Breaker 1..5

Read more about Node Names for Measuring Locations

Example:

The reactance XAG_M1 will be calculated based on the phase current IA, the phase-to-ground voltage VAG and the residual current IG measure at the measuring location 1.

    • Reactance of the fault impedance loop A-G : XAG = Im (VAG / (IA + kG ⋅ IG))

ATPDesigner will use the DFT algorithm to calculate the impedances therefore also for the calculation of the resistances and reactances.

Some times it makes sense to set the ground compensation factor kG = 0 as in the example above. Setting kG = 0 the value of the impedance which are part of the electrical power network can be easily determined. If the both options R = Re [ DFT (V, I) ] and X = Im [ DFT (V, I) ] had been enabled before starting ATP, additional signals are calculated by ATPDesigner using the MODELS module of ATP.

The reactances and resistances can be presented in a diagram. The Circuit-Breaker Cb1 was open at the start time of the simulation and will be closed after 40ms. The diagram shows the transient process as part of the dependent behavior of both the reactance and the resistance which was "produced" from the DFT algorithm. The value of the impedance will be displayed in the Status Bar of ATPDesigner.


Signal Windowing to Reduce DFT Leackage

The use of the DFT Algorithm to find the frequency content of a signal inherently assumes, that the samples of the signal to be analyzed, is a single period of a periodically repeating waveform. ATPDesigner offers some possibilities to use different windowing techniques to reduce the DFT Leakage. The DFT Windowing function can be selected in the settings dialog Diagram Settings . The figure below shows an example.The first period shown is the one sampled. The waveform corresponding to this period is then repeated in time to produce the periodic waveform.

As seen in the figure above, because of the assumption of periodicity of the signal, discontinuities between successive periods will occur. This happens when the sampling frequency fs is not synchronized to the period of the signals, what means that the sampling frequency fs is not a multiple of the reciprocal value of the signal period. These "artificial" discontinuities turn up as high frequencies in the signal spectrum, but all these frequencies are not existing in the original signal. These frequencies could be much higher than the Nyquist frequency. The spectrum calculated using the DFT algorithm therefore will not be the correct spectrum of the original signal. It appears as if the energy at one frequency has leaked out into all the other frequencies. This phenomenon is known as Spectral Leakage. The DFT Leakage can be reduced using special DFT Windowing functions. the DFT Windowing can be selected in the settings dialog Diagram Settings .

Examples for DFT Windowing

  • N = number of samples of the DFT Window
  • n = 0, 1, 2, ..., (N - 1)
  • w (n) = weighting factor for the n-th samples

  • Rectangular Window

    • w (n) = 1.0

  • Hamming Window

    • w (n) = 0.53836 - 0.46164 ⋅ cos (2πn / (N - 1))

  • Hann Window

    • w (n) = 0.5 ⋅ (1.0 - cos (2πn / (N - 1))


Export of the Frequency Spectrum into a Text File

ATPDesigner provides the export of the frequency spectrum of one ore more signals into a text file. The frequency spectrum will be calculated by ATPDesigner as explained in the chapters Signal Analysis Algorithms and Harmonic Analysis .

The both figures shown below displays:

  • the name of the signals, whose frequency spectrum will be calculated and exported into the text file and

  • the frequencies, which will be calculated for the frequency spectrum of each signal.

How to Export the Frequency Spectrum of One or More Signals into Text Files ?

  • Create a diagram containing the signals, whose frequency spectrum should be exported into a text file, e.g. by using the toolbar button
  • Enable the Graphic Cursors e.g. by using the toolbar button [image] to define the time window, for which the frequency spectrum will be calculated
  • Open the Signal Analysis Results Dialog e.g by using
  • Press the local Right Mouse Button Menu, if the mouse cursor is still located "over" the Signal Analysis Results Dialog

  • Click on the menu item Write DFT Data to File by the left mouse button

ATPDesigner writes now the frequency spectrum of the signals, which are displayed in the list of the dialog DFT (f) in different text files: One text file for each frequency spectrum.

How ATPDesigner Creates the File Name of the Text Files ?

ATPDesigner uses the folder and the file name of the .NET-File to create the file name of the Frequency Spectrum Files.

  • Example

C:\ATPDesigner\Data\Network_1.NET

    • Signals displayed in the Signal Analysis Algorithms (see figure above): TACS - API001, TACS - BPI001, TACS - BPI001

File names of the frequency spectrum of the signals:

  • C:\ATPDesigner\Data\Network_1_TACS - API001.MDX
  • C:\ATPDesigner\Data\Network_1_TACS - BPI001.MDX
  • C:\ATPDesigner\Data\Network_1_TACS - CPI001.MDX

Frequency Spectrum and SIMPLORER®

Read more about SIMPLORER®

The internal structure of the text files, which contain the frequency spectrum, are defined to be compatible to the simulation system SIMPLORER®. The figure below shows the data, which will be saved in the text files.

dim

number of columns

len

Number of frequencies (= number of lines below the keyword end:=)

  1. column: frequency in Hz
  2. column: amount of the vector in A or V
  3. column: phase angle of the vector in degree

typ:=A

dim:=3

len:=101

n01:=f

u01:=Hz

n02:=Amplitude

n03:=Phase

u03:=rad

end:=

0;4.74489e-005;-1.5708;

50;47.4826;1.65039;

100;3.19993e-005;1.72914;

150;1.21194e-005;1.80029;

200;6.55598e-006;1.87233;

250;4.24084e-006;1.94026;

300;2.83931e-006;2.01025;

350;2.24288e-006;2.1124;

400;1.56859e-006;2.11574;

450;1.40338e-006;2.30772;

500;1.04767e-006;2.21035;

550;9.71723e-007;2.48162;

600;7.55612e-007;2.37096;

650;6.77111e-007;2.64837;

700;6.30814e-007;2.37824;


How to Calculate the Settings of the DFT ?

Read also Signal Analysis Algorithms

Read also Signal Analysis Results

The resolution of a spectrum in the frequency domain depends on several parameters: the sampling frequency fs [Hz] and the length of the measuring window of voltages and currents T [s], which are defined by the two Diagram Cursor in a ATPDesigner Diagram . The nominal frequency fnom [Hz] of the power network e.g. defined using the network element Network Infeed 1 can be set independent of the resolution of the spectrum df [Hz].

  • Please Note

The measuring window of voltages and currents T [s] defined by the both Diagram Cursor can be defined by the setting DFT f in the settings dialog Diagram Settings .

T = 1 / DFT f

First, the settings of the network simulation must be considered from a more theoretical point of view.

N = fs / fnom

Tm = 1 / fnom

df = 1 / (N ⋅ Ts) = fs / N

    • df : resolution of the spectrum [Hz]
    • N : number of sampled values in the measuring window
    • fs = sampling frequency [Hz]
    • Ts = 1 / fs = sampling rate [s]
    • Tm = 1 / fnom = N ⋅ Ts = length of one period (cycle) of the time dependent signal [s]

  • Caution !!!

It is very important that the number of samples in the measuring window N must be an positive integer value to avoid the so called leakage effect.

The sampling rate Ts of the signals displayed in the ATPDesigner diagrams can be set by the setting dt in the settings dialog ATP related Settings , ATP Data . Therefore the setting dt = 1 / fs is identically with the sampling rate Ts specified above. Now we can calculate the resolution of the spectrum df which can be achieved.

Resolution of the spectrum df = 1 / (N ⋅ dt) [Hz]

    • Example 1

Settings dt = 1ms, fnom = 50Hz

      • Tm = 1 / fnom = 20ms
      • fs = 1 / dt = 1000Hz
      • N = fs / fnom = 20
      • df = 1 / (20 ⋅ 1ms) = 50Hz

The setting DFT f can be set to DFT f = 50Hz to calculate the spectrum avoiding the leakage effect.

    • Example 2

Settings dt = 0.2ms, fnom = 50Hz

      • Tm = 1 / fnom = 20ms
      • fs = 1 / dt = 5000Hz
      • N = fs / fnom = 100
      • df = 1 / (100 ⋅ 1ms) = 10Hz

The setting DFT f can be set to DFT f = 10Hz to calculate the spectrum avoiding the leakage effect. In this case ATPDesigner will create the diagram of the spectrum using the resolution df = 10Hz. Nevertheless the setting can be also set to DFT f = 50Hz. In this case ATPDesigner will take a resolution df = 50Hz.

How to Calculate the Spectrum using a Resolution of df = 60Hz ?

  1. The nominal frequency of the power network has been set to fnom = 60Hz. This can be done using the settings dialog Network Infeed 1 or the settings dialog Network Configuration .

  2. A Diagram must be now created.

  3. The setting DFT f of the settings dialog Diagram Settings must be set to DFT f = 60Hz to avoid the leakage effect. Now the length of the measuring window used by the two Diagram Cursor takes 1 / 60Hz = 16.6666667ms for one cycle. Further using a sampling frequency fs = 1000Hz what means a time step dt = 1ms will cause a leakage effect and in consequence a wrong calculation of the spectrum.

  4. ATPDesigner must now determine the number of sampled values, which shall be used to process the DFT algorithm using a sampling frequency fs = 1000Hz. But it can be only a positive integer value, therefore 16 or 17 sampled values. The internal algorithm of ATPDesigner decides to take 17 sampled values. The number of sampled values will be shown in the dialog Signal Analysis Results , parameter DFT (n). Now the resolution of the spectrum can be calculated:

  5. df = 1 / (N ⋅ dt) = 1 / (17 ⋅ 1ms) = 58.824Hz

  6. Now the sampling rate dt must be set to achieve the resolution df = 60Hz.

dt = 1 / (N ⋅ df) = 1 / (17 ⋅ 60Hz) = 0.9803922ms.

Using the sampling rate dt = 0.98ms, the "real" resolution will take df = 60.024Hz. It can be further improved by adapting the sampling rate dt .

  • Please Note

A better result can be achieved with a sampling rate dt = 1 / 1200Hz = 0.8333333ms. Now the number of samples per cycle takes N = 20, the resolution of the spectrum df = 60Hz. Now the time window defined by the both Diagram Cursor T and the length of one period (cycle) of the time dependent signal Tm are nearly equal.


Vector Diagrams

ATPDesigner provides the Harmonic Analysis as part of the Signal Analysis. As already discussed in the chapter Signal Analysis Results it is also important to understand that the Signal Analysis Algorithms calculate the frequency spectrum only analyzing the sampled values, which are "located" in the time window, which will be defined by the both Diagram Cursors . The results of the Signal Analysis Algorithms will be displayed in a non-modal dialog, which can keep open in parallel to the ATPDesigner view. It is not necessary to close the Signal Analysis Algorithms dialog, if e.g. the position of the both Diagram Cursors will be changed using the mouse cursor or the arrow keys of the keyboard.

The figure below shows the dialog, which presents the results of the signal analysis algorithms as a Vector Diagram. The results can be also displayed as a list of complex vectors. The node names of the analyzed signals will be presented inside the graphics area at the top right corner.

Read more about in Signal Analysis Algorithms

Read more about the List of Complex Phasors in Signal Analysis Results

Resizing the Vector Diagram

The dialog can be resized using the Size Grip at the bottom right corner of the dialog. The size of Vector Diagram will be automatically adapted to the size of the dialog.

Read more about Harmonic Analysis

Help

Open the corresponding chapter in the help file

Redraw

Redraw the vector diagram e.g. after changing the Diagram Scaling Factors

Copy

Copy the vector diagram into the clipboard

Freeze

Freeze the current vectors to keep them as a vector reference angle

Read more about in Freeze Function - Using the Reference Angle

Ref. Factor

Scaling factor for all reference vectors to zoom in or out

Scal. Factor

Scaling factor for all vectors to zoom in or out

Opening Vector Diagram Dialog With/Without Opened Signal Analysis Results Dialog

The Vector Diagram can be opened independent if first the Signal Analysis Results dialog has been opened or not. If the Signals Analysis Results dialog has not been opened before, this dialog will be automatically also opened in the background. The figures below show a signal diagram presenting the three phase currents in case of a phase-to-phase fault, the corresponding Signal Analysis Results dialog and the corresponding Vector Diagram.

If the both Diagram Cursor are not defined, the Signal Analysis Results dialog will be presented as shown below, The short dashed lines indicate, that the phasors could not be calculated.

After using both Diagram Cursor , the vectors will be calculated and displayed inside the Vector Diagram. The sampling data inside the time window between both diagram cursor are used from the DFT algorithm to calculate the vectors. In the figure below the both diagram cursor takes the sampling data out of the pre-fault section.

The next figure shows the Signal Analysis Results. It can be stated that the pre-fault currents are symmetrical as typical for normal load flow conditions.

The corresponding Vector Diagram can be seen in the figure below. The phasors of the phase currents are very small because of the scaling of the signal diagram. The Min/Max values of the Y-Axis are determined automatically analyzing all sampling data of the diagram.

If the Min/Max values of the signal diagram (see Diagram Settings ) have been changed and the setting [image] Automatic Y-Scaling 10^n has been disabled, the Vector Diagram shows the phase currents according to the modified settings.

An other method to change the size of the vectors is to change the settings Ref. Factor or Scal. Factor. The calculated amount of the phasors will be multiplied with one of the both Diagram Scaling Factors. The Ref. Factor incorporates with the Freeze function. If one or both of the Diagram Scaling Factors had been changed, the vector diagram should be re-drawn pressing the Redraw button.

The next figure below shows the vectors of the phase currents in case of the phase-to-phase fault. The vectors of the faulty phases are shifted about 180°. The amount of the vector of the faultless phase is small compared to the both other vectors. Comparing both vector diagrams for the faultless and faulty network, a significant phase shift of the vectors of the faulty currents can be seen. The Freeze function can be used very helpfully to present both vector diagrams in one diagram.

Read more about Freeze - Using the Reference Angle

The next figure shows both: the vectors of the phase currents for the phase-to-phase fault and the reference vectors of the pre-fault phase currents. The reference vectors are multiplied with the scaling factor Ref. Factor = 100.


Freeze Function - Using the Reference Angle

The Freeze Function can be a powerfully help analyzing Vector Diagrams . The figures below present an example how the Freeze Function can be used. The first figure below shows the phase-to-ground voltages in case of a phase-to-phase fault. For example it shall be now of interest to know the phase shift of the vector of the phase-to-ground voltage AG during the pre-fault period and the fault period.

First the Diagram Cursor should be enabled. The figure below shows the both diagram cursors which are used to select a cycle during the faultless pre-fault period.

The both figures below present the complex vectors as a Vector List and a Vector Diagram . It can be seen that the phase angles of all vectors are different of 0°: -1.808°, 238.192° and 118.192°. But further signal analysis procedures can be often simplified (especially if they are done only "by eyes") if one of the vectors are in parallel to the real axis (Re) of the vector diagram. The method to achieve this is very simple: This vector will be rotated until its phase angle will obtain 0 degree. This phase rotation can be easily done using the Freeze and Redraw functions.

Pressing the Freeze button ATPDesigner determines the Reference Angle equal to the phase angle of the first vector in the vector list. For this example ATPDesigner takes the phase angle of vector TACS - VAG_M1 as Reference Angle (=-1.808°). ATPDesigner subtracts now this Reference Angle from all other phase angles. The result can be seen in the vector list above: The angle Phase Diff. takes 0° for the first vector in the vector list. The phase angles of all other vectors are also shifted about the Reference Angle. The resulting phase shifted vectors are called Reference Vectors. ATPDesigner stores internally these Reference Vectors for further use.

After pressing the Redraw button and re-positioning the diagram cursor in the pre-fault period, the vector diagram takes the Reference Angle into account. The Reference Vector (TACS - VAG_M1) takes now the direction of the X-axis. ATPDesigner stores the data of the Reference Angle and Reference Vector as long as the dialog has been not closed or the Freeze button has been not pressed again.

Now any other set of vectors can be easily compared with the Reference Vectors. After re-positioning the Diagram Cursors e.g. in the fault period, ATPDesigner recalculates the complex vectors of the three phase-to-ground voltages VABCG.

The vector list DFT (f) shows only the data of the calculated vectors, not the data of the reference vectors.

The last calculated vectors will be drawn into the Vector Diagram in addition to the Reference Vectors. Now e.g. the phase shift of the vectors compared with the Reference Vectors can be identified very easily.


Support of COMTRADE Files

Read also about Viewer for Voltages and Currents

ATPDesigner is designed to read, process and write COMTRADE Files, which are defined according the international standard IEC 60255-24. ATPDesigner reads the COMTRADE .CFG-File and .DAT-Files and verifies the content of these files regarding the IEC standard. If possible ATPDesigner accepts deviations from the IEC COMTRADE standard as much as possible and processes these files. Therefore it is very important to read all messages which will be displayed by ATPDesigner processing the COMTRADE files. The current release of ATPDesigner supports the both standards COMTRADE 1999 and 2001, COMTRADE 1998 will be processed as COMTRADE 1999.

Processing of User Defined Equations - Calculation of New Signals

ATPDesigner has also extended capabilities to support the user analyzing faults and disturbances in electrical power networks. Therefore ATPDesigner has been prepared to calculate new, user defined equations processing the analogue and binary signals of COMTRADE files. Please note, that ATPDesigner supports the definition of User Defined Equations only based on the COMTRADE file import function. A lot of different functions are available to calculate new, user specific output signals. Both mathematical equations e.g. subtraction or addition and filter algorithms e.g. DFT algorithms can be used easily to combine available input signals.

Read more about User Defined Equations

Read more about Operation Mode of User Defined Equations

Read more about How to Define User Specific Equations

Read how to save COMTRADE files with User Defined Signals

User Defined Equations can be defined using the settings of the dialog Reading COMTRADE files shown in the figure below.

Comment

COMTRADE specific comment, which is contained in the .CFG-File (max. 100 characters)

Info

Information about the COMTRADE - Files will be displayed.

Primary

All selected signals will be drawn as primary signals according COMTRADE IEC 60255-24.

Secondary

All selected signals will be drawn as secondary signals according COMTRADE IEC 60255-24.

Copy all selected node names to the right-hand list box

Copy all selected node names to the left side list box

Copy all node names to the right-hand list box

Copy all node names to the left side list box

Primary

The physical signal will be drawn using the primary values.

This option is disabled for COMTRADE 1999 and 1998.

Secondary

The physical signal will be drawn using the secondary values.

This option is disabled for COMTRADE 1999 and 1998.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Selecting the Signal Name for the X-Axis

Two different types of diagrams can be created:

  • Diagrams where the time is used for the X-axis (default setting)
  • Diagrams where any other signal can be used to create the X-axis e.g. to display Magnetization Characteristics of current transformers.

The figure below shows the part of the dialog containing the signal name of the X-axis.

Copy the selected node to the text box at the right-side

Using the time "t" as X-axis

Example: Diagram of the Magnetization Characteristic of a Current Transformer

The figure below shows an example where the signal TACS - RICTM1 (current flowing through the burden impedance of the substation ct) has been selected as X-axis, the signal TACS - AMAGM1 (flux flowing trough the main inductance of the substation current transformer) has been selected for the Y-axis. This method can be used to display the magnetization characteristic of the substation current transformer.

Read more about CT Saturation

Error Processing

If ATPDesigner detects a problem analyzing the definition of an analogue or binary channel into the .CFG-File , one of the error messages shown below will be presented. The number in brackets identifies the number of the analogue or binary channel which is in trouble. Number 1 identifies the first analogue or binary channel, not the line number into the .CFG-File .

Nevertheless ATPDesigner tries to process analogue and binary channels as far as possible. If the channel names are not defined in the .CFG-File for analogue or binary channels, ATPDesigner will automatically use the default channel names:

  • for analogue channels AnaCh#
  • for binary channels BinCh#

with # = number of the line which describes the channel into the .CFG-File . The line number 1 will be used for the first line which describes the first analogue channel, not the first line of the .CFG-File .


User Defined Equations based on COMTRADE

ATPDesigner supports the definition of User Defined Equations only based on the COMTRADE file import function. New equations can be created using all nodes of the input signal list displayed in the left-hand list control. The user defined equations will be displayed in the lower list control of the dialog shown in the figure below.

  • Selecting a User Defined Equation to Be Displayed in a Diagram

If an equation has been still defined, the equation can be added at the end of the input signal list. Each user defined signal can be used to create a single-line diagram or together with other input signals for a multi-line diagram.

  • Storing Extended COMTRADE File Containing User Defined Equations

The COMTRADE file which has been extended with user defined equations can be saved, if a diagram based on this extended COMTRADE file will be displayed as a Diagram . Using the Save As function of the File main menu the extended COMTRADE file can be easily saved using a new file name.

Node Name

Name of the new, user defined output signal

Oper. Mode

The operation mode defines the equation which will be used to calculate the new, user defined output signal.

Read more about Operation Mode of User Defined Equations

Read more about How to save COMTRADE files with User Defined Signals

|kG|

Amount of the ground compensation factor

ø (kG)

Phase angle of the ground compensation factor

Enable / Disable

Can be used to enable or disable a specific user defined equation

Creating User Defined Equations

The definition of user defined equations can be done very easily using the combo boxes in the frame Equation. Please note, that the number of enabled combo boxes and their content depend on the Operation Mode, which has been chosen.

    1. Select the Operation Mode which should be used to calculate the new output signals
    2. Definition of a Node Name for the new, user defined output signal
    3. Select the Input Signals for the equation in all enabled combo boxes
    4. Definition of the Multiplication Factors for all enabled input signals
    5. Add the new, user defined output signal pressing the Add button.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Clear

Delete all equations which are defined into the list of equations

Delete

Delete the selected equation only

Insert

Insert a new equation above the selected equation into the list of equations

Add

Add a new equation at the end of the list of equations

Copy

The data which are visible into the frames Definition of Equations and Equation will be copied into the equation which is selected.

  • Caution !!!

There is no Undo - function for the copy function.

Saving User Defined Equations

User defined equations will be saved into the .INI-File of ATPDesigner. Therefore user defined equations are not COMTRADE file specific. If defined into the .INI-File , user defined equations will be displayed for any COMTRADE file, which has been loaded.

Modifying a User Defined Equation

User defined equations can be easily modified.

    1. Move the mouse cursor to the line of the lower list control, where the equation has been saved
    2. Click on the equation
    3. The equation specific data will be displayed into the dialog elements
    4. Change the user defined equation

  • Please Note

If the Node Name has been changed in addition, the user defined equation can be added to the equation list in the lower list control.


Operation Mode of User Defined Equations

Read more about How to save COMTRADE files with User Defined Signals

User specific equations can be defined using the Operation Mode shown in the settings dialog below. The setting to select the mathematical equation Oper. Mode is shown inside the red frame. The available Operation Modes are explained below the next figure.

Specification of Operation Modes to Calculate New, User Specific Output Signals

Out

New, user specific output signal defined using an equation

ATPDesigner will calculated sampled values according the equations and algorithms described below. The sampled values will be saved in the COMTRADE file creating new "artificial" signals.

Inp#1

Analogue or binary signal to be used as input signal for an equation

This signals are represented by their sampled values saved in the COMTRADE file.

  • DFTA

Out = DFTA (Inp#1) = | DFTA (Inp#1) |

The output signal Out represents the amount of the vector in V or A calculated using the DFT (Discrete Fourier Transformation) algorithm. The algorithm uses the settings DFT Window and DFT f as part of the dialog Diagram Settings .

It is important to understand how ATPDesigner calculates the number of samples of the DFT window. This algorithm will be explained below. It will be presupposed that the time scale of the COMTRADE file was calculated in seconds. Please note, that the DFT frequency can be set independent of the frequency of the signals to be analyzed.

1. Calculation of the Sampling Rate

DT = | Time (sampling data 1) - Time (sampling data 2) |

2. Calculation of the Number of Samples of the DFT Window

Number of Samples of the DFT Window = 1 / (DT · DFT f )

    • Example

DT = 1ms, DFT f = 50Hz → Number of Samples of the DFT window = 20

DT = 1ms, DFT f = 60Hz → Number of Samples of the DFT window = 17

    • Note

If a 50Hz based analogue signal will be analyzed using a DFT filter based on a DFT frequency of 60 Hz, the DFT algorithm uses 17 samples per cycle. Because this 17 samples don't cover a full 50 Hz cycle (20 samples are required), the resulting complex vector will have a floating amount and phase.

  • DFTP

Out = DFTP (Inp#1) = arg ( DFT ((Inp#1) )

The output signal Out represents the phase angle in degrees calculated using the DFT (Discrete Fourier Transformation) algorithm. The algorithm uses the settings DFT Window and DFT f as part of the dialog Diagram Settings . The calculation of the number of samples of the DFT window is identical to the algorithm used for the equation DFTA.

  • DFZ

Out = DFTZ (Inp#1, Inp#2) = | DFT(Inp#1) / DFT(Inp#2) |

The output signal Out represents the amount of the complex impedance | Z | = | DFT(Inp#1) / DFT(Inp#2) |, where DFT(Inp#x) is the complex vector of each input signal. The complex vectors are calculated using a full-cycle DFT algorithm.

  • VPP

Out = (Inp#1 - Inp#2)

The output signal Out represents the phase-to-phase voltage.

  • IPP

Out = (Inp#1 - Inp#2)

The output signal Out represents the phase-to-phase current.

  • V0

Out = (Inp#1 + Inp#2 + Inp#3) / 3.0

The output signal Out represents the zero-sequence voltage.

  • I0

Out = (Inp#1 + Inp#2 + Inp#3) / 3.0

The output signal Out represents the zero-sequence current.

  • VNG

Out = (Inp#1 + Inp#2 + Inp#3) / √3

The output signal Out represents the displacement voltage.

  • IG

Out = Inp#1 + Inp#2 + Inp#3

The output signal Out represents the residual current.

  • XPG

Out = Im ( DFT (Inp#1) / ( DFT (Inp#2) + kG · ( DFT (Inp#3) + DFT (Inp#4) + DFT (Inp#5) ) ) )

The output signal Out represents the imaginary part of the complex impedance, which will be typically calculated from distance protection relays, if a phase-to-ground fault has been occurred:

    • Xpg = Im (V1G / ( I1 + kG · (I1 + I2 + I3) ) )

Fault reactance of the phase-to ground impedance loop, measured between the measuring location of the distance protection relay and the fault location

    • |kG|

Amount of the ground compensation factor

    • ø (kG)

Phase angle of the ground compensation factor

  • RPG

Out = Re ( DFT (Inp#1) / ( DFT (Inp#2) + kG · ( DFT (Inp#3) + DFT (Inp#4) + DFT (Inp#5) ) ) )

    • Rpg = Im (V1G / ( I1 + kG · (I1 + I2 + I3) ) )

Fault resistance of the phase-to ground impedance loop, measured between the measuring location of the distance protection relay and the fault location

  • XPP

Out = Im ( ( DFT (Inp#1) - DFT (Inp#2) ) / ( DFT (Inp#3) - DFT (Inp#4) ) )

  • RPP

Out = Re ( ( DFT (Inp#1) - DFT (Inp#2) ) / ( DFT (Inp#3) - DFT (Inp#4) ) )

  • ID2

Out = | Factor · Inp#1 + Factor · Inp#2 |

  • ID3

Out = | Factor · Inp#1 + Factor · Inp#2 + Factor · Inp#3 |

  • ID4

Out = | Factor · Inp#1 + Factor · Inp#2 + Factor · Inp#3 + Factor · Inp#4 |

  • IR2

Out = | Factor · Inp#1 - Factor · Inp#2 | / 2.0

  • IR3

Out = | Factor · Inp#1 + Factor · Inp#2 + Factor · Inp#3 | / 2.0

  • IR4

Out = | Factor · Inp#1 + Factor · Inp#2 + Factor · Inp#3 + Factor · Inp#4 | / 2.0


How to Save COMTRADE Files with User Defined Signals

How to Save COMTRADE Files by User Defined Signals

COMTRADE files (.CFG- and .DAT-File), which are extended by user defined signals can be easily saved via the Save As .. function as part of the main menu File . ATPDesigner asks first the user about a new file name for the extended COMTRADE file to save.

The data which are visible into the frames Definition of Equations and Equation will be copied into the equation which is selected.

  • Please Note

The so called COMTRADE file consists of at least 2 files: the .CFG-File for configuration data of all signals and the .DAT-File containing the scaled sampling data.

The figure below shows a .CFG-File which contains the user defined signal DFTA_VAG_M1. The signal DFTA_VAG_M1 had been created based on User Defined Equations based on COMTRADE .

If signals of the COMTRADE file were displayed in a Diagram , the extended COMTRADE file, which contains the new, user defined signal, can be saved into a new COMTRADE file. The figure below shows the content of the .CFG-File . The new COMTRADE file (.CFG- and .DAT-File) can now be opened and processed with ATPDesigner or any other COMTRADE viewer.

29,29A,0D

,ATPDesigner Version 1.00.04 - 07.04.2004,1999

1,TACS - VAB_M1,,,,1.70399,1.29688,0,-90000,90000,1,1,P

2,TACS - VBC_M1,,,,1.7191,-0.953125,0,-90000,90000,1,1,P

3,TACS - VCA_M1,,,,1.71544,0.328125,0,-90000,90000,1,1,P

4,DFTA_VAG_M1,,,,0.496528,44687.5,0,-90000,90000,1,1,P

5,TACS - OUTP04,,,,0.000902205,0.00025177,0,-90000,90000,1,1,P

6,TACS - OUTP05,,,,0.00101718,-0.0405807,0,-90000,90000,1,1,P

7,TACS - OUTP06,,,,0.00103766,0.00100708,0,-90000,90000,1,1,P

8,TACS - OUTP01,,,,0.000633996,15.5269,0,-90000,90000,1,1,P

9,TACS - OUTP02,,,,2.1224e-005,-0.000329137,0,-90000,90000,1,1,P

10,TACS - OUTP03,,,,2.33915e-005,-6.91414e-006,0,-90000,90000,1,1,P

11,TACS - FKIE01,,,,0.126999,3103.83,0,-90000,90000,1,1,P

12,TACS - IAB_M1,,,,0.124412,3154.65,0,-90000,90000,1,1,P

13,TACS - IBC_M1,,,,0.00682949,0.00405884,0,-90000,90000,1,1,P

14,TACS - ICA_M1,,,,0.130997,-3132.79,0,-90000,90000,1,1,P

15,TACS - VNG_M1,,,,0.85383,-0.714844,0,-90000,90000,1,1,P

16,TACS - V0_M1,,,,0.492867,-0.414063,0,-90000,90000,1,1,P

17,TACS - IG_M1,,,,0.125405,3066.18,0,-90000,90000,1,1,P

18,TACS - VAG_M1,,,,0.992525,0.277344,0,-90000,90000,1,1,P

19,TACS - VBG_M1,,,,1.11901,-44.6445,0,-90000,90000,1,1,P

20,TACS - VCG_M1,,,,1.14154,1.10547,0,-90000,90000,1,1,P

21,TACS - IAP_M1,,,,0.126799,3105.38,0,-90000,90000,1,1,P

22,TACS - IBP_M1,,,,0.00424481,-0.0658417,0,-90000,90000,1,1,P

23,TACS - ICP_M1,,,,0.00467831,-0.00137329,0,-90000,90000,1,1,P

24,TACS - VAGSM1,,,,0.000902205,0.00025177,0,-90000,90000,1,1,P

25,TACS - VBGSM1,,,,0.00101718,-0.0405807,0,-90000,90000,1,1,P

26,TACS - VCGSM1,,,,0.00103766,0.00100708,0,-90000,90000,1,1,P

27,TACS - IAS_M1,,,,0.000633996,15.5269,0,-90000,90000,1,1,P

28,TACS - IBS_M1,,,,2.1224e-005,-0.000329137,0,-90000,90000,1,1,P

29,TACS - ICS_M1,,,,2.33915e-005,-6.91414e-006,0,-90000,90000,1,1,P

50.000000

1

1000,201

07/04/2004,11:45:43.000000

07/04/2004,11:45:43.000000

ASCII

1.000000


Merging COMTRADE Files

ATPDesigner provides the user merging two or more COMTRADE - Files.

  1. Add two or more COMTRADE files to the list control shown below using the Add button.
  2. Set the Shift setting.

Shift = Number of sampling time steps N · T = N / fa , which the analogue and binary sampling values will be shifted in direction to the end of the data set.

Example: Shift = 5

The first sampled value of the COMTRADE file no. 2 has been shifted by 5 sampling time steps regarding the first sampling value.

  • Please Note

The Shift index must be >= 0.

  3. Start the merging process using the Merge button.

The diagram below shows a COMTRADE file, which has been created merging the same COMTRADE file twice. The second file to be merged has been shifted by 5 sampling values.


Appending Text Files

ATPDesigner provides the user to append one or more text files to one new text file. The figure below shows the corresponding dialog.

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Add To List

A file can be selected and its file name can be added to the list

Append

The text files no. 2, 3, ... will be appended to the first text file no. 1.

  • Please Note

ATPDesigner first ask the user to define the file name of the new text file using the well known Save As.. dialog.


Calculation of the Power Network Impedance

Read also Example: Calculation of Z (f) and Creating a COMTRADE based Diagram

ATPDesigner provides the user to calculate the frequency dependent behavior of the power network impedance Z(f). ATPDesigner uses ATP Steady State Analysis to process the stationary network analysis at the frequencies according the setting range [ fmin .. fmax ] with step size df. The results are

    • Re { Z (f) } in Ohm
    • Im { Z (f) } in Ohm
    • | Z (f) | in Ohm
    • Phase angle ( Z (f) ) in degree
    • ...

and will be displayed separately for the three phases A, B and C in the spreadsheet. The dialog is resizable using the grid in the bottom right corner of the dialog. Please note, that the calculation process can be interrupted using the ESC key.

The calculation of the power network impedance can be studied using the example .NET - File 35: Calculation of the Power Network Impedance of a RLC-Series Impedance. The calculation can be started via the main menu ATP , menu item Power Network Impedance.

Additional Rules, if the frequency scan will be processed:

  • The internal voltage sources of the Network Infeeds will be shortened.
  • 3-Phase Symmetrical Sources , which has been configured as current sources, will be ignored.
  • 3-Phase Symmetrical Sources , which has been configured as voltage sources, will be also shortened, except the 3-Phase Symmetrical Sources used for the frequency scan.

  • Generators will be disabled .
  • 1-Phase Sources will be disabled .
  • Multi Frequency Sources will be disabled .
  • Empirical Functions will be disabled .

Interruption of the Frequency Scan

Please note, that the frequency scan can be interrupted pressing the ESC key.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Start

Save

Save the data of the spreadsheet into a file a COMTRADE file

The COMTRADE file can be further used to be opened and presented in a Diagram .

Clear

Clear the spreadsheet

Copy

Copy the content of the spreadsheet into the Clipboard

The copy procedure is optimized for standard office tools e.g. Excel.

fmin

Minimum frequency of the frequency scan

fmax

Maximum frequency of the frequency scan

df

Step size of the frequency scan

f

Current frequency if the frequency scan has been enabled

Source :

3-Phase Symmetrical Source to be used to drive the frequency scan

  • Caution !!!

Please note, that it will be necessary to configure the 3-Phase Symmetrical Source as a voltage source, not a current source.

Meas. Loc. :

Measuring location e.g. of the Probe

ATPDesigner calculates the power network impedance Z(f) at this location using the results of ATP Steady State Analysis.


Example: Calculation of Z (f) and Creating a COMTRADE based Diagram

Read also Calculation of the Power Network Impedance

.NET - File 35: Calculation of the Power Network Impedance of a RLC-Series Impedance

This is a simple example, how to use the Calculation of the Power Network Impedance to be studied by ATPDesigner users. First a RLC-series impedance has been defined: R = 1 Ohm, C = 100nF, X = 10Ohm. The figure below shows the power network.

Processing the Calculation of the Power Network Impedance

    1. Open the dialog via CTRL + I or the corresponding menu item Power Network Impedance in the main menu item ATP .
    2. Select the Source and the Measuring Location (Meas. Loc.).
    3. Define the frequency range fmin, fmax and the step size df.
    4. Start the calculation of the power network impedance.

ATPDesigner changes automatically the frequency of the 3-phase source from fmin to fmax using the step size df and processes the ATP Steady State Analysis for each step. ATPDesigner identifies the phase-to-ground voltages and the phase currents measured at the measuring location (Meas. Loc.) by the selected Probe . The real and imaginary part of the impedance will be now determined:

Z(f) = U(f) / I(f)

The figure below shows the results presented in the dialog. These results can be now saved into COMTRADE file using the Save button. The COMTRADE file can be further used to be opened and presented in a Diagram . Please note, that the calculation process can be interrupted using the ESC key.

  • Caution !!!

If the dialog will be closed, all data will be lost. The data will be not automatically saved on the hard disk. Therefore the user should first save the calculated data into a COMTRADE file before closing the dialog.

After pressing the Start button, ATPDesigner creates automatically file names for the both COMTRADE files, the .CFG- and the .DAT-File based on the file name of the .NET-File . In addition, the file names of the COMTRADE files also consist the name of the selected source and the name of the selected probe. Therefore different COMTRADE files can be saved for the same power network, but e.g. different measuring locations. The figure below shows the dialog, which will be presented, if the file names are still existing.

Now the COMTRADE files can be opened and displayed as a Diagram . The calculated Power Network Impedance are saved phase selective.

The figure below shows the diagram of the amount and the phase of the Power Network Impedance. The limits of the Diagram has been modified by hand using the Diagram Settings Dialog . In addition the sampling data of the phase angle were multiplied with factor 10 using the Diagram Scaling Factors .


Overview about the use of MODELS

Read also ATPDesigner and MODELS

Read also Default MODELS Sequence

Read also Adding MODELS Output Variables to the TACS Management System

Read also Creating MODELS Interface for Probes and Circuit-Breaker

The network simulation system ATP supports an internal interface which can be used from users to implement their own signal analysis algorithms, protection algorithms, etc. This interface uses the MODELS Language. Please check the ATP documentation the learn how to use the MODELS Language.

"MODELS is a general technical description language supported by a simulation solver. It is a programming language targeted to time-domain simulation, and is used as a tool for describing the dynamic behavior of complex physical systems. In ATP, it can be used for describing the operation of circuit components and of control components. It can also be used for generating signals or for analyzing measurements from the circuit. Finally, it can be used as the interface between ATP and outside programs.

The purpose of having MODELS available in ATP is four-fold:

1) to have a tool for developing models of circuit and control components which cannot be built easily with the set of existing components available in ATP and TACS;

2) to have the flexibility of a full programming language without having to interact with ATP at the programming level;

3) to be able to describe not only how a component operates, but also how the initial state (initial values and initial history) of the component is established, at any required detail level;

4) to have a standard program interface to ATP defined at the modeling level in terms of voltages, currents, and control signals, as opposed to an interface which would be defined at the programming level in terms of the variables, common blocks, and subroutines of ATP; this makes it possible to connect external programs to ATP for modeling of components, access to measurements, or interaction with equipment, without requiring a programming knowledge of the internal operation of ATP, and without requiring any modification to be made to the source code of ATP."

(copied from USERS GUIDE TO MODELS IN ATP, April 1996)

ATPDesigner also uses the MODELS Language to calculate voltages and currents depending on different settings. All MODELS Language based options can be enabled inside the dialog ATP Data , section Signal Analysis.


Network Description

Read more about How to Get Detailed Information about the Power Network

Read also how to define a general Description of the Power Network


Copy Graphics to Clipboard

The graphics of an electrical power network or a diagram can be copied via the clipboard e.g. to be copied into any other application or into ATPDesigner itself as well known from Windows applications: Pressing the button [image] of the Main Toolbar or the key Ctrl + C .

  • Please Note

If a network element has been selected, the Ctrl + C command starts the procedure to copy only the network element into the clipboard in order to paste this copy into the same or into an other power network.

Example: Power Network Graphics Copied via the Clipboard

Example: Signal Diagram Copied via the Clipboard


Converting Voltages and Currents to other File Formats

Read more about Overview about Diagrams

Voltages, currents and other signals can be calculated by the ATP for nodes of the power network using Probe . The figure below shows the data conversion dialog. This dialog can be opened via the corresponding menu item Convert and Export Voltages and Currents in the main menu ATP or the toolbar button [image] in the Main Toolbar .

The list box at the left side displays the names of all nodes of the power network, where e.g. Probe or other network elements have been measured or calculated signals. These output signals e.g. phase-to-ground voltages VABCG or phase currents IABC have been calculated by the ATP and stored into the corresponding .PL4-File .The list box at the right side displays the names of the nodes of the power network, which are selected by the user to be transferred to a new Output Device e.g. to COMTRADE or text files.

Read more about How to Select the Output Device

Read more about Output Devices

Read more about COMTRADE Versions supported by ATPDesigner

In the figure below voltages, currents and other signals have been read from the input file "C:\ATPDesigner\Data\Network_5.PL4". The selected data will be converted to COMTRADE. ATPDesigner has automatically created the file name "C:\ATPDesigner\Data\Network_5.CFG" according the COMTRADE standard. The name of output file can be changed using the Output File button. The COMTRADE specific comment COMTRADE IEC 60255-24 Comment will only be enabled, if the user has first selected COMTRADE as the Output Device.

Input File Name, Output File Name

Output File

Name of the output file, where the calculated voltages and currents will be saved. If the output device CMC Test System has been enabled, the data will be not saved into a file, but transferred directly to the connected CMC Test System via the CMEngine data interface. The figure below shows the corresponding name of the output file.

Input File

Name of the input file, which contains all node names displayed in the list box to the left

Step

The input data will be exported into the output file using the Step size. This feature van be used to reduce the size of the output file or to reduce the sampling rate of the signals stored in the output file.

    • Example: Step = 2

Only each 2nd value will be exported into the output file

Info

Input file = COMTRADE : COMTRADE specific information will be displayed

Read more about COMTRADE - Info

Copy all selected node names into the list box to the right

Copy all selected node names into the list box to the left

Copy all node names into the list box to the right

Copy all node names into the list box to the left

Copy all predefined node names OUTPxx into the list box to the right

Copy all predefined node names OUTSxx into the list box to the right

Output File

The file name of the output file and the folder, where it will be saved, can be changed. The user can browse through all folders.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Output Devices

The default setting of the output device is defined in Network Configuration . The setting of the output device can be changed in the presented dialog independent of the Network Configuration dialog.

CMC Test System

The calculated voltages and currents will be transferred to an Omicron CMC Test System e.g. CMC156 or CMC256 or CMC356 using the communication link between the test PC and the OMICRON test system. The communication driver DLL called CMENGW32.DLL must be loaded to control the CMC Test System.

Read more about the Support of CMC Test Systems

Read more about CMENGW32.DLL

CSV-Format

The CSV-Format is a text file format with the extension .CSV, which can be read with a text editor or e.g. Excel.

Time(in s);APV001;BPV001;CPV001

0;0;0;0

0.001;27695.4;-87812.6;60117.2

0.002;52732.1;-89299.1;36567

0.003;72607.1;-82044.4;9437.32

0.004;85374.8;-66758.7;-18616.1

0.005;89785.4;-44938.1;-44847.2

0.006;85407.2;-18718.8;-66688.4

0.007;72668.7;9332.94;-82001.7

Text

The calculated voltages and currents will be written into a text file with the extension .TXT. The structure of the text file is defined as described below:

  1. Column: Time steps in seconds
  2. Column: Signal corresponding to the first node name of the left side list e.g. TACS - VAG_M1 shown in the figure above.
  3. Column: as 2. Column
  4. etc.

  • Caution !!!

The format of the numbers are defined according the international standard with a dot "." as a decimal delimiter.

COMTRADE

The calculated voltages and currents will be exported according COMTRADE IEC 60255-24 standard. Two different files will be generated. The .CFG - File contains the header information of all analogue and binary signals, which are exported according to the COMTRADE standard. The .DAT-File contains the sampled values, time stamps, etc.

COMTRADE IEC 60255-24 Comment

Definition of an user specific comment, which will be written as first text element in the first line of the .CFG - File (see default in red below). Please read more about the COMTRADE formats , which are supported by ATPDesigner.

The text box below shows as an example first a .CFG - File and below the corresponding .DAT-File .

ATPDesigner Export,ATPDesigner Version 1.00.41 - 12.10.2003,1999

12,12A,0D

1,TACS - OUTP04,A,,V,0.000920133,-3.05176e-005,0,-90000,90000,1,1,P

2,TACS - OUTP05,B,,V,0.000919883,-0.000102997,0,-90000,90000,1,1,P

3,TACS - OUTP06,C,,V,0.00092021,3.8147e-006,0,-90000,90000,1,1,P

4,TACS - OUTP01,A,,A,1.27344e-005,1.78814e-007,0,-90000,90000,1,1,P

5,TACS - OUTP02,B,,A,1.27298e-005,3.39746e-006,0,-90000,90000,1,1,P

6,TACS - OUTP03,C,,A,1.27334e-005,-6.97374e-006,0,-90000,90000,1,1,P

7,TACS - OUTP10,A,,V,0.000936423,0,0,-90000,90000,1,1,P

8,TACS - OUTP11,B,,V,0.000936823,3.8147e-006,0,-90000,90000,1,1,P

9,TACS - OUTP12,C,,V,0.000936811,-1.14441e-005,0,-90000,90000,1,1,P

10,TACS - OUTP07,A,,A,1.27344e-005,-1.19209e-007,0,-90000,90000,1,1,P

11,TACS - OUTP08,B,,A,1.27299e-005,3.33786e-006,0,-90000,90000,1,1,P

12,TACS - OUTP09,C,,A,1.27335e-005,-9.17912e-006,0,-90000,90000,1,1,P

50.000000

1

5000,1001

12/10/2003,21:19:22.000000

12/10/2003,21:19:22.000000

ASCII

1.000000

1,0,0,0,-0,-0,-0,1,0,-0,0,0,-0,1

2,200,4351,-80056,75677,72446,-82474,10000,2776,-79295,76522,72446,-82475,10000

3,400,9987,-82484,72469,75655,-80048,4364,8421,-81812,73396,75655,-80049,4366

4,600,15584,-84588,68975,78567,-77306,-1288,14033,-84006,69980,78567,-77307,-1287

5,800,21120,-86357,65209,81168,-74260,-6934,19590,-85869,66288,81168,-74261,-6934

6,1000,26572,-87786,61185,83449,-70920,-12555,25070,-87393,62334,83449,-70921,-12555

7,1200,31919,-88868,56920,85401,-67300,-18126,30450,-88572,58135,85401,-67300,-18125

8,1400,37141,-89599,52430,87016,-63414,-23625,35711,-89401,53706,87016,-63415,-23624

9,1600,42216,-89977,47733,88287,-59278,-29032,40831,-89877,49065,88287,-59279,-29031

...

Text (Excel)

The structure of the output file is identical to the output file structure of option Text. The output file can be imported into an Excel file e.g. to present the data as a diagram.

  • Caution !!!

The format of the numbers are defined according the German standard with a comma "," as a decimal delimiter.


Zooming the Network Graphics

Read also about the Main Toolbar

Read also about the main menu item Edit

Read more about How to Zoom a Diagram using the Mouse Wheel

The graphics view of the power network can be enlarged or reduced.

  • Zoom Out or '+' of the Numeric Pad

Enlarge the power network graphics using the button [image] of the Main Toolbar

  • Zoom In or '-' of the Numeric Pad

Reduce the power network graphics using the button [image] of the Main Toolbar

  • Reset Zoom

Reduce the power network graphics using the button [image] of the Main Toolbar to the smallest zoom factor

  • Mouse Wheel

The graphics view of the power network can be also zoomed in and zoomed out using the Mouse Wheel.

Read more about Zooming using the Mouse Wheel

  • Zoom In using CTRL + Left Mouse Button Frame

In addition it is possible to enlarge the power network using a Zoom Frame.

    • Pressing the CTRL key permanently
    • Pressing the Left Mouse Button and "open" the Zoom Frame
    • Release the CTRL key and the Left Mouse Button

ATPDesigner now determines the optimal zoom factor to display the selected part of the power network graphics as enlarged as possible.

  • Please Note

If Protection Elements has been used, it may be that the position of the Red Frames and Green Frames which displays the results of the Protection and Short-Circuit Analysis is wrong. In this case use the menu item [image] to reset the position of the frames closed to the corresponding Probe .

The current zoom factor [image] (see red frame in the figure) will be displayed in the Main Toolbar . The default zoom takes 1. The network graphics can be reduced up to zoom factor 1/4. The enlargement of the network graphics is not limited.

Zooming the Diagram using the Mouse Wheel

ATPDesigner provides the user zooming a Diagram by using the Mouse Wheel. Please note, that the Y-axis and the X-axis can be zoomed independent of each other.

    • Disable the Diagram Cursor e.g. by pressing the Diagram Refresh Button [image] if enabled (= visible)

    • Disable the option Automatic Y-Scaling 10^n via

      • disabling this option in the Right Mouse Button Menu for Diagrams
      • disabling this option in the settings dialog Diagram Settings e.g. using the toolbar button

    • Zooming the Y-Axis
      • Move the mouse cursor "over" the Y-axis

= view region between the left margin of the view and the left margin of the drawing area

      • Scroll the Mouse Wheel

    • Zooming the X-Axis
      • Move the mouse cursor "over" the X-axis

= view region between the bottom margin of the drawing area and the bottom margin of the view

      • Scroll the Mouse Wheel


Command Line Options

ATPDesigner can be automatically started and closed using Command Line Options. Using the Command Line Options it is possible to write a .BAT-File to execute a batch processing. The place holder $File must be replaced by the folder and filename of the .NET-File which may be processed.

Option | Command Line
/GPAPL | Starts the automatic protection analysis Protection + Protection Analysis + Auto. Protection - Line c:\atpdesigner\exe\atpdesigner.exe /GPAPL $File
/LFIMP | Starts the Load Flow Calculation using ATP + Short-Circuit Results c:\atpdesigner\exe\atpdesigner.exe /LFIMP $File

Example

  • c:\atpdesigner\exe\atpdesigner.exe /LFIMP c:\atpdesigner\data\network_1.net


ATP Data

Read also about Adjusting Load Impedances

Read also about Using EMTP Load Flow Analysis in ATPDesigner

Read also about Load Flow Settings Dialog

The figure below shows the ATP Data. Depending on the topology of the power network and the network elements used for the power network, the user must specify some miscellaneous settings. In addition several Signal Analysis or the ATP Load Flow option settings can be also selected.

Time

Length of the data set (simulation time) containing the calculated currents and voltages in cycles of the network frequency, including the prefault.

  • Please Note

The setting Time depends on the fundamental frequency fnom of the power network, because this setting must be defined in cycles of the network frequency (1 Cycle [s] = 1 / (fnom [Hz]) ). The Power Network Frequency fnom can be set in the settings dialogs Network Infeed or Network Configuration .

Time = 20 Cycles ⇒ Time = 20 ⋅ 1/fnom = 20 ⋅ 20ms = 400ms

Prefault

Length of the prefault time in cycles of the network frequency

dt

Sampling rate dt in milliseconds of the calculated currents and voltages, which are used for all output signals stored in ATP output files e.g. the .PL4-File

This setting defines the time step dt, which will be used to create the time axis of a Diagram. It is also important processing the Signal Analysis Algorithms .

  • Please Note

Currents and voltages can be calculated internally by the ATP with a higher sampling frequency fs depending on the chosen line model e.g. to take traveling waves into account. In this case the setting Step has to be increased, the setting dt can be the same to avoid, that the size of the output file .PL4-File will be to big.

  • Please Note

The sampling rate dt will be used creating Diagrams . Therefore it is possible to use internally a very high sampling rate dt / Step e.g. to take traveling waves into the consideration, but to create the diagram using a smaller sampling rate dt.

Step

Number of calculation steps between two samples which can be displayed in Diagrams .

  • Example: Diagram of Voltages and Currents, Time Step 1ms

If a diagram has to be created to display voltages and currents using a time step dt = 1ms, the settings dt = 1ms and Step = 1 must be set. ATPDesigner calculates a sampling rate DELTAT = 0.001 and the frequency for saving solution points, which are stored in the .PL4-File , IPLOT = 1.

Sometimes the sampling rate of the ATP DELTAT must be increased to take e.g. capacitances or traveling waves into account. But this may cause an very big increase of the size of the output files, if the frequency for saving solution points takes always IPLOT = 1. In this case the setting dt can be keep unchanged dt = 1ms, but the setting Step can be increased to e.g. Step = 7. ATPDesigner now calculates a sampling rate DELTAT = 0.000142857 and the frequency for saving solution points IPLOT = 7. The size of the output files keep the same, but the internal ATP sampling frequency increases by 7.

    • Internal ATP sampling rate dt (DELTAT) = dt / Step
    • Internal ATP sampling frequency fs = Step / dt

Some explanations copied out of the ATP Rule Book:

"DELTAT is the size of the time step of the numerical integration, in seconds. Signals will be calculated at discrete instants of the time that have this time separation."

"IPLOT gives the frequency for saving solution points of the time-step loop for purposes of later batch-mode plotting and the associated .PL4 disk file.E.g., a value of 3 means that every 3rd time step will be saved. A value of zero or blank is changed to unity, and any even value is increased by one to make it odd." (ATP Rule Book)

Nevertheless ATPDesigner allows to use an even value of the frequency for saving solution points IPLOT represented by the setting Step. ATPDesigner writes the special-request card ALLOW EVEN PLOT FREQUENCY into the .ATP-File. But the user must be carefully using even values of Step, maybe that some results of the network calculation are corrupted.

  • Caution !!!

The correct number of Step can be not calculated before starting ATP. But ATP checks this data before the network calculation will be executed. If the internal sampling frequency is not accurate, ATP generates an error message as shown below.

Out

Defines how often the calculated data set will be automatically transferred to the test system

  • Please Note

If the setting Out = 10, ATPDesigner transfers 10 times the data set (sampled values) to the CMC Test System and the connected protection device will be tested 10 times using the same currents and voltages.

Output Signals

This setting should be used to define the compilation of output signals (currents and voltages), which will be calculated and written into the .PL4-File . The different compilations of output signals depend on the Node Names of the Enabled Measuring Locations .

  • Output List 1

= Output List 2

  • Output List 2

Output signals of Probe , TACS , important MODELS output signals

  • Output List 3

Output List 2 + more MODELS output signals e.g. of the Renewable Power infeed

  • Output List 4

Output List 3 + Short-Circuit + Error Messages of Protection Elements , more MODELS output signals

  • Output List 5

Output List 4 + additional node voltages and branch currents

ATP Load Flow

Enable the ATP Load Flow feature (see ATP Rule Book chapter 10)

Read also about Using EMTP Load Flow Analysis in ATPDesigner

Read also about Load Flow Settings Dialog

Invisible Nodes in Power Network

Set the nodes of all network elements visible or invisible

Protection Relaying Results

ATP calculates the vectors of currents and voltages for all nodes of the power network in addition. Time dependent behavior or transient phenomena will be ignored. This operating mode can be used to carry out short-circuit analysis of complex power networks from the point of view of Protection Relays. The results of the short-circuit calculation will be preprocessed by ATPDesigner analyzing the .LST-File to extract the results which are of interest for the enabled Measuring Locations . Some additional information will be also presented which are of interest for Protection Relaying Engineer.

Read more about the dialog presenting Protection Relaying Information

Check .LST-File on Errors

ATPDesigner checks the ATP .LST-File on errors. If an error has been detected, ATPDesigner presents a message box containing the description of the error. These descriptions are copied out of the .LST-File. ATP errors cause a stop of the network calculation. The following text box shows a typical ATP error as an example.

------------------------------------------------------------------------------------------------------------------------------------

ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/

ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/

------------------------------------------------------------------------------------------------------------------------------------

You lose, fella. The EMTP logic has detected an error condition, and is now going to terminate program execution. The following

message summarizes the circumstances leading to this situation. Where an otherwise-unidentified data card is referred to, or where

the "last" card is mentioned, it is the most recently read card of the input data that is meant. The 80-column image of this card

is generally the last one printed out prior to this termination message. But possibly this last-read card has not yet been

displayed, so a copy follows:

" "

KILL code number Overlay number Nearby statement number

29 12 4531

KILL = 29. The distributed parameter branch card connecting node "R02001" with node "R02002" is associated with a propagation

mode having a travel time equal to 1.86779987E-04 seconds. But this is less than the time-step size DELTAT, which is illegal.

Either reduce the step size DELTAT, or replace the distributed modeling by lumped Pi-circuit modeling.

------------------------------------------------------------------------------------------------------------------------------------

ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/

ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/ERROR/

------------------------------------------------------------------------------------------------------------------------------------

Check .LST-File on Warnings

ATPDesigner checks in addition the ATP .LST-File on warnings. If a warning has been detected, ATPDesigner presents a message box containing the ATP based description of the warning. ATP warnings does not cause a stop of the network calculation. The following text box shows an ATP warning as an example.

Nonlinear resistances, time-varying resistances, and type-94 MODELS components are ignored during the phasor solution. Nonlinear

inductors are linearized.

Total network loss P-loss by summing injections = 4.780941580926E+07

---- Initial flux of coil "RIMAM1" to " " = -5.64800400E-04

---- Initial flux of coil "SIMAM1" to " " = 3.17365242E-04

---- Initial flux of coil "TIMAM1" to " " = 2.47435159E-04

+++ Node "TICPM1" has no connected linear branches. Add (to ground) the conductance G = 1.00000000E-15 mhos.

+++ Node "SICPM1" has no connected linear branches. Add (to ground) the conductance G = 1.00000000E-15 mhos.

+++ Node "RICPM1" has no connected linear branches. Add (to ground) the conductance G = 1.00000000E-15 mhos.

Check Network Topology

Before ATPDesigner starts to write the .ATP-File, ATPDesigner checks the topology of the power network and identifies automatically Not Connected Nodes .

Automatic Calculation

Automatic calculation of the electrical power network

If enabled, ATPDesigner checks first, if any setting of the electrical power network have been changed, which is relevant regarding the results of the network simulation process. In this case ATPDesigner automatically writes the .ATP-File and runs the ATP again to calculate voltages and currents in the background. This automatic calculation process is identical to the process started by a click on the button [image] , which is contained in the Main Toolbar .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Load Flow Calculation - Load Adjusting and/or Phase Adjusting

Using these both options ATPDesigner processes a Load Flow Calculation including also renewable power infeed as wind farms using inverters.

Load Adjusting (PQ, PV Nodes)

Read also about Load Adjusting

Read also about Load Adjusting Algorithm

Read also about Voltage Regulator for Transformers

Phase Adjusting

Read also Phase Adjusting

Read more about Phase Adjusting Algorithm

Phase Adjusting AND Load Adjusting

If both options Load Adjusting and Phase Adjusting has been enabled, ATPDesigner processes a Combined Adjusting Algorithm to adjust both in parallel.

Signal Analysis

The resistances R, reactances X, voltages V and currents I of the positive-sequence system and negative-sequence system can be calculated using MODELS of the ATP. The MODELS source code to calculate these parameters is based on the Discrete Fourier Transformation (DFT) .

  • Please Note

The Signal Analysis algorithms will be only processed by ATPDesigner, if the Measuring Locations M1, M2 or M3 assigned to the Circuit-Breaker Cb1, Cb2 or Cb3 have been first enabled. ATPDesigner calculates the positive-sequence and negative-sequence voltages and currents based on the voltages and currents measured at the secondary circuit of the Current and Voltage Transformers also assigned to the Circuit-Breaker Cb1, Cb2 or Cb3.

Positive & Negative Sequence System (12-System)

The voltages V1 and V2 as well as the currents I1 and I2 of the positive-sequence system and negative-sequence system will be calculated using the MODELS module of the ATP. See an example for 012-sequence system signals in Example: 012 - Sequence System Voltages and Currents . This option can be enabled or disabled independent on the Measuring Scheme . The corresponding equations are described in Node Names for Measuring Locations .

R = Re [ DFT (V, I) ]

The phase-to-ground resistances Rpg and phase-to-phase resistances Rpp will be calculated using the MODELS module of the ATP. The calculation is based on a full-cycle DFT (Discrete Fourier Transformation) algorithm. This option can be only enabled or disabled if the Measuring Scheme Distance Protection had been first enabled. The corresponding equations are described in Node Names for Measuring Locations .

X = Im [ DFT (V, I) ]

The phase-to-ground reactances Xpg and phase-to-phase reactances Xpp will be calculated using the MODELS module of the ATP. The calculation is based on a full-cycle DFT algorithm. This option can be only enabled or disabled if the Measuring Scheme Distance Protection had been first enabled. The corresponding equations are described in Node Names for Measuring Locations .

  • Please Note

It is required to set the right Ground Factor kG in the Signal Analysis Settings dialog.

  • Please Note

ATPDesigner calculates the resistances Rpg and Rpp and the reactances Xpg and Xpp as well known from protection relays using the equations shown below.

    • Zpp = Upp / Ipp

    • Zpg = Upg / (Ip + kG ⋅ IG)

Therefore the impedances Zpp and Zpg represent the Impedance of the Positive Sequence System as usually for protection relays.

Diff. Protection: Idiff & Irest

The calculation of differential current and restraining current can be only enabled or disabled if the Measuring Scheme Diff. Protection has been first enabled. If the Measuring Scheme Distance Protection has been enabled, the option will be automatically disabled. The equations to calculate the differential current Idiff and restraining current Irest are described in Node Names for Differential Protection .

Read more about Differential and Restraining Current


Load Adjusting (PQ- and PV-Nodes)

Read more about Load Adjusting Algorithm

ATPDesigner processes its own Load Flow Analysis or Load Flow Calculation, which is based on the usual algorithms for load flow calculation. This Load Flow Analysis uses to different algorithms:

  • Load Adjusting Algorithm
  • Phase Adjusting Algorithm

The figure below shows the settings dialog for the Load Adjusting Algorithm . The Load Adjusting algorithm will be only processed if enabled in the settings dialog ATP Data . The Load Adjusting will be processed only during the steady-state network calculation ( Short-Circuit Analysis ), not to calculate transients.

The Load Adjusting algorithm takes the network elements listed below into account:

  • Load Impedance

Adjusting the load impedance in order to achieve the active power and reactive power consumption specified by the user

  • Transformer

Automatic voltage regulation if enabled

  • Network Infeed

Adjusting the active power and the node voltage at the network connection point of the Network Infeed specified by the user

  • Busbar
    Undervoltage and overvoltage monitoring using the thresholds V< (undervoltage monitoring) and V> (overvoltage monitoring)
    The thresholds are defined in %Vnom related to the specific nominal voltage Vnom of each Busbar . ATPDesigner separately compares the amount of the three phase-to-ground voltages VAG, VBG, and VCG as well as the amount of the three phase-to-phase voltages VAB, VBC, and VCA with the thresholds V< and V>. If any of these voltages exceeds one of the thresholds the corresponding Busbar will be drawn in red. The results of the undervoltage and overvoltage monitoring will be written into the Load Adjusting - File . The figure below shows two busbars where the voltage exceeds the undervoltage or overvoltage threshold. In addition the automatic voltage regulation of the transformer is also in trouble.

  • Generator

Adjusting the node voltage at the network connection point of the Generator specified by the user

Toolbar Button

The red and green arrows indicating the load flow direction of the apparent power S, active power P and reactive power Q can be set to visible or invisible using the toolbar button [image] of the Main Toolbar .

V<

Undervoltage: Threshold to monitor the node voltages of Busbar to detect an undervoltage

V>

Overvoltage: Threshold to monitor the node voltages of Busbar to detect an overvoltage

Max. Steps

Maximum number of iteration steps

The Load Adjusting Algorithm will be stopped, if the maximum number of iterations has been achieved.

Delay Time

Delay time between two steps of the iteration process

For low speed computer systems the delay time can be set to some seconds to avoid problems reading and writing data to fast to and from the hard disk. This tiem delay will be only used processing Load Flow Analysis .

s [%Snom]

Global multiplication factor of the apparent power Snom related to all Load Impedance

    • SLoad = s ⋅ Snom

Adjusting PQ Nodes (Load Impedance): dS

Accuracy of the apparent power S in % to be adjusted

The Load Adjusting Algorithm will be stopped, if the calculated accuracy dS will be less than this setting.

    • S Sum of the apparent power of all selected Load Impedances where the option Load Adjusting has been enabled

    • Siteration Sum of the apparent power of all selected Load Impedances calculated during the iteration process

      • Accuracy dS [%] = (Siteration - S) / S

  • Please Note

ATPDesigner checks both termination parameters independent of each other. The iteration process will be stopped, if one of the termination parameters has been achieved.

Adjusting PV-Nodes: dP

Accuracy of the active power P in % to be adjusted

The Load Adjusting Algorithm will be stopped, if the calculated accuracy dP will be less than this setting.

    • P Sum of the active power of all Network Infeed where the option Adjusting Network Infeed has been enabled

    • Piteration Sum of the active power of all Network Infeed where the option Adjusting Network Infeed has been enabled calculated during the iteration process

      • Accuracy dP [%] = (Piteration - Pnom) / Pnom

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

  • Please Note

If the Load Adjusting setting Accuracy and the Phase Adjusting setting Max. Phase have been both set to -1, ATPDesigner ignores the Accuracy and Max. Phase settings to stop the iteration process and the iteration process will be stopped, if the maximum number of iteration steps has been achieved.


Phase Adjusting (Renewable Power Infeed)

Read more about Phase Adjusting Algorithm

The figure below shows the settings dialog of the Phase Adjusting Algorithm . In addition the power infeed of the 3-Phase Source can be also specified using two settings:

  • the global power infeed setting s [%Pnom, %Snom] shown in the group box Pmax, Smax of 3-Phase Sources below related to all 3-Phase Source and
  • the specific power infeed related to only one 3-Phase Source s [%Pn, %Sn] shown in the list control below.

  • Please Note

The settings of the dialog shown below will be only used during the steady-state network calculation ( Short-Circuit Analysis ), if the option Adjusting Phase has been enabled in the settings dialog of the 3-Phase Source . This algorithm will automatically be disabled calculating transients.

Max. Steps

Maximum number of iteration steps

The Phase Adjusting Algorithm will be stopped, if the maximum number of iterations has been achieved.

Max. Phase

Maximum accuracy of the phase shift φ between the phase-to-ground voltages and the phase currents

The iteration process will be stopped, if the mean value φm of the calculated phase shift of all enabled 1-phase sources of the 3-Phase Sources has become less than this setting. A 3-Phase Source consists of up to 3 single-phase sources dependent on its settings.

φm = (Σ φmk) / n , k = 1..n

n : number of all 1-phase sources with setting Adjusting Phase enabled

Max. S

Maximum deviation ΔS of the calculated apparent power related to the sum of rated apparent power of all 3-Phase Sources

ΔS = (Σ ΔSk / Σ Sr) / n , k = 1..n

n : number of all 1-phase sources with setting Adjusting Phase enabled

  • Please Note

ATPDesigner checks the termination criteria independent of each other. The iteration process will be stopped, if one of the termination parameters has been achieved.

PhHyst

This setting can be used to improve the convergence of the iteration algorithm.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

  • Please Note

If the Load Adjusting setting Accuracy and the Phase Adjusting setting Max. Phase have been both set to -1, ATPDesigner ignores the Accuracy and Max. Phase settings to stop the iteration process and the iteration process will be stopped, if the maximum number of iteration steps has been achieved.

Power Infeed of 3-Phase Sources during Phase Adjusting

On/Off

  • On = Phase Adjusting enabled using the setting Adjusting Phase in the settings dialog 3-Phase Source
  • Off = Phase Adjusting disabled

s [%Pnom, %Snom]

Global multiplication factor of the apparent power Snom or the active power Pnom related to all 3-Phase Sources

s [%Pn, %Sn]

Specific multiplication factor of the apparent power Snom or the active power Pnom

ATPDesigner uses both settings to calculate the power infeed for each 3-Phase Source dependent on the operation mode.

S = s (Pmax, Smax of 3-Phase Sources) ⋅ s [%Pn, %Sn] ⋅ Snom

P = s (Pmax, Smax of 3-Phase Sources) ⋅ s [%Pn, %Sn] ⋅ Pnom


VDE 0102 (IEC 60909)

Read also about Setting a Short-Circuit at a Network Node by a Mouse Click

Read also about the Short-Circuit settings

Read also about Right Mouse Button Menus for Short-Circuit Results

ATPDesigner provides a short-circuit calculation based on but not 100% identical to the European Standard DIN EN 60909-0:2001 (IEC 60909-0:2001) and DIN EN 60909-0:2016 (IEC 60909-0:2016) so called VDE 0102. The differences to the standard will be explained in this manual. The short-circuit calculation implemented in ATPDesigner based on DIN EN 60909-0:2001 or DIN EN 60909-0:2016 will be now called Short-Circuit Calculation based on VDE 0102 in this manual. The protection functions of the Probe are all disabled if the short-circuit calculation based on DIN EN 60909-0:2001 or DIN EN 60909-0:2016 has been enabled.

  • Caution !!!

The short-circuit calculation based on DIN EN 60909-0:2001 or DIN EN 60909-0:2016 implemented in ATPDesigner only respects a part of the both European Standards. Therefore the results of the short-circuit calculation based on DIN EN 60909-0:2001 or DIN EN 60909-0:2016 implemented in ATPDesigner may deviate from the results of the short-calculation which completely respects the standard DIN EN 60909-0:2001 or DIN EN 60909-0:2016.

  • Please Note

It is recommended to study carefully the European Standard DIN EN 60909-0:2001 or DIN EN 60909-0:2016 and this manual before starting to use the Short-Circuit Calculation based on VDE 0102 in ATPDesigner. This manual doesn't replace the complete information of the both standards DIN EN 60909-0:2001 or DIN EN 60909-0:2016.

  • Caution !!!

The Short-Circuit Calculation based on VDE 0102 implemented in ATPDesigner shall be used only for educational purposes.

The short-circuit calculation can be started as well known from the Short-Circuit Analysis Results calculation.

    1. Define the VDE 0102 related settings for all network elements ( see below )

The settings dialog can be easily opened via the Project Information window, tabulator Settings, item VDE0102 (IEC60909)

    2. Select one of the VDE 0102 Standards as shown in the settings dialog below

      • Standard July 2002 = DIN EN 60909-0:2001 (IEC 60909-0:2001)

      • Standard December 2016 = DIN EN 60909-0:2016 (IEC 60909-0:2016)
    3. Set a Short-Circuit [image] at any node of the power network or along the lines excepting Line 1, Line 2 and Line 3

This settings dialog can be also opened via the Project Information window, tabulator Settings, item Short-Circuit

If the Short-Circuit has been connected at a Busbar node, ATPDesigner automatically determines the nominal voltage Vnom of the Busbar , if the option Enable Busbar Vnom Detection has been enabled. The nominal voltage of the Busbar will be used as nominal voltage of the equivalent voltage source at the short-circuit location acc. VDE 0102.

    4. Enable the short-circuit calculation in the VDE 0102 Settings Dialog shown below Enable VDE 0102

      • Define the voltage factor c depending of the nominal voltage of the power network at the fault location
      • Define the nominal voltage of the power network at the fault location
      • Define the temperature of the line resistance

    5. Start the short-circuit calculation using the toolbar button [image] or CTRL + E

    6. Move the mouse cursor "over" any network element to display the tooltips containing the short-circuit calculation results regarding the network element
    7. Move the mouse cursor "over" the short-circuit [image] to display the tooltip containing the short-circuit calculation results

    8. Remove the tooltips using the Main Toolbar button

ATPDesigner uses the "equivalent voltage source at the short-circuit location" method to calculate the short-circuit. If the Short-Circuit Calculation based on VDE 0102 has been successfully finalized, a context sensitive Right Mouse Button Menu can be opened. The figure below shows the menu items.

As an alternative the Toolbar for Short-Circuit Tooltips can be also used to enable or disable the tooltips.

VDE 0102: Settings of Network Elements and General Settings Dialog

If the Load Flow Analysis is still enabled ATPDesigner asks the user to disable both the Load Adjusting and Phase Adjusting algorithm.

  • Please check the VDE 0102 related settings of the network elements and the recommendations described below.

  • Electrical Machine

The network element will be represented by a 3-phase, symmetrical phase-to-ground impedance.

    • Ist = starting current (multiple of rated current IrG)

  • 3-Phase Source

The short-circuit current of a renewable power infeed e.g. a wind farm or a photo voltaic system to be used for the short-circuit calculation acc. VDE 0102.

    • Short-Circuit Calculation acc. VDE 0102 Standard July 2002

ATPDesigner first stores the current enable/disable state of all 3-Phase Source and thereafter disables all before starting the short-circuit calculation acc. VDE 0102. After finalizing the short-circuit calculation acc. VDE 0102 ATPDesigner automatically restore the enable/disable state stored before starting the short-circuit calculation.

  • Transformer
    • Don't forget to disable the Excitation Data (Open-Circuit Data)

  • BCTRAN Transformer

The transformer can be used as 2- and 3-winding transformer.

  • Line
    • Only RL-based line models shall be used.

    • Please Note

It is possible to disable the capacities of the line model e.g. using the RLC-PI model by the setting Disable Line Capacities (RLC-PI) in the settings dialog shown below only during the short-circuit calculation acc. VDE 0102.

  • Cables
    • Only RL-based line models shall be used

  • Network Infeed

The network element will be represented by a 3-phase, symmetrical phase-to-ground impedance.

    • Don't forget to define the voltage factor cQ depending on the nominal voltage of the network infeed

  • Voltage Source

Voltage sources are not defined in the standard VDE 0102 but nevertheless can be inserted in the power network using the network element 3-Phase Source , operation mode Vnom = const.. ATPDesigner replaces the Voltage Source by a resistance R = 10-15Ohm.

  • Current Source

Current sources are not defined in the standard VDE 0102 but nevertheless can be inserted in the power network using the network element 3-Phase Source , operation mode Inom = const. . ATPDesigner removes the Current Source before starting the short-circuit calculation acc. VDE 0102.

  • Load Impedance

ATPDesigner first stores the current enable/disable state of all Load Impedances and thereafter disables all before starting the short-circuit calculation acc. VDE 0102. After finalizing the short-circuit calculation acc. VDE 0102 ATPDesigner automatically restore the enable/disable state stored before starting the short-circuit calculation.

  • Generator

The network element will be represented by a 3-phase, symmetrical phase-to-ground impedance.

    • Open the VDE 0102 related settings dialog

  • Protection Elements

If Protection Elements are enabled the message shown below will be displayed.

  • Please Note

Other network elements are not yet supported as part of the Short-Circuit Calculation based on VDE 0102.

The figure below shows the settings dialog, which contains all general settings related to the short-circuit calculation based on VDE 0102 implemented in ATPDesigner. The settings related to the different network elements must be set in the settings dialogs related to the specific network elements.

VDE 0102 Standard

  • Standard July 2002

DIN EN 60909-0:2001 (IEC 60909-0:2001)

  • Standard December 2016

DIN EN 60909-0:2016 (IEC 60909-0:2016)

Enable VDE 0102

Enable the short-circuit calculation based on VDE 0102

c

Voltage factor to define the voltage source at the node of the short-circuit location

Vnom

Nominal voltage of the electrical power network at the node of the short-circuit location before the short-circuit has been occurred

ATPDesigner uses this nominal voltage to set the nominal voltage of the equivalent voltage source at the short-circuit location.

Enable Automatic Vnom Detection

If enabled the nominal voltage of the voltage source at the node of the short-circuit location will be automatically detected by ATPDesigner, if the short-circuit has been connected to:

  • Busbar
  • 3-Phase Source
  • Probe
  • Network Infeed
  • Transformer
  • BCTRAN Transformer
  • Generator
  • Line
  • Load Impedance
  • RLC Impedance
  • Electrical Machine

If detected ATPDesigner automatically sets the setting Vnom of the settings dialog shown above.

  • Please Note

If the short-circuit has been connected to one of the network elements listed above, ATPDesigner takes the nominal voltage of the Busbar as nominal voltage Vnom of the equivalent voltage source at the short-circuit location. If the nominal voltage Vnom of the equivalent voltage source has been changed now, the Voltage Factor c will be automatically determined according the standard. If the nominal voltage Vnom of the equivalent voltage source keeps unchanged, the Voltage Factor c keeps also equal but can be changed by hand.

    • The Nominal Voltage of the Equivalent Voltage Source and Voltage Factor c used by ATPDesigner will be also displayed in the VDE0102 (IEC 60909) tooltip shown below but also in the Messages Window .

Disable Line Capacities (RLC-PI)

If enabled, ATPDesigner automatically disables the capacities of the RLC-PI line model but only during the calculation of the short-circuit calculation acc. VDE 0102.

a

Coefficient α to calculate the resistance R = ƒ (Te) dependent on the temperature Te

Te

Temperature at the extinction time of the short-circuit to calculate the line resistance R

R = (1 + α (Te - 20°C)) ⋅ R20

R20 Resistance R for the temperature T = 20°C

α = a 0,004 1/K (see setting a)

Operation Mode iP-Calculation

    • R/X-Ratio at SC Location

R/X-ratio, κ-factor and maximum current iP will be calculated using the short-circuit impedance Zk at the short-circuit node at fnom = 50Hz (fnom can be set in the settings dialog Network Configuration )

    • Equivalent Frequency fc

R/X-ratio, κ-factor and maximum current iP will be calculated using the short-circuit impedance Zk at the short-circuit node at fnom = fc

    • None

The calculation of the maximum current iP and the thermal equivalent short-circuit current Ith is disabled.

Low-Voltage Networks

    • +6% Tolerance

Maximum voltage 106% Vnom

    • +10% Tolerance

Maximum voltage 110% Vnom

fc

Equivalent frequency

Short-Circuit Current Ikmax - Ikmin

    • Max. Initial Symmetrical Short-Circuit Current

ATPDesigner calculates the maximum initial symmetrical short-circuit current Ik" max

    • Min. Initial Symmetrical Short-Circuit Current

ATPDesigner calculates the minimum initial symmetrical short-circuit current Ik" min

  • Please Note

ATPDesigner sets the Voltage Factor not only for the voltage source at the short-circuit location but also for the Network Infeed depending on the operation mode Min./Max. Initial Symmetrical Short-Circuit Current.

Thermal equivalent short-circuit current Ith

ATPDesigner also calculates the thermal equivalent short-circuit current Ith acc. VDE 0102

Ith = Ik" ⋅ √(m + n)

    • m = 1 / (2⋅fnom⋅Tk ⋅ ln (κ-1)) ⋅ (exp (4⋅fnom⋅Tk ⋅ ln (κ-1)) - 1)

    • n = 1 (for distribution power networks: Ik" = Ik)

If Ik" > Ik , the factor n will be n < 1 acc. VDE 0102.

  • Please Note

If the factor κ = 2, the factor m → ∝. In this case ATPDesigner displays an error message "Ith=invalid caused by k = 2;;" in the tooltip and the Messages Window .

Output

It is possible to define the amount of voltages ad currents to be calculated processing the short-circuit calculation acc. VDE0102 (IEC 60909). In addition the processing time needed to finalize the short-circuit calculation depends on the setting.

  • Short-Circuit Location Only

Short-circuit current etc. will be only calculated for the short-circuit location. The results can be displayed in a tooltip if the the mouse cursor has been moved "over" the shape of the short-circuit.

    • Minimum processing time

  • All Nodes

Short-circuit current etc. will be calculated for all nodes and therefore for all network elements.

    • Maximum processing time

Tk

Time duration of the short-circuit to calculate the thermal equivalent short-circuit Ith

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

If the user forgot to set the Short-Circuit at the short-circuit location, ATPDesigner will display the error message shown below.


VDE 0102 - Equivalent Frequency

VDE 0102 - Operation Mode Equivalent Frequency fc

This operation method corresponds with the method Equivalent Frequency fc acc. VDE 0102 (IEC 60909).

Results of the Short-Circuit Calculation based on VDE 0102 phase-selective A;B;C related to the node of the fault location:

    1. Fault type e.g. ABCG; Temperature of the lines; Nominal voltage of the equivalent voltage source; Voltage factor c

Short-Circuit Calculation using a fundamental frequency fn = 50Hz

    2. Amount of the initial symmetrical short-circuit Ik"
    3. Amount of the short-circuit impedance Zk
    4. Phase angle of the short-circuit impedance Zk
    5. Real part of the short-circuit impedance Zk
    6. Imaginary part of the short-circuit impedance Zk
    7. Time constant Tfn = L / R

Short-Circuit Calculation using a fundamental frequency fc = 20Hz (Equivalent frequency)

    8. Real part of the short-circuit impedance Zkfc at equivalent frequency fc
    9. Imaginary part of the short-circuit impedance Zkfc at equivalent frequency fc
    10. R/X - ratio according to the operation mode
    11. X/R - ratio according to the operation mode
    12. Time constant Tfc = Lc / Rc
    13. κ-factor κ to calculate the maximum current iP : κ = 1.02 + 0.98 ⋅ exp (-3 ⋅ R/X)
    14. Maximum instantaneous current iP = κ ⋅ √2 ⋅ Ik"
    15. Factor m to calculate the thermal equivalent short-circuit current Ith
    16. Factor n to calculate the thermal equivalent short-circuit current Ith
    17. Thermal equivalent short-circuit current Ith = Ik" ⋅ √(m + n)


VDE 0102 - Short-Circuit Impedance Zk

VDE 0102 - Operation Mode Zk: R/X-Ratio at SC (Short-Circuit) Location

This operation method corresponds with the method Ratio R/X or X/R at the short-circuit location acc. VDE 0102 (IEC 60909).

Results of the Short-Circuit Calculation based on VDE 0102 phase-selective A;B;C related to the node of the fault location:

    1. Fault type e.g. ABCG; Temperature of the lines; Nominal voltage of the equivalent voltage source; Voltage factor c
    2. Amount of the initial symmetrical short-circuit Ik"
    3. Amount of the short-circuit impedance Zk
    4. Phase angle of the short-circuit impedance Zk
    5. Real part of the short-circuit impedance Zk
    6. Imaginary part of the short-circuit impedance Zk
    7. R/X - ratio according to the operation mode
    8. X/R - ratio according to the operation mode
    9. Time constant T = L / R
    10. κ-factor to calculate the maximum current iP : κB = 1.15 ⋅ (1.02 + 0.98 ⋅ exp (-3 ⋅ R/X))
    11. Maximum instantaneous current iP = κB ⋅ √2 ⋅ Ik"
    12. Factor m to calculate the thermal equivalent short-circuit current Ith
    13. Factor n to calculate the thermal equivalent short-circuit current Ith
    14. Thermal equivalent short-circuit current Ith = Ik" ⋅ √(m + n)

  • Please Note

The κ-factor will be always calculated using the factor 1.15 independent on the rules of the standard VDE 0102 (IEC 60909).

  • Please Note

The factors m and n will be calculated according the standard VDE 0102 (IEC 60909). The factor n is always fixed to n = 1 what is typical for a far-from-generator short-circuit.

  • Please Note

ATPDesigner shows the short-circuit results according VDE 0102 related for all phases, which involved by the short-circuit. Therefore in case of an 3-phase-to-ground short-circuit ABCG ATPDesigner shows the short-circuit results according VDE 0102 for the short-circuit phases A, B and C.


VDE0102 and Protection Elements

ATPDesigner also provides a lot of Protection Elements . Nevertheless it does'nt make sense to process Protection Elements and Protection Analysis processing a short-circuit calculation acc. VDE 0102 (IEC 60909). Therefore ATPDesigner automatically disables all Protection Elements before starting the short-circuit calculation acc. VDE 0102 (IEC 60909) and displays once the message shown below.


VDE 0102 - Results in the Messages Window

VDE 0102 (IEC 60909) - Results in the Messages Window

ATPDesigner also writes the results of the short-circuit calculation acc. VDE 0102 (IEC 60909) into the Messages Window as shown below. In addition the maximum thermal equivalent short-circuit current Ithk will be calculated for each Busbar .

  • Operation Mode: Equivalent Frequency fc

  • Operation Mode: R/X-Ratio at SC Location

The maximum thermal equivalent short-circuit current Ithk will be calculated as displayed below:

  • Ithk = Ithr ⋅ √(Tkr / Tk)

  • Please Note

The both parameter Ithr and Tkr are settings of the Busbar . The parameter Tk must be set in the settings dialog VDE 0102 .


VDE 0102 - Information about ATPDesigner Implementation

ATPDesigner implements allmost all methods and models of the Short-Circuit Calculation based on VDE 0102. Below implementation details as well as deviations of the implementation related to the European Standard EN 60909-0:2001 (IEC 60909-0:2001) will be explained more in detail.

  • Network Infeed

    • ZkQ = (cQ ⋅ Vnom) / (√3 ⋅ IkQ") = (cQ ⋅ Vnom²) / Sk" = |Rk + j Xk|

    • if the ratio RQ / XQ is well-known ⇒ XQ = ZQ / (√(1 + (RQ / XQ)))
    • if the ratio RQ / XQ is not known ⇒ XQ = 0.995 ⋅ ZQ, RQ = 0.1 ⋅ XQ

  • Transformer

ATPDesigner uses a 3-phase model based on an impedance matrix, which is not according the rules described in EN 60909-0:2001. The impedance matrix will be calculate based on the short-circuit impedance ZkT = KT ⋅ ZT.

    • ZT = (uk [%] / 100) · (Vr²) / SrT
    • R = (ur [%] / 100) · (Vr²) / SrT
    • X = √(Zr² - R²)
    • KT = 0.95 · (cmax / (1 + 0.6 · xT))

    • The voltage factor cmax depends on the nominal voltage VnB of the Transformer which shall be identical with the nominal voltage Vn of the power network connected to the winding B of the transformer.

  • Generator

ATPDesigner uses the impedances in the positive-sequence system, negative-sequence system and zero-sequence system to calculate the 3x3-impedance matrix.

    • Z1GK = KG ⋅ Z1G = KG ⋅ (RG + jXd")
    • Z0GK = KG ⋅ Z0G
    • KG = (Vnom / VrG) · (cmax / (1 + xd" · sin(φrG)))

    • The voltage factor cmax depends on the nominal voltage Vn of the power network connected to the generator.
    • The resistance RG will be calculated according to the European Standard EN 60909-0:2001
      • RG = 0.05 · Xd" if VrG > 1kV and SrG ≥ 100MVA
      • RG = 0.07 · Xd" if VrG > 1kV and SrG < 100MVA
      • RG = 0.15 · Xd" if VrG ≤ 1kV

  • Electrical Machine

ATPDesigner uses a 3-phase, symmetrical impedance ZM.

    • ZM = (IrM / Ist) ⋅ (UrM2) / SrM

  • Single-Circuit Lines

Please don't forget to select a line model without capacitances e.g. Single-Line (RL).

  • 3-Winding-Transformers (BCTRAN)

ATPDesigner also supports 2- and 3-winding transformers based on the BCTRAN transformer model.


Load Flow

Read more about Using EMTP Load Flow Analysis in ATPDesigner

Read more about General Load Flow Settings

  • Please Note

The Load Flow calculation of the ATP is totally independent from the Load Adjusting processed by the ATPDesigner itself.


Network

Several Network Configuration settings e.g. Measuring Locations or Measuring Schemes as well as the line models for the Single-Circuit Lines 1, 2 and 3 can be selected using the Network Configuration settings dialog. The settings dialog can be opened via the main menu item Power Network sub menu Network Configuration or via the button [image] in the Main Toolbar . The figures below show the property pages of the dialog.

Description

Opens a text editor to define the textual description of the power network.

This description will be displayed, if the Browse Files dialog has been opened and the mouse cursor hovers about the corresponding name of the .NET-File in the list control at the left. In addition the option Displaying .NET-File Description must be enabled.

  • Please Note

The definition of the description will be explained more in detail in the chapter Description of the Power Network .

Measuring Location

Measuring Locations are network elements to measure voltages and currents e.g. phase-to-ground as well as phase-to-phase voltages. Measuring locations are always assigned with the corresponding Circuit-Breaker Cb1 .. Cb5 .

The figure below shows all combinations of measuring locations, which are supported by ATPDesigner. The items of the list depend on the enabled circuit-breakers with assigned measuring locations. Example: If only one measuring location will be used in a power network e.g. to measure voltages and currents, it is sufficient to enable Cb1 assigned to measuring location M1.

  • None

No measuring location will be used.

  • Cbx ...

All measuring locations of the selected circuit-breakers Cbx will be enabled. The name of the corresponding measuring location is Mx.

  • Please note

Measuring locations are the location in the power network where one or more "virtual" protection devices measure the voltages and/or currents to execute their protection algorithms.

Measuring Scheme

ATPDesigner is designed to test protection relays e.g. via the CMC Test System . Two typical measuring schemes can be identified in protection technology: Distance Protection and Differential Protection. The user should select one of the measuring schemes which corresponds to the protection application to be investigated.

  • Select Distance Protection for all protection applications, where only One Measuring Location will be of interest: overcurrent protection, distance protection, voltage protection, frequency protection, etc.

  • Select Differential Protection for all protection applications, where Two or More Measuring Locations will be of interest: transformer differential protection, line differential protection, busbar protection, etc.

  • Please Note

Some currents and/or voltages will be calculated depending on the selected measuring scheme.

Example: If the measuring scheme Differential Protection has been enabled, differential current Idiff and restraining current Irest will be calculated.

Output Device

ATPDesigner provides different ways to use the Output Device.

  • Output Device to process transients of voltages and currents
    • Transferring the sampled values of the voltages and currents calculated by the ATP to an Omicron CMCxxx test system, which has been connected via a communication link.
    • Writing this sampled values into a text file using different file formats.

  • Output Device to process the results of Load Flow Analyis of the electric power network (Steady-State Analysis)
    • Writing the results of the Load Flow Analysis into a text file e.g. using the .csv-structure

  • CMC Test System

The output device is a test system CMCxxx of Omicron. ATPDesigner detects during the program initialization which type of CMCxxx is connected to the PC. The sampling data of voltages and currents will be directly transferred to the amplifiers via the CMEngine interface of Omicron.

  • COMTRADE File

The sampling data will be saved as COMTRADE file (.CFG- and .DAT-file) according the IEC 60255-24:1991 standard ( Converting to COMTRADE ).

  • Text File

The sampling data will be saved as a text file. The first column contains the time scale in seconds. Each further column contains one voltage or current.

  • Text File (Excel)

The file structure is identical to the file structure in case of Text File. According to the German version of Excel the decimal points will be replaced by a comma.

  • Load Flow (Prbx)

The output device is also a text file, but containing the results of the Load Flow Analysis measured by Probe , which are enabled .

  • Protection (Prbx)

The output device is also a text file, but containing the results of the Protection Analysis Results realized by Probe , which are enabled .

Arc Fault

The model of the arc resistance can be selected. The arc fault will be only used in case of a line fault, which can be selected in the dialog Fault Type and Fault Location .

  • Static Arc Fault

The arc fault represents only the static behavior of an arc ( Static Arc Faults ).

  • Dynamic Arc Fault

The arc fault represents the dynamic behavior of an arc based on the differential equation first order ( Dynamic Arc Faults ).

The option Arc Fault can be enabled by two methods:

    • Option Arc Fault as part of the dialog Single-Circuit Line or Double-Circuit Line as shown in the both figures below

    • Option Arc Fault as part of the dialog Line Configuration

Power Network Frequency fn

Nominal frequency of the electrical power network.

This setting is always equal to the setting fnom of the network element Network 1 .

Enable Substation CT and VT

If the option has been enabled, the voltage transformers (vt) and current transformers (ct) of the substation will be disabled during the network simulation process executed by the ATP. The ratio of both ct's and vt's are automatically set to 1.

Read more about Status Bar

Display Name of ...

Network Elements

Display the names of all network elements closed to the shape of the corresponding network element

Circuit-Breaker

Display the names of the Circuit-Breaker closed to the shape of the corresponding network element

Switch

Display the names of the Switch closed to the shape of the corresponding network element

Load Impedance

Display the names of the Load Impedance closed to the shape of the corresponding network element

Line

Display the names of the Line closed to the shape of the corresponding network element

Transformer

Display the names of the Transformer closed to the shape of the corresponding network element

Text Frame

Display the complete Text Frame or not what means the Text Frame will be invisible or visible.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Label Font

User specific font and font color used for the user specific text description of the network elements

The user specific text description can be set in the settings dialog of the network element.

Help

Open the corresponding chapter in the help file


Import and Export

Network - Import and Export

ATPDesigner reads and writes several power network related data and/or settings using a .csv-file based import and export interface.

Import

Flexibility

ATPDesigner reads a .csv-file containing the settings of several equipment e.g. Line and Transformer and updates the corresponding network elements.

GIS Data

ATPDesigner reads a .csv-file containing Geographic Information System data and automatically builds an electric power network.

Export

Flexibility

ATPDesigner writes a .csv-file containing some settings of several equipment e.g. Line and Transformer .


Line

The settings dialog shown below contains only the lines Line 1..3 which can be configured with a Fault Type and Fault Location and an optional fault impedance or arc resistance. All other lines ( Single-Circuit Lines or Double-Circuit Lines ) can be only set using the standard settings dialog Single-Circuit Line .

  • Configuration of the line model for Line 1, 2 and 3
  • Configuration of Fault Impedances of the faults of Line 1, 2 and 3

  • Caution !!!

Faults can be only simulated either with a Fault Impedance or an Arc Fault .

Enable Capacitances Cpg and Cpp

Enable or disable the capacitances Cpg and Cpp for all Single-Circuit Lines using the Line Model RLC-PI

  • Please Note

The setting enables or disables the capacitances Cpg and Cpp for all Single-Circuit Lines using the physical RLC-PI model so called Single Line (RLC-PI) or using one of the line or cable types e.g. NAKBA 3x300mm2 10kV which can be selected in the line type library. No other line models will be changed.

Line 1: Fault Impedance

Enable a fault impedance which will be used for the fault of Line 1

Line 1: Arc Fault

Enable an arc fault which will be used for the fault of Line 1

Line 2: Fault Impedance

Enable a fault impedance which will be used for the fault of Line 2

Line 2: Arc Fault

Enable an arc fault which will be used for the fault of Line 2

Line 3: Fault Impedance

Enable a fault impedance which will be used for the fault of Line 3

Line 3: Arc Fault

Enable an arc fault which will be used for the fault of Line 3

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


CMC Configuration

CMC Test System Log File

If enabled, ATPDesigner creates the CMC control commands, send them to the CMC test system (using the CMEngine interface) and writes all text elements send to and received from the CMEngine into a text file using the extension .LOG. This text file is located in the same folder as the .NET-file has been stored. The figure below shows an example where the name of the .LOG-file has been displayed in the Messages Window .

Binary Output 1..4

  • If enabled, ATPDesigner sets the binary output no. 1..4 of the connected CMC test system to HIGH (closed output relay) in parallel with the first sample of the data set. The binary output no. 1..4 will be reset to LOW (open output relay) in parallel with the last sample of the data set.
  • If disabled, the state of the binary output no. x will be not changed.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


ATP Control File Config Data

The dialog consists of several settings to modify the ATP based models of the network elements, the behavior of the ATP itself, etc. used in ATPDesigner. This settings should be not modified by users who are not experts in the ATP rules to design ATP control files and experts in the models of the power network used in ATPDesigner.

Cb Internal Resistance

The resistance is part of the model of a Circuit-Breaker used in ATPDesigner. In addition this resistance will be also used as internal series resistance of the ATP based model of the Probe .

SC Internal Resistance

If a Short-Circuit will be used to calculate e.g. a short-circuit current, ATPDesigner uses this resistance to configure the short-circuit resistance. This resistance will be not used if the Fault Resistance has been enabled in the settings dialog Short-Circuit .

Format Misc.Data Card

The Floating-Point Miscellaneous Data Card can be written using two different formats. See more detailled information in the ATP Rule Bokk Page 2B-1.

  • Column

The format of the miscellaneous data card is column orientated according the specification in the ATP Rule Book.

  • Comma

The format of the miscellaneous data card is comma separated. This format can be of advantage if the fixed column orientated format can not realize the required accuracy e.g. of dt .

.LST-File with $LISTON

The ATP options $LISTON and $LISTOFF control the output of the ATP input lines in the .LST-File . If disabled it is possible to reduce the processing time of the network calculation.

  • $LISTOFF : ATP stops outputing the input data cards in the .LST-File
  • $LISTOFF : ATP restarts outputing the input data cards in the .LST-File

  • Please Note

If the outputing of the input data cards has been disabled, the ATP will NOT write any Warning etc. into the .LST-File . Therefore the user can not detect problems regarding the ATP based models e.g. disconnected subnetworks or floating subnetworks. It will be recommended, that the user shall process network calculations with enabled option $LISTON.

CreateProcess Window

The ATP can be started as a background process using the CreateProcess task of the Windows operation system. The background process can be set using the both values Normal and High of the setting Task Priority in the settings dialog Program Settings . If enabled the Windows operation displays the process in a cmd-processor window. If disabled (default) there is no process window visible.

Max. Time

ATPDesigner monitors the ATP background process using a timeout. If the timeout has been elapsed by any reason before the ATP background process could be successfully finalized the ATP background process will be terminated by ATPDesigner. In this case the .LST-File may be not available.

IOUT

"Gives the frequency of LUNIT6 (printed) output within the time-step loop. E.g., a value of 3 means that every 3rd time step will be printed." (ATP Rule Book Page 2b-2)

Note:

The printout of the samples of the time steps will be written into the .LST-File , not into the .PL4-File .

IDOUBLE

"Controls the LUNIT6 output of a table showing network connectivity." (ATP Rule Book Page 2b-2)

EPSILN

"The near-zero tolerance that is used to test the singularity of the real coefficient matrix within the time-step loop." (ATP Rule Book Page 2b-2)

TOLMAT

"The near-zero tolerance that is used to test the singularity of the complex admittance matrix [Y] of the steady-state, phasor solution." (ATP Rule Book Page 2b-2)

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

ATP based internal CT Saturation Model

The CT Saturation Model consists of two different models which are connected in parallel. The Type 96 model realizes a CT saturation with optional hysteresis and remanence, whereas the Type 98 model only realizes the non-linear characteristic but without hysteresis and remanence.

Read more about CT's and CT Saturation Model

L(i) Type 96

The CT magnetization characteristic will be realized using the Type 96 model of ATP. This model should be enabled, if a magnetization characteristic with remanence and hysteresis are of interest.

L(i) Type 98

The CT magnetization characteristic will be realized using the Type 98 model of ATP. This model doesn't support hysteresis or remanence.

Saturation Type A

The extension of the Type 96 based magnetic characteristic will be realized based on the [ø, i] - characteristic. The slope of the magnetization characteristic can be influenced with the setting Gradient.

Gradient

Gradient of the CT Saturation Characteristic starting with the knee-point voltage to realize the saturation of the magnetic iron core.

The maximum gradient, which is permitted according to internal CT model and the user defined settings will be recalculated, if this property sheet has been opened. If the current gradient exceeds the recalculated maximum gradient, an error message will be displayed to the user. Then the current gradient will be set automatically to the maximum gradient, which is permitted.

Saturation Type B

The extension of the Type 96 based magnetic characteristic will be realized based on the [B, H] - characteristic.


Colors

ATPDesigner provides the user defining some user specific colors for various items e.g. text color, background, etc.

Net. Elements: Invisible

ATPDesigner automatically identifies sub networks using the same nominal voltage Vnom. e.g. using the toolbar button [image] or the menu item Vnom Level in the main menu Edit . If successfully done it is possible to draw the network elements of one or more Vnom levels "invisible" using this color.

Read also Automatic Identification of Nominal Voltages Vnom

Read more about how to draw network elements of one Vnom level "invisible" in Vnom Groups

Protection Logic: Invisible

If Protection Logic Functions are part of the power network it is possible to draw all logic blocks and Measuring Lines "Invisible" using this color.

Read more about the menu item Protection Logic in the main menu Protection

Background Color

The background color of the graphical view can be selected.

Text Color

The color used to draw Not-User Specific Text Elements can be selected. The color for user specific text elements can be selected in the settings dialog

3-Phase Elements

The color used to draw the 3-Phase Network Elements can be selected.

1-Phase Elements

The color used to draw the 1-Phase or 2-Phase Network Elements can be selected.

Selected Color

The color will be used to draw Selected Network Elements , which ar drawn in grey color. Network elements can be selected e.g. to be moved to an other location by a left button mouse click.

Cb: Open/Closed

Circuit-Breakers can be drawn using different colors. This color will be used to indicate that the circuit-breaker executes at least one Open/Close Cycle.

Read more about 3-Pole Circuit-Breakers

Read more about 1-Pole Circuit-Breakers

Disabled Color

Network elements can be enabled or disabled for the network simulation processed by ATP. This color will be used to indicate that the network element has been disabled. A Disabled Network Element will be drawn as part of the power network but not taken into account during the network simulation processed by ATP.

Read also about Network Design Toolbar

Read also about Right Button Mouse Menus

Find Color

ATPDesigner provides the user to find specific network elements in the power network of the top most view. This function can be found in the dialog Find - Network Elements and Node Names . This so called Find Dialog can be used to search for network elements, which are all presented in a tree structure. If found the network element will be marked with a double frame drawn in the color defined using this setting.

Read more about how to Find Network Elements

Read more about Short-Circuit Analysis Results

Not Connected Color

This color will be used to draw network elements that at least one node has been not connected to any other network element, but the network element Busbar is excluded.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Short-Circuit

Read also about Setting a Short-Circuit at a Network Node by a Mouse Click

ATPDesigner provides the user to set easily a Short-Circuit at any node of the power network or at any location of a Single-Circuit Line only by One Mouse Click.

  • Please Note

The Short-Circuit will be specified by the settings presented below, but must be set using some elements of the Toolbar for Network Elements . The procedure how to set such a Short-Circuit has been explained in Setting a Short-Circuit at a Network Node by a Mouse Click.

Fault Time

Start time of the Short-Circuit related to the simulation start at t = 0s

Fault Loc.

Fault Location of the Short-Circuit in % of the line length

  • Please Note

The fault location can be only set if the Short-Circuit is connected to a Line . The fault location is always related to the left node of the Line . The fault location can be also set in the Toolbar for Network Elements .

Read also ow to Identify the Left and Right Node of a Line

Fault Extinction

Stop time of the Short-Circuit related to the simulation start at t = 0s

Fault Type

Type of the Short-Circuit e.g. AG, ABG, etc.

I extinction

This setting deals with the time of the Short-Circuit Extinction .

Fault Resistance Enabled

Enable or disable an optional fault resistance

Fault Resistance R

Fault resistance in Ohm

Fault Reactance X

Fault reactance in Ohm

  • Please Note

The both settings fault resistance R and fault reactance X will be used to realize a serial impedance R + jX at the fault location.

Display Voltage Drop

Display the voltage drop at the nodes of the power network

First the user must start the Short-Circuit Results Analysis to calculate the voltages and currents of the power network.

Read also Right Mouse Button Menus for Short-Circuit Results

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Setting I extinction : Extinction of the Short-Circuit

Below a snapshot copied out of the ATP Rule Book (chapter VI.A) which explains the meaning of the setting Iextinction. The opening of the switch matches the extinction of the Short-Circuit.

ATP based Model of the Short-Circuit

The figure below shows, how ATPDesigner realizes the fault resistance in the ATP based model of the Short-Circuit.

    • Phase-to-Ground Faults AG, BG, CG

One fault resistance will be set between the phase and ground.

    • Phase-to-Phase Faults AB, BC, AC

One fault resistance will be set between the both phases.

    • Phase-to-Ground Faults ABG, BCG, ACG

Two fault resistances will be set between the phases and ground.

    • 3-Phase Fault ABC

Three fault resistance will be set between each phase and an internal neutral point. The neutral point will be grounded via 1015Ohm (high-impedance connection).

    • 3-Phase-to-Ground Fault ABCG

Three fault resistance will be set between each phase and an internal neutral point. The neutral point will be grounded via 10-15Ohm (low-impedance connection).


Protection

The user can define common settings of all Probes used in the electrical power network which are related to protection functions of the Probes . The settings shown below are so called "common settings" of all Probes.

  • Please Note

This settings can be only changed at the same time for all Probe using these settings.

  • Please Note

Read more about algorithms to calculate impedances in "Digitaler Distanzschutz Verhalten der Algorithmen bei nichtidealen Eingangssignalen

Nelles, Dieter; Opperskalski, Hartmut; Deutscher Universitäts-Verlag, 1991"

Enable Protection Relays

The results of the analysis of all protection elements realized using Probe will be displayed in the power network graphic, main protection as well as backup protection.

Display backup Protection

If the option Enable Protection Relays has been enabled, the results of the protection elements related to the backup protection will be displayed in the power network graphic.

Impedance Algorithm

The user can select an algorithm to calculate the impedance of the positive-sequence system Z1 between the measuring location of the Probe and the fault location. The impedance Z1 will be used to trip or not trip according the tripping characteristic as well known from distance protection relays.

    • Phadke/Ibrahim

This algorithm calculates the the impedance Z of an impedance measuring loop based on the Fourier transformation.

    • McInnes/Morrison

This algorithm calculates the the impedance Z of an impedance measuring loop based on the differential equation 1. order.

The impedance algorithms are using the phase-to-ground voltages and the phase currents in case of phase-to-ground faults and the phase-to-phase voltages and the phase-to-phase currents in case of phase-to-phase faults as well as the ground compensation factor kG to calculate the impedance of the positive-sequence system Z1.

DIST: Low-Pass Filter

The phase-to-ground voltages and the phase currents (= input signals of the distance protection algorithm), which will be used to calculate the short-circuit impedance can be filtered using a low-pass filter.

    • None

The input signals will be not low-pass filtered.

    • Bessel 2nd Order

The input signals will be low-pass filtered using a low-pass Bessel filter 2nd order, cut-off frequency 350Hz,

DFT: High-Pass Filter

The input signals of the protection algorithms can be filtered using a high-pass filter to suppress the DC component. This may improve the results of the DFT based algorithms e.g. the Overcurrent Protection .

    • None

The input signals will be not low-pass filtered.


Distance Protection - Selective Tripping Schedule

ATPDesigner is able to calculate automatically a selective tripping schedule for the Distance Protection .

Fs

Factor of the selective tripping schedule e.g. 85% of the line length of the line to be protected

DT

not yet used

DX

not yet used

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Protection Analysis for Lines

ATPDesigner is able to move automatically the Short-Circuit along the lines of a power network and to check the tripping behavior of the Protection Elements using the Short-Circuit Analysis .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Messages

ATPDesigner writes a lot of messages during the steady-state analysis of a electrical power network or calculating the transients in the Messages Window . Especially the number of messages of protection relays can be extremely high. Therefore it is possible to enable or disable different groups or types of messages.

  • LF = Load Flow Analysis related messages
  • PROT = Protection Relays related messages

LF: PQ-Diagram

If the load flow analysis could be successfully finalized ATPDesigner checks the P/Q-capabilities of the 3-Phase Source used to model a renewable power infeed. The results will be written (or not) into the Messages Window .

LF: Voltage Monitoring

If the load flow analysis could be successfully finalized ATPDesigner checks the voltages of Busbar and 3-Phase Source . The results will be written (or not) into the Messages Window .

LF: Writing Load Adjusting File

If enabled ATPDesigner writes results of the Load Adjusting algorithm of the ATPDesigner Load Flow Analysis into a text file. This text file can be opened via the main menu View , sub item Open Load Adjusting - File.

LF: Writing Phase Adjusting File

If enabled ATPDesigner writes results of the Phase Adjusting algorithm of the ATPDesigner Load Flow Analysis into a text file. This text file can be opened via the main menu View , sub item Open Phase Adjusting - File.

LF: Writing Power Loss File

If enabled ATPDesigner writes the results of the Power Loss Calculation of the ATPDesigner Load Flow Analysis into a text file. This text file can be opened via the main menu View , sub item Open Power Loss - File.

PROT: Results for All Protection Elements

The results of all protection elements including the protection elements of the Single-Circuit Line will be written (or not) into the Messages Window .

PROT: Results for Line

The Single-Circuit Line also provides a V<> - Protection for the both nodes of the line. The results will be written (or not) into the Messages Window .


Vnom Colors

The user can specify the colors which will be used by ATPDesigner to draw network elements depending on the nominal voltage, if the algorithm Automatic Identification and Test of Nominal Voltages V nom has been processed. The nominal voltage Vnom and the corresponding Color in the same line of the spreadsheet can be set by Left Mouse Button Double Clicks on the corresponding cells.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings but only for the settings of the tab Vnom Colors

Label Font

User specific font and font color used for the user specific text description of the network elements

The user specific text description can be set in the settings dialog of the network element.

Help

Open the corresponding chapter in the help file


V<> Colors

Read also Project Information - Vnom Groups

The user can specify several ranges of phase-to-ground voltages which can be colored after successfully finalizing a Load Flow Analysis or Short-Circuit Analysis . The voltages V<> [%] and the corresponding Color in the same line of the spreadsheet can be set by Left Mouse Button Double Clicks on the corresponding cells. Two different operation modes can be selected using buttons in the Main Toolbar or menu items in the main menu ATP .

  • Coloring the maximum phase-to-ground voltages

  • Coloring the minimum phase-to-ground voltages

  • Please Note

Only network elements with its own nominal or rated voltage setting can be considered by the coloring algorithm. All other network elements will be drawn in the base color light blue as well known as the default color used for the default power network. The base color light blue can be also seen in the line V<> [%] = 0 in the settings dialog below .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings but only for the settings of the tab Vnom Colors

Help

Open the corresponding chapter in the help file


I> Colors (Overload)

After successfully finalizing Short-Circuit Analysis or Load Flow Analysis , ATPDesigner automatically identifies network elements e.g. Single-Circuit Line or Transformer which are overloaded. Such overloaded network elements can be drawn in user specific colors which can be set in the spread sheet shown below.

Description

  • Overload 100% = Load > 100%
  • Overload 120% = Load > 120%

Both overload settings no. 1 and no. 2 are fixed, only the color can be changed. The overload settings 3 and higher are both color and threshold user specific.

Load [%]

Threshold of the overload in %

Color

Drawing color for the network element in case of an detected overload situation


Ploss Colors


More about Probes, Measuring Locations, etc.

Read about Overview about Measuring Locations and Probes

Read about Measuring Locations and Circuit-Breaker

Read about Enable A Measuring Location for A Circuit-Breaker

Read about how to use a Probe to measure voltages, currents, etc. at network nodes


Node Names used in the .ATP-File

Read also Converting Voltages and Currents to Other File Formats

Read also Signal Analysis Settings

Read also about Probe and Probe Signals Node Names

Each network element consists of one or more 3-phase- or single-phase-nodes which are used to connect the network element to other network elements. The node names will be created automatically by ATPDesigner during runtime.

  • Please Note

According the specification of ATP, node names are limited up to 6 characters.

  • Structure of the Node Names used in ATPDesigner

A

Bxxxxx

C

A, B, C:

The starting character A, B or C will be used to identify one of the three phases of the power network element.

xxxxx

Number of the network element of the specific type [00001..99999]. Node number 00000 is not permitted.

  • Please Note

The phase identifiers A, B and C correspond to the German phase identifiers L1 = R = A, L2 = S = B and L3 = T = C.

  • Caution !!!

A modification of the node names or any other modification of the .ATP-File by hand may damage this file.


User Specific Node Names

Read also Converting Voltages and Currents to Other File Formats

Read also Node Names in the ATP Control File

Read also Signal Analysis Settings

Read also about Probe and Probe Signals Node Names

ATPDesigner provides the user to define User Specific Node Names. ATPDesigner automatically creates the names of all nodes of the electrical power network (ABC)xxxx as explained in Node Names in the ATP Control File . If enabled ATPDesigner replaces the automatically created node names by the User Specific Node Names, if the .ATP-File will be written to the hard disk. Please note, that the user can enable or disable User Specific Node Names phase selective.

Example: User Specific Node Names for a Load Impedance

ATPDesigner "knows" the automatically created node names (ABC)xxxx . ATPDesigner analyses the node names of all network elements and replaces the corresponding node names by the User Specific Node Names.

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names !!!

ATPDesigner processes the replacement of node names by User Specific Node Names in the order shown below. This order is important to know for the ATPDesigner user to avoid critical errors.

  1. External .ATP-File
  2. Busbar
  3. Load Impedance
  4. Grounding System


Node Names for Measuring Locations

Read also Converting Voltages and Currents to other File Formats

Read also Node Names in the ATP Control File

Read also Signal Analysis Settings

Read also about Probe and Probe Signals Node Names

ATPDesigner uses node names and TACS variables to to identify currents and voltages measured in the power network. In addition currents and voltages will be calculated based on measured signals. The number of available nodes depends on the selected Output Signals and on the Measuring Locations used as part of the power network. ATPDesigner supports up to 5 pre-defined Measuring Locations M1..5 assigned to the Circuit-Breaker Cb1..5 . The Measuring Locations M1..5 can be assigned to the Circuit-Breaker Cb1..5 as described below.

Open the settings dialog Network Configuration via

  • the Right Mouse Button Menu,
  • the toolbar button [image] or
  • the main menu Power Network, menu item Network Configuration.

Please select one of the entries in the list box Measuring Location. In the example shown above Measuring Location M1 has been assigned to the Circuit-Breaker Cb1, Measuring Location M2 is assigned to Circuit-Breaker Cb2.

  • Please Note

The Measuring Location M1 can be assigned to different circuit-breakers e.g. Cb1 or Cb2.

  • Please Note

The Ground Compensation Factor kG is used to calculate the impedance of the positive-sequence system Z1 between the Measuring Location Mx and the short-circuit location if exiting as well known from distance protection relays. The factor kG must be specified in the settings dialog Signal Analysis Settings and is independent of the ground compensation factor used for the Single-Circuit Lines or Probes .

  • Please Note

Also Probes can be also used to measure voltages and currents. Please read the corresponding chapter for more information about the Node Names of Probes .

As an alternativ, the Right Mouse Button Menus can be used to set a Measuring Location for a Circuit-Breakers Cb1..5 .

Read more in Enable Measuring Location for Circuit-Breaker

Measuring Location M1 (Secondary Circuit of the Substation Voltage/Current Transformer)

OUTP01

Phase current iA(t) of phase A

OUTP02

Phase current iB(t) of phase B

OUTP03

Phase current iC(t) of phase C

OUTP04

Phase-to-ground voltage vAG(t) of phase A

OUTP05

Phase-to-ground voltage vBG(t) of phase B

OUTP06

Phase-to-ground voltage vCG(t) of phase C

Measuring Location M2 (Secondary Circuit of the Substation Voltage/Current Transformer)

OUTP07

Phase current iA(t) of phase A

OUTP08

Phase current iB(t) of phase B

OUTP09

Phase current iC(t) of phase C

OUTP10

Phase-to-ground voltage vAG(t) of phase A

OUTP11

Phase-to-ground voltage vBG(t) of phase B

OUTP12

Phase-to-ground voltage vCG(t) of phase C

Measuring Location M3 (Secondary Circuit of the Substation Voltage/Current Transformer)

OUTP13

Phase current iA(t) of phase A

OUTP14

Phase current iB(t) of phase B

OUTP15

Phase current iC(t) of phase C

OUTP16

Phase-to-ground voltage vAG(t) of phase A

OUTP17

Phase-to-ground voltage vBG(t) of phase B

OUTP18

Phase-to-ground voltage vCG(t) of phase C

Measuring Location M1..5 (Secondary Circuit of the Substation Voltage/Current Transformer)

The character x represents the number 1..5 of the Measuring Location Mx.

VAGSMx

Phase-to-ground voltage vAG(t) of phase A

VBGSMx

Phase-to-ground voltage vBG(t) of phase B

VCGSMx

Phase-to-ground voltage vCG(t) of phase C

IAS_Mx

Phase current iA(t) of phase A

IBS_Mx

Phase current iB(t) of phase B

ICS_Mx

Phase current iC(t) of phase C

IGS_Mx

Residual current iG(t) = iA(t) + iB(t) + iC(t)

VNGSMx

Neutral point-to-ground voltage vNG(t) = (vAG(t) + vBG(t) + vCG(t)) / √3

V0S_Mx

Zero sequence voltage v0(t) = (vAG(t) + vBG(t) + vCG(t)) / 3

V1S_Mx

Positive sequence voltage v1(t)

V2S_Mx

Negative sequence voltage v2(t)

I0S_Mx

Zero sequence current i0(t) = (iA(t) + iB(t) + iC(t)) / 3

I1S_Mx

Positive sequence current i1(t)

I2S_Mx

Negative sequence current i2(t)

V0ASMx

Amplitude (peak value) of the zero sequence voltage v0(t)

V1ASMx

Amplitude (peak value) of the positive sequence voltage v1(t)

V2ASMx

Amplitude (peak value) of the negative sequence voltage v2(t)

I0ASMx

Amplitude (peak value) of the zero sequence current i0(t)

I1ASMx

Amplitude (peak value) of the positive sequence current i1(t)

I2ASMx

Amplitude (peak value) of the negative sequence current i2(t)

The Ground Compensation Factor kG of the settings dialog Signal Analysis Settings will be used to calculate the impedance of the positive-sequence system Z1. The resistances and reactances will be calculated based on a DFT (Discrete-Fourier-Transformation).

  • Please Note

The Ground Compensation Factor kG is identical for all Measuring Locations M1..5. If different ground compensation factors must be used for multiple measuring locations, please use one or more Probe to calculate the impedances.

XAG_Mx

Reactance of the positive-sequence system of the fault impedance loop A-G : XAG = Im (VAG / (IA + kG ⋅ IG))

XBG_Mx

Reactance of the positive-sequence system of the fault impedance loop B-G : XBG = Im (VBG / (IB + kG ⋅ IG))

XCG_Mx

Reactance of the positive-sequence system of the fault impedance loop C-G : XCG = Im (VCG / (IC + kG ⋅ IG))

XAB_Mx

Reactance of the positive-sequence system of the fault impedance loop A-B : XAB = Im (VAB / IAB)

XBC_Mx

Reactance of the positive-sequence system of the fault impedance loop B-C : XBC = Im (VBC / IBC)

XCA_Mx

Reactance of the positive-sequence system of the fault impedance loop C-A : XCA = Im (VCA / ICA)

RAG_Mx

Resistance of the positive-sequence system of the fault impedance loop A-G : RAG = Re (VAG / (IA + kG ⋅ IG))

RBG_Mx

Resistance of the positive-sequence system of the fault impedance loop B-G : RBG = Re (VBG / (IB + kG ⋅ IG))

RCG_Mx

Resistance of the positive-sequence system of the fault impedance loop C-G : RCG = Re (VCG / (IC + kG ⋅ IG))

RAB_Mx

Resistance of the positive-sequence system of the fault impedance loop A-B : RAB = Re (VAB / IAB)

RBC_Mx

Resistance of the positive-sequence system of the fault impedance loop B-C : RBC = Re (VBC / IBC)

RCA_Mx

Resistance of the positive-sequence system of the fault impedance loop C-A : RCA = Re (VCA / ICA)

Measuring Location 1..5 (Primary Circuit of the Substation Voltage/Current Transformer)

The character x represents the number 1..5 of the Measuring Location Mx.

VAG_Mx

Phase-to-ground voltage vAG(t) of phase A

VBG_Mx

Phase-to-ground voltage vBG(t) of phase B

VCG_Mx

Phase-to-ground voltage vCG(t) of phase C

IAP_Mx

Phase current iA(t) of phase A

IBP_Mx

Phase current iB(t) of phase B

ICP_Mx

Phase current iC(t) of phase C

VAB_Mx

Phase-to-phase voltage vAB(t)

VBC_Mx

Phase-to-phase voltage vBC(t)

VCA_Mx

Phase-to-phase voltage vCA(t)

IAB_Mx

Phase-to-phase current iAB(t)

IBC_Mx

Phase-to-phase current iBC(t)

ICA_Mx

Phase-to-phase current iCA(t)

IG_Mx

Residual current iG(t) = iA(t) + iB(t) + iC(t)

V0_Mx

Zero sequence voltage v0(t) = (vAG(t) + vBG(t) + vCG(t)) / 3

VNG_Mx

Neutral point-to-ground voltage vNG(t) = (vAG(t) + vBG(t) + vCG(t)) / √3


Node Names for Differential Protection

Read also Converting Voltages and Currents to Other File Formats

Read also Node Names in the ATP Control File

Read also Signal Analysis Settings

Read also about Probe and Probe Signals Node Names

ATPDesigner calculates Differential Currents and Restraining Currents, if

    • the Measuring Scheme Differential Protection and
    • the option Diff. Protection: Idiff & Irest shown in the dialog ATP Data below

have been both enabled. The differential and restraining currents will be calculated based on the sampled values of the phase currents OUTPxx measured at the secondary circuit of the substation current transformers. It is absolutely necessary to set the nominal voltages and currents of the corresponding voltage and current transformers correctly to calculate the right differential and restraining currents.

See more about Substation Current and Voltage Transformers

  • Please Note

The calculation of differential and restraining currents must be first enabled via the setting Diff. Protection: Idiff & Irest which can be found in the dialog ATP Data .

Algorithm to calculate Differential Currents IDxMxx and Restraining Currents IRxMxx

The equations below shows only in principle how ATPDesigner calculates the differential and restraining currents. These equations are based on a typical transformer differential protection relay which is used in practice. The equations to calculate the differential and restraining currents are implemented in the TACS section of ATP. It is important to understand that the settings of the substation current transformers (CT) and substation voltage transformers (VT) must be taken into consideration to calculate the right differential and restraining currents.

The Algorithm in Detail

  1. The phase currents OUTPxx, which are measured at the secondary circuit of the substation current transformers (CT), will be transformed from the secondary to the primary circuit using the transformation ratio of the CT.
  2. All primary phase currents will be now transformed to a common nominal voltage which is usually the nominal voltage of the measuring location with the "lowest" number. The voltage ratio of the VT must be taken into account.
  3. Now the Differential Current IDxMxx and Restraining Currents IRxMxx can be calculated.

Example: Differential Current IDM12 for a 2-Winding Transformer

Measuring Location 1 (Secondary Circuit of the Substation Transformer)

OUTP01 : Phase current of phase A

Measuring Location 2 (Secondary Circuit of the Substation Transformer)

OUTP07 : Phase current of phase A

IDAM12 = | OUTP01 + OUTP07 |

IDAM12 = | ( Inprim (M1) / Insec (M1) ) · OUTP01 + ( Vnom (M1) / Vnom (M2) ) · ( Inprim (M2) / Insec (M2) ) · OUTP07 |

Read more about Inprim, Vnprim, Insec, Vnsec, ...

Measuring Locations M1 and M2 enabled
(Secondary Circuit of the Substation Current Transformer)

IDAM12, IDBM12, IDCM12

Differential current for two-winding differential protection:

  • IDAM12 = | OUTP01 + OUTP07 |
  • IDBM12 = | OUTP02 + OUTP08 |
  • IDCM12 = | OUTP03 + OUTP09 |

IRAM12, IRBM12, IRCM12

Restraining current for two-winding differential protection:

  • IRAM12 = 0.5 · | OUTP01 - OUTP07 |
  • IRBM12 = 0.5 · | OUTP02 - OUTP08 |
  • IRCM12 = 0.5 · | OUTP03 - OUTP09 |

Measuring Locations M1 and M3 enabled
(Secondary Circuit of the Substation Current Transformer)

IDAM13, IDBM13, IDCM13

Differential current for two-winding differential protection:

  • IDAM13 = | OUTP01 + OUTP13 |
  • IDBM13 = | OUTP02 + OUTP14 |
  • IDCM13 = | OUTP03 + OUTP15 |

IRAM13, IRBM13, IRCM13

Restraining current for two-winding differential protection:

  • IRAM13 = 0.5 · | OUTP01 - OUTP13 |
  • IRBM13 = 0.5 · | OUTP02 - OUTP14 |
  • IRCM13 = 0.5 · | OUTP03 - OUTP15 |

Measuring Locations M2 and M3 enabled
(Secondary Circuit of the Substation Current Transformer)

IDAM23, IDBM23, IDCM23

Differential current for two-winding differential protection:

  • IDAM23 = | OUTP07 + OUTP13 |
  • IDBM23 = | OUTP08 + OUTP14 |
  • IDCM23 = | OUTP09 + OUTP15 |

IRAM23, IRBM23, IRCM23

Restraining current for two-winding differential protection:

  • IRAM23 = 0.5 · | OUTP07 - OUTP13 |
  • IRBM23 = 0.5 · | OUTP08 - OUTP14 |
  • IRCM23 = 0.5 · | OUTP09 - OUTP15 |

Measuring Locations M1, M2 and M3 enabled
(Secondary Circuit of the Substation Current Transformer)

IDA123, IDB123, IDC123

Differential current for three-winding differential protection:

  • IDA123 = | OUTP07 + OUTP07 + OUTP13 |
  • IDB123 = | OUTP08 + OUTP08 + OUTP14 |
  • IDC123 = | OUTP09 + OUTP09 + OUTP15 |

IRA123, IRB123, IRC123

Restraining current for three-winding differential protection:

  • IRA123 = 0.5 · ( | OUTP07 | + | OUTP07 | + | OUTP13 | )
  • IRB123 = 0.5 · ( | OUTP08 | + | OUTP08 | + | OUTP14 | )
  • IRC123 = 0.5 · ( | OUTP09 | + | OUTP09 | + | OUTP15 | )

The figure below shows the node list of the internal diagram viewer of ATPDesigner. The node names for the Differential Currents IDxxx and Restraining Currents IRxxx can be seen inside the red frames.


Node Names for Transformers
  • Node NIGxxx

The node NIGxxx (xxx = number of the Transformer ) will be used to measure the primary current flowing through the neutral-point of the corresponding winding to ground.

  • Node NVGxxx

The node NVGxxx (xxx = number of the Transformer ) will be used to measure the primary neutral-point-to-ground voltage VNG of the corresponding winding.

  • Node NHVxx

As an option the 2nd neutral-point of a Yy-transformer can be connected to single-phase network elements ( 2nd Star Point for Yy-Transformers ). In this case the node name of the neutral-point will be created automatically by ATPDesigner. If the 2nd neutral-point of a Yy-Transformer is disabled, the node name will be automatically set to NHVxx (xxx = number of the transformer).

The figure below shows as an example the graphical symbol of a Yyn0- Transformer . The neutral-point of winding A as 2nd neutral-point can be connected to other single-phase network elements.

  • Node XF1xxx, XF2xxx, XF3xxx

The nodes (xxx = number of the XFORMER Transformer) will be used for the internal neutral-point depending on the vector group e.g. Y0y0y0. These nodes can not be connected by an other network element. The figure below shows a 3-phase XFORMER transformer with 3 windings.


Node Names for Fault Locations

The electrical model of a single-circuit line, double-circuit line or a underground cable with a line fault depends on the fault location. The figure below shows the graphics of a power network with a faulty single-circuit line.

The electrical model of the single-circuit line will be splitted into two parts dependent on the fault location:

Fault Location 0% or 100%

If the fault is located at one end of the line (fault location 0% or 100%), the electrical model of the single-circuit line consists only of one part. The model of the fault uses the node name of the corresponding node of the line where it is located.

Fault Location > 0% and < 100%

If the electrical fault is located between 0% and 100%, the electrical model of the single-circuit line will be splitted into two parts according the fault location. Both parts of the line are connected using an additional node xKNFyy and FKIEyy.

xKNFyy

Node name to connect the fault model of the fault (x = phase identifier A, B or C, yy = number of the line e.g. 01 for Line 1)

FKIEyy

Node name to measure the part of the short-circuit current which flows through the ground (yy = number of the line e.g. 01 for Line 1)

The corresponding node voltages and current can be analysed using a Viewer for Voltages and Currents e.g. PlotXY depending of the selected Output Signals .

The model of the fault uses also these node names. The figure below shows the electrical model of the fault (see Fault Types Realised With Circuit-Breakers ).

ATSCyy, BTSCyy, CTSCyy, GTSCyy,

Name of the TACS source to control the TACS controled switch, yy = number of the line e.g. 01 for Line 1


Node Names for CT Saturation

Read also Current and Voltage Transformer

Read also Node Names for Measuring Locations

Read also Example: CT Saturation

Read also Enable CT Saturation

Read also Magnetization Characteristic (H, B)

The figure below shows the electrical model and the node names of the current transformer (CT) based on the ATP components. Please note, that some of the nodes are part of the electrical network and some are TACS nodes, maybe using the same node name.

Node Names used in the Electrical Power Network

  • Magnetization Current of the Main Inductance

A

BIMAMx

C

  • Magnetic Flux of the Main Inductance

A

BMAGMx

C

  • Current of the Main Inductance

A

BICTMx

C

  • Current of the Burden Impedance

A

BIBUMx

C

  • Current at the Primary Circuit of the Current Transformer

A

BICPMx

C

The character x represents the number 1,2,3,... of the Measuring Location . The figure below shows the model of the current transfomer. For more details see Current Transformer .

TACS Output Signals

The TACS Output Signals can be selected to create a Diagram using the dialog Selecting Voltages, Currents and Binary Signals .

  • TACS - (ABC)IBUMx

Current flowing through the burden impedance Zb in A

  • TACS - (ABC)ICTMx

Current flowing through the main inductance Xh in A

  • TACS - (ABC)IMAGMx

Magnetix Flux of the main inductance Xh: (ABC)MAGMx = ∫ (ABC)IMAMx

  • TACS - (ABC)IMAMx

Voltage of the main inductance Xh to ground in Volt


Node Names for CVT

The figure below shows the electrical model of the Capacitive Voltage Transformers (CVT) used by ATPDesigner. The node name of the input voltage Vinp depends on the topology of the electrical power network and will be automatically defined by ATPDesigner. The node name of the output voltage representing the phase-to-ground voltage at the secondary circuit of the substation voltage transformer is always fixed defined to

A

BCVTMx

C

    • CVT Capacitive Voltage Transformer
    • Mx Measuring Location Mx
    • x Number of the Measuring Location


Node Names for Probes

Read more about Probes


Example: Differential and Restraining Current

The figures below show differential and restraining currents calculated for two and three measuring locations according the equations described in Node Names for Differential Protection .

Internal Fault for Two Windings

The figure below shows the power network, which can be used to simulate a two-winding transformer in principle. The fault is located inside the protection zone.

The next figure shows the differential current IDAM12 and the restraining current IRAM12. The restraining current IRAM12 is less then the differential current IDAM12 caused by the internal fault.

External Fault for Two Windings

The next figure shows the power network where the fault is located outside the protection zone.

The figure below shows the differential current IDAM12 and the restraining current IRAM12. The restraining current IRAM12 is higher then the differential current IDAM12 caused by the external fault.

Internal Fault for Three Windings

The figure below shows the power network simualting a three-winding transformer in principle. The fault is located inside the protection zone.

The next figure shows the differential current IDA123 and the restraining current IRA123. The restraining current IRA123 is less then the differential current IDA123 caused by the internal fault.

External Fault for Three Windings

The figure below shows the power network simualting a three-winding transformer in principle. The fault is located outside the protection zone.

The figure below shows the differential current IDA123 and the restraining current IRA123. The restraining current IRA123 is higher then the differential current IDA123 caused by the external fault.


Example: 012 - Sequence System Voltages and Currents

ATPDesigner supports the calculation of

  • the positive-sequence voltage v1 (t) and current i1 (t),
  • the negative-sequence voltage v2 (t) and and current i2 (t),
  • the zero-sequence voltage v0 (t) and current i0 (t)

but only for the voltages and currents measured by the Circuit-Breaker 1..5 . The voltages and currents of the 012-system will be calculated by a MODELS source code, which will be automatically implemented by ATPDesigner as part of the .ATP - file .

The voltages and currents of the 012-system v1(t), v2(t), v0(t), i1(t), i2(t), i0(t) will be calculated referenced to the secondary circuit of the substation voltage and current transformers attached to the measuring location Mx of the corresponding circuit-breaker Cbx. Therefore these three voltages should not be displayed together with any primary voltage in the same diagram.

    • v1(t) = f (OUTP04, OUTP05, OUTP06)
    • v2(t) = f (OUTP04, OUTP05, OUTP06)
    • v0(t) = f (OUTP04, OUTP05, OUTP06)
    • i1(t) = f (OUTP01, OUTP02, OUTP03)
    • i2(t) = f (OUTP01, OUTP02, OUTP03)
    • i0(t) = f (OUTP01, OUTP02, OUTP03)

MODELS interface:

INPUT

iAM1 {TACS(OUTP01)}

iBM1 {TACS(OUTP02)}

iCM1 {TACS(OUTP03)}

vAGM1 {TACS(OUTP04)}

vBGM1 {TACS(OUTP05)}

vCGM1 {TACS(OUTP06)}

The node names OUTPxx are the voltages and currents measured at the secondary circuit of voltage and current transformers of the substation implemented in ATPDesigner.

Read more about Measuring Locations and Node Names

The figure below shows the names of voltages and currents shown in the dialog to select signal names to create a diagram . measured by circuit-breaker Cb1 using the measuring location M1.

    • TACS - OUTP04, 05, 06: phase-to-ground voltages vAG(t), vBG(t), and vCG(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - OUTP01, 02, 03: phase currents iA(t), iB(t), and iC(t) measured at the secondary circuit of the substation current transformer

Amount of voltages and currents:

    • TACS - V0S_M1: zero-sequence v0(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - V1S_M1: positive-sequence v1(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - V2S_M1: negative-sequence v2(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - I0S_M1: zero-sequence i0(t) measured at the secondary circuit of the substation current transformer
    • TACS - I1S_M1: positive-sequence i1(t) measured at the secondary circuit of the substation current transformer
    • TACS - I2S_M1: negative-sequence i2(t) measured at the secondary circuit of the substation current transformer

Amplitude (peak value) of voltages and currents:

    • TACS - V0SAM1: zero-sequence v0(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - V1SAM1: positive-sequence v1(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - V2SAM1: negative-sequence v2(t) measured at the secondary circuit of the substation voltage transformer
    • TACS - I0SAM1: zero-sequence i0(t) measured at the secondary circuit of the substation current transformer
    • TACS - I1SAM1: positive-sequence i1(t) measured at the secondary circuit of the substation current transformer
    • TACS - I2SAM1: negative-sequence i2(t) measured at the secondary circuit of the substation current transformer

The example demonstrates the calculation of the 012-Sequence System Voltages and Currents measured by the Circuit-Breaker Cb1 at the measuring location M1 in case of a single-phase to ground fault of Line 1 . The figure below shows a simple power network to calculated a three phase fault in a solid grounded network.

The calculation of the 012-sequence system voltages and currents must be first enabled in the settings dialog ATP Data of the Main Toolbar :

The figure below shows the list to select signals to be create a diagram. ATPDesigner implements the required algorithms to calculate the 012-sequence system voltages and currents in the MODELS section of ATP. The names of the MODELS variables are shown in the list box. All MODELS output names start with the characters "MODELS -".

Read more about the node names of the MODELS based 012-sequence system voltages and currents in Node Names for Measuring Locations

3-Phase-to-Ground Fault

The positive-sequence voltage V1S_M1 and the phase-to-ground voltage VAGSM1 (measured at the secondary circuit of the substation voltage transformer) must be identical in case of a 3-phase fault. The figure below shows both voltages.

The next figure shows the positive-sequence current I1S_M1 and the phase current IAS_M1. It can be stated that the phase current contains a DC component which depends on the R/X-ratio of the power network. The algorithm to calculate the 012-sequence voltages and currents supresses the DC-component (behavior of the algorithm).

1-Phase-to-Ground Fault

The figure below shows the 012 sequence system currents

  • positive sequence system current I1S_M1,
  • negative sequence system current I2S_M1 and
  • zero sequence system current I0S_M1

in case of a single phase-to-ground fault. All 012-sequence system currents must be nearly identical in case of a single-phase-to-ground fault. It can be seen that only the positive sequence current I1S_M1 contains the load current.

ATPDesigner calculates also the peak values of the 012-sequence system voltages and currents. The figure below shows the zero-sequence current I0S_M1 based on sampled values and the corresponding peak-values I0ASM1.

The first peak after the occurrence of the line fault is only caused by the filtering algorithm. It may be possible to suppress this "mathematical" peak increasing the internal calculation frequency via the setting Step of the dialog ATP Data . But on the other hand the peak value calculation will then "produce" a extremly high noise level.


Example: Calculation of the Fault Impedance

Read more about Measuring Locations and Node Names

Read also Example: Calculating Impedances

Why to Calculate Impedances ?

Protection Relays are often using algorithms to determine impedances for different purposes. Distance protection relays use the impedances to decide wether the short-circuit is inside the protection zone or not. Directional overcurrent relays are using impedance based algorithms to determine the fault distance. This was the reason to implement the option to calculate impedances as a protection relay into ATPDesigner. Please note, that the result of an impedance calculation algorithm depends always on the algorithm which will be used. It is very important to know and understand the algorithm which is used in order to understand the results. Therefore ATPDesigner uses also a DFT based impedance calculation algorithm which is easy to understand especially for beginners. Nevertheless DFT based algorithms are often used in protection relays.

What can be done Using this Function ?

The user can determine the impedances Z (t) = R (t) + j X (t) calculated for the measuring location M1..3. ATPDesigner calculates the impedances and stores the impedances in the .PL4-File . The impedances can be displayed in a Diagram as usual for voltages and currents.

How is it implemented in the .ATP-File ?

The impedance calculation algorithm uses the MODELS section of the ATP.

How Can this Function be Enabled ?

  • in the dialog ATP Data
  • in the dialog Signal Analysis Settings

The Example Shown Below

The example demonstrates the determination of the fault impedances calculated for the Measuring Locations 1..3. If the Output Level 1 or higher has been selected, ATPDesigner calculates the reactances and the resistances of the 6 fault loops AG, BG, CG, AB, BC and CA in addition. The corresponding node names of resistances and reactances are defined in Node Names for Measuring Locations .

  • Caution !!!

The calculation of the impedances is based on the phase-to-ground voltages and phase currents measured at the secondary circuit of the substation voltage and current transformers. Therefore the output signals OUTPxx of the secondary circuit will be used as input signals for the algorithm. The nodes OUTPxx are the output node names of the Voltage and Current Transformer at the Measuring Location M1..3 which are assigned to the Circuit-Breaker Cb1..3 . Therefore the calculated impedances are always related to the secondary circuit of the current and voltage transformer. This measuring scheme is typical for Protection Relays.

The calculation of the reactance and resistance is based on a Discrete Fourier Transformation (DFT) which is used to calculate the complex phasors of the currents and voltages. The number of samples which are used from the DFT algorithm depend only on the nominal frequency fnom of the power network and on the setting Sampling Rate dt :

Number of Samples used from the DFT: N = 1 / (fnom ⋅ dt)

  • Please Note

The setting Step is not of interest processing the DFT, but only to set the internal sampling frequency fs of the ATP.

  • Example: fnom = 50 Hz, dt = 1ms ⇒ Number of DFT-Samples N = 20

The number of samples used from the DFT ist independent of the internal sampling rate, which depends on the both settings dt and Step. If the internal Sampling rate is smaller than the output sampling rate, ATPDesigner takes not all sampling data which are calculated internally from ATP. In this case ATPDesigner takes only every "Step" sampling data.

Internal ATP sampling rate (DELTAT) = dt / Step

  • Example: dt = 1ms, Step = 33, internal sampling rate = 1/33 ms >>> Only every 33th sampling value will be used for the DFT algorithm

The design of this algorithm helps to reduce the required processing time for the algorithm implemented in ATPDesigner. The equations to calculate the real part and the imaginary part of the complex vectors of voltages and currents are as well known:

    • Re (s(t)) = (2 / N) ⋅ ∑ (sk ⋅ sin (2πk / N))

    • Im (s(t)) = (2 / N) ⋅ ∑ (sk ⋅ cos (2πk / N))

sk

Sample of a continuous signal e.g. voltages or currents

k

Index representing one sample of the input signal

k = 1 (1) .. N

N

Number of the samples of one cycle

The reactances and resistances will be calculated following the equations below.

    • ZAB = RAB + j XAB = VAB / IAB

    • ZAG = RAG + j XAG = VAG / (IAG + kG ⋅ IG)

kG : Ground Compensation Factor

The Ground Compensation Factor kG must be set in the dialog Signal Analysis Settings and is independent of the ground compensation factors used for the Single-Circuit Lines .

The figure below shows a simple power network, where a fault ABCG has been occurred at the fault location.

The figure below shows the node names which will be used from ATPDesigner to identify the fault reactances and fault resistances.

The figure below shows the phase-to-ground-loop reactance XAG_M1 calculated by ATPDesigner at measuring location M1 at the secondary circuit of the voltage and current transformers of the substation. It must be considered that the positive sequence impedance of the line at primary circuit of the voltage and current transformers of the substation was set to Z1prim. = (1 + j⋅10) Ohm. The impedance transformation ratio of the voltage and current transformers of the substation takes Zprim = (110kV / 20kV) / (200A / 1A) ⋅ Zsec = 5.5 ⋅ Zsek. Therefore the calculated reactance takes XAG_M1sec = 10Ohm / 5.5 = 1.82Ohm, which can be seen (1.83547) in the left part of the Status Bar .


Text Frame
  • Adding a Text Frame
  • Moving and Resizing a Text Frame
  • Displaying a Picture in a Text Frame
  • User specific Text for Network Elements using a Text Frame


Adding a Text Frame

Read more about Displaying a Picture in a Text Frame

Read more Moving and Resizing a Text Frame

Text Frames can be used to display Text or a Picture or only a Frame with or without Text in the electrical power network. The number of characters inside a text frame is limited. The user can select the font, text color, etc. for each text frame separately. The text frame can added to the network graphics via the main menu Network Design or using the Button [image] of the Network Design Toolbar . The figure below shows some examples for a text frame inside the graphics view.

Description for a Network Element

Using the Text Frame the user can define a specific description for each network element e.g. a Network Infeed . ATPDesigner uses the Text Frame for this purpose. The dialog can be opened using the button [image] which is part of the specific settings dialog of the corresponding network element.

  • Read more in User specific Text for Network Elements using a Text Frame

The figure below shows the settings dialog of the Text Frame.

Autom. Size

The size of the text frame will be automatically adjusted to the text size.

Enable 3D Frame

Enable or disable the 3D frame around the text

Transparent

If enabled the text frame will be drawn transparent.

  • The Thickness of the Frame can be set using the edit field which can be seen in the settings dialog shown above.
  • The Line Style can be set using the combo box which can be seen in the settings dialog shown above.

Line Style 6

If line style 6 has been selected the frame will be drawn without a border line.

Undo

Undo the last operation if possible

Delete

Delete selected text

Copy

Copy the complete text to the clipboard

Insert

Insert the text saved from the clipboard to the cursor position

Font

Choose a font, text color, etc. using the Windows standard dialog

Color

Choose the background color of the text inside the text frame using the Windows standard dialog

Back. Color

Choose the background color of the text frame using the Windows standard dialog

Load

Load a picture to be displayed in the text frame

Picture Size

If enabled: The picture will be displayed using the original size.

If disabled: The picture will be displayed using the current size of the text frame.

Aspect Ratio

If enabled: The picture will be displayed using the original aspect ratio.

If disabled: The picture will be displayed using the current size of the text frame.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings and clear the text

Help

Open the corresponding chapter in the help file

If the current mouse cursor position is inside the text edit field, the standard right button mouse menu can be used as well known from Windows OS applications. The operations Copy, Paste, Cut, etc. are now available. The figure below shows the standard right mouse button menu, but in German.


Moving and Resizing a Text Frame

Text frames can be moved to any location inside the graphics view and can be resized, independent if they display a text or a picture. To move or resize, the text frame must be first selected . Please note, that the selected text frame shows only one snap point to resize. The figure below shows a selected text frame.

Moving Text Frames

  • Text frames can be moved as well known from the other network elements (see How to Move a Network Element ).

Resizing Text Frames

  • Selected text frames show only one snap point at the bottom right corner of the frame. The user can resize the text frame, if he moves this snap point to any other location in the graphics view. The resize operation is independent on the number of characters saved in the text frame or can be independent of the size of the picture depending on the settings shown in the group box Picture.

Read more about Displaying a Picture in a Text frame

How to Resize the Text Frame ?

  • Move the cursor to the rectangle (cursor symbol will be changed to [image] )
  • Press the left mouse button down
  • Move the cursor to another position inside the graphics view (the new text frame will be shown as dashed frame)

  • Please Note
    • The upper left corner of the text frame will be not changed.
    • The both figures below shows the procedure to resize the text frame.


Displaying a Picture in a Text Frame

Read more Adding a Text Frame

Read more Moving and Resizing a Text Frame

Text frames can be also used to load and display a picture in the electrical power network. Several file formats e.g. .BMP or .JPG can be used to load the picture. The size of the picture is not limited. But please note, that the complete picture e.g. a .BMP - file will be saved into the .NET-File . Therefore the size (in Bytes) of the .NET-File can be very large.

Load

Load a picture to be displayed in the text frame

Picture Size

  • If enabled: The picture will be displayed using the original size.
  • If disabled: The picture will be displayed using the current size of the text frame.

  • Please Note

If the setting Picture Size had been enabled, the setting Aspect Ratio will be also automatically enabled.

Aspect Ratio

  • If enabled: The picture will be displayed using the original aspect ratio.
  • If disabled: The picture will be displayed using the current size of the text frame.

The figure below shows the settings dialog of a text frame, if a picture had been loaded. The file name of the loaded picture will be displayed in the edit field.


User specific Text for Network Elements using a Text Frame

ATPDesigner assists the user to define a User Specific Text for network elements. As an example the settings dialog of a Transformer is displayed below. The dialog to define the User Specific Text can be opened using the button [image] which can be seen for example in the settings dialog below. In addition it is possible to delete the User Specific Text by the button [image] . ATPDesigner uses the settings dialog of the Text Frame to insert and edit the User Specific Text.

    • : Open the Text Frame to add a User Specific Text.
    • : Delete the User Specific Text.

Displaying the User Specific Text in a Tooltip

The User Specific Text of a network element can easily displayed in the power network. First the option to display the User Specific Text must be enabled.

  • using the menu item [image] Display User Text in the main menu Power Network
  • using the toolbar button [image] of the Toolbar for Network Elements

Now to display the User Specific Text in a tooltip the cursor must hover over the shape of a network element.

  • Please Note

The tooltip based on the User Specific Text has the lowest priority of all kinds of tooltips e.g. for Protection Elements or Short-Circuit Results .


Overview about Libraries

Read also How to Use a New Library

Read more details Copy and Paste Network Elements with CTRL + C and CTRL + V

ATPDesigner provides the user to manage a specific set of network elements using one or more Network Element Libraries. The user can copy network elements to and from the library via the clipboard from and to the electrical power network. This can be easily done using the well known menu items, right mouse button menus, hot keys e.g CTRL+C and CTRL+V, toolbar buttons, etc. The content of the library can be saved to and loaded from the hard disk. Therefore the user can create and manage different network element libraries. It is also possible to add a new library to an existing library, which has been already loaded.

ATPDesigner opens the Network Element Library in a non-modal, resizable dialog. The dialog of the network element library can keep open in parallel to the graphic views of the electrical power networks. The size of the dialog can be modified using the grip at the bottom right corner. The size and the position of the dialog of the network element library will be saved into the registry.

Power Network ⇒ Library: How to insert a Network Element from a Power Network into the Library ?

The easiest way to copy a network element from the power network to the library: Right Mouse Button Menu

  • Open the Network Library e.g by the toolbar button [image] or the menu item Library in the main menu Edit
  • Select the network element in the power network graphics by a LEFT MOUSE BUTTON CLICK
  • Open the Right Mouse Button Menu
  • Click on the menu item [image] Copy to Network Library

An other way to copy a network element from the power network to the library: CTRL+C & CTRL+V

  • Open the Network Library e.g by the toolbar button [image] or the menu item Library in the main menu Edit
  • Select the network element in the power network graphics by a LEFT MOUSE BUTTON CLICK
  • Press CTRL+C to copy the network element into the clipboard
  • Enable the dialog of the library by a LEFT MOUSE BUTTON CLICK on the dialog of the library
  • Press CTRL+V to insert the network element into the tree control of the library

Library ⇒ Power Network: How to copy a Network Element from the Library into a Power Network ?

The most easy way to copy a network element from the library to the power network: Drag & Drop

  • Select the network element in the tree control of the library by a LEFT MOUSE BUTTON CLICK.
  • Move the mouse cursor "over" the name of the network element to be moved.
  • Press the LEFT MOUSE BUTTON down.
  • Keep the LEFT MOUSE BUTTON DOWN and "move" the network element to any position in the power network graphics.
  • Release the left mouse button.

  • Please Note

The network element will be located at the current Lup mouse cursor position.

It can be also done using CTRL+C and CTRL+V.

  • Select the network element in the tree control of the library by a LEFT MOUSE BUTTON CLICK.
  • Press the CTRL+C down.
  • Move the cursor into the power network view and press CTRL+V.

  • Please Note

The network element will be always located in the center of the power network view.

Saving and Loading of a Library to and from a file

The libraries can be easily saved to and loaded from e.g. a hard disk. The data are secured by a checksum. The library may be corrupted, if data contained in the library file had been displayed in a viewer or modified by hand. Any corrupted library can not further be used by ATPDesigner and can also not be repaired. All data of a corrupted library are lost.

Displaying the Library in a tree control

ATPDesigner uses a tree control to present the content of the library. The figure below shows the dialog of a library, which contains some network elements. In the 1st level the Network Element Types are shown e.g. Transformer , etc. The user specific name will be shown in the 2nd tree level. Please note, that it is possible to store two network elements using the same user specific name in the same tree. In the 3rd tree level the settings of the network element are shown. The presentation of the settings are identical to the presentation of the settings in the Find Dialog .

Find - How to Find Network Elements in a Power Network

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Copy

Copy the selected network element to the clipboard.

Paste

Paste the network element from the clipboard to the library.

Delete

Delete the selected network element and remove it from the library.

Load

Load a library from a .NLB-file

Save

Save the library in a .NLB-file

Add

Load a library from e.g. the hard disk and add the new network elements to the existing network elements displayed in the tree control

Expand

Expand all items of the network element tree, all levels of the tree will be expanded

Collapse

Collapse the tree back to the root item

Expand +

Expand the current visible tree about ONE LEVEL

Collapse -

Collapse the current visible tree about ONE LEVEL, but the root item will be always visible at least

On Top

Dialog remains on top if checked.

Right Mouse Button Menu - Copy Network Elements From and To the Clipboard

The network element, which should be copied to the power network, can be easily copied to the clipboard using the Right Mouse Button Menu:

  • Copy the selected network element to the clipboard: CTRL+C
  • Paste the network element from the clipboard to the library: CTRL+V
  • Delete the selected network element and remove it from the library: DEL

  • Import Neplan® Export File Import network elements, which have been exported by the software tool NEPLAN®

ATPDesigner reads the selected text file and identifies the network elements of the NEPLAN export file e.g. transformers and lines. ATPDesigner assigns each element saved in the export file to a ATPDesigner specific network element. Not assigned network elements will be indicated in a message box.

  • Please Note

NEPLAN® is a registered trademark of BCP Busarello + Cott + Partner AG. Read more in www.neplan.ch.


How to Use a Library

How to Create a New Library and Insert Network Elements Into a Library

It is very easy to create a new Library of Network Elements. The user must create first a new, empty library clicking on the toolbar botton [image] , which can be found in the upper Main Toolbar , or using the menu item Library in the main menu Edit or the hot key CTRL + ALT + L . The figure below shows the dialog of an empty library.

The most easy way to copy a network element from the power network to the library: CTRL+C & CTRL+V

  1. Select the network element in the power network graphics by a LEFT MOUSE BUTTON CLICK.
  2. Press CTRL+C to copy the network element into the clipboard.
  3. Enable the dialog of the library by a LEFT MOUSE BUTTON CLICK on the dialog of the library.
  4. Press CTRL+V to insert the network element into the tree control of the library.

Copy a Network Element from the Power Network into the Clipboard: Right Mouse Button Menu

  1. Select the network element in the power network graphics by a LEFT MOUSE BUTTON CLICK.
  2. Move the mouse cursor "over" the graphical symbol of the selected network element.
  3. Click on the RIGHT MOUSE BUTTON to open the Right Mouse Button Menu .
  4. Select Copy to copy the network element into the clipboard.
  5. Move the mouse cursor "over" the dialog of the library.
  6. Click on the right mouse button to open the context sensitive menu of the library.
  7. Select the menu item Paste to insert the network element into the library.

Copy a Network Element from the Power Network into the Clipboard: Buttons

  8. Move the mouse cursor "over" the dialog of the library.
  9. Click on the button Paste to insert the network element into the library.

The figure below shows the dialog of the library, after the new network element has been inserted. ATPDesigner has automatically created the network element type Network Infeed. Please note, that the content of the library can be saved to and loaded from the hard disk. Therefore the user can create and manage different network element libraries. It is also possible to add a new library to an existing library, which has been already loaded.

The both figures below show the dialog of the library, if different network elements have been added into the library. It can be seen, that ATPDesigner has created a Network Element Class for each type of network element.

How to Copy a Network Element from a Library Into a Power Network

Network elements can be also easily copied from a library to a power network via the clipboard using Copy & Paste, Drag & Drop, Menus or Buttons.

The most easy way to copy a network element from the library to the power network graphics: Drag & Drop

  1. Select the network element in the tree control of the library by a LEFT MOUSE BUTTON CLICK.
  2. Move the mouse cursor "over" the name of the network element to be moved.
  3. Press the LEFT MOUSE BUTTON down.
  4. Keep the LEFT MOUSE BUTTON DOWN and "move" the network element to any position in the power network graphics.
  5. Release the left mouse button.


Import NEPLAN® Data into a Library

Read also about Overview about Libraries

Read also about How to Use a Library

ATPDesigner provides the user to import the data of network elements e.g. Transformers or Lines from the network CAE tool NEPLAN®.

Please note, that NEPLAN® is a registered trademark of BCP Busarello + Cott + Partner AG. Read more in www.neplan.ch .

How to Import Data of theNEPLAN® Export File ?

    1. Create a new, empty library
    2. Move the cursor "over" the dialog of the library and press the RIGHT BUTTON of the mouse to open the RIGHT BUTTON MOUSE MENU.
    3. Select the menu item Import Neplan® Export File .

Now the user must open the export file written by NEPLAN®. ATPDesigner reads this text file and tries to identify the network elements saved in the export file. If the import process has been finalised, the user can use the network elements saved in the ATPDesigner library as explained in How to Use a Library .

  • Please Note

The data of the network elements saved in NEPLAN® can be exported into a text file, where the different data are separated by ; or TAB. ATPDesigner supports both column separators. Nevertheless the column separator ; is recommended.


How to Insert a Network Element into a Library by One Click

The easiest way to copy a network element from the power network to the library: Right Mouse Button Menu

  • Open the Network Library e.g by the toolbar button [image] or the menu item Library in the main menu Edit
  • Select the network element in the power network graphics by a LEFT MOUSE BUTTON CLICK
  • Open the Right Mouse Button Menu
  • Click on the menu item [image] Copy to Network Library

The figure below shows the Right Mouse Button Menu .


Context Sensitive Menus - Right Mouse Button Menus

Context Sensitive Menus - Right Mouse Button Menu
  • Network: Right Mouse Button Menu
  • Diagram: Right Mouse Button Menu
  • Short-Circuit Results: Right Mouse Button Menu


Network: Right Mouse Button Menu

The user can open several Context Sensitive Menus using the Right Mouse Button Click.

    • depending on the content of the top most view
      • if the top most view presents the power network or
      • if the top most view presents a Diagram

    • depending on the current position of the mouse cursor and

    • depending if a network element has been selected and

    • depending on the identification of a network element at the current mouse cursor position.

Read more about Right Mouse Button Menu for Diagrams

  • Network Element at the Current Mouse Cursor Position

If a network element has been identified at the current mouse cursor position, the user can open a Context Sensitive Menu by the the Right Mouse Button Click. The context sensitive menu will be expanded by a Network Element Specific Context Menu at the end depending on the Type of the Network Element which has been selected and identified at the current mouse cursor position. The figures below show the different context sensitive menus, if an electric power network will be presented.

If a Network Element has been selected and identified at the Current Mouse Cursor Position

The menu options listed above show the Common Context Sensitive Menu. The menu items will be explained below more in details. Depending on the selected network element an additional submenu can be opened using the last menu item as shown in the figure below.

  • Additional submenus
    • Load Impedance: Right Mouse Button Menu
    • Busbar: Right Mouse Button Menu
    • Probe: Right Mouse Button Menu
    • BCTRAN: Right Mouse Button Menu

Network Element Zone Number

The menu shown below will be opened. The commands are using the Zone Number which can be seen in the edit control of the Toolbar for Network Elements .

    • Set Zone Number

First define the Zone Number in the edit control. The number will be set as Zone Number for all selected network elements.

    • Coloring Zone Number

All network elements will be redrawn using the drawing color of the Zones .

    • Find Zone Number

First define the Zone Number in the edit control. All network elements of the Zone will be redrawn using the drawing color of the Zone.

  • Zone Number:

  • Please Note

The results of the Zone related commands can be reset using the button [image] of the Main Toolbar or the menu item Remove Short-Circuit Results in the main menu ATP or the hot key Ctrl + Alt + E.

Read more about Zones

Network Element Data

A settings dialog will be opened depending on the selected network element to change the electrical and mechanical data.

Read more about How to Change the Data of Network Elements

Network Element Color

Read more about the submenu Network Element Color

Copy to Network Library

The selected network element will be copied into the Network Element Library , if not existing in the library.

Enable / Disable

The network element can be enabled or disabled.

If the network element has been disabled, it will be drawn as part of the network using the Color for Disabled Network Elements , but it will be NOT taken into account during the network simulation processed by the ATP.

  • Please Note

Several network elements can be selected and therefore disabled or enabled at the same time.

Read more about the corresponding button in the Network Design Toolbar

Properties

The settings dialog shows the Properties of the selected network element.

ATP Data

Read more about ATP Data

Network Configuration

The general settings dialog Network Configuration will be opened.

Copy CTRL + C

  • If no network element has been selected: Copy the graphics of the power network or a diagram as bitmap into the clipboard
  • If a network element has been selected: Copy the settings of the network element into the clipboard

Read more about Copy Graphics to Clipboard

Read more about Copy and Paste Network Elements

Paste CTRL + V

  • If a network element has been selected: Paste the network element from the clipboard into the center of the view
  • If a network element has been selected: Paste the bitmap from the clipboard into the view

Read more about Copy and Paste Network Elements

Undo CTRL + Z

Undo the last modifications done during the design of the electrical power network

Read more about Undo

Deselect

Deselect only the selected network elements which has been identified at the current cursor position.

  • Please Note

This feature can be used to deselect ONE network element, if two or more network elements have been selected in parallel.

Erase All Frames

Erase the red frame drawn around network elements e.g. to indicate network elements in trouble

Delete

All selected network elements will be deleted ( Delete Network Elements ).

Duplicate

Read more about how to Duplicate the selected network element

Lock

The shape of the network element will be locked and can be not changed. If the toolbar button has been pressed [image] , the network element has been locked, otherwise [image] the network element has been unlocked.

Read more about Locked Network Elements

If NO Network Element has been selected and identified at the Current Mouse Cursor Position and
the Short-Circuit Results will be not displayed in the Power Network

Read also Main Toolbar

    • Submenu ATP related Settings

      • Open the settings dialog ATP Data
      • Setting Phase Adjusting in the settings dialog ATP Data
      • Setting Load Adjusting in the settings dialog ATP Data

    • Submenu Add Line

    • Submenu Add Transformer

    • Submenu Add Voltage or Current Source

    • Submenu Add Switch

Open ..

see button [image] in Main Toolbar

Open Diagram (.PL4 - File) ..

Open the .PL4-File to show a Diagram

The .PL4-File is calculated based on the electrical power network presented in the active graphics view.

Browse

Start the browser for .NET-Files , .PL4-File and .CFG (COMTRADE) - files

Read more about Browser for .NET-, .PL4- and COMTRADE-Files

Network Configuration

Read more about Network Configuration

Write ATP File and Start ATP

Write all .ATP-Files (incl. LINE CONSTANTS, ..) and start the ATP to calculate voltages and currents

Additional .ATP-Files e.g. for the LINE CONSTANTS pre-processing will be calculated first before the main .ATP-File will be processed. The pre-processed .ATP-Files will be used as $INCLUDE - files for the main .ATP-File.

Read more about Simulation of the Power Network

Find CTRL + F

Open a dialog to display all network elements in a tree view

Network elements can be selected in the tree view and highlighted in the power network graphics

Read more about the dialog how to Find Network Elements and Node Names

Library CTRL + ALT + L

Open a Library of Network Elements

Show Node Names

Read more about How to Show the Node Names of Network Elements

Read more about Network Description File

All additional menu items are explained in the chapter Network Design .

Short-Circuit Analysis Results


Protection: Right Mouse Button Menu

The figure below shows the content of the menu Protection , which will be only displayed if a Probe has been selected by Left Mouse Button Click. The menu can be easily used e.g. to enable or disable all protection elements of the selected Probe .

Protection ON

All protection elements of the selected Probe will be enabled.

Protection OFF

All protection elements of the selected Probe will be disabled.


Single-Circuit Lines: Right Mouse Button Menu

Single-Circuit Line: Right Mouse Button Menu

The figure below shows the additional Context Sensitive Menu, if a Line has been identified at the current mouse cursor position. The submenu Line will be automatically displayed.

All additional menu items are explained in Network Design or in Network Design Toolbar .

Read also How to Identify the Left and Right Node of the Line


.ATP-File and MODELS-File: Right Mouse Button Menu

The figure below shows the additional Context Sensitive Menu, if an External .ATP-File has been identified at the current mouse cursor position. The submenu External .ATP-Files will be automatically opened.

    • Open MODELS Editor
      Open the content of the selected External .ATP-File in the MODELS Text Editor

    • Modifying MODELS-File
      Read more about Modifying MODELS File


Load Impedance: Right Mouse Button Menu

The figure below shows the additional Context Sensitive Menu, if a Load Impedance has been identified at the current mouse cursor position. The submenu Load Impedance will be automatically opened.

Using the options the drawing position of the user specific name Name of the network element can be changed. This user specific name can be set in the settings dialog of the Load Impedance and will be directly drawn in the network graphic closed to the shape of the corresponding network element.

    • Name: Left

The user specific name Name will be drawn to the left of the shape of the network element.

    • Name: Right

The user specific name Name will be drawn to the right of the shape of the network element.

    • Name: Below

The user specific name Name will be drawn below the shape of the network element.

    • Name: Above

The user specific name Name will be drawn above the shape of the network element.


Busbar: Right Mouse Button Menu

The figure below shows the additional Context Sensitive Menu, if a Busbar has been identified at the current mouse cursor position. The submenu Line will be automatically opened.

    • Add Busbar
      Add a new Busbar to the power network.

    • Busbar Settings
      Open the settings dialog to modify the settings of the selected Busbar .

    • Busbar Name
      Display the user specific name of the busbar below, above, left or right of the selected Busbar .

    • Busbar Disconnectors

Open or close all disconnectors of the selected Busbar .


Probe: Right Mouse Button Menu

ATPDesigner provides the user to create Diagrams e.g. to display the calculated currents and voltages. If a Probe has been used to measure voltages and currents, the diagram can be easily created via the right mouse button menu.

    • Select a Probe in the power network with a left mouse button click
    • Keep the mouse cursor "over" the selected Probe
    • Open the context sensitive menu with a Right Mouse Button Click
    • Open the submenu Probe
    • Choose one of the menu items

      • Internal Switch: OPEN or CLOSED

Open or close the Internal Switch of the Probe .

      • Enable / Disable probe Busbar Shape

The user can select a smaller shape which can be used to connected directly two feeder of a Double Busbar . The figure below shows an example. Probe P6 has been set to sue the smaller shape.

      • Enable / Disable Tooltip

      • Probe Settings

Open the settings dialog of the Probe

      • Add Probe

Add an new Probe to the power network

      • Reset Line Probe - Prot. Analysis

Reset the line between the Probe and the frame displaying the Protection Analysis

      • Create a Diagram V
      • Create a Diagram I
      • Create a Diagram I or Create a Diagram V & I

Create a new diagram to display voltages and/or currents measured by the Probe

      • MODELS related sub items to add MODELS based components

Add MODELS source code to a External .ATP-File


BCTRAN: Right Mouse Button Menu

The figure below shows the additional Right Mouse Button Menu for the BCTRAN Transformer .

  • Write ATP BCTRAN and Start ATP

Write BCTRAN .ATP-File, calculation of the BCTRAN model

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the BCTRAN pre-processing. This function can be used to check the results of the BCTRAN pre-processing.

  • Add BCTRAN Transformer

Add an new BCTRAN Transformer

  • Winding 3: Change Position

The position of the "circle" of winding 3 can be changed from left to right or from above to below and revers


Diagram: Right Mouse Button Menu

Read more about Diagrams

The user can also use a context sensitive menu if a diagram will be displayed in the graphics view. The figure below shows the corresponding Right Mouse Button Menu. Please note, that the Right Mouse Button will have different functions in the diagram view depending if the Diagram Cursors are visible or not.

  • If the Diagram Cursors [image] are visible in the diagram, one of the both cursor will be set by clicking the Right Mouse Button. Therefore the menu will be not displayed.

  • If the Diagram Cursors are not visible, the context sensitive menu displayed below will be displayed by a Right Mouse Button Click.

The figure below shows the Right Mouse Button Menu.

  • Menu items for Diagrams Toolbar for Network Elements
  • Settings for Diagrams Diagram Settings Dialog


Short-Circuit Results: Right Mouse Button Menu

Read about VDE 0102 (IEC 60909)

  • Please note

The figure below shows the toolbar to enable or disable the Short-Circuit Tooltips. The toolbar itself can be shown or hidden using the corresponding menu item of the main menu View .

If a Short-Circuit Results Analysis or a Short-Circuit Calculation based on VDE 0102 has been successfully finalized, a context sensitive Right Mouse Button Menu can be opened. The both figures below show the menu items including the both sub menus for Tooltips and Measurement Data Frames .

Multi-Line Tooltips

The Short-Circuit Results will be displayed using single-line or multi-line tooltips.

Voltage Drop

The Voltage Drop at the network nodes will be displayed in the power network graphics.

Tooltips

Open the submenu to enable or disable the tooltips for network elements.

Display Tooltip for Lines

The Short-Circuit Results for Lines will be displayed at the tip of the mouse cursor.

Measurement Data Frames

Select one of the options to display results of the Steady State Analysis in Measurement Data Frames associated to Probes .

Short-Circuit Results

The Short-Circuit Results Analysis will be started.

Remove Short-Circuit Results

The Short-Circuit Results will be removed from the power network.

Short-Circuit Type

The Short-Circuit can be set at any node of the power network or at any location along the Lines .

Remove Short-Circuit

The Short-Circuit and all results e.g. Tooltips and Measurement Data Frames will be removed from the power network.


Equipment Settings List

ATPDesigner assists the user to change the settings of several network elements using a spread sheet shown in the figure below. The settings dialog of the network element can be opened by a Left Mouse Double Click on the corresponding cell which displays the Name or the Ref.Name. It may be also possible to open settings dialogs of other network elements or to change special settings of the network element.

Equipment

The user can choose one of the network element types using the list control.

Name

User specific name of the network element

Ref.Name

Unique reference name of the network element

Find

Find the network element in the top most power network

First one line in the spread sheet must be selected by a Left Mouse Button Click followed by the Find button. If found the network element will be marked by a red frame.

Read also Find - Network Elements and Node Names


Equipment Settings List - Switch

Below the content of the header cells will be explained.

  • O/C

Open (OP) or close (CL) the Switch by a Left Mouse Button Menu shown below.

  • Prb x

User specific name and unique reference name of the Probe which is connected to the Switch .

  • Protection

Protection Element used by the Probe .

  • Zone

Number of the Zone of the network element

  • Z.Name

Name of the Zone

  • ID

Unique identifier of the network element: 0(1)..N, -1 = not valid

  • ID Text

Name (character string) of the unique identifier


Set the Individual Drawing Color for a Network Element

Read more about Color Configuration

ATPDesigner uses default colors to draw the network elements. The user can change all these colors e.g. for 3-phase network elements, 1-phase network elements, background color, etc. in the settings dialog Color Configuration , to create an individual look & feel. Of course the individual drawing color will be saved in the .NET-File .

It is also possible to change the drawing color using the button [image] in each settings dialog as shown below in the settings dialog of a Probe .

Individual Drawing Color for Network Elements

The user can define an individual drawing color for each network element separately. The figure below shows an example. Three of the single-circuit lines are drawn in a different color to indicate, that these single-circuit lines are underground cables.

How to Change the Drawing Color of one or more Network Elements

It is very easy to change the drawing color of one or more network elements using the Right Mouse Button Menu :

  • Select the network element(s), whose drawing color shall be changed, with a Left Button Mouse Click or a Frame.
  • The selected network element(s) are now drawn in light gray (= default color for selected network elements).
  • Open the Right Mouse Button Menu with a Right Mouse Button Click
  • Select the menu item Network Element Color, the submenu will be now opened
  • Select one of the menu items in the submenu

Select Drawing Color

The user can select a new, individual drawing color for the selected network element(s).

Set Default Color

The user can reset the drawing color for the selected network element(s) to the default drawing color.

Reset Drawing Color

The drawing color of ALL visible network elements will be reset to the default drawing color.

The drawing color can be also changed via the main menu item Network Design , sub menu Network Elements, Network Element Color. Nevertheless the user also must select a least one network element before changing the color.


Automatic Identifcation of Nominal Voltages Vnom

Automatic Identification and Test of Nominal Voltages Vnom

Read also Project Information - Vnom Groups

ATPDesigner identifies sub networks of the electrical power network using the same Voltage Level Vnom. The power network will be redrawn using a specific color for each nominal voltage level Vnom, which has been identified. In addition ATPDesigner compares the identified nominal voltage with the settings of the nominal voltage of each network element found in the sub network. The drawing colors can be reset by a Left Mouse Button Click on the button [image] . The drawing colors of the nominal voltages can be set in the settings dialog Network Configuration, tab Vnom Colors .

  • Please Note

The rated voltages Vr also used in several settings dialogs will be not used for the automatic identification.

  • Network elements where the setting of the nominal voltage is different to the nominal voltage level automatically identified will be drawn in light grey.

  • Please Note

ATPDesigner analyses the settings of e.g. Network Infeed , Transformer , etc. to identify the value of the current voltage level. ATPDesigner doesn't check the meaning of the settings defined by the user. Two voltage levels are identical, if they are equal according the mathematical rules: 20000V = 20000V drawn using the same color, but 20001V > 20000V drawn in different colors.

  • Please Note

The relation between a voltage level and the corresponding drawing color is NOT fixed, but depends on the topology of the power network, the types of sources and transformers used in the power network and the sequence, in which these network elements had been defined by the user. The same voltage level may be drawn using different colors in different power networks (displayed in different tabs of the graphic views).

Identification Algorithm

First ATPDesigner stores the nominal voltages Vnom of all network elements which have a current or voltage source as part of the physical model: Network Infeed , 3-Phase Source , etc. the different values of the nominal voltages will be written into the Messages Window as shown in the figure below.

  1. Starting at the network elements which have a voltage or current source as part of its physical model the power network will be drawn in the same color. It stops if a transformer or the end of a feeder has been found. The transformer will be drawn in the color used for the nominal voltage of Winding A.

  2. Now ATPDesigner starts at each transformer and redraws the sub networks "between" the transformers where not current or voltage source has been found.


Changing the Settings of Network Elements

The settings of network elements can be changed using different methods.

    • The main menu item Power Network
    • The both Toolbars at the top of the main window
    • The case sensitive Right Mouse Button menu depending whether the Network Design Mode has been enabled or disabled.

Only the settings dialog of some fixed network elements e.g. CT and VT or Network Infeed 1 can be chosen via the main menu or the both toolbars at the top. It is not possible for network elements, which can be dynamically created e.g. Network Infeed 2. The settings of network elements which are created using the Network Design Mode can be changed via the Right Mouse Button Menu or via a Left Mouse Double-Click on the shape of the network element.

Main Menu Item "Power Network"

The main menu of ATPDesigner can be used to open several submenu items. The figure below shows the submenu Power Network . If the menu item has been selected, a list of menu items can be seen, which can be used to enable the network element related setting dialogs. These dialogs can be also opened, if the shape of the network element has been double-clicked .

Right Mouse Button Menu

If the Network Design Mode has been enabled, the mouse cursor can be moved to the network element. If the cursor position is closed to a network element, the network element can be selected pressing the left mouse button down ( How to Select One or More Network Elements ). If ATPDesigner could identify a network element at the mouse position, the mouse cursor will be displayed as a "hand" [image] . A case sensitive Right Mouse Button Menu will be opened pressing the Right Mouse Button .

The figure below shows the cursor symbol, if ATPDesigner has identified a network element Cb1.

Left Mouse Button Double-Click - Open the Settings Dialog

If the Network Design Mode has been enabled, the network element related Settings Dialog can be opened by a Left Mouse Button Double-Click .


Left Mouse Button Click - Selecting a Network Element

Read more about Right Mouse Button Menu

Read more about Right Mouse Button Menu for Diagrams

Read more about Left Mouse Button Double-Click

Read more about How to Move a Network Element

Network elements can be selected by a Left Mouse Button Click on the shape of the network element. If a network element has been identified at the current mouse cursor position, the corresponding Settings Dialog can be opened with a Right Mouse Button Click . Selected network elements will be drawn in light gray color as shown in the figure below.

  • Select the network element by a Left Mouse Button Click on the shape of the network element.

  • Open the context sensitive Right Mouse Button Menu via a Right Mouse Button Click.
  • Select the menu item Network Element Data.
  • Open the settings dialog via a Left Mouse Button Click.

  • Alternative method: The settings dialog can be opened via a Left Mouse Button Double-Click .

Network elements can be also easily moved using the mouse cursor. Read more about in How to Move a Network Element .


Left Mouse Button Double-Click - Open the Settings Dialog

Read more about Right Mouse Button Menu

Read more about Right Mouse Button Menu for Diagrams

Read more about Changing the Data of Network Elements

Read more about Left Mouse Button Click

The settings dialog of the selected network element can be opened immediately by a Left Mouse Button Double-Click on the shape of the network element.


Measuring V/I/P/Q/S/... and Protection Elements
  • Probe - Measuring Device and Protection Device


Overview about Measuring Locations and Probes

ATPDesigner assists the user with two different types of Measuring Tools.

  • Probes and
  • Measuring Locations assigned to Circuit-Breaker Cb1..5

What is common for both network elements ?

  • Both are prepared to measure voltages, currents and power at the primary and secondary circuit of substation current and voltage transformers.

What is only available for Circuit-Breaker Cb1..5 ?

  • Measuring Locations assigned to one of the Circuit-Breaker Cb1..5 can be used in combination with a high-sophisticated current transformer model to simulate saturation effects and a capacitive voltage transformer model.

Read more about Current and Voltage Transformer

Read more about Probes

Read more about Probes and Short-Circuit Analysis Results

Measuring Locations assigned to one of the Circuit-Breaker Cb1..5

Measuring Locations can be used to measure voltages and currents at the primary or secondary circuit of the substation current and voltage transformers. The following list describes the signals which can be measured or calculated based on the measured signals.

  • Measured Signals
    • Phase-to-ground voltages Vpg
    • Phase currents Ip

  • Calculated Signals
    • Phase-to-phase voltages Vpp
    • Phase-to-phase currents Ipp
    • Residual current IG
    • Voltages and currents of the negative sequence system V2, I2
    • Voltages and currents of the zero sequence system V0, I0
    • Impedance of the positive-sequence system Z1 as usually done by Protection Relays

Each Measuring Location M1..5 is assigned with one of the Circuit-Breaker Cbx ( How to Select Cb1.. 5 , Measuring Locations and Circuit-Breaker ). The measuring location is represented by a red arrow drawn at the left-side or the right-side of the circuit-breaker shape. The drawing position indicates the measuring location for the phase-to-ground voltages and the phase currents. Therefore the sampled values of phase-to-ground voltages and phase currents depend on the time-depending status (OPEN or CLOSE) of the circuit-breaker. The figure below shows Measuring Location M1 assigned with Circuit-Breaker Cb1.

Measuring location M1 has been labeled by the number 1 printed closed to the red arrow. The direction of the red arrow shows the measuring direction for phase currents. If the phase current flows in direction of the red arrow the flow direction is defined as positive. Otherwise the flow direction is defined as negative. The flow direction negative indicates a phase shift of 180° compared with the positive flow direction.

  • Example

The figure below shows a simple electrical network with two measuring locations: Measuring Location M1 assigned to Circuit-Breaker Cb1 and Measuring Location M2 assigned to Circuit-Breaker Cb2.

The figure below shows the calculated phase currents of phase A measured at both measuring locations M1 and M2. The amplitude of both measuring locations are identically. The phase current of measuring location M2 shows a phase shift about 180° compared with the phase of the phase current of measuring location M1.


Measuring Locations and Circuit-Breakers

Measuring Location and Circuit-Breaker

In ATPDesigner a set of circuit-breakers with assigned measuring locations is available. Circuit-breaker and measuring location are designed as a combined network element. Up to five Measuring Locations M1, M2, M3, M4 and M5 assigned to the Circuit-Breaker Cb1..5 can be used in parallel. Each measuring location can be set separately from the other measuring locations. Both the standard current transformer and voltage transformer settings ( Current and Voltage Transformer ) and the current transformer magnetization characteristic ( CT Saturation Characteristic ) or the capacitive voltage transformer can be enabled in addition.

The settings of the Measuring Locations M1..5 are stored separately in the .NET-File . The corresponding dialog can be opened via the Network Toolbar ( Toolbar for Network Elements ) or the menu item Power Network . The figure below shows the Network Toolbar for example.

Open the dialog Current and Voltage Transformer to define the settings of the voltage and current transformers of the substation.

Open the dialog CT Saturation Characteristic to define the settings of the magnetization characteristic of the current transformers of the substation.

The number 1..5 closed to the red arrow of the symbols indicates the number of the corresponding Measuring Locations M1..5 in the network graphics. The figure below shows as an example a power network with enabled 3 measuring locations. The current operating mode of the Measuring Location Cb1/Cb2/Cb3 (M1/M2/M3) can be selected in the Network Configuration dialog.


Enable Measuring Location for Circuit-Breaker

Read also about Circuit-Breaker

Measuring locations, which are assigned to circuit-breakers to measure voltages, currents, etc., can be enabled

  • using the menu item Network Configuration or
  • using the Right Mouse Button Menu , if the mouse cursor is located "over" one of the Circuit-Breaker Cb1..5.

The figure below shows the context sensitive Right Mouse Button Menu , which will be opened via a right mouse button click, if the cursor has been moved "over" the shape of a circuit-breaker and if ATPDesigner has identified the circuit-breaker. As usual in ATPDesigner the last menu item Circuit-Breaker opens a circuit-breaker specific sub-menu.

Select Measuring Locations

Select one of the Measuring Locations depending on the enable/disable status of the Circuit-Breaker Cb1..5.

The figure below shows the settings dialog, if the menu item Select Measuring Locations has been selected via a left mouse button click. The content of the combo box depends on the number of Circuit-Breaker Cb1..5, which are enabled.

Disable All Measuring Locations

All Measuring Locations M1..5 will be disabled, means all "red arrows" will be deleted.

Copy MODELS Interface to Clipboard

Read more about in Creating MODELS Interface for Probes and Circuit-Breakers

Read also Node Names for Measuring Locations

Read also Overview about Measuring Locations and Probes

Read also Measuring Locations and Circuit-Breaker

Read also Enable Measuring Location for Circuit-Breaker

Read also Circuit-Breaker (3-Pole)

The measuring locations of the Circuit-Breaker Cb1..5 can be also enabled using the Network Configuration settings dialog. The figure below shows the corresponding settings element, which must be used to Enable Measuring Locations . The content of the list also depends on the enabled/disabled status of Circuit-Breaker Cb1..5.

  • Measuring Location Right

The measuring location of the selected Circuit-Breaker Cb1..5 will be moved to the right node.

  • Measuring Location Left

The measuring location of the selected Circuit-Breaker Cb1..5 will be moved to the left node.


Probe - Measuring Device and Protection Relay

The network element Probe can be used in different ways.

  • Probe - Measuring Device
  • Probe - Protection Relay
  • Probe - Control System for Renewable Power Infeed


Probe - Measuring Device

Read also about Probes and Protection Elements

Read also about Directional Overcurrent Protection

Read also about Distance Protection

Read also about the Context Specific Right Mouse Button Menu for Probes

Read also about Voltages, Currents, etc. measured by Probes and displayed in Tooltips

Voltages, currents and power can be measured during the Load Flow Analysis (or Short-Circuit Analysis ) as well as for transient network simulation independent of the Measuring Locations of Circuit-Breakers Cb1..5 only using a Probe . In addition the Probe can be also used to realize Protection Elements or an Control System for Renewable Power Infeed e.g. wind farms or photo voltaic systems. The user can change several settings of the network element Probe using its settings dialog shown below. The Probe can be used as a 3-phase measuring device to measure voltages, currents and power in all 3 phases in parallel or as a phase-selective measuring device. The zero-sequence voltage v0(t) and the ground current iG(t) as well as the voltages and currents of the 0αβ-System so called Clarke-Transformation can be also calculated.

  • Protection Elements can be enabled for each probe for the Load Flow Analysis (or Short-Circuit Analysis or ATP Steady State) as well as for the calculation of the transients using MODELS . It is also possible to use the Internal Switch of the Probe to realize a circuit-breaker to interrupt the short-circuit current.

  • Please Note

It is also possible to calculate voltages and currents of the hαβ-System (= 0αβ-System) using the Clarke-Transformation. The voltages and currents of the hαβ-System will be calculated using the sampled values of the voltages and currents measured in the power network. The transformation equation is shown in the figure below

  • Please Note

The measurement values of all Probes can be displayed in a dialog. This dialog can be opened via the menu item ATP , sub menu item Power Measurement Results or the toolbar button [image] of the Main Toolbar .

Read also about Display the Measurement Values of all Probes in One List

Protection Elements

  • Overcurrent Protection I> with and without detection of the short-circuit current direction
  • Over- and Undervoltage Protection V<>
  • Distance Protection
  • Differential Protection
  • Fuse
  • Inverse-Time Overcurrent Protection IDMT

Control System for Renewable Power Infeed

  • RPI Control

Name

User specific name

The user specific name can be switch on (green led) and off (red led) in the power network

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

On/Off

All protection functions can be enabled or disabled in one step also for the calculation of the transients as well as for load flow calculation (ATP Steady State). The color of the LED right of the button indicates the ON / OFF state of the protection.

  • LED : All protection functions are disabled

  • LED : All protection functions are enabled

CLOSED

The ATP based model of the Probe consists of two elements: the MEASURING SWITCH to measure the current and a resistance Rser in series. Based on the series resistance an Internal Switch of the Probe can be realized to be used e.g. in combination with the Protection Elements . The alternative shape of the Probe will be used in the figure below. The shape is a rectangle with a red rectangle. This red rectangle indicates the measuring direction of the Probe.

  • The red rectangle of the alternative shape with internal switch is equal with the tip of the triangle of the standard shape.

    • Probe with Internal Switch: OPEN =
    • Probe with Internal Switch: CLOSED =

The internal switch can be opened and closed using the button CLOSED. The Internal Switch of the Probe can also be opened and closed using the button [image] in the Toolbar for Network Design Mode , if the Probe has been first selected by a left mouse button click on the shape of the Probe.

Protection

Protection elements are available for the Load Flow Analysis based on the ATP Steady State calculation as well as based on the MODELS programming language of the ATP. If the transients will be calculated a circuit-breaker can be assigned to the Probe to be opened depending on the protection schemes. Therefore realistic protection relays can be simulated. The results of the protection elements will be displayed in the power network graphic closed to the shape of the Probe as shown e.g in Directional Overcurrent Protection .

    • None

The protection elements are disabled, for the Load Flow Calculation as well for the calculation of the transients.

    • Undirectional Overcurrent
      • Available for Load Flow Analysis as well for the calculation of the transients
      • Undirectional Overcurrent Protection as well as Overvoltage and Undervoltage Protection are enabled

    • Directional Overcurrent
      • Available for Load Flow Analysis as well for the calculation of the transients
      • Directional Overcurrent Protection as well as Overvoltage and Undervoltage Protection are enabled

Select the protection element e.g. Directional Overcurrent Protection using the setting Protection . The Fault Direction will be directly shown in the power network graphics using red arrows.

    • Distance Protection
      • Available for Load Flow Analysis as well for the calculation of the transients
      • Read more in the chapter Distance Protection

    • Fuse
      • MODELS based Fuse available for the calculation of the transients
      • Read more in the chapter Fuse

    • Differential Protection
      • Available only for Load Flow Analysis
      • Read more in the chapter Differential Protection

    • IDMT
      • Invers-Time Overcurrent Protection

    • Signal
      • Read more in the chapter Protective Signaling

    • Z< Det.
      • Read more in the chapter Underimpedance Detection

    • GF Det.
      • Read mor in the chapter Ground Fault Detection

    • RPI Control
      • Read more in the chapter Probe - RPI Control System

Equipment

Network element e.g. Transformer to protect

  • Please Note

It is recommended to set this setting especially for the Transformer Differential Protection.

    • Transformer Differential Protection

If the setting is NOT set ATPDesigner can not consider the vector group calculating the differential and restraining current.

CBreaker

ATPDesigner is able to connect the probe to a Switch to realize a TRIP-Command by a protection element processing a transient network simulation. ATPDesigner automatically implements the protection elements using MODELS . If set ATPDesigner connects the trip-command of the protection element using an OUTPUT variable of MODELS to the SPARK-control signal of the Switch.

  • Please Note

If a Switch has been selected in the settings dialog, ATPDesigner automatically changes some settings of this connected switch e.g. to connect the OUTPUT variable of the MODELS source-code to the SPARK-signal to the Switch. If the protection element Protection or the connected Switch Circuit-Breaker of the Probe had been disabled (set to None), this connection will be automatically removed by ATPDesigner.

As an alternative the Internal Switch of the Probe can be enabled.

    • CBreaker = SwtIntern

The internal switch of the Probe will be enabled.

  • Please Note

Read more about the Internal Switch of the Probe

Tpr

Processing time of the internal protection algorithm

This time defines the specific processing time the protection element takes to execute the software based protection algorithm. The time Tpr specifies the minimum time the protection element takes also if the time delay has been set less then the time Tpr.

Tcb

The timer Tcb will be started by the internal trip command of the protection element. The circuit-breaker will keep closed until the timer Tcb has been elapsed. If elapsed the circuit-breaker will be opened and the short-circuit will be interrupted. Therefore the timer simulates the time delay coming from the mechanical behavior of the circuit-breaker.

Trc

The timer Trc will be also started by the internal trip command of the protection element in parallel to the timer Tcb. The circuit-breaker will be closed, if the reclosing time Trc and the timer Tcb and the general starting has been elapsed.

  • Please Note

The time Trc must be enabled using the checkbox. If enabled the setting of the timer can be changed.

The figure below shows an example. It can be seen by the DTP004 signal that the circuit-breaker will be opened at 0.42 and reclosed at 0.74s.

    • IB1004 Amount if the phase current iA(t) caused by a short-circuit
    • DA0004 General starting generated by the protection elements
    • DCD004 Internal trip command generated by the protection elements (start of the timers Tcb and Trc)
    • DTP004 OPEN / CLOSE - state of the circuit-breaker (0 = CLOSED, 1 = OPENED)

Enable Tooltip of Short-Circuit Results

Enable or disable the Measurement Data Frame to display the Short-Circuit Results, which are the results of the ATP Steady State calculation.

The Probe specific measurement data frame can be also enabled or disabled using the menu item Enable / Disable Tooltip in the sub menu Probe of the Right Mouse Button Menu , if the Probe has been first selected with a left mouse button click.

Operating Mode

The operating mode of the probe can be selected.

    • None

No current or voltage will be measured at the measuring location of the probe.

    • Vdiff

It is possible to measure the longitudinal voltage along the Probe, if two Measuring Lines will be also used.

Please read the application about the Measuring Line and the Probe . The figure below illustrates this application.

The Longitudinal Voltages of the three phases will be saved into the .PL4-File using the TACS-Interface:

      • APDxxx Longitudinal voltage phase A [V]
      • BPDxxx Longitudinal voltage phase B [V]
      • CPDxxx Longitudinal voltage phase C [V]

    • 3-phase voltages Vpg, currents Ip,Ig

Both line currents (3-phase) and phase-to-ground voltages (3-phase) will be measured at the measuring location of the probe.

    • 3-phase voltages Vpg, Vpp, currents Ip,Ig

Both line currents (3-phase), phase-to-ground voltages (3-phase) and phase-to-phase voltages (3-phase) will be measured at the measuring location of the probe.

    • 3-ph. voltages Vpg

Only phase-to-ground voltages (3-phase) will be measured at the measuring location of the probe.

    • 3-ph. currents Ip,Ig

Only line currents (3-phase) and ground current will be measured at the measuring location of the probe.

    • S, P, Q, cos Ø, Vpg, Ip (3-ph.)

S, P, Q, cos Ø, Vpg, Vpp, Ip (3-ph.)

S, P, Q, cos Ø, Vpg, Vpp, Ip (3-ph.), hab

All

      • phase currents IA, IB, IC (3-phase), ground current IG and phase-to-ground voltages VAG, VBG, VCG (3-phase)

or

      • phase currents IA, IB, IC (3-phase), ground current IG and phase-to-ground voltages VAG, VBG, VCG (3-phase) and and phase-to-phase voltages VAB, VBC, VCA (3-phase)

or

      • phase currents IA, IB, IC (3-phase), ground current IG, phase-to-ground voltages VAG, VBG, VCG (3-phase) and and phase-to-phase voltages VAB, VBC, VCA (3-phase),

voltages and currents of the hαβ-System (= 0αβ-System = hab-System, the so called Clarke-Transformation)

will be measured at the measuring location of the Probe. In addition ATPDesigner calculates the time dependent behavior of the amount of the apparent power S, active power P, reactive power Q as well as the amount of the fundamental frequency of phase-to-ground voltages, VAG, VBG, VCG, the phase currents IA, IB, IC and phase-to-phase voltages VAB, VBC, VCA based on a Discrete-Fourier-Transformation (DFT) for the power network frequency using MODELS of the ATP.

The names of the MODELS Output Signals:

xxx = Number of the Probe

Discrete-Fourier-Transformation (DFT)

      • S_xxx Apparent power [MVA]
      • P_xxx Active power [MW]
      • Q_xxx Reactive power [Mvar]
      • CFxxx power factor cos φ
      • VAGxxx Amount of the phase-to-ground voltage vAG(t) [p.u./√3 = Vnom/√3]
      • VBGxxx Amount of the phase-to-ground voltage vBG(t) [p.u./√3 = Vnom/√3]
      • VCGxxx Amount of the phase-to-ground voltage vCG(t) [p.u./√3 = Vnom/√3]
      • VABxxx Amount of the phase-to-phase voltage vAB(t) [p.u. = Vnom]
      • VBCxxx Amount of the phase-to-phase voltage vBC(t) [p.u. = Vnom]
      • VCAxxx Amount of the phase-to-phase voltage vCA(t) [p.u. = Vnom]
      • IAxxx Amount of the phase current iA(t) [A]
      • IBxxx Amount of the phase current iB(t) [A]
      • ICxxx Amount of the phase current iC(t) [A]

        • Please Note

The time dependent behavior of the amount of the apparent power S, active power P and reactive power Q can be only displayed in a Diagram as shown in the diagram below.

        • Please Note

It is required to set the setting OUTPUT SIGNALS of the settings dialog ATP Data to Output List 3 to enable MODELS recording all MODELS output signals shown above.

Clarke-Transformation (hab = hαβ = 0αβ)

      • VTHxxx sampled values vh(t) = v0(t) (zero-sequence system)
      • VTAxxx sampled values vα(t) (alpha system)
      • VTBxxx sampled values vβ(t) (beta system)
      • ITHxxx sampled values ih(t) = v0(t) (zero-sequence system)
      • ITAxxx sampled values iα(t) (alpha system)
      • ITBxxx sampled values iβ(t) (beta system)

        • Please Note

The voltages and currents of the hαβ-System will be calculated using the sampled values of the voltages and currents measured in the power network.

The figure below shows the amount of the fundamental frequency component of the phase-to-ground voltages vAG(t), vBG(t) and vCG(t) in p.u. measured by Probe Prb005 or P5 shown in the power network graphic.

Node Names and Current Flow Direction

Each probe consists of two unique Node Names (ABC)xxxxx according the internal algorithm, which has been implemented in ATPDesigner. Depending on the drawing orientation the probe measures the current flowing from the left node to the right or inverse. The Current Flow Direction will be indicated by arrows as shown in the figure above.

Example in the figure above: The current flows from the (3-phase) nodes (ABC)00034 to (ABC)00023.

Read more about Node Names in ATPDesigner

TACS Output Node Names

The node names of the probe must be unique and will be automatically generated by ATPDesigner, if any parameter of the electrical power network has been changed. Therefore it can NOT be guaranteed, that the node names of a probe has been not changed, if the user has changed the power network. Based on this assumption the output signals of each probe will be assigned to a TACS Output Node Name. The TACS Output Node Name will keep the same independent of the algorithm, which manages the node names of all network elements of the power network.

  • Please Note

It can be stated, that the TACS Output Node Name of a Probe will be always the same independent of any modification of the power network.Nevertheless the user can modify the TACS Output Node Name also by hand.

TACS Node Voltage APVxxx, GPVxxx

The name of the TACS Output Node to measure Phase-to-Ground Voltages consists of two parts:

  • A fixed part (ABCG)PV to identify the TACS Output Node Name of a Probe in the .PL4-File . This part can be NOT modified by the user.
  • The last 3 characters are user specific and can be modified by the user, but it should be not done to avoid confusions.

  • Please Note

The first character of the TACS Output Node Name indicates the phase A, B or C.

    • Phase-to-Ground Voltages Vpg, Zero-Sequence Voltage V0
      • APV001 Phase A of TACS Output Node 001 to measure the phase-to-ground voltage vAG(t)
      • BPV001 Phase B of TACS Output Node 001 to measure the phase-to-ground voltage vBG(t)
      • CPV001 Phase C of TACS Output Node 001 to measure the phase-to-ground voltage vCG(t)
      • GPV001 Phase G of TACS Output Node 001 to measure the zero-Sequence system voltage v0(t)

v0(t) = (vAG(t) + vBG(t) + vCG(t)) / 3

    • Phase-to-Phase Voltages Vpp
      • ABV001 Phase AB of TACS Output Node 001 to measure the phase-to-phase voltage vAB(t)
      • BCV001 Phase BC of TACS Output Node 001 to measure the phase-to-phase voltage vBC(t)
      • CAV001 Phase CA of TACS Output Node 001 to measure the phase-to-phase voltage vCA(t)

TACS Node Current APIxxx, GPIxxx

The name of the TACS Output Node to measure phase currents consists of two parts:

  • A fixed part (ABCG)PI to identify the TACS Output Node Name of a Probe in the .PL4-File . This part can be NOT modified by the user.
  • The last 3 characters are user specific and can be modified by the user, but it should be not done to avoid confusions.

  • Please Note

The first character of the TACS Output Node Name indicates the phase A, B or C.

    • API001 Phase A of TACS Output Node 001 to measure the phase current iA(t)
    • BPI001 Phase B of TACS Output Node 001 to measure the phase current iB(t)
    • CPI001 Phase C of TACS Output Node 001 to measure the phase current iC(t)
    • GPI001 Phase C of TACS Output Node 001 to measure the ground current iG(t)

iG(t) = iA(t) + iB(t) + iC(t)

  • Caution !!!

ATPDesigner accepts all modifications of the last 3 characters of the TACS Output Node Names specified by the user. ATPDesigner DOES NOT check, whether the TACS Output Node Names of all Probes are really unique, which is clearly in the responsibility of the user.

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File . The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File and the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Probes can be added to the power network via the methods described below:

  • Menu item Add Probe in the main menu Network Design
  • Pressing the toolbar button [image] in the Toolbar for Network Design Mode
  • Menu item Add Probe in the sub-menu Probe of the Right Mouse Button Menu , if the mouse cursor have been located "over" a Probe graphics symbol (see figures below)

Right Mouse Button Sub-Menu

Enable / Disable Tooltip

Read more about How to Enable Tooltip of Short-Circuit Results

The Probe specific Measurement Data Frame can be also enabled or disabled using the menu item Enable / Disable Tooltip in the sub-menu Probe of the Right Mouse Button Menu , if the Probe has been first selected with a left mouse button click.

The Probe Submenu can be also used to create easily diagrams containing the phase currents and/or the phase-to-ground voltages of the selected probe.

Create a Diagram V

Creates a diagram containing only the phase-to-ground voltages of the selected probe

Create a Diagram I

Creates a diagram containing only the phase currents of the selected probe

Create a Diagram V & I

Creates a diagram containing the phase-to-ground voltages and the phase currents of the selected probe

Read also Probe - Creating Automatically a V, I - Diagram

MODELS: Copy Input to Clipboard

ATPDesigner automatically creates the MODELS source-code to implement an INPUT section for the phase-to-ground voltages and phase currents measured by the selected Probe. This source-code will be automatically copied into the Clipboard and can be inserted in any external file by Copy & Paste. The script for Probe Prb 1 can be seen below.

-- Interface from Power Network Prb 1

INPUT APV001 TACS(APV001)

INPUT BPV001 TACS(BPV001)

INPUT CPV001 TACS(CPV001)

INPUT API001 TACS(API001)

INPUT BPI001 TACS(BPI001)

INPUT CPI001 TACS(CPI001)

MODELS: Create USE PTOC AS ..

ATPDesigner automatically creates the MODELS source-code to implement an instance of the MODEL PTOC and inserts the MODELS source-code into all MODELS files (based on External .ATP-File ), which are part of the current .NET-File.

  • INPUT interface equal to the MODELS INPUT interface shown above.
  • OUTPUT interface for a TRIP Command
  • MODELS instance USE PTOC AS ..
  • RECORD interface for some internal signals of the instance.

The figure below shows an example of the MODELS script automatically created by ATPDesigner.

Read more about ATPDesigner and MODELS

Nominal Voltage, Current, etc. at the Measuring Location

The nominal values of voltages, currents, etc. can be also defined by the user. These nominal values will be used to calculate the p.u. - value of the voltages, currents, etc. measured at the measuring location of the Probe to be displayed e.g. in the Short-Circuit Analysis Results Tooltips but also in a Diagram , if a transient network simulation has been processed. The both settings Vnom and Inom will be used for the settings in the tab V<> & I> of the Probe, not for the settings in the tab Distance of the Probe independent on the protection element e.g. Directional Overcurrent Protection or Distance Protection which has been selected. If the protection element Distance Protection shall be used it is recommended to set the both primary nominal settings Vnom and Inom of the tab V<> & I> equal to the primary nominal settings Vnprim and Inprim in the tab Distance Protection .

Vnom

Nominal voltage at the measuring location to display the voltages in p.u. but also to define the settings of protection elements (Vnom = 1 p.u.)

Inom

Nominal current at the measuring location to display the currents in p.u. but also to define the settings of protection elements (Inom = 1 p.u.)

  • Please Note

The p.u.-values will be only displayed for Probes, NOT for the Measuring Locations of the Circuit-Breakers Cb1..5.


Probe - Protection Relay

The network element Probe can be also used to realize Protection Elements and to study the behavior of protection elements in electrical power networks.

  • Undirectional Overcurrent Protection
  • Directional Overcurrent Protection
  • Overvoltage and Undervoltage Protection
  • Distance Protection
  • Fuse
  • Differential Protection
  • Inverse-Time Overcurrent Protection

  • Protection Analysis - Displayed in the Power Network
  • Protection Analysis - Tripping Characteristic Diagrams
  • List of Protection Analysis Results

Read also Short-Circuit Analysis Results Displayed in Tooltips

Read also Probes and Protection Elements and following chapters


Probe - RPI Control System

The network element Probe can be also used to realize a control system as well known e.g. from wind farms with one or more wind power stations. In ATPDesigner this control system will be called RPI Control System, because it can be only used to control Renewable Power Infeed if the transients of the electrical power network will be calculated. The RPI Control System controls one or more Renewable Power Infeed systems e.g. wind power plants in parallel and an additional battery system. The RPI Control System tries to achieve the nominal active power P and the displacement factor cos φ at the NCP. In addition a battery can be used also connected to the Network Connection Point (NCP).

The RPI Control System can be used to control a wind farm with one or more wind power stations and a battery storage to the wind farm. The figure below shows an example of a wind farm which consists of three wind power station and a battery storage. Probe P1 will be used as RPI Control System at the Network Connection Point (NCP).

  • Please Note

The battery storage can be realized using a Load Impedance with the operating mode Z(t) - MODELS and Battery .

The figure below shows the wind farm with three Renewable Power Infeed . The RPI Control System will be realized using Probe P1, which can be easily identified by the blue colored circle. The Load Impedance Load 1 will be connected to the power network at t = 700ms.

The figure below shows the settings dialog of the RPI Control System. Before starting the network simulation to calculate the transients the button NCP: S, P must be clicked to recalculate the apparent power and active power at the NCP.

The figure below shows the apparent power S, active power P, reactive power Q and the displacement factor CP at the network connection point (NCP). It can be seen that the load will be connected in parallel to the power network at t = 700ms. Nevertheless the RPI Control System further holds the displacement factor.

Settings related to the Renewable Power Infeed (RPI)

The left lower list shows some settings and data which are related to the Renewable Power Infeed of the electric power network.

p [p.u.]

The factor p [p.u.] defines the part of the nominal active power Pnom of the specific Renewable Power Infeed , which will be used by the RPI Control System.

PRPI = p [p.u.] ⋅ Pnom

Vncp / Vrpi

voltage ratio of the NCP related to the measuring node of the Renewable Power Infeed

Px

Reference name of the Probe , which will be used as control system for the specific Renewable Power Infeed

Pn [kW]

Nominal active power of the Renewable Power Infeed

Rx

Name of the Renewable Power Infeed : Rx = RPI x

Sn [kVA]

Nominal apparent power of the Renewable Power Infeed

Name

User specific name of the Renewable Power Infeed

Settings related to the Control System

Enable RPI Control System and Battery

RPI control system can be enabled or disabled

NCP: Apparent Power S [MVA]

Nominal apparent power of the at the network connection point (NCP)

NCP: Active Power P [MW]

Nominal active power at the network connection point (NCP)

NCP: Displacement Factor cos ϕ

Target value of the displacement factor at the network connection point (NCP)

RPI Control: Gain factor

Gain factor of the PI control unit to control the displacement factor

Recommended settings: 0,5..5

RPI Control: Tn [ms]

Time constant of the PI control unit to control the displacement factor

Recommended settings: 50..100ms

Battery

Name of the Load Impedance e.g. Load 1 which will be used as the battery storage connected to the network connection point (NCP)

Battery: Sbat [MW]

Nominal apparent power of the battery connected to the network connection point (NCP)

Battery: Pbat [MW]

Nominal active power of the battery connected to the network connection point (NCP)

Battery: Ebat [MWh]

Nominal capacity of the battery connected to the network connection point (NCP)

Battery: Ebat init [%]

Initial value of the nominal capacity of the battery connected to the network connection point (NCP)

RPI Control: KDP [p.u.]

Maximum active power dP to be used changing the active power of the battery in one step

    • dP = KDP ⋅ (Pnom - PNCP)

RPI Control: KDQ [p.u.]

Maximum reactive power dQ to be used changing the reactive power of the battery in one step

    • dQ = KDQ ⋅ (Qnom - QNCP)

LVRT: V< [p.u.]

Threshold to detect the LVRT (Low Voltage Ride Through) - mode using the amount of the phase-to-phase voltages VAB, VBC and VCA measured at the network connection point (NCP)

If the LVRT-mode has been detected, the power infeed of the assigned Renewable Power Infeed RPI will be stopped.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings of the RPI Control System tab only

Help

Open the corresponding chapter in the help file

P(t) Characteristic

No. [T, P]

Number of entries (lines) of the list to define the Active Input Power P(t)

Time [s], P/Pnom [p.u.]

It is possible to define the time dependent behavior of the Active Input Power P(t) by a list of data pairs [T, P/Pnom]. Therefore it is possible to simulate the fluctuation of the primary active power e.g. taken from the wind or solar energy.

  • Please Note

The active power P/Pnom of the list is related to the nominal active power Pnom.

If the control system has been enabled, the characteristic P(t) of the RPI Control System will be used for all renewable energy system as a global characteristic, which are assigned to the control system. The RPI specific characteristics P(t), which are defined in the settings dialog of the Renewable Power Infeed , will be ignored.

MODELS Output Signals

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

  • xxx = Number of the Probe to be used as RPI Control System e.g. 020, if Probe Prb 020 (= reference name) has been used.

  • Y = Identifier for the RPI network element controlled by the RPI Control System .

If the number of RPI network elements is greater than 9, a character will be used to identify the RPI network element.

    • RPI Number 1..9 : Identifier 0..9
    • RPI Number 10..34 : Identifier A..Z

Name

Description

CAVxxx
CBVxxx
CCVxxx

Phase-to-ground voltages vABCG(t) at the Network Connection Point (NCP) in V

CAIxxx
CBIxxx
CCIxxx

Phase currents iABC(t) at the Network Connection Point (NCP) in A

CPHxxx

Phase shift between phase-to-ground voltages v(t) and the phase currents i(t) at the Network Connection Point (NCP) in degree

CCNxxx

Continuously calculated displacement factor cos φ at the Network Connection Point (NCP) in rad

CCDxxx

Continuously calculated difference (cos phi calculated - cos phi setting) at the Network Connection Point (NCP) in rad

CEBxxx

Battery: current state of charge in kWh

CPBxxx

Battery: current active power in kW

CLBxxx

Battery Status Message: LVRT (Low Voltage Ride Through)
0 = LVRT-mode disabled, 1 = LVRT-mode enabled

CPYxxx

Displacement factor cos φ measured at the infeed nodes of the Renewable Power Infeed

  • Y = Identifier of the Renewable Power Infeed

CDYxxx

Phase shift between the phase-to-ground voltages ant the Network Connection Point (NCP) and the RPI network elements in degree

  • Y = Identifier of the Renewable Power Infeed

CPRxxx

Output Signal of the PI-Controller
Continuously calculated phase angle in degree used as target value (input signal) for each Renewable Power Infeed

CPDxxx

Input Signal of the PI-Controller
Continuously calculated deviation between the displacement factor (target value) and displacement factor measure at the NCP. The deviation must be 0° for steady-state conditions.

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 3 or higher

Name

Description

CAYxxx
CBYxxx
CCYxxx

Phase-to-ground voltages vABCG(t) measured at the infeed nodes of the Renewable Power Infeed in V

  • Y = Identifier of the Renewable Power Infeed

Below the RECORD block of the corresponding MODELS software. The RPI Control System has been configured for a wind farm with two Renewable Power Infeed . The Probe Prb 020 has been used to realize the RPI Control System. The figure below shows the MODELS output signals which can be used to create a Diagram .

Below a part of the MODELS software.

RECORD

RPICTL020.V0[1] AS CAV020

RPICTL020.V0[2] AS CBV020

RPICTL020.V0[3] AS CCV020

RPICTL020.I0[1] AS CAI020

RPICTL020.I0[2] AS CBI020

RPICTL020.I0[3] AS CCI020

RPICTL020.DAT[1] AS CPH020

RPICTL020.HLP[25] AS CCN020

RPICTL020.HLP[26] AS CCD020

RPICTL020.HLPB[5] AS CEB020

RPICTL020.HLPB[1] AS CPB020

RPICTL020.LVRT_BAT AS CLB020

RPICTL020.PR1[1] AS CP1020

RPICTL020.PR1[3] AS CD1020

RPICTL020.PR2[1] AS CP2020

RPICTL020.PR2[3] AS CD2020

RPICTL020.V1[1] AS CA1020

RPICTL020.V1[2] AS CB1020

RPICTL020.V1[3] AS CC1020

RPICTL020.V2[1] AS CA2020

RPICTL020.V2[2] AS CB2020

RPICTL020.V2[3] AS CC2020


Probe ans Line Measurement Values in One List

Probe and Line Measurement Values in One List

The measurement values of all Probes can be displayed in a dialog. This dialog can be opened via the menu item ATP , sub menu item Probe and Line Measurement Results or the toolbar button [image] of the Main Toolbar as shown in the figure below. If a Probe or a Single-Circuit Line has been selected in the network graphic by a Left Mouse Button Click, the reference name of the equipment will be highlighted using light blue color.

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Find

Find the network element in the list of network elements of the power network visible in the top most view

Clear

Redraw the network elements using the standard drawing color and delete the frame around the network element.

Copy

Copy the content of the list into the Clipboard

The columns are separated by a semicolon ";" and can be therefore easily inserted e.g. in Excel.

No;Name;User Name;VAG [%];VBG [%];VCG [%];VAG [V];VBG [V];VCG [V];VAB [%];VBC [%];VCA [%];VAB [V];VBC [V];VCA [V];IA [%];IB [%];IC [%];IA [A];IB [A];IC [A];V1 [%];V2 [%];V0 [%];V1 [V];V2 [V];V0 [V];I1 [%];I2 [%];I0 [%];I1 [A];I2 [A];I0 [A]

1;Prb 1;P1;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,00196049;0,00196055;0,0019606;0,0117629;0,0117633;0,0117636;99,915;2,9886e-009;1,27016e-008;11537,2;3,45093e-007;1,46665e-006;0,00196055;3,20791e-008;3,22379e-008;0,0117633;1,92475e-007;1,93427e-007

2;Prb 2;P2;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;2,97001e-009;1,27209e-008;11537,2;3,42948e-007;1,46888e-006;0,000247982;1,78043e-005;4,68298e-009;0,00148789;0,000106826;2,80979e-008

3;Prb 3;P3;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;2,97001e-009;1,27209e-008;11537,2;3,42948e-007;1,46888e-006;0,000247982;1,78043e-005;4,68298e-009;0,00148789;0,000106826;2,80979e-008

4;Prb 4;P4;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;2,97001e-009;1,27209e-008;11537,2;3,42948e-007;1,46888e-006;0,000247982;1,78043e-005;4,68298e-009;0,00148789;0,000106826;2,80979e-008

5;Prb 5;P5;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;2,97001e-009;1,27209e-008;11537,2;3,42948e-007;1,46888e-006;0,000247982;1,78043e-005;4,68298e-009;0,00148789;0,000106826;2,80979e-008

6;Prb 6;P6;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;3,62151e-009;1,53932e-008;11537,2;4,18176e-007;1,77746e-006;0,000247982;1,78043e-005;0;0,00148789;0,000106826;0

7;Prb 7;P7;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000460384;0,000727887;0,00077204;0,00276231;0,00436732;0,00463224;99,915;3,68937e-009;1,57259e-008;11537,2;4,26011e-007;1,81587e-006;0,000648805;0,000153351;3,84009e-005;0,00389283;0,000920107;0,000230405

8;Prb 8;P8;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000257347;0,000257347;0,00138107;0,00154408;0,00154408;99,915;3,62151e-009;1,53932e-008;11537,2;4,18176e-007;1,77746e-006;0,000247982;1,78043e-005;0;0,00148789;0,000106826;0

9;Prb 9;P9;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230357;0,000257347;0,000325521;0,00138214;0,00154408;0,00195312;99,915;2,97001e-009;1,27209e-008;11537,2;3,42948e-007;1,46888e-006;0,000269612;3,02295e-005;3,84821e-005;0,00161767;0,000181377;0,000230893

10;Prb 10;P10;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000460361;0,000474524;0,000727887;0,00276216;0,00284714;0,00436732;99,915;3,68937e-009;1,57259e-008;11537,2;4,26011e-007;1,81587e-006;0,000543261;0,000141145;8,51671e-005;0,00325957;0,000846872;0,000511003

11;Prb 11;P11;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000230178;0,000230178;0,000257347;0,00138107;0,00138107;0,00154408;99,915;3,68937e-009;1,57259e-008;11537,2;4,26011e-007;1,81587e-006;0,0002312;4,97197e-005;3,8363e-005;0,0013872;0,000298318;0,000230178

12;Prb 12;P12;99,915;99,915;99,915;11537,2;11537,2;11537,2;99,915;99,915;99,915;19983;19983;19983;0,000460361;0,000474524;0,000727887;0,00276216;0,00284714;0,00436732;99,915;3,68937e-009;1,57259e-008;11537,2;4,26011e-007;1,81587e-006;0,000543261;0,000141145;8,51671e-005;0,00325957;0,000846872;0,000511003

13;Line 4;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

14;Line 5;[NA2XS2Y 3x1x240 20kV] 2km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

15;Line 6;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

16;Line 7;[NA2XS2Y 3x1x240 20kV] 8km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

17;Line 8;[NA2XS2Y 3x1x240 20kV] 2km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

18;Line 9;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

19;Line 10;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

20;Line 11;[NA2XS2Y 3x1x240 20kV] Line 11;99,915;99,915;99,915;11537,2;11537,2;11537,2;---;---;---;---;---;---;---;---;---;---;---;---;99,915;3,62151e-009;1,53932e-008;11537,2;4,18176e-007;1,77746e-006;---;---;---;---;---;---

21;Line 12;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

22;Line 13;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---

23;Line 14;[NA2XS2Y 3x1x240 20kV] 5km;0;0;0;0;0;0;---;---;---;---;---;---;---;---;---;---;---;---;0;0;0;0;0;0;---;---;---;---;---;---


Measuring Longitudonal Voltage of a Switch

Measuring Longitudinal Voltage of a Switch

Read more how to measure the longitudinal voltage of a switch in the chapter Switch.

  • Please Note

Study the example .NET - File 58: Calculating the longitudinal voltage of a Switch using TACS


Measuring Longitudinal Voltage using a Measuring Line

Measuring Lines can be used to measure longitudinal voltages in combination with a Probe and the operation mode Vdiff of the Probe . The Measuring Line is a specialized Connection and should be only used to connect the both nodes of a Probe to any other nodes in a electrical power network.

Read more how to use the Measuring Line .

  • Please Note

Study the example .NET - File 59: Calculating the longitudinal voltage of a Switch using a Probe


Measuring Positive-Sequence System acc. DIN EN 61400-21

In case of the calculation of transients the voltage, current, active and reactive power as well as the displacement factor of the positive-sequence system will be also calculated in combination with the other voltages, currents, etc. The algorithm has been implemented using MODELS. The algorithm uses the discrete fourier transformation (DFT) to calculate the fundamental frequency components of voltages and currents and based on these the positive-sequence system signals.

PV1_xxx | Voltage of the positive-sequence system [V]
PI1_xxx | Current of the positive-sequence system [A]
PP1_xxx | Active power [W]
PQ1xxx | Reactive power [var]
PC1xxx | Displacement factor cos φ
PIWxxx | Active current [A]
PIRxxx | Reactive current [A]


Overview about Single-Phase Network Elements

ATPDesigner provides three different types of network elements regarding the number of phases, which are used to realize the simulation model of the network element:

  • 3-Phase

These network elements can be only used as three-phase elements using the phases A, B and C at the same time. It can be a symmetrical and/or unsymmetrical simulation model e.g. which can be done for the Load Impedance .

  • 1/3-Phase

These network elements can be used either as 1-phase,2-phase or 3-phase network elements.

  • 1-Phase

These network elements can be only used as single-phase network elements e.g. ATP Source .

The list of all available network elements can be shown in the chapter List of Available Network Elements in ATPDesigner including the properties explained above. The figure below shows the Single-Phase Settings of a Load Impedance , which is typically for all network elements in ATPDesigner supporting this feature.

If the option Single-Phase is disabled,

  • the options Phase A, Phase B and Phase C are disabled and can not be selected.

If the option Single-Phase is enabled,

  • the options Phase A, Phase B and Phase C are enabled, but not selected. Now one, two or all three of these options can be selected. It is also possible not to select one of the three options Phase A, B or C. But such an degenerate use will cause errors during the network simulation.

What does Single-Phase mean ?

If the option Single-Phase has been enabled, the user can select now one, two or all three of the options Phase A, Phase B and Phase C to be enabled. ATPDesigner only writes these parts of the simulation model of the network element into the .ATP-File , which correspond with the selected phases. Therefore the user should be carefully using this feature.

Drawing Color for Single-Phase Network Elements

ATPDesigner uses a specific color to draw single-phase network elements. This drawing color can be selected in the settings dialog Color Configuration .

Disconnecting a Single-Phase Network Element

If a single-phase network element has been disconnected, its status will be automatically moved to 3-phase, if the network element supports the property 1/3-Phase. In all other cases the network element keeps 1-phase or 3-phase.

  • Please Note

ATPDesigner doesn't change the single-phase state of a network element. The user must do it by himself.


3-Phase and 1-Phase Network Elements

3-Phase Power Network - Standard Design Mode in ATPDesigner

Network elements, which are used in ATPDesigner, are normally designed and used as 3-phase network elements as usual in electrical power networks. The graphics of the power network will be drawn only as its single-phase representation. The drawing color of 3-phase network elements can be chosen in the dialog Color Configuration .

1-Phase Power Networks - Alternative Design Mode in ATPDesigner

Some of the network elements can be also used as single-phase elements e.g. the Load Impedances and the RLC Impedances . The property "Single-Phase" can be enabled or disabled in the dialog used to define the properties of the network elements. The drawing color of 3-phase network elements can be chosen in the settings dialog Color Configuration .

Mixing 1-Phase and 3-Phase Network Elements

It is possible to mix 1-phase and 3-phase network elements in the same diagram as shown in the figure below: Load 1 as 1-phase network element, Load 2 as a 3-phase network element.

Colors for 1-Phase and 3-Phase Network Elements

The colors for single-phase and 3-phase network elements should be chosen different from each other.

  • Read more about Colors for 1-Phase Network Elements
  • Read more about Colors for 3-Phase Network Elements

  • Please Note

ATPDesigner doesn't change the Single-Phase state of a network element. The user must do it by himself.

The figure below shows the network element Load 1, which has been designed as 1-phase network element with only phase A enabled.


Fault Type and Fault Location

Read also Fault Impedance

Read also Fault Types Realized with Circuit-Breakers

Read also Faults With Additional Fault Impedances

Fault Location for Line 1..3

The network element Fault Location can be used to define multiple line faults but only for the Single-Circuit Lines or Double-Circuit Lines 1..3. The Fault Location can be set between 0% and 100% of the line length. Up to 3 Fault Types can be set at the same Fault Location. Therefore simple faults e.g. AG as well as evolving faults AG ⇒ ABCG can be defined.

The Fault Location can be set "by hand" using the Mouse Cursor or using the settings dialog of the Single-Circuit Line and Double-Circuit Line . The figure below shows a simple power network using only Line 1 with Fault Type AG at 20% of the line length.

  • Please Note

Only the first fault type will be displayed closed to the fault location shown in the power network.

Main Menu

  1. Open the menu item Power Network shown below
  2. Open the corresponding settings dialog of the Single-Circuit Line e.g. Line 1
  3. Choose the setting Fault Loc. shown below in the settings dialog and change the fault location in % of the line length

or

  1. Open the settings dialog of the line by a Left Mouse Button Double-Click on the shape of the network element.

Changing the Fault Location using the Mouse Cursor

If a Fault Type has already been defined, the Fault Location can be changed moving the Fault Arrow using the left mouse cursor. The Fault Location can be only modified, if the Network Design Mode has been first enabled.

  1. Move the mouse cursor to the fault location.
  2. Press the left mouse button and move the fault location
  3. A dashed line will be drawn at the mouse cursor position to indicate the position of the new fault location.
  4. The new fault location will be displayed continuously in percent of the line length into the Main Toolbar where normally the Zoom Factor will be displayed (see red rectangle in the toolbar in the figure below).

  • Please Note

If the Network Design Mode is disabled, the fault location can be not changed using the mouse cursor.

Fault Types

The network element Fault Types can be chosen in the Fault Type Dialog , which can only be opened, if the corresponding Single-Circuit Line no. 1..3 has been enabled in the power network. The Fault Type dialog can be opened as described below.

Main Menu

  1. Open the menu item Fault Types in the shown below
  2. Open the corresponding dialog Fault Type Line x

Mouse Cursor

  1. Move the mouse cursor to the fault location
  2. Double click the left mouse button.
  3. The corresponding Fault Type dialog will be opened as presented below.

Settings Dialog of the Fault Types

The settings dialog of the Fault Type can be used to define up to 3 different fault types at the same Fault Location. The user can define the time dependent behavior of each Fault Type using the attributes Point on Wave or Start Time and End Time. The attributes Point on Wave and Start Time can be only used as alternatives.

Fault Type

Configuration of fault type x (AG, AB, ABCG, ...)

Point on Wave

Point on wave (phase angle) of fault x referenced to end of prefault

Start Time

Start time of fault x referenced to end of prefault

End Time

End time of fault x referenced to end of prefault

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Clear All

Load default settings for the fault type configuration only (clear all fault types)

  • Please Note

The starting condition of the fault type can be defined using Point on Wave or Start Time. One of the alternatives can be enabled selecting one of the On / Off buttons.

The fault types will be realized using a Time Controlled Switches . The timing of the time controlled switches are displayed at the lower part of the dialog which is called Phase Selective Fault Switches. The figure below shows the internal ATP based model to realize the line faults.

Close

Closing time of the corresponding switch

Open

Opening time of the corresponding switch

Start Time

Fault Start Time = Closing Time Phase A OR Closing Time Phase B OR Closing Time Phase C OR Closing Time Phase G

End Time

Fault Start Time = Opening Time Phase A OR Opening Time Phase B OR Opening Time Phase C OR Opening Time Phase G

Read more about Prefault

Read more about Simulation Time


Fault Impedance

Read also about Fault Type and Fault Location

Read also about Fault Types Realized with Circuit-Breakers

Read also about Faults With Additional Fault Impedances

The network element Fault Impedance can be used to define a static fault impedance which will be used as part of the model to realize the fault (short-circuit). The figure below shows the settings dialog of the fault impedance. Each phase-to-neutral-point impedance and the neutral-point-to-ground impedance can be separately enabled or disabled.

  • Please Note

A fault can be set either with a Fault Impedance or an Arc Resistance , but not both together at the same time.

  • Please Note

It depends on the Fault Type set for the corresponding Line 1..3 , which fault impedances RA, RB, RC and RG can be enabled or not by the user.

RA

Fault resistance phase A to the common neutral point

RB

Fault resistance phase B to the common neutral point

RC

Fault resistance phase C to the common neutral point

RG

Common fault resistance from the internal neutral-point-to-ground

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

The figure below shows the internal ATP based model of the Fault Resistance.

How does ATPDesigner identify the Faulty Phases to be enabled ?

Before displaying the settings dialog shown above, ATPDesigner analyses the Fault Types set for the corresponding Line . Up to 3 different Fault Types AG, BG, CG, ABG, etc. can be enabled in parallel, controlled by the Fault Start Times . ATPDesigner checks, if the 4 phases A, B, C and/or G are involved to represent the Fault Types enabled for the corresponding line or not.

Example for Line 1: Evolving Fault AG ⇒ ABG

It will be assumed, that an evolving fault AG ⇒ ABG has been set for Line 1 . ATPDesigner enables the fault impedances for the phases A, B and G, not for the phase C.

⇒

Nevertheless, it is always possible to disable one of the phases A, B and G. If done ATP may detect a NOT CONNECTED BRANCH. When confirming with OK, ATP inserts a high-impedance resistance to cover this numerical problem.


Measuring Line

The green Measuring Line can be used for special purposes. ATPDesigner uses the network element Connection and its operation mode Measuring Line .

  • Measuring the longitudinal voltage using the operation mode Vdiff of a Probe

  • Protection Elements: to connect the Differential Protection element to the measuring Probe

  • Protection Logic Blocks


Shunt Impedance

Read also about Load Impedance

Read also about RLC Impedance

ATPDesigner supports different types of Shunt Impedances. Please select one of the links shown above, which may be of interest.


RLC Impedance

The network element RLC Impedance represents three single-phase impedances, which are not mutual coupled. Each phase of the impedance consists of the elements R, X and C, which can be connected in Series or in Parallel depending on the Operating Mode explained below. The element RLC Impedance can be used as 1-Phase Impedance or 3-Phase Impedance.

RLC Impedance and Shunt Impedance

RLC Impedances can be also used as Shunt Impedances, if one of the both nodes has been connected to a Grounding System . It is also possible to use a Load Impedance , where one node can be directly connected to ground.

Shapes of the network element Load Impedance

  1. Z = R + jX
  2. Z = R
  3. Z = jX = jωL
  4. Z = 1 /(jωC)

Operating Mode: Changing Configuration between 3-Phase and 1-Phase

The network element RLC Impedance can be used both as a 1-phase or 3-phase impedance. What are the differences ?

1-Phase Impedance

The impedance consists of the elements R, X and C. The values of the elements R, X and C can be defined phase selective that means independent of each other. The user has to define R, X and C for each phase A, B and C (RA, RB, RC, CA, XB, XC, CA, CB, CC). The values of the up to 9 elements can set different. Therefore the 1-Phase Impedance can be a Balanced Impedance or an Unbalanced Impedance.

3-Phase Impedance

The impedance consists also of the three elements R, X and C. The elements R, X and C can only be defined equal for all phases. Therefore the 3-Phase Impedance is always a Balanced Impedance.

The Operating Mode can be easily changed:

  • Open the settings dialog
  • Select the new Operating Mode
  • Close the settings dialog
  • Re-open the settings dialog

The figure below shows the settings dialog for a 3-Phase Impedance. 3-Phase impedances can be only used to realize Balanced Impedances.

The figure below shows the settings dialog for a 1-Phase Impedance. 1-Phase impedances can be used to realize Balanced Impedances or Unbalanced Impedances.

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operating Mode

Operating mode of the impedance

    • Series Impedance

The elements R, X and C are used common for all phases (balanced impedance).

    • Series Impedance (1-Phase)

The elements R, X and C can be defined different for the phases A, B or C (balanced or unbalanced impedance).

    • Parallel Impedance

The elements R, X and C are used common for all phases (balanced impedance).

Vn

Nominal voltage in Vrms to calculate active power P, reactive power Q and apparent power S

The nominal voltage Vn will be set to the default value opening the dialog for the first time. If the nominal voltage Vn has been modified, the power factors will be automatically recalculated. The nominal voltage Vn will be also saved into the .NET-File . The nominal voltage Vn and the power factor cos φ will be taken into account to calculate the impedance.

R

Resistance of the impedance in Ohm

X

Reactance of the impedance in Ohm

C

Capacitance of the impedance in μF

  • Please Note

The reactance X depends on the network frequency defined in Network Infeed

  • Please Note

If the user has selected a 1-phase impedance, the settings exist 3 times, one time for each of the three phases A, B and C.

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP - File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

MOV

Open the settings dialog to specify the characteristic of the Metal Oxyd Varistor (MOV) based on ATP ZNO Fitter supporting routine

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

Calculation of Apparent Power, Active Power, Reactive Power

Apparent power, active power and reactive power will be calculated in addition for the 3-phase-impedance or separately the three 1-phase-impedances. The algorithm to calculate the power factors uses:

  • the frequency of Network 1 and
  • the setting Vn described above

For the 3-Phase Impedance

  • Apparent Power S = (Vn ⋅ Vn) / (R + j X)
  • Active Power P = S ⋅ cos φ
  • Reactive Power Q = S ⋅ sin φ
  • φ = arctan (X / R)

For the 1-Phase Impedances

  • Apparent Power S = (Vn ⋅ Vn) / (3 · (R + j X))
  • Active Power P = S ⋅ cos φ
  • Reactive Power Q = S ⋅ sin φ
  • φ = arctan (X / R)

MOV (Metal Oxyd Varistor) Operating Mode

The model of the RLC impedance can be extended by a Metal Oxyd Varistor (MOV) to simulate e.g. series compensated lines. The MOV will be only connected in parallel to the network element. The figure below shows the graphical symbol of a capacitance with a MOV in parallel. It can be chosen between two typical MOV characteristics, but nevertheless ATPDesigner provides the user to specify his own MOV characteristic using the ATP ZNO Fitter supporting routine. Press the button MOV to open the corresponding settings dialog to specify the non-linear characteristic of the MOV.

  • Please Note

Compensation degree = 100% ⇒ Xc = Xr

MOV Operating Mode

Operating Mode of the Metal Oxyd Varistor (MOV)

    • None

MOV is disabled

    • MOV Model 1
    • MOV Model 2

Non-linear models of the MOV enabled

    • ZNO Fitter

User specific MOV characteristic based on ATP ZNO Fitter supporting program

Read more about MOV and ZNO Fitter

Comp. Degree

Compensation degree = Xc / Xr with Xc = 1 / (ωCser)

Xr

Reactance which has been compensate

Cser

Resulting Capacitance in μF

  • Please Note

Compensation degree = 100% ⇒ Xc = Xr

Settings Dialog of a Metal Oxyd Varistor (MOV)

The settings are explained more in details in the chapter MOV and ZNO Fitter .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Clear List

Delete all entries of the spreadsheet

Data MOV1

Load the default settings of metal oxyd varistor 1

Data MOV2

Load the default settings of metal oxyd varistor 2

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP - File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.


Current and Voltage Transformer

Read also CT Saturation Characteristic

Read also Magnetisation Characteristic (H, B)

Read also Enable CT Saturation

Read also Example: CT Saturation

Read also about the Model of Current Transformers

The network element Current and Voltage Transformer can be used to simulate voltage and current transformers of substations. Both ideal transformers and real transformers can be defined. Additional features:

  • Current transformer (CT) with magnetization characteristic to simulate TPX current transformer saturation supporting hysteresis and remanence
  • Voltage transformer (VT) used as Capacitive Voltage Transformer (CVT)

  • Please Note

These current and voltage transformer are fixed assigned to one of the Circuit-Breaker Cb1..5 : Cb1 ≡ CT's and VT'2 (Measuring Location 1) etc. If impedances will be calculated using the Circuit-Breaker Cb1..5 using the Signal Analysis , the transformation ratio of these current and voltage transformers must be taken into account. These impedances will be always calculated at the secondary circuit of the current and voltage transformers, therefore these impedances always are so called Secondary Circuit Impedances well known from Distance Protection Relays.

The figure below shows the settings dialog of the current and voltage transformers.

Vnprim

Voltage transformer: nominal voltage at primary circuit

Vnsec

Voltage transformer: nominal voltage at secondary circuit

Capacitive VT

Enable or disable capacitive voltage transformer (vt)

Irprim

Current transformer (ct): nominal current at primary circuit

Irsec

Current transformer (ct): nominal current at secondary circuit

Magn. Characteristic

Enable or disable Current Transformer Magnetization Characteristic

Copy CT/VT

Copy the ct/vt settings to the ct/vt settings of all other Measuring Locations

Zprim = ... x Zsec

Impedance ratio (multiplication factor) between primary and secondary impedances

    • Zprim = Impedance at primary circuit of the substation current and voltage transformers
    • Zsec = Impedance at secondary circuit of the substation current and voltage transformers

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Grounding System

Read also about Color Configuration

Read also about 3-Phase and 1-Phase Network Elements

Read also about User Specific Node Names

The network element Grounding System (see the network element symbol inside the red frame in the figure below) can be used to connect any node of the power network to ground. It can be added using the corresponding menu item in the menu Network Design or using the corresponding toolbar button in the Network Design Toolbar . The figure below shows a simple power network which consists of a RLC Impedance which is grounded using a Grounding System.

  • Please Note

The Grounding System has been realized in the .ATP-File as a low-resistance impedance.

The figure below shows the settings dialog.

ATPDesigner provides also the user to define User Specific Node Names as shown in the figure above.

    • Enable phase A, B or C by Node A .. C.
    • Define the node names using up to 5 user specific characters, the first character will be always A, B or C.

Replacing the Node Names by User Specific Node Names

ATPDesigner replaces the node names (ABC)xxx , which have been automatically created by ATPDesigner itself, by the User Specific Node Names, but only if the .ATP-File will be written to the hard disk.

Phase A

Phase A of the network element will be written into the .ATP - File.

Node A

User specific node name of phase A to substitute the node name automatically created by ATPDesigner

Phase B

Phase B of the network element will be written into the .ATP - File.

Node B

User specific node name of phase B to substitute the node name automatically created by ATPDesigner

Phase C

Phase C of the network element will be written into the .ATP - File.

Node C

User specific node name of phase C to substitute the node name automatically created by ATPDesigner

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names !!!

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )


Electrical Machine

Read also Example: Electrical Machine and TACS controlled Torque Change

Read also about short-circuit calculation acc. VDE 0102 (IEC 60909)

The network element Electrical Machine provides the user simulating electrical machines. The figure below shows the settings dialog. The settings are identical with the settings used for the model of an induction machine described in the ATP related documents.

"The IM 56 model is a phase domain simulation of a single cage induction machine developed by TEPCO of Japan. This model corresponds to the U.M. model Type 3 with a single rotor cqage cage, and it is, for the time being, the only type available in the IM 56 series. The model was, however, developed with a view of adding other machine models. The concept of phase domain simulation of electrical machines has been known since the 1920's but the analytical solution of the differential equations of the machine in the phase domain has not been practicable until recently, before the availability of high speed and capacity computers in the engineering practice. The challenge presented by the phase domain solution is the time dependence of mutual inductances between coils of the machine windings which makes the analytical solution difficult. EMTP has used until recently the method of Park's d-q transformation, which has been working satisfactorily but has some limitation. Such limitations include amongst others the modeling of asymmetrical windings in the three phases, including simulation of winding faults. TEPCO provided the mathematical approach to IM 56. The nature of this description is highly theoretical and is not in the nature of Rule Book model descriptions." (ATP Rule Book)

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings of all tabs

Help

Open the corresponding chapter in the help file

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operation Mode

Operation mode of the electrical machine

    • Induction Machine Squirrel Cage Rotor

Slip

Initial slip (>0 for power consumption, <0 for power generation)

Mech.Torq.

Initial mechanical torque in Nm and in p.u. related to the 1p.u. Mechanical Torque

  • Please Note

The initial mechanical torque will be not used in the phase-domain induction machine model, because it will be calculated using Initial Slip and other parameters. ATPDesigner also calculates the initial torque based on the other machine settings.

J

Moment of inertia

H

Inertia constant

  • Please Note

The inertia constant H will be re-calculated, if the moment of inertia J has been modified.

H = (J ⋅ (2πf / np)² ) / (2 ⋅ Sr)

    • np : Number of pole pairs
    • Sr : Rated apparent power [VA]
    • f : Frequency of the electrical power network [Hz]
    • J : Moment of inertia [kg ⋅ m²]

D

Damping coefficient

EMSOM

Tolerance for rotor speed, default 0.01%

NM

Maximum number of iteration steps, default value = 50

No. of Pole Pairs

Number of pole pairs

Sr

Rated apparent power

Pr

Rated active power (electrical)

Pm

Mechanical active power

P.E.

Power efficiency [0%..100%]

    • Pm = P.E. ⋅ Pr

Ist

Starting current (multiple of rated current IrM)

Used to calculate the short-circuit current acc. VDE 0102 (IEC 60909)

IrM

Rated current (phase current, r.m.s. value)

cos phi

Power factor

    • Sr = √3 ⋅ Vr ⋅ Ir

Vr

Rated voltage (phase-to-phase, r.m.s. value)

f

Frequency of the supply network

rpm

Mechanical rotations of the rotor per minute

(R + j X) Ohm

If enabled, the settings of resistances and reactances must be set in Ohm

(R + j X) p.u.

If enabled, the settings of resistances and reactances must be set in .p.u.

Rs

Stator winding resistance

Xs

Stator winding leakage reactance

Rr

Rotor winding resistance

Xr

Rotor winding leakage reactance

Msru

Unsaturated value of mutual reactance

Msrs

Saturated value of mutual reactance

Vsrs

Knee-point voltage at characteristic change of saturation (phase-to-ground peak)

1p.u.

Reference value Zpu to calculate the resistances and reactances in p.u.

Zpu [Ohm] = Vr [V] ² / Sr [VA]

Example: Rs [p.u.] = Rs [Ohm] / Zpu [Ohm]

Output P, Q

Output specification: Active power P and reactive power Q

Output Is, Ir

Output specification: Phase currents both stator and rotor

Output Velocity, Torque, ...

Output specification: Angular velocity, angle, electrical torque, mechanical torque

Interface to TACS/MODELS

The settings dialog provides the user defining the data interface to TACS. Internal data of the induction machine model e.g. the active power P can be assigned to a TACS variable to be processed further in TACS. The figure below shows the settings dialog. The name of the TACS variable e.g. TEST as shown in the figure below can be set by a Double Click on the spread sheet cell. The TACS names can be used as input name for TACS elements or MODELS .

Default

Loading default values but only for the settings of the visible tab

TACS Name

Name of Type 92 TACS variable (max. 6 characters) to which the internal data of the induction machine model is passed

  • Please Note

It is required to define a TYPE 92 TACS data card for each TACS interface. If not defined, ATP generates an error message as shown below.

IM Data class 5. 73 " TEST", 1 |73 TEST 1

Type-56 IM data error. The TACS or MODELS variable " TEST" could not be located. Halt in IMDATA.

Temporary error stop in ENTRY STOPTP of "WINDOW". NCHAIN, LASTOV = 5 4

12345678901234567890123456789012345678901234567890123456789012345678901234567890

ABUFF(1:80) =73 TEST 1

  • Please Note

ATPDesigner automatically adds a TYPE 92 TACS data Card into the .ATP-File . It is NOT required to add a TYPE 92 TACS data card to the power network.

Type

Type of the output variable according the list below.

1 P, active power [W]

2 Q, reactive power [var]

3 ISA, A-phase stator current [A]

4 ISB, B-phase stator current [A]

5 ISC, C-phase stator current [A]

6 IRA, A-phase rotor current [A]

7 IRB, B-phase rotor current [A]

8 IRC, C-phase rotor current [A]

9 WR, angular velocity [rad/sec]

10 ANG, angle [rad]

11 TQ, electrical torque [Nm]

12 TM, mechanical torque [Nm]

Mechanical Torque

ATPDesigner also provides the user to set the mechanical torque of the electrical machine depending on the time. The figure below shows the settings dialog.

Default

Loading default values but only for the settings of the visible tab

Two alternative methods are available to define the time dependent torque change.

  1. Defining data pairs [Time, Torque]
  3. Using a TACS output variable as input variable of the induction machine model to control the torque change. Read more details below

No.

Number of changes (= data pairs [Time, Torque])

Time [s]

Time of mechanical torque change in seconds

Torque [p.u.]

Desired value of mechanical torque after change in machine base p.u. (= 1p.u. - Mechanical Torque)

Torque [Nm]

Desired value of mechanical torque after change in Nm

  • Please Note

The number of data pairs [T, TM] can be changed using ABSOLUTE I.M. DIMENSIONS. ATPDesigner will automatically use this option if necessary.

TACS

If enabled, Name of the TACS variable as input variable to the induction machine to control the mechanical torque change

The mechanical torque must be defined in multiple of the 1p.u. - Mechanical Torque defined below.

1p.u. - Mechanical Torque = Sr / (2πf / np)

    • np : Number of pole pairs
    • Sr : Rated apparent power [VA]
    • f : Frequency of the supply network [Hz]

  • Please Note

It is required to define a TACS Data Card to define the mechanical torque change. If not defined, ATP generates an error message as shown below.

IM Data class 4. 0.000E+00 0.000E+00 " TEST" | TEST

Type-56 IM data error. The TACS or MODELS variable " TEST" could not be located. Halt in IMDATA.

Temporary error stop in ENTRY STOPTP of "WINDOW". NCHAIN, LASTOV = 5 4

12345678901234567890123456789012345678901234567890123456789012345678901234567890

ABUFF(1:80) = TEST

Mechanical Torque Change: Interface from TACS

As explained above it is possible to control the mechanical torque of the Electrical Machine by TACS . If the Interface from TACS has been enabled (left figure), an additional node will be displayed (right figure) to be connected to a TACS Connection, a TACS Splitter or a TACS Data Card . ATPDesigner automatically detects the name of the TACS output signal, which is connected to the Electrical Machine directly or via TACS Connection and/or TACS Splitter .

Read also Example: Electrical Machine and TACS controlled Torque Change

Node Names in the .PL4-Output File

The figure below shows the names of the output signals of an Electrical Machine used in the .PL4-File . ATP stores several signals in the .PL4-File, which starts with the characters IM followed by the number of the Electrical Machine: IM-1. The meaning of the output signals are explained above.

Settings related to Short-Circuit Calculation acc. VDE 0102 (IEC 60909)

The settings dialog below shows some settings related to the Short-Circuit Calculation acc. VDE 0102 (IEC 60909) .

R0

Resistance of the zero-sequence impedance

X0

Reactance of the zero-sequence impedance

Default

Loading default values but only for the settings of the visible tab


Example: Electrical Machine and TACS controlled Torque Change

Read also Electrical Machine

Read also .NET - File 44: Model of an Electrical Machine used in a power network

The figure below shows an example of a power network with an Electrical Machine according the Type 56 Induction Machine. The mechanical torque of the Electrical Machine will be controlled by TACS. Two TACS Data Card are used to create a DC sources (Type 11), one at 1.0 p.u. and the 2nd source at 0.5 p.u. enabled at 0.3sec. The connections between the Electrical Machine and the TACS Data Cards are realized using TACS Connections .

The figure below shows the result of the simulation process. In the diagram the Active Power P and the Mechanical Torque TA 3 generated by TACS and connected to the TACS Input Node of the Electrical Machine are shown. Please note, that the Mechanical Torque TA 3 are multiplied by the factor -200.000 in the diagram below.


Busbar - Single Busbar and Double Busbar

ATPDesigner supports different shapes of busbars including disconnectors at each feeder.

  • Busbar
  • Busbar - Open or Close the Disconnector at each Feeder
  • Busbar Shapes - Single Busbar and Double Busbar
  • Short-Circuit at a Busbar
  • Short-Circuit at a Double Busbar


Busbar

Read also User Specific Node Names

Read also about the Context Specific Right Mouse Button Menu for Busbars

The network element Busbar can be used to connect different network elements at ONE NODE of the electrical power network, but different "graphical nodes" shown in the network graphics.

  • Please Note: Disable a Busbar

If a Busbar has been disabled, all connected network elements will be disconnected from the Busbar . The figure below shows an enabled busbar. Before disabling the busbar the Transformer and the Probe were connected to the busbar. After disabling the busbar both network elements have been also disconnected and therefore drawn in light blue.

Properties of a busbar

  • Each node of the busbar will be identified by the same Node Name
  • The impedance between the nodes of the busbar takes Z = 0 Ohm.
  • If two ore more busbars are connected, all of these busbars are using the same node name.

The figure below shows an power network with three busbars. The busbars are drawn in blue color, the not connected nodes are drawn in light-blue color. Each busbar consists of five nodes, where other network elements can be connected. The user can connect only one other network element to each of the five nodes. All nodes of the busbar are using the same node name.

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Del

Delete the user specific name of the network element

Short-Circuit

Definition of a Short-Circuit at the electrical node of the busbar

Vnom

Nominal voltage of the power network at the busbar node

The nominal voltage of the busbar will be used to calculate the phase-to-ground voltage at the busbar node in % of the nominal voltage, if the Short-Circuit Analysis (ATP Steady State) has been enabled. The measuring data will be then displayed in tooltips.

Number of Nodes

Number of nodes, if Busbar Shape 13 has been selected.

Read also Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Rated Thermal Equivalent Short-Circuit Current Ithr

Ithr

Rated value of the thermal equivalent short-circuit current

Tkr

Rated value of the short-circuit occurrence time

Ik max

Maximum initial symmetrical short-circuit current Ik"max

A Busbar will be only represented in the electrical power network by up to three phase-to-ground resistances (R = 1015 Ohm) connected between the corresponding phase to ground

  • to avoid numerical problems e.g. isolated subnetworks and
  • to provide the user to measure the phase-to-ground voltages at the busbar node and to store the sampled values into the .PL4-File independent of the use of any additional Probes .

If one of the phases A, B or C has been not selected, the corresponding phase-to-ground resistance will be not written into the .ATP-File .

Phase A

Phase A of the network element will be written into the .ATP - File.

Phase B

Phase B of the network element will be written into the .ATP - File.

Phase C

Phase C of the network element will be written into the .ATP - File.

ATPDesigner provides also the user to define User Specific Node Names as shown in the figure above.

  • Enable phase A, B or C by Node A .. C.
  • Define the node names using up to 5 user specific characters, the first character will be always A, B or C.

Replacing the Node Names by User Specific Node Names

ATPDesigner replaces the node names (ABC)xxx , which have been automatically created by ATPDesigner itself, by the User Specific Node Names, but only if the .ATP-File will be written to the hard disk. In addition ATPDesigner writes the column 80 - value = 2 for each node, which uses an User Specific Node Name. Therefore the phase-to-ground voltages of the enabled phases will be saved into the .PL4-File and can be used to create a diagram.

Please note, that not only the node names of the busbar itself but also the node names of all other network elements connected to this busbar will be replaced .

Node A

User specific node name of phase A to substitute the node name automatically created by ATPDesigner

Node B

User specific node name of phase B to substitute the node name automatically created by ATPDesigner

Node C

User specific node name of phase C to substitute the node name automatically created by ATPDesigner

In the example above, the user specific node names are ABUSAA, BBUSAA and CBUSAA.

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names !!!


Busbar - Open or Close the Disconnector at each Feeder

Read also Open or Close the Disconnectors of the Line

Using ATPDesigner it is often necessary to connect or disconnect a feeder e.g. with a connected Probe or Line from a Busbar . ATPDesigner assists the user to connect or disconnect a feeder from a Busbar by a Left Mouse Button Click. The ATPDesigner specific model of the Busbar consists a Disconnector for each node.

  • Closed or Enable

Disconnector is closed - the corresponding node of the connected network element is electrical conductive

  • Opened or Disable

Disconnector is open - the corresponding node of the connected network element is electrical NOT conductive

ATPDesigner supports the user to disable or enable any node of the Busbar by a simple Left Mouse Button Click. In addition messages will be written into the Messages Window .

  1. Enable the Network Design Mode e.g by the toolbar button
  2. The Busbar must be selected by a Left Button Mouse Click .
  3. If the Busbar has been selected the mouse cursor must be hover over the node where the disconnector shall be opened or closed.
  4. The Disconnector can be opened or closed by a Left Mouse Button Click on the node.

  • Please Note

The disconnector of a Busbar node can be only opened or closed if a network element is connected to this node.

The figure below shows a power network with two Busbar . Only one disconnector has been opened at the left Busbar indicated by the white rectangle with the red frame. The Busbar at the right is completely disconnected from all other network elements indicated by the light grey color.


Busbar Shapes - Single Busbar and Double Busbar

Busbar Shapes - Single Busbar and Double Busbar - Single Busbar and Double Busbar

ATPDesigner supports different shapes of busbars. But this means NOT single- or double-busbar systems, this means the SHAPE of the busbar in the graphics view. The shape of a busbar can be selected via the settings dialog Busbar, which can be seen below. The shape of the busbar can be chosen selecting the operation mode.

  • The Single Busbar consists of one internal busbar and one disconnector for each feeder.
  • The Double Busbar consists of two internal busbars with 2 internal switches for each feeder and one disconnector for each feeder.

  • 11: 5 Pts. Single Busbar

Default shape of the busbar as a typical single-busbar system with 5 nodes to connect network elements or two Double-Circuit Lines .

  • 12: 8 Pts. Single Busbar

Shape of the busbar as a typical single-busbar system with 8 nodes to connect network elements.

  • 13: 2..20 Pts. Single Busbar

Shape of the busbar as a typical single-busbar system with min. 2 up to 20 nodes to connect network elements.

  • 14: 2..20 Pts. Double Busbar

The figure below shows the shape of the Double Busbar as a typical double-busbar system with min. 2 up to 20 nodes (feeder) to connect network elements. The Double Busbar consists of two internal busbars with 2 internal switches for each feeder and one disconnector for each feeder.

  • 2: 4 Pts. -|-

Cross-shape of the busbar with 4 nodes to connect network elements

  • 3: 4 Pts. T

T-shape of the busbar with 4 nodes to connect network elements

  • 4: 4 Pts. _|_

_|_-shape of the busbar with 4 nodes to connect network elements

  • 5: 4 Pts. -|

T-shape of the busbar with 4 nodes to connect network elements

  • 6: 4 Pts. |-

_|_-shape of the busbar with 4 nodes to connect network elements

  • 7: 3 Pts. -|

-| -shape of the busbar with 3 nodes to connect network elements

  • 8: 3 Pts. |-

|- -shape of the busbar with 3 nodes to connect network elements

  • 9: 3 Pts. <

<-shape of the busbar with 3 nodes to connect network elements

  • 10: 3 Pts. >

>-shape of the busbar with 3 nodes to connect network elements

  • 1: 5 Pts. (old)

Former default shape of the busbar

Should be not further used !!!


Double Busbar - Opening and Closing the Internal Switches

ATPDesigner provides also a Double Busbar scheme using the operation mode 14: 2..20 Pts. Double Busbar .The number of nodes of the busbar can be set by the setting Number of Nodes in the settings dialog of the Busbar . The figure below shows an example of two busbars.

The internal switches of the busbar can be opened with a Left Mouse Button Click on the rectangle. In addition the Disconnectors at Each Feeder can be also opened and closed independent of the internal switches.

  • First select the busbar by a Left Mouse Button Click
  • Next open or close the internal switch of the busbar by a Left Mouse Button Click


Short-Circuit at a Busbar

ATPDesigner provides the user easily setting a Short-Circuit at the electrical node of the Busbar. The Short-Circuit can be used processing the Short-Circuit Analysis Results or calculating the transients of voltages and currents to create a Diagram . The figure below shows the required settings.

  • Please Note

The short-circuit defined by the settings shown below in the settings dialog of the Busbar can be only used for a Busbar and can be used in parallel with a Short-Circuit [image] , if the Short-Circuit has been connected to an other network element.

The Short-Circuit must be first selected by selecting one item of the list. These Fault Types (AG, BG, CG, AB, ...) are identical with those in Fault Type and Fault Location .

  • Short-Circuit calculating Short-Circuit Analysis Results
    The Short-Circuit will be realized using a resistance of 10-15Ω between phase-to-phase or phase-to-ground nodes according the fault type.

  • Short-Circuit in calculating the transients of voltages and currents
    The Short-Circuit will be realized using a resistance of 10-15Ω between phase-to-phase or phase-to-ground. The starting time of the Short-Circuit Td will be realized using time controlled switches.

Enabled

Enable or disable the Short-Circuit at the electrical node of the Busbar

Td

Starting time of the Short-Circuit related to the start of the simulation (t = 0s)

  • Please Note

The setting Td will be only used by ATPDesigner calculating the transients in case of a short-circuit, not in case of a Short-Circuit Analysis (Steady State).


Short-Circuit at a Double Busbar

The Short-Circuit [image] can be also used to set a short-circuit at any node of the Double Busbar . Nevertheless the short-circuit current depends on the OPEN or CLOSE state of the internal switches of the Double Busbar . The both figures below show two examples. The figure below shows an short-circuit set at y node of the busbar but without a short-circuit current. The busbar feeder isn't connected to the busbar because both internal switches are open.

The next figure shows an short-circuit set at y node of the busbar but with a short-circuit current about 2,8kA. The busbar feeder is connected to the busbar because one internal switch of the feeder is closed.


Busbar - Using Probe with Small Shape to Connect two Feeder

The shape of the Probe can be set to a smaller shape to connect directly two feeder of the Double Busbar as shown in the figure below. If one Probe has been selected, its shape can be changed using the toolbar button [image] if the Probe is not connected to any other network element. It also possible to use the Right Mouse Button Menu of the Probe .


Connection

The network element Connection can be used by different operation modes.

  • Connection in Electrical Power Networks
  • Connection for Protection Logic Functions
  • TACS Connection


Connection in Electrical Power Networks

Read also How to Add a Connection or a Line or a Cable

Read also How to Set Lines, Connections or Cables to Horizontal Drawing Direction

Read also How to Set Lines, Connections or Cables to Vertical Drawing Direction

Read also Using TACS Connection and TACS Splitter

Read also How to Set Line Shape to Diagonal or Standard (Horizontal/Vertical)

Several ATP based models can be selected from the user to realize a Connection. In addition the connection can be defined as a 1-Phase Connection, 2-Phase Connection or a 3-Phase Connection. Connections can be added to the electrical power network using the button [image] of the Network Design Toolbar or using the corresponding menu item in the main menu Power Network .

Connections ⇒ Flexible Shape

Connections are network elements with a Flexible Shape. That means, that the user can modify the Shape of the Connection. Therefore connections can be Unlocked or Locked.

Read more about How to Lock / Unlock Network Elements

Connections can be also configured using the settings dialog shown below. Two different methods to measure voltages and currents are available:

  • Measuring based on MEASURING SWITCHES: ATP based model without using any impedance based on the Measuring Switch of the ATP.
  • Measuring based on a RESISTANCE: using a resistance to measure the voltages and currents.

The value of the resistance R can be set by the user. A default setting is foreseen as shown in the settings dialog below.

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

Measuring Mode

    • None

Measuring mode is disabled.

    • 3-phase voltages Vpg, currents Ip

Voltages and currents will be measured for the three phases.

    • Measuring Line

The Measuring Line can be used to connect a Probe with any other connected or not connected node in the electrical power network. The figure below illustrates this application, the both Measuring Lines has been drawn in green. Both Measuring Lines are connected with a connected node of the RLC Impedance Imp1 and with one of the nodes of the Probe P1. Using this application it is possible to measure the longitudinal voltage Vdiff along the RLC Impedance Imp1 by the Probe P1. The most easy method to add a Measuring Line to a electrical power network is to add one with the toolbar button [image] .

Please note, that it is required to set the operation mode of the Probe to Vdiff. If not the RLC Impedance Imp1 will be shortened by the Probe P1.

ATP based Model

    • Resistance

The value of the resistance R can be set in mΩ.

    • Measuring Switch

Connection will be realized using a MEASURING SWITCH.

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP - File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.


Connection for Protection Logic Functions

If the Connection has been used to define a Protection Logic Function the signal coming from or going to the connected network element e.g. the connected Probe or Switch can be selected. The Connection must be used like the Measuring Line and will be drawn in Green. The figure below shows an example.

The user can select the settings dialog to define the input or output signal by a Left Mouse Button Double Click on the green line

  • if the green line connects a Probe or a Switch to an input of the Protection Logic Function ,
  • if the green line connects a Probe or a Switch to an output of the Protection Logic Function .


Connection TACS - Probe

The settings dialog shown below will be opened by a Left Mouse Button Double Click on the green line.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Operating Mode Input Signal

    • None

No input signal type has been selected

    • Trip Command

General TRIP Command of the protection relay realized by the connected Probe

    • General Starting

General Starting signal of the protection relay realized by the connected Probe


Connection TACS - Switch

The settings dialog shown below will be opened by a Left Mouse Button Double Click on the green line.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Operating Mode Input Signal

    • None

No input signal type has been selected

    • CB Open

= TRUE if the Switch is open before starting the Load Flow Analysis ( ATP Steady State )

    • CB Closed

= TRUE if the Switch is closed before starting the Load Flow Analysis ( ATP Steady State )


TACS Connection

Read also How to Add a Connection or a Line or a Cable

Read also How to Set Lines, Connections or Cables to Horizontal Drawing Direction

Read also How to Set Lines, Connections or Cables to Vertical Drawing Direction

Read also Using TACS Connection and TACS Splitter

Read also How to Set Line Shape to Diagonal or Standard (Horizontal/Vertical)

ATPDesigner automatically detects, if one or more Connections have been used to connect TACS elements. In this case the Connection will be drawn using a dashed line in the graphics view. For a TACS Connection ATPDesigner does not create any electrical model to be saved into the .ATP-File . TACS Connections are only used from ATPDesigner to detect the connection between TACS.

A TACS Connection must connect an output of a TACS element with an input of the same or any other TACS element or a Splitter . ATPDesigner analyses these connections and creates the corresponding TACS Data Cards to be written into the .ATP-File . All required node names etc. will be automatically created. It is also possible to use one or more TACS Connection in series between to TACS. If a connection has been identified between to TACS, ATPDesigner takes the name of the TACS output signal and overwrites the name of all connected TACS input signals. Please note, that a Left Mouse Button Double Click doesn't open the settings dialog of a TACS Connection, because ATPDesigner doesn't need any setting of a TACS Connection creating the .ATP-File .

The figure below shows the example .NET - File 41: Interconnection between TACS, TACS Connection, TACS Splitter


Load Impedance
  • 3-Phase and 1-Phase Load Impedance
  • User Specific Node names
  • Load Profile and Energy Consumption per Year
  • MODELS based Load Impedance
  • Changing the Shape of the Load Impedance

Shapes of the network element Load Impedance

  1. Z = R + jX
  2. Z = R
  3. Z = jX = jωL
  4. Z = 1 /(jωC)


3-Phase and 1-Phase Load Impedance

Read also 3-Phase and 1-Phase Network Elements

Read also User Specific Node Names

The network element Load Impedance represents a Shunt Impedance, which can be used WYE- or DELTA-connected. Each phase of the impedance consists of the elements R, X and C, which can be connected in Series or in Parallel depending on the Operating Mode explained below. In addition the Load Impedance can be used to simulate the behavior of typical consumers of electrical energy e.g. private households, shops, smaller or bigger industries, etc. In this case typical Load Profiles will be used to calculate the electrical energy and power consumption for each 15min time period of the year. It is also possible to define a time-dependent load based on MODELS but only calculating the transients, not for the steady state conditions.

  • Please Note

The Load Profiles text files are not required to use the network element Load Impedance. If the required text files are not available, the operating mode Load Profile can not be used.

The neutral-point of the Load Impedance can be set to isolated or solid grounded. For the 1-Phase operating mode the elements R, X and C can be set independent of each other. The figures below show the ATP based numerical models of the Load Impedance for the operating mode Series Impedance and Parallel Impedance.

Series Impedance, R = 1Ohm, X = 10Ohm, C = 0μF

The network element consists of three series impedances, one for each phase A, B and C. Each of these phase related series impedances consist of the elements R and X. The capacitance C = 0 μF will be ignored by the ATP.

Parallel Impedance, R = 1Ohm, X = 0Ohm, C = 10μF

The network element consists of three parallel impedances, one for each phase A, B and C. Each of these phase related impedances consist of the elements R and C.

  • Please Note Parallel Impedances

If one of the settings R, X or C was set equal to 0, this component will be ignored, that means NOT written into the .ATP-File . If all elements R, X and C are equal to 0, the complete impedance will be NOT written into the .ATP-File .

Changing Configuration between 3-Phase and 1-Phase Operating Mode

The network element Load Impedance can be used both as a 1-phase or 3-phase impedance. What are the differences ?

    • 1-Phase Impedance

The impedance consists of the elements R, X and C. The values of the elements R, X and C can be defined phase selective that means independent of each other. The user has to define R, X and C for each phase A, B and C (RA, RB, RC, CA, XB, XC, CA, CB, CC). The values of these up to 9 elements can set different. Therefore the 1-Phase Impedance can be a Balanced Impedance or an Unbalanced Impedance.

    • 3-Phase Impedance

The impedance consists also of the three elements R, X and C. The elements R, X and C can only be defined equal for all phases. Therefore the 3-Phase Impedance is always a Balanced Impedance.

The Operating Mode can be easily changed:

  • Open the settings dialog
  • Select the new Operating Mode
  • Close the settings dialog
  • Re-open the settings dialog

Physical Parameter of a Series Impedance

The figure below shows the ATP based model of a WYE-connected impedance.

The Physical Data of the Load Impedance can be specified using one of the both data sets :

  • Data Set 1: R, X and C
  • Data Set 2: Vn, S, P, Q and cos φ

If the settings of one of the both data sets has been specified, the remaining settings will be automatically calculated using the equations and the algorithm described below.

Mathematical Equations:

  • Z = R + j (X - (1 / ωC))
  • Apparent Power S = (Vn ⋅ Vn) / |Z|
  • Active Power P = S ⋅ cos φ
  • Reactive Power Q = S ⋅ sin φ
  • cos φ = P / S

  • If the setting Vn has been changed, the settings P, Q and cos φ will be recalculated based on the fixed settings R, X and C.
  • If the setting S has been changed, the settings P, Q, R, X and C will be recalculated based on the fixed settings Vn and cos φ.
  • If the setting P has been changed, the settings S, cos φ, R, X and C will be recalculated based on the fixed settings Vn and Q.
  • If the setting Q has been changed, the settings S, cos φ, R, X and C will be recalculated based on the fixed settings Vn and P.
  • If one of the settings R, X or C has been changed, the settings S, P, Q and cos φ will be recalculated based on the fixed setting Vn.

Physical Parameter of a Parallel Impedance

The figure below shows the ATP based model of a WYE-connected parallel impedance, independent if it is a 1-phase or a 3-phase impedance.

The Physical Data of the Load Impedance can be specified using one of the both data sets :

  • Data Set 1: R, X and C
  • Data Set 2: Vn, S, P, Q and cos φ

If the settings of one of the both data sets has been specified, the remaining settings will be automatically calculated using the equations and the algorithm described below.

Equations:

  • Y = (1 / R) + j ((ωC) - 1 / X)
  • Z = 1 / Y
  • Apparent Power S = (Vn ⋅ Vn) / |Z|
  • Active Power P = S ⋅ cos φ
  • Reactive Power Q = S ⋅ sin φ
  • cos φ = P / S

  • If the setting Vn has been changed, the settings P, Q and cos φ will be recalculated based on the fixed settings R, X and C.
  • If the setting S has been changed, the settings P, Q, R, X and C will be recalculated based on the fixed settings Vn and cos φ.
  • If the setting P has been changed, the settings S, cos φ, R, X and C will be recalculated based on the fixed settings Vn and Q.
  • If the setting Q has been changed, the settings S, cos φ, R, X and C will be recalculated based on the fixed settings Vn and P.
  • If one of the settings R, X or C has been changed, the settings S, P, Q and cos φ will be recalculated based on the fixed setting Vn.

Read more about the ATP based model of the Load Impedance

The figure below shows the settings dialog for a 3-Phase Load Impedance. There are two different Data Input Operation Modes described below.

Data Input

  • R/X/C

The edit controls of the settings R, X and C are enabled, the edit controls S, P, Q, s, Vn and cos phi are disabled. The user can define the settings R, X and C and ATPDesigner automatically calculates the values of S, P, Q, s, Vn and cos phi.

  • S/P/Q

The edit controls of the settings S, P, Q, s, Vn and cos phi are enabled, the edit controls R, X and C are disabled. The user can define the settings S, P, Q, s, Vn and cos phi and ATPDesigner automatically calculates the values of R, X and C.

Adjusting Load Impedance

If enabled, the load impedance will be taken into account processing the Adjusting Load Impedance algorithm. It should be considered, that this option shall be disabled e.g. for Peterson coils. The value at the right shows the deviation of the apparent power of the load calculated in the last iteration step to the setting S.

The figure below shows the settings dialog for a 1-Phase Load Impedance.

Ssum

Apparent power of the 3-phase load impedance

  • Ssum = SA + SB + SC

where SABC are the 1-phase apparent powers of the phases A, B and C

  • SA = PA + j⋅QA
  • SB = PB + j⋅QB
  • SC = PC + j⋅QC

Psum

Active power of the 3-phase load impedance

  • Psum = PA + PB + PC

Qsum

Reactive power of the 3-phase load impedance

  • Qsum = QA + QB + QC

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operating Mode

Operating mode of the load impedance (Y = WYE-connected, D = DELTA-connected)

    • Series Impedance (Y)

The elements R, X and C are used common for all phases (balanced impedance).

    • Series Impedance (1-Phase Y)

The elements R, X and C can be defined different for the phases A, B or C (balanced or unbalanced impedance).

    • Parallel Impedance (Y)

The elements R, X and C are used common for all phases and are in parallel (balanced impedance).

    • Load Profile (Y)

The behavior of consumers of electrical energy will be simulated using a load profile. More details see below.

The Load Profile defines the variation of the consumption of electrical energy versus time. The shapes of the load profiles depend on the customer type (typical examples include residential, commercial and industrial), temperature and holiday seasons.

    • Series Impedance (D)

The elements R, X and C are used common for all phases (balanced impedance).

    • Load Profile (D)

The behavior of consumers of electrical energy will be simulated using a load profile. More details see below

    • Z(t) = MODELS

The behavior of the load impedance will be defined by a MODELS source code. Therefore this operation mode can be only used to calculate transients by the ATP. The settings are implemented in the tab Z(t) - MODELS .

  • Please Note

If the operating mode has been changed, the power related settings keep constant and the impedance will be recalculated depending if it's WYE- or D-connected.

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File . The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File . If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Solid Grounded

If enabled the neutral-point of the WYE-connected load impedance is connected to ground. The connection to ground will be shown as part of the network graphics. If this option is disabled, the neutral point will be used isolated.

    • Neutral point solid grounded :

    • Neutral point isolated :
    • DELTA-connected load impedance:

Vn

Nominal voltage Vn [Vrms] to calculate active power P, reactive power Q and apparent power S

The nominal voltage Vn will be set to the default value opening the dialog for the first time. If the nominal voltage Vn has been modified, active power, reactive power and apparent power will be automatically re-calculated. The nominal voltage Vn will be also saved into the .NET-File . The nominal voltage Vn and the power factor cos φ will be taken into account to calculate the load impedance.

cos phi

Power factor to specify active power P and reactive power Q

R

Resistance of the impedance in Ohm

X

Reactance of the impedance in Ohm

C

Capacitance of the impedance in μF

  • Please Note

The reactance depends on the network frequency defined in Network infeed

  • Please Note

If the user has selected a 1-phase impedance, the settings exist three times, one time for each of the three phases A, B and C.

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Copy Profile

The date and time (e.g. 19.10.07, 17:45) of the current load profile will be copied to all other Load Impedances of the electrical power network.

Help

Open the corresponding chapter in the help file


Changing the Shape of the Load Impedance

The shape of the Load Impedance can be selected using the toolbar button [image] in the Toolbar for Network Design Mode or in the main menu Network Design , sub menu Network Design - Settings for Load Impedance .

Shape of the Load Impedance

  • impedance symbol

or

  • arrow symbol


User Specific Node Names

ATPDesigner provides also the user to define User Specific Node Names as shown in the figure above.

  • Enable phase A, B or C by Node A .. C.
  • Define the node names using up to 5 user specific characters, the first character will be always A, B or C.

Replacing the Node Names by User Specific Node Names

ATPDesigner replaces the node names (ABC)xxx , which have been automatically created by ATPDesigner itself, by the User Specific Node Names, but only if the .ATP-File will be written to the hard disk. In addition ATPDesigner writes the column 80 - value = 3 for each node, which uses an User Specific Node Name. Therefore the phase-to-ground voltages and phase currents of the enabled phases will be saved into the .PL4-File and can be used to create a diagram.

Read also User Specific Node Names

Node A

User specific node name of phase A to substitute the node name automatically created by ATPDesigner

Node B

User specific node name of phase B to substitute the node name automatically created by ATPDesigner

Node C

User specific node name of phase C to substitute the node name automatically created by ATPDesigner

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names !!!


Load Profile and Energy Consumption per Year

In power network engineering, Load Profiles are shapes of the variation of the active power P versus the time t. Load profiles will vary according to customer type e.g. residential, commercial and industrial, temperature and holiday seasons. Load Profiles can be used to calculate an equivalent Load Impedance for a consumer of electrical energy based on the consumption of electrical energy per year, which will be usually measured for each 15min time period of the year, the nominal voltage Vnom and a consumer specific cosφ. ATPDesigner provides the user in an automatic calculation of the Equivalent Load Impedance. The corresponding Load Profile files contain the consumption of electrical energy for each 15min time period of the year as can be seen below. In sum more than 35.000 data sets are saved in the files.

Internal format of the Load Profile files:

  1. Date of the Year dd.mm.yy, dd = day, mm = month, yy = year
  2. Time of the selected Day hh:mm: hh = hour, mm = minute
  3. Active power in kW for the selected 15min time period, if the total energy consumption takes 1000kWh per year.

19.10.07 17:15;0,1305

19.10.07 17:30;0,1386

19.10.07 17:45;0,1469

19.10.07 18:00;0,1551

19.10.07 18:15;0,1626

  • Caution !!!

It is very important, that the structure of the files containing the load profiles is equal to the structure shown below:

    • Separation between date and time by BLANK
    • Separation between time and energy by ";"

    1. Type of the Load Profile e.g. H0, G0, etc.
    2. Total consumption of electrical energy per year in kWh
    3. Resulting active power in kW for the selected 15min time period

Date

15min time period of the year (in the example above: 19.10.07, 17:45)

How should it be figured out ?

If the total consumption of electrical energy takes 1000kWh in the year 2007, the active power takes 0.1469kW in the selected 15min time period according the load profile H0.

How does ATPDesigner now calculate the equivalent load impedance ?

  • Active Power P [kW] = (Energy Consumption [kWh] / 1000kWh) ⋅ Load Profile Factor
  • Apparent Power S = P / cos φ
  • Reactive Power Q = S ⋅ sin φ

  • Please Note

The power factor cos φ will be taken into account calculating P, Q and S.

Based on the active, reactive and apparent power and the nominal voltage Vn, ATPDesigner now calculates the impedance as explained above. The results of the calculations will be displayed directly in the settings dialog.

  • Caution !!!

If a load profile based load impedance has been configured and ATPDesigner can not open the file containing the load profile data, ATPDesigner automatically resets the Operating Mode of the Lad Impedance to its default setting. An error message will be also displayed.


MODELS based Load Impedance

The figure below shows the settings dialog to define a MODELS based Load called Z(t) - MODELS. Several operating modes are available. The implementation will be done based on the ATP programming language MODELS . ATPDesigner will automatically write the required MODELS source code into the .ATP-File .

  • Please Note

The MODELS based Load can be only used to calculate the transients, not to process Short-Circuit Analysis or Load Flow Analysis .

No.

Number of entries (lines) of the list

Operation Mode

    • P, Q = const.

Active power P and reactive power Q will be constant values. The ATPDesigner model uses three current sources with a regulation of the displacement factor cos φ and the apparent power S. The three current sources are WYE-connected. This model uses a PT1 or PT2 element considering the characteristics of real inverters. The figure below shows the internal structure of the model based on up to three controlled current sources.

Imax [A]

Maximum phase current of the load

In case of a short-circuit the amounts of one or more of the phase-to-ground voltages can be very small and therefore the infeed current shall be very high to achieve the apparent power S set by the user. In this case the amount of the phase currents will be limited to Imax.

    • Stochastic R(t)

This model can only implement a active power load because it is based on the ATP model Type 91 TACS/MODELS-Controlled R(t). Therefore it is not possible to realize an reactive power load. The three resistances are WYE-connected.

Stochastic R(t)

Stochastical part of the active power

Tmin (stoch.) [ms]

Minimum time which must be elapsed before the stochastically part of the active power will be changed.

    • Battery

This model should be used only in combination with a RPI Control System to realize a battery storage in combination with e.g. a wind farm with one or more wind power stations. The settings of the current dialog of the Load Impedance according P, Q and S will be ignored, instead the settings of the RPI Control System settings dialog will be used. If selected the RPI Control System calculates the active power P(t) and reactive power Q(t) of the battery storage and controls the electrical behavior of the battery storage. This model also uses a PT1 or PT2 element considering the characteristics of real inverters.

Operation Mode PTx (x=1,2)

The dynamic performance (transmission behavior) can be specified either the behavior of a PT1 or a PT2 element.

  • 1

Dynamic performance corresponding a PT1 element

F(s) = K / (1 + T⋅s)

  • 2

Dynamic performance corresponding a PT2 element

F(s) = K / (1 + 2DT⋅s + T2⋅s2)

PT1: Gain Factor K

Gain factor K of the PT1 element

PT1: Time Delay T [s]

Time delay T of the PT1 element

PT2: Gain Factor K

Gain factor K of the PT2 element

PT2: Time Delay T [s]

Time delay T of the PT2 element

PT2: Damping Factor D

Damping factor D of the PT2 element

Start Time [s]

Time at which the MODELS based load model becomes active

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file

The figure below shows the value of the resistance R (= LRA003) of phase A in case of the operating mode Stochastic R(t) depending of the simulation time. The figure below shows the corresponding active power P measured by a Probe .

    • Vn = 20kV
    • P = 4MW
    • Tmin (stoch.) = 20ms
    • Stochastic R(t) = 20%P

ATPDesigner writes output signals into the .PL4-File which can be used to create a Diagram .

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

Name | Description
LIPxxx | P, Q = const: peak value of the phase currents in A
LRAxxx | Stochastic R(t): Resistance RA(t) of phase A

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 3 or higher

Name

Description

LPHxxx

P, Q = const: Absolute phase angle of the phase-to-ground-voltage vA(t) in rad

LDPxxx

P, Q = const: Deviation of the current phase angle of the phase-to-ground-voltage vA(t) in rad

LIAxxx

P, Q = const: Phase current iA(t) in A

LIBxxx

P, Q = const: Phase current iB(t) in A

LICxxx

P, Q = const: Phase current iC(t) in A

LVVxxx

P, Q = const: Average value of the phase-to-ground voltages in Vpg nom = Vnom/√3 (= p.u.)

  • Please note, that only the phase-to-ground voltages of the phases which have been enabled will be taken into account calculating this average value. If only Phase A has been enabled, the average value is identical to the amount of the phase-to-ground voltage VAG.

LRBxxx

Stochastic R(t): Resistance RB(t) of phase B

LRCxxx

Stochastic R(t): Resistance RC(t) of phase C


Splitter

Read also .NET-Files presenting the usage Splitter

Read more about Transposition Scheme of Overhead Lines using Splitter

Read more about Splitter and Static Power Network Source

Read more about ATP based Model of a Splitter

Read more about User Specific Node Names

The network element Splitter can be used to realize network elements, which consists of 1-phase terminals and 3-phase terminals in combination. Such network elements provides the user to design and simulate electrical power networks, if 1-phase and 3-phase network elements shall be connected. The network element Splitter consists of one 3-phase node and one or more 1-phase node(s) depending on the operation mode, which is user selectable. The operation modes will be explained below more in details.

In addition the Splitter can be also used to measure the node-to-node voltage and/or phase currents. In this case the node names used in the .ATP-File e.g. A00001 will be used in the dialog presenting voltages and currents of the .PL4-File as shown in the figure below.

Operating Mode

Operating Mode

    • Neutral Point (1-Phase <> 3-Phase)
    • 3-Phase Splitting
    • TACS Splitter
    • 2-Phase Splitting AB

Neutral Point (1-Phase <> 3-Phase)

Splitter can be configured to realize a Neutral Point. The figure below shows the graphical symbol of the neutral point. In this example the neutral point is used to connect a 3-phase RLC Impedance to a Grounding System .

  • Please Note

The user must enable always Phase A of the new network element, which has been connected to the Neutral Point (1-phase node), because ATPDesigner always uses the phase identifier 'R' = 'A' for this single-phase node. The user can check the node names of the network elements pushing the F2 or F3 key.

3-Phase Splitting

Splitter can be also used to split ONE 3-phase node to THREE 1-phase nodes. The user can now connect up to three 1-phase network elements e.g. Static Power Network Sources but also a 1-phase Connection to each of these three 1-phase nodes. Nevertheless it is also possible to connect a 1-phase Shunt Impedance , Load Impedance , RLC Impedance , Grounding System etc. to a 1-phase node of a Splitter. Please note, that the user is responsible to configure the 3-phase network element as a 1-phase network element using the corresponding settings Single-Phase, Phase A, Phase B and/or Phase C in the settings dialog of the 3-phase network element.

How to Proceed ?

  1. Add a new network element e.g. Load Impedance to the electrical power network.
  2. Connect one node of the new network element to one of the 1-phase nodes of the Splitter.
  3. Open the settings dialog of the new network element and enable always Single-Phase and Phase A.

  • Please Note

The user must enable always Phase A of the new network element, independent whether phase A, B or C of the Splitter has to be connected, because ATPDesigner always uses the phase identifier 'R' = 'A' for the three 1-phase nodes. The user can check the node names of the network elements pushing the F2 or F3 key.

The figure below shows a Splitter, whose 3 phase nodes A, B and C are enabled and connected to 3 network elements, which are configured as a 1-phase network element. It can be seen, that the node names of the three 1-phase nodes of the splitter use only the phase identifier 'R' = 'A'. Therefore the three Load Impedances must be set to Phase A.

Example: .Net-File 34

Example: Transposition Scheme of Overhead Lines using Splitter

2-Phase Splitting AB

Regarding the operating mode 3-Phase Splitting the network element can be also used to split ONE 3-phase node to TWO 1-phase nodes of the Phases A and B. The phase C will be not used. This operating mode can be very usefully, if a 2-phase network must be designed. The figure below shows an example, where a 1-phase voltage source has been connected with a 2-phase network via a Saturable Transformer configured as 1-phase transformer phase A.

Read also an example of a 2-phase network using Saturable Transformer

TACS Splitter

TACS Splitter can be only used to connect TACS elements. TACS Splitter will be not saved into the .ATP-File . The user can enable or disable the phase identifiers (see below), but a TACS Splitter doesn't match Phase A, B or C regarding an electrical power network. On this point of view a TACS Splitter only consists of "one phase". A TACS Splitter has no representation in the .ATP-File , TACS Splitter are only "graphical elements". Therefore TACS Splitter can be not used in the electrical part of a power network.

Read also Using TACS Connection and TACS Splitter

Additional Settings

Phase Selection

If the operating mode 3-Phase Splitting has been selected, the option Phase Selection will be enabled. The user can now enable each combination of the three phases A, B and/or C. The figure below shows a Splitter, whose phases B and C are disabled, but phase A is enabled.

Measuring Mode

The Splitter can also been used to measure the phase currents IA, IB and IC flowing through the Splitter and/or the node-to-node voltage across the Splitter. The user can choose between several ATP based Model of a Splitter to measure the currents and/or voltages.

  • None

Measuring mode disabled

  • Phase currents Ip

Phase currents IA, IB and IC will be measured

The figure below shows the dialog to select the operating mode of the Splitter.

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

ATPDesigner provides also the user to define User Specific Node Names as shown in the figure above.

  • Enable phase A, B or C by Node A .. C.
  • Define the node names using up to 5 user specific characters, the first character will be always A, B or C set by ATPDesigner.

Replacing the Node Names by User Specific Node Names

ATPDesigner replaces the node names (ABC)xxx , which have been automatically created by ATPDesigner itself, by the User Specific Node Names, but only if the .ATP-File will be written to the hard disk.

Phase A

Phase A of the network element will be written into the .ATP - File.

Node A

User specific node name of phase A to substitute the node name automatically created by ATPDesigner

Phase B

Phase B of the network element will be written into the .ATP - File.

Node B

User specific node name of phase B to substitute the node name automatically created by ATPDesigner

Phase C

Phase C of the network element will be written into the .ATP - File.

Node C

User specific node name of phase C to substitute the node name automatically created by ATPDesigner

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names !!!

Phase identifier A,B,C visible

The phase identifiers A,B,C will be displayed in the network graphics at the position of the 1-phase nodes

The phase identifiers can be also enabled or disabled using the Right Mouse Button Menu, submenu Splitter , if first a Splitter has been selected by a Left Mouse Button Click on its graphical symbol.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Splitter - Submenu of the Right Mouse Button Menu

If a Splitter has been selected with a Left Mouse Button Click, the Right Mouse Button Menu can be opened. The last item of this menu opens a Splitter selective submenu as shown in the figure below.

Add Splitter

Add a new Splitter to the power network

Display A, B, C

If enabled, the phase identifiers A, B and C will be displayed near the position of the three 1-phase nodes

ATP based Model to implement the Measuring Mode

Read more about ATP based Model of a Splitter

ATP offers different methods to implement the Splitter using the capabilities of ATP. All these methods have advantages and disadvantages. The user can select one of the available ATP based Models.

MEASURING SWITCH

Measuring switches are permanently closed circuit-breakers, which can be used to measure currents and voltages.

  • Advantage

Measuring switches have NO resistance (R = 0Ω).

  • Disadvantage

If two measuring switches are directly connected in series, maybe that ATP will come in trouble e.g. during the inversion of the impedance matrix. For this cases an other model should be selected.

Resistance

It is possible to measure the current flowing through a resistance and the voltage across a resistance.

  • Advantage

There are no problems to expect during the inversion of the impedance matrix.

  • Disadvantage

If the value of the resistance is to high, the resistance will have a significant influence of the electrical power network. Therefore the value of the resistance should be set as low as possible.


Example: Splitter and Static Power Network Source

Read more about Splitter

Read more about ATP based Model of a Splitter

Read more about Transposition Scheme of Overhead Lines using Splitter

The .NET-File PowerNetwork16.NET is helpfully to study this example. The figure below shows this example.


Example: Transposition Scheme of Overhead Lines using Splitter

Read more about Splitter and Static Power Network Source

Read more about Splitter

Read more about ATP based Model of a Splitter

The Splitter can be used to design a transposition scheme often used to balance overhead lines. The operation mode 3-Phase Splitting can be successfully used to realize this application. The figure below shows .NET - File 33 : How to connect 2x 3-phase nodes using 2x Splitter and 3x 1-phase Connection . In sum three 1-phase Connections must be used to connect the both Splitter phase-to-phase. It is very important to understand, that each of the 3 Connections must be set as a 1-phase network element with Only Phase A Enabled, independent if phase A, B or C of the both Splitter will be connected. The figure below shows the settings dialog of one of the 1-phase Splitter . The settings of the other two Splitter are identical.


Network Infeed

Read more about the ATP based model of the Power Network Infeed

Read more about short-circuit calculation acc. VDE 0102 (IEC 60909)

The network element Network Infeed can be used to design a symmetrical, 3-phase power network infeed. It consists of three phase-to-ground voltage sources, which are phase shifted by 120°, and three serial impedances Zk. One of the two nodes of the source voltages are internally connected to a common node (= neutral point), which is always solidly grounded. The other nodes of the source voltages are also internally connected to three serial impedances Zk, which are designed to represent the short-circuit impedance of the power network infeed. The internal short-circuit impedance Zk can be defined via settings as a 3-phase mutual coupled RL-impedance or as 3 independent, decoupled series impedances. The figure below shows the settings dialog.

The user has two possibilities to define the settings for the power network infeed.

  • Sk" enabled selected
    The user can define the short-circuit power Sk" or the short-circuit current Ik3" of the power network infeed and the phase angle phi (Zk) of the short-circuit impedance Zk. ATPDesigner automatically calculates the short-circuit impedance Zk = R1 + j X1 = Rk + j Xk . The impedance of the zero sequence system Z0 = R0 + j X0 will be only calculated, if the option Z0 = 2 Z1 has also been enabled. If this option has been disabled, the zero-sequence impedance can be also set using the settings dialog.

  • Zk enabled selected
    The user can define the resistance R1 and the reactance X1 of the short-circuit impedance Z1. ATPDesigner calculates automatically the short-circuit power Sk", the short-circuit current Ik3" and the phase angle phi (Zk) of the short-circuit impedance Zk. All other data will also be updated.

  • Please Note

The short-circuit power Sk" and short-circuit impedance Zk are defined based on the European Standard EN 60909-0:2001 but only in case of a 3-phase-to-ground fault. Therefore the short-circuit impedance Zk and the impedance of the positive sequence system Z1 are used as synonyms in the explanations below.

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Vnom

Nominal voltage of the voltage source (phase-to-phase voltage)

fn

Nominal network frequency

R1

Resistance of the positive sequence system Z1, identical with the resistance Rk of the short-circuit impedance Zk

If the user had changed the value, the short-circuit power Sk" and the phase angle of the short-circuit impedance Zk = R1 + j X1 = Rk + j Xk will be automatically recalculated. The zero-sequence impedance of the network will also be recalculated depending on the setting Z0 = 2 Z1.

X1

Reactance of the positive sequence system Z1, identical with the reactance Xk of the short-circuit impedance Zk

If the user had changed the value, the short-circuit power Sk" and the phase angle of the short-circuit impedance Zk = R1 + j X1 = Rk + j Xk will be automatically recalculated. The zero-sequence impedance of the network will also be recalculated depending on the setting Z0 = 2 Z1.

phi (Zk)

Phase angle of the short-circuit impedance Zk = R1 + j X1 = Rk + j Xk

Phi (Zk) acc. VDE 0102 (IEC 60909)

If enabled the phase angle phi (Zk) of the short-circuit impedance Zk will be automatically calculated based on the European Standard EN 60909-0:2001:

    • Zk = Vnom2 / Sk"
    • Xk = X1 = 0.995 ⋅ Zk
    • Rk = R1 = 0.1 ⋅ Xk

R1 = resistance of the positive-sequence system

X1 = reactance of the positive-sequence system

R0

Resistance of the zero-sequence system

X0

Reactance of the zero-sequence system

phi (V)

Phase shift of the phase-to-ground voltages VAG, VBG and VCG of the Network Infeed related to the corresponding phase-to-ground voltages VAG, VBG and VCG of Network Infeed Network 1. The setting phi (V) of the network infeed Network 1 has been set fixed to 0° and can not be changed.

The left figure below shows the phase shift of the phase-to-ground voltage VAG of Network Infeed 2 related to the phase-to-ground voltage VAG of Network Infeed 1. The setting of Network Infeed 2 has been set to phi (V) = 45°. It can be easily checked using a power network as shown in the right figure below.

The left figure below shows the both phase-to-ground voltages VAG_M1 of Network Infeed 1 measured at the Measuring Location 1 of Circuit-Breaker Cb1 and VAG_M2 of Network Infeed 2 measured at the Measuring Location 2 of Circuit-Breaker Cb2. The Diagram Cursor has been used to select one cycle of the both phase-to-ground voltages to create the Vector Diagram .

Decoupled

If the option has been enabled, the short-circuit impedance will be realized with three decoupled RL - series impedances, otherwise with a 3-phase mutually coupled RL-impedance.

Z0 = 2 Z1

  • Enabled

The zero sequence impedance are set two times the positive sequence impedance. The dialog elements of the zero sequence impedance are disabled.

  • Disabled

The zero sequence impedance are defined by the settings R0 and X0.

Harmonics

If this option has been enabled, 3-phase voltage sources can be added to the 3-phase fundamental frequency voltage source of the network infeed. These additional voltage sources will be connected in parallel to the fundamental frequency voltage source. All of these voltage sources are symmetrical 3-phase sources with a phase shift of 120° between the phase-to-ground voltages.

  • Please Note

The user can set the frequencies of these additional voltage sources to any frequency which is of interest.

    • The user can define a set of harmonic frequencies.
    • The user can define a set of non-harmonic frequencies.

  • Please Note

The short-circuit impedance Zk of the network infeed are common for all 3-phase sources, independent if the source voltage takes the nominal frequency fn (= fundamental frequency) or any other harmonic or non-harmonic frequency.

Sk''

Short-circuit power

If the user have changed the short-circuit power, the short-circuit current Ik3" as well as the short-circuit impedance of the network Z1 = R1 + j X1 (positive-sequence impedance) will be automatically recalculated. The result depends on the voltage factor cQ, if enabled or disabled (see below). The zero-sequence impedance of the network will also be recalculated depending on the setting Z0 = 2 Z1.

Ik3"

Short-circuit current in case of a 3-phase-to-ground short-circuit

The short-circuit power Sk" as well as the impedances Z1 and Z0 will be recalculated.

Sk" = √3 ⋅ Vnom ⋅ Ik3"

|Z1|

Amount of the impedance of the positive-sequence system: |Z1| = |Zk| = |R1 + j X1| = |Rk + j Xk|

|Z0|

Amount of the impedance the negative-sequence system: |Z0| = |R0 + j X0|

T1

Time constant of the positive-sequence system : T1 = X1 / (2πfn ⋅ R1) = Xk / (2πfn ⋅ Rk) in ms

cQ

Voltage factor used to calculate the short-circuit impedance Zk, if the short-circuit calculation based on the European Standard EN 60909-0:2001 has been enabled

The ... -Button can be used to open a list with predefined values.

Read more about short-circuit calculation acc. VDE 0102 (IEC 60909)

  • Please Note

The definition of the voltage factor cQ depends on the rules specified by VDE 0102 (European Standard EN 60909-0:2001)

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Default

Load the default settings

Copy

Copy the settings of the network infeed to all other network infeeds, which are part of the electrical power network. The user specific name of the network infeed will not be copied, but automatically created by ATPDesigner.

Load Adjusting - Load Flow Calculation of ATPDesigner

The settings shown in the settings dialog below can be used if the Load Flow Calculation shall be processed.

  • Please Note

This feature will be only used, if the option Load Adjusting and the option Adjusting Network Infeed has been enabled.

Adjusting Network Infeed

If enabled the Network Infeed will be taken into account during the Load Flow Calculation if the Load Adjusting option has been enabled.

Operation Mode

    • Network

The active power infeed by the Network Infeed is limited to the Short-Circuit Power S k " set in the tab General Technical Data

    • Slack

The active power infeed by the Network Infeed is unlimited (Sk" = ∝)

    • PV

The active power infeed of the Network Infeed is set to Pnom during the Load Adjusting - Algorithm.

  • Please Note

This operation modes will be only used, if the option Load Adjusting and the option Adjusting Network Infeed has been enabled.

Pnom

Active Power which shall be infeed by the Network Infeed during Load Adjusting


Harmonics

The network element Harmonics can be used to define additional, 3-phase symmetrical source voltages, which are connected in parallel to the 3-phase source voltage of a Network Infeed , which operates at the nominal frequency fn. The source voltages consist of three phase-to-ground voltages. The phase shift between the phase-to-ground voltages takes always 120°. The figure below shows the settings dialog.

  • Please Note

ATPDesigner ignores all entries of the frequency list processing the network simulation, which consist of the frequency ≤ 0 Hz and/or an amplitude ≤ 0%.

No.

Number of the source voltage

Freq. [Hz]

Frequency of the source voltage in Hz

Voltage [% Vnom]

Amplitude of the source voltage in percent of the nominal voltage of the assigned network infeed

Phase Angle [°]

Phase shift of the phase-to-ground voltage related to the corresponding phase-to-ground voltage of the assigned network infeed

Time ON [s]

Time to switch on the source voltage

    • Time ≤ 0 : The source voltage will be enabled beginning with the first calculation step of the ATP

Time OFF [s]

Time to switch off the source voltage

No. of Freq.

Number of entries (lines) in the spreadsheet

Clear

All entries of the spreadsheet will be deleted, the number of entries will be reset to 0.

Sort

The entries of the frequency list will be reorganized

Delete

Delete the entry of the list, which is selected (highlighted)

Add

Add a new entry at the end of the list

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings for the visible entries of the spreadsheet

Help

Open the corresponding chapter in the help file

Clear

All entries of the spreadsheet will be deleted, the number of entries will be reset to 0.

  • Please Note

The user can set the frequencies of these additional voltage sources to any frequency which is of interest.

    • The user can define a set of harmonic frequencies.
    • The user can define a set of non-harmonic frequencies.
    • The user can define a set of harmonic and non-harmonic frequencies

  • Caution !!!

The user may NOT define a frequency component, which is identical to the nominal frequency fn of the Network Infeed or of the Power Network . Such a frequency will confuse the ATP.

  • Please Note

The user can set the frequencies of these additional voltage sources to any frequency which is of interest. Nevertheless the short-circuit impedance Zk of the corresponding network infeed are common for all 3-phase sources, independent if the source voltage takes the nominal frequency or any other frequency.

The figure below shows the settings dialog, if three harmonics shall be connected in parallel to the nominal frequency source of the corresponding network infeed.


Multi Frequency Source

The network element Multi Frequency Source can be used to define a 3-phase symmetrical voltage or current source, which consists of several single-frequency, 3-phase voltage or current sources. These single frequency sources are connected in parallel at the same node of the electrical power network, but can be specified separately. The phase shift between the three single-frequency phase-to-ground voltages or phase currents takes 120°. The figures below show first the corresponding part of the .ATP-File followed by the dialog to define the data of the additional source voltages.

  • Please Note

ATPDesigner ignores all lines of the frequency spreadsheet during the network simulation process, which contains either a frequency < 0 Hz or an amplitude ≤ 0.

The Multi Frequency Source consists of the ATP Type 14 - source cards, which are connected in parallel. The following rules must be taken into account to respect the ATP rules.

  • The Multi Frequency Source must consists at least ONE voltage or current source, which uses the nominal frequency of the power network. The nominal frequency of the power network is specified in the settings of the Network Infeed Network 1, independent if the network element Network 1 is visible or not.

  • The Type 14 source, which uses the nominal frequency of the power network, must be the first Type 14 source in the .ATP-File , followed from all other Type 14-sources of the Multi Frequency Source. It is allowed to define a very small amplitude for this voltage or current source.

  • It is allowed that the frequency list contains a DC component, that means a frequency f = 0Hz. A DC component will be realized using a Type 11 source card.

The figure below shows a part of the source cards which represent the Multi Frequency Source.

The figure below shows the settings dialog to define the data of the Multi Frequency List.

Freq. [Hz]

Frequency of the 3-phase, symmetrical voltage or current source

Amplitude [Arms] or [Vrms]

Amplitude of the 3 single-phase voltage or currents sources which are part of the 3-phase, symmetrical voltage or current source of the dedicated frequency

  • Voltage source: nominal voltage of the voltage source, r.m.s. value
  • Current source: phase current of the current source, r.m.s. value

Phase Angle [°]

Absolute phase angle of the 3-phase of the dedicated frequency, symmetrical voltage or current source, used to shift the symmetrical 3-phase source compared to the other voltage or current sources

The phase shift between the three single-frequency phase-to-ground voltages or phase currents always takes 120° and can not be modified.

Time ON [s]

Switch on time of the 3-phase source of the dedicated frequency

Time OFF [s]

Switch off time of the 3-phase source of the dedicated frequency

No.

Number of entries (lines) in the spreadsheet

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Clear

All entries of the spreadsheet will be deleted, the number of entries will be reset to 0.

Sort

The entries of the frequency list will be reorganized following the rules listed below.

  1. The entry containing the nominal frequency fnom must be the first in the frequency list.
  2. All other entries will be reorganised starting with the lowest frequency (unequal nominal frequency fnom) and rising up to the highest frequency.

Phase Angle Offset

Offset of the phase angle for all voltage or current source in common

Read SIMPLORER FFT Data

See detailed information below

Delete

Delete the entry of the list, which is selected (highlighted)

Add

Add a new entry at the end of the list

Output Source Type

This settings corresponds with the setting ST in the Type 14 data cards described in the ATP Rule Book.

  • Voltage Source (= ST blank or zero)
  • Current Source (= ST negative integer ("-1")

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings for the visible entries of the spreadsheet

Help

Open the corresponding chapter in the help file

SIMPLORER® File Format supported by Multi Frequency Source:
Reading FFT Data to realize a Multi Frequency Source

SIMPLORER® is a multi-domain, system simulation software for the design of high-performance electromechanical systems commonly found in the automotive, aerospace/defense, and industrial automation industries. Simplorer can be also used to simulate electronic converter systems e.g. used in FACTS, HVDC systems or Windmills. ATPDesigner supports several data interfaces in order to import data which are simulated based on the capabilities of SIMPLORER®.

ATPDesigner is able to use the FFT based calculated Frequency Spectrum, which can be exported into a text file. ATPDesigner analyses this text file and writes the data into the spreadsheet of the Multi Frequency Source. Please note, that a DC component (f = 0Hz) will be supported. It is also possible to export the frequency spectrum calculated from ATPDesigner Signal Analysis Results into a Simplorer® compatible text file to be imported into Simplorer®.

Read more details How to Export the Frequency Spectrum into a Text Files to be Imported into Simplorer

Frequency spectrums which are calculated with SIMPLORER® can be exported into a TEXT FILE which is structured as shown below.

  • First a header with several information about the structure of the text file.
  • The END: identifier terminates the header.
  • After that: several lines containing the data of one frequency.

TYP:=A

TYP:=A

DIM:=5

LEN:=101

HMI:=0.000000

HMA:=0.000000

SEP:=;

N000001:=f

U000001:=Hz

N000002:=VM2

U000002:=V

N000003:=Phi

U000003:=rad

N000004:=Phi

U000004:=deg

N000005:=%(Max)

U000005:=

END:=

0.;48.2673;0.;0.;84.8198;

100.;0.772185;0.733883;42.0484;1.35696;

200.;2.35027;0.281898;16.1516;4.13012;

300.;1.82899;2.97379;170.386;3.21408;

500.;3.14903;5.06322;290.101;5.53378;

600.;1.28181;0.525395;30.1029;2.25252;

700.;3.24287;0.353772;20.2697;5.69868;

800.;1.50221;3.12294;178.931;2.63982;

...

ATPDesigner processes the FFT data file using a SIMPLORER® Specific Algorithm:

  1. All lines starting with the first line of the SIMPLORER® text file and including the line containing the "END:" identifier will be ignored.
  2. It will be always assumed, that the sequence of the data of one line is as defined below:
    • Frequency [Hz]
    • Amplitude of the Voltage or Current [Vpeak] or [Apeak]
    • Phase shift [Rad]
    • Phase Shift [Degree]
    • Amplitude [%]

ATPDesigner automatically takes over the data listed below into the spreadsheet :

  • Frequency [Hz]
  • Amplitude of the Voltage or Current [Vpeak] or [Apeak]
  • Phase Shift [Degree]

  • Please Note

ATPDesigner automatically converts the peak value imported from the SIMPLORER® file to the r.m.s. values required for the Multi Frequency Source.


3-Phase Source

Read also TACS Management System

Read more about short-circuit calculation acc. VDE 0102 (IEC 60909)

Read more about ATPDesigner and Protection Elements

  • 3-Phase Source - Model for Voltage, Current and P/Q/S-Power Sources
  • 3-Phase Source - LVRT Mode


3-Phase Source - Model for Voltage, Current and P/Q/S-Power Sources
  • Please Note

The 3-Phase Source can be only used for Load Flow Analysis (ATP Steady State), not for the calculation of transients.

    • In case of the calculation of transients the Renewable Power Infeed network element must be used.

The network element 3-Phase Source can be used to realize a symmetrical, 3-phase voltage, current or power source using up to three single-phase-to-ground voltage or current sources in case of Load Flow Analysis (ATP Steady State), not for the calculation of transients. In addition it is possible to enable or disable each phase of the source. Therefore it is also possible to realize an unsymmetrical 1-phase or 2-phase source. The user can also specify different Operation Modes.

  • The phase shift between the three single-phase-to-ground sources takes 120° as default, but can be changed by the setting Phase Shift shown below.

  • The phase shift of the 3-Phase Source in relation to the internal 3-phase voltage source of Network Infeed 1 can be set by the user in degree. In addition it is possible to enable or disable each of the three single-phase-to-ground sources. Therefore it is possible to realize a 1- 2- or 3-phase source.

  • The 3-Phase Source can be also used to realize a battery system, which infeeds electrical power into the power network or obtains electrical power from the power network both using a power inverter.

  • Please Note

The setting Phase Shift defines the absolute phase shift of the source in relation to the 3-phase voltage source of Network Infeed 1, if the Phase Adjusting is disabled. Nevertheless if the Phase Adjusting is enabled, the setting Phase Shift defines the phase shift between the phase currents and the phase-to-ground voltages at the network connection node of the 3-Phase Source, what means defines the displacement factor cos φ.

  • If the option Adjusting Phase has been enabled this source will be processed during the Phase Adjusting to adjust the phase shift of the phase currents related to the corresponding phase-to-ground voltages during an iteration process similar the load flow algorithm. The target phase shift can be set using the settings Phase or the displacement power factor cos ϕ (ϕ = Phase).

  • The displacement factor cos φ can be defined using different methods: const. or cos φ = ƒ (P) or cos φ = ƒ (U)

3-Phase Source and V<> - Protection

The 3-Phase Source also include a Under Voltage Protection V< and Over Voltage Protection V> which works independent of the Protection Elements realized by Probe . ATPDesigner analyses the protection elements of the 3-Phase Source in combination to the protection elements of all Probe . The figure below shows the protection analysis results of a Probe in case of an overvoltage situation at the network connection point (NCP) of the 3-Phase Source. The Voltage Protection Element of the 3-Phase Source trips after the Load Flow Analysis has been successfully finalized.

Read more about ATPDesigner and Protection Elements

The both figures below show the internal ATP based model.

Internal 3-Phase Voltage Source Internal 3-Phase Current Source

  • Please Note

The figure below shows the settings dialog of the 3-Phase Source. The 3-phase source represents an ideal voltage or current source without any internal impedance.

Adjusting Phase

If enabled the 3-Phase Source will taken into account processing the Load Flow Analysis so called Phase Adjusting

Cos - Phi Mode

  • cos phi = const.

ATPDesigner uses the displacement factor cos ϕ and the operation mode Under-Excited or Over-Excited set in the tab General Technical Data shown above

  • cos phi (P/Pnom)

ATPDesigner uses the displacement factor characteristic set in the tab Cos Phi

  • cos phi (V/Vnom)

ATPDesigner uses the displacement factor characteristic set in the tab Cos Phi

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

NCP

Network Connection Point

Measuring location of phase-to-ground voltages and phase currents to calculate e.g. the displacement factor, apparent power, active and reactive power under normal operation conditions ( LVRT-Mode not detected or disabled ).

  • 3Ph.

Phase-to-ground voltages and phase currents will be measured at the node of the 3-Phase Source.

  • Prb x

Phase-to-ground voltages and phase currents will be measured by the Probe Prb x.

  • Please Note

The load flow algorithm implemented in ATPDesigner only adjusts the displacement factor cos φ at the NCP.

Op.Mode Ip

Operation mode to calculate the amount of the phase currents Ip

  • Ip=f(Vpg)

The load flow algorithm uses the average value of the amounts of the phase-to-ground voltages to calculate the amount of the phase currents Ip.

Vav = √3 ⋅ (VAG + VBG + VCG) / 3

  • Ip=f(Vpp)

The load flow algorithm uses the average value of the amounts of the phase-to-phase voltages to calculate the amount of the phase currents Ip.

Vav = (VAB + VBC + VCA) / 3

  • Please Note

The average value Vav is a virtual phase-to-phase voltage: Vav = Vpp.

P,S

The load flow algorithm implemented in ATPDesigner tries to adjust the active power P or the apparent power S depending on the setting Operation Mode at one of the nodes which can be selected by this setting.

  • 3Ph.

The load flow algorithm tries to adjust the active or apparent power at the network connection node of the 3-Phase Source itself.

  • NCP

The load flow algorithm tries to adjust the active or apparent power at the Network Connection Point (NCP).

  • Please Note

The load flow algorithm implemented in ATPDesigner tries to adjust only the amount of the active or apparent power.

Operation Mode

Vn init

Initial value of the nominal voltage Vnom used for the Phase Adjusting algorithm.

Imax

Maximum phase current in percent of the nominal phase current used for the Phase Adjusting algorithm.

Imax [A] = Imax [%] ⋅ Inom [A]

Inom

Nominal phase current depending on the number of enabled phases used for the Phase Adjusting algorithm.

Inom = (Snom / Number of Enabled Phases) / (Vn init / √3)

Operation Mode

The user can select one of the operation modes.

  • Snom (Ip:1/2/3) = const.
    • ATPDesigner first determines the number of single-phase sources (Phase A, Phase B, Phase C) = Number of Enabled Phases, which are enabled.
    • ATPDesigner uses 1, 2 or 3 single-phase current sources to realize a Source with Snom = const. The current source can be symmetrical or unsymmetrical.
    • ATPDesigner calculates the initial value of the amount of the current sources: Ip = (Snom / Number of Enabled Phases) / (Vn init / √3).
    • Further during the ongoing iteration process ATPDesigner uses the voltage Vav but only for these phases, where the current sources are enabled, to calculate the amount of the current sources: Ip = (Snom / Number of Enabled Phases) / (Vav / √3).
    • ATPDesigner compares the amount of the current source Ip and the maximum phase current Imax.

The phase current Ip will be automatically limited by ATPDesigner up to the maximum phase current Imax.

  • Pnom (Ip:1/2/3) = const.
    • ATPDesigner first determines the number of single-phase sources (Phase A, Phase B, Phase C) = Number of Enabled Phases, which are enabled.
    • ATPDesigner uses 1, 2 or 3 single-phase current sources to realize a Source with Pnom = const. The current source can be symmetrical or unsymmetrical.
    • ATPDesigner calculates the initial value of the amount of the current sources: Ip = (Snom / Number of Enabled Phases) / (Vn init / √3) with Snom = Pnom / cos ϕ.
    • Further during the ongoing iteration process ATPDesigner uses the voltage Vav but only for these phases, where the current sources are enabled, to calculate the amount of the current sources: Ip = (Snom / Number of Enabled Phases) / (Vav / √3).
    • ATPDesigner compares the amount of the current source Ip and the maximum phase current Imax.

The phase current Ip will be automatically limited by ATPDesigner up to the maximum phase current Imax.

Operation Modes Snom (Ip:1/2/3) and Pnom (Ip:1/2/3)

These operation modes can be used to realize one, two or three single-phase inverters using one current source for each phase. Based on the ATP results read out of the .LST-file ATPDesigner calculates the three phase shifts of the phase currents IA, IB, and IC related to the corresponding phase-to-ground voltages VAG, VBG, and VCG to set the phase shifts of the three current sources independent of each other. Therefore this operation modes can also be used to realize an unsymmetrical current source.

  • Snom (Ip:3) = const.
    • ATPDesigner uses 3 single-phase current sources to realize an always 3-Phase Symmetrical Current Source with Snom = const.
    • ATPDesigner calculates the initial value of the amount of the current source. The current source always is a 3-phase, symmetrical current source: Ip = Snom / (Vn init ⋅ √3).
    • Further during the ongoing iteration process ATPDesigner uses the voltage Vav but only for these phases, where the current sources are enabled, to calculate the amount of the current sources: Ip = Snom / (√3 ⋅ Vav).
    • ATPDesigner compares the amount of the current source Ip and the maximum phase current Imax.

The phase current Ip will be automatically limited by ATPDesigner up to the maximum phase current Imax.

  • Pnom (Ip:3) = const.
    • ATPDesigner uses 3 single-phase current sources to realize an always 3-Phase Symmetrical Current Source with Pnom = const.
    • ATPDesigner calculates the initial value of the amount of the current source. The current source always is a 3-phase, symmetrical current source: Ip = Snom / (Vn init ⋅ √3) with Snom = Pnom / cos ϕ.
    • Further during the ongoing iteration process ATPDesigner uses the voltage Vav but only for these phases, where the current sources are enabled, to calculate the amount of the current sources: Ip = Snom / (√3 ⋅ Vav).
    • ATPDesigner compares the amount of the current source Ip and the maximum phase current Imax.

The phase current Ip will be automatically limited by ATPDesigner up to the maximum phase current Imax.

Operation Modes Snom (Ip:3) = const. and Pnom (Ip:3) = const.

These operation modes can be only used to realize one 3-phase inverter using three current sources. Based on the ATP results read out of the .LST-file ATPDesigner first calculates the average value φAV of the three phase shifts of the phase currents IA, IB, and IC related to the corresponding phase-to-ground voltages VAG, VBG, and VCG.

φAV = (φIA-VAG - φIB-VBG - φIC-VCG) / 3

ATPDesigner always sets the phase shift of current IA to the corresponding phase-to-ground voltage VAG to the average phase shift φAV. The phase shifts of the phase currents IB and IC will be set fixed to φAV - 120° and φAV + 120°. Therefore the 3-phase current source is always symmetrical.

  • Vnom = const.
    • ATPDesigner uses three single-phase-to-ground voltage sources to realize a symmetrical, 3-phase voltage source.
    • ATPDesigner calculates the internal used phase-to-ground voltage Vpg based on the nominal (phase-to-phase) voltage Vnom.

Vpg = Vnom / √3, Vnom : nominal voltage in kVrms

  • Inom = const.
    • ATPDesigner uses three single-phase-to-ground current sources to realize a symmetrical, 3-phase current source.
    • Phase current of the 3-phase current source in Arms

Ip = Inom

  • v(t) = MODELS
    • ATPDesigner implements the voltage source using the Type 60 - interface to connect MODELS to the electrical power network.
    • The time dependent behavior of the voltage source must be defined using MODELS source code.

  • i(t) = MODELS
    • ATPDesigner implements the current source using the Type 60 - interface to connect MODELS to the electrical power network.
    • The time dependent behavior of the current source must be defined using MODELS source code.

The operation mode corresponds to the setting ST in the ATP based data cards described in the ATP Rule Book.

  • Voltage Source (= ST blank or zero)
    • used for the operation mode Vnom = const.
    • used for the operation mode v(t) = MODELS

  • Current Source (= ST negative integer ("-1")
    • used for the operation mode Inom = const.
    • used for the operation mode Pnom (Ip:1/2/3) = const.
    • used for the operation mode Pnom (Ip:3) = const.
    • used for the operation mode Snom (Ip:1/2/3) = const.
    • used for the operation mode Snom (Ip:3) = const.
    • used for the operation mode i(t) = MODELS

The amount (or amplitude) of the 3-Phase Source depends on the Operation Mode and will be automatically changed by ATPDesigner.

  • Snom (Ip:1/2/3) = const. : unit kVA
  • Snom (Ip:3) = const. : unit kVA
  • Pnom (Ip:1/2/3) = const. : unit kW
  • Pnom (Ip:3) = const. : unit kW
  • Vnom = const. : unit kVrms
  • Inom = const. : unit Arms

V< - and V> - Protection

The 3-Phase Source also supports the monitoring of the phase-to-phase and phase-to-ground voltages at the network connection node. The settings are shown in the figure below. The protection function will always be processed after the last iteration independent if the iteration accuracy has been achieved (convergence) or not (divergence). If a protection element V< or V> has been detected, the 3-Phase Source will be drawn in a dark red color.

  • Please Note

The 3-Phase source will be not disconnected from the power network. Therefore the results of the last iteration step always takes into account the power infeed of the 3-Phase Source.

  • Please Note

The protection elements will always be processed, if the option Adjusting Phase has been enabled or disabled.

Selecting Phase-to-Phase and Phase-to-Ground Voltages

In the list control shown above the user can select the voltages which should be monitored.

    • Vpg [kVrms]

The phase-to-ground voltages will be monitored. The both thresholds V< and V> will be set in kVrms.

    • Vpp [kVrms]

The phase-to-phase voltages will be monitored. The both thresholds V< and V> will be set in kVrms.

    • Vpg [p.u.]

The phase-to-ground voltages will be monitored. The both thresholds V< and V> will be set in p.u. (= Vn init/√3).

    • Vpp [p.u.]

The phase-to-phase voltages will be monitored. The both thresholds V< and V> will be set in p.u. (= Vn init)

V<

Threshold to detect an under voltage condition

If one of the phase-to-ground voltages is less than the threshold, a protection event will be detected.

V>

Threshold to detect an over voltage condition

If one of the phase-to-phase voltages is higher than the threshold, a protection event will be detected.

T<

Time delay of the V< threshold

T>

Time delay of the V> threshold

Other Settings

Frequency

Frequency of the voltage or current source

Phase

Absolute phase angle of the voltage or current source

cos ϕ

Displacement power factor cos ϕ = cos (Phase) considering under-excited or over-excited

  • Under-Excited (Leading)

Reactive power Q will be obtain from the electrical power network.

  • Over-Excited (Lagging)

Reactive power Q will be feed into the electric power network.

The both settings cos ϕ and Under-Excited or Over-Excited can be used, to realize all combinations of active power P and reactive power Q regarding the measurement of the power flow direction.

  • EZS: Power flow direction P > 0 or Q > 0 : from the 3-Phase-Source → to the Electrical Power Network as shown in the figure below.

Start Time

Time at which the function becomes active (= TSTART in the ATP Rule Book)

Stop Time

Time at which the function becomes inactive (= TSTOP in the ATP Rule Book)

Phase Shift Unit

The Phase can be defined in degrees or seconds depending on this setting.

  • Degree [°]

The phase will be set using the unit Degree: f(t) = Amplitude ⋅ cos (2π ⋅ Frequency ⋅ t + Phase)

  • Second [s]

The phase will be set using the unit Second: f(t) = Amplitude ⋅ cos (2π ⋅ Frequency ⋅ (t + Phase))

Phase Shift

Phase shift between the single-phase-to-ground voltage or current sources.

The figure below shows the meaning of the both settings Phase and Phase Shift. In this example the Phase Shift takes 120° to define a symmetrical 3-phase source.

Phase A

Phase A of the network element will be written into the .ATP-File .

Phase B

Phase B of the network element will be written into the .ATP-File .

Phase C

Phase C of the network element will be written into the .ATP-File .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


3-Phase Source - LVRT Mode

ATPDesigner supports the LVRT-Mode (Low Voltage Ride Through) for P/Q/S-power sources if a Load Flow Analysis will be processed.

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Delete

Remove the measuring values 3Ph.: ... from the spread sheet.

LVRT ON/OFF

  • ON : Depending on the phase-to-phase or phase-to-ground voltages measured at the LVRT Meas.Location the LVRT-Mode will be detected
  • OFF : LVRT-Mode is permanently disabled

LVRT Meas.Location

Measuring location of the 3-Phase Source if a Short-Circuit has been set in the electrical power network

  • Short-Circuit :

LVRT: Vn [kV]

Nominal Voltage at the measuring location LVRT Meas.Location

|Ip| = 0A

The phase currents IABC will be set to 0A if the LVRT-Mode has been detected.

LVRT Meas. Location

Measuring location of phase-to-ground voltages and phase currents to calculate e.g. the displacement factor, apparent power, active and reactive power, if LVRT-Mode has been enabled and detected

  • 3Ph.

Phase-to-ground voltages and phase currents will be measured at the node of the 3-Phase Source.

  • Prb x

Phase-to-ground voltages and phase currents will be measured by the Probe Prb x.


3-Phase Source - Interface to TACS and MODELS

The amplitude of the 3-Phase Source can be controlled using a TACS output signal (Type 17: TACS Modulation of Next Source). The value of the TACS output signal will be used as a multiplication factor of the amplitude. The TACS interface is part of the TACS Management System implemented in ATPDesigner. The TACS Management System presents all TACS control signals, which are defined from any TACS "producing" network element e.g. TACS Data Card , in a Combo Box. Therefore the TACS Management System supports the user of ATPDesigner always presenting only the available TACS control signals.

    • Amount (or Amplitude) of the 3-Phase Source = {Vnom or Inom or Snom or Pnom} ⋅ {Value of the TACS Control Signal}

  • Please Note

The TACS interface must be first enabled. The figure below shows a simple power network, which consists of a 3-Phase Source, which will be controlled by a TACS function. The TACS function realizes a ramp function (Type 24, A =10, B = 0.05).

The figure below shows the diagram of the phase-to-ground voltage VAG (TACS-VAG_M1), VBG (TACS-VBG_M1) and VCG (TACS-VCG_M1) measured at the Measuring Location M1 . The modulation of the phase-to-ground voltages by a TACS function can be easily studied.


3-Phase Source - MODELS defined Voltages and Current Sources

ATPDesigner also provides the user to define a voltage or current source, where the time dependent behavior of the source can be realized using MODELS only by using mathematical equations etc. The MODELS software implementation of the source will be connected to the electrical power network by the Type 60 interface. The figure below shows an example how to specify a MODELS based voltage source.

    • Operation mode v(t) = MODELS selects a voltage source to be realized by MODELS
    • The node name used to connect the MODELS output signal to the voltage source as part of the electrical power network takes (ABC)SPG02. Please note, that only 5 characters are free, ATPDesigner automatically sets the phase identifiers A, B and C as the first character.

The resistance R is required to realize the logical connection between the MODELS output node and the input node of the electrical network. Therefore the value of the series resistance R shall be low e.g. about 1μOhm (see diagram below ).

MODELS Sig.Name: (ABC)

Name of the MODELS output variable to realize the connection to the electrical power network

R

Internal series resistance

Example for MODELS Source Code

MODELS

-- Output interface to the 3-Phase Source of the electrical power network

OUTPUT ASPG02

OUTPUT BSPG02

OUTPUT CSPG02

MODEL Source -- 3-phase voltage source

OUTPUT ASpg

OUTPUT BSpg

OUTPUT CSpg

VAR ASpg, BSpg, CSpg

Omega

Amp

CONST PowerNetFreq {val: 50} -- POWER FREQUENCY [Hz]

CONST PowerNetCycle {val: 0.02} -- Cycle [s]

CONST SamplingFreq {val: 2000} -- Sampling Frequency [Hz]

CONST SamplingDT {val: 0.0005} -- Sampling Rate [s]

CONST SamplesPerCycle {val: 40} -- Samples per Cycle

CONST PhaseShift {val: 2*PI/3}

DATA Vnom {dflt: 110} -- Nominal voltage [kV]

INIT

Omega := 2*PI*PowerNetFreq

ASpg := 0

BSpg := 0

CSpg := 0

Amp := Vnom*1000*sqrt(2)/sqrt(3)

ENDINIT

EXEC

ASpg := Amp*sin(Omega*t)

BSpg := Amp*sin(Omega*t - PhaseShift)

CSpg := Amp*sin(Omega*t + PhaseShift)

ENDEXEC

ENDMODEL

-- 110kV-Voltage Source

USE Source AS Spg001

OUTPUT ASPG02 := ASpg

OUTPUT BSPG02 := BSpg

OUTPUT CSPG02 := CSpg

-- Nominal voltage [kV]

DATA Vnom := 110

ENDUSE

ENDMODELS

The figure below shows the ATP based model of the MODELS driven voltage source. The time dependent behavior of the voltage source must be implemented in MODELS as shown above. ATPDesigner connects the voltage source to the electrical power network by the resistance R. Any network element of the electrical power network will be connected to the resistance R.


3-Phase Source - Characteristic of Displacement Factor

The figure below shows the settings to realize a cos φ (P/Pnom) or cos φ (V/Vnom) - characteristic if a Short-Circuit Analysis (Steady State, Load Adjusting , Phase Adjusting ) will be processed.

  • Please Note

These characteristics of the displacement factor cos φ are available for operations modes where active power Pnom or reactive power Snom will be used to select a power with constant active or constant reactive power.

P/Pnom

Active power in p.u. (= Pnom)

V/Vnom

Amount of the voltages measured at the network connection point (NCP) of the 3-phase source in p.u. (= Vnom)

  • Please Note

ATPDesigner calculates the average value of the amounts of the three phase-to-ground voltages measured at the network connection point (NCP) of the 3-phase source.

V/Vnom = ((VAG + VBG + VCG) / 3) / (Vnom / √3)

Cos Phi

Displacement factor cos φ

  • Please Note

The displacement factor can be only defined in the range [0, 1].

0: Over-Excited, 1: Under-Excited

Operation mode of the point (P/Pnom, Cos Phi) or (V/Vnom, Cos Phi) according the displacement factor cos φ

  • Please Note

The operation mode can be only set using the both values 0 or 1.

    • Under-Excited: Setting = 0
    • Over-Excited: Setting = 1

ATPDesigner calculates the displacement factor cos φ using a linear equation between the points of the characteristic. ATPDesigner also takes the operation mode over-excited or under-excited into consideration calculating the phase shift between the phase-to-ground-voltages and the corresponding phase currents.

No.

Number of entries (lines) of the list

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


3-Phase Source - Q/P-Characteristic

ATPDesigner provides also a Q/P-characteristic which defines the Q/P-capabilities of the source. During the load flow calculation ATPDesigner checks at the end (if the load flow analysis has been successfully finalized) whether the current Q/P-operating point as the result of the current iteration step is

    • inside: inside the characteristic curve or on the characteristic curve of the Q/P-characteristic

or

    • outside: outside the characteristic curve of the Q/P-characteristic.

The result will be shown in the Messages Window as shown in the figure below.

No.

Number of the data points of the list

Sr

Rated apparent power

The apparent power infeed into the power network at the network connection point (NCP) will be limited to the apparent power Sr.

Q/P Operation Point

    • None

The load flow algorithm verifies after each iteration step, whether the operating point (Q, P) is inside or on the characteristic curve of the Q/P-characteristic. The results will be written into the Phase Adjusting File and shown in the Messages Window . In addition the result of the last iteration step will be shown in a list displayed in the Messages Window. The operating point (Q, P) will be not modified.

    • Smax = Sr

In addition to None, the load flow algorithm verifies after each iteration step, if the current apparent power is higher than the rated apparent power Sr. If S > Sr, the current apparent power will be limited to S = Sr.

Copy

The data points of the Q/P-characteristic will be copied into the clipboard as shown below e.g. to be inserted in a Excel spread sheet.

No;Q/Qnom;P/Pnom

1;-0,25;0

2;-0,75;0,25

3;-0,9;0,9

4;0,9;0,9

5;0,75;0,25

6;0,25;0

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


3-Phase Source - VDE 0102 (IEC 60909)

The figure below shows the tab VDE 0102 (IEC 60909) two define the short-circuit current Ik" to be used if a short-circuit calculation according VDE 0102 will be processed.

Ik"

Short-circuit current used processing a short-circuit calculation according VDE 0102

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Renewable Power Infeed

Read also about the RPI Control System

  • Please Note

The Renewable Power Infeed can be only used for the calculation of transients, not for Load Flow Analysis (ATP Steady State).

    • In case of a Load Flow Analysis the 3-Phase Source network element must be used.

The network element Renewable Power Infeed can be used to simulate an electrical power infeed and battery storages using inverters but only in case of the calculation of transients, not for Load Flow Analysis (ATP Steady State). The settings dialog will be also shown below. The implementation will be done based on the ATP programming language MODELS . ATPDesigner will automatically write the required MODELS source code into the .ATP-File . The network element supports different operation modes e.g. P = const. or S = const. . Part of the network element is a PLL (phase locked loop) to detect the phase angles of the voltages at the Measuring Location and a control scheme. The LVRT-Mode (Low Voltage Ride-Through) and HVRT-Mode (High Voltage Ride-Through)has also been implemented.

  • Please Note

It is possible to use the RPI Control System e.g. for a wind farm with one or more wind power stations. The RPI Control System is part of the functions of a Probe . It is also possible to add a battery storage to the wind farm, which can be also controlled by the RPI Control System. The figure below shows an example of a wind farm which consists of three wind power station and a battery storage. Probe P1 will be used as RPI Control System at the Network Connection Point (NCP).

Read also about the RPI Control System

  • Please Note

This network element can be only used for transient simulations, not for steady state calculations.

The figure below shows the internal structure of the RPI model based on a current source at the fundamental frequency, which will be regulated to achieve the input power P(t) and the displacement factor cos φ. The behavior of an inverter can be simulated by a PTx element.

Characteristic of the Active Power P(t)

The user can define a time dependent behavior of the active power P(t) by defining several points [Time, P/Pnom] of a P(t) - characteristic. Executing the calculation of the transients ATP uses a linear interpolation method to calculate P(t) - values between the specified points of the characteristic. In addition a part of the active power can be modified by a random function to realize a more realistic scenario as well known from wind power plants. The settings are part of the tab Control Settings explained below.

Operation Mode

  • Pnom (Ip:3p) = const.

ATPDesigner uses three single-phase-to-ground current sources to realize a symmetrical, 3-phase current source.

  • Pnom (Ip:1p) = const.

ATPDesigner uses only one single-phase-to-ground current source to realize a unsymmetrical, 1-phase current source.

  • Pnom (Ip:3p PWM) = const.

ATPDesigner uses a voltage source with Pulse Width Modulation (PWM)

    • Please Note

If this operation mode has been selected an external inductance Imp 1 must be used to realize a power inverter e.g. by using a RLC Impedance as shown in the figure below. In addition a Probe connected in between the network element RPI and the external Inductance can be used to measure voltages and currents.

Cos Phi - Mode

  • cos phi = const.

ATPDesigner uses the displacement factor cos ϕ set in the tab shown above

  • cos phi (P)

ATPDesigner uses the displacement factor characteristic set in the tab Cos Phi

  • cos phi (V)

ATPDesigner uses the displacement factor characteristic set in the tab Cos Phi

NCP

Network Connection Point

Measuring location of phase-to-ground voltages and phase currents to calculate e.g. the displacement factor, apparent power, active and reactive power

  • RPI

Phase-to-ground voltages and phase currents will be measured at the node of the Renewable Power Infeed.

  • Prb x

Phase-to-ground voltages and phase currents will be measured by the Probe Prb x.

  • Please Note

The load flow algorithm implemented in ATPDesigner tries to adjust only the displacement factor cos φ at the NCP.

Op.Mode

Operation mode to calculate the amount of the phase currents Ip (not yet used)

Vaverage

Operation mode to calculate the average value of the phase-to-ground voltage Vav at the network connection point NCP

The amounts of the phase-to-ground or the phase-to-phase voltages can be scaled by the scaling factors shown below, which can be found in the tab Control Settings.

  • Vav=f(Vpg)

The model uses the average value Vav of the phase-to-ground voltages to calculate the amount of the phase currents Ip according the Operation Mode

Vav = (VAG ⋅ Scaling VAG, VAB + VBG ⋅ Scaling VBG, VBC + VCG ⋅ Scaling VCG, VCA) / 3

Vav = Vav / ((Scaling VAG, VAB + Scaling VBG, VBC + Scaling VCG, VCA) / 3)

  • Vav=f(Vpp)

The model algorithm uses the average value Vav of the phase-to-phase voltages to calculate the amount of the phase currents Ip according the Operation Mode

Vav = (VAB ⋅ Scaling VAG, VAB + VBC ⋅ Scaling VBG, VBC + VCA ⋅ Scaling VCG, VCA) / ( 3 ⋅ √3 )

Vav = Vav / ((Scaling VAG, VAB + Scaling VBG, VBC + Scaling VCG, VCA) / 3)

  • Please Note

The average value Vav is a virtual phase-to-ground voltage: Vav = Vpg average (see figure above)

Scaling VAG, VAB

Scaling factor for the phase-to-ground voltage VAG or the phase-to-phase voltage VAB

Scaling VBG, VBC

Scaling factor for the phase-to-ground voltage VBG or the phase-to-phase voltage VBC

Scaling VCG, VCA

Scaling factor for the phase-to-ground voltage VCG or the phase-to-phase voltage VCA

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Snom

Nominal apparent power

Pnom

Nominal active power

No. [T, P]

Number of entries (lines) of the list to define the Active Input Power P(t)

Time [s], P/Pnom [p.u.]

It is possible to define the time dependent behavior of the Active Input Power P(t) by a list of data pairs [T, P/Pnom]. Therefore it is possible to simulate the fluctuation of the primary active power e.g. taken from the wind or solar energy.

  • Please Note

The active power P/Pnom of the list is related to the nominal active power Pnom.

  • Please Note

It is possible to define P/Pnom < 0. In this case the active power will be consumed e.g. as usually for loads. It is also possible to define a battery storage system, which can infeed or store electrical energy.

cos ϕ

Displacement factor cos ϕ = Pnom / Snom

The displacement factor cos ϕ can be set to over-excited or under-excited.

  • cos ϕ > 0 : Under-Excited (Leading)
  • cos ϕ < 0 : Over-Excited (Lagging)

Vnom

Nominal voltage

  • Please Note

If the nominal voltage Vnom has been changed, ATPDesigner automatically changes the supply voltage Vc in the tab Control Settings .

Inom

Nominal current

Imax

Maximum phase current in percent of the nominal phase current

The amount of the phase currents will be monitored to identify the maximum amount. If the amount of one of the phase currents exceeds the maximum phase current Imax, the corresponding timer stage Imax T1 [ms] will be started. If the starting time has been elapsed the power infeed will be disconnected from the power network. The amount of the phase currents will be always limited to Imax, also in the LVRT/HVRT-Mode.

  • Please Note

It is possible that the power infeed will be automatically reconnected after some periods. In this case transients can be seen in currents, voltages and power.

Start Time

Time at which the power infeed becomes active

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings of all tabs

Help

Open the corresponding chapter in the help file

Overvoltage and Undervoltage Protection

ATPDesigner also provides an undervoltage- and overvoltage protection. It can be selected, if either the phase-to-ground voltages or the phase-to-phase voltages will be used to process the V<> - protection. This protection function operates independent of the calculation of the voltage value V average using its own voltage Vpp or Vpg calculation.

    • Vpg [kVrms] : phase-to-ground voltages
    • Vpp [kVrms] : phase-to-phase voltages
    • Vpg [p.u. Vc] : phase-to-ground voltages, 1 p.u. = Vc / √3
    • Vpp [p.u. Vc] : phase-to-phase voltages, 1 p.u. = Vc

    • Using phase-to-ground voltages
      • V> = 1 if (VAG > V>) OR (VBG > V>) OR (VCG > V>)
      • V< = 1 if (VAG < V<) OR (VBG < V<) OR (VCG < V<)

    • Using phase-to-phase voltages
      • V> = 1 if (VAB > V>) OR (VBC > V>) OR (VCA > V>)
      • V< = 1 if (VAB < V<) OR (VBC < V<) OR (VCA < V<)

  • Please Note

The thresholds of the over- and undervoltage protection are related to the supply voltage Vc at the network connection point (NCP).

V<

Threshold to detect an under voltage condition

If one of the phase-to-ground-voltages or phase-to-phase-voltages is less than the threshold, the corresponding V<: Starting Time T1 will be started. If the Starting Time has been elapsed, ATPDesigner automatically disconnects the source from the power network, if greater, ATPDesigner automatically reconnects the source to the power network ignoring the starting time. If the voltages exceed the threshold if the starting time is still enabled, the starting time will be reset.

V>

Threshold to detect an over voltage condition

If one of the phase-to-ground-voltages or phase-to-phase-voltages is higher than the threshold, the corresponding V>: Starting Time T1 will be started. If the Starting Time has been elapsed, ATPDesigner automatically disconnects the source from the power network, if greater, ATPDesigner automatically reconnects the source to the power network ignoring the starting time. If the voltages underrun the threshold if the starting time is still enabled, the starting time will be reset.

V<<

Threshold of the undervoltage detection

The undervoltage detection monitors the average value of the amount of the phase-to-ground or phase-to-phase voltages. If the average value of the amount is less than the threshold the power source will be immediately disconnect from the power network, if greater reconnected to the power network.

The over-/undervoltage protection generates a Trip Command RTPxxx if the corresponding starting time has been elapsed.

MODELS Output Signals

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

Name

Description

RVAxxx

V>/V<-Protection:

Average value of the phase-to-ground voltages or the phase-to-phase voltages depending on the setting for the under-/overvoltage protection in p.u.

    • Vpg [kVrms], Vpg [p.u. Vc]

Average value of the amount of the phase-to-ground voltages

1 p.u. = Vc / √3

    • Vpp [kVrms], Vpp [p.u. Vc]

Average value of the amount of the phase-to-phase voltages

1 p.u. = Vc

RVIxxx

Calculation of the amount I of the current source:

Average value of the phase-to-ground voltages or the phase-to-phase voltages in p.u. depending on the setting of the operation mode Vaverage

RTPxxx

V>/V<-Protection:

Status Message: TRIP-command V< - and V> - protection
0 = TRIP-command disabled, 1 = TRIP-command enabled

RIMxxx

Status Message: Imax limit detection, 0 : disabled, 1 : enabled

RLVxxx

Status Message: LVRT (Low Voltage Ride Through)
0 = LVRT-mode disabled, 1 = LVRT-mode enabled

RHVxxx

Status Message: HVRT (High Voltage Ride Through)
0 = HVRT-mode disabled, 1 = HVRT-mode enabled

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 3 or higher

Name

Description

RPHxxx

Absolute phase angle of the phase-to-ground-voltage vA(t) in rad

RDPxxx

Deviation of the current phase angle of the phase-to-ground-voltage vA(t) in rad

RIAxxx

Phase current iA(t) in A

RIBxxx

Phase current iB(t) in A

RICxxx

Phase current iC(t) in A

RIPxxx

Peak value of the phase currents iABC(t) in A

RPPxxx

Active power P in kW

RTRxxx

Status Message:
Inverter disconnected from the power network (0 = disabled, 1 = enabled)

RLSxxx

Primary active power P(t) in kW

RVKxxx

Status Message: V<< - detection (0 = disabled, 1 = enabled)

RPCxxx

Input value of the cos phi (P) - characteristic

RPNxxx

Primary active power P(t)/Pnom in p.u.

RCPxxx

Displacement factor cos φ according the shifted cos phi (V) - characteristic

  • cos φ < 0 : over-excited (reactive power Q → power network)
  • cos φ > 0 : under-excited (reactive power Q ← power network)

RCKxxx

Displacement factor cos φ to calculate the active and reactive power

RQVxxx

Input value of the cos phi (V) - characteristic

RQCxxx

Displacement factor cos φ calculated based on the cos phi (V) - characteristic

RV1xxx
RV2xxx
RV3xxx

PWM: Pulse width modulated DC-voltages of the phases A=1, B=2 and C=3

RVTxxx

PWM: Triangle voltage source to generate the PWM-voltages

RC1xxx
RC2xxx
RC3xxx

PWM: Sinusoidal reference voltages of the phases A=1, B=2 and C=3

RIWxxx

Amount of the active phase current [A] (= current of the positive-sequence system)

RIRxxx

Amount of the reactive phase current [A] (= current of the positive-sequence system)

  • < 0 : under-excited (reactive power Q ← power network)
  • > 0 : over-excited (reactive power Q → power network)

RPTxxx

Time dependant behavior of the active power P(t) using the random (stochastic) settings

RWPxxx

Amount of the active phase current [p.u.], 1 p.u. = Inom

RRPxxx

Amount of the reactive phase current [p.u.], 1 p.u. = Inom

RDVxxx

Maximum deviation of the phase-to-phase-voltages related to the supply voltage Vc at the network connection point (NCP)

Δvpp max = max (VAB - Vc, VBC - Vc, VCA - Vc) / Vc

RDIxxx

Reactive current ΔIB which will be infeed additionally to the reactive current IB before the LVRT-mode has been detected acc. Transmission Code 2007

ΔiB = k (Vc) ⋅ Δvpp max

Displacement Factor cos φ

The figure below shows an example of the cos phi (P) characteristic and an example of the cos phi (V) characteristic. The displacement factor cos φ can be set for both characteristics to over-excited or under-excited.

    • Cos Phi > 0 : Under-Excited (Leading)
    • Cos Phi < 0 : Over-Excited (Lagging)

  • Characteristic cos phi (P) - [P/Pnom, Cos Phi]

The active power must be set in p.u. related to the nominal Active Power P nom .

  • Characteristic cos phi (V) - [V/Vc, Cos Phi]

The voltage must be set in p.u. related to the Supply Voltage V c at the network connection point (NCP). The input voltage V will be calculated by a DFT based algorithm using the phase-to-ground or the phase-to-phase voltages measured at the network connection point (NCP). ATPDesigner uses the average voltage V average as the input value.

No.

Number of entries (lines) of the list

Hysteresis

Hysteresis of the cos phi (V) - characteristic

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file

Control Settings, LVRT-Mode (Low Voltage Ride-Through), HVRT-Mode (High Voltage Ride-Through)

The figure below shows the settings used by the MODELS based control algorithms. This model also uses a PT1 or PT2 element considering the characteristics of real inverters.

  • Please Note

This network element also supports the so called LVRT-Mode : Low Voltage Ride-Through and HVRT-Mode : High Voltage Ride-Through.

If the LVRT/HVRT-Mode has been enabled,

    • the active current IW0 and the reactive current IB0 will be stored at the moment the LVRT/HVRT-Mode has been enabled.
    • the PLL still works to detect the phase angles of the voltages at the Measuring Location and will be always used to realize the displacement factor cos φ during the LVRT/HVRT-Mode.
    • the displacement factor cos φ will be calculated independent on the Cos Phi - Characteristic and the Cos Phi - Mode .
    • the reactive current IB depends be only by the reactive current IB0 and the additional reactive current ΔiB defined by the k-Factor .
    • the reactive current IB will be continuously calculated as long as the LVRT/HVRT-Mode is enabled.

The V< and V> thresholds to detect the LVRT- or the HVRT-Mode are thresholds with a hysteresis to avoid unstable or oscillating starting signals. This hysteresis may be not set to value which is to high or to low.

  • Please Note

In principle the LVRT- and the HVRT-Mode can be enabled in parallel depending on the V<> voltage monitoring. But nevertheless the reaction of the model can not be predicted for this case. Therefore such critical situations shall be avoided.

V>: Starting Time T1 [ms]

Starting time of the overvoltage protection function

V<: Starting Time T1 [ms]

Starting time of the undervoltage protection function

NCP: Vc [kV]

Supply voltage at the network connection point (NCP)

The supply voltage at the NCP may be not identical with the nominal voltage Vnom at the NCP.

LVRT/HVRT: Hysteresis V> [%]

Hysteresis of the V> thresholds to avoid an unstable or oscillating starting signal

LVRT/HVRT: Hysteresis V< [%]

Hysteresis of the V< thresholds to avoid an unstable or oscillating starting signal

HVRT: V> [p.u. Vc]

Threshold to monitor the HVRT-Mode

The amount of the phase-to-phase voltages will be analyzed to detect the HVRT-Mode. If one of the three amounts of the phase-to-phase voltages is higher than the threshold the HVRT-Mode will be enabled. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

  • The internal threshold will be set to (1 + setting).

HVRT: V< [p.u. Vc]

Threshold to monitor the HVRT-Mode

The amount of the phase-to-phase voltages will be analyzed to detect the HVRT-Mode. If all of the three amounts of the phase-to-phase voltages are less than the threshold the HVRT-Mode will be disabled. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

  • The internal threshold will be set to (1 - setting).

LVRT: V< [p.u. Vc]

Threshold to monitor the LVRT-Mode

The amount of the phase-to-phase voltages will be analyzed to detect the LVRT-Mode. If one of the three amounts of the phase-to-phase voltages is less than the threshold the LVRT-Mode will be enabled. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

  • The internal threshold will be set to (1 - setting).

LVRT: V> [p.u. Vc]

Threshold to monitor the LVRT-Mode

The amount of the phase-to-phase voltages will be analyzed to detect the LVRT-Mode. If all of the three amounts of the phase-to-phase voltages are higher than the threshold the LVRT-Mode will be disabled. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

  • The internal threshold will be set to (1 + setting).

LVRT/HVRT: k (Vc)

Factor to define the additional reactive current infeed, if the LVRT- or HVRT-Mode has been enabled. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

If the LVRT/HVRT-Mode has been enabled, ATPDesigner calculates the three phase-to-phase voltages Vpp using a DFT (Discrete-Fourier-Transformation) in p.u. ATPDesigner uses the supply voltage Vc to calculate the decrease/increase of the phase-to-phase voltages.

    • Δvpp = (Vpp - Vc) / Vc

Now ATPDesigner identifies the phase-to-phase voltage Δvpp max with the maximum amount and the additional reactive current to be infeed.

    • ΔiB = k (Vc) ⋅ Δvpp max

The reactive current IB0 is the reactive current at the time the LVRT/HVRT-Mode has been enabled. The reactive current IB0 will be frozen as long as the LVRT/HVRT-Mode is still enabled.

    • ΔIB = ΔiB ⋅ Inom
    • IB = IB0 + ΔIB

It will be checked if also active current IW can be infeed.

    • IW2 = Imax2 - IB2
    • If IW2 > 0: active current IW will be infeed

The displacement factor cos φ:

    • cos φ = IW / IP

LVRT/HVRT: ZPM (0=Off/1=On)

if the Zero-Power-Mode is enabled the phase current takes 0A during the LVRT/HVRT-Mode.

  • = 1: Zero-Power-Mode (ZPM) is enabled
  • = 0: Zero-Power-Mode (ZPM) is disabled

LVRT/HVRT: Dead-Band dV [p.u. Vc]

If the voltage Δvpp is less than the dead-band, the additional reactive current will be set to 0A during the LVRT/HVRT-Mode. This setting must be set related to the supply voltage Vc at the network connection point NCP: Vc.

Operation Mode PTx (x=1,2)

The dynamic performance (transmission behavior) can be specified either the behavior of a PT1 or a PT2 element.

  • 1

Dynamic performance corresponding a PT1 element

F(s) = K / (1 + T⋅s)

  • 2

Dynamic performance corresponding a PT2 element

F(s) = K / (1 + 2DT⋅s + T2⋅s2)

PT1: Gain Factor K

Gain factor K of the PT1 element

PT1: Time Delay T [s]

Time delay T of the PT1 element

PT2: Gain Factor K

Gain factor K of the PT2 element

PT2: Time Delay T [s]

Time delay T of the PT2 element

PT2: Damping Factor D

Damping factor D of the PT2 element

Imax T1 [ms]

Starting time to monitor the maximum phase current

Start Time

Time at which the function becomes active (= TSTART in the ATP Rule Book)

Stop Time

Time at which the function becomes inactive (= TSTOP in the ATP Rule Book)

P(t): P (stoch.) [%]

Random (stochastic) part of the active power P(t)

The active power P(t) is always ≤ Pnom.

P(t): Tmin (stoch.) [ms]

Minimum time which must be elapsed before the random (stochastic) part of the active power P(t) will be changed.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


Power Plant and Generator

ATPDesigner uses the S.M. 95 model pf the ATP. It is recommended to study the details of the model in the ATP Rule Book the chapter "Three-Phase Dynamic Synchronous Machine Source".

  • Generator
  • Generator - Short-Circuit Calculation acc. VDE 0102 (IEC 60909)
  • Generator - Speed Control and Voltage Control
  • Generator - ATP Related Settings
  • Multi-Mass Model of Turbines, Generator, Exciter and Shafts
  • MODELS based Output Signals
  • Output Signals MACH x - ... (ATP's S.M. 59 Model)


Generator

Read also TACS Management System

Read also .NET - File 24: Speed Control of a 400MVA Generator

Read also Model of a Power Plant (ATP's S.M. 59 Model)

Read also Output Signals MACH x - ... (ATP's S.M. 59 Model)

Read also about short-circuit calculation acc. VDE 0102 (IEC 60909)

The network element Generator can be used to simulate the electrical and mechanical behavior of 3-phase synchronous machine including the mechanical behavior of turbine(s) and optionally an exciter. The details of the model must be studied in the ATP Rule Book the chapter "Three-Phase Dynamic Synchronous Machine Source". The figure below shows the structure of the 3-phase synchronous machine (copied out of the ATP Rule Book). The current release of ATPDesigner supports only a single-mass model of the 3-phase synchronous machine. The electrical frequency of the generator fG can be set different to the electrical frequencies of all other generators and different to the nominal frequency fN of Network Infeed 1 . In addition MODELS based control algorithms can enabled to implement a Voltage Control and/or a Speed Control of the generator.

  • Please Note

ATPDesigner supports a Single-Mass-Model as well as a Multi-Mass Model.

S.M. Generator and TACS Management System

The TACS interface is part of the TACS Management System implemented in ATPDesigner. The TACS Management System presents all TACS control signals, which are defined from any TACS "producing" network elements e.g. TACS Data Card , in a ComboBox. Therefore the TACS Management System provides the user of ATPDesigner displaying only the available TACS control signals in a user friendly ComboBox. The figure below shows the settings dialog implemented in ATPDesigner, which shall be used to configure the electrical and mechanical data of the 3-phase synchronous machine model of the ATP.

Name

User specific name of the generator displayed in the network graphics

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color)

Short-Circuit Time Constants

Enable short-circuit time constants

Open-Circuit Time Constants

Enable open-circuit time constants

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Additional settings can be enabled and set in additional tabs.

  • VDE 0102

Open the settings dialog to define the settings related to the short-circuit calculation acc. VDE 0102 (IEC 60909)

  • Control Settings

Settings of the speed and voltage control algorithm

  • Mechanical Data

Open the settings dialog to define the mechanical settings of the Multi-Mass Model of turbine(s), generator and exciter

  • Please Note

This button will be only enabled, if the setting No. of Masses has been set to 2 or higher.

General Rules

    • Reactances and time constants must be unsaturated values. Therefore short-circuit time constants are preferred over open-circuit time constants, because open-circuit time constants are influenced by saturation effects. Nevertheless either open-circuit or short-circuit time constants can be used to simulate the generator.

    • The generator model is designed as a three-phase balanced source at the machine terminals.

    • The options "Short-Circuit Time Constants" and "Open-Circuit Time Constants" are used to distinguish the type of constants.

    • The armature windings are assumed to be WYE (Y) connected.

Model of a 3-Phase Generator

The model of the 3-phase generator is based on the reactances related to the d (direct)-axis and q (quadrature)-axis of the generator (see figure below).

The reactances Xd (related to the d-axis) and Xq (related to the q-axis) are nearly identical for cylindrical-rotor generators, but not for salient-pole generators.

  • Cylindrical-rotor generators: Xd = Xq
  • Salient-pole generators: Xd > Xq

The figure below shows typical resistances and time factors for both types of generators.

General Technical Data

SrG

Rated apparent power

fG

Electrical frequency of the generator

fN

Nominal frequency of Network Infeed 1 if enabled as part of the power network

VrG

Rated phase-to-phase voltage

Irf

Value of field current, which will produce rated armature voltage VrG / √3

J

Moment of inertia of mass

ra

Armature resistance in p.u.

phi

Phase angle of the symmetrical 3-phase-voltage-system in degree

RN

Resistance (real part) of the neutral-point grounding impedance in Ohm

XN

Reactance (imaginary part) of the neutral-point grounding impedance in Ohm

Settings of the Mechanical Model

Number of Poles

Number of poles (NP) of the generator, NOT the number of pole pairs

    • Mechanical rotating speed [1/s] = electrical frequency [Hz] / (number of poles (NP) / 2)

No. of Masses

Number of masses to represent the turbine(s), the generator and the exciter

  • Please Note about the Mechanical Model

The simplest model of the combination of one or more turbine(s), a generator and an exciter rotating on a common shaft is the Single-Mass Model. Using this model the "sum" of turbines, generator, exciter and shafts will be simulated by ONE mass from the mechanical point of view. Therefore it is sufficient to use only Moment of Inertia for the Single-Mass Model. The Moment of Inertia of the Single-Mass Model can be set using the setting J .

Nevertheless ATP and therefore ATPDesigner provides also a Multi-Mass Model. This more complex mechanical model simulates the mechanical behavior of of the "sum" of turbine(s), a generator and an exciter rotating on several shafts using a Multi-Mass Model. Read more details in the ATP Rule Book Chapter VIII.

Read also Model of a Power Plant (ATP's S.M. 59 Model)

Reactances

xl

Armature leakage reactance in p.u.

x0

Zero-sequence reactance in p.u.

xd

Direct-axis (d-axis) synchronous reactance in p.u.

xq

Quadratur-axis (q-axis) synchronous reactance in p.u.

xd'

Direct-axis (d-axis) transient reactance in p.u.

xq'

Quadratur-axis (q-axis) transient reactance in p.u.

xd''

Direct-axis (d-axis) subtransient reactance in p.u.

xq''

Quadratur-axis (q-axis) subtransient reactance in p.u.

  • Please Note

The reactances are related to the rated impedance ZrG = UrG2 / SrG.

Time Constants depending on Open/Short-Circuit Data

Td0'

Direct-axis short/open-circuit transient time constant in seconds

Tq0'

Quadratur-axis short/open-circuit transient time constant in seconds

Td0''

Direct-axis short/open-circuit subtransient time constant in seconds

Tq0''

Quadratur-axis short/open-circuit subtransient time constant in seconds

Default Settings of Predefined Generators

400 MVA

Load the default settings for a typical 400MVA generator

780 MVA

Load the default settings for a typical 780MVA generator

850 MVA

Load the default settings for a typical 850MVA generator

1500 MVA

Load the default settings for two 750MVA generators connected in parallel.


Generator - Short-Circuit Calculation acc. VDE 0102 (IEC 60909)

ATPDesigner also supports the short-circuit calculation acc. VDE 0102 (IEC 60909). Please read more in the chapter VDE 0102 (IEC 60909) . The figure below shows the settings dialog to define the VDE 0102 (IEC 60909) related settings of the generator. The VDE 0102 related tab of the settings dialog contains all settings which are important to process the short-circuit calculation. Some of these settings e.g. SrG are also part of other tabs of the settings dialog.

SrG

Rated apparent power

VrG

Rated phase-to-phase voltage

VnG

Nominal phase-to-phase voltage

phi

Phase angle φ between the rated current IrG and the rated voltage VrG

±pG

Position of the tab changer

xd''

Direct-axis (d-axis) subtransient reactance in p.u.

xdsat

Direct-axis (d-axis) synchronous reactance in p.u. (saturated)

x0

Zero-sequence reactance in p.u.

x2

Negative-sequence reactance in p.u.

Z2 = Z1

If enabled: Z2 = Z1

If disabled: the negative-sequence impedance will be calculated using the setting x2.

rG

Armature resistance in p.u.

Neutral Point Connection

  • isolated
  • compensated
  • solid grounded
  • impedance grounded

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Generator - Speed/Voltage Control, TACS/MODELS

Generator - Speed Control and Voltage Control, Interface to TACS/MODELS

If one or both of the options Speed Control and/or Voltage Control has been enabled, ATPDesigner automatically implements control algorithms using the MODELS of the ATP. The settings dialog can be opened via the tab control Control Settings as shown below.

Voltage Control (VC)

Enable the voltage control algorithm based on MODELS

Speed Control (SC)

Enable the voltage control algorithm based on MODELS

Now the settings of the control system below.

  • VC : Settings of the Voltage Control Algorithm
  • SC : Settings of the Speed Control Algorithm

VC: Max. Field Voltage

Maximum field voltage (upper limitation)

VC: Min. Field Voltage

Minimum field voltage (lower limitation)

VC: Gain Factor Ka (PT1)

Gain factor of the PT1-element

VC: Ta (PT1)

Time constant of the PT1-element

VC: Gain Factor Ke (PT1)

Gain factor of the PT1-element

VC: Te (PT1)

Time constant of the PT1-element

VC: Gain Factor Kf (PDT1)

Gain factor of the PDT1-element

VC: Tc (PDT1)

Time constant of the PdT1-element

VC: Tf (PDT1)

Time constant of the PfT1-element

SC: Max. Power

Maximum active power (upper limitation)

SC: Min. Power

Minimum active power (lower limitation)

SC: Gain Factor (DF)

Multiplication factor for the frequency deviation df = f(t) - fnom

SC: Gain Factor (PT1)

Gain factor of the PT1-element

SC: T1 (PT1)

Time constant of the PT1-element

SC: Fdead

Dead band of the speed control algorithm analyzing the current network frequency f(t)

If the amount of the frequency deviation Δf = | f(t) - fnom | ≤ Fdead, the frequency deviation Δf will be set to Δf = 0.

  • MODELS Source Code
    • if abs (DF) <= FDEAD then DF := 0 endif

TACS / MODELS Management System

ATPDesigner supports also the TACS Data interface both from the electrical part (branch cards) to TACS / MODELS (Data Interface: TACS/MODELS → Generator) and otherwise from TACS to the electrical part (branch cards) (Data Interface: Generator → TACS/MODELS).

Data Interface: TACS/MODELS → Generator

  • Mechanical Power

If the mechanical power applied to any mass on the shaft system is to be controlled by dynamics which have been modeled using TACS/MODELS.

  • Field Voltage

If the field voltage of the machine is to be controlled by the exciter dynamics which have been modeled using TACS/MODELS.

Data Interface: Generator → TACS/MODELS

This interface can be used if an internal electrical or mechanical variable has to be passed to TACS or MODELS. The names of the interface signals depend on the number of masses used for the model. In addition ATPDesigner automatically creates a Signal Source TACS Type 92 Data Card "Internal Variable of Special EMTP Components" for all enabled output signals. Therefore the user can directly use these output signals as TACS input signals without defining any additional TACS Data Card . The code sequence shown below gives an example for such an internal data interface based on TACS .

C S.M.59

C Interface Generator >>> TACS

C ----------------------------------------------------------

C

C Signal Source: TYPE = 92

C Name |## A | B | C |###################| TStart | TStop |

92VELOC ...

33VELOC

Read more details about TACS Data Card

For the Single-Mass Model

  • Angular Velocity

The angular velocity passed to TACS, in radians / second, is an absolute velocity. It is possible to calculate the electrical frequency based on the angular velocity using the equation shown below. The parameter p is the number of pole pairs : p = NP / 2.

felectrical [Hz] = (angular velocity ⋅ p) / 2π

  • Angle

The angle is passed to TACS in units of absolute radians. The value of the TACS variable is increased 2πf / (NP / 2) radians every second, where f is equal to the current network frequency.

Example:

Generator with 2 pole pairs (number of poles NP = 4), fnom = 50Hz : TACS variable ANGLE increases 2πfnom / (NP / 2) = 2π50Hz / (4 / 2) = 2π25Hz = π50Hz

The TACS variable ANGLE increases π every cycle = 20ms.

  • Please Note

It is possible to calculate the machine data ANGx processing the machine data ANGLE.

φ0 = ANGLE - (2πt / (p ⋅ T))

with T = 1 / fnom, p = NP / 2

For the Multi-Mass Model

x = Number of the mass, x = 1 .. N

  • Angular Velocity [x]

The angular velocity passed to TACS, in radians / second, is an absolute velocity.

  • Angle [x]

The angle is passed to TACS in units of absolute radians. The value of the TACS variable is increased 2πf / (NP / 2) radians every second.

  • Shaft Torques [x]

Shaft torques are passed in million Newton-meters (= 106Nm).

Shaft between mass x and x+1

For Both Models

  • Field Winding Current If

Field Winding Current If [A]

  • Field Winding Voltage Vf

Field Winding Voltage Vf [V]

  • Torque of Machine

Electromagnetic torque of the machine [10^6Nm]

  • Vd d-Axis

Voltage applied to the d-axis [V]

  • Vq q-Axis

Voltage applied to the q-axis [V]


Generator - ATP Related Settings
  • Please Note

Read more detailed explanations in the ATP Rule Book chapter VIII page 9.

EPSUBA

Number specifying the ratio between the built-in damping resistors and the resistive models of the inductive elements paralleled by these resistors.

EPOMEG

Tolerance associated with the iterative calculation of S.M. rotor speed at each-time of the simulation. The calculation is assume to have failed when the relative speed correction is greater than this tolerance after NIOMAX iterations.

EPDGEL

Tolerance associated with the iterative calculation of S.M. rotor speed at each-time of the simulation. The calculation is assume to have converged when the relative speed correction is less than this tolerance. If the relative speed correction is larger than this tolerance but smaller than EPOMEG the solution is assumed to have converged marginally and an appropriate warning is printed.

NIOMAX

Maximum number of iterations which are allowed for the calculation of the S.M. rotor speed, at any time-step.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Multi-Mass Model of Turbines, Generator, Exciter and Shafts

Read also TACS Management System

Read also .NET - File 24: Speed control of a 400MVA generator

Read also Generator

Read also Output Signals MACH x - ... (ATP's S.M. 59 Model)

Line ID of the Spreadsheet

  • Tx = Settings of the turbine mass no. x
  • G = Settings of the generator mass

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

No. of Masses

Number of masses which are part of the power plant

Settings of One Mass of the Mechanical System

The settings of each mass of the mechanical system will be defined in ONE LINE of the spreadsheet.

No. ID of the Spreadsheet

  • Tx = Settings of the turbine mass no. x
  • G = Settings of the generator mass

  • Caution !!!
    • The mechanical data of the Generator must be always defined in the LAST LINE of the spreadsheet.
    • The Exciter will be NOT modeled by a mass.

EXTRS [%]

The fraction in % [0% .. 100%] of the total external mechanical torque (power) which is associated with the corresponding mass

  • Generator

Fraction of the total external mechanical torque of this shaft system which is applied to this particular mass. If a pump, enter a negative value.

  • Motor

Fraction of the total external mechanical torque of this shaft system which is developed by this particular mass. If a pump, enter a positive value.

HICO [ kg⋅m² ] = [ kgm² ]

The moment of inertia of the corresponding mass

DSR [ Nm / (Rad / s) ]

The speed-deviation self-damping coefficient of the corresponding mass

T = DSR ⋅ ( ω - ω(s)), ω = 2 ⋅ π ⋅ f

    • T : particular damping torque under consideration of the corresponding mass
    • ω : Angular velocity of the corresponding mass
    • ω(s) : Synchronous mechanical velocity for the shaft system

DSM [ Nm / (Rad / s) ]

Mutual-damping coefficient

This pertains to the corresponding mass n and the mass with the next higher number n+1 (= mass in the next line of the spreadsheet). The damping in question is a function of the velocity difference between two masses.

T = DSM ⋅ ( ω(n) - ω(n+1) ), ω = 2 ⋅ π ⋅ f

    • T : particular damping torque under consideration of the corresponding mass
    • ω(n) : Angular velocity of the corresponding mass n
    • ω(n+1) : Angular velocity of the corresponding mass n+1

HSP [ (106Nm) / Rad ] = [ MNm / Rad ]

Spring constant

This pertains to the elastic connection between the present mass n and the mass with the next higher number n+1 (= mass in the next line of the spreadsheet).

DSD [ Nm / (Rad / s) ]

The absolut-speed self-damping coefficient of the corresponding mass

T = DSD ⋅ ω

    • T : associated damping torque on the corresponding mass
    • ω : Absolute angular velocity of the corresponding mass

  • Please Note

It will be noted that the settings DSM and HSP contain data which really does not belong to the corresponding mass (defined in the corresponding line of the spreadsheet), they will also pertain to the mass with the next higher number (= defined in the line of the spreadsheet with the next higher number).


MODELS based Output Signals
  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

Name | Description
GPWxxx | Angular displacement in synchronous generators [degree] The value will be only calculated if at least one Network Infeed has been enabled.
GFRxxx | Electrical frequency of the generator [Hz]
GNMxxx | Rotor speed [1/min]
GPGxxx | Active power of the turbine [p.u.]
GVFxxx | Field winding voltage [p.u.]
GVBxxx | Average of the amounts of the fundamental frequency of the three phase-to-ground voltages [p.u.]

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 4 or higher

Name | Description
GDFxxx | Frequency deviation [Hz] = Gain Factor (DF)  (fn - f(t))
GPHxxx | Mechanical angle of the rotor [degree]
GV1xxx | Amount of the phase-to-ground voltage VAG [V]
GV2xxx | Amount of the phase-to-ground voltage VBG [V]
GV3xxx | Amount of the phase-to-ground voltage VCG [V]


Output Signals MACH x - ... (ATP's S.M. 59 Model)

Read also TACS Management System

Read also .NET - File 24: Speed control of a 400MVA generator

Read also Generator

Read also Model of a Power Plant (ATP's S.M. 59 Model)

The S.M. 59 model of the ATP creates a lot of output signals, which can be displayed in diagrams. The node names of the output signals consist of a common name MACH n, where n is the number of the Generator (= S.M. 59 Model) in the order, which corresponds with the order of the data cards in the .ATP-File .

IA [Arms]

Current in phase A of the armature winding

IB [Arms]

Current in phase B of the armature winding

IC [Arms]

Current in phase C of the armature winding

ID [Arms]

Current in the d-axis armature winding

IQ [Arms]

Current in the q-axis armature winding

I0 [Arms]

Armature winding of the zero-sequence system

IF [Arms]

Field winding current

IKD [Arms]

Current in the d-axis damper winding

IKQ [Arms]

Current in the q-axis damper winding

IG [Arms]

Current in the eddy-current winding

VF [Vrms]

Voltage applied to the field winding

"This will be a constant voltage, unless the user explicitly specifies a connection to TACS exciter dynamics as part of the Class 6 S.M. data cards" (ATP Rule Book)

MFORCE [Arms]

The total mmf (magnetomotive force) in the air-gap of the machine

MANGLE [Rad]

The angle between the q- and the d-axis component of the total mmf

TQ GEN [106Nm]

Electromagnetic torque of the machine

TQ EXC [106Nm]

Elektromagnetic torque of the exciter

ANG x [Degree]

Angle of mass number x

Read how to calculate the machine data ANGx based on the machine data ANGLE.

VEL x [Rad / s]

Deviation of the rotor speed of mass number x

TOR x [106Nm]

Torque on the section of the shaft connecting mass x and mass (x + 1)

PSID

Flux linkage of the d-axis

PSIQ

Flux linkage of the q-axis

The figure below shows the names of the output signals of the first model of the Generator MACH 1 - ....


Transformer

Read also BCTRAN Transformers

Read also XFORMER Transformers

Read also SATURABLE Transformer

Read more about short-circuit calculation acc. VDE 0102 (IEC 60909)

The network element Transformer can be used to simulate a 3-Phase 2-Winding Power Transformer. The numerical model of the transformer and the corresponding settings dialog were designed based on the technical data, which are typically known for power transformers.

  • Excitation data (open-circuit data) (or so called no-load current)
  • Short-circuit data
  • Magnetization characteristic B = ƒ (H), B = magnetic induction, H = magnetic field intensity
  • Vector group e.g. Yy0 or Dy0
  • Neutral point connection e.g. isolated or Petersen coil grounded
  • Circuit breaker connected between the neutral-point of the transformer and ground
  • Additional neutral-point impedance to simulate a parallel or series impedance depending on the neutral-point connection:
    • Neutral-point "compensated" : parallel RLC-impedance
    • Neutral-point "impedance grounded" : series RLC-impedance
  • Second neutral-point can be enabled to connect other network elements
  • Automatic voltage regulation using a tap changer if the steady-state network calculation ( Short-Circuit Results ) Load Adjusting will be processed

The figure below shows the settings dialog which can be used to define the settings of the Transformer. For some of the settings the user can use the assigned "..." - Button to open a list with predefined values.

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

VrA

Rated voltage, winding A

The rated voltage will be used to calculate the parameter of the ATP based numerical model of the transformer.

VrB

Rated voltage, winding B

The rated voltage will be used to calculate the parameter of the ATP based numerical model of the transformer.

VnA

Nominal voltage, winding A

The nominal voltage will be used to identify common voltage levels of the power network e.g. to be drawn in specific colors ( Edit, Vnom Level ).

VnB

Nominal voltage, winding B

The nominal voltage will be used to identify common voltage levels of the power network e.g. to be drawn in specific colors ( Edit, Vnom Level ). In addition the nominal voltage VnB will be also used to calculate the impedance correction factor KT used to process the Short-Circuit Calculation based on VDE 0102 .

Tap Changer: Settings in % in the group box Nominal and Rated Voltages

The 2nd setting presented right to the rated voltage defines the value of the tap changer in % of the corresponding rated voltage. The data of the numerical model will be determined considering the rated voltage Vr AND the tap changer setting

  • Resulting rated voltage of the winding = rated voltage of the winding ⋅ (100% + tap changer setting [%])

For the example below:

  • Resulting rated voltage of winding A = 110kV
  • Resulting rated voltage of winding B = 20kV ⋅ (100% + (-10%)) = 20kV ⋅ 90% = 18kV

  • Please Note

The tap changer setting will be also used by the Automatic Voltage Regulator algorithm.

uk

Impedance voltage (per unit voltage) at rated current in %

uR

Active impedance voltage (per unit voltage) at rated current

The relation between the both parameters uR and Pk can be described as followed: uR = Pk / SrT

ZrA = ... x ZrB

Multiplication factor between primary and secondary impedances

VrA / VrB

Ratio between the rated voltages at winding A to winding B

IrA / IrB

Ratio between the rated currents at winding A to winding B

IrA

Rated current of winding A: IrA = SrT / (√3 ⋅ VrA)

IrB

Rated current of winding B: IrB = SrT / (√3 ⋅ VrB)

Pk

Short-circuit losses due to the copper resistance of the windings

If Pk = 0 kW : the copper resistances will be ignored, that means that the resistances R1 and R2 are not part of the ATP based Model of the Transformers . The relation between the both data uR and Pk can be described as follows: Pk = uR ⋅ SrT

Srt

Rated power in MVA

Magnetization Characteristic of the Positive-Sequence System (Excitation Data)

It will be assumed that the excitation current (open-circuit current) IL (also so called no-load current) has been measured at winding A with open-circuit winding B. The excitation impedance (open-circuit impedance) will be always connected to winding B. Because the excitation current has been measured at winding A with open-circuit winding B, ATPDesigner calculates the excitation current IL (measured at winding A) related to winding B considering the ratio VrA / VrB. The figure below shows how to measure the excitation impedance of the transformer. The excitation current IL can be easily measured using a Probe e.g. using the measurement data tooltips of Short-Circuit Analysis Results

Enabled

Enable or disable the numerical model, which represents the excitation data of the transformer (Rfe, Xμ)

  • Please Note

The excitation data can be disabled and in parallel the non-linear Magnetization Characteristic B = ƒ (H) can be enabled. In this case only the model of the transformer takes into account only the magnetization current but not the excitation losses PL.

IL

Excitation current (open-circuit current) in A, measured at winding A with open circuit winding B

The excitation current will be caused by the excitation losses (iron core losses) PL and the current flowing through the magnetization reactance Xμ.

PL

Excitation losses (iron core losses or idle running losses) in kW

if PL = 0 kW: the excitation losses will be ignored, that means that the resistances RFe used to represent the excitation losses are not part of the ATP based Model of the Transformers . The single-phase resistance RFe can be calculated as shown below:

RFe = VrA² / PL

If the calculation of the magnetization current fails the message shown below will be displayed.

Magnetization Characteristic of the Zero-Sequence System

X01

Ratio of zero-sequence and positive-sequence magnetization reactance X01 = X0 / X1

The figure below shows the X0 / X1 ration for different core types and different vector groups of the transformer. It is absolutely necessary to understand, that the both settings Vector Group and X01 = X0 / X1 ratio are NOT independent from each other. A combination of both settings which doesn't respect the physical behavior of the transformer will cause a non-realistic numerical transformer model and therefore a non-realistic simulation results

  • 3SK = 3 legged core design
  • 5SK = 5 legged core design
  • DB = 3 single-core transformers

Magn.Branch Winding A or Magn.Branch Winding B

The user can select if the magnetization reactance of the zero-sequence system will be connected to winding A or winding B of the transformer.

  • Caution !!!

As default the magnetization reactance of the zero-sequence system will be connected to the winding which contains the neutral-point connection. The setting will be always adapted, if the vector group has been changed. Please check the right connection of the zero-sequence magnetization reactance to winding A or B, if the vector group has been changed.

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Magnetization Characteristic B = f (H)

The user can also enable a nonlinear magnetization characteristic. Please note, that the magnetization characteristic will be always connected to winding B. ATPDesigner realizes the magnetization characteristic using the Type 98 Pseudo-Nonlinear Reactor L (i) according the specification in the ATP Rule Book . The user must specify the (B,H) - characteristic of the iron core of the power transformer. The following rules should be considered:

  • The origin of the (B,H)-characteristic (0,0) is an implied point of the magnetization characteristic and must NOT be defined by the user. ATP will automatically add the origin to the (B,H)-characteristic.
  • The (B,H)-characteristic shall be now defined beginning with the next point (B,H) for increasing B and H.
  • The use of less then 10 points (B,H) is in generally without trouble.
  • If only one point (B,H) of the characteristic will be defined, the result will be a linear characteristic e.g. a simple inductance L.
  • Be carefully defining to many points (B,H). "Too many segments means that the operation will sometimes be on the wrong segment, leading to error." (ATP Rule Book)
  • ATP requires one point (B,H) for the linear representation of the inductance during the stationary network analysis, so called stead-state phasor solution.
  • It will be assumed that the first point of the (B1,H1)-characteristic, which is shown in the settings dialog below, specifies the end of the linear operation mode of the transformer (= operation under normal conditions up to Vnom and Inom). Therefore the main inductance Lh will be calculated based on the gradient of the first segment of the nonlinear characteristic.

(B0,H0) = main inductance Lh during the steady-state phasor solution

Lh = (ø1 - ø0) / (I1 - I0)

    • The points (B2, H2) ... (Bn, Hn) specify the nonlinear operation mode of the transformer.

Magnetisation Characteristic

Enable or disable the nonlinear magnetization characteristic B = ƒ (H) of the transformer

Magnet. Characteristic (B,H)

The magnetization characteristic represents the magnetization reactance of the positive-sequence system and will be realized using the ATP element Type 98 (Pseudo-Nonlinear Reactor L(i)), which is always connected to winding B of the transformer. The user can open the settings dialog of this Nonlinear Element to modify the (B,H) - characteristic. The figure below shows a typical magnetization characteristic.

Vector Group and Neutral Point

Vector Group

Vector group of the transformer including the neutral-point connection and with/without neutral-point impedance

The standard neutral point of the transformer is always related to winding B. The figure below shows the dialog elements to select the Vector Group and the Neutral Point Connection.

  • Please note

The identifier of the Vector Group is fixed related to the both windings A and B, independent of the drawing orientation of the transformer symbol drawn in the graphics view of ATPDesigner .

The upper case character is always related to winding A, the lower case character is always related to winding B, independent of the rated voltages or other settings of the transformer.

  • Example - Vector Group Yy0
    • The 1st character is related to winding A.
    • The 2nd character is related to Winding B.

2nd Neutral Point for YY-Trafo

Enable the 2nd neutral point for YY-transformers to connect additional network elements e.g. RLC impedances or for solid grounding of the 2nd neutral point. If enabled, the 2nd neutral point of the transformer will be always related to winding A. The figure below shows a YY-Transformer with enabled 2nd neutral point related to winding A. The standard neutral point related to winding B has been connected to ground via a serial impedance.

Neutral Point of the Transformer

The neutral point of the transformer is always connected to winding B (default). The user can select different methods to connect the neutral point to ground e.g. using a series impedance or to use an isolated neutral point. The figure below shows the list displaying the different operation modes.

  • isolated

The neutral-point is isolated means not connected to the ground. The Neutral Point Impedance will be not used.

  • compensated

The neutral-point will be connected to ground using a parallel impedance consisting of a resistance R and a reactance X.

  • solid grounded

The neutral-point is solidly grounded. The Neutral Point Impedance will be not used.

  • impedance grounded

The neutral-point will be connected to ground using a series impedance consisting of a resistance R and a reactance X.

  • neutral point

The neutral point of the transformer can be connected by an other network element, but only by a Single-Phase network element.

  • Caution !!!

It is recommended that only Phase A has been enabled for the network element, which is connected to the neutral point of the transformer. The figure below shows an example. A single-phase (phase A enabled !!!) resistance has been connected to the neutral point of the transformer.

The Neutral Point Impedance can be set to a parallel impedance or a series impedance depending on the selected neutral point connection. The figure below shows the implemented methods to connect the neutral-point to ground. The type of connection will be displayed as a bitmap.

R

Resistance of the neutral point impedance

X

Reactance of the neutral point impedance

Short-Circuit Impedance

The short-circuit impedances will be automatically calculated by ATPDesigner related to the winding A and winding B of the transformer. The figure below shows the amount of short-circuit impedances calculated according the equation: Zr = (uk [%] / 100) · (Vr²) / SrT

In addition ATPDesigner also calculates the short-circuit impedance. The impedance will be presented with the real and the imaginary part.

  • ur = Pk / SrT
  • R = (ur [%] / 100) · (Vr²) / SrT
  • X = √(Zr² - R²)
  • Z = R + jX

ZrA

Short-circuit impedance related to winding A

ZrB

Short-circuit impedance related to winding B

Neutral Point Circuit-Breaker with Series Impedance

In addition to the neutral point impedance a circuit-breaker with an optional series impedance can be connected to the neutral-point of the transformer. The figure below shows as an example a transformer with compensated neutral-point and enabled circuit-breaker.

The reactance symbol indicates that the neutral-point operation scheme has been set to compensated. The circuit-breaker is connected with the neutral-point in parallel to the reactance. An optional series impedance of the circuit-breaker will be not drawn as part of the network graphics, but will be indicated with "R", "X" and "C" shown closed to the vector group name. The figure below shows the corresponding graphics, if the resistance "R" only has been used.

I addition the neutral-point circuit-breaker can be also enabled if the neutral-point scheme "isolated" has been selected. The corresponding graphics is shown in the figure below.

  • Please Note

The series impedance of the circuit-breaker will be not written into the .ATP-File if all elements R, X and C are defined to zero: R = 0 and X = 0 and C = 0. In this case the circuit-breaker is an ideal circuit-breaker with series impedance Z = 0 Ohm.

The three elements R, X and C can be enabled or disabled independent from each other. If two of the three elements are set to zero, the series impedance consists only of the third element.

Enabled CB

Enable circuit-breaker with optional series impedance connected to the neutral-point of the transformer

Circuit-Breaker

Open dialog to define the settings of the circuit-breaker connected to the neutral-point of the transformer ( Circuit-Breaker (3-Pole) , Circuit-Breaker (1-Pole) )

Rcb

Resistance of the impedance in series with the neutral-point circuit-breaker

Xcb

Reactance of the impedance in series with the neutral-point circuit-breaker

Ccb

Capacitance of the impedance in series with the neutral-point circuit-breaker

Voltage Regulator with Tab Changer

In addition a Voltage Regulator with Tap Changer can also be used during the Short-Circuit Analysis if the option Load Adjusting has been enabled. This option will be ignored during the simulation of the transients of voltages and currents. The current Tap Changer Position will be shown for Winding A or Winding B, which has been selected to process the tap changer, also in the settings dialog. In the settings dialog below the tap changer position is set at Winding B to position 10 what is equal to the middle position. The current tap changer position will be displayed closed to the shape of the transformer in the power network graphics.

    • Minimum position of the tap changer
    • Middle (or neutral) position of the tap changer
    • Maximum position of the tap changer
    • Current position of the tap changer

ATPDesigner provides the calculation of the Reference Voltage Vref which can be calculated using the phase-to-ground voltages of several measuring locations in the power network.

    • Phase-to-ground voltages of Winding A
    • Phase-to-ground voltages of Winding B
    • Phase-to-ground voltages of all Probes

The Reference Voltage Vref of the voltage regulator will be calculated using the equation shown below.

Vref = Gain k0 ⋅ ((Σ (Gainm ⋅ Vpgav m)) / N) with m = 1..N

Vpgav = (VAG + VBG + VCG) / 3

    • Gain k0 = gain factor
    • Gainm = specific gain factor for the measuring location m
    • Average value Vpgav of the phase-to-ground voltages of the measuring location m
    • N = Number of all measuring locations (Winding A or B, Probes )
    • The list of the measuring locations can be set by the user using the list control shown in the settings dialog below.

Reference Voltage Vref "Vref used as ..."

It is important to understand, that the operation mode of the Reference Voltage Vref defines the use of the input voltage Vinp.

    • Actual Value

The measured reference voltage Vref will be used as actual voltage VActual of the voltage regulator. The target voltage VTarget of Winding B will be set to the voltage Vnom reg. The voltage regulator algorithm tries to achieve the target voltage VTarget = Vnom reg as phase-to-phase voltage at winding B of the transformer.

    • Target Value

The measured reference voltage Vref will be used as target value of the voltage regulator. The actual value VActual of the voltage regulator will be measured at Winding B of the transformer.

VActual = (VAG + VBG + VCG) / 3 measured at Winding B

  • Please Note
  • To enable the voltage regulator the option Load Adjusting in the settings dialog ATP Related Settings and the option Voltage Regulator Enabled of the transformer itself (see settings dialog below) must be enabled.
  • It is possible, to use the transformer without the option Voltage Regulator Enabled if the steady-state conditions of the power network will be calculated using Load Adjusting . In this case the option Voltage Regulator Enabled must be disabled (not checked).
  • The tap changer can be also used in case of a Short-Circuit.

Voltage Regulator Enabled

Enable the automatic voltage regulation if the option Load Adjusting has been enabled.

Set Mid. Pos.

Set the tab changer of the Transformer to the middle position.

Vnom reg

Nominal voltage always of Winding B which should be achieved using the automatic voltage regulation, if the operation mode Actual Value has been selected.

The voltage regulation algorithm always compares the setting Vnom reg and the input voltage Vinp calculated as explained above. The nominal voltage Vnom reg can be also set in p.u. = VrB of the tab General Technical Data .

Operation Mode Vnom reg

The nominal voltage Vnom reg can be calculated using the nominal or the rated voltage of the Winding B of the transformer.

  • Nominal Voltage VnB

The nominal voltage VnB of the transformer will be used to calculate the voltage Vnom reg.

  • Rated Voltage VrB

The rated voltage VrB of the transformer will be used to calculate the voltage Vnom reg.

Step-Switch dV

Voltage of one step of the tap changer in % of the rated voltage of the corresponding winding A or B

  • If Winding A has been selected, the step-switch of the tap changer is related to the rated voltage VrA.
  • If Winding B has been selected, the step-switch of the tap changer is related to the rated voltage VrB.

Tap Changer at Winding A or Winding B

Select one of the windings, which will be used by the Voltage Regulator to modify the rated voltage ratio of the transformer.

  • If Winding A has been selected, the rated voltage of Winding A will be changed. The rated voltage of Winding B will be set to VrB + 0%.
  • If Winding B has been selected, the rated voltage of Winding B will be changed. The rated voltage of Winding A will be set to VrA + 0%.

Max. Position

Maximum position of the tap changer

Middle Position

Middle (or neutral) position of the tap changer

Min. Position

Minimum position of the tap changer

Del

Delete the line of the list control which has been first selected by a left mouse button click

Insert

A local menu will be opened as shown in the figure above, which contains a list of all enabled measuring locations Probes .

  1. Select one of the Probes which are shown in the menu list to be added to the list control by a left mouse button click.
  2. A new line at the end of the list control will be added and the name of the Probe will be inserted.

Right Mouse Button Menu

If the mouse cursor has been set "over" the list control, a context sensitive menu can be opened with a Right Mouse Button Click. This menu contains a list of all measuring locations Probe , which are part of the power network.


Overload of a Transformer displayed in the Network

ATPDesigner displays an overload of the Transformer by different drawing colors in the power network graphic. ATPDesigner calculates the rated current for both windings and compare the amount of the maximum phase current of each winding with the rated current winding selective. Two different overload levels will be used by ATPDesigner: 100% and 120%. The drawing color for both levels can be defined in the settings dialog Graphic Color .

  • Overload >100%, < 120%

  • Overload >120%


BCTRAN Transformer

Read also 2-Winding Transformers

Read also XFORMER Transformers

Read also SATURABLE Transformer

The network element BCTRAN Transformer can be used to simulate 3-phase transformers with 2 or 3 windings based on the BCTRAN transformer model of the ATP. For more information please read the ATP Rule Book Chapter XIX-C. Single-phase transformers are NOT supported in the dialog shown below. Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this network element. In addition some figures used below are also copied out of the ATP Rule Book.

"Supporting routine BCTRAN can be used to derive linear [A]- [R] or [R]- [wL] representation for singl- or 3-phase (both core-type or shell-type) 2-winding, 3-winding or multiple-winding transformers, using test data both the exciting test and the short-circuit test at rated frequency." (ATP Rule Book)

ATPDesigner and ATP's Supporting Routines

BCTRAN is one of ATP's supporting routines, which must be preprocessed before starting the power network simulation process. ATPDesigner automatically controls this preprocessing and inserts the required $INCLUDE commands into the .ATP-File . No user specific actions are required. In addition the user can execute only this preprocessing using the corresponding menu item in the main menu ATP .

Name of the $INCLUDE-Files

ATPDesigner creates one pre-processing file, which contains all BCTRAN transformers: Network_1_BCT.ATP. If the pre-processing had been successfully finalized, ATPDesigner includes one $PUNCH-file for each BCTRAN transformer: Network_1_001BCT.pch.

  • Please Note

The implementation of the BCTRAN based transformer model only supports a part of the capabilities of the full ATP BCTRAN supporting routine. Nevertheless, the implemented part of the BCTRAN supporting routine should cover about 95% of all transformers used in electrical power networks. The explanations used below are mainly copied from the ATP Rule Book in order to clarify the relation between the settings of the dialog and the settings specified for the BCTRAN supporting routine. Nevertheless additional studies of the ATP Rule Book is recommended to get a better understanding of the BCTRAN model.

  • Please Note

It is recommended to use the Transformer model for 2-winding transformers.

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

fn

Nominal frequency of the network infeeds of the power network

Please note that the test data used for the parameters specified below should be measured at this frequency.

No. of Windings

Total number of windings per core leg

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Neutral Points

The figure below shows the graphical representation of the neutral points of the different windings.

ATPDesigner automatically detects, if a network element has been connected to a neutral point of the transformer. Some of the network elements e.g. Load Impedance or RLC Impedance can be used both as a 1-Phase or 3-Phase Network Element. If possible ATPDesigner automatically changes the settings of the network element to 1-phase, if this network element has been connected to a neutral point of a transformer. ATPDesigner uses a special color to draw 1-phase network elements.

Read more about Color for 1-Phase Network Elements

The figure below shows a 3-winding transformer D-YN-Y. The neutral point of winding 2 had been connected with a 1-phase load impedance.

Excitation Data of the Positive-Sequence System

The settings will be used to set the excitation data in the positive-sequence system.

Iex

Exciting current (or so called no-load current) in percent in the positive-sequence excitation test

    • 1-phase: Iex = Iexm · (Vlv / Srt) · 100%
    • 3-phase: Iex = Iexm · (√3 · Vlv / Srt) · 100%

Iexm : measured excitation current (nominal conditions - phase value)

Vlv : rated line voltage on low-voltage (LV) side

Srt : power base

Srt

Power base in MVA, used for positive-sequence excitation test referencing

Pex

Excitation loss (iron core losses or idle running losses) in kW in the positive-sequence excitation test

Excitation Data of the Negative-Sequence System

The settings will be used to set the excitation data in the negative-sequence system.

Iex

Exciting current (or so called no-load current) in percent in the zero-sequence excitation test

Srt

Power base in MVA, used for excitation zero-sequence test referencing

Pex

Excitation loss (iron core losses or idle running losses) in kW in the zero-sequence excitation test


BCTRAN - Vector Group

Winding x

Type of the winding

  • Y

WYE connection

  • YN

WYE connection, neutral-point can be connected with a single-phase network element

  • D

DELTA connection

  • Dsc

short-circuit DELTA connection

The figure below shows a 3-winding transformer with Dsc - winding. The neutral point of winding 2 has been connected with a 1-phase shunt impedance.

Num. Index

Numerical index of the winding of the transformer

The numerical index of the winding specifies the phase-shift of the low-voltage (LV) winding in relation to the corresponding high-voltage (HV) winding in multiples of 30 degrees.

Example: 5 means 5 * 30 degree = 150 degree

  • Please Note

The numerical index of the windings 2, 3 and 4 are always related to winding 1. Therefore the numerical index of winding 1 is fixed to 0 and can not be changed.


BCTRAN - Winding and Short-Circuit Data

V rated [kV]

Rated winding voltage in kV

The rated voltage will be used to calculate the parameter of the ATP based numerical model of the transformer.

The setting depends on the DELTA- or WYE-connection for a 3-phase transformer or a bank of 3 single-phase transformers.

    • DELTA-connected: V rated = Vpp (phase-to-phase voltage)
    • WYE-connected: V rated = Vpg / √3 (phase-to-ground voltage)

V nom [kV]

Nominal winding voltage in kV

The nominal voltage will be used to identify common voltage levels of the power network e.g. to be drawn in specific colors (main menu Edit, Vnom Level ).

Resistance [Ohm]

Winding resistance in Ohm at rated frequency of one phase

If the values differ in the 3 phases,the average value should be used.

If the winding resistance are not known, their value can be automatically derived from the short-circuit losses Pij if

  • the number of windings are 2 or 3
  • the short-circuit losses Pij > 0 for all short-circuit tests
  • the setting IL > 0 on FIRST short-circuit data card (Index 1)

Zposij [%]

Short-circuit impedance in % in the positive-sequence short-circuit test for winding i with winding j shorted

Zzeroij [%]

Short-circuit impedance in % in the zero-sequence short-circuit test for winding i with winding j shorted

Spos [MVA]

Power base value in MVA used for Zposij referencing

Szero [MVA]

Power base value in MVA used for Zzeroij referencing

Pij [kW]

Short-circuit losses or load losses in kW in the positive-sequence test

ID

This variable is only important for 3- or more- winding 3-phase transformers (see more details in ATP Rule Book chapter XIX-C).

  • = Blank : in all single-phase transformer cases
  • = 0 : Zero-sequence reactance will be calculated
  • > 0 : Winding resistance given on group 5-data

IL

Flag specifying how the winding resistance (group 5 data) should obtained (see more details in ATP Rule Book chapter XIX-C)

  • = 0 or Blank : Read-in winding resistance will be used
  • > 0 : Winding resistance will be calculated from the short-circuit losses Pij

  • Please Note

The parameter IL should only be specified on the FIRST short-circuit test data card.


BCTRAN - ATP Specific Settings

Operation Mode (NP)

Flag used to distinguish between a true 3-phase transformer and a bank of 3 single-phase transformers

  • True 3ph. transformer
  • Bank of 3x 1-phase

Excitation (IT)

Reference number of the winding from where the excitation test was made

Normally the excitation tests are made for the low-voltage (LV) winding.

  • Winding No. 1
  • Winding No. 2
  • Winding No. 3
  • Winding No. 4

Magnetization (IW)

Reference number of the winding across which the magnetizing branch is to be placed

In most cases this will be the low-voltage (LV) winding.

  • Winding No. 1
  • Winding No. 2
  • Winding No. 3
  • Winding No. 4

Results (IP)

Output request flag

  • [A][R]

Matrices [A] and [R] requested as output

This option should be selected because the [A][R] - matrices must not be inverted during the simulation. Therefore the impedance matrix doesn't become singular.

  • [A]-[R],[R][wL]

Both matrices [R] and [ωL] and [A] and [R] requested as output

  • [R][wL]

Matrices [R] and [ωL] requested as output


XFORMER Transformer

Read also 2-Winding Transformers

Read also BCTRAN Transformers

Read also SATURABLE Transformer

The network element XFORMER Transformer can be used to simulate 3-phase transformers with 2 or 3 windings based on ATP XFORMER transformer model as well as a Longitudinal Voltage Regulator . It is also possible, to realize a 1-phase, 2-phase or 3-phase transformer using the Single Phase option. For more information please read the corresponding chapters of the ATP Rule Book. Please note, that the ATPDesigner concept of the implementation of XFORMER transformers is identical to the concept of the implementation of BCTRAN transformers.

"The Supporting routine "XFORMER" can be used to derive a linear [R]-[wL] representation for single-phase transformers (both 2- and 3-winding transformers), using test data of excitation test and short-circuit test at the rated frequency. Excitation losses can't be taken into account by this model. On the other hand, these losses can be neglected for single-phase transformer, recall. The short-circuit losses can (and should) be taken into account, however.

Stray capacitances are ignored in this representation, which therefore is only valid up to few khz. On the other hand, the model is not valid for extremly low frequencies either. ... Non-linear behavior can't be included in the "XFORMER" model proper. Such behavior (saturation or hysteresis) could be taken into account, however, by adding type 93, 96 or 98 elements ( See mor details in Nonlinear Element ), connected to the proper transformer terminals (i.e. to those windings that are closest to the core) in the electrical network, during steady-state or transient run." (ATP Rule Book)

"For a 2-winding transformer, the equivalent circuit as created by XFORMER looks as follows:" (ATP Rule Book)

ATPDesigner and ATP Supporting Routines

XFORMER is one of ATP supporting routines, which must be preprocessed before starting the power network simulation process. ATPDesigner automatically controls this preprocessing and inserts the required $INCLUDE commands into the .ATP-File . No user specific actions are required. In addition the user can execute only this preprocessing using the corresponding menu item in the main menu ATP .

Name of the $INCLUDE-Files

ATPDesigner creates one pre-processing file, which contains the ATP relevant data of all XFORMER transformers, which are part of the electrical power network: Network_1_XFO.ATP. If the pre-processing has been successfully finalized, ATPDesigner automatically includes one $PUNCH-file for each XFORMER transformer: Network_1_001XFO.pch.


XFORMER: 3-Phase-Transformer

ATPDesigner also supports a XFORMER based model of a 3-phase, 2- and 3-winding transformer. These transformer models are quite simple compared with the BCTRAN Transformer model oder ATPDesigner's Transformer , however. The 3-phase XFORMER based transformer model consists of 3x 1-phase XFORMER transformer models, which are DELTA or WYE connected at the HV-, MV- and LV-terminals according the vector group of the 3-phase transformer, neutral points are also available. But nevertheless, the behavior of such a 3-phase transformer is always identical with a 3-phase transformer bank, independent of the vector group and neutral points. Therefore the impedance of the zero-sequence system is always identically with those of a transformer bank.

The figure below shows the settings dialog for a 3-phase, 3-winding transformer based on ATP's XFORMER.

Relation between Winding Number and HV / MV / LV Winding

Winding

The number of the winding corresponds with the HV, MV or LV winding according the XFORMER specifications written in the ATP Rule Book. Please note, that the relation Winding Number <> HV / MV / LV Winding is independent of all other settings e.g. V rated. The relation is defined for the two cases 2-winding and 3-windings as shown below.

2-Winding Case

  • Winding 1 = High Voltage Winding = HV - Winding
  • Winding 2 = Low Voltage Winding = LV - Winding

3-Winding Case

  • Winding 1 = High Voltage Winding = HV - Winding
  • Winding 2 = Medium Voltage Winding = MV - Winding
  • Winding 3 = Low Voltage Winding = LV - Winding

Settings

V rated [kV]

Rated voltage in kV

The rated voltage will be used to calculate the parameter of the ATP based numerical model of the transformer.

V nom [kV]

Nominal voltage in kV

The nominal voltage will be used to identify common voltage levels of the power network e.g. to be drawn in specific colors ( Edit, Vnom Level ).

Zposij [%]

Magnitude of the short-circuit impedance in % of the transformer between winding i and winding j (winding j shorted)

This percent value is implicitly frequency dependent, since it is measured at the rated frequency (= nominal frequency). The following equations should be used to calculate the magnitude of Zpos,ij.

    • 2-winding transformer: ij = 12

Zpos,12 = (Ush / Ish) ⋅ (Spos / Vrated,HV2) ⋅ 100

      • Ish = nominal current
      • Ush = short-circuit voltage, if LV-winding is shortened (winding j)
      • Spos = power base (e.g. the rated apparent power of the transformer)
      • Vrated,HV = rated voltage of the HV-winding (winding i)

    • 3-winding transformer; ij = 12, 13, 23

Zpos,ij = (Ush / Ish) ⋅ (Spos,ij / Vrated,i2) ⋅ 100

      • Ish = nominal current
      • Ush = short-circuit voltage
      • Spos,ij = power base (e.g. the rated apparent power of the transformer)
      • Vrated,i = rated voltage of the winding i

Spos [MVA]

Power base value in MVA used for Zposij referencing (e.g. the rated power of the transformer)

In case of a 3-winding transformer, there are 3 times the power base called Spos,ij which can be used for "Zpos,ij"-referencing.

Pij [kW]

Short-circuit losses in kW at rated frequency (= nominal frequency)

    • 2-winding transformer: ij = 12
    • 3-winding transformer; ij = 12, 13, 23

No. of LV Winding

Number of the winding to connect the magnetization characteristic

  • Please Note

ATPDesigner detects automatically the LV winding of the transformer, independent of the sequence of the windings shown in the settings dialog. ATPDesigner also automatically writes the LV winding settings in the first line of the ATP based transformer model as specified in the ATP Rule Book. The LV winding will be detected analyzing the Vrated settings of the 2 or 3 windings.

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

fn

Nominal frequency of the network infeeds of the power network

Please note that the test data used for the parameters specified below should be measured at this frequency.

Number of Windings

Total number of windings per core leg

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Excitation Data

  • Please Note

It will be assumed that the magnetization current IL has been always measured at winding 1 with open-circuit winding 2 and 3. But nevertheless the inductance which represents the magnetization current IL will always be connected to the LV winding , which depends of the number of windings of the transformer.

Imagn

Magnetization current in %

Imagn = Iex ⋅ (Vrated,LV2 / Srt) ⋅ 100

    • Iex = measured excitation current
    • Vrated,LV = rated voltage of LV-Winding
    • Srt = power base for excitation data

Iex

Measured excitation current

Srt

Power base for excitation data

"Note that the case of "Imagn = 0%" will result in an error message. In such case, the user is advised to use the BCTRAN model. Further, it is accurate enough to use the magnitude of the exciting current rather than the exact (but smaller) magnetizing current." (ATP Rule Book)/

Single Phase Transformer

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File . The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File . If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

3-Winding Transformer

Below the ATP based models of a XFORMER transformer with different vector groups are shown.

  • Vector Group D0-D0-D0

ATPDesigner creates the three node names (ABC)00016, (ABC)00040 and (ABC)00024 for the three nodes.

    • 1-Phase Transformer with Windings AB - AB - AB

This will be used, if the setting Phase A has been enabled.

1A00016B00016 3.1100202580738 34654.057062373

2A00040B00040 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3A00024B00024 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

    • 1-Phase Transformer with Windings BC - BC - BC

This will be used, if the setting Phase B has been enabled.

1B00016C00016 3.1100202580738 34654.057062373

2B00040C00040 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3B00024C00024 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

    • 1-Phase Transformer with Windings CA - CA - CA

This will be used, if the setting Phase C has been enabled.

1C00016A00016 3.1100202580738 34654.057062373

2C00040A00040 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3C00024A00024 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

  • Vector Group Y0-Y0-Y0

ATPDesigner creates the three node names (ABC)00031, (ABC)00016 and (ABC)00040 for the three nodes. In addition ATPDesigner automatically creates the three internal node names XF1001, XF2001 and XF3001 for the three internal neutral-points.

    • 1-Phase Transformer with Windings AXF1 - AXF2 - AXF3

This will be used, if the setting Phase A has been enabled.

1A00031XF1001 1.0366724543272 11551.341582489

2A00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3A00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • 1-Phase Transformer with Windings BXF1 - BXF2 - BXF3

This will be used, if the setting Phase B has been enabled.

1B00031XF1001 1.0366724543272 11551.341582489

2B00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3B00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • 1-Phase Transformer with Windings CXF1 - CXF2 - CF3

This will be used, if the setting Phase C has been enabled.

1C00031XF1001 1.0366724543272 11551.341582489

2C00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3C00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

  • Vector Group YN0-YN0-YN0

ATPDesigner creates the three node names (ABC)00031, (ABC)00016 and (ABC)00040 for the three nodes. In addition ATPDesigner automatically creates the node names A00037, A00024 and A00043 for the three neutral-points, which can be connected by other network elements.

    • 1-Phase Transformer with Windings AN1 - AN2 - AN3

This model will be used, if the setting Phase A has been enabled.

1A00031A00037 1.0366724543272 11551.341582489

2A00016A00024 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3A00040A00043 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • 1-Phase Transformer with Windings BN1 - BN2 - BN3

This model will be used, if the setting Phase B has been enabled.

1B00031A00037 1.0366724543272 11551.341582489

2B00016A00024 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3B00040A00043 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • 1-Phase Transformer with Windings CN1 - CN2 - CN3

This model will be used, if the setting Phase B has been enabled.

1C00031A00037 1.0366724543272 11551.341582489

2C00016A00024 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3C00040A00043 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

The figure below shows an example for vector group YN0-Y0-Y0: The neutral point has been connected by a Splitter , operating mode Neutral Point (1-Phase <> 3-Phase). A Load Impedance (only Phase A enabled) has been connected at the neutral-point.

  • ATP based model of the XFORMER transformer YN0-Y0-Y0

The node name of the neutral-point, which can be externally connected is A00043.

    • Phase A

1A00031A00043 1.0366724543272 11551.341582489

2A00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3A00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • Phase B

1B00031A00043 1.0366724543272 11551.341582489

2B00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3B00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

    • Phase C

1C00031A00043 1.0366724543272 11551.341582489

2C00016XF2001 -.0125907886352 230.93266905519

.41466936598E-3 4.6205409146057

3C00040XF3001 -.0081426697828 230.86341326601

-.1628534711E-3 4.6172704046106

.32570694772E-3 4.621926031031

  • ATP based model of the Splitter , operating mode Neutral Point (1-Phase <> 3-Phase)

The model consists of three resistances of 10-6Ohm. The first part uses the node names A00032 - A00043.

C

C SPLITTER Cards (Start)

C

$VINTAGE, 1

A00032A00043 9.9999999999E-7 0.00000000000E0 0.00000000000E0

$VINTAGE, 0

$VINTAGE, 1

A00032B00043 9.9999999999E-7 0.00000000000E0 0.00000000000E0

$VINTAGE, 0

$VINTAGE, 1

A00032C00043 9.9999999999E-7 0.00000000000E0 0.00000000000E0

$VINTAGE, 0

C

C SPLITTER Cards (End)

C

  • ATP based model of a Load impedance , only Phase A enabled

The model uses the node name A00032. At the other node the impedance is solidly grounded (node name = 6x Blank).

C

C LOAD IMPEDANCE Cards (Start)

C

$VINTAGE, 1

A00032 8.33333333333E1 0.00000000000E0 0.00000000000E0

$VINTAGE, 0

C

C LOAD IMPEDANCE Cards (End)

C

It is also possible to configure the winding 3 as a D-winding as a stabilizing winding Dsc. The figure below shows an example of a XFORMER transformer with vector group D0-D0-Dsc0. The stabilizing winding Dsc can be not connected by an other network element. It can be seen that winding 3 is a stabilizing winding using the node names (ABC)00035. The other nodes: Winding A = (ABC)00031, Winding B = (ABC)00016.

    • Phase A

1A00031B00031 3.1100202580738 34654.057062373

2A00016B00016 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3A00035B00035 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

    • Phase B

1B00031C00031 3.1100202580738 34654.057062373

2B00016C00016 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3B00035C00035 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

    • Phase C

1C00031A00031 3.1100202580738 34654.057062373

2C00016A00016 -.0377723837277 692.79833221032

.00124400810323 13.861622824949

3C00035A00035 -.0244280209096 692.59056474532

-.4885604182E-3 13.851811294906

.97712084687E-3 13.865778174249

The table below shows the windings of the 3-phase XFORMER transformer, which are used depending on the settings Phase A, Phase B and Phase C.

Vector Group | Phase A | Phase B | Phase C
D0 - D0 - D0 | AB - AB - AB | BC - BC - BC | CA - CA - CA
D0 - D0 - Dsc | AB - AB - AB | BC - BC - BC | CA - CA - CA
D0 - Y11 - Y11 | AB - AXF2 - AXF3 | BC - BXF2 - CXF3 | CA - CXF2 - CFX3
D0 - YN11 - YN11 | AB - AN2 - AN3 | BC - BN2 - CN3 | CA - CN2 - CN3
YN0 - YN0 - YN0 | AN1 - AN2 - AN3 | BN1 - BN2 - BN3 | CN1 - CN2 - CN3
Y0 - Y0 - Y0 | AXF1 - AXF2 - AXF3 | BXF1 - BXF2 - BXF3 | CXF1 - CXF2 - CXF3
Y0 - Y0 - Dsc1 | AXF1 - AXF2 - AB | BXF1 - BXF2 - BC | CXF1 - CXF2 - CA
Y0 - Y0 - Dsc5 | AXF1 - AXF2 - CA | BXF1 - BXF2 - AB | CXF1 - CXF2 - BC
Y0 - Y0 - Dsc11 | AXF1 - AXF2 - AC | BXF1 - BXF2 - BA | CXF1 - CXF2 - CB
Y0 - Y0 - D1 | AXF1 - AXF2 - AB | BXF1 - BXF2 - BC | CXF1 - CXF2 - CA
Y0 - Y0 - D5 | AXF1 - AXF2 - CA | BXF1 - BXF2 - AB | CXF1 - CXF2 - BC
Y0 - Y0 - D11 | AXF1 - AXF2 - AC | BXF1 - BXF2 - BA | CXF1 - CXF2 - CB
Y0 - D1 - D1 | AXF1 - AB - AB | BXF1 - BC - BC | CFX1 - CA - CA
Y0 - D1 - D5 | AXF1 - AB - CA | BXF1 - BC - AB | CFX1 - CA - BC
Y0 - D1 - D11 | AXF1 - AB - AC | BXF1 - BC - BA | CFX1 - CA - CB
Y0 - D5 - D1 | AXF1 - CA - AB | BXF1 - AB - BC | CFX1 - BC - CA
Y0 - D5 - D5 | AXF1 - CA - CA | BXF1 - AB - AB | CFX1 - BC - BC
Y0 - D5 - D11 | AXF1 - CA - AC | BXF1 - AB - BA | CFX1 - BC - CB
Y0 - D11 - D1 | AXF1 - AC - AB | BXF1 - BA - BC | CXF1 - CB - CA
Y0 - D11 - D5 | AXF1 - AC - CA | BXF1 - BA - AB | CXF1 - CB - BC
Y0 - D11 - D11 | AXF1 - AC - AC | BXF1 - BA - BA | CXF1 - CB - CB

  • The node name of the internal neutral-point XF(123)xxx will be automatically created by ATPDesigner. This nodes ate only internally and can be not connected by any other network element.

    • 2-Winding Case
      • Winding 1 = HV - Winding : XF1xxx
      • Winding 2 = LV - Winding : XF2xxx

    • 3-Winding Case
      • Winding 1 = HV - Winding : XF1xxx
      • Winding 2 = MV - Winding : XF2xxx
      • Winding 3 = LV - Winding : XF3xxx

with xxx = number of the network element XFORMER transformer

  • The node names called N1, N2 and N3 in the table above can be connected by other network elements.

  • The stabilizing winding Dsc can not be connected by an other network element.

2-Winding Transformer

The table below shows the windings of the 3-phase XFORMER transformer, which are used depending on the settings Phase A, Phase B and Phase C.

Vector Group | Phase A | Phase B | Phase C
Y0 - Y0 | AXF1 - AXF2 | BXF1 - BXF2 | CXF1 - CXF2
Y0 - YN0 | AXF1 - AN2 | BXF1 - BN2 | CXF1 - CN2
Y0 - D1 | AXF1 - AB | BXF1 - BC | CXF1 - CA
Y0 - D5 | AXF1 - CA | BXF1 - AB | CXF1 - BC
Y0 - D11 | AXF1 - AC | BXF1 - BA | CXF1 - CB
YN0 - Y0 | AN1 - AXF2 | BN1 - BXF2 | CN1 - CXF2
YN0 - YN0 | AN1 - AN2 | BN1 - BN2 | CN1 - CN2
YN0 - D1 | AN1 - AB | BN1 - BC | CN1 - CA
YN0 - D5 | AN1 - CA | BN1 - AB | CN1 - BC
YN0 - D11 | AN1 - AC | BN1 - BA | CN1 - CB
D0 - Y11 | AB - AXF2 | BC - BXF2 | CA - CXF2
D0 - YN11 | AB - AN2 | BC - BN2 | CA - CN2
D0 - D0 | AB - AB | BC - BC | CA - CA

Neutral Points

Read the corresponding section Neutral Points of BCTRAN Transformers .

Vector Group

Read the corresponding section Vector Group of BCTRAN Transformers


XFORMER: Longitudinal Voltage Regulator

It is also possible to use the XFormer to realize a Longitudinal Voltage Regulator. The figure below shows the settings dialog.


SATURABLE Transformer

Read also 2-Winding Transformers

Read also BCTRAN Transformers

Read also XFORMER Transformers

The network element SATURABLE Transformer can be used to simulate 3-phase transformers with 2 or 3 windings based on ATP SATURABLE transformer model. It is also possible, to realize a 1-phase, 2-phase or 3-phase transformer using the Single Phase option. For more information please read the corresponding ATP Rule Book. Please note, that the ATPDesigner concept of the implementation of SATURABLE Transformer is identical to the concept of the implementation of BCTRAN transformers..

Please note, that some comments and figures are copied out of the ATP Rule Book to improve the understanding of the transformer model. Nevertheless the ATP Rule Book contains information which are not part of this help file e.g. additional examples etc.

"The SATURABLE TRANSFORMER model is not a supporting routine: it has to be used in the actual electrical network simulation data set and should be placed in the grouping of the normal branch cards. On the other hand, a supporting routine exists to convert SATURABLE TRANSFORMER cards to linear equivalent [R], [L] (type 51-52-53 branch cards)." (ATP Rule Book)

"The single-phase and 3-phase 3-leg shell-type or 5-leg core-type transformer basically are using the same model." (ATP Rule Book)

"For the 3-phase 3-leg core type transformer on the other hand, a totally different model is needed, taking into account the homopolar reluctance of the magnetic circuit." (ATP Rule Book)

The figure below shows the electrical model of the single-phase 2-winding .

Leakage impedance obtained out of the short-circuit impedance: inductance Lk, resistance Rk

Saturation

The saturation effect is confined to a single nonlinear reactor in the circuit of winding 1. Normally, this is only true for the winding which is closest to the iron core. Please note that the saturation characteristic [Flux, Current] must be specified in peak values. One can consider three different excitation behaviors:

  1. In case of saturation, the TYPE-98 pseudo-nonlinear reactor model is used internally .
  2. In the linear case, only one [Flux, Current] peak value should be entered for the magnetizing impedance input data. This value can be obtained from the excitation test.
  3. In case of no flux-current characteristic is specified, the magnetizing reactance is assumed not to exist.

Excitation Losses

Excitation losses (iron core) are confined to a linear resistance, which is in parallel to the saturation branch.

The figure below shows the extension to a single-phase 3-winding SATURABLE TRANSFORMER.

Settings Dialog

The figure below shows the settings dialog of a 1..3-phase, 2-winding and 3-winding transformer based on ATP SATURABLE Transformer Component.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

fn

Nominal frequency of the network infeeds of the power network

Please note that the test data used for the parameters specified below should be measured at this frequency.

IP

Output specification flag

    • None

No output specified

    • Current

Branch current flowing from "BUS1" of the first winding to the internal node "BUSTOP" will be printed as a time step loop variable.

Output Request

Output options for writing the samples of currents, voltages, power and/or energy into the .PL4-File and .LST-File . The possible options are:

    • Current (= '1' acc. ATP Rule Book)
    • Voltage (= '2' acc. ATP Rule Book)
    • Current & Voltage (= '3' acc. ATP Rule Book)
    • Power & Energy Flow (= '4' acc. ATP Rule Book)

Winding Data

V rated [kV]

Rated voltage of the corresponding winding

The rated voltage will be used to calculate the parameter of the ATP based numerical model of the transformer.

V nom [kV]

Nominal voltage of the corresponding winding

The nominal voltage will be used to identify common voltage levels of the power network e.g. to be drawn in specific colors ( Edit, Vnom Level ).

Resistance

Leakage resistance Rk associated with the corresponding winding

Reactance

Leakage reactance Xk = 2πfn ⋅ Lk, fn = nominal network frequency specified in the Network Infeed Network 1

The values for this leakage impedance can be calculated from the short-circuit impedance.

  • Rsh = Psh,loss / Ish2

    • Psh,loss = short-circuit losses
    • Ish = short-circuit current

  • Xsh = (1 / Ish) ⋅ √ (Ush² - (Psh,loss² / Ish²))

If Uk = rated voltage of winding k, UHV = rated voltage of high-voltage winding and N = total number of windings:

  • Rk = (Rsh / N) ⋅ (Uk / UHV)² = resistance of winding k

  • Xk = (Xsh / N) ⋅ (Uk / UHV)² = reactance of winding k

Magnetization Characteristic

The magnetization characteristic can be optionally used.

Magnetisation Characteristic

Enable or disable the magnetization characteristic of the iron core

Rmag

Constant and linear resistance (in Ohms), parallel to the magnetizing reactance. This resistance takes account for the excitation losses Pexloss of the core and can be calculated as:

Rmag = Vrat,LV² / Pex,loss

    • Vrat,LV = rated voltage of the LV-winding
    • Pex,loss = excitation losses of the core

  • Please Note

The magnetization resistance Rmag is always connected to the LV-winding of the transformer.

Pexloss

Excitation losses of the core

Pex,loss = Vrat,LV² / Rmag

    • Rmag = magnetization resistance, parallel to the magnetizing reactance
    • Pex,loss = excitation losses of the core

No. of LV Winding

Number of the winding to connect the magnetization characteristic

  • Please Note

ATPDesigner detects automatically the LV winding of the transformer, independent of the sequence of the windings shown in the settings dialog. ATPDesigner also automatically writes the LV winding settings in the first line of the ATP based transformer model as specified in the ATP Rule Book. The LV winding will be detected analyzing the Vrated settings of the 2 or 3 windings.

The figure below shows the dialog to specify the magnetization characteristic. Read more details in the chapter Nonlinear Element . Please note, that the data are peak values.

Single Phase Transformer

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File . The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File . If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP-File , if the option Single-Phase has been enabled.

Neutral Points

Read the corresponding section Neutral Points of BCTRAN Transformers .

ATPDesigner automatically creates a node name for the neutral-point, but uses only PHASE A of this 3-phase node. Therefore the user must enable only the phase A of the network element, which has been connected to the neutral-point of the transformer. The figure below shows an example of a electrical power network. 1-Phase Source S, Probe Prb 1 and RLC Impedance Imp 1 are connected to Winding 1 of the transformer. These network elements are all configured as 1-Phase Network Elements , where Phase A Only has been enabled. Please note, that also the transformer has been set to a 1-phase network element with phase A enabled. The power network connected to Winding 2 of the transformer has been configured as a 2-Phase Network. Therefore the Phases A and B are enabled for all network elements which are part of the 2-phase network. The Splitter is the core element which connects the both nodes of the 1-phase transformer Phase A and the Neutral Point to the 2-phase Probe Prb 2.

How does it work ?

ATPDesigner uses always Phase A for the 1-phase nodes of the Splitter and the 1-Phase Node of the Neutral Point. Because the Splitter has been also set to a 2-phase network element with phase A and B enabled, it connects phase A of the transformer to phase A of the Probe Prb 2 (A00023 - A00025) and the Neutral-Point of the transformer to Phase B of the Probe Prb 2 (A00024 - B00025).

Vector Group

Read the corresponding section Vector Group of BCTRAN Transformers


Example: Testing Vector Group and Numerical Index

Read also about Transformer

Read also BCTRAN Transformers

Read also XFORMER Transformers

Read also SATURABLE Transformer

The vector group of a transformer specifies the connection of the windings and the numerical index. The Connection of the Windings are normally D (DELTA-Connection), Y (WYE-Connection) or Z (Zick-Zack-Connection). The Numerical Index of a transformer specifies the phase shift in multiple of 30 degrees between the phase-to-ground voltages of the high-voltage (HV) winding and the corresponding phase-to-ground voltages of the low-voltage (LV) winding. Thereby the phase-to-ground voltage of the high-voltage (HV) winding leads the corresponding phase-to-ground voltages of the low-voltage (LV) winding.

  • Please Note

The identifier of the Vector Group is fixed related to the both windings A and B, independent of the drawing orientation of the transformer symbol drawn in the graphics view of ATPDesigner . The upper case character is always related to winding A, the lower case character is always related to winding B, independent of the rated voltages or other settings of the transformer.

Therefore it is necessary to specify the implementation of the numerical index used for the transformer model in ATPDesigner:

The Numerical Index of the transformers implemented in ATPDesigner specifies the phase shift in multiple of 30° between the phase-to-ground voltages of the A - winding and the corresponding phase-to-ground voltages of the B - winding. Thereby the phase-to-ground voltage of the A - winding leads the corresponding phase-to-ground voltages of the B - winding.

  • Example: Vector Group Ynd5

  • The 1st (upper-case) character is related to winding A.
    • Winding A : WYE (Y) - Connection

  • The 2nd (lower-case)n character is related to Winding B.
    • Winding B : DELTA (D) - Connection

The phase shift between the phase-to-ground voltages of the A - winding and the corresponding phase-to-ground voltages of the B - winding takes 5 ⋅ 30° = 150°.


Autotransformer
  • Please Note

This network element has been not yet implemented.


Configuration of Arc Faults

Read also about Network Configuration

The network element Arc Fault can be used to simulate faults with an time-dependent arc resistance. Both static and dynamic arc fault models are available in ATPDesigner. The type of the arc fault can be chosen in the settings dialog Network Configuration .

  • Caution !!!

A fault can be designed either with an additional Fault Impedance or an additional Arc Fault, but not both together at the same time.

The steps to configure an arc fault will be explained below.

  • Step 1: Select the Fault Type

  • Step 2: Select the Type of the Arc Fault

First the electrical model of the arc resistance must be selected in the dialog Network Configuration . The figure below shows the part of the dialog to select the electrical model of the arc resistance.

Two models of arc resistances are available:

    • Arc resistance to simulate Static Arc Fault
    • Arc resistance to simulate Dynamic Arc Fault

Both electrical models of the arc resistance have different time-depending behavior which is explained in the corresponding chapters.

  • Step 3: Enable the Arc Fault as part of the Model of the Fault Type

The option Arc Fault can be enabled via two possibilities:

    • Option Arc Fault as part of the settings dialog Single-Circuit Line or Double-Circuit Line as shown in the both figures below

    • Option Arc Fault as part of the dialog Line Configuration

After enabling the Arc Fault option the button, the button [image] of the corresponding Single-Circuit Line or Double-Circuit Line has been enabled.

  • Step 4: Define the Settings of the Arc Fault

The settings of the chosen arc fault model can be changed pressing the button [image] .

    • Static Arc Faults
    • Dynamic Arc Faults


Static Arc Faults

Read also about Configuration of Arc Faults

The figure below shows a faulty line with a single-phase-to-ground Arc Fault. The Fault has been realized by a TACS controlled switch. The electrical model of the arc resistance consists of two parts:

  • a nonlinear resistance Rarc
  • a linear resistance Rser

Both resistances are connected in series independent of the fault type. If a multi-phase fault phase-to-phase, phase-to-phase-to-ground or phase-to-ground has been selected, up to three of this arc resistance model will be used in parallel.

  • Please Note

The Static Arc Fault can be only used if transients will be calculated using the ATP.

Fault Type | Arc Resistance(s)
AG | RAG
BG | RBG
CG | RCG
ABG | RAG + RBG
BCG | RBG + RCG
ACG | RAG + RCG
AB | RAB
BC | RBC
AC | RAC
ABC | RAB + RBC
ABCG | RAG + RBG + RCG

The linear series resistance Rser can be used to model e.g. the grounding resistance of a tower, if the arc is burning between the line and the tower.

The ATP based model of the arc resistance is explained more in detail in Arc Resistance for a Static Arc Fault . The dialog below shows the settings to define a fault with a Static Arc Fault.

Varc

Arc voltage in percent of the nominal voltage of Network Infeed 1

  • For arc faults phase-to-ground: Varc in %Vpg = %Vn/√3
  • For arc faults phase-to-phase: Varc in %Vn

Rser

Series resistance in Ohm

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

The diagram below shows the phase-to-ground voltage vAG(t) in case of an arc. It can be seen that the phase-to-ground voltage consists of two parts: a rectangular voltage and a sinusoidal voltage, both voltages are in phase.


Example: Single-Phase-to-Ground Fault with Static Arc

Read also about Configuration of Arc Faults

Read also about Static Arc Faults

The figure below shows the voltage and the current flowing through the arc resistance in case of a phase-to-ground fault. The setting Varc has been defined to 10%Vnom. Therefore the arc voltage will be limited to:

  • Varc peak = Vnom ⋅ √2 / √3 ⋅ (Varc / 100%)
  • Varc peak = 110kV ⋅ 1.414 / 1.732 ⋅ (10% / 100%) = 8981V

The arc voltage measured over the resulting resistance = arc resistance Rarc + series resistance Rser will be limited to 8918V.

The figure below shows the phase-to-ground voltages VAG, VBG and VCG in case of a single-phase-to-ground fault, where the fault is located at the busbar (fault location = 0%). The faulty phase-to-ground voltage only consists of the rectangular voltage caused by the arc nonlinear resistance.

If the fault location is at 50% of the line length, the faulty phase-to-ground voltage AG measured at the beginning of the line consists of the addition of the rectangular voltage caused by the arc nonlinear resistance and the sinusoidal serial voltage measured along the line between the monitoring location and the fault location.


Dynamic Arc Faults

Read also about Configuration of Arc Faults

The dialog below shows the settings for a Dynamic Arc Fault.

  • Please Note

The Dynamic Arc Fault can be only used if transients will be calculated using the ATP.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Fault Type | Arc Resistance(s)
AG | RAG
BG | RBG
CG | RCG
ABG | RAG + RBG
BCG | RBG + RCG
ACG | RAG + RCG
AB | RAB
BC | RBC
AC | RAC
ABC | RAB + RBC
ABCG | RAG + RBG + RCG


Single-Circuit Line

Read also about short-circuit calculation acc. VDE 0102 (IEC 60909)

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

Read also about the Context Specific Right Mouse Button Menu for Lines

Read also How to Identify the Left and Right Node of the Line

Read more about the Single-Circuit Multi Line

The network element Single-Circuit Line can be used to design an overhead line or an underground cable. Several line models as mutual coupled RL impedances as well as distributed line model can be taken into account. The figure below shows the dialog to define the electrical data of the Single-Circuit Line including shunt reactances located at the ends of the line. Some of the data can be only changed depending on the selected line model. The network elements Line 1, Line 2 and Line 3 can be used for Special Purposes . In addition ATPDesigner supports the user by an internal library of several line types e.g. NAKBA 3x300mm2.

  • Please Note

The settings R, X and C are the entire physical data of the line. ATPDesigner internally calculates the data required by the different ATP line models.

Single-circuit lines are network elements with a Flexible Shape. Therefore single-circuit lines can be Unlocked and Locked. In addition the shape of the line can be drawn vertical/horizontal or diagonal . Please read more in How to Set Line Shape to Diagonal or Standard (Horizontal/Vertical) .

Single-Circuit Line and Load Impedance

The line model of the Single-Circuit Line also a 3-phase load impedance as part of the line model. The load impedance will be drawn using the light blue triangle at the right node of the line as shown in the figure below.

Read more in chapter Single-Circuit Line: Load Impedance

Read more about how to Unlock / Lock a Network Element

Read more about How to Add a Connection or a Line or a Cable

In the 2nd tab ATPDesigner displays a tree control with all line types:

    • Generic Line Model
      • Single-Line (RL)
      • Single-Line (RLC)
      • Decoupled RL
      • Double-Line
      • Single-Line (RLC-PI)
      • Multi-Line (RLC-PI)

    • Overhead Line
    • Cable

In addition the impedances of the positive-sequence system Z1 and the zero-sequence system Z0 as well as the both capacitances C1 and C0 of the selected line type will be displayed.

Read more about the Multi-Line (RLC-PI)

Name

User specific name of the Single-Circuit Line

User specific text using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Left/Right

Shall be enabled to identify the LEFT = L and RIGHT = R terminal of the line. The terminals can be identified by the both characters, which will be displayed near the nodes.

Ohm/km, uF/km

The unit of the line impedance can be set to Ω and μF or Ω/km and μF/km.

  • Please Note

There is a difference regarding the algorithm, how to calculate the impedances of the physical line model e.g. Single-Line (RL) or Single-Line (RLC) and the Line/Cable types e.g. NAKBA 3x300mm2 10kV.

    • Line/Cable Types

The calculation of the line impedance is always based on the impedances stored internal library. ATPDesigner takes the line impedances out of the internal library (unit: Ω/km and μF/km) and displays the entire line impedance in Ω and μF or Ω/km and μF/km depending on the setting.

    • Physical Line Models

ATPDesigner internally stores during runtime in the computer memory storage and also in the .NET-File always the line impedance settings e.g. R1, X1, R0, X0, RE, XE in Ω and the line length L in km. Based on these settings ATPDesigner displays during runtime the line impedance in Ω and μF or Ω/km and μF/km depending on the setting Ohm/km, uF/km.

Line RLC-PI

If enabled the line model Single Line (RLC-PI) (with phase-to-ground and phase-to-phase capacitances) will be internally used instead the line model Single Line (RL).

    • Example:

If a line/cable type e.g. NAKBA 3x300mm2 10kV has been selected, ATPDesigner will use the line model Single Line (RL) as default. Enabling this option ATPDesigner will used instead the line model Single Line (RLC-PI). It is not necessary to change the Line Model shown in the list.

  • Please Note

It is possible to enable or disable the capacitances Cpg and Cpp for all lines using the RLC-PI line model or a line or cable type of the line type library at the same time by the setting Enable Capacitances Cpg and Cpp in the tab Line of the settings dialog Network Configuration .

Line Model

Select Physical Line Model or Line/Cable Type e.g. NAKBA 3x300mm2 10kV.

Below the positive-sequence impedance Z1 and the zero-sequence impedance Z0 as well as the positive-sequence capacitance C1 and the zero-sequence capacitance C0 of the selected line will be displayed in the settings dialog.

  • Please Note

All Single-Circuit Lines can be changed to Double-Circuit Lines . Please read some more explanations below .

Read more about the realization of Line Models based on ATP

Installation of the line

ATPDesigner uses the maximum phase current Imax depending on the installation of the line.

    • Laying in Ground

The line has been installed in ground.

    • Installation in Free Air

The line has been installed free in the air.

R1

Positive sequence system resistance in Ohm

X1

Positive sequence system reactance in Ohm

C1

Positive sequence system capacitance in μF

RE

Resistance of the ground system in Ohm

XE

Reactance of the ground system in Ohm

CE

Phase-to-ground capacitance in μF

R0

Zero sequence system resistance in Ohm

X0

Zero sequence system reactance in Ohm

L

Length of the overhead line in km

|kG|

Amount of the ground compensation factor

ø (kG)

Phase angle of the ground compensation factor

T1

Time constant of the positive sequence system : T1 = X1 / (2πfn ⋅ R1) in ms

ø (R1, X1)

Phase angle of the positive sequence impedance

Arc Fault

Enable a model to simulate Static or Dynamic Arc Faults

  • Caution !!!

Faults can be only simulated either with a Fault Impedance or an arc resistance.

Dielectric Dissipation Factor tan(α)

The dielectric dissipation factor tan(α) will be used to determines the active power loss Ploss of the phase-to-phase-capacitances Cpp and phase-to-ground-capacitances Cpg. ATPDesigner calculates resistances, which will be connected in parallel to these capacitances.

    • Rpp loss = 1 / (ωCpp ⋅ tan(αpp))
    • Rpg loss = 1 / (ωCpg ⋅ tan(αpg))

  • These power losses will be ignored, if the corresponding dielectric dissipation factor has been set to tan(α) = 0.
  • ATPDesigner connects two resistances at the both terminals of the line, which represents 50% of the corresponding power losses.

tan (a) PP

Dielectric dissipation factor tan(αpp) of phase-to-phase capacities

tan (a) PG

Dielectric dissipation factor tan(αpg) of phase-to-ground capacities (tan α)

  • Please Note

The dielectric dissipation factor tan(α) will be only used for line models with capacitances.

    • Single Line (RLC)
    • Single Line (RLC-PI)

Monitoring the Phase Currents and Phase-to-Ground Voltages
using the Short-Circuit Analysis Results

Imax

Maximum current load rating of the line in A

This setting will be used processing the Short-Circuit Analysis (ATP Steady State Analysis) to detect an overload of the line e.g. by a short-circuit current flowing through the line. After the Short-Circuit Analysis with and without a short-circuit has been successfully processed, ATPDesigner displays the maximum phase current in A and in % of I max res instead of the user specific name closed to the line shape. In addition the phase currents will be also displayed using Short-Circuit Results Tooltips .

  • Please Note

In case of an overload the line will be drawn in different colors. Two overload thresholds will be monitored by ATPDesigner: 100% and 120%. ATPDesigner determines the amount of the maximum phase current and compare this value with Imax and 120% ⋅ Imax. The drawing colors can be selected in the settings dialog Graphic Colors .

First ATPDesigner determines the maximum phase current of the line analyzing the .LST-File . In a second step ATPDesigner compares this maximum phase current with the setting I max res . If the amount of the maximum phase current exceeds this threshold, the line will be marked with a red frame.

Starting Short-Circuit Analysis : CTRL + E or

Red.

Factor to reduce the maximum current load rating Imax, if two or more lines are installed closed together in parallel e.g. considering thermal interactions.

Resulting Maximum Current Load Rating Imax res

The resulting maximum current load rating Imax res, which will be internally used to monitor the load of the line, will be calculated as defined below:

Imax res = Imax ⋅ Red.

Par.

Number of lines of the same line type, which are installed in parallel. All inductive and capacitive couplings between the lines will be ignored. ATPDesigner automatically calculates the resulting impedance of the parallel lines.

  • Please Note

This factor can not be used to take the inductive and capacitive coupling of lines into account. In this case a Double-Circuit Line or Multi-Circuit Line must be used.

Vnom

Nominal voltage of the line in kV

This setting will be used processing the Short-Circuit Analysis (ATP Steady State Analysis) to calculate the phase-to-ground voltages of the line in %Vnom. The phase-to-ground voltages in kV and %Vnom will be displayed using the Short-Circuit Results Tooltips .

Miscellaneous Settings

Add. Nodes L:

Additional nodes at the left main node of the line (see next figure below)

Add. Nodes R:

Additional nodes at the right main node of the line (see next figure below)

  • Please Note

The LEFT node of the line is closed to the beginning of the user specific name of the line.

The figure above shows the additional nodes. The node names (ABC)xxxxx of the additional nodes are identical to the corresponding nodes at the left and right terminal of the line. These additional nodes can be used to connect e.g. a Load Impedance at one or both terminals of the line without using Busbars .

Fault Loc.

Fault location in % of the line length (settings dialog Faults and Fault Types )

Xk

Reactive reach Xk of zone 1 of a distance protection device in % of the line length

  • Please Note

This data will be only used to generate the operating time diagrams and to calculate the SIR-Factors

Pi Calculator

Calculator for the impedances of ATPs Π line model (mutually coupled RLC elements)

Read more about Calculator for PI Line Model

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Single-Circuit Line: Line Model

ATPDesigner provides the user by physical line models and several line and cable types e.g. NAKBA 3x300mm2 10kV. Below only the physical line models are described.

Read more about the realization of Line Models based on ATP

None

Disable Single-Circuit Line

Single Line (RL)

Mutually coupled RL impedances (mutually coupled RL elements)

Single Line (RLC)

Distributed line model (distributed-parameter lines)

Single Line (RLC-PI)

Π line model (mutually coupled RLC elements)

Multi Line (RLC-PI)

A sequence of Π line models (mutually coupled RLC elements)

Read more about the Single-Circuit Multi Line

Decoupled RL

Line model representing three RL series impedances without any mutual coupling neither inductive nor capacitive between the lines

Decoupled RL (AB)

Line model representing two RL series impedances for the phases A and B (not C) without any mutual coupling neither inductive nor capacitive between the lines

  • Please Note

ATPDesigner updates the line impedance following the strategy described below.

    1. R1 or X1 has been changed by the user

RE and XE will stay fixed, R0 and X0 will be updated according Z0 = 3 ⋅ ZE + Z1

    2. R0 or X0 has been changed by the user

R1 and X1 will stay fixed, RE and XE will be updated according ZE = (Z0 - Z1) / 3

    3. RE or XE has been changed by the user

R1 and X1 will stay fixed, R0 and X0 will be updated according Z0 = 3 ⋅ ZE + Z1

Double Line

Single- or Double-Circuit Line based on the geometrical and electrical data of the overhead line

The settings of the double line will be defined in the dialog Double-Circuit Line .

List of Line/Cable Types e.g. NAKBA 3x300mm2 10kV

ATPDesigner supports the user to select one Line/Cable Type e.g. NAKBA 3x300mm2 10kV. The electrical parameter of these line/cable types are internally defined in the ATPDesigner software source code using the 012-system impedances.

    • Example: NAKBA 3x300mm2 10kV
      • Three-core cable
      • Cross section 300mm2 per phase
      • Nominal voltage 10kV

    • Positive-sequence impedance Z1
    • Zero-sequence impedance Z0
    • Capacitance of the positive-sequence impedance C1
    • Capacitance of the zero-sequence impedance C0 = CE

    • It will be assumed, that the impedance of the negative-sequence system Z2 is identical to the impedance of the positive-sequence system Z1: Z2 = Z1
    • It will be assumed, that the capacitances of the negative-sequence system C2 is identical to the impedance of the positive-sequence system C1: C2 = C1

    • The electrical data of impedances and capacitances are defined in Ohm/km or μF/km. If a cable or line type has been selected, the user must only specify the length of the line in km.

  • Please Note
    • The zero-sequence impedance of a line Z0 may be not known for several line types. In these cases the zero-sequence impedance of a line Z0 will be calculated by Z0 = 4 ⋅ Z1. It will be indicated by Z0 calculated and the red square in the settings dialog.

    • If one of the line types has been selected, the line model Single Line (RL) will be used to create the ATP based line model.

    • It's also possible to switch to an other line model e.g. Single Line (RLC-PI).

      • First, select one of the line types e.g. NAKBA 3x300mm2 10kV.

ATPDesigner displays now the electrical data of the line type in the settings dialog using internally the line model Single Line (RL). Therefore the settings of the capacitances are automatically disabled.

      • Now, an other line model e.g. Single Phase (RLC-PI) can be selected.

ATPDesigner automatically enables the settings of the capacitances. Now the internally used model has been changed to Single Phase (RLC-PI).


Single-Circuit Line: Load Impedance

The line model of the Single-Circuit Line also provides a 3-phase load impedance as part of the line model. The most important settings are inside the group Load Adjusting of the tab General Technical Data. Some additional settings are part of the tab V<>, Add. Line . ATPDesigner uses the model of a Y-connected 3-phase series impedance. The load impedance will be used for steady-state calculation as well for the calculation of transients. If a Load Flow Analysis has been started the load impedance will be automatically by the Load Adjusting algorithm as a PQ-Node. The Single-Circuit Line can be also set with a V<> - Protection (tab V<>, Add. Line), which is available independent if the load impedance has been enabled or disabled.

  • Please Note

It is not possible to disable the Load Adjusting function for the load impedance if enabled.

  • Please Note

The load impedance as well the V<> - Protection can be connected to the left or right node of the line using the setting Connected to the Left or Right Node in the tab V<>, Add. Line .

Enabled

The load impedance will be enabled or disabled.

S [MVA]

Apparent power of the load impedance

cos ø

Displacement factor of the load impedance

    • cos ø > 0 : under-excited
    • cos ø < 0 : over-excited

If enabled the load impedance will be drawn using the light blue triangle at the right node of the line as shown in the figure below.

It is further possible to use the additional node at the right terminal of the line e.g. to connect a Probe and a 3-Phase Source used als renewable power infeed.


Single-Circuit Line: V<> - Protection, Add. Line

Single-Circuit Line: V<> - Protection, Additional Line

ATPDesigner also provides a V<> - Protection and an Additional Line which can be set to each node of the line. Both features can be used independent of each other.

Connected to the Left or Right Node

The Load Impedance and the V<> - Protection can be connected to the left or right terminal (= node) of the Single-Circuit Line.

  • Please Note

Both elements will be always connected to the same node of the line.

Protection

The amount of the phase-to-ground voltages VAG, VBG and VCG will be monitored using the both thresholds V> and V< as well as the both time delays TV> and TV<.

V<

Threshold to detect an under voltage condition

If one of the phase-to-ground voltages is less than the threshold, a protection event will be detected.

V>

Threshold to detect an over voltage condition

If one of the phase-to-phase voltages is higher than the threshold, a protection event will be detected.

T<

Time delay of the V< threshold

T>

Time delay of the V> threshold

The results of the protection elements will be directly displayed in the power network graphic as well known from all other protection elements and written into the Messages Window .

The Single-Circuit Line Line 7 shows the structure of a line where the additional line, the load impedance and the V<>-protection have been enabled using stand-alone network elements.

  • Probe P7 = V<>-protection
  • Line 8 = additional line
  • Load 3 = load impedance

Additional Line to the internal Load Impedance

The figure above shows the internal structure of the line model if the additional line has been enabled.

Enabled

Enable or disable the additional line

L

Length of the additional line

Line Model

The type of the line can be selected.


Single-Circuit Line: Shunt Impedance

Shunt impedances can be added to the line model connected at the both nodes of the line. The figure below shows Line 1 with two shunt impedances at the both terminals of the line. The both terminals can be identified using the both characters L = left and R = right. The both characters L and R can be displayed using the setting Left/Right in the settings dialog of the Single-Circuit Line.

The figure below shows the dialog elements which have to be used to enable or disable the shunt impedances and to define the electrical data. The settings are part of the 2nd tab Line Model of the settings dialog Single-Circuit Line .

Xl

Shunt reactance at the left terminal of the line in Ω

Rl

Shunt resistance at the left terminal of the line in Ω

Xr

Shunt reactance at the right terminal of the line in Ω

Rr

Shunt resistance at the right terminal of the line in Ω


Single-Circuit Multi Line

ATPDesigner assists the user defining a line which consist of multiple line segments. The figure below shows an example of the corresponding settings dialog to define a Multi Line. ATPDesigner defines one line (what means using only one graphical line shape) but which consists internally of multiple line segments following the order of the line segments of the list.

  • Please Note

The line model Multi Line can NOT be used for the lines Line 1, Line 2 and Line 3 .

  • Changing the Settings of one Segment of the Multi Line

The settings dialog can be opened via a Left Mouse Button Double Click or using the button Open.

  • Multi Line and Short-Circuit

The Short-Circuit can be used also for the Multi Line.

Read also Setting a Short-Circuit at a Network Node by a Mouse Click

The figure below shows the settings dialog to define the Multi Line. The number of the first column 1..N indicates the sequence number of the several lines which are part of the Multi Line. The settings dialog of each Single-Circuit Line can be opened e.g. by a Left Mouse Button Double Click on one of the cells of the corresponding line i the spread sheet.

  • Please Note

It is mandatory to select the Line Model Multi Line (RLC-PI) to enable the Multi Line for steady-state or transients calculations.

How to define a Multi Line ?

The settings of each segment of the Multi Line can be easily defined as well known from the Single-Circuit Line . using the tab General Technical Data

    1. Open the settings dialog Single-Circuit Line , tab General Technical Data
    2. Define the settings of the line as well known from the Single-Circuit Line
    3. Copy the line settings into the spread sheet in the tab Multi Line using the button Copy to ...
    4. Repeat these steps 1..3 for each segment of the Multi Line
    5. Select the Line Model Multi Line (RLC-PI) e.g. in the tree control in tab Line Model

How to change the settings of a Multi Line ?

The settings dialog can be easily opened by a Left Mouse Button Double Click on one of the cells of the corresponding line in the spread sheet. ATPDesigner automatically opens the settings dialog of the Single-Circuit Line but without the tab Multi Line. After closing this settings dialog, the settings will be stored as settings data of the corresponding segment of the Multi Line. The number in the first column indicates the sequence of the line segments of the Multi Line.

  • Please Note

It is mandatory to select the Line Model Multi Line (RLC-PI) to enable the Multi Line for steady-state or transients calculations.

Open

If one of the lines of the spread sheet has been selected by a left mouse button double click, the settings dialog can be opened. The settings dialog consists of the both first tabs General Technical Data and Line Model of the settings dialog of the Single-Circuit Line shown in the figure below.

Copy

The content of the spread sheet will be copied into the clipboard using a .csv-format as shown in the frame below.

;Name;Typ;L[km];R1[Ohm/km];X1[Ohm/km];R0[Ohm/km];X0[Ohm/km];C1[uF];C0[uF];Vnom[kV];Imax[A];Red;Par;RefName;No

1;[NA2XS2Y 3x1x240 20kV] 5km;NA2XS2Y 3x1x240 20kV;5;0,129;0,113;0,764;0,291;0,3;0,3;20;417;1;1;Line 4;1

2;[NA2XS2Y 3x1x240 20kV] 5km;NA2XS2Y 3x1x240 20kV;5;0,129;0,113;0,764;0,291;0,3;0,3;20;417;1;1;Line 4;2

Delete

If one of the lines of the spread sheet has been selected by a left mouse button click, the segment of the Multi Line can be deleted.

Help

Open the corresponding chapter in the help file

Content of the tab General Technical Data

If the Line Model Multi Line (RLC-PI) has been selected, ATPDesigner automatically calculates e.g. average values of all segments of the Multi Line and displays these values in the first tab General Technical Data instead of the settings of one line segment. The figure below displays a Multi Line which consists of several line segments.

The tab General Technical Data displays now technical data which will be automatically calculated by ATPDesigner based on the settings of all segments of the Multi Line.

  • R1, X1, C1, RE, XE, CE, R0, C0

The average value of the corresponding settings of all segments of the Multi Line

  • L

The sum of all line lengths L of all segments of the Multi Line

  • tan (a) PP, tan (a) PG

The average value of the corresponding settings of all segments of the Multi Line

  • Imax

The minimum value of the setting Imax of all segments of the Multi Line

  • Vnom

The average value of the setting Vnom of all segments of the Multi Line


Overload of a Line displayed in the Network

Read more about the indication of an overload of lines in Single-Circuit Line


Open or Close the Disconnectors of the Line

Read also Line Disconnected from Supply Voltage

Using ATPDesigner it is often necessary to connect or disconnect a Line from the power network. ATPDesigner supports the user to connect or disconnect a Line from or to the power network by a Left Mouse Button Click. The ATPDesigner specific model of the Line also consists of a Disconnector for each line node.

  • Closed or Enable

Disconnector is closed - the corresponding node of the Line is electrical conductive

  • Opened or Disable

Disconnector is open - the corresponding node of the Line is electrical NOT conductive

  • Please Note

If one of the disconnectors of the Line has been opened, the Line will be drawn in pale blue color.

ATPDesigner supports the user to disable or enable any node of the line by a simple Left Mouse Button Click. In addition messages will be written into the Messages Window .

  1. Enable the Network Design Mode e.g by the toolbar button
  2. The line must be selected by a Left Button Mouse Click .
  3. If the line has been selected the mouse cursor must be hover over the node which shall be modified.
  4. The Disconnector can be opened or closed by a Left Mouse Button Click on the node.

The figure below shows a Disconnector (red arrow) which has been opened. The line with opened disconnector would be drawn in pale blue color.

It is also possible to disconnect the Line from the power network by opening all Disconnectors of the Line . In this case the line will be drawn in light grey color.


Line Disconnected from the Power Network

Read more about Open or Close the Disconnectors of the Line Nodes

If all Disconnectors of the Line has been opened, the Line has been disconnected from the electrical power network. In this case ATPDesigner draws the line in light grey color.


Enable or Disable a Node of the Line by a Mouse Click

Read more about Open or Close the Disconnectors of the Line Nodes


Double-Circuit Line

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

The network element Double-Circuit Line can be used to design transposed or untransposed single- and double-circuit overhead lines based on their geometrical and physical data. A single-circuit line can be designed by disabling the 2nd line of the double-circuit line called Line 2. The network elements Line 1, Line 2 and Line 3 can be used for Special Purposes .

Read more about the realization of Line Models based on ATP

The double-circuit line consists of 6 bundles and 2 ground-wires. The first single-circuit line Line 1 is represented by bundle 1, bundle 2 and bundle 3, the second single-circuit line Line 2 by the bundle 4, bundle 5 and bundle 6. Additional shunt impedances can be enabled at the four terminals of the double-circuit line. The shunt impedances can be used independent from each other specified by their resistances and reactances. One of the figures below shows an electrical power network of an double-circuit line including shunt impedances located at the terminals of the line.

Double-circuit lines are network elements with a Flexible Shape. Therefore double-circuit lines can be Unlocked or Locked.

Read more about how to Unlock / Lock a Network Element

Read more about How to Add a Connection or a Line or a Cable

  • Please Note

Double-Circuit Lines can be designed as well as Connections . Please use the corresponding Busbar shape to connect a Double-Circuit Line.

ATPDesigner uses the LINE CONSTANTS supporting routine of the ATP to calculate voltages and currents based on the geometrical data of the line. The figure below shows the ATP file which will be automatically written and preprocessed by ATPDesigner and ATP in case of a single-circuit line (setting Line 2 disabled). It is not required, that the user processes this supporting routine manually. The resulting .PCH-File (so called $Punch - File) will be created by teh ATP and automatically imported by ATPDesigner processing the corresponding .ATP-File .

C ========================================================

C ATPDesigner - Design and Simulation of Power Networks

C Version 3.01.21 - 01.09.2013

C Copyright © 2005-2013

C 01.09.2013 , 16:03:28

C ========================================================

BEGIN NEW DATA CASE

LINE CONSTANTS

METRIC

$ERASE

BRANCH A00025A00023B00025B00023C00025C00023A00025A00023B00025B00023C00025C00023

0.5000.1573000 4 2.2500000.0000E06.3799E1

1.50008.509E-2 4 5.0000001.9000E13.4299E1 4.0000E14.50E1 4

2.50008.509E-2 4 5.0000001.6500E12.3800E1 4.0000E14.50E1 4

3.50008.509E-2 4 5.0000001.0000E12.3800E1 4.0000E14.50E1 4

4.50008.509E-2 4 5.000000-1.000E12.3800E1 4.0000E14.50E1 4

5.50008.509E-2 4 5.000000-1.650E12.3800E1 4.0000E14.50E1 4

6.50008.509E-2 4 5.000000-1.900E13.4299E1 4.0000E14.50E1 4

BLANK

1.0000E25.000000E1 1 000001 011000 01.5000E2 11110 01

BLANK

$PUNCH, C:\ATPDesigner\Data\PowerNetwork_1_001DL.PCH

BLANK

General Technical Data

The data of double-circuit lines can be defined using the settings dialogs presented below. The first tab of the settings dialog is called General Data followed by Shunts. In addition the physical and geometrical data of the line can be defined using the tabs Bundle 1..6 as well as Ground 1 and Ground 2 for the ground wires.

Name

User specific name of the Double-Circuit Line

The figure below shows the graphics of a single-circuit line whith a User specific name.

User specific text using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Fault Location

Fault location in % of the line length

Read more about Faults and Fault Types

Line Length: L

Length of the double-circuit line in km

Frequency

Nominal network frequency of the electrical network defined in the dialog of Network Infeed 1 to calculate the impedances of the double-circuit line

Earth Resistivity: Rho

Resistance of the homogeneous earth

Reactive Reach Zone 1

Reactive reach Xk of zone 1 of a distance protection device in % of the line length

  • Please Note

This data will be only used to create the operating time diagrams and to calculate the SIR-Factors

Arc Fault

Enable an ATP based model to simulate Static or Dynamic Arc Faults

Line 1

Line 1 of the double line is always enabled

Ok

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load default data for the double-circuit line

Help

Open the corresponding chapter in the help file

Enable or Disable Line 2 of the Double-Circuit Line

Line 2

Line 2 of the double line has been enabled or disabled.

The figure below shows the shape of the double-circuit line, if Line 2 of the double-circuit line has been disabled. The shape of line 2 will be drawn in light-grey color to indicate that the line model will be not written into the .ATP-File.

  • Please Note

The shunt impedances will be written into the .ATP-File independent of the current enable/disable state of Line 2 of the double-circuit line. If Line 2 has been disabled, all elements of the property sheets Bundle 4 .. 6 are also automatically disabled, but not the dialog Ground 2.

Shunt Impedances

Shunt impedances can be added to the line model located at the both ends of the double-circuit line. The four shunt impedances can be enabled and disabled separately. The figure below shows the dialog to enable or disable the shunt impedances.

Xl

Shunt reactance located at the left end of the double-circuit line

Rl

Shunt resistance located at the left end of the double-circuit line

Xr

Shunt reactance located at the right end of the double-circuit line

Rr

Shunt resistance located at the right end of the double-circuit line

The double-circuit line shown in the figure above shows the shunt impedances located at all terminals of the double-circuit line.

Transposition Schemes

Transposition Scheme

  • Fully Untransposed

The overhead line is untransposed.

  • Please Note

This option corresponds to the K.C.Lee Line Model.

"This model can be used to obtain a constant parameter travelling wave line model." (ATP Rule Book)

  • Transposed with 3 Segments

Both lines 1 and 2 of the double-circuit line are transposed as single-circuit lines using 3 segments with transposition locations at 1/3 and 2/3 of the line length. This transposition scheme will be also called Transposition Scheme Alpha shown in the figure below.

  • Continuously Transposed

The double-circuit line is continuously transposed and therefore absolutely balanced.

  • Please Note

This option corresponds to the Clarke Line Model.

"This model can be used to obtain a constant parameter travelling wave line model." (ATP Rule Book)

Bundle Enabled

Enables or disables the bundle of the double-circuit line

Horizontal Tower Distance

  • Single-Conductor: Horizontal distance from the center of the conductor to the tower
  • Bundle: Horizontal distance from the virtual center of the bundle to the tower

  • Please Note

The ground-wire will be identified by a Horizontal Tower Distance h = 0m.

Height Above Ground

  • Single-Conductor: Vertical height of the center of the conductor above ground at the tower
  • Bundle: Vertical height of the virtual center of the bundle above ground at the tower

  • Please Note

The ATP uses the Height Above Ground internally as the average height of the lines. ATP also supports to use of VTOWER (= vertical height of the center of the conductor above the ground at the tower) and VMID (= vertical height of the center of the conductor above the ground at midspan). But this option will be not supported by ATPDesigner. If required such a line model can be written by hand and used as part of a electrical network using the External .ATP-File .

"If both, VMID and VTOWER, are specified, the average height as used for internal calculation will be set to: v = 2/3 x VMID + 1/3 x VTOWER" (ATP Rule Book)

Outside diameter

Outside diameter of one tubular conductor of the bundle

Conductor Distance

Distance between the centers of two adjacent conductors of the same bundle

Bundle Angle

Angular position of the center of one conductor bundle

  • Please Note

As reference of the bundle angle the horizontal line through the center of the bundle circle is used. Positive angles are measured counter-clockwise. The figures below show the meaning of the meaning of the angular position.

Conductor Number

Number of conductors of the bundle

Conductor Resistance

DC-resistance value of one conductor of the bundle

The figure below shows the geometrical data, which must be used to specify the tower scheme of the double-circuit line. It is very important to use the same reference line for all conductors and bundles.

  • Please Note

All distances will be referenced to the center of the tower in the figure below.

    • Distance > 0 : right of the center of the tower
    • Distance < 0 : left of the center of the tower

Skin Effect

Skin Effect Enabled

Enabling or disabling of the skin effect calculating the impedance matrix of the line

  • Skin = 0.5 : for solid component conductors
  • Skin = T/D : for tubular component conductors

T/D

  • T = thickness of tubular component conductor
  • D = outside diameter of tubular conductor

Phase Identifiers A,B,C for Line 1 and Line 2

ATPDesigner assigns the bundles 1..6 to the phases as shown below:

  • Bundle 1 (= -1) = Line 1, Phase A
  • Bundle 2 (= -2) = Line 1, Phase B
  • Bundle 3 (= -3) = Line 1, Phase C
  • Bundle 4 (= -4) = Line 2, Phase A
  • Bundle 5 (= -5) = Line 2, Phase B
  • Bundle 6 (= -6) = Line 2, Phase C

C C Rho___ Fcar______# #IZPR__# Dist____# S DEC PUN IT

C C Freq______ ICPR__ I IPIP M PNT MO

C 1.0000E25.000000E1 1 000001 011000 01.0000E2 11110 01

C The transformation matrix was calculated at 5.00000000E+01 Hz.

$VINTAGE, 1

-1A00005A00003 2.42158E-01 9.28150E+02 2.04693E+05-1.00000E+02 1 6

-2B00005B00003 2.18857E-02 4.20699E+02 2.90038E+05-1.00000E+02 1 6

-3C00005C00003 2.20610E-02 2.60557E+02 2.96437E+05-1.00000E+02 1 6

-4A00002A00014 2.15335E-02 2.50735E+02 2.97352E+05-1.00000E+02 1 6

-5B00002B00014 2.15513E-02 2.05026E+02 2.96961E+05-1.00000E+02 1 6

-6C00002C00014 2.14613E-02 2.00862E+02 2.96936E+05-1.00000E+02 1 6

$VINTAGE, 0


Changing the Line Model

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

Several methods can be used to change the line model of Double-Circuit Lines .

  • Method 1:

The configuration of a Double-Circuit Line e.g. to a single-circuit line can be changed inside the dialog General Data . The figure below shows the corresponding setting Line Model.

  • Method 2:

If the user has chosen the line model Double Line, the line model can be changed inside the dialog Network Configuration , property page Line . The figure below shows the corresponding settings.


Line No. 1, 2 and 3

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

Read also about Arc Faults

The network elements Line 1, Line 2 and Line 3 are especially designed

  • to simulate several line physical models e.g. mutually coupled RL model or double lines and
  • to provided the user with one Fault Location but different Fault Types to simulate e.g. evolving faults.

  • Please Note

The line model Multi Line can NOT be used for the lines Line 1, Line 2 and Line 3.


Calculator for PI Line Model

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

In ATPDesigner the settings of Single-Circuit Lines will be defined using the impedances of the positive sequence system Z1 and the zero sequence system Z0 or the residual impedance ZE. Based on these settings the user can select ONE line model e.g. mutually coupled RLC elements, distributed lines or the Π line model based on ATP mutually coupled RLC elements.

  • Please Note

The settings R, X and C are the entire physical data of the line. ATPDesigner internally calculates the data required by the different ATP line models.

  • Please Note

The user must press the [image] or the [image] button shown in the settings dialog below to process the calculation.

If the user has been selected the line model Single Line (RLC-PI) ATPDesigner calculates automatically the right parameters required internally by the ATP Π line model and writes these parameters into the .ATP-File . ATPDesigner uses the following equations according the equations in the ATP Rule Book (see chapter 3):

  • R1 = Rs - Rm
  • X1 = Xs - Xm
  • C1 = Cs - Cm

  • R0 = Rs + 2 · Rm
  • X0 = Xs + 2 · Xm
  • C0 = Cs + 2 · Cm

  • Rm = (R0 - R1) / 3
  • Xm = (X0 - X1) / 3
  • Cm = (C0 - C1) / 3

  • Rs = (2 · R1 + R0) / 3
  • Xs = (2 · X1 + X0) / 3
  • Cs = (2 · C1 + C0) / 3

Rm

mutual resistance used in the ATP Π line model

Xm

mutual reactance used in the ATP Π line model

Rs

self resistance used in the ATP Π line model

Xs

self reactance used in the ATP Π line model

Cm

mutual capacitance used in the ATP Π line model (off-diagonal elements)

Cs

self capacitance used in the ATP Π line model (diagonal elements)

Selecting Settings of

The user can select one of the lines (but only single-circuit lines, no double-circuit lines !!!) which are part of the power network of the active graphics view.

Help

Open the corresponding chapter in the help file

Calculate the ABCG-system impedances based on the 012-system impedances

Calculate the 012-system impedances based on the ABCG-system impedances


Example: Series Compensated Lines

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

Read also Multi-Circuit Line

The figure below shows the graphics of an power network which consists of a series compensated line. The series compensated line is designed using two network elements: a RLC Impedance Cser and a Single-Circuit Line Line 1. The RLC Impedance can be designed with and without a MOV (Metal Oxyd Varistor) in parallel. In the first example the MOV was not enabled.

  • The figure below shows the phase currents in case of a 3-pole-to-ground fault which is located at 10% of the line length. The phase currents consist of subharmonic frequencies which are caused by the series compensation circuit.

  • If the Metal Oxyd Varistor (MOV) has been enabled in parallel to the capacitance Cser, the subharmonic frequencies will be suppressed. The figure below shows the phase currents calculated in case of an enabled MOV.

  • It can be easily seen that the MOV has suppressed the subharmonic frequencies one cycle after fault occurrence.


Multi-Circuit Line

Read also How to Add Additional Nodes for Single-Circuit Lines

Read also Single-Circuit Line

Read also Double-Circuit Line

Read also Example: Series Compensated Lines

Read also How to Simulate Unbalanced Lines

The network element Multi-Circuit Line can be used to design transposed or untransposed overhead lines based on their geometrical and physical data. The figure below shows the settings dialog defining a single-circuit line C1 (A), C1 (B) and C1 (B) and one ground wires G1. Please note that the second ground wire G2 has been configured, but disabled. Disabled means, that the data of ground wire G2 will be not written into the corresponding .ATP-File of the Multi-Circuit Line.

Name

User specific name

User specific text using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Line Length L

Length of the line in km

Frequency fn

Nominal network frequency of the electrical network defined in the dialog of Network Infeed 1 to calculate the impedances of the line

Earth Resistivity Rho

Resistance of the homogeneous earth ρ

No. of Phases

Number of phases, which are visible in the spreadsheet

No. of Ground Wires

Number of ground wires, which are visible in the spreadsheet

Ok

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load default data for the line

Help

Open the corresponding chapter in the help file

Transposition Scheme

Transposition Scheme

  • Fully Untransposed

The overhead line is fully untransposed.

  • Please Note

This option corresponds to the K.C.Lee Line Model

  • Continuously Transposed

The multi-circuit line is continuously transposed and therefore absolutely balanced.

  • Please Note

This option corresponds to the Clarke Line Model

Geometrical and Physical Data

No.

Line ID of the Spread Sheet

  • Cx (Y) : 3-phase Circuit No. x, Phase Y, x = 1,2,3,... , Y = A, B or C
  • Gx : Ground-wire No. x, x = 1,2,3,...

Bundle Enabled

Enables or disables the bundle of the double-circuit line

h [m] : Horizontal Tower Distance

Horizontal distance from the bundle center to the tower

v [m] Height Above Ground

Vertical height of the center of the bundle above ground

d [cm] : Outside diameter

Outside diameter of one conductor of the bundle

a [cm] : Conductor Distance

Distance between the centers of two conductors of the same bundle

ø [°] : Bundle Angle

Angular position of the center of one conductor bundle

n : Conductor Number

Number of conductors of the bundle

R [Ohm] : Conductor Resistance

DC-resistance value of one conductor of the bundle

The figure below shows the different geometrical data to describe the tower scheme of the double-circuit line. Please note, that all distances will be referenced to the center of the tower. Therefore:

  • Distance > 0 to right of the tower
  • Distance < 0 to the left of the tower

Skin Effect

Skin : Skin Effect Enabled

Enabling or disabling of the skin effect calculating the impedance matrix of the line

  • Skin = 0.5 : for solid component conductors
  • Skin = T/D : for tubular component conductors

T/D

  • T=thickness of tubular component conductor
  • D=outside diameter of tubular conductor

En/Dis

  • 1 = Enabled : Data will be written into the .ATP-File of the Multi-Circuit Line and used for the power network simulation
  • 0 = Disabled : Data will be not written into the .ATP-File of the Multi-Circuit Line and not used for the power network simulation

  • Please Note

The setting has been enabled, if the numerical value of the cell is unequal 0: Enabled = YES, if Value ≠ 0.


How to Identify the Left and Right Node of a Line

ATPDesigner provides the user to identify the LEFT NODE and the RIGHT NODE of the Line using the Context Sensitive Right Mouse Button Menu . The figure below shows the context sensitive Right Mouse Button menu, if a Line has been first selected.

  • Select the menu item Identify Left Node - Right Node

Now the LEFT = L and the RIGHT = R node can be identified by the characters L and R. An alternative method is to enable the option Left/Right in the settings dialog of the Line . The figure below shows the characters L and R near the node of the Line .

  • Please Note

This setting will be NOT permanently stored in the .NET-File .


How to Simulate Unbalanced Lines

In existing electrical power networks Single-Circuit Lines as well as Double-Circuit Lines are unbalanced. The geometrical data e.g. distance above ground and distance to the middle of the tower are different for each bundle or each conductor of the line. The inductive and capacitive coupling of the lines or conductors in case of a bundle depends on these geometrical data. As the consequence the amount and the phase shift of the phase currents also depend on the geometrical data of the line. ATP supports the simulation of unbalanced lines. Based on the geometrical and physical data of the line ATP calculates the complex impedance matrix, which consists of all inductive and capacitive coupling.

ATPs LINE CONSTANTS preprocessor calculates these impedance matrix, which will be used from the ATP main module (e.g. tpbig.exe) during runtime. ATPDesigner supports the user to define the geometrical and physical data of unbalanced Single-Circuit Lines and Double-Circuit Lines . All these data including some additional aspects e.g. Shunt Impedances can be defined using an user friendly settings dialog. In addition Transposition Schemes can be also used to simulate Transposed Lines or Balanced Lines. The figure below shows an simple power network, which consists of an unbalanced double-circuit line using the default settings for the double-circuit line.

  • The next figure shows the line currents measured at location 1 (at Cb1). The amount of the phase currents are different caused by the unbalanced line scheme.

  • The unbalanced line can be balanced using a transposition scheme e.g. Transposed with 3 Segments. The amount of the three phase currents are identical.

Error Messages

ATP checks one important parameter before calculating voltages and currents: the Frequency of the Traveling Waves. The internal time step during the network simulation must be small enough, that the ATP will be able to calculate the traveling wave with the highest frequency. The traveling wave frequency depends of the line parameters and therefore of the length of the line. It can be assumed for existing power networks, that the shortest line in the network determines the highest traveling wave frequency and therefore the internal calculation frequency (or sampling frequency) of the ATP.

ATPDesigner checks the .LST-File which will be produced from ATP during the simulation. The figure below shows the error message displayed from ATPDesigner. The user should now increase the setting Step which can be found in the dialog ATP Data . The required number of steps depends on the parameter of the line and other settings e.g. transposition schemes or short-circuit locations. Therefore the user must identify the best Step setting "playing" with the value e.g. increasing step by step and repeating the simulation, until ATPDesigner displays no longer the error message.


Cables

The network element Cable can be used to simulate Underground Cables, Overhead Cables or Cables On Earth Surface. ATPDesigner uses the ATP's CABLE PARAMETERS to simulate the physical behavior of the cable. The CABLE PARAMETERS supporting program calculates the electrical characteristics of a cable based on the physical and geometrical data, which are defined in the dialogs shown below. The internal, numerical model of the cable will be calculated first, before starting the calculation of the whole electrical power network.

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this network element. In addition some figures used below are also copied out of the ATP Rule Book.

ATPDesigner and ATP's Supporting Routines

CABLE PARAMETERS is one of ATP's supporting routines, which must be preprocessed before starting the power network simulation process. ATPDesigner automatically controls this preprocessing and inserts the required $INCLUDE commands into the .ATP-File . No user specific actions are required. In addition the user can execute only this preprocessing using the corresponding menu item in the main menu ATP .

Nevertheless, some important information were found in the CABLE CONSTANTS section of the ATP Rule Book. CABLE CONSTANTS are the older supporting program for cables, but will be NOT supported in ATPDesigner.

  • Please Note

also, that the CABLE PARAMETERS supporting program is also able to calculate an electrical model for overhead lines. This feature is not yet supported in ATPDesigner. If it is required to simulate transposed or untransposed overhead lines based on the physical and geometrical data, the network element Single-Circuit Line or Double-Circuit Line shall be used, which supports various numerical models of overhead lines. It is required to study the corresponding chapter XXIII called "CABLE PARAMETERS Supporting Program" in the ATP Rule Book to get a deeper understanding of the physical and numerical background. Please note also, that the ATPDesigner doesn't support all features in detail, which are part of the CABLE PARAMETERS Supporting Program. But nevertheless, the features required for the most common situations in electrical power networks are comfortably supported. The majority of the comments which are used in the settings dialogs below are copied out of the ATP Rule Book to improve the understanding of CABLE PARAMETERS. The CABLE CONSTANTS supporting program is NOT supported.

The figures below show the settings dialog. The relationship between the settings visible in the dialogs and the CABLE PARAMETERS settings are explained in the comments below. In addition this relationship will be presented in the "yellow box" tooltips, if the cursor will be moved over the corresponding graphical control. Tooltips are well known from all Windows based software which developped according the style guides. Tooltips gives additional information for the settings. The figure below shows the overall internal structure of a SC cable and SC cables enclosed by a pipe.

Internal Structure of Cables suported by CABLE PARAMETERS

Cables, which are supported by the CABLE PARAMETERS supporting program, consists of a number of coaxial SC cables, which can optionally be enclosed by a pipe. Every SC cable can consist of a core, a sheat and an armor.

Common Data

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operation Mode (ITYPE)

CABLE PARAMETERS : ITYPE

Operation mode of the cable

    • Single-Core Coaxial Cable (SC)

System of single core (SC) coaxial cable without enclosing conducting pipe

    • Pipe-Enclosed Type Cable (PT)

System of single core (SC) coaxial cable enclosed by a conducting pipe

Number of Cables or Overhead Lines (NPC)

CABLE PARAMETERS : NPC

Number of SC Cables which make up the system of interest.

    • Example:

Setting = 3 for a 3-phase cable

No. of Grounded Conductors (NGRND)

CABLE PARAMETERS : NGRND

This data describes the number of grounded conductors regarding the sum of all conductors of all SC cables or overhead lines of the system. The number of conductors depends on the physical structure of the SC cables or overhead lines. Please remember that a SC cable consists up to one core, one sheat and one armor. The pipe (if used for a Pipe-Enclosed Type Cable (PT)) is also a conductor, which can be grounded or not. According the ATP Rule Book at least one conductor must be ungrounded.

The structure of every single SC cable can be defined by the user in the property page SC Cable, setting Number of Conductors of the SC Cable (NCPPx). See more detailled explanations below.

  • Example:

A SC Cable consists of up to 3 different conductors: Core, Sheat and Armor. If a SC cable only consists of Core and Armor, the number of conductors takes 2. The overall number of conductors can easily calculated, if all SC cable and the Pipe will be analysed. Please note that the Pipe reperesents one conductor, which can be grounded or not.

Location of Cable / Transposition of Overhead Lines

CABLE PARAMETERS : ISYST

For Cables:

    • Underground Cable
    • Overhead Cable
    • Cable on Earth Surface

For OverheadLines:

    • Untransposed Overhead Line
    • Continously Transposed Overhead Line

Specification e.g. Snaking, Pipe Thickness. etc. (NPP)

This setting is only of interest for cables, but unused for overhead lines.

For SC Cables:

    • Unused
    • Transposition (Snaking) of SC Cables

For Pipe enclosed SC Cables:

    • Pipe of Finite Thickness

    • Pipe of Infinite Thickness

ISYST is automatically set to be zero.

    • Snaking of Inner Conductors (Finite Thickness Pipe)

Snaking of inner conductors (SC cables) for a finite thickness pipe (corresponds to NPP = 1)

    • Snaking of Inner Conductros (Infinite Thickness Pipe)

Snaking of inner conductors (SC cables) for an infinite thickness pipe (corresponds to NPP = 0)

Physical Model of the Cable or Overhead Line

CABLE PARAMETERS : IPUNCH

File name of the PUNCH - file: [File name of the .NET-File without extension]_xxxcbl.pch

with xxx = unique number [001...999] generated automatically by ATPDesigner.

Example:

File name of the .NET-File: network_1.net

File name of the PUNCH-File: network_1_001cbl.pch

    • None

ATP doesn't create a numerical model to represent the cable (.PCH file will be NOT written). This option is only of interest if NO network simulation but only the pyhsical data of the cable (written in the corresponding .LST-File ) are of interest.

    • PI-Circuit Model

ATP will create a branch card for a PI-circuit based model.

    • Constant Parameter Distributed Model

ATP will create a branch card for the constant-parameter, distributed modeling.

IDATA

Flag indicating the type of the input data "A5", B7" and "C4". This setting doesn't exist in CABLE CONSTANTS. Please read the ATP Rule Book chapter XXIII page 9 for detailled information.

    • Conventional Circular Conductor

CABLE PARAMETERS : IDATA = 0

Conventional circular (cylindrical) conductor, data input by radius and resistivity of the conductor.

    • Arbitrary Cross-Section Conductor

CABLE PARAMETERS : IDATA = 1

Arbitrary cross-section conductorexplained in Appendix 2 of the ATP Rule Book, data input by cross-section area, outer surface length and dc resistance of the conductor.

IYG

This option was implemented to usea distributed admittance model which takes into account a number of boundary conditions in a acable or an overhead line system. The theoretical background is explained in Appendix 3 of the ATP Rule Book.

    • Conventional Admittance Matrix Y=jwC

CABLE PARAMETERS : IYG = 0

Convetional admittance of a cable or an OH line, Y = jwC. This uses shunt capacitance only (no shunt conductance).

The next options are only relevant, if the distributed admittance model should take into account an extra admittance such as a cable conductance and boundary conditions. The extra admittance is to be supplied by the user.

    • Y + Capacitance C'

CABLE PARAMETERS : IYG = 1

Admittance with extra capacitance C', Y = jw(C + C')

    • Y + Conductance G

CABLE PARAMETERS : IYG = 2

Admittance witch extra Conductance G, Y = G + jwY

    • Y + (Conductance G + Capacitance C')

CABLE PARAMETERS : IYG = 3

Admittance with extra conductance and capacitance, Y = G + jw(C + C')

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

SC Cable

The settings shown below are part of two different input sections of CABLE PARAMETERS: A5 and A6 as described in the ATP Rule Book. The report sheet shows the physical and geometrical data of ONE SC cable, whose number can be selected using Number of the SC Cable of the System. Each setting can be easily modified only by clicking on the corresponding cell of the report sheet.

Number of the SC Cable of the System

The number of th SC Cable, whose physical and geometrical settings are displayed in the report sheet.

Number of Conductors of the SC Cable (NCPPx)

For cable systems, the number of conductors which make up each SC coaxial cable of the system must indicated.

    • SC Cable: Core only
    • SC Cable: Core and Sheat
    • SC Cable: Core, Sheat and Armor

  • Please Note

"For purposes of this input, it may be noted that the SC coaxial cables have been numbered between "1" and "NPC". Such numbering ist arbitrary, except that the string of NCPPx must be non-increasing (that is, all 3-conductor SC coaxial cables must precede and 2-conductor cables and all 2-conductor cables must precede ony core only cables), This ordering, once established, is assured to apply throughout the rest of the data case." (comment copied out of the ATP Rule Book)

  • Therefore the rule (found in CABLE CONSTANTS section of the ATP Rule Book):

"- First all 3-conductor cables,

- next all 2-conductor cables,

- next all 1-conductor cables."

Therefore again some comments found in CABLE CONSTANTS section of the ATP Rule Book and "translated" to the settings dialog:

SC Cable: Core only

only to specify

    • Radius 1 r1 (Core) [m]
    • Radius 2 r2 (Core) [m]
    • Radius 3 r3 (Sheat) [m]
    • Resistivity (Core) [Ohm m]
    • Relative Permeability µc (Core)
    • Relative Permeability µi1 (1st Insulating Layer)
    • Relative Permittivity ei1 (1st Insulating Layer)

SC Cable: Core and Sheat

only to specify

    • Radius 1 r1 (Core) [m]
    • Radius 2 r2 (Core) [m]
    • Radius 3 r3 (Sheat) [m]
    • Radius 4 r4 (Sheat) [m]
    • Radius 5 r5 (Armor) [m]
    • Resistivity (Core) [Ohm m]
    • Relative Permeability µc (Core)
    • Relative Permeability µi1 (1st Insulating Layer)
    • Relative Permittivity ei1 (1st Insulating Layer)
    • Resistivity (Sheat) [Ohm m]
    • Relative Permeability µs (Sheat)
    • Relative Permeability µi2 (2nd Insulating Layer)
    • Relative Permittivity ei2 (2nd Insulating Layer)

SC Cable: Core, Sheat and Armor

All settings need to be specified.

  • Please Note
    • Do not confuse the 3rd insulator of a SC cable with the inside insulating medium of the pipe.
    • For a Solid Core: Radius 1 (R1) = 0 m

No. Grounded Cond. (NGRND)

CABLE PARAMETERS : NGRND

See No. of Grounded Conductors (NGRND) above.

The number of grounded conductors depends on the settings Core Grounded, Sheat Grounded and Armor Grounded of every SC cable of the system shown in the property page SC Cable Data and the setting Pipe Grounded shown in the property page Pipe Data. The next figure below shows some examples to explain the NGRND setting more in detail (copied out of the ATP Rule Book).

All settings shown below corresponds to the SC cable, which has been selected via Number of the SC Cable of the System.

Core Grounded

If enabled, the core of the selected SC cable is solidly grounded

Sheat Grounded

If enabled, the sheat of the selected SC cable is solidly grounded

Armor Grounded

If enabled, the armor of the selected SC cable is solidly grounded

    • Vertical Distance (Center-Earth Surface) [m]

Vertical distance (m) between the center of the k-th single-core coaxial cable and the earth surface. Always use POSITIVE values, no matter wether the system of cables is underground or in the air. This difference is made by flag ISYST on the first "Common" data Card.

    • Horizontal Distance (Center-Reference Line) [m]

Horizontal distance (m) between the center of the k-th single-core coaxial cable and an arbitrary vertical reference line.

The figure below shows more in detail the meaning of physical and geometrical settings of a SC Cable (copied out of the ATP Rule Book).

Pipe Data

The pipe related settings are only enabled, if the Operation Mode "Pipe-Enclosed Type Cable (PT)" had been selected. The figure below shows more in detail the meaning of physical and geometrical settings of the enclosing pipe (copied out of the ATP Rule Book).

The figure below shows the settings dialog. The upper report sheet contains the physical data of the pipe e.g. the resistivity of the pipe. The lower report sheet contains the settings to describe the geometrical location of every SC cable of the cable system in the pipe. All SC cables of the cable system must be enclosed by the pipe.

Pipe Grounded

If enabled, the pipe is solidly grounded

Number of Grounded Conductors (NGRND)

CABLE PARAMETERS : NGRND

See No. of Grounded Conductors (NGRND) above.

SC Cable No.

Number of the SC cable which is part of the cable.

Frequency Data

Earth Resistivity

CABLE PARAMETERS : ROE

Earth resistivity in Ohm m

Circuit Length

CABLE PARAMETERS : DIST

Circuit length in meters.

Frequency

Frequency [Hz] at which cable or overhead line parameters are to be calculated.

If the automatic looping over a frequency range has been requested by the user, then the data 'IDEC' and 'IPNT' greater zero have to be input.

Physical Model of the Cable or Overhead Line

CABLE PARAMETERS : IPUNCH

see explanations above

Frequency Scan enabled

CABLE PARAMETERS : FREQ

Enable or disable the frequency scan option

Number of Decades

CABLE PARAMETERS : IDEC

Number of decades of frequency space which are to be spanned

Number of Points

CABLE PARAMETERS : IPNT

Number of points of frequency space


Switch

Read also about TACS Management System

Read also about Circuit-Breakers

The network element Switch represents several types of switching elements, which are very useful in electrical power networks e.g. to realize circuit-breakers etc. ATPDesigner supports the user with powerful features to improve the use of Switch implemented in the ATP. Especially the definition of the required TACS Control Signals SPARK or GRID and CLAMP or OPEN as part of the Switch settings dialog are very usefully and well supported by ATPDesigner. Both the settings of the Switch as well as the settings of the SPARK/GRID or CLAMP/OPEN/CLOSE signals can be defined in the same settings dialog.

  • Please Note
    • The Switch can be also opened and closed using the toolbar buttons [image] CLOSE and [image] OPEN if the Switch has been first selected via a Left Mouse Button Click.
    • The Switch can be opened and closed by a MODELS based Protection Element during the calculation of transients.
    • The Switch can be opened and closed by a MODELS based Protection Element after the calculation of the Short-Circuit Results (ATP Steady State).

Two different shapes are available using the Switch but with 100% identical features. It's only a difference in the shape and the shape size.

  • Switch using Normal Shape Size

  • Switch using Small Shape Size

The figure below shows a combination of a Probe as Distance Protection and a Switch (small shape). The Distance Protection has tripped and opened the Switch. The Switch can be automatically assigned to the Probe and the Protection Element using the settings dialog List of Protection Analysis Results .

OPEN or CLOSE the Switch

The Switch can be opened or closed opening the context sensitive Right Mouse Button menu after the Switch has been selected by a Left Mouse Button Click.

    • Open the sub menu Switch at the bottom
    • Click on OPEN or CLOSED

The Switch can be also opened and closed by:

  • the toolbar buttons [image] and [image] of the Network Design Toolbar
  • the check box CLOSED at Start of the settings dialog shown below
  • the button CLOSED of the settings dialog shown below

Switch controlled by TACS or MODELS

The time depended behavior of Switches can be controlled by TACS or MODELS created signals. The figure below shows the settings dialog of the Switch, which consist of two tabs. It can be seen that the settings both for the SPARK as well as for the CLAMP control signal are part of the settings dialog tab TACS/MODELS.

Additional Nodes

If the option has been enabled, two additional nodes will be enabled as shown below. The node name of the additional nodes are identical to the nodes which are connected by the dotted line. These both nodes can be used e.g. to connect a diode (Switch Type 11) in parallel. Below at the right the internal model is displayed. It can be seen that the both dashed lines will be represented by a resistance R which can be set in the tab TACS/MODELS.

Node for TRIP Command

If the option has been enabled, one additional node the so called Node for TRIP Command or TRIP Node will be enabled. Using this additional node a TRIP commend can be set to the Switch generated by the Protection Supporting Functions e.g. AND Logic Block .

Settings

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operation Mode

Operation mode of the Switch

Please read also the corresponding chapter of the ATP Rule Book for more detailed information

    • Simple TACS controlled Switch (Type 13)

This type of switch is used to represent a switch which is controlled by any given TACS or MODELS variable (See more details in the ATP Rule Book chapter VI.C). It is a special case of the Type 11 - switch.

Internal and external TACS/MODELS based signals

There are only two cases, which influence the opening or closing of the switch. The OPEN/CLOSE signal can be:

      • ≤ 0 : the switch will always be OPEN
      • > 0 : the switch will always be CLOSED

          • Please Note

ATPDesigner automatically adds a series resistance (R = 10-6 Ohm) to the ATP based Switch to avoid conflicts, if the Switch will be used directly connected to a Probe . Such a direct connection Probe - Switch is often used to realize Protection Relaying using the ATP .

    • TACS contr. Switch for Spark Gap and Triac (Type 12)

This type of switch is used to simulate a spark gap or triac with firing controlled by a TACS variable (See more details in the ATP Rule Book chapter VI.C).

CLAMP Signal

If the CLAMP signal is undefined, the opening and closing of the switch depends on the SPARK signal. If the CLAMP signal is defined, there are three possibilities:

      • = 0 : opening and closing depends on the SPARK signal
      • < 0 : if the switch was closed, it will OPEN; if the switch was open, it remains OPEN
      • > 0 : if the switch was closed, it remains CLOSED; if the switch was open, it will CLOSE

SPARK Signal

      • If the SPARK signal is undefined, the switch remains open.
      • If the SPARK signal is defined, there are two possibilities:

≤ 0 : if the switch was open, it will remain open; if the switch was closed, it depends on Ihold: |i| ≥ Ihold: the switch remain CLOSED, |i| < Ihold: the switch will OPEN

      • > 0 : if the switch was open, it depends on Vign; |v| < Vign: the switch remains OPEN; |v| ≥ Vign: the switch will CLOSE; if the switch was closed, it remains CLOSED.

    • TACS contr. Switch for Diode and Valve (Type 11)

This type of switch can be used to simulate a switch which may be simultaneously controlled by any given TACS variable while following the simple opening/closing rules of a standard diode (See more details in the ATP Rule Book chapter VI.C).

    • Improved TACS contr. Switch for Diode (Type 11)

This type of the switch can be used to simulate an improved model of the diode as shown below. This model can be set by the settings Rser, Rpar and Cpar of the tab General Data, group Improved Diode Model and the resistance R of the group Additional Nodes in the tab TACS/MODELS.

    • MEASURING Switch

always closed for all time (including any phasor steady-state solution of the power network for initial condition)

      • can be used to measure voltages and currents
      • can be also used as Type-91 TACS signal source

    • Voltage Controlled Switch

closing depends on voltage, opening depends on current

    • Time Controlled Switch

closing is time-controlled, opening depends on current

Current time at which the switch will close. Normally, the switch is open during steady state. Set TClose < 0s, if switch should be closed during steady state. Opening and closing of the switch are controlled by time and current. The switch closes at t = TClose and tries to open at t = TOpen, whenever the current condition is met. Depending on the current margin IE (current margin) this extra opening condition is different.

      • IE = 0 (no current margin): Opening at t ≥ TOpen, as soon as the switch current goes through zero (changes sign); after successful opening, the switch will stay open; restrike can not be simulated using this switch type

      • IE <> 0 (current margin set): Opening at t ≥ TOpen, as soon as |iSwitch| < IE; after successful opening, the switch will stay open; restrike can not be simulated using this switch type

No.

Number of elements (lines) in the SPARK or CLAMP list

Clear SPARK

Delete all data in the SPARK list and reset the number of list elements to 0

Clear CLAMP

Delete all data in the CLAMP list and reset the number of list elements to 0

Clear GRID

Delete all data in the GRID list and reset the number of list elements to 0

Clear OP/CL

Delete all data in the OPEN/CLOSE list and reset the number of list elements to 0

  • Please Note

The text description of the buttons described above depends on the operation mode of the Switch.

    • TACS contr. Switch for Spark Gap and Triac (Type 12) : Clear SPARK and Clear CLAMP are visible.
    • TACS contr. Switch for Diode and Valve (Type 11) : Clear GRID and Clear OP/CL are visible.
    • Simple TACS controlled Switch (Type 13) : Clear GRID and Clear OP/CL are visible.

Vign

    • If enabled, the setting will be written in the .ATP-File
    • If disabled, this setting will be replaced by BLANKS in the corresponding ATP data card.

Ihold

    • If enabled, the setting will be written in the .ATP-File
    • If disabled, this setting will be replaced by BLANKS in the corresponding ATP data card.

TDeion

    • If enabled, the setting will be written in the .ATP-File
    • If disabled, this setting will be replaced by BLANKS in the corresponding ATP data card.

TClose

    • Time Controlled Switch

Current time at which the switch will close. Normally, the switch is open during steady state. Set TClose < 0s, if switch should be closed during steady state.

    • Voltage Controlled Switch

Time at or after which the switch will close depending on Vflash. Before this time, the switch is prevented from flashing over.

TOpen

Time before which the switch can not open again. The current opening time depends on the extra current condition (see setting IE). See the ATP Rule Book for more details.

TDelay

Time after flashover, before which the opening of the switch will not be allowed. At or after this delay, the switch will open, as soon as the current condition IE ist met: current margin IE or change of sign of the switch current. See the ATP Rule Book for more details.

IE

The current margin

    • Time Controlled Switch

With IE = 0 A, the switch will open as soon as iswitch (t) changes its sign. See the ATP Rule Book for more details.

    • Voltage Controlled Switch

The opening of the switch appears when the current through the switch iswitch (t) oversteps the current margin IE. See the ATP Rule Book for more details.

Vflash

The closing of the switch appears when the voltage across the switch exceeds Vflash.

CLOSED at Start or CLOSED

The settings define the OPEN or CLOSED state of the switch at the simulation start.

    • If enabled, the switch will be CLOSED at simulation start
    • If disabled, the switch will be OPEN at simulation start

    • In case of Short-Circuit Analysis (Steady State)

If OPEN the switch keeps open during the steady-state, if CLOSED the switch keeps closed but may be drawn as opened as result of the TRIP command of Protection Elements .

    • In case of the Calculation of Transients

The setting defines the state at the simulation start. The switch can be opened and closed processing the simulation.

External TACS or MODELS function

    • If enabled, the switch may be controlled by any external TACS or MODELS function, which is defined outside this settings dialog e.g. using a TACS Data Card .
    • If disabled, the switch may be controlled by one or both of the SPARK and CLAMP TACS control signals, which can be defined in the settings dialog.

  • Please Note

Independent if an external or an internal TACS signal will be used to control the switch, the name of the TACS signal MUST be defined on one of the both SPARK/GRID or CLAMP/OPEN/CLOSE edit fields or combo boxes of this settings dialog.

Amp

see more details below in ATP based Model of the SPARK and CLAMP Control Signals

see 1 in the example of the TACS section below

DC

see more details below in ATP based Model of the SPARK and CLAMP Control Signals

see 2 in the example of the TACS section below

Enabled

The edit fields or combo boxes below the both check boxes in the SPARK and CLAMP group boxes can be enabled or disabled

    • If enabled, the switch will be controlled by the TACS control signal which is defined in the edit field or combo box.
    • If disabled, the switch will be NOT controlled by a TACS control signal.

  • Please Note

If the switch should be controlled by a TACS signal, maybe an internal or external TACS signal, the name of the required TACS signal MUST be defined in one of the both edit field SPARK and CLAMP. Don't forget first to enable one or both of this edit fields. If both edit fields are empty, the switch will be NOT controlled by any TACS signal.

1p Switch

ATPDesigner supports the user by 1-pole or 3-pole switches.

    • Disabled : 3-pole-Switch, one control signal for all 3 poles of the switch
    • Enabled : 1-pole-Switch, three control signals for the switch in sum, one control signal for each of the three poles

Echo to .LST-file

If enabled the time stamps of the open/close - switching operations are reported in the .LST-File

  • Please Note

If this option has been enabled, ATPDesigner

    • displays the opening/closing times in a tooltip, if the mouse cursor has been moved "over" the shape of the switch and
    • draws the switch in red to indicate the opening or closing.

The figure below shows the switching times of the Switch Swt 6 and Swt 3 displayed in the Messages Window.

  • The user specific name and the reference name of the Switch
  • If used: the user specific name and the reference name of the combined Probe
  • The switching times in seconds
  • The switching operation at the switching time

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File . If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Phase A of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase B

Phase B of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Phase C

Phase C of the network element will be written into the .ATP - File, if the option Single-Phase has been enabled.

Ena./Dis.

Enable or disable the network element ( Read also How to Enable or Disable Network Elements )

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Output Request

Output options for writing the samples of currents, voltages, power and/or energy into the .PL4-File and .LST-File . The possible options are:

    • Current (= '1' acc. ATP Rule Book)
    • Voltage (= '2' acc. ATP Rule Book)
    • Current & Voltage (= '3' acc. ATP Rule Book)
    • Power & Energy Flow (= '4' acc. ATP Rule Book)

ATP based Model of the SPARK and CLAMP Control Signals in the TACS Section

The figure below shows the ATP based model of the SPARK and CLAMP TACS control signals, which is automatically programmed by ATPDesigner in the TACS section of the .ATP-File . The TACS control signals based on the both settings Amp and DC are periodic, rectangular signals to realize the OPEN / CLOSE - cycles of the Switch.


Switch - Measuring Voltages

It is also possible to measure the longitudinal voltage of the Switch but only calculating the transients by the ATP (see .NET - File 58: Calculating the longitudinal voltage of a Switch in the chapter .NET-Files ). It is required to enable the option Output to TACS in the settings dialog of the switch shown below.

Output to TACS

  • AXDxxx: Longitudinal voltage phase A
  • BXDxxx: Longitudinal voltage phase B
  • CXDxxx: Longitudinal voltage phase C

These voltages will be written into the .PL4-File . The figure below shows the example of the .NET-File 58.

The figure below presents the diagram displaying the longitudinal voltages of the switch (ABC)XD001. It can be seen that the switch opens at t = 100ms and recloses at t = 200ms.


Switch - External and internal TACS Signals

The TACS control signals can be defined as EXTERNAL TACS or INTERNAL TACS signals. What is the difference ? The difference of both ATPDesigner specific TACS signal types can be only understood from the settings dialog point of view.

External TACS or MODELS Signal

External TACS Signals are defined outside the Switch settings dialog e.g. using a TACS Data Card . If the user has selected this option, ATPDesigner TACS Management System shows all available TACS signals in a list control, which are defined from any network element of the power network shown in the top most graphics view. The user can select one of these TACS signals.

Internal TACS Signal

The user can define two internal TACS signals (SPARK/GRID and CLAMP/OPEN/CLOSE) using the both lists, which are available in the settings dialog of the Switch. The name(s) of the internal TACS signal(s) must be written by the user in the corresponding edit field. Internal TACS signals will be automatically "created" by ATPDesigner. The internal TACS signals will be automatically added to the ATPDesigner TACS Management System to be available in all TACS related dialogs.


Switch - Messanges

If the user has changed one or both of the names of the TACS control signals, which are defined in the Switch settings dialog, ATPDesigner displays the message shown below.


Circuit-Breaker (3-Pole)

Read also Circuit-Breaker (1-Pole)

Read also Example: Opening of 3-Pole Circuit-Breaker Depending on Calculated Phase Currents

Read also Example: Opening of 1-Pole Circuit-Breaker Depending on Calculated Phase Currents

Read also Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Switch

The network element Circuit-Breaker (3-Pole) can be used to simulate the electrical and mechanical behavior of 3-pole circuit-breakers. The three poles of the circuit-breaker can only be opened and closed simultaneously. Therefore only a 3-pole tripping, but NOT a 1-pole tripping is possible. The next figure shows the settings dialog to configure the 3-pole circuit-breaker Cb1.

  • Please Note

The setting Operation Mode is an individual setting of each circuit-breaker. It is possible to use some of the circuit-breakers for 3-pole operating mode and some other circuit-breakers for 1-pole operating mode in the same electrical power network.

How to Change the Operation Mode ?

The operation mode can be easily changed using the corresponding setting Operating Mode in the settings dialog. After that the settings dialog must be closed and re-opened to get the right settings dialog corresponding to the selected Operating Mode.

Graphical Indication of Open And/Or Close - Cycle

Circuit breakers can be drawn using different colors. Each of these colors indicates an other operating mode or state of the circuit-breaker. One of these drawing colors will be used to indicate that the circuit-breaker executes at least one Open And/Or Close cycle. The user can specify the corresponding Open-Close Color .

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

The figure below shows the switching times of the Circuit-Breaker e.g. Cb2 displayed in the Messages Window.

  • The user specific name and the reference name of the Circuit-Breaker
  • If used: the user specific name and the reference name of the combined Probe
  • The switching times in seconds
  • The switching operation at the switching time

Read more about Open-Close-Color for Circuit-Breakers

Read more about 1-Pole Circuit-Breakers

Operating Mode

Operating mode of the circuit-breaker

    • 3 Pole Operation Mode

The circuit-breaker are configured for simultaneously opening and closing the breaker poles. Therefore the circuit-breaker can be used for 3-pole open/close operations, which are typically for MV networks.

    • 1 Pole Operation Mode

The circuit-breaker are configured to open and close the breaker poles independent from each other, that means at different times. Therefore the circuit-breaker can be used for 1-pole operating and 3-pole open/close operations. 1-pole open/close operations are typically for EHV networks.

Initial State

    • Open

The circuit-breaker is already open for simulation time T < 0, that means open from the beginning of the simulation until T1 elapsed if enabled

    • Closed

The circuit-breaker is already closed for simulation time T < 0, that means closed from the beginning of the simulation until T1 elapsed if enabled

Tx (x = 1..4)

3-pole open/close time x of circuit-breaker referenced to the simulation start

The timers can be used to define an OPEN ⇒ CLOSE ⇒ OPEN ⇒ CLOSE or CLOSE ⇒ OPEN ⇒ CLOSE ⇒ OPEN operation of the circuit breaker. The sequence depends on the initial state of the circuit-breaker at start time of the simulation of the power network at t = 0ms. The timers will be initialized with a large time value. It will be assumed, that this time is larger as the simulation time of the data case and therefore a "save" time. The figure below shows the initialization values of the Tx settings.

External Control Signal

The circuit-breaker can be also controlled by an external control signal created by TACS or MODELS . If enabled, the settings T1..4 will be automatically disabled and ATPDesigner will automatically display the available TACS/MODELS control signals TACS / MODELS Control. This list will be automatically created and updated by the TACS Management System .

  • Please Note

.NET-File 49: The External Control Signal of a circuit-breaker can be used to control the OPEN or CLOSED state of the circuit-breaker by TACS or MODELS . Therefore it is possible to study Protection Schemes, what means to study the dynamic behavior of Protection Relays during transient network disturbances.

Read also .NET-File: Protection Scheme using MODELS

Prefault

Prefault time of the network simulation (without fault)

Simulation Time

Time of the network simulation (including prefault)

Vign> enabled

Enable ignition voltage during close operation

| Vign> |

Ignition voltage of breaker poles specified as primary voltage

Ihold< enabled

Enable restraining current during open operation

| Ihold< |

Restraining current of breaker poles measured as primary current

The poles of the circuit-breaker will be opened depending on the calculated phase currents.

  • Please Note

ATPDesigner uses an ATP TACS-controlled switch called "Type-12 Switch for Spark Gap and Triac Application" to realize the network element Circuit-Breaker. The circuit-breaker model uses the so called SPARK control signal to program the time dependent open/close sequences. The so called CLAMP control signal will be not used. See more details about TACS controlled switch in the ATP Rule Book chapter VI.C.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Circuit-Breaker (1-Pole)

Read also Circuit-Breaker (3-Pole)

Read also Example: Opening of 3-Pole Circuit-Breakers Depending on Calculated Phase Currents

Read also Example: Opening of 1-Pole Circuit-Breakers Depending on Calculated Phase Currents

Read also Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Switch

The network element Circuit-Breaker (1-Pole) can be used to simulate the electrical and mechanical behavior of 1-pole circuit-breakers. The opening and closing commands for each pole of the circuit-breaker can be set independent of each other. 1-pole AND 3-pole tripping is possible. The next figure shows the dialog to configure the 1-pole circuit-breaker Cb1.

  • Please Note

The setting Operating Mode is an individual setting of each circuit-breaker. It is possible to use some of the circuit-breakers as 3-pole CB and some other circuit-breakers as 1-pole CB in the same electrical power network.

How to Change the Operating Mode ?

The operating mode can be easily changed using the corresponding setting in the dialog. After that the dialog must be closed and re-opened to get the right settings dialog corresponding to the selected operating mode.

Graphical Indication of Open And/Or Close - Cycle

circuit-breakers can be drawn using different colors. Each of these colors indicates an other operating mode or state of the circuit-breaker. One of these drawing colors will be used to indicate that the circuit-breaker executes at least one Open And/Or Close cycle. The user can select the corresponding Open-Close-color.

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Read more about Open-Close-Color for Circuit-Breakers

Read more about 3-Pole Circuit-Breakers

Operating Mode

Operating mode of the circuit-breaker

    • 3 Pole Operation Mode

The circuit-breaker are configured for simultaneously opening and closing the breaker poles. Therefore the circuit-breaker can be used for 3-pole open/close operations, which are typically for MV networks.

    • 1 Pole Operation Mode

The circuit-breaker are configured to open and close the breaker poles independent from each other, that means at different times. Therefore the circuit-breaker can be used for 1-pole operating and 3-pole open/close operations. 1-pole open/close operations are typically for HV- and EHV networks.

Initial State

    • Open

The circuit-breaker is already open for simulation time T < 0, that means open from the beginning of the simulation until T1 elapsed if enabled

    • Closed

The circuit-breaker is already closed for simulation time T < 0, that means closed from the beginning of the simulation until T1 elapsed if enabled

Txy (x = 1..4, y = 1..3)

1-pole open/close time 1 of breaker pole 1 referenced to the simulation start

The timers T1y..4y can be used to program an pole selective OPEN ⇒ CLOSE ⇒ OPEN ⇒ CLOSE or CLOSE ⇒ OPEN ⇒ CLOSE ⇒ OPEN operation of the circuit-breaker. The sequence depends on the initial state of the circuit-breaker at starttime of the simulation of the power network. The timers will be initialized with a large time value. It will be assumed, that this time is larger as the simulation time of the data case and therefore a "save" time. The figure below shows the initialization values of the Tx settings.

Prefault

Prefault time of the network simulation (without fault)

Simulation Time

Time of the network simulation (including prefault)

Vign> enabled

Enable ignition voltage during close operation

| Vign> |

Ignition voltage of breaker poles measured as primary voltage

Ihold< enabled

Enable restraining current during open operation

| Ihold< |

Restraining current of breaker poles measured as primary current

The poles of the circuit-breaker will be opened depending on the calculated phase currents.

  • Please Note

ATPDesigner uses an ATP TACS-controlled switch called "Type-12 Switch for Spark Gap and Triac Application" to realize the network element Circuit-Breaker. The circuit-breaker model uses the so called SPARK control signal to program the time dependent open/close sequences. The so called CLAMP control signal will be not used. See more details about TACS controlled switch in the ATP Rule Book chapter VI.C.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Example: Opening of 3-Pole Circuit-Breaker Depending on Calculated Phase Currents

Read also Circuit-Breaker (3-Pole)

Read also Circuit-Breaker (1-Pole)

Read also Example: Opening of 1-Pole Circuit-Breakers Depending on Calculated Phase Currents

Read also Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Switch

The holding current can be used to define the current depending opening of each pole of the 3-pole circuit-breaker. The figure below shows an example. ATPDesigner calculates currents and voltages for a 3-phase-to-ground fault which occurs 100ms after the network simulation had been start. circuit-breaker Cb1 is configured to open the three poles 45ms after fault occurring, but not until the amount of the primary phase current is less then 20A.

The figure below shows the calculated phase currents. The three poles of the circuit-breaker receive the trip command at the same time, but the time, where the short-circuit current will be interrupted, are different depending on the zero-crossing of the time dependent behavior of the phase currents.


Example: Opening of 1-Pole Circuit-Breaker Depending on Calculated Phase Currents

Read also Circuit-Breaker (3-Pole)

Read also Circuit-Breaker (1-Pole)

Read also Example: Opening of 1-Pole Circuit-Breakers Depending on Calculated Phase Currents

Read also Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Switch

The holding current can be used to define the current depending opening of each pole of the 1-pole circuit-breaker. The figure below shows an example. ATPDesigner calculates currents and voltages for a 3-phase-to-ground fault which occurs 100ms after simulation start. circuit-breaker Cb1 is configured to open the three poles at different times as shown in the dialog below, but not until the amount of the primary phase current is less then 20A. The close command shall occur for the three poles at the same time.

The next figure shows the calculated phase currents at primary circuit. The three poles of the circuit-breaker open

  • depending on the pole-selective opening time and
  • depending on the sampled value of the primary phase current.

The close command occurs at the same time.


Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Circuit-Breaker (3-Pole)

Read also Circuit-Breaker (1-Pole)

Read also Example: Opening of 1-Pole Circuit-Breaker Depending on Calculated Phase Currents

Read also Submenu Circuit-Breaker (Right Mouse Button Menu)

Read also Switch

The figure below shows the Circuit-Breaker Specific Submenu, which is appended at the context sensitive Right Mouse Button Menu .

Copy MODELS Interface to Clipboard

ATPDesigner automatically creates the required MODELS script to realize the INPUT section for several voltages and currents measured by the selected Circuit-Breaker. This script will be copied into the Clipboard and can be inserted in any external file. The script for Circuit-Breaker Cb 1 can be seen below.

-- Interface from Power Network Cb 1

INPUT VAG_M1 TACS(VAG_M1)

INPUT VBG_M1 TACS(VBG_M1)

INPUT VCG_M1 TACS(VCG_M1)

INPUT IAP_M1 TACS(IAP_M1)

INPUT IBP_M1 TACS(IBP_M1)

INPUT ICP_M1 TACS(ICP_M1)

Read the definition of the names of the primary phase-to-ground voltages and phase currents

Read more about ATPDesigner and MODELS

Read more about Node Names for Measuring Locations

Read more about Measuring Locations and Circuit-Breakers

Measuring Location Right

Move the measuring location attached to the selected circuit-breaker to the right

Measuring Location Left

Move the measuring location attached to the selected circuit-breaker to the left


CT Saturation Characteristic

Read also Current and Voltage Transformer

Read also Node Names for Measuring Locations

Read also Example: CT Saturation

Read also Enable CT Saturation

Read also Magnetization Characteristic (H, B)

Read also Node Names for CT Saturation

The CT (Current Transformer) Saturation Characteristic can be used to simulate the saturation of substation TPX CT's. The saturation of the substation CT is based on the magnetization characteristic of the iron-core of the current transformer. Both hysteresis and remanence can be taken into account. The current transformer can be only used in combination with the Circuit-Breaker Cb1...5.

Read more about the Electrical Model of a Current Transformer (CT)

Sn

Rated burden at rated secondary current

cos phi

Phase angle at rated burden

N

Rated overcurrent number (ALF = Accuracy Limitation Factor) at rated burden impedance Rbn

The rated overcurrent number is identical to the actual overcurrent number, if the actual burden impedance is identical to the rated burden impedance.

Kr

Remanent flux in percent of the saturation flux

The remanent flux will be calculated as follows.

    • Remanent Flux = (Kr / 100) ⋅ Øs

  • Please Note

The remanence or the degree of remanent flux in the CT core is an important parameter that influences the performance of a CT. In cases without any DC offset the remanence will just affect the first half cycle. If the fault current also contains a DC component, the remanence will impact the time when the CT will saturate. The time to saturation can be decreased. The CT will then leave the saturated condition in the same way as for saturation caused of the DC component. CTs with cores without air gaps, the high remanence type, are the most common type of CTs. Investigations of CTs in service have shown that almost 30% of the CTs have a remanent flux of 60-80%. The normal load current will not affect the remanent flux so the remanence will stay in the CT for a very long time.

Flux

Static remanent flux in percent of maximum remanent flux as initial condition for steady state solution only

Then static remanent flux will be calculated as follows: Static Remanent Flux = (Flux / 100) ⋅ Remanent Flux

Fg

Total error in % at accuracy limit and rated burden

Rct

Resistance of current transformer secondary winding

Lct

Stray inductance of current transformer secondary winding

Rb

Burden resistance

Xb

Burden reactance

Ik"prim

Primary short-circuit current of the 3-phase-to-ground fault

The primary short-circuit current will be used to calculate the saturation factor.

Sat. Factor

Saturation Factor = Ik"prim / (Inprim ⋅ Nb)

Kssca

Actual short-circuit over dimension factor = (Inprim ⋅ Nb) / Ik"prim

The current symmetrical short-circuit current factor Kssca defines the necessary dimensioning factor of the CT to avoid saturation for a specified steady state symmetrical short-circuit current, without any transient (DC) component. The factor is related to the rated current of the CT.

    • Kssca ≥ 1

The symmetrical short-circuit current passes the CT without saturation effects. If Kssca = 1, the CT is neither over dimensioned nor under dimensioned. If Kssca > 1, the CT is over dimensioned.

    • Kssca < 1

The symmetrical short-circuit current passes the CT with saturation effects. Therefore the CT is under dimensioned.

The data presented below will be calculated by ATPDesigner based on the settings listed above.

Øs

Saturation flux

The saturation flux can by calculated as follows.

    • Øs = Vk / (2πfnom)

Vk

Limiting secondary voltage (Knee point voltage)

The limiting secondary voltage of the magnetization characteristic is defined as the point at which a 10% percent increase in secondary voltage produces a 50% percent increase in magnetization current. The secondary voltage Vk can be estimated as follows.

    • Vk = (Sn ⋅ N) / Insec + (N ⋅ Insec ⋅ Rct)

The nominal current of the secondary circuit can be set in the settings dialog Current and Voltage Transformer .

L0

Main inductance of the current transformer

Nb

Current overcurrent number (ALF = Accuracy Limitation Factor)

Minimum multiple of rated secondary current at which the accuracy limit is reached with rated burden

    • Nb = N ⋅ (Rct + Rbn) / (Rct + Rb)

Rbn : rated burden resistance

T2

Time constant of the current transformer in seconds

    • T2 = (L0 + Lsek + (Xb / ω)) / (Rsek + Rb)

T2n

Time constant of the current transformer in seconds in case of nominal burden impedance

    • T2n = (L0 + Lsek + (Xbn / ω)) / (Rsek + Rbn)

  • Please Note

Xbn and Rbn are the nominal reactance and resistance.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Copy CT/VT

Copy the ct/vt settings to the CT/VT settings of all other measuring locations

  • Please Note

The button Copy CT/VT is only enabled for the CT of Measuring Location 1.

Magn. Char.

Open the dialog to change the magnetization characteristic

Read more about Magnetization Characteristic (H, B)


Magnetisation Characteristic (H, B)

Read also CT Saturation Characteristic

Read also Current and Voltage Transformer

Read also Node Names for CT Saturation

The figure below presents the settings dialog of the Magnetization Characteristic of the corresponding current transformer. The user can modify the characteristic to change the magnetic behavior of the current transformer. The magnetization characteristic shown below can be used to simulate TPX current transformers. This type of CT has a closed ring core around which the secondary winding is wound as a uniform toroid (high remanence, closed core). The spreadsheet below shows the normalized magnetization characteristic. Therefore the physical units shown in the column headers are the physical units of the magnetic induction and the magnetic field intensity, but not relevant for the displayed normalized values.

No.

Number of (B, H) - pairs of the normalized magnetization characteristic (B = ƒ (H))

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Enable CT Saturation

Read also Current and Voltage Transformer

Read also CT Saturation Characteristic

Read also Magnetisation Characteristic (H, B)

Read also Node Names for Measuring Locations

Read also Example: CT Saturation

Read also CT Saturation Characteristic

Read also Node Names for CT Saturation

ATPDesigner has been designed to calculate the currents at the secondary circuit of current transformers (CT) in case of a saturation. The magnetization characteristic of the current transformer can be presented using the current and the magnetic flux of the main inductance. The output signals shown below will be calculated only, if the corresponding Output Signals has been selected.

Read more about Node Names

Enable Saturation Characteristic

First the magnetization characteristic of the current transformer must be enabled via CT Saturation as part of the dialog Current and Voltage Transformer .

Internal Sampling Frequency

The internal sampling frequency shall be increased using the parameter Step e.g. up to 9. If the parameter Step is too small, the magnetization characteristic will consist of a lot of unrealistic spikes. The figure below shows such a magnetisation characteristic with spikes caused by wrong internal calculation frequency.

  • If the internal calculation frequency will be increased by the setting Step e.g. = 9, the magnetization characteristic will be calculated more accurate and realistic.


Example: CT Saturation

Read also Current and Voltage Transformer

Read also CT Saturation Characteristic

Read also Magnetisation Characteristic (H, B)

Read also Node Names for Measuring Locations

Read also Example: CT Saturation

Read also CT Saturation Characteristic

Read also Node Names for CT Saturation

Example: Phase Current at Secondary Circuit = Burden Impedance Phase Current + Main Inductance Phase Current

The figure below shows, how the phase current flowing at the secondary circuit of the current transformer will be splitted in two parts:

  • Current flowing through the main inductance Xh.
  • Current flowing through the burden impedance Zb.

If no saturation has been occurred the main inductance Xh of a CT represents a high-impedance value. Therefore only the magnetization current flows through the main inductance, which is less then 1% of the nominal current of the CT. In case of CT saturation the main inductance will take more and more a low-impedance value compared with the CT burden impedance. Therefore the secondary current flows through both the main inductance and the CT burden impedance.

  • TACS - I(ABC)S_M1

Phase current at the secondary circuit of the current transformer without CT saturation

  • c: (ABC)IBUM1

Phase current flowing through the burden impedance in case of CT saturation

  • TACS - (ABC)ICTM1

Phase current flowing through the main inductance Xh in case of CT saturation

The internal ATP based model of the CT will be displayed in the chapter Current Transformer .

Example: Magnetization Characteristic without Hysteresis

The figure below shows the magnetization characteristic of the current transformer without hysteresis. The magnetic flux will be calculated by integrating the voltage measured over the main inductance Xh. To disable the hysteresis loop the setting has to be set as follows: Kr = 0%

  • TACS - (ABC)MAGM1

Magnetic flux of the main inductance Xh

  • TACS - (ABC)ICTM1

Current flowing through the main inductance Xh

The figure below shows the corresponding phase currents flowing through the burden impedance Zh at the secondary circuit of the current transformer. The saturation of the current transformer is caused by a short-circuit in the power network.

Current flowing through the Burden Impedance

  • c: AIBUM1
  • c: BIBUM1
  • c: CIBUM1

Magnetization Characteristic with Hysteresis

The figure below shows the magnetization characteristic of the current transformer with Hysteresis enabled . The magnetic flux will be calculated by integrating the voltage measured over the main inductance Xh. In this example the hysteresis setting was set to Kr = 100%

Example: Magnetization Characteristic with Hysteresis and Static Remanence as Initial Condition

The figure below shows an example a initial remanence which can be set by the setting Flux .


WINDSYN

Read also about ELINEQ

Read also about WTRAFOS2 and WTRAFOS3

The additional ATP tool WINDSYN can started using the main menu ATP and the submenu Additional ATP Tools. The figure below shows the sub menu to start the additional tools.

Including the .ATP - Files created from the Additional ATP Tools as External .ATP - File

The additional ATP tools will normally write an .ATP - File to implement ATP based models e.q. the U.M. model. These .ATP - Files can be included into the .ATP - File created from ATPDesigner using the network element External .ATP - File .

  • Please Note

The executable file WINDSYN.EXE must be saved in the ATP SYSTEM folder.


WTRAFOS2 and WTRAFOS3

Read also about ELINEQ

Read also about WINDSYN

The additional ATP tools WTRAFO2 and WTRAFO3 can started using the main menu ATP and the submenu Additional ATP Tools. The figure below shows the sub menu to start the additional tools.

Including the .ATP - Files created from the Additional ATP Tools as External .ATP - File

The additional ATP tools will normally write an .ATP - File to implement ATP based models e.q. the U.M. model. These .ATP - Files can be included into the .ATP - File created from ATPDesigner using the network element External .ATP - File .

  • Please Note

The executable files WTRAFOS2.EXE and WTRAFOS3.EXE must be saved in the ATP SYSTEM folder.


ELINQ

Read also about WTRAFOS2 and WTRAFOS3

Read also about WINDSYN

The additional ATP tool ELINEQ can started using the main menu ATP and the submenu Additional ATP Tools. The figure below shows the sub menu to start the additional tools.

Including the .ATP - Files created from the Additional ATP Tools as External .ATP - File

The additional ATP tools will normally write an .ATP - File to implement ATP based models e.q. the U.M. model. These .ATP - Files can be included into the .ATP - File created from ATPDesigner using the network element External .ATP - File .

  • Please Note

The executable file ELINEQ.EXE must be saved in the ATP SYSTEM folder.


Including External .ATP-Files

Read also about How to use Models in ATPDesigner

ATPDesigner also provides the user to include External .ATP-Files in the .ATP-File , which will be created by ATPDesigner. External .ATP-Files are a powerful interface to the world of ATP/EMTP based software tools, which are also able to write .ATP-Files based on the rules described in the ATP Rule Book. ATPDesigner uses the $INCLUDE command of the ATP to include the External .ATP-File into the .ATP-File.

External .ATP-Files can be created using several tools:

  • created by ATPDesigner
  • created by ATPDraw
  • created by hand
  • created by other external tools which are working according the ATP Rule Book.

The use of an External .ATP-File gives great advantages to the users of ATPDesigner, because the user is able to combine the advantages of ATPDesigner with the advantages of other ATP related tools or own written ATP code. Especially the combination of ATPDesigner and ATPDraw created .ATP-Files opens a wide range of new capabilities studying transient power networks with ATP.

What is an External .ATP-File ?

  • An External .ATP-File is a .ATP-File , which follows the rules specified in the ATP Rule Book.
  • An External .ATP-File is a .ATP-File , which would be created by Hand using a text editor, by ATPDraw, by ATPDesigner, etc.
  • An External .ATP-File must be created according the rules described in the ATP Rule Book. ATPDesigner doesn't check the syntax or the content of the External .ATP-Files.
  • An External .ATP-File can be a complete .ATP-File containing all sections according the rules described in chapter I-I "Structure of EMTP Input Data" of the ATP Rule Book.
  • An External .ATP-File can also consist only one of the sections described in the ATP Rule Book e.g. BRANCH cards only.

  • Caution !!!

The user is responsible, that External .ATP-Files are written according to the rules described in the ATP Rule Book. ATPDesigner do NOT check the syntax of External .ATP-Files as usual for ATPDesigner based .ATP-Files. Therefore the user must take over the risk. Nevertheless ATPDesigner checks the resulting .LST-File for warnings and errors according the specifications in the ATP Rule book.

How does ATPDesigner include the External .ATP-File ?

ATPDesigner uses the $INCLUDE command to link all External .ATP-Files to the ATPDesigner based (internal) .ATP-File. For example:

...

$INCLUDE C:\AtpDesigner\Data\ExternalAtpFile.atp

...

Please note, that ATPDesigner follows different rules to "include" External .ATP-Files regarding the Content of the .ATP-File which are described more in detail below.

How will the External .ATP-File be processed from ATPDesigner ?

The External .ATP-File can be saved in any folder of the hard drive or other mass storages of the PC or Laptop. An External .ATP-File can be added to the power network as e.g. a transformer.

    • Left mouse button click on the toolbar button
    • Open the main menu Network Design , menu item Add .ATP-File
    • Right mouse button click to open the Right Mouse Button Menu

After adding an External .ATP-File the user must select the Drawing Direction as usual for all new network elements in ATPDesigner. The network element External .ATP-File consists of 2 nodes as known from e.g. a transformer. Nevertheless the user is responsible to decide whether such a connection makes sense or not.

How to Connect an External .ATP-File to Other Network Elements ?

The External .ATP-File consists of max. 2 nodes, which can be connected to other network elements of the power network as well known e.g. from the 2-Winding Transformer . As default both nodes are disabled and can be not connected. The next figure shows the graphical symbol of an External .ATP-File, whose both nodes are not connected. The user can move the symbol of a not connected External .ATP-File at any position of the graphics view.

It is very important to understand, that the "Left" Node of the External .ATP-File can be easily identified. The "Left" Node is always marked with a dark blue rectangle. Please note, that the absolute position of the "Left" Node can change depended how the user rotate the network element. The figure below shows the settings dialog.

The External .ATP-File consists of up to two nodes, which can be enabled or disabled independent from each other. The figure above shows the settings dialog of an External .ATP-File with only one enabled node:

  • "Left" Node : Enabled
  • "Right" Node : Disabled

  • "Graphical" Connection to Other Nodes

If a node has been enabled, it is possible to connect this node to a node of any other network element e.g. well known from e.g. Transformers . But please be carefully !!! It is only the "graphical" connection, but not the "electric" connection.

  • "Electrical" Connection to Other Nodes

The "electrical" connection must be specified in the settings dialog. The user must specify the node names of the External .ATP-File, which shall be used from ATPDesigner to "create" the "electrical" connection of the External .ATP-File to the ATPDesigner based power network.

  • Example in the Settings Dialog Above

The "Left" node had been enabled. The node names of the External .ATP-File (see .NET-File 43: TYPE 56 Phase-Domain Machine Model in a power network using the EXTERNAL .ATP-File ) are IG1AXX, IG1BXX and IG1CXX, which shall be used to be connected to the ATPDesigner based power network. The "Right" node is always disabled.

Name

User specific name of the network element

If a new External .ATP-File had has been selected via the button File name, ATPDesigner automatically creates a name based on the selected file name. This name can always be modified.

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

File name

The user can select the External .ATP-File. The default file extension has been defined to .ATP.

Open File

Opens the External .ATP-File in a text editor.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Settings in the MODELS groupbox

Enable WRITE

Using MODELS comments can be written into the .LST-File using the WRITE(..) - command.

Example:

write ("This text will be written into the .LST-file")

  • If enabled

All WRITE(..) - commands will be processed by ATPDesigner.

  • If disabled

ATPDesigner checks each line of the MODELS source code for a WRITE(..) - command at the beginning of the line. Whitespaces will be ignored. If detected, ATPDesigner ignores the complete line.

This feature can be very usefully, because it is not necessary to delete WRITE(..) - command lines in the MODELS source code by hand. Disabling the Enable WRITE - option will speed up the execution of the ATP and will reduce the time ATPDesigner need to check the .LST-File for errors after finalizing the network simulation.

Interface Node Names

It is absolutely required to specify the correct interface which connects the External .ATP-File and the ATPDesigner based .ATP-File . The figure above shows the settings dialog of an External .ATP-File, which connects a network element to the electrical power network. The node names of the interface are IG1AXX, IG1BXX and IG1CXX. The user must write these node names in the corresponding edit fields of the "Left" or the "Right" node.

Phase A

Node names of the data interface phase A

Phase B

Node names of the data interface phase B

Phase C

Node names of the data interface phase C

Enabled

If enabled the interface of the node names will be processed from ATPDesigner. Otherwise ATPDesigner will ignore this interface of node names between the External .ATP-File and the ATPDesigner based .ATP-File. Nevertheless the External .ATP-File will be ever linked to the ATPDesigner based .ATP-File using the $INCLUDE command independent of this option.

  • If the user has disabled the node name interface, there will be no "electrical" connection between the ATPDesigner based .ATP-File and the External .ATP-File. Nevertheless the External .ATP-File will be always linked to the ATPDesigner .ATP-File using the $INCLUDE command.

  • Processing of the Node Names means that ATPDesigner substitutes node names of the ATPDesigner related .ATP-File for the node names defined in the settings dialog of the External .ATP-File.

  • Caution !!!
    • A node name consist of 1..6 characters according the rules described in the ATP Rule Book.
    • If a node name doesn't consist of at least 1 character (that means the user has deleted the node name), the corresponding phase will be NOT connected to the ATPDesigner based .ATP-File . Therefore 2-phase or 1-phase connections can be also realized.

Content of the .ATP-File

Now the user must specify the content of the External .ATP-File. Two different types of External .ATP-Files can be linked to the ATPDesigner based .ATP-File:

Type A File

A complete .ATP-File which is designed according the rules described in chapter I-I "Structure of EMTP Input Data" of the ATP Rule Book. A complete .ATP-File can be also processed stand alone using ATP.

Type B File

An .ATP-File which contains only one of the sections 1..10 described in the chapter I-I "Structure of EMTP Input Data" of the ATP Rule Book. Such .ATP-Files can be NOT processed stand alone using ATP. Type B Files will be included using one single $INCLUDE command:

$INCLUDE ..\Folder\FileName.ATP

  • Example

A Type B File can only consists of electrical branch cards e.g. to implement a load impedance as shown in the example above.

Complete .ATP-File

Insert the External .ATP-File as a Type A File

TACS Cards only

Include the External .ATP-File as a Type B File only in the TACS section.

BRANCH Cards only

Include the External .ATP-File as a Type B File only in the BRANCH section.

SWITCH Cards only

Include the External .ATP-File as a Type B File only in the SWITCH section.

SOURCE Cards only

Include the External .ATP-File as a Type B File only in the SOURCE section.

OUTPUT Cards only

Include the External .ATP-File as a Type B File only in the OUTPUT section.

PLOT Cards only

Include the External .ATP-File as a Type B File only in the PLOT section.

Stand-Alone .ATP-File

An external ATP-file which has been written totally independent of the ATPDesigner can be processed with help of ATPDesigner. Please note, that such an ATP-File will be executed as a stand-alone file. ATPDesigner will be only used to start the ATP in the background as many times as external .ATP-files are available in the networks graphics.

MODELS only

Include the External .ATP-File as a Type B File only in the MODELS section.

Read also the corresponding example of the .NET-Files

Read also ATPDesigner and MODELS

Processing the Node Names of the Interface for Type B Files

If the user has connected an External .ATP-File to a not connected node of an other network element, ATPDesigner can now process the both information

  • the node names which are defined from the user in the settings dialog "Interface Node Names" and
  • the node names which are created internally from ATPDesigner for all network elements.

ATPDesigner substitutes the internally created node names from the node names specified from the user in the settings dialog, straight before ATPDesigner writes the .ATP-File to the hard disk. The user can check this behavior if he enables the node names in the power network graphics using the F3 hot key. The node names were also enabled in the example presented below.

The figure below shows the node names after adding an External .ATP-File, but before writing the ATPDesigner based .ATP-File e.g. via the toolbar button [image] . The node names were enabled via F3 . It can be seen that the External .ATP-File had been connected to the right busbar, but ATPDesigner didn't process the node names of the data interface (RXXXXX, SXXXXX, TXXXXX).

Next Step: Writing the .ATP-File based on the power network presented in the active graphics view of ATPDesigner

The figure below shows the node names after writing the ATPDesigner based .ATP-File. It can be seen that ATPDesigner had substituted the node names R00005, S00005 and T00005 for the node names RXXXXX, SXXXXX and TXXXXX of the External .ATP-File.

If the network element External .ATP-File will be moved and connected to the left busbar, ATPDesigner reassigns new node names to all nodes of the power network. This new node names can be now seen in the figure below. The node names RXXXXX, SXXXXX and TXXXXX will be substituted again straight before writing the .ATP-File e.g. via the toolbar button [image] .


ATP based TACS

"TACS is an acronym derived from the name Transient Analysis of Control Systems. In very general terms, it directly provides the user with modeling that normally is associated with an analog computer. As already mentioned, TACS function like an analog computer. But it adds to this algebraic and logical processing, so it really is more general. It is particularly useful to the EMTP because signals can be passed between the electric network and TACS, with the result functioning like a hybrid computer. In this mode, TACS allows the simulation of hvdc converters ans static var controllers, as well as control circuitry associated with rotating machinery."

(ATP Rule Book). See more details in chapter 3 of the ATP Rule Book.

In addition TACS can also be used for the Protection Logic Functions which are very powerful to realize user specific Protective Signaling schemes.

  • TACS Management System
  • TACS Data Card
  • TACS STAND ALONE
  • Using TACS Connection and TACS Splitter

  • Please Note

The TACS elements itself defined by the tab Definition of the TACS Data Card will be only processed if transients will be calculated using the ATP, not for steady state calculations ( Short-Circuit Analysis or Load Flow Analysis ).

  • Please Note

If the TACS elements will be used to realize Protection Logic Functions the TACS element will be processed by ATPDesigner itself as part of the Protection Supporting Functions .


TACS Management System

Read also about TACS Data Card

Read also TACS STAND ALONE

"Purpose of TACS

TACS is an acronym derived from the name Transient Analysis of Control Systems. In very general terms, it directly provides the user with modeling that normally is associated with an analog computer. As already mentioned, TACS function like an analog computer. But it adds to this algebraic and logical processing, so it really is more general. It is particularly useful to the EMTP because signals can be passed between the electric network and TACS, with the result functioning like a hybrid computer. In this mode, TACS allows the simulation of hvdc converters ans static var controllers, as well as control circuitry associated with rotating machinery." (ATP Rule Book). See more details in chapter 3 of the ATP Rule Book.

The TACS section of ATP reads input signals e.g. from the electric network and writes output signals into the .PL4-File or back to the electric network. Therefore a lot of TACS signals must be managed by the user. ATPDesigner supports the usage of TACS based signals with the integrated TACS Management System. ATPDesigner "collects" the TACS signals internally, invisible for the user. The user can be sure, that only the currently valid TACS signals will be presented e.g. in Combo Boxes to be used in the network elements e.g. Generator or TACS Data Card . The TACS Management System of ATPDesigner increases the usage of TACS signals.

The goal of the TACS Management System is to optimise the usage of TACS control blocks.

  1. If the user has defined a TACS signal e.g. an output signal based on a TACS Data Card , the new TACS signal will be saved internally in the TACS signal list. Therefore ATPDesigner always knows all currently valid TACS signals.
  2. If the user wants to use a TACS control signal e.g. as an input signal for a Generator , ATPDesigner presents all currently valid TACS signals in a ComboBox. Now it is very easy for the user to get an overview, which TACS control signals are available. The user can now select one of these TACS signals.
  3. The user can easily get an overview about all TACS signals used in a power network using the Find dialog.

A lot of network elements are now part of the TACS Management System: all TACS "producing" network elements and all TACS "using" network elements:

  • TACS Data Card
  • Generator
  • 3-Phase Symmetrical Source
  • Switch
  • Probe
  • Circuit-Breaker with assigned Measuring Location
  • MODELS: all OUTPUT variables which are used in USE instances


TACS Data Card

Read also TACS Management System

Read also TACS STAND ALONE

Read also Protection Supporting Function - AND Logic and OR Logic using TACS

ATPDesigner also supports the TACS DATA CARDS FOR CONTROL SYSTEM MODELING as described in chapter III of the ATP Rule Book. The network element which shall be used is called TACS Data Card. ATPDesigner supports the user handling the TACS control signals using the ATPDesigner's TACS Management System. All TACS signals, which are "produced" from network elements which are part of the current power network e.g. Generators , Probes , etc., will be automatically managed from the TACS Management System: ATPDesigner presents the TACS signals using a list control. The user can now easily select one of the available TACS signals. The figure below shows the corresponding settings dialog. Please note, that some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this network element. In addition some figures used below are also copied out of the ATP Rule Book.

"TACS is an acronym from the name "Transient Analysis of Control Systems". In very general terms, it directly provides the user with modeling that normally is associated with an analog computer." (ATP Rule Book)

  • Please Note

In addition the TACS Data Card also supports some ATPDesigner related functions, which will be only processed during the Analysis of Protection Elements , so called Protection: ... These functions will be only processed by ATPDesigner, not by the TACS processor of the ATP itself".

Name

User specific name of the network element

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Input Nodes: INTERNAL and EXTERNAL TACS Input Signals

According the ATP Rule Book the TACD Data Card can be used with up to 5 input signals. The user can specify, if an input signal shall be used as an EXTERNAL TACS Input Signal or an INTERNAL TACS Input Signal.

EXTERNAL TACS Input Signal (Ext)

An external TACS input signal can be

  • a node of any network element of the electrical part of the current power network or
  • any output signal of a TACS element, also the same TACS element.

If a TACS input has been enabled by the user and the setting Ext has also been enabled, ATPDesigner enables an edit field, creates automatically a Node Name and writes this node name into the edit field. Now the user can connect this input to any node of an other network element using a TACS Splitter or a TACS Connection . Please note, that it is possible to create a TACS internal network, which is totally independent of the electrical power network. It is also possible to create a TACS STAND ALONE network, which only consists of TACS elements.

INTERNAL TACS Input Signal (Int)

An internal TACS input signal is always a TACS control signal, never a node of the electrical part of the current power network. ATPDesigner presents all available TACS signals in the ComboBox which is assigned to the input as shown in the figure above. The user can now select one of the TACS signals. ATPDesigner presents the existing TACS signals using the TACS Management System.

Resident Sources

"Some sources are permanently available to the user as built-in TACS sources. They have pre-defined, reserved names, and need not to be specified on a source card by user. To use them as input to any block or element, simply mention the name of the source as for any input to a component. The resident sources are also available as voltage or current sources in electrical network through the TACS-EMTP interface." (ATP Rule Book)

    • TIMEX = simulation time in seconds ( = 0.0 in steady state)
    • ISTEP = number of present time step in simulation
    • DELTAT = size of the time step (TIMEX = ISTEP x DELTAT)
    • FREQHZ = system frequency in Hz ( as read from the 1st sinusoidal source)
    • OMEGAR = 2π ⋅ FREQHZ (in radians)
    • ZERO = 0.0
    • MINUS1 = -1.0
    • PLUS1 = +1.0
    • UNITY = 1.0 (kept for convenience only; use PLUS1)
    • INFNTY = infinite (very large number fitting to your computer system)
    • PI = 3.141 592 653 589 793 238 462 643 383 279 502 884 197 ...

In addition ATPDesigner also adds a new TACS name BLANK (= 6x BLANK character) to the list of the TACS standard names. Because it may be necessary for some cases (e.g. Sample and Track) to use this BLANK name to indicate, that no TACS name shall be used.

BLANK = no TACS name shall be used

Name

User specific name of the TACS Data Card

Operation Mode

List of the supported TACS functions according the ATP Rule Book chapter III

    • Initial Condition (77)

The initial value at t = 0.0s of TACS variables not covered by the program initialization calculations can be provided by the user using this TACS card.The initial conditions are typically used for TACS elements e.g. integrators, FORTRAN expressions or source types 23 (Pulse) and 24 (Ramp).

    • Fortran Expression Input (99)

The output signal of the FORTRAN Expression will be used as input signal for other TACS Data Cards.

    • Fortran Expression Input (98)

The output signal of the FORTRAN Expression will be used only inside the TACS section of ATP.

    • Fortran Expression Input (88)

The output signal of the FORTRAN Expression will be used as output signal from the TACS section of ATP e.g. to be written into the .PL4 - File .

The figure below shows the meaning of the Fortran Expressions 99, 98 and 88 (ATP Rule Book).

    • Signal Sources

"TACS signal sources are signal generators that can be used as inputs to other blocks and elements of the system. Each source is defined on a single card as a separate system component. The user specifies the type and the name of the source according to the rules that are defined below." (ATP Rule Book, page III.TACS - 13)

    • Frequency Meter

The time between successive zero-crossing of the input signal is measured and converted to a frequency value in Hertz. (ATP Rule Book, page III. TACS - 22)

Setting A = Filter frequency of the frequency meter

See more details at the end of this page

    • Controlled Integrator

The operation mode implements an integrator 1st. order (ATP Rule Book, page III.TACS - 30)

See more details at the end of this page

    • Sample and Track

The operation mode implements a simple sample-and-track circuit (ATP Rule Book, page III.TACS - 34)

See more details at the end of this page

    • Transfer Function

This element is used to describe a transfer function or arbitrary order in "s". The operator "s" can be thought of as either the Laplace transform variable or as the "d/dt" operator. (ATP Rule Book, page III. TACS - 7)

Please note that the settings A,B,C,D,E have no meaning.

    • R.M.S Value

ATP calculates the RMS value of an input signal.

Setting A = Frequency of the RMS calculation algorithm in Hz (= Filter Frequency)

Please note that the settings B,C,D,E have no meaning. See more details below.

    • FORTRAN

See more details e.g. the rules and operators in the ATP Rule Book "The Algebraic and Logical FORTRAN Expression" (chapter III-E-4-1)

The FORTRAN Expression can be used to implement a free-format expression based on the programming language FORTRAN. Following a small compilation of the operators allowd in FORTRAN expressions:

+, -, *, /, **, .OR., .AND., .NOT., .EQ., .NE., SIN, COS, TAN, COTAN, ASIN, ACOS, EXP, LOG, SQRT, ABS, TRUNC, etc.

    • INPUT-IF Component

The operation mode implements an IF strcuture (ATP Rule Book, page III.TACS - 32)

    • Signal Selector

The operation mode implements a structure to select between 6 input signals controlled by a SELECTOR (ATP Rule Book, page III.TACS - 33)

  • Please Note

The logic blocks described below will be only used by the ATPDesigner Protection Analysis Software after the execution of a steady-state analysis ( Load Flow Analysis or Short-Circuit Analysis ). The logic blocks will be not written into the .ATP-File and therefore not executed by the ATP.

    • Protection: AND Logic

Read also Protection Supporting Function - AND Logic and OR Logic using TACS

    • Protection: OR Logic

Read also Protection Supporting Function - AND Logic and OR Logic using TACS

Settings of the Transfer Function

The settings of the transfer function can directly be written into the cells of the both lists, the list of the numerator coefficients and the list of the denominator coefficients. The cell shall be "clicked" using the left mouse button as well known from typical software tools e.g. Excel.

According the ATP Rule Book the Transfer Function is defined to:

Transfer Function

(n0 + n1·s + n2·s² + n3·s³ + ...)

F (s) = ------------------------------------------

(d0 + d1·s + d2·s² + d3·s³ + ...)

Order

Order of the transfer function, that means the highest power of the "s" - variable

Numerator

Coefficients of the numerator of a Transfer Function or S-Block

Denominator

Coefficients of the denominator of a Transfer Function or S-Block

Gain

Gain of a Transfer Function or S-Block

Clear List

The both lists Numerator and Denominator will be cleared. This means, that all of the coefficients will be deleted, the order will be reset to 0.

Limiters of the Transfer Functions

(ATP Rule Book Page III-E.2)

Low and/or high limits of fixed or calculated value can be superimposed on any transfer function or order-zero block.

Enable Hi/Lo-Limits

Enable or disable both the HIGH- and LOW-Limits, which are important for the specification of the transfer function or order-zero block

FixHi

HIGH - value of the fixed limit (called FIXED-HI)

The output value of an zero-order block is always calculated without considering any existing limit, and then, if the output is seen to have exceeded either the lower and higher limit values, the output value is readjusted according the value of theis limit or stauration level. (ATP Rule Book Page III-E.2)

FixLo

LOW - value of the fixed limit (called FIXED-LO)

NamHi

HIGH - value of the variable limit (called NAMED-HI)

The variable limits are defined by using an alphanumeric name (6 characters) of other blocks or elements of the system.

NamLo

LOW - value of the variable limit (called NAMED-LO)

The variable limits are defined by using an alphanumeric name (6 characters) of other blocks or elements of the system.

Specification and Settings of the Operation Mode of the Signal Sources

Type

Operation mode of the signal sources

Level Signal (11)

Output signal: Level Signal (TYPE = 11)

  • A = Amplitude
  • B = not used
  • C = not used
  • D = not used
  • E = not used

A x Cos (..) (14)

Output signal: A · cos (2πf·t + phi) (TYPE = 14)

  • A = Amplitude
  • B = Frequency f [Hz]
  • C = Phase phi [°]
  • D = not used
  • E = not used

Pulse (23)

Output signal : Square-Wave Pulse (TYPE = 23)

  • A = Amplitude
  • B = Frequency [sec]
  • C = Width [sec]
  • D = not used
  • E = not used

Caution !!!

If the parameter B had been defined B <= C, the output function will be NOT a square-wave pulse, but only a DC signal.

Example: Symmetrical Square-Wave Pulse Signal, Amplitude = 100V, Frequency f = 50Hz

Parameter: A = 100 [V], B = 0.02 [s], C = B / 2 = 0.01 [s]

The frequency of the symmetrical square-wave pulse can be calculated to f = 1 / A. Therefore the fundamental frequency of the square-wave pulse is f = 1 / 20ms = 50Hz. For a symmetrical square-wave pulse the setting C must be set to C = B / 2. The figure below shows the result calculated with ATP and the calculated frequency spectrum. It can be seen that only the odd harmonics are part of the signal spectrum. Please don't forget to define the Sampling Rate DT and the Step Size Step small enough in the dialog ATP Data .

See more about Signal Analysis

Ramp (24)

Output signal : Ramp (TYPE = 24)

  • A = Amplitude
  • B = T [s]
  • C = not used
  • D = not used
  • E = not used

Output Node voltage (90)

Output signal : Output = EMTP Node Voltage (TYPE = 90)

  • A = 0 or BLANK, if AC ; 1, if DC
  • B = f, if AC ; 0 or BLANK, if DC
  • C = not used
  • D = not used
  • E = not used

Output Switch Current (91)

Output signal : Output = EMTP Switch Current (TYPE = 91)

  • A = 0 or BLANK, if AC ; 1, if DC
  • B = f, if AC ; 0 or BLANK, if DC
  • C = not used
  • D = not used
  • E = not used

Output Internal Variable (92)

Output signal : Output = Internal Variable of Special EMTP Components (TYPE = 92)

A/B/C/D = not used

This source type is reserved for passing to TACS the values of certain internal variables of special EMTP components. For example, Rule 3 of class 6 S.M. data cards shows how rotor angles and angular velocities can be passed to TACS. (ATP Rule Book)

This type of a TACS signals source shall be used, if e.g. an internal signal of the Three-Phase Dynamic Synchronous Machine Source (chapter VIII of the ATP Rule Book) shall be passed into TACS (see also Generator ), in additon also the network element Electrical Machine (ATP Induction Machine Type 56) .

Output Switch Status (93)

Output signal : Output = EMTP Switch Status (TYPE = 93)

A/B/C/D/E = not used

0 = Switch is open, 1 = switch is closed

Common Settings

Start Time

Time at which the function becomes active (= TSTART in the ATP Rule Book)

Stop Time

Time at which the function becomes inactive (= TSTOP in the ATP Rule Book)

A, B, C, D, E

The meaning of these settings depends on the selected operation modes of the TACS Data Card

The settings A/B/C are always numerical values, whereas the settings D/E are TACS names. Therefore the both settings D/E are part of the TACS Management System .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Input Nodes and Interface Node

The figure below shows a part of the dialog containing the settings of the input and output interface. The settings will be explained below.

  • Input nodes from the electrical power network
  • Interface node to save signals into the .PL4-File

The meaning of the Interface Node depends on the settings of the TACS Data Card.

  • If the TACS Data Card will be used as a "TACS signal producing" network element, the user must define the name of the TACS output signal.
  • If the TACS Data Card will be used as an "information reading" interface to the power network, the user must select one of the available TACS signals saved in the TACS Management System. This may happen e.g. if an information of a Generator (e.g. the field current IE) are "infeeded" in the TACS section using the "Output Internal Variable (92)" input function.

1

Enable or disable one of the the input signals 1..5 of the TACS function

2

Name of the output signal of the TACS function

If the TACS Management System has been enabled: All available TACS signals are displayed in a combo box control

If the TACS Management System has been disabled: The user must define the name of the TACS signal

3

Name of one of the the input signals of the TACS function

Depending on the type of input signals either INTERNAL or EXTERNAL, ATPDesigner creates a new node name of the electrical power network or presents all available TACS signals using a combo box control.

4

  • Ext = Input signal can be connected to any node of the electrical power network or to an output of an other TACS (EXTERNAL)
  • Int = Input signal can be only a TACS signal (INTERNAL). Therefore all available TACS signals are presented in a combo box control. One of these signals will be user selectable.

5

The user can select if an input signal of the TACS function should be not inverted or inverted

  • Positive sign + = input signal is not inverted
  • Negative sign - = input signal is inverted

6

If the input signal of a TACS function can be connected to a node of the electrical power network (EXTERNAL) e.g. directly or using a Connection , the user can select the phase of the "measured" signal.

Some Comments Copied from the ATP Rule Book Chapter III

Transfer Function

The figure below shows how to define a Transfer Function or S-Block using TACS Data Card.

Controlled Integrator

Frequency Meter

The time between successive zero-crossing of the input signal is measured and converted to a frequency value in Hertz. The device will automatically reject higher-frequency non-characteristic oscillations appearing on the main signal. Alternately, the user may choose to process the input signal through a low-pas filter [ 1 / ( 1 + T · s ) ], in cases where the input noise causes difficulties in measuring the main signal frequency. (ATP Rule Book, page III. TACS - 22)

  • A = initial frequency [Hz]
  • B = max. acceptable change [%]
  • C = not used
  • D = not used
  • E = not used

Caution !!!

If the setting A = initial frequency has been set to 0 Hz, ATP (TPBIGG.EXE) will stop during execution with a runtime error.

R.M.S Value

  • A = Filter frequency of the R.M.S. calculation algorithm [Hz]
  • B = not used
  • C = not used
  • D = not used
  • E = not used

Sample and Track

INPUT - IF Component

Signal Selector

Transport Delay


TACS STAND ALONE

Read also TACS Management System

Read also about TACS Data Card

ATPDesigner supports the TACS section of ATP as described in the ATP Rule Book. Two different operation modes of the TACS section are available called TACS HYBRID and TACS STAND ALONE.

  • "TACS STAND ALONE" is to be used if there is no electric network.
  • "TACS HYBRID" is to be used if an electric network does exist.

Nevertheless ATPDesigner selects automatically the right operation mode either TACS HYBRID or TACS STAND ALONE based on the analysis of the electrical power network designed from the user. The figure below shows a very simple network containing only a TACS source to calculate a rectangular voltage signal. This voltage signal can be also analysed using the Signal Analysis Algorithms implemented in ATPDesigner e.g. to calculate the Frequency Spectrum .

The next figure show the settings dialog of the TACS Data Card . The settings in the tab Protection Logic will be not used.

ATPDesigner analyses now the power network and identifies that only TACS elements are used from the user. Therefore ATPDesigner automatically uses the option TACS STAND ALONE. The result is the rectangular voltage signal saved in the .PL4-File .

Below the frequency spectrum, which has been calculated using the Signal Analysis Algorithms implemented in ATPDesigner.

Read more about in Signal Analysis Results

Read more about in Vector Diagrams

Read more about Frequency Spectrum


Using TACS Connection and TACS Splitter

Read also .NET - File 41: Interconnection between TACS, TACS Connection, TACS Splitter

Read also TACS Management System

Read also about TACS Data Card

ATPDesigner now provides the user to connect TACS and Splitter with a dashed line using the network element Connection . Please note that such a TACS Connection or TACS Splitter does not represent any electrical element in the power network. These are only graphical elements. Nevertheless ATPDesigner uses these Connections and Splitter to create all required node names, connections, etc. internally.


Static Power Network Sources - ATP Source

Read also User Specific Node Names

The single-phase network element ATP Source can be used to design single-phase voltage or current sources with one or two nodes which can be connected by other network elements.The ATP Source will be realized using the sources described in Section VII Static Electric Network Sources in the ATP Rule Book. The content of the list Source Type describes the ATP Type of the sources defined in the chapter "VII. Static electric network sources" of the ATP Rule Book.

  • Please Note

The settings of the settings dialogs shown below are not relevant for all source types of the ATP. Depending on the setting Source Type settings may be disabled (grayed). Please check also the ATP Rule Book for more detailed information. Some of the explanations and figures used below are copied out of the ATP Rule Book (text printed in blue color) to improve the understanding of the ATP Source (printed in green color). The single-phase network element ATP Source can be usefully combined with the network element Splitter .

  • Please Note

It is also possible to use an ATP Source with two nodes which can be externally connected. Therefore it is possible to use a single-phase source which is floating (potential-free). The figure below shows an example where an Source Type "2p Cosine Source (Type 14)" has been used to realize a floating 1-phase voltage source.

    • 1x ATP Source using the Source Type "2p Cosine Source (Type 14)"
    • 3x Connection
    • 1x RLC Impedance
    • 1x Busbar
    • 1x Grounding System

All network elements are configured as single-phase elements only using Phase A. It is absolutely recommended to use the Grounding System connected to the Busbar to define the grounding node of the electrical network.

Read more about in Example: Splitter and Static Power Network Source

Rms to Peak Calculator

In addition an easy-to-use calculator is also integrated as part of the settings dialog. The user can calculate based on the nominal voltage or nominal current (R.M.S. value) the corresponding phase-to-ground voltage or phase current (peak value) and backward.

  • Value [peak] = Value [Vn rms] · √2 / √3
  • Value [rms] = Value [Vn peak] · √2 / √3

The both Add buttons can be used to take over the calculated values R.M.S. or Peak into the edit field Amplitude.

  • Amp at the left side: take over the R.M.S. value into the edit field Amplitude
  • Amp at the right side: take over the Peak value into the edit field Amplitude

The figure below shows the dialog to define the settings of the ATP Source.

Name

User specific name

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Source Type

  • Please Note

The settings of the different source types are explained below after the last Source Type has been explained. Several text elements in the tab General Technical Data will be changed depending on the Source Type which has been selected.

  • Connection to TACS/MODELS (Type 60)

The type 60 source is connected to an arbitrary control logic in TACS or a signal of the MODELS OUTPUT SECTION. Therefore it has no numerical parameters, only Start Time and Stop Time. The type 60 source can be also used as a voltage or current source.

Read also .NET-File 36

Read also ATPDesigner and MODELS

  • Step Function (Type 11)

The step function can be described as a function which zero during steady-state (at time zero) and which has a constant specific value starting from a positive time. This source is always zero during steady state.

  • Ramp Function (Type 12)

This sources is a ramp between zero and a constant value. The source provides for a linear rise from zero to some limiting, constant value. The initial slope then is defined by the duration from which the function begins to rise until the function reached the limiting constant value. This source is always zero during steady state.

  • 2-Slope Ramp Function (Type 13)

This source provides for two different linear variations. First there is a rise from zero to some limiting value at which the slope is defined by the duration of that rise. Thereafter, the function changes the slope, so as to pass through a predefined value after a certain time. A type.13 source is always zero during steady state.

  • Cosine or Trapped Charge (Type 14)

This source represents a normal sinusoidal function at a certain frequency and can be enabled during steady state.

  • 2p Cosine Source (Type 14)

This source represents an floating (potential-free) sinusoidal source at a certain frequency and can be enabled during steady state. This source has been implemented based on the Source Type "Cosine or Trapped Charge (Type 14)" in combination with the ATP Type 18 Ideal Transformer.

C Knot1| |Amplitude|Frequenz | T0 | A1 | T1 | TStart | TStop |

14A00013 01.000000E25.000000E10.000000E0 0 -1.00000001.00000E15

C Type 18: Ideal Transformer & Ungrounded Voltage Source

C Bus-L! ! Ratio n !Bus-K!Bus-M!Bus-X!

18A00016 1.0 PH1001

  • Please Note

It is absolutely recommended to use the Grounding System connected to the Busbar to define the grounding node of the electrical network.

  • Surge Function (Type 15)

  • Heidler-Model (Type 15)

To avoid the disadvantages of the standard Surge Function, the Heidler-Model was implemented in the ATP.

  • Connection to TACS/MODELS (Type 60)

This source type provides the interface between TACS or MODELS and the electrical power network. Any voltage or current sources can be created e.g. using the programming language MODELS and infeed to the electrical power network.

Enable TACS

Enable or disable interface from TACS (source type: Connection to TACS/MODELS (Type 60))

TACS Signal Name

If it is NOT a Type 60 Source

Name of the TACS signal which controls the amplitude of the source

The name of the TACS signal which will be used can be read in the corresponding list TACS signal name of the settings dialog. ATPDesigner writes a Type 17: TACS Modulation of Next Source line to create the control signal of the amplitude of the source.

If it is a Type 60 Source

Name of the TACS signal which will be assigned to the Type 60 interface (source type: Connection to TACS/MODELS (Type 60)).

The name of the TACS signal which will be used can be read in the corresponding list TACS signal name of the settings dialog.

Enable MODELS

Enable or disable interface from MODELS (source type: Connection to TACS/MODELS (Type 60))

MODELS Sig.Name (ABC)

  • If it is NOT a Type 60 Source

The name of the MODELS signal will be used as can be read in the corresponding combo box of the settings dialog. ATPDesigner writes a Type 17: TACS Modulation of Next Source line to create the control signal of the power network source.

  • Please Note

ATPDesigner does NOT write the phase identifiers A, B or C as a prefix to the MODELS name. Therefore 6 characters can be used to define the MODELS interface node name. The lines below shows the ATP source code if the node name 123456 has been used to define the MODELS output signal.

C

17123456

C

C Knot1| |Amplitude|Frequenz | T0 | A1 | T1 | TStart | TStop |

14BSC001 01.000000E35.000000E10.000000E0 0 -1.00000001.00000E15

  • If it is a Type 60 Source

Name of the MODELS signal which will be assigned to the Type 60 interface (source type: Connection to TACS/MODELS (Type 60)).

  • Please Note

ATPDesigner writes the phase identifiers A, B or C as a prefix to the MODELS name. Therefore, only 5 characters can be used to define the MODELS interface node name. ATPDesigner does NOT check the topology of the power network based on the user specific node names. The lines below shows the ATP source code if the node name 12345 and Phase A has been used for a voltage source.

C Knot1| |Amplitude|Frequenz | T0 | A1 | T1 | TStart | TStop |

60A12345 0 -1.00000001.00000E15

Amplitude

Amplitude value (peak value, not RMS) of the function

Frequency

Frequency in Hz

Phase

Phase shift in degrees or seconds depending on the settings Phase Shift Unit

Start Time

Time at which the function becomes active (= TSTART in the ATP Rule Book)

Stop Time

Time at which the function becomes inactive (= TSTOP in the ATP Rule Book)

Time 0

The duration of the rise, beginning at value zero at Start Time and ending at the value Amplitude at time Start Time + Time 0. This setting corresponds with the setting TIME 0 in the data cards described in the ATP Rule Book.

Time 1

The time at value A1 which defines the second slope. This time begins at the value of Start Time, disregarding whether Start Time is an integer multiple of the sampling frequency DT or not.

A1

The value of the signal at time Time 1, which defines the second slope.

A

Negative number to specify the falling slope.

B

Negative number to specify the rising slope.

  • Please Note

A and B normally will be non-positive, since otherwise, f(t) will grow without bound. For a constant (either A or B) equal to zero, f(t) is a single exponential.

TFront

The front duration in seconds. This is the time interval between t=0 to the time of the function peak. Typical value: 1,2μsec.

tau (= τ)

The stroke duration in seconds. This is the interval between t=0 and the point on the tail where the current amplitude has fallen to 50% of its peak value. Typical value: 50μsec.

N

Factor influencing the rate of rise of the function. Increasing N increases the rate of rise and shifts the instant of maximum steepness from the tail end towards the 50% value of the peak. Reasonable values for N are 5...10.

Output Source Type

This settings corresponds with the setting ST in the data cards described in the ATP Rule Book.

    • Voltage Source (= ST blank or zero)
    • Current Source (= ST negative integer ("-1")

Phase Shift Unit

The Phase can be defined in degrees or seconds depending on this setting.

    • Phase Units in Degrees

The phase will be set using the unit Degree: f(t) = Amplitude · cos (2 · π · Frequency · t + Phase)

    • Phase Units in Seconds

The phase will be set using the unit Seconds: f(t) = Amplitude · cos (2 · π · Frequency · (t + Phase))

Phase of the Source

The network element will be only written as a single-phase element into the .ATP-File . One of the phases A, B or C can be chosen using one of the following options Phase A, Phase B or Phase C.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Internal Impedance

As an option an internal impedance Z can be added depending on the Output Source Type.

  • Voltage Source : Series Impedance

The source:

C Knot1| |Amplitude|Frequenz | T0 | A1 | T1 | TStart | TStop |

14ASC001 01.000000E35.000000E10.000000E0 0 -1.00000001.00000E15

The internal impedance:

C Knot1|Knot2|Knot3|Knot4| R/Ohm | L/mH | C/uF |

ASC001A00016 9.9999999999E-7 0.00000000000E0 0.00000000000E0

  • Current Source : Parallel Impedance

Enabled

Enable or disable the additional, internal impedance Z

R

Resistance in Ohm

X

Reactance in Ohm

C

Capacitance in μF

TACS Interface, MODELS OUTPUT Section and TACS Management System

The amplitude of the 1-Phase Source can be controlled using a TACS output signal (Type 17: TACS Modulation of Next Source). The value of the TACS output signal will be used as a multiplication factor of the amplitude. The TACS interface is part of the TACS Management System implemented in ATPDesigner. The TACS Management System presents all TACS control signals, which are defined from any TACS "producing" network elements e.g. TACS Data Card , in a ComboBox. Therefore the TACS Management System supports the user of ATPDesigner always presenting only the available TACS control signals.

Amplitude of the 1-Phase Source = Vnom or Inom · Value of the TACS Control Signal

In addition ATPDesigner automatically identifies signals defined in the MODELS OUTPUT SECTION, if a MODELS script will be used based on the External .ATP-File . All these signals are part of the TACS Management System and the user can select very comfortable one of the MODELS OUTPUT signals:

  1. Enable the setting Enable TACS
  2. Select one of the signals in the combo box TACS Signal Name

Now, the MODELS OUTPUT variable has been connected to the static power network source. This method can be very comfortably used, if a MODELS file shall be used to create a current or voltage source using ATPs Type 60 Source.

MODELS OUTPUT Interface, Type 60 Source and and TACS Management System

The Type 60 source can be used to connect any output signal of the MODELS OUTPUT section to the electrical power network. The Type 60 source can be used as a current or voltage source. Please note, that ATPDesigner is not able to provide automatically this connection, because ATPDesigner doesn't know the names of the output variables used in MODELS. Therefore, the user is responsible to define the connection using User Specific Node Names. Two different methods are available to use the signals of the MODELS OUTPUT section.

  • Method 1: Using the TACS Management System
    1. Select source type Connection to TACS/MODELS (Type 60).
    2. Enable the setting Enable TACS
    3. Select one of the signals in the combo box TACS Signal Name

  • Please Note

The name of the TACS or MODELS signal will be used as it is, that means as can be read in the corresponding combo box of the settings dialog. ATPDesigner does NOT write the phase characters A, B or C as a prefix to the MODELS name.

  • Method 2: By Hand
    1. Select source type Connection to TACS/MODELS (Type 60).
    2. Enable Enable MODELS.
    3. Insert the name of the output variable of the MODELS section in MODELS Sig.Name using up to 5 user specific characters, the first character will be always A, B or C depending on the settings Phase A..C.

  • Please Note

The first character A, B or C of the node name of the phases will be automatically set by ATPDesigner selecting Phase A, Phase B or Phase C. Therefore the user can only define up to 5 characters for node names.

Replacing the Node Names by User Specific Node Names

ATPDesigner replaces the node names (ABC)xxx , which have been automatically created by ATPDesigner itself, by the User Specific Node Names, but only if the .ATP-File will be written to the hard disk. In addition ATPDesigner writes the column 80 - value = 3 for each node, which uses an User Specific Node Name. Therefore the phase-to-ground voltages and phase currents of the enabled phases will be saved into the .PL4-File and can be used to create a diagram.

Read more details in .NET-File 36

  • Please Note

ATPDesigner does NOT check the topology of the power network based on the user specific node names.


Nonlinear Element

Nonlinear Elements can be used to design several types of nonlinear network elements e.g. nonlinear inductances L (i). All the network elements which can be used correspond with the NONLINEAR ELEMENTS described in the ATP Rule Book chapter V. The dialog below shows the settings of the network element. The default name of the nonlinear element is Z(x) to indicate that this network element represents an impedance which depends on other physical parameters. Nevertheless the user can change any other name for the network element.

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to increase the understanding about the network element.

How to Modify a Value in the List ?

The user can change any value by clicking on the cell which contains the value. As well known from e.g. Excel spreadsheets the value of the cell can be now changed. The new value will be accepted if the user takes a mouse click to any location in the dialog.

Name

User specific name

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Operation Mode

Operation mode of the nonlinear network element

    • Pseudo-Nonlinear Reactor L(i) (98)

as described in the ATP Rule Book: Type 98 Pseudo-Nonlinear Reactor L(i)

    • Pseudo-Nonlinear Hysteric Inductor L(i) (96)

as described in the ATP Rule Book: Type 96 Pseudo-Nonlinear Hysteric Inductor L(i)

    • True-Nonlinear Inductance L(i) (93)

as described in the ATP Rule Book: Type 93 True-Nonlinear Inductance L(i)

    • True-Nonlinear Resistance R(i) (92)

as described in the ATP Rule Book: Type 92 Multiphase, Piecewise-Linear Resistance with Flashover (4444.)

The model provides for true nonlinear representation of an arbitrary number of coupled, nonlinear resistances R(i). The nonlinearity is represented by a piecewise-linear characteristic of current and voltage.

    • Circuit-Breaker or Electric Arc R(t,i) (91)

as described in the ATP Rule Book: Type 91 Circuit-Breaker or Electric Arc Modeling Using TACS/MODELS-Controlled R(t)

TACS/MODELS Control Interface (OUTPUT)

Name of the MODELS variable (OUTPUT section on MODELS level) to control the time-dependent behavior of the resistance R(t)

    • A: VAR001 - Phase A
    • B: VAR002 - Phase B
    • C: VAR003 - Phase C

Configuration Neutral Point

Configuration of an optional neutral point

The user can enable a neutral point for the nonlinear element independent if the nonlinear element had been configured as a 1-phase or 3-phase network element. If enabled the optional neutral point can be connected to ground or isolated.

    • None

Neutral point disabled

The network element can be connected to other network elements using both nodes.

    • Grounded

Neutral point connected to ground

The network element can be connected to other network elements using only one node.

    • Isolated

Isolated neutral point

The network element can be connected to other network elements using only one node.

No.

Number of the (x, y) - points of the characteristic defined in the list

I Steady

Current flowing through the network element during the steady-state phasor solution, corresponds with Phi Steady

Phi Steady

Flux flowing through the network element during the steady-state phasor solution, corresponds with I Steady

Residual Flux

Residual flux of of the inductance

If the hysteric inductance is not energized during the phasor solution for initial conditions, then residual flux can be defined.

Enable V flash

Enable or disable the flashover voltage Vflash

V flash

Gap flashover voltage

If the resistor has no gap, disable the flashover voltage

V zero

Starting (or initial) branch voltage

In almost all cases, leave this edit field set to 0 V. The the Newton Iteration will start from zero current, which usually is satisfactory.

R lin

Linear resistance that is to be connected in series with the nonlinear characteristic

It can be used to represent the grounding resistance of an arrester. A value of 0 Ohm is permissible, if desired.

Gap is to

  • flash and clear as many times as required by network conditions
  • flash and clear only once
  • discharge once and remain closed continuously thereafter

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP-File . The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.

Solid Grounded

If enabled one node of the nonlinear element will be connected with ground

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Empirical Function

The Single-Phase Network Element Empirical Function can be used to infeed a total random shape of a voltage or current depending on the users requirements. The user can define the voltage or current point by point means sample by sample at each time step. According the ATP Rule Book some basic rules should be considered. This network element is represents the ATP Source Type-1.

  • This function is assumed to have a zero value during steady-state.
  • The user must specify the function point by point mean sample by sample.

The single-phase network element Empirical Function can be usefully combined with the network element Splitter .

Read more about in Example: Application using Empirical Functions and Splitter

The basic rules listed below shall be considered:

  • The user can assign any TEXT FILE to the Empirical Function. The text file must contain min. one column which represents the samples of the empirical function.
  • The text file can consist of several columns. The user can specify one of these columns to assign it to the empirical function using the setting Column No..
  • If the text file contain more than one column, the columns must be separated using the same Separation Character. The separation character can be specified via the setting Column Sep..

Empirical Function and ATP Data Settings dt and Step

The user can not define a sampling rate or sampling frequency for the samples of the Empirical Function contained in the assigned text file(s). ATP assumes that the sampling rate of the samples contained into the text file which is assigned with the Empirical Function is identical with the sampling rate of the current .ATP-File .

  • Please Note

The user has to consider that the sampling rate of the empirical function shall be identical to the sampling rate used in the current .ATP-File . Otherwise ATP will calculate unpredictable results. The internal sampling rate which are used from ATP during the network simulation process can be calculated as follows:

Internal ATP sampling rate = dt / Step

Read more about How to calculate the sampling frequency

In ATPDesigner the sampling rate (and therefore the sampling frequency) depends on the both settings dt and Step which can be set in the dialog ATP Data .

  • Caution !!!

It has been discovered during the type tests of the Empirical Function (that means the use of ATP Type-1 source), that the overall simulation time of a ATP data case MUST be larger as the "Life Time" of the Empirical Function. Therefore ATPDesigner determines the "Life Time" of the Empirical Function analyzing the sampled data saved in the external text file and adapts the setting Time (see ATP Data ) to "Life Time" + One Cycle. If the simulation time is less than the "Life Time" of the Empirical Function, ATP fails with a runtime error.

The figure below shows the graphical symbol of the Empirical Function which can be easily identified: the character E marks the Empirical Function. A Splitter has been connected between the Empirical Functions and the Circuit-Breaker Cb1 to connect the single-phase Empirical Function to all three phases of the 3-phase power network.

  • Please Note

The Empirical Function is a single-phase network element.

The figure below shows the settings dialog to set the Empirical Function.

Name

User specific name

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

File name

The user can select a text file which will be assigned with this Empirical Function. This text file must contain the sampled values of the function. ATPDesigner reads the sampled values out of the text file and writes these into the .ATP-File before processing the network simulation.

Open File

Opens the External .ATP-File in a text editor.

SIMPLORER File Format

see explanations below

Number

The number specifies the number of the column in the text file, which contains the sampled values.

  • Please Note

It is possible to assign one text file which contains several columns with one or more Empirical Functions. In this case the user should specify the number of the column, which contains the right sampled values for the different Empirical Functions.

Column No.

Number of the column of the text file which should be used to be assigned to the empirical function

Column Sep.

Separation character of the columns contained in the text file

Start Time

Time at which the function becomes active (= TSTART in the ATP Rule Book) irrespective whether the Start Time is an integer multiple of the time step DT or not. Any time before the Start Time, the value of the function will be zero.

Stop Time

Time at which the function becomes inactive (= TSTOP in the ATP Rule Book) irrespective whether the Stop Time is an integer multiple of the time step DT or not. Any time before the Stop Time, the value of the function will be zero.

Output Source Type

This settings corresponds with the setting ST in the data cards described in the ATP Rule Book.

    • Voltage Source (= ST blank or zero)
    • Current Source (= ST negative integer ("-1")

Phase of the Source

The network element will be only written as a single-phase element into the .ATP - File. One of the phases A, B or C can be choosen using one of the following options Phase A, Phase B or Phase C.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

SIMPLORER File Format supported by Empirical Function

Read also SIMPLORER and Multi Frequency Source

SIMPLORER® is multi-domain, system simulation software for the design of high-performance electromechanical systems commonly found in the automotive, aerospace/defense, and industrial automation industries. Simplorer can be also used to simulate electronic converter systems e.g. used in FACTS, HVDC systems or Windmills. ATPDesigner supports several data interfaces in order to import data which are simulated based on the capabilities of SIMPLORER. In addition ATPDesigner automatically adapts the settings DT and Step , that means the step size of the simulation process will be automatically adapted.

More information about DT and Step in the settings dialog ATP Data

Signals which are calculated with SIMPLORER can be exported into a TEXT FILE which is structured as shown below.

    1. First a header with several information about the structure of the text file
    2. The END: identifier terminates the header
    3. After that: Time steps in the first column followed by multiple columns containing sampled data

TYP:=A

DIM:=2

LEN:=501

N00001:=T

U00001:=s

N00002:=VM1

U00002:=V

END:=

0.000000E+000;8.294147E-018;

1.000000E-003;1.007390E+002;

2.000000E-003;1.825946E+002;

...

If the user has been enabled the option SIMPLORER File Format, the Empirical Function will be automatically set to import the data saved in the SIMPLORER file.

  • The header will be ignored (important for the algorithm to read in the sampled values !!!).
  • The column separator character will be set to ';'.
  • The column number to be used will be set to 2.

Nevertheless the last both settings settings can be changed by the user. ATPDesigner processes the sampled values saved in the SIMPLORER file as Empirical Function using a SIMPLORER Specific Algorithm:

  1. All lines starting with the first line of the SIMPLORER text file and including the line containing the END: identifier will be ignored.
  2. ATPDesigner determines the sampling frequency analyzing the first two lines, which contain sampled values.
  3. The setting Step will be always set 1.
  4. The setting DT will be always set to the sampling rate calculated based on the SIMPLORER text file.
  5. The overall simulation time will be also determined and adapted: Time = Determined Simulation Time + One Cycle.
  6. Nevertheless all settings can be modified from the user using the settings dialog ATP Data .


Example: Application using Empirical Functions and Splitter

.NET - File 9: 3-Phase voltage source using 3x 1-phase Empirical Function
.TXT - File 9: Sampled values for Empirical Functions (.NET - File 9)

3-phase voltage or current sources can be also defined using three Empirical Functions. Each of these Empirical Functions represents a 1-phase voltage or current source. The three Empirical Functions must be connected to the 3-phase power network using a Splitter. Please use the operating mode "3-Phase Splitting" of the Splitter. The model of Empirical Functions which has been implemented in ATPDesigner reads the sampled values out of a text file, which must be assigned to each of the Empirical Functions. It is possible to use different text files or the same text file. In all cases, the text files must contain one or more columns, which represents the sampled values of the source. The user must specify one of the columns of the text file "per number 1..N". In addition the column separation character must be also specified. ATPDesigner now tries to identify the right column and will use the data of this column as sampled values of the corresponding 1-phase source.

In this example only one text file called "PowerNetwork_9.txt", which contains 3 columns, will be used to realize the 3-phase source based on the three Empirical Functions. The sampled vlaues will be read out of the columns 2, 3 and 4. Column no. 1 contains the time axis of the sampled values. Please note that ATP uses the sampling rate of the data case (setting dt, defined in the ATPDesigner dialog ATP Data ) also for the sampled values of the Empirical Functions. It is important to adapt the internal ATP sampling rate identical to the sampling rate of the samples which represents the Empirical Function.

  • Internal ATP sampling rate [s] = dt [s] / Step

Read how to set the settings dt, Step and internal sampling rate

The figure below shows the power network.

The next figure shows the primary phase currents IAP_M1, IBP_M1 and ICP_M1 measured at the measuring location M1 (red arrow). The sampling rate of the data saved in the text file takes 1 kHz. The internal sampling frequency of ATP can be calculated as follows:

  • dt = 1ms, Step = 1 ⇒ internal sampling rate = 1ms / 1 = 1ms

Therefore the sampling rate of the Empirical Function is identical to the internal sampling rate.

The next figure shows the same phase currents, but the internal sampling rate was not identical to the sampling rate of the Empirical Function.

  • dt = 0.1ms, Step = 1 ⇒ internal sampling rate = 1ms / 1 = 0.1ms


MOV - Metal Oxyd Varistor (ZNO Fitter)
  • Please Note

The Metal Oxyd Varistor can be only used in combination with a RLC Impedance .

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this network element. In addition some figures used below are also copied out of the ATP Rule Book.

The supporting routine "ZNO Fitter" can be used to derive a true (as opposed to pseudo) non-linear representation (type 92 branch card) for a zinc-oxide surge arrester, starting from manufacturer's data for the surge arrester. The model can be used successfully to represent both gapless arresters as well as arresters equipped with series passive gaps or shunt passive gaps. Series active gaps (i.e. current limiting) can not be represented adequately by means of the ZNO model described here. (ATP Rule Book)

Please note, that not all of the features described in the ATP Rule Book are necessarily implemented and supported by ATPDesigner, but the most common features. Please study the corresponding chapter XIX-I in the ATP Rule Book.

ATPDesigner and ATP Supporting Routines

ZNO Fitter is one of ATP supporting routines, which must be preprocessed before starting the power network simulation process. ATPDesigner automatically controls this preprocessing and inserts the required $INCLUDE commands into the .ATP-File . No user specific actions are required. In addition the user can execute only this preprocessing using the corresponding menu item in the main menu ATP .

ATPDesigner automatically writes the required .ATP-File which contains the ZNO Fitter Data Cards of all ZNO Fitter based network elements of the power network using the file name xxx_ZNO.ATP (with xxx = file name of the corresponding .NET-File without extension). ATP creates the required PUNCH-files using the extension .PCH.

Example: TestNetwork.NET ⇒ TestNetwork_ZNO.ATP

The file names of the PUNCH-files used from ATPDesigner:

xxx_yyyZNO.PCH

  • xxx = file name of the corresponding .NET-File without extension
  • yyy = number of the ZNO Fitter based network element in the current power network

Example: TestNetwork.NET with 2 ZNO Fitter based network elements

  • TestNetwork_1_001ZNO.PCH
  • TestNetwork_1_002ZNO.PCH

Please note, that the PUNCH-files can be created only based on the data saved in the corresponding .NET-File . Therefore it is NOT required to store the PUNCH-files. The figure below shows a part of an .ATP-File containing the $INCLUDE commands to process two ZNO Fitter based network elements.

The figure below shows the settings dialog of the MOV based on ZNO Fitter.

Name

User specific name

No.

Number of the (x, y) - points of the MOV characteristic defined in the list

V ref

Reference voltage (RMS value) that will be used to scale the voltage data points (ATP Rule Book)

V flash

Gap flashover voltage in units of Volts (peak)

I min

Minimum current above the exponential approximation of the non-linear characteristic begins. For currents i < I min, a linear rather than a non-linear exponential approach is used to speed up the numerical solution.

Ph.No.

Maximum Number of phases of the ZNO Fitter based network element

This setting will be always used if the option Single-Phase has been disabled. Otherwise phase the network element can be used phase selective.

Errlim

This value only has a meaning for Nexp < 0. ERRLIM ist the maximum relative error permitted during the automatic determination of the number of segments. (ATP Rule Book)

Enable No.Exp

    • If disabled: Flag No.Exp = -1, request for automatic determination of the number of exponential segments
    • If enabled: number of segments requested by the user

No.Exp

Flag to select between the two possible fitting options

    • < 0: request for the automatic determination of the number of exponential segments. The user will specify the (I, V) - characteristic.
    • > 0: number of segments requested by the user. (ATP Rule Book)

V Divid

Divider used for the scaling of voltage points. For example, this setting could be used for the voltage rating of the arrester upon which the input data are based, in order to convert the specified voltage points into per-unit values. This is in units [volts] RMS. (ATP Rule Book)

V Mult

Multiplication scaling factor for the voltage points, that can be used creatively in more than one way by the user. (ATP Rule Book)

V Scal

Multiplier used for the additional scaling of voltage points. For example, it can be used to obtain a minimum characteristic (maximum energy) from a maximum characteristic (maximum voltage). (ATP Rule Book)

I Mult

Current multiplier that is used obtain results for arresters with a number of columns that differs from that for which the data points are known. An even (homogeneous) current distribution is assumed among all columns. (ATP Rule Book)

Flag A5

Flag signaling the existence (or lack of it) of additional data describing the arrester after flashover of the arrester passive gap.

    • = 0 : the arrester is gapless, and no additional data follows.
    • < 0 : Additional data follows (to represent dissimilar material for a shunt or a series passive gap)
    • > 0 : No further data. Instead, the original input data representing the situation before flashover are to be used to represent the characteristic after flashover are to be used to represent the characteristic after flashover, simply by multiplication of the voltages by A5. This is to represent similiar material for a shunt or a series passive gap. (ATP Rule Book)

Clear List

Delete all (x, y) - points contained in the list control, reset the number of (x, y) - points to 0

Data MOV 1

Load a typical non-linear characteristic used in 220kV-networks

Data MOV 2

Load a typical non-linear characteristic used in 400kV-networks

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Example: Series Compensated Line using MOV based on ZNO Fitter

Figure below: Primary phase currents in case of a MOV in parallel to the series capacitance

Figure below: Primary phase currents in case of a series capacitance but without a MOV in parallel


Admittance Function Y(s), Y(z)

The network Element Admittance Function van be used to simulate the physical behavior of High-Order Rational Admittance Functions. The user can select between two mathematical types of the admittance function:

  • the admittance function in the Laplace-Domain Y(s)
  • the admittance function in the Z-Domain Y(z)

  • Please Note

The Admittance Function can be studied more in details in the Chapter IV.H "High-order rational admittance function" in the ATP Rule Book.

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this network element. In addition some figures used below are also copied out of the ATP Rule Book.

Any impedance or admittance seen from a port of a passive network or network component can be expressed as a rational function in the frequency domain.The poles and zeros of the rational function reflect the dynamic behavior of the system and indicate resonant frequencies of the network under consideration. This electrical branch allows direct representation of a port-admittance given in form of a rational function for electromagnetic transients simulations. Rational function expression for port-admittances can be gained by approximation of frequency response curves using external fitting/optimization techniques. (ATP Rule Book)

The high-order rational admittance function Y(s) or Y(z) has been used to represent low-order network equivalents in the EMTP for switching surge computations. An application of this branch can be found in the paper of M. Kizilcay, Low-order network equivalents for electromagnetic transients studies, European Trans. on Electr. Power Eng. (ETEP), vol. 3, 2, pp. 123-129, Mar./Apr. 1993. (ATP Rule Book)

The rational admittance function of the branch connecting two nodes of the electrical power network may be defined either in the Laplace-Domain or in the Z-Domain.

  • Caution !!!
    • The maximum number of Admittance Functions in one .ATP-File is limited up to 30.
    • The maximum order for each of these Admittance Functions is limited up to 25.

The figure below shows the settings dialog of the Admittance Function.

Name

User specific name

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

No.

Number of the numerator and denominator coefficients defined in the list

  • Please Note

Order of the Rational Function = No. - 1

Numerator

Coefficients of the numerator of the Admittance Function

Denominator

Coefficients of the denominator of the Admittance Function

Gain

Gain factor K of the Admittance Function

Config. Neutral Point

Configuration of an optional neutral point

The user can enable a neutral point for the admittance function independent if the admittance function had been configured as a 1-phase or 3-phase network element. If enabled the optional neutral point can be connected to ground or isolated.

None

Neutral point disabled

The network element can be connected to other network elements using both nodes.

Grounded

Neutral point connected to ground

The network element can be connected to other network elements using only one node.

Isolated

Isolated neutral point

The network element can be connected to other network elements using only one node.

Clear List

The both lists Numerator and Denominator will be cleared. This means, that all of the coefficients will be deleted, the order will be reset to 0.

Single-Phase

The network element will be written as a single- or multi-phase element into the .ATP - File. The different phases can be enabled using one of the following options Phase A, Phase B and Phase C. If the option Single-Phase has been disabled, the network element will be written as a 3-phase-element into the .ATP-File. If the option Single-Phase has been disabled, the options Phase A, B, C will be also disabled.

Phase A

Only the node of phase A will be used to connect this single-phase network element to other network elements.

Phase B

Only the node of phase B will be used to connect this single-phase network element to other network elements.

Phase C

Only the node of phase C will be used to connect this single-phase network element to other network elements.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


ATPDesigner and MODELS

Read also Default MODELS Sequence

Read also Adding MODELS Output Variables to the TACS Management System

Read also Creating MODELS Interface for Probes and Circuit-Breakers

Read also Modyfing MODELS File

Read also Comment ATPDES: using the MODELS command WRITE("...

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Clarke-Transformation for Voltages and Currents Measured by a Probe

Read also How to Save the entire Project which consists of the .NET-File and ALL External .ATP-Files in ONE .ZIP-File

  • Please Note

Some of the comments and figures below are copied out of the ATP Rule Book, out of the MODELS PRIMER written by Gabor Furst and out of the USERS GUIDE TO MODELS IN ATP written by Laurent Dubé to achieve the best understanding how to use MODELS.

MODELS is a general technical description language supported by a simulation solver. It is a programming language targeted to time-domain simulation, and is used as a tool for describing the dynamic behavior of complex physical systems. In ATP, it can be used for describing the operation of circuit components and of control components. It can also be used for generating signals or for analyzing measurements from the circuit. Finally, it can be used as the interface between ATP and outside programs. (USERS GUIDE TO MODELS IN ATP)

MODELS in ATP

The purpose of having MODELS available in ATP is four-fold:

1) to have a tool for developing models of circuit and control components which cannot be built easily with the set of existing components available in ATP and TACS;

2) to have the flexibility of a full programming language without having to interact with ATP at the programming level;

3) to be able to describe not only how a component operates, but also how the initial state (initial values and initial history) of the component is established, at any required detail level;

4) to have a standard program interface to ATP defined at the modeling level in terms of voltages, currents, and control signals, as opposed to an interface which would be defined at the programming level in terms of the variables, common blocks, and subroutines of ATP; this makes it possible to connect external programs to ATP for modeling of components, access to measurements, or interaction with equipment, without requiring a programming knowledge of the internal operation of ATP, and without requiring any modification to be made to the source code of ATP. (USERS GUIDE TO MODELS IN ATP)

THE NATURE AND STRUCTURE OF THE MODELS LANGUAGE

...

MODELS is a general purpose description language supported by a set of simulation tools for the study of time-variant systems". This simply means that a MODELS file is easily readable like some of the high level programming languages. The coding of a file is at the same time the description of the model which can be followed without explanation of the coding, which would be necessary for reading a TACS file by persons not intimately familiar with the TACS code.

MODELS is a structured language, requiring the coding to be prepared according to a strict rule of groupings of the type of blocks in the file. This will become clear from the examples in the Primer. While the reference to 'structured' language may sound somewhat 'prohibitive' to some new users of MODELS, it is probably the easiest aspect of MODELS to become familiar with.

MODELS files are coded in an entirely free format, which enables the user to enhance the readability of the file. Keywords, declarations, directives, function names are such that a user with a minimal knowledge of any programming language can identify the meaning of statements. (MODELS PRIMER)

Before using MODELS, it will be recommended to study the following documents:

  • ATP Rule Book
  • USERS GUIDE TO MODELS IN ATP written by Laurent Dubé
  • MODELS Primer written by Gabor Furst

Read also about Static Power Network Sources , how to use the variables of the MODELS OUTPUT SECTION to realize a current or voltage source based on ATP's Connection to TACS/MODELS (Type 60).

ATPDesigner Support of MODELS

MODELS is a programming language, which can be used in combination with an electrical power network to implement high-sophisticated time-domain simulations, which can be not realized with the standard components of the ATP especially the TACS elements of the ATP. The source code of the MODELS programming language (called MODELS sequence in this documentation) must be written in a text file, which must be assigned by the ATPDesigner user to the .NET-File of the power network. ATPDesigner uses the External .ATP-File to manage the MODELS sequence.

    • In addition ATPDesigner supports the user to apply MODELS by an Internal MODELS Text Editor .

  • Please Note

All MODELS Source Code used for a power network must be specified in ONE (means the same) External .ATP-File . ATPDesigner is not yet able to split and re-arrange MODELS Source Code, which are specified in two or more External .ATP-File , in ONE .ATP-File .

1. Open a power network e.g. via the menu item New of the main menu File or open an existing power network by reading the .NET-File .

2. Open the main menu Power Network and select the menu item ATP MODELS, open the submenu (see next figure).

3. Create a new MODELS file using Create a new MODELS file

3. The figure below presents the MODELS Interface settings dialog.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

How to Add an Existing MODELS Sequence to a Power Network

Add

Add an existing MODELS file to the power network

This option shall be used, if an text file exists on the hard drive containing the MODELS sequence, which should be added to the power network. ATPDesigner automatically adds an External .ATP-File to the power network.

How to Add a New MODELS Sequence to a Power Network

New

Add a new MODELS file into the power network

ATPDesigner internally creates a Default MODELS Sequence and opens automatically the Save As.. dialog from the Windows OS to save the MODELS sequence into a text file using the file extension .MOD. If the file name of the MODELS text file has been defined and the Save As.. dialog has been successfully closed, ATPDesigner shows a frame at the cursor position.

The user must now choose a location in the graphics view to store the symbol of the External .ATP-File . ATPDesigner automatically opens the settings dialog of the External .ATP-File shown in the figure below. The following rules and information are important.

1. Name

File name and path name of the text file which contains the MODELS Sequence, automatically set by ATPDesigner, but can be changed by the user.

2. The Interface Node Names must be disabled.

3. The option MODELS only in the group Content of the File must be selected.

Read more about the settings dialog of the External .ATP-File .

Now close the settings dialog of the External .ATP-File . The figure below shows the External .ATP-File, which represents the MODELS Sequence in the power network.

How to Add a MODELS Container to a Power Network

Container

ATPDesigner creates a new MODELS file only containing the two lines:

This MODELS Container can be easily used to add MODELS based Protection Schemes.

How to Open an Existing MODELS Sequence to a Power Network

The MODELS Sequence can be opened

  • via the Open button of the External .ATP-File settings dialog,
  • via the Open button of the Models Interface settings dialog or
  • via the Right Mouse Button Menu or
  • via the toolbar button [image] of the Toolbar for Network Design Mode using the Internal MODELS Text Editor .

The figure below shows how to open the MODELS Sequence saved in the External .ATP-File using the Right Mouse Button Menu .

  • Select the graphical symbol of the External .ATP-File
  • Open the Right Mouse Button Menu via a right mouse button click
  • Select the sub menu External .ATP-Files
  • Select menu item Open .ATP-File

Checking the MODELS File ...

Before writing the .ATP-File and starting the simulation process ATPDesigner reads the External .ATP-File containing the MODELS source code and checks some aspects of the syntax of the MODELS source code.

  • Blanks lines and blanks will be deleted until the key word MODELS has been detected.
  • Blanks lines and blanks will be deleted after the key word ENDMODELS had been detected.

How does ATPDesigner provide the user to Modify a MODELS File

Read more about Modifying MODELS File

Create a MODEL: TOC Protection (PTOC)

ATPDesigner automatically creates a MODEL PTOC which represents a simple time overcurrent protection based on a discrete fourier transformation algorithm (DFT). The MODEL will be automatically appended to the MODELS text file (External .ATP-File), which has been first selected by the user.

  1. Select the External .ATP-File shown in the graphics view by a left mouse button click
  2. Select the menu item Create MODEL: TOC Protection (PTOC)

The figure below shows a part of the MODELS text file which has been created using

  1. Create a new MODELS text file via Container
  2. Add protection scheme via Create MODEL: TOC Protection (PTOC)

MODELS -- Start of the MODELS Section

-- Input Interface at MODELS level : Power Network -> MODELS

-- INPUT DummyInput

-- Output Interface at MODELS level: MODELS -> Power Network

-- OUTPUT DummyOutput

-- Start of the MODEL implementation (source code)

-- The specifier 'ModelName' is the name of the class.

MODEL ModelName

-- Input Interface at MODEL level : MODELS -> MODEL source code

-- INPUT DummyInput

-- Output Interface at MODEL level: MODEL source code -> MODELS

OUTPUT DummyOutput

-- These constants are ATPDesigner specific. ATPDesigner will

-- automatically update all these constants before starting

-- the network calculation process.

CONST PowerNetFreq {val: 50} -- POWER FREQUENCY[Hz]

CONST PowerNetCycle {val: 0.02} -- Cycle[s]

CONST SamplingFreq {val: 1000} -- Sampling Frequency[Hz]

CONST SamplingDT {val: 0.001} -- Sampling Rate[s]

CONST SamplesPerCycle {val: 20} -- Samples per Cycle

CONST FP3PH1 {val: 16000.0} -- PWM Frequency [Hz]

-- Declaration of all fixed constants

CONST DummyConst {val: 0.0}

-- Declaration of all variables

VAR

DummyVar

DummyOutput

-- One-time initialization of variables, etc. at simulation start

INIT

DummyVar := 0.0

DummyOutput := 0.0

ENDINIT

-- Execution at each simulation time step

EXEC

DummyVar := 2.5 * DummyConst;

ENDEXEC

ENDMODEL

-- End of the MODEL implementation (source code)

-- Start of the MODEL instance (task)

-- USE ClassName AS InstanceName of the Class

USE ModelName AS ModelName

TIMESTEP MIN:0 -- dummy statement

ENDUSE -- End of the MODEL instance (task)

-- Recording signals, variables, etc. into the .PL4-file

-- !!! PL4OUT-Names max. 6 characters !!!

-- Syntax: InstanceName.NameOfMemberVariable AS PL4OUT

RECORD

ModelName.DummyOutput AS Pl4OUT

ENDMODELS -- End of the MODELS Section


Default MODELS Sequence

Read also ATPDesigner and MODELS

Read also Adding MODELS Output Variables to the TACS Management System

Read also Creating MODELS Interface for Probes and Circuit-Breakers

Read also Modyfing MODELS File

Read also Comment ATPDES: using the MODELS command WRITE("...

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Clarke-Transformation for Voltages and Currents Measured by a Probe

ATPDesigner internally creates a Default MODELS Sequence, if a new MODELS file will be added to the power network.

  • Please Note

ATPDesigner creates a set of constants, which will be automatically updated before starting a new simulation process. These constants will be calculated based on the settings of the ATP Data dialog and the settings of Network Infeed 1 . Therefore ATPDesigner automatically synchronizes the set of constants by the current ATP Data before startign the power network simulation.

  • PowerNetFreq

Power network frequency in Hz

  • PowerNetCycle

Length of one cycle in s

  • SamplingFreq

Sampling Frequency in Hz

  • SamplingDT

Sampling Rate in s

  • SamplesPerCycle

Numbers of samples per Cycle

  • FP3PH1

PWM Frequency in Hz

This setting is iequal to the setting Frequency of the 3-Phase Source 3Ph 1. It can be used to synchronize e.g. the PWM frequency of an inverter implemented using MODELS with the setting of the 3-Phase Source which is part of the electrical power network.

MODELS Default Sequence

MODELS -- Start of the MODELS Section

-- Input Interface at MODELS level : Power Network -> MODELS

-- INPUT DummyInput

-- Output Interface at MODELS level: MODELS -> Power Network

-- OUTPUT DummyOutput

-- Start of the MODEL implementation (source code)

-- The specifier 'ModelName' is the name of the class.

MODEL ModelName

-- Input Interface at MODEL level : MODELS -> MODEL source code

-- INPUT DummyInput

-- Output Interface at MODEL level: MODEL source code -> MODELS

OUTPUT DummyOutput

-- These constants are ATPDesigner specific. ATPDesigner will

-- automatically update all these constants before starting

-- the network calculation process.

CONST PowerNetFreq {val: 50} -- POWER FREQUENCY[Hz]

CONST PowerNetCycle {val: 0.02} -- Cycle[s]

CONST SamplingFreq {val: 1000} -- Sampling Frequency[Hz]

CONST SamplingDT {val: 0.001} -- Sampling Rate[s]

CONST SamplesPerCycle {val: 20} -- Samples per Cycle

CONST FP3PH1 {val: 16000.0} -- PWM Frequency [Hz]

-- Declaration of all fixed constants

CONST DummyConst {val: 0.0}

-- Declaration of all variables

VAR

DummyVar

DummyOutput

-- One-time initialization of variables, etc. at simulation start

INIT

DummyVar := 0.0

DummyOutput := 0.0

ENDINIT

-- Execution at each simulation time step

EXEC

DummyVar := 2.5 * DummyConst;

ENDEXEC

ENDMODEL

-- End of the MODEL implementation (source code)

-- Start of the MODEL instance (task)

-- USE ClassName AS InstanceName of the Class

USE ModelName AS ModelName

TIMESTEP MIN:0 -- dummy statement

ENDUSE -- End of the MODEL instance (task)

-- Recording signals, variables, etc. into the .PL4-file

-- !!! PL4OUT-Names max. 6 characters !!!

-- Syntax: InstanceName.NameOfMemberVariable AS PL4OUT

RECORD

ModelName.DummyOutput AS Pl4OUT

ENDMODELS -- End of the MODELS Section


Adding MODELS Output Variables to the TACS Management System

Read also ATPDesigner and MODELS

Read also Default MODELS Sequence

Read also Creating MODELS Interface for Probes and Circuit-Breakers

Read also Modyfing MODELS File

Read also Comment ATPDES: using the MODELS command WRITE("...

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Clarke-Transformation for Voltages and Currents Measured by a Probe

Outputs to ATP

Any variable declared as output in the MODELS section becomes visible in the circuit, and can be used as control variable to the components of the circuit, everywhere a TACS variable can be used. Applications include ontrolling the operation of switches, controlling the value of a type-91 resistance and other nonlinear components, controlling the value of voltage and control sources, and controlling the value of internal variables in the achine components (USERS GUIDE TO MODELS IN ATP)

-- Start of the MODEL instance (task)

USE UQuelle AS UQuelle

-- Output interface to the electrical network

OUTPUT

AV2 := VAG2

BV2 := VBG2

CV2 := VCG2

FRQ := FREQ

ENDUSE -- End of the MODEL instance (task)

ATPDesigner automatically checks all External .ATP-File , which may contain MODELS source code, tries to identify all OUTPUT Variables (connection to the electrical network) and adds the names of the OUTPUT Variables to the TACS Management System used e.g. in the Generator , Static Power Network Sources od Switch settings dialog.

  • Please Note

Only OUTPUT Variables which are used in a USE Instance will be added to the TACS Management System , because only these variables can be used as interface between MODELS and the electrical power network.

In the example above, the OUTPUT Variables AV2, BV2, CV2 and FRQ will be added to the TACS Management System .

Read also about Static Power Network Sources , how to use the variables of the MODELS OUTPUT SECTION to realize a current or voltage source based on ATP's Connection to TACS/MODELS (Type 60).


Creating MODELS Interface for Probes and Circuit-Breakers

Read also ATPDesigner and MODELS

Read also Default MODELS Sequence

Read also Adding MODELS Output Variables to the TACS Management System

Read also Modyfing MODELS File

Read also Comment ATPDES: using the MODELS command WRITE("...

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Clarke-Transformation for Voltages and Currents Measured by a Probe

ATPDesigner provides the user with a comfortable feature to create automatically the data interface from each Probe and each Circuit-Breaker Cb1..5 (with assigned Measuring Location ) to MODELS, which can be used in the INPUT section of MODELS .

    • Select the Probe or the Circuit-Breaker Cb1..5 via a Left Mouse Button Click
    • Open the Right Mouse Button Menu
    • Open the network element specific submenu Probe or Circuit-Breaker and select the menu item [image] Copy MODELS Interface to Clipboard

Example: Clipboard content for Probe Prb 1

-- Interface from Power Network Prb 1

INPUT APV001 TACS(APV001)

INPUT BPV001 TACS(BPV001)

INPUT CPV001 TACS(CPV001)

INPUT API001 TACS(API001)

INPUT BPI001 TACS(BPI001)

INPUT CPI001 TACS(CPI001)

    • Copy the clipboard content into the MODELS file using the clipboard of the text editor

The example below shows a MODELS programming section, where the data interface of Probe Prb1 has been inserted.

MODELS -- Start of the MODELS Section

-- Input Interface at MODELS level : Power Network -> MODELS

-- Interface from Power Network Prb 1

INPUT APV001 TACS(APV001)

INPUT BPV001 TACS(BPV001)

INPUT CPV001 TACS(CPV001)

INPUT API001 TACS(API001)

INPUT BPI001 TACS(BPI001)

INPUT CPI001 TACS(CPI001)

-- Input Interface at MODELS level: MODELS -> Power Network

-- OUTPUT

-- Start of the MODEL implementation (source code)

MODEL ModelName

....

ENDMODELS -- End of the MODELS Section


Modyfing MODELS File

Read also ATPDesigner and MODELS

Read also Default MODELS Sequence

Read also Adding MODELS Output Variables to the TACS Management System

Read also Creating MODELS Interface for Probes and Circuit-Breakers

Read also Comment ATPDES: using the MODELS command WRITE("...

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Clarke-Transformation for Voltages and Currents Measured by a Probe

ATPDesigner provides the user managing the MODELS file. ATPDesigner scans the MODELS file for MODELS..ENDMODELS, MODEL..ENDMODEL, EXEC..ENDEXEC, INIT..ENDINIT, USE..ENDUSE and RECORD and displays the start line number and the end line number. In addition some ATPDesigner specific block identifiers (all written as comments) are also identified.The figure below shows the corresponding dialog. Now it is possible to delete one of the sections shown in the dialog:

  1. Select the corresponding line in the spread sheet of the dialog.
  2. Use the Delete button to delete the section.

  • The MODELS element can be selected by a left-mouse button click.
  • The MODELS element can be opened using the internal MODELS Text Editor by a left-mouse button double-click.

Scan File

Scanning the MODELS file to identify MODELS elements e.g. MODEL, USE .. AS .., RECORD, etc.

Delete

Delete the selected MODELS element.

Open

Opens the MODELS file (= External .ATP-File ) in a text editor.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Change DATA Settings of USE instance

ATPDesigner provides the user to change the DATA command lines of a USE instance, which are part ot a MODELS file. The figure below shows an example. The content of the cells IDENTIFIER and VALUE can be set to the edit mode by a left mouse button click as well known from Excel® based applications.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Scan File

Scanning the MODELS file to identify MODELS element e.g. MODEL, USE .. AS .., RECORD, etc.

Add DATA

Add a new DATA command line to the spread sheet

Del DATA

Remove the selected DATA command line from the spreadsheet


MODELS Text Editor

ATPDesigner provides the usage of MODELS by an ATPDesigner specific, internal MODELS Text Editor shown in the figure below. The MODELS Text Editor has been implemented as a non-modal dialog. Therefore this dialog can exist in parallel to the ATPDesigner main window. It will be automatically closed if ATPDesigner will be closed.

  • Easy to use text editor
  • Automatic syntax coloring
  • Insert of control structures e.g. if (..) then by a button click
  • Right Mouse Button Menu Copy, Paste, etc.
  • Insert MODELS Function Names etc. using a context sensitive Right Mouse Button Menu

Close

Close dialog and save changed settings

Help

Open the corresponding chapter in the help file

Save

Save the content of the MODELS Text Editor into a text file displayed in the header of the text editor

Save As..

Save the content of the MODELS Text Editor into a text file, which can be selected by the user

Font Size

Change the font size of the text

Reload

Reload the text file and show the text file in the text editor

  • Please Note

ATPDesigner automatically checks whether the content of the MODELS Text Editor has been changed but not yet saved.

    • If not saved ATPDesigner will ask the user to save the MODELS Text Editor content before creating the .ATP-File .
    • If not saved the file name of the MODELS .MOD-File shown in the header will be extended by an asterisk e.g. c:\atpdesigner\data\network_3.mod*.

ATPDesigner and MODELS Keywords, Components, Functions, etc.

In addition ATPDesigner provides the user inserting MODELS specific keywords, components, function names, etc.

    • MODELS Keywords and Components
      • Move the cursor "over" the text editor
      • Open the Right Mouse Button Menu pressing the right mouse button
      • Select a MODELS source code element to be inserted into the text editor at the current cursor position releasing the mouse button

Hot Keys, Cursor Commands, etc.

The MODELS Text Editor can be used as usually well known from other text editors.

    • Text Selection
      • Hold down SHIFT key and move the cursor keys UP, DOWN, LEFT, RIGTH, Page UP, Page DOWN

    • Select One Word
      • Left mouse button double-click on the word to be selected'

    • Delete Text Selection
      • DEL or CTRL + X

Online MODELS Source Code Check

In addition ATPDesigner checks the syntax of the MODELS source code and takes out some corrections.

    • '--' ⇒ '-- '
    • '//' ⇒ '-- '

  • Hot Keys

    • CTRL + S
      Save the content of the MODELS Text Editor to the MODELS file

    • CTRL + POS1
      Set the current cursor position to the first character of the text file

    • CTRL + END
      Set the current cursor position at the end of the text file

    • CTRL + C
      Copy selected text into the clipboard

    • CTRL + V
      Copy text from the clipboard to the current cursor position

    • CTRL + A
      Select the entire text

    • CTRL + X
      Delete selected text

    • CTRL + RIGHT
      Jump one word to the right

    • CTRL + LEFT
      Jump one word to the left

  • Cursor Commands

    • Page UP, Page DOWN
    • Back, CR, DEL, INS, Pos1, End, etc.

Right Mouse Button Menus

Different Right Mouse Button Menus are available as part of the MODELS Text Editor.

  • With Text Selection
    • Right Mouse Button Menu Copy, Paste, etc.

  • Without Text Selection
    • Right Mouse Button Menu as shown below

Main Menu

Submenu Numerical Functions


MODEL: TOC Protection (PTOC)

Read also how to realize the Clarke Transformation

ATPDesigner provides the user by some MODELS tasks, which are fixed implemented in ATPDesigner and which can be easily inserted into an External .ATP-File . The figure below shows a part of an PTOC Protection Relay implemented based on MODELS.


MODEL: Clarke-Transformation

Read also Adding MODELS Output Variables to the TACS Management System

Read also Creating MODELS Interface for Probes and Circuit-Breakers

Read also .NET - File 53: Clarke-Transformation using MODELS

Some MODELS Templates are fixed implemented in ATPDesigner and can be easily inserted in a MODELS text file. Now it will be explained how to create the MODELS source code to realize the Clarke-Transformation for the Probe Prb 1 shown in the example below.

First, insert a MODELS Container creating a new MODELS file selecting the menu item displayed above. Now select the Container button to create a MODELS Container in a text file.

ATPDesigner creates the MODELS Container and stores it in the text file on the hard disk. In addition the shape of the External .ATP-File will be added to the graphics view.

The figure below shows the content of the text file.

In the next step the MODEL Clarke-Transformation will be added into the text file.

The figure below shows a part of the MODELS source code.

The last step is to add the MODELS source code to implement the USE..ENDUSE command.

  • Select the shape of Probe Prb 1.
  • Open the context sensitive Right Mouse Button menu.
  • Add the USE..ENDUSE block using the menu item MODELS: Create USE CLARKE AS ...

If the execution of the network simulation [image] has been successfully finalized, the MODELS signals can be used to create a Diagram .


Comment ATPDES: using the MODELS command WRITE("...

Read also .NET-File 54: Protection Relay PTOC based on MODELS

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

ATPDesigner provides the user with an ATPDesigner specific MODELS comment. How does it work ? The WRITE command (part of the MODELS syntax) can be used to write any comment during the execution of a MODELS sequence to the .LST-File . Now the user shall use the ATPDesigner specific key word ATPDES: (in capital letters !!!) at the beginning of the comment:

write("ATPDES: Now the comment starts ...")

ATPDesigner identifies each line in the .LST-File , which contains this specific key word at the beginning of the line and displays the comment written after the ":" in a messagebox. The text written into the .LST-File :

The corresponding messagebox:


Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also .NET-File 54: Protection Relay PTOC based on MODELS

Read also Comment ATPDES: using the MODELS command WRITE("...

The figure below shows an example, how to use the ATPDesigner specific comment write ("ATPDES: ...") to present TRIP Commands.

If the simulation process has been succesfully finalised e.g. using the toolbar button [image] , ATPDesigner scans the .LST-File for comment lines starting with ATPDES:. If found ATPDesigner displays each comment in a message box.


Short-Circuit Analysis (ATP Steady State)

The ATP is able to calculate the Steady State of electrical power networks as well as the transients. The so called Short-Circuit Analysis of ATPDesigner calculates the steady state of electrical power networks for the normal operation mode without a short-circuit as well as all situations with a short-circuit in the electrical power network. In addition voltages and currents of the positive-sequence system, negative-sequence system and zero-sequences system (012-System) will be also calculated. The so called Short-Circuit Results will be directly displayed in the power network graphic or using tooltips at the tip of the mouse cursor.

  • Setting a Short-Circuit at a Network Node by a Mouse Click
  • Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

The Short-Circuit settings can be defined in the settings dialog Short-Circuit . It is important to know that the Short-Circuit can be set at any node or along any position of a Line in the power network by a Left Mouse Button Click .

  • Setting a Short-Circuit at a Network Node by a Mouse Click


Voltages and Currents used in Short-Circuit Results

Voltages and Currents used in Short-Circuit Analysis Results

Below some voltages, currents, etc. calculated by the ATP read from the .LST-File by ATPDesigner executing the Short-Circuit Analysis Results.

    • VAG: Phase-to-Ground Voltage Phase A
    • VBG: Phase-to-Ground Voltage Phase B
    • VCG: Phase-to-Ground Voltage Phase C
    • IA : Phase Current Phase A
    • IB : Phase Current Phase B
    • IC : Phase Current Phase C

    • Apparent Power S = P + jQ
    • P : Active Power
    • Q : Reactive Power
    • Displacement Factor cos φ = P / S

    • Phase-to-Phase Voltages VAB, VBC, VCA
    • Phase-to-Phase Currents IAB, IBC, ICA

    • Zero-Sequence ("0") System Voltage V0 = (VAG + VBG + VCG) / 3
    • Zero-Sequence ("0") System Current I0 = (IA + IB + IC) / 3
    • Positive-Sequence ("1") System Voltage V1 = (VAG + a ⋅ VBG + a2 ⋅ VCG) / 3
    • Positive-Sequence ("1") System Current I1 = (IA + a ⋅ IB + a2 ⋅ IC) / 3
    • Negative-Sequence ("2") System Voltage V2 = (VAG + a2 ⋅ VBG + a ⋅ VCG) / 3
    • Negative-Sequence ("2") System Current I2 = (IA + a2 ⋅ IB + a ⋅ IC) / 3
    • Residual Current IG = IA + IB + IC
    • Neutral Displacement Voltage VNG = (VAG + VBG + VCG) / √3

The figure below shows the equation to calculate the 012 - system voltages. To calculate the currents it is sufficient to replace the character "V" to "I".


Setting a Short-Circuit at a Network Node by a Mouse Click

Read also about Short-Circuit

Read also How to Identify the Left and Right Node of the Line

Read also Right Mouse Button Menus for Short-Circuit Results

ATPDesigner provides the user easily to set a Short-Circuit at any node of the power network or at any location along a Single-Circuit Line by ONE Mouse Click. ATPDesigner can also use the Short-Circuit calculating the Short-Circuit Results (ATP Steady State) or the transients of voltages, currents, active power, etc. The settings dialog of the Short-Circuit cab be opened by a Left Mouse Button Double-Click on the shape of the Short-Circuit.

  • Calculating the Short-Circuit Results by the Main Toolbar button
  • Calculating the Transients by the Main Toolbar button

  • Please Note

The Short-Circuit will be specified by several settings.

  • Please Note

The Short-Circuit can be not set along the Line Line 1..3.

    1. The Fault Type of the Short-Circuit can be set in the toolbar [image] . This setting can be also changed in the settings dialog Short-Circuit.

    2. The Fault (Start) Time of the Short-Circuit, which can be only changed in the settings dialog Short-Circuit . The default value of this setting takes 100ms.

    3. The Extinction Time (End) of the Short-Circuit, which can be only changed in the settings dialog Short-Circuit . The default value of this setting takes 300ms.

    4. Calculating the Short-Circuit Results

    5. Calculating the Transients

The short-circuit currents will be automatically calculated (node names see in the figure below) and stored into the .PL4-File , if the transients of voltages, currents, etc. has been calculated e.g. by [image] or the menu item Write ATP Control Files and Start ATP , main menu ATP . ATPDesigner uses a fixed node name to measure the short-circuit current at the fault location, which can be used to create a diagram. The figure below shows an example.

    • Node name of the short-circuit current Ik: (ABC)SCIK_

  • Please Note

The settings Fault Time and Extinction Time will be ignored calculating the Short-Circuit Analysis Results .

Short-Circuit and Short-Circuit Results

ATPDesigner provides the user as well for the calculation of the Short-Circuit Analysis Results as to calculate the transients of voltages, currents, etc. to create a Diagram and to analyze the signals using Signal Analyzing Algorithms . In addition the Short-Circuit Ik calculated by the ATP will be shown nearby the Short-Circuit symbol (red flash) in the network graphics as shown in the figures below. If the Short-Circuit has been set at a Single-Circuit Line , the Fault Location will be shown in addition to the Fault Type.

  • Please Note

The fault location will be calculated always related to the LEFT NODE "L" of the line.

Example: Short-Circuit Ik calculated by the ATP and Fault Location in % of the Line Length

The results of the short-circuit calculation depends on the fault type e.g. AG, AB, ABG, ABCG, etc. the figures below show the currents displayed closed to the short-circuit symbol.

  • Fault Type ABCG

Short-circuit currents node ABC → ground G

  • Fault Type AB, BC, AB

Short-circuit current node A → node B

  • Fault Type AG, BG, CG

Short-circuit current node A → ground G

  • Fault Type ABG, BCG, ABG

Short-circuit current node A → internal short-circuit node, node B → internal short-circuit node, internal short-circuit node → ground G

How to Set a Short-Circuit Using the Toolbar Controls ?

  • Select a Short-Circuit e.g. ABCG using the list control [image] of the Toolbar of Network Elements or the settings dialog Short-Circuit .

  • Click on the toolbar button [image] and move the tip of the Short-Circuit Cursor [image] to a node of the power network. The toolbar button will keep pressed [image] as long as the Short-Circuit Cursor will keep visible. Press the toolbar button [image] again to disable the Short-Circuit Cursor.

  • Click on the node of the electrical power network to connect the Short-Circuit to this network node.

  • Start the calculation of the electrical power network
    • Start the calculation of the Short-Circuit Analysis (ATP Steady State) e.g. using the toolbar button [image] .
    • Start the calculation of the transients of voltages, currents, etc. using the toolbar button [image] to create a Diagram .

The figure below shows the Short-Circuit Results displayed in the tooltip of a Probe . More details can be read in the chapter Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements .

How to Set a Short-Circuit at a Line ?

It is also possible to set the Short-Circuit at any location of the line by a Left Mouse Button Click using the Short-Circuit Cursor [image] as described above. ATPDesigner automatically calculates the Fault Location in % and splits the line internally in two parts. The figure below shows an example.

Additional Features

  • Remove the Short-Circuit
    The Short-Circuit can be removed from the power network using the toolbar button [image] or the corresponding menu item of the main menu ATP .

  • Change the Location of a Short-Circuit in a Power Network
    If a Short-Circuit has been already connected to a node of a power network, this Short-Circuit cab be easily moved to an other network node.
    • Click always on the toolbar button [image] .
    • Move the tip of the Short-Circuit Cursor [image] to an other network node.
    • Click on this node to connect the Short-Circuit.

  • Change the Fault Type of the Short-Circuit

Change the fault type of the Short-Circuit selecting an other item of the combo box [image] . Restart the network calculation.


List of Short-Circuit Results (Steady State Analysis Results)

List of Short-Circuit Analysis Results (ATP Steady State Results)

Read also Protection Relaying Results

Read also Example: Short-Circuit Analysis Results

Read also Short-Circuit Analysis Results Displayed in Tooltips

Read also Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

ATP's Steady State Results - Calculation of the Phasors of Voltages, Currents, Power and Energy

The network simulation program ATP is able to process a stationary analysis of the power network, which can be also called phasor solution. The aim of a stationary network analysis is the calculation of the complex vectors of voltages and currents of all nodes of the power network. For this purpose time dependent signals of voltages and currents will be also calculated, but are in general not of interest. The results of the stationary network analysis are called ATP Steady State Analysis in the ATP Rule Book. ATPDesigner analyses the ATP steady state results and presents these results as Short-Circuit Analysis Results in the dialog, which is shown and explained later in this chapter. ATPDesigner reads the .LST-File and tries to identify the voltages and currents which correspond to the network elements used in the power network. Therefore not 100% of the calculated Steady State Analysis data saved into the .LST-File will be presented by the Short-Circuit Analysis Results, but only a subset of those, which correspond to the nodes of the network elements of the power network.

How does ATPDesigner process the Short-Circuit Analysis ?

ATPDesigner knows the names of the nodes, which are used to connect one network element to other network elements. Therefore ATPDesigner is able to look for the node names of one network element in the .LST-File and to identify the corresponding voltages and currents. It may happen that ATPDesigner could not clearly identify voltages and currents for specific node names. In this case ATPDesigner ignores this node. In this case a BLANK LINE will be displayed in the corresponding spreadsheet.

The Short-Circuit Analysis Results can be displayed by two different methods:

    • Displaying the Short-Circuit Analysis Results in the power network, but only for some network elements e.g. Probes and Circuit-Breaker Cb1..5 .

    • Displaying the Short-Circuit Analysis Results for all network elements, which can be identified in the .LST-File , in a spreadsheet.

Some general rules:

  • The phasor solution will be calculated for the nominal frequency of the power network e.g. defined in Network Infeed 1 .

  • Only the initial state of "time dependent" network elements (e.g. circuit-breakers with one or more open/close cycles) will be taken into account.

Example

If the initial state of a circuit-breaker has been set to OPEN and the CLOSED command will occur 45ms later, ATPDesigner and ATP will take into account only the initial state of the circuit-breaker OPEN to process the steady state analysis.

  • Faults and Fault Types will be also taken into account independent of the time dependent behavior (means time stamps defined in Fault Type and Fault Location ). Example: The fault type AB has been configured, the faultless pre-fault takes 55ms. That means that the short-circuit will occur at 55ms. ATPDesigner takes the fault type AB as an initial condition for the steady state solution of the power network. Therefore the steady state analysis takes into account the fault type AB. This feature of ATPDesigner is important because it helps to study the phasor solution in the case of Stationary Short-Circuits what is very helpfully e.g. for protection relaying analysis.

  • Please Note

The Short-Circuit Analysis Results will be calculated and displayed independent of the state of the setting "Short-Circuit Data" of the dialog ATP Data .

How to Start the Short-Circuit Analysis ?

The Short-Circuit Analysis can be easily started by clicking on the toolbar button [image] or using the CTRL + E key. The Short-Circuit Analysis Results will be automatically displayed in the power network using tooltips

    • if one of the corresponding Fx - keys has been pressed or

    • if the mouse cursor has been moved "over" a Probe , Single-Circuit Line , Transformer , etc.

Read also Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Short-Circuit Analysis Results presented in a Spreadsheet

The Short-Circuit Analysis Results dialog is designed as a Resizable Dialog. The dialog can be resized using the grip at the bottom right corner. The Short-Circuit Analysis Results dialog will be automatically closed, if the last power network view had been closed. Nevertheless the Short-Circuit Analysis Results dialog gives the user a very comfortable overview about the phasor solution of the power network. The user shall also consider the comments listed below. The figure below shows this spreadsheet in a dialog. If the button [image] has been clicked, ATPDesigner automatically starts the calculation of the power network (ATP's Steady State Analysis) and presents the results in the spreadsheet shown below.

How to Re-Calculate the Short-Circuit Analysis Results ?

ATPDesigner will always start the calculation of the top most power network by clicking the [image] button. The Short-Circuit Analysis Results will be automatically updated if shown in the power network.

How to Find a Node Name in the Short-Circuit Analysis Results Data List ?

Read also How to Show the Node Names of Network Elements

The node names of the network elements can be displayed in a tooltip, if F3 has been pressed.

A node name can be also found in the Short-Circuit Analysis Results dialog using the Find Node button.

    • First write the node name in the edit field which is above the Find Node button.
    • Then press the Find Node button.

The figure below shows an example how to display the node names of a network element using the F3 key or the toolbar button [image] .

How to Find a Network Element in the Power Network Graphics ?

Network elements can be easily identified using the Find dialog. Open this dialog using CTRL + F or the Right Mouse Button menu and follow the instructions described in the chapter Find - Network Elements and Node Names .

How to Start the Short-Circuit Analysis Function and to
Open the Short-Circuit Analysis Results Dialog ?

    1. The menu item Short-Circuit Results in the main menu ATP has to be clicked. The network calculation will be started and the dialog presented below will be automatically opened.
    2. If the key CTRL + E has been pressed, all actions of item 1 will be carried out.
    3. Using the toolbar button [image] as part of the Main Toolbar .

Note:

All results which are presented in the dialog below are calculated from ATP as part of the Steady State Analysis.

No.

Number of the network element

Name

User specific name of the network element

Ref. Name

Reference name of the network element, for ATPDesigner internal use only.

Bus K

Name of the K - node of the network element according the information saved in the .LST-File

Bus M

Name of the M - node of the network element according the information saved in the .LST-File

Type

    • V Voltage measured from Bus K to Bus M
    • I Current flowing from Bus K to Bus M
    • P Active power flowing from Bus K to Bus M
    • Q Reactive power flowing from Bus K to Bus M

Ph.

Phase A, B, C or G

| I | , | V |, P

Different data will be presented:

    • Phase current in A
    • Voltage in V
    • Active power P in MW

Phase, Q

    • Phase angle in degree
    • Reactive power in Mvar

Phase Diff.

Phase shift in relation to the phases of the first network element at the top of the list:

    • Phase Diff. = Phase Angle of Network Element N, Phase x - Phase Angle of of Network Element 1, Phase x (x = A, B, C, G)

Re

Two different data will be presented:

    • Real part of the phase current in A
    • Real part of the voltage in V measured between the nodes of the network element

Im

Two different data will be presented:

    • Imaginary part of the phase current in A
    • Imaginary part of the voltage in V

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Clear List

Removes all colored markings from the list

Find Node

This function can be used to find a node name in the Short-Circuit Analysis Results List.

    • First write the node name in the edit field which is above the Find Node button.
    • Then press the Find Node button.

If the node name has been found, all cells of the list control, which contains the node name, will be drawn using a different background color.

Copy to Clipboard

Copy

Copy the analysis results as a text list to the clipboard

The different cell data will be separated using the Cell Separ. character or a tabulator. Both alternatives can be selected as explained below.

Tab

Tabulator + Blank will be selected as cell separation

Character

The character displayed into the edit field below will be used as cell separation

Example: Using ',' as Cell Separation

No.,Name,Ref. Name,Ph.,| Ip | [Arms],Phase [°],Ph. Diff [°],Re [Arms],Im [Arms]

1,Line 1,Line 1,A,125.787,-154.089,0,-113.142,-54.9662

,,,B,125.787,-154.089,0,-113.142,-54.9662

,,,C,251.575,25.9112,0,226.285,109.932

4,Load 1,Load 1,A,125.788,-154.089,0,-113.143,-54.9665

,,,B,125.788,-154.089,0,-113.143,-54.9665

,,,C,251.576,25.9112,0,226.286,109.933

  • Please Note

If ',' has been selected as cell separation character, a table can be created very easily e.g. using standard word processor systems e.g. Microsoft WORD. The next figure shows an example.


Short-Circuit Results Displayed in Measurement Data Frames

Read also List of Short-Circuit Analysis Results (Steady State Analysis Results)

Read also Example: Short-Circuit Analysis Results

Read also more about Probes

Read also Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Read also Power Loss Calculation

Read also Load Adjusting

Read also Phase Adjusting

Read more about Probes and Protection Elements

Read more about Directional Overcurrent Protection

The network simulation program ATP is able to process a Stationary Network Analysis (the ATP Steady State Analysis) of the power network to calculate the complex phasors of voltages and currents. Regarding this purpose time dependent signals e.g. voltages v(t) and currents i(t) will be not calculated, because they are in general not of interest. The results of the stationary network calculation are so called ATP Steady State Analysis in the ATP Rule Book. To minimize the processor load ATPDesigner sets automatically the Number of Cycles and the Step Size , which can be set in the settings dialog ATP Data , to 0 cycles and 0ms, but only as long as the Steady State Analysis is still running. Therefore it is not necessary to do it by hand to speed up the Short-Circuit Analysis feature.

ATPDesigner reads the results of the ATP Steady State Analysis out of the .LST-File and presents a part of the results of the short-circuit calculation, which corresponds to Probes and Circuit-Breakers Cb1..5 with Assigned Measuring Locations and some other network elements e.g. Single-Circuit Line , Load Impedance , etc. in Measurement Data Frames, which can be displayed directly in the power network graphics in parallel.

Short-Circuit Results displayed in Relocatable Tooltips
for All Probes and Circuit-Breakers Cb1..5

This feature shall be used, if the Short-Circuit Results shall be displayed for all Probes and Circuit-Breakers Cb1..5 used in the electrical power network. Please note, that the font of these data will be also zoomed in and out depending on the Zoom state of the power network graphics. Therefore for larger power networks it may be not further possible to read the Short-Circuit Results. In this cases the Short Circuit Analysis Results Displayed in a Tooltip at the Tip of the Mouse Cursor may be the better feature.

  • F4: VAG, VBG, VCG, IA, IB, IC, S, P, Q, cos φ

  • F6: V0, I0, VNG, ING

  • F7: VAB, VBC, VCA, IAB, IBC, ICA

  • F8: VAG, IA, S, P, Q

  • F9: ZAG (prim.), ZBG (prim.), ZCG (prim.), ZAB (prim.), ZBC (prim.), ZCA (prim.) : R + jX

  • Alt + F7: ZAG (sec.), ZBG (sec.), ZCG (sec.), ZAB (sec.), ZBC (sec.), ZCA (sec.) : |Z|, arg (Z)

  • Alt + F8: ZAG (prim.), ZBG (prim.), ZCG (prim.), ZAB (prim.), ZBC (prim.), ZCA (prim.) : |Z|, arg (Z)

  • Alt + F9: ZAG (sec.), ZBG (sec.), ZCG (sec.), ZAB (sec.), ZBC (sec.), ZCA (sec.) : R + jX

    • prim. Impedances Z calculated at the primary circuit of the current and voltage transformers (primary values)
    • sec. Impedances Z calculated at the secondary circuit of the current and voltage transformers (secondary values)

  • Please Note

The tooltip can be enabled or disabled Probe selective using a setting of the Probe settings dialog. Please don't forget to enable the corresponding setting.

F4: VAG, VBG, VCG, IA, IB, IC, P, Q, S, cos φ

    1. Phase-to-ground voltage VAG in V, absolute phase shift in degree, p.u.-value in % of the voltage Vn/√3 ( Probe )
    2. Phase-to-ground voltage VBG in V, absolute phase shift in degree, p.u.-value in % of the voltage Vn/√3 ( Probe )
    3. Phase-to-ground voltage VCG in V, absolute phase shift in degree, p.u.-value in % of the voltage Vn/√3 ( Probe )
    4. Phase current IA in A, absolute phase shift in degree, [relative phase shift φrel in relation to VAG in degree], p.u.-value in % of the nominal current In ( Probe )
    5. Phase current IB in A, absolute phase shift in degree, [relative phase shift φrel in relation to VBG in degree], p.u.-value in % of the nominal current In ( Probe )
    6. Phase current IC in A, absolute phase shift in degree, [relative phase shift φrel in relation to VCG in degree], p.u.-value in % of the nominal current In ( Probe )

    • Please Note

Relative phase shift φrel = (Absolute phase shift of the phase current IABC ) - (Absolute phase shift of the phase-to-ground voltage VABCG)

    7. Apparent power S [MVA]
    8. Active power P [MW], reactive power Q [Mvar], displacement factor cos φ

The power will be calculated considering unbalanced loads and unbalanced network states. The definition of the apparent power: S = U ⋅ I* (* = conjugate-complex).

    • S = VAG ⋅ IA* + VBG ⋅ IB* + VCG ⋅ IC* = P + jQ

F6: V0, I0, VNG, IG

The figure below shows a small power network in case of a 1-phase-to-ground fault AG.

    1. Zero-sequence voltage V0 in V, absolute phase shift in degree, p.u.-value in % of the voltage Vn/√3 ( Probe )
    2. Zero-sequence current I0 in A, absolute phase shift in degree [relative phase shift φrel in relation to V0 in degree], p.u.-value in % of the nominal current In ( Probe )
    3. Neutral-point voltage VNG in V, absolute phase shift in degree, p.u.-value in % of the voltage Vn/√3 ( Probe )
    4. Residual current IG in A, absolute phase shift in degree [relative phase shift φrel in relation to VNG in degree], p.u.-value in % of the nominal current In ( Probe )

F7: VAB, VBC, VCA, IAB, IBC, ICA

The figure below shows a small power network in case of a 1-phase-to-ground fault AG.

    1. Phase-to-phase voltage VAB in V, absolute phase shift in degree, p.u.-value in % of the nominal voltage Vn ( Probe )
    2. Phase-to-phase voltage VBC in V, absolute phase shift in degree, p.u.-value in % of the nominal voltage Vn ( Probe )
    3. Phase-to-phase voltage VCA in V, absolute phase shift in degree, p.u.-value in % of the nominal voltage Vn ( Probe )
    4. Phase-to-phase current IAB in A, absolute phase shift in degree, [relative phase shift φrel in relation to VAB in degree], p.u.-value in % of the nominal current In ( Probe )
    5. Phase-to-phase current IBC in A, absolute phase shift in degree, [relative phase shift φrel in relation to VBC in degree], p.u.-value in % of the nominal current In ( Probe )
    6. Phase-to-phase current ICA in A, absolute phase shift in degree, [relative phase shift φrel in relation to VCA in degree], p.u.-value in % of the nominal current In ( Probe )

F8: VAG, IA, P, Q, S

    1. Phase-to-ground voltage VAG in V, absolute phase shift in degree, p.u.-value in % of the nominal voltage Vn ( Probe )
    2. Phase current IA in A, absolute phase shift in degree, [relative phase shift φrel in relation to VAG in degree], p.u.-value in % of the nominal current In ( Probe )
    3. Apparent power S [MVA]
    4. Active power P [MW], reactive power Q [Mvar]

F9: ZAG (prim.), ZBG (prim.), ZCG (prim.), ZAB (prim.), ZBC (prim.), ZCA (prim.)

ATPDesigner provides the user by calculating the positive-sequence system impedance Z1 between the measurement location and the Short-Circuit location of the phase-to-ground measurement loops AG, BG and CG as well as of the phase-to-phase measurement loops AB, BC and CA as usually done by Distance Protection Relays. All impedances are primary impedances related to the primary circuit of the current transformer and the voltage transformer of the substation.

  • Z1AB, Z1BC, Z1CG: Z1pp = Upp / Ipp
  • Z1AG, Z1BG, Z1CG : Z1pg = Upg / (Ipg + kG ⋅ Ipg)

    1. Positive-sequence system impedance Z1AG = R1AG + j X1AG of the measurement loop AG
    2. Positive-sequence system impedance Z1BG = R1BG + j X1BG of the measurement loop BG
    3. Positive-sequence system impedance Z1CG = R1CG + j X1CG of the measurement loop CG
    4. Positive-sequence system impedance Z1AB = R1AB + j X1AB of the measurement loop AB
    5. Positive-sequence system impedance Z1BC = R1BC + j X1BC of the measurement loop BC
    6. Positive-sequence system impedance Z1CA = R1CA + j X1CA of the measurement loop CA

  • Please Note

    • Probes

ATPDesigner uses the ground compensation factor kG specified in the settings dialog of the Probe to calculate the positive-sequence impedance Z1.

    • Circuit-Breaker Cb1..5

ATPDesigner uses the global Ground Compensation Factor k G to calculate the phase-to-ground impedances. The Ground Compensation Factor kG can be set by the user in the Signal Analysis Settings dialog.

Alt + F7: ZAG (sec.), ZBG (sec.), ZCG (sec.), ZAB (sec.), ZBC (sec.), ZCA (sec.)

ATPDesigner calculates the positive-sequence system impedance Z1 between the measurement location and the Short-Circuit location of the phase-to-ground measurement loops AG, BG and CG as well as of the phase-to-phase measurement loops AB, BC and CA as usually done by Distance Protection Relays. All impedances are secondary impedances related to the secondary circuit of the current transformer and the voltage transformer of the substation. The content of the measurement data frame is equal to the measurement data frame created by the Alt + F9 key, but displayed as amount and phase angle of the impedances.

Alt + F8: ZAG (prim.), ZBG (prim.), ZCG (prim.), ZAB (prim.), ZBC (prim.), ZCA (prim.)

ATPDesigner calculates the positive-sequence system impedance Z1 between the measurement location and the Short-Circuit location of the phase-to-ground measurement loops AG, BG and CG as well as of the phase-to-phase measurement loops AB, BC and CA as usually done by Distance Protection Relays. All impedances are primary impedances related to the primary circuit of the current transformer and the voltage transformer of the substation. The content of the measurement data frame is equal to the measurement data frame created by the F9 key, but displayed as amount and phase angle of the impedances.

Alt + F9: ZAG (sec.), ZBG (sec.), ZCG (sec.), ZAB (sec.), ZBC (sec.), ZCA (sec.)

ATPDesigner provides the user by calculating the positive-sequence system impedance Z1 between the measurement location and the Short-Circuit location of the phase-to-ground measurement loops AG, BG and CG as well as of the phase-to-phase measurement loops AB, BC and CA as usually done by Distance Protection Relays. All impedances are secondary impedances related to the secondary circuit of the current transformer and the voltage transformer of the substation.

Read also Current and Voltage Transformer for Circuit-Breaker Cb1..5

How to Display the Short-Circuit Analysis Results in Tooltips as Part of the Power Network Graphics ?

The Probe related Short-Circuit Analysis Results can only be displayed in the network graphics, if:

    1. The Short-Circuit Analysis Results has been first calculated pressing the [image] button.
    2. One of the Fx - keys has been pressed by the user.

Short-Circuit Analysis Results Tooltips and Zoom Function

The network graphics can be zoomed in and out using the both toolbar buttons [image] and [image] . In addition the Mouse Wheel can be also be used to zoom in and out.

Read more details about Zooming

How to move the Measurement Data Frame

The frame of the tooltips can be moved to any other position in the view.

    • Move the mouse cursor "over" the measurement data frame, which should be moved to an other position.
    • Press the Left Mouse Button and keep it down.
    • Move the mouse cursor to an other position.
    • Release the mouse button.


Short-Circuit Results: Displaying Voltage Drop

Read also Short-Circuit

Read also Right Mouse Button Menus for Short-Circuit Results

If a Short-Circuit Results Analysis has been successfully processed, a context sensitive Right Mouse Button Menu can be opened. The figure below shows the menu items. Using the menu item Voltage drop, it is possible to display the voltage drop in the power network using tooltips closed to the Busbars .

  • Please Note

The tooltips of the voltage drop information closed to the shapes of the busbars can be enabled or disabled using the toolbar button [image] in the Toolbar for Short-Circuit and Protection .

The voltage drop will be displayed if the menu item Voltage Drop has been enabled. The figure below shows an example. The voltage drop displayed using tooltips can be also enabled or disabled in the Main Toolbar using the toolbar button [image] .


Short-Circuit Results: Voltage Monitoring

ATPDesigner monitors the phase-to-ground voltages and the phase-to-phase voltages an several nodes e.g. the nodes of the Busbars and 3-Phase Sources . The voltages will be compared with the thresholds V> and V< specified in the settings dialog Load Adjusting . The figure below shows the results of the voltage monitoring for Busbars .

  • Please Note

Busbar : The voltage monitoring function uses the setting Nominal Voltage V nom to calculate the p.u. values.

The figure below shows the results of the voltage monitoring for 3-Phase Sources .

  • Please Note

3-Phase Source : The voltage monitoring function uses the setting Nominal Voltage V n init to calculate the p.u. values.


Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Read also more about Probes

Read also Short-Circuit Analysis Results Displayed in Tooltips

Read also .NET - File 46: Power network using Additional Nodes for Single-Circuit Lines

Read also Power Loss Calculation

Read also How to Identify the Left and Right Node of the Line

Read also Phase Adjusting

Read also Load Adjusting

  • Please Note

Don't forget to enable the tooltips using the mouse menu Right Mouse Button Menus for Short-Circuit Results or the toolbar shown below.

An alternative method to display the Short-Circuit Analysis Results in a Tooltip at the Tip of the Mouse Cursor will be explained below. The figures below show some examples.

    1. Start the calculation of the Short-Circuit Analysis (based on the ATP Steady State Analysis) e.g. by [image] or CTRL + E
    2. Move the cursor tip "over" a network element: Single-Circuit Line , Transformer , Probe , Circuit-Breaker , etc.
    3. The Short-Circuit Analysis Results will be displayed independent of the Zoom Factor of the network graphics using the same frame size and font size.

  • Please Note

ATPDesigner provides the user to change the method displaying the Short-Circuit Analysis Results .

    • Displaying the data by a Single Line Tooltip using the cursor up and down to switch between several lines.
    • Displaying the data by a Multi Line Tooltip.

The user can switch between the both methods by a Right Mouse Button Click, if no network element has been yet selected and the Short-Circuit Analysis is still enabled.

  • Please Note

The tooltips to display the Short-Circuit Results can be enable or disabled using the Tooltip Toolbar . The toolbar itself can be shown or hidden using the corresponding menu item of the main menu View .


Short-Circuit Results in Tooltips: Probe and Circuit-Breaker Cb1..5

Short-Circuit Results in Tooltips: Probe and Circuit-Breaker Cb1..5 Cb1..5

Probe and Circuit-Breaker Cb1..5

  • Name of the network element

The Short-Circuit Analysis Results will be displayed in a tooltip as shown below. Read more about the content of the Short-Circuit Analysis Results of Probes . The content of the tooltips of Circuit-Breaker Cb1..5 are identical to the content of the tooltips of the Probes . In addition information will be added to the Probe tooltip depending of the Protection Element enabled for the Probe.

  • Read more about Tooltip of a Probe depending on the Protection Element

    1. Phase-to-ground voltage VAG in V, Absolute phase shift in degree, p.u.-value in % of the voltage Vnom/√3
    2. Phase-to-ground voltage VBG in V, Absolute phase shift in degree, p.u.-value in % of the voltage Vnom/√3
    3. Phase-to-ground voltage VCG in V, Absolute phase shift in degree, p.u.-value in % of the voltage Vnom/√3

    4. Phase current IA in A, Absolute phase shift in degree, [Relative phase shift φrel in relation to VAG in degree], p.u.-value in % of the nominal current In
    5. Phase current IB in A, Absolute phase shift in degree, [Relative phase shift φrel in relation to VBG in degree], p.u.-value in % of the nominal current In
    6. Phase current IC in A, Absolute phase shift in degree, [Relative phase shift φrel in relation to VCG in degree], p.u.-value in % of the nominal current In

    • Please Note

Relative phase shift φrel = (Absolute phase shift of the phase current IABC ) - (Absolute phase shift of the phase-to-ground voltage VABCG)

    7. Phase-to-phase voltage VAB in V, Absolute phase shift in degree, p.u.-value in % of the nominal voltage Vnom
    8. Phase-to-phase voltage VBC in V, Absolute phase shift in degree, p.u.-value in % of the nominal voltage Vnom
    9. Phase-to-phase voltage VCA in V, Absolute phase shift in degree, p.u.-value in % of the nominal voltage Vnom

    10. Zero-sequence voltage V0 in V, Absolute phase shift in degree, p.u.-value in % of the nominal voltage Vn
    11. Zero-sequence current I0 in A, Absolute phase shift in degree, [relative phase shift φrel in relation to V0 in degree]

    12. Apparent power S in MVA
    13. Active power P in MW, reactive power Q in Mvar, Displacement factor cos φ

In addition the amount of the voltages and currents of the 012-System will be also calculated.

    14. Positive-Sequence System ("1"): Voltage V1 in V and %Vnom/√3, I1 in A, [Phase shift of I1 in relation to V1 in degree]
    15. Negative-Sequence System ("2"): Voltage V2 in V and %Vnom/√3, I2 in A, [Phase shift of I2 in relation to V2 in degree]
    16. Zero-Sequence System ("0"): Voltage V0 in V and %Vnom/√3, I0 in A, [Phase shift of I0 in relation to V0 in degree]

The power S, P and Q will be calculated considering unbalanced load flows. The definition of the apparent power: S = U ⋅ I* (* = conjugate-complex).

    • S = VAG ⋅ IA* + VBG ⋅ IB* + VCG ⋅ IC* = P + jQ


Short-Circuit Results in Tooltips: Probe and Protection Scheme

Depending on the Protection Scheme enabled for the Probe some more information will be added to the tooltip.

  • Please Note

The additional information will be only displayed if the Protection Scheme has detected the General Starting information what means the detection of the short-circuit by any of the starting systems which are part of the protection relay.

  • Distance Protection

    • Z1p

Short-circuit impedance Z1p = R1p + jX1p of the positive sequence system measured by the distance protection at the primary circuit of the voltage and current transformers of the substation

    • Z1s

Short-circuit impedance Z1s = R1s + jX1s of the positive sequence system measured by the distance protection at the secondary circuit of the voltage and current transformers of the substation

  • Overcurrent Protection

    • Char. Angle: Ik ...

The short-circuit direction can be detected using the method of the Characteristic Angle .

Ik : Amount of the short-circuit current


Short-Circuit Results in Tooltips: Single-Circuit Line

Single-Circuit Line

The content of the tooltips of the Line depends on the Short-Circuit , if enabled or disabled for the current Line .

  • If NO Short-Circuit has been set for the Line

    1. Phase currents IABC of the line for phase A, B and C: Amount in A, Phase in degree, % of the resulting maximum current load rating I max res . These phase currents are measured flowing from the left to the right node of the line.
    2. Maximum current load rating I max , resulting maximum current load rating I max res
    3. Differential voltage ΔVABC between the two nodes of the line for phase A, B and C: Amount in V, Phase in degree, % of the nominal voltage V nom (setting of the line) measured from the left to the right node of the line (L-R). The differential voltage will be calculated as follows: dV = phase-to-ground voltage at the left node - phase-to-ground voltage at the right node. The left node can be easily identified because the text element (e.g. the user specific name of the line) will be drawn starting near the left node.
    4. Phase-to-ground voltages VABCG at the left node of the line (L:)
    5. Phase-to-ground voltages VABCG at the right node of the line (R:)
    6. Apparent power S in kVA, active power loss P in kW, reactive power Q in kvar and displacement factor cos φ of the line caused by the current flowing from the left to the right node of the line (PLoss).
    7. Apparent power S in MVA, active power P in MW, reactive power Q in Mvar and displacement factor cos φ related to the left node of the line (L:).
    8. Apparent power S in MVA, active power P in MW, reactive power Q in Mvar and displacement factor cos φ related to the rigth node of the line (R:).

Read also How to Identify the Left and Right Node of the Line

The settings Imax and Vnom can be set in the settings dialog of the Single-Circuit Line . The figure below shows the multi line tooltip.

Single Line Tooltip versus Multi Line Tooltip

The figure below shows the alternative displaying method, which can be selected via a Right Mouse Button Click, if the feature Short-Circuit Analysis Results has been first started using the toolbar button [image] or the CTRL + E key. The Right Mouse Button Click on the menu item Multi-Line Tooltips selects either the single line tooltip or the multi-line tooltip.

  • Please Note

The Right Mouse Button Menu will be disabled, if Short-Circuit Analysis Results has been enabled.

  • If a Short-Circuit has been set for the Line

  • Please Note

The line has been automatically split in two parts by the Short-Circuit ., the left and the right part of the Line .

    1. Phase currents IABC of the left part of the line for phase A, B and C: Amount in A, phase angle in degree, % of the resulting maximum current load rating I max res . These phase currents are measured flowing from the left to the right node of the line (L:).
    2. Phase currents IABC of the right part of the line for phase A, B and C: Amount in A, phase angle in degree, % of the resulting maximum current load rating I max res . These phase currents are measured flowing from the left to the right node of the line (R:).
    3. Maximum current load rating I max , resulting maximum current load rating I max res .
    4. Phase-to-ground voltages VABCG at the left node of the line (L:)
    5. Phase-to-ground voltages VABCG at the right node of the line (R:)


Short-Circuit Results in Tooltips: Busbar

Busbar

The content of the tooltip depends on the operation mode of the busbar as Single Busbar or Double Busbar .

  • Please Note

The setting Tk must be set in the settings dialog VDE 0102 (IEC 60909) . The other settings Ithr, Ith and Tkr must be set in the settings dialog Busbar .

  • Single Busbar

The content of the tooltip depends on the OPEN / CLOSE state of the feeder disconnectors.

    1. Phase-to-phase voltage VAB in kV and in % Vnom, Phase-to-phase voltage VBC in kV and in % Vnom/√3, Phase-to-phase voltage VCA in kV and % Vnom
    2. Phase-to-ground voltage VAG in kV and in % Vnom, Phase-to-ground voltage VBG in kV and % Vnom/√3, Phase-to-ground voltage VCG in kV and in % Vnom
    3. Rated value of the thermal equivalent short-circuit current Ithr, Rated value of the occurrence time of the short-circuit current,

Thermal equivalent short-circuit current Ith, Time duration of the short-circuit

Ith = Ithr ⋅ √(Tkr / Tk)

  • Double Busbar

The Double Busbar consists of two internal busbars and 2 internal switches for each feeder of the Double Busbar. The content of the tooltip depends on the OPEN / CLOSE state of the internal switches and the feeder disconnectors. The meaning of the measuring values explained below are identical for each internal busbar.

    1. Phase-to-phase voltage VAB in kV and in % Vnom, Phase-to-phase voltage VBC in kV and in % Vnom/√3, Phase-to-phase voltage VCA in kV and % Vnom
    2. Phase-to-ground voltage VAG in kV and in % Vnom, Phase-to-ground voltage VBG in kV and % Vnom/√3, Phase-to-ground voltage VCG in kV and in % Vnom
    3. Rated value of the thermal equivalent short-circuit current Ithr, Rated value of the occurrence time of the short-circuit current,

Thermal equivalent short-circuit current Ith, Time duration of the short-circuit

Ith = Ithr ⋅ √(Tkr / Tk)


Short-Circuit Results in Tooltips: Load Impedance

Load Impedance

The content of the tooltip depends on the setting Load Adjusting which can be enabled or disabled in the settings dialog ATP Data . In addition the option Adjusting Load Impedance can be enabled or disabled in the settings dialog of the Load Impedance .

  • Option Load Adjusting in the settings dialog ATP Data disabled

or

  • Option Adjusting Load Impedance in the settings dialog Load Impedance disabled

    1. Settings: Apparent power S in MVA, active power P in MW, reactive power Q in Mvar, Displacement factor cos φ
    2. Apparent power S in MVA, active power P in MW, reactive power Q in Mvar, Displacement factor cos φ

  • Option Load Adjusting in the settings dialog ATP Data enabled

and

  • Option Adjusting Load Impedance in the settings dialog Load Impedance enabled

and

  • Load Impedance Y (WYE) connected

    1. Settings: Apparent power S in MVA, Active power P in MW, reactive power Q in Mvar, displacement factor cos φ
    2. Phase-to-ground voltage VABCG in V, Absolute phase shift in degree, p.u.-value in % of the voltage Vnom/√3
    3. Phase currents IABC in A, Absolute phase shift in degree, [Relative phase shift φrel in relation to VAG in degree], p.u.-value in % of the nominal current In
    4. Apparent power S in MVA, Active power P in MW, reactive power Q in Mvar, Displacement factor cos φ
    5. Accuracy of the Load Adjusting algorithm

  • Option Load Adjusting in the settings dialog ATP Data enabled

and

  • Option Adjusting Load Impedance in the settings dialog Load Impedance enabled

and

  • Load Impedance D (DELTA) connected

    1. Settings: Apparent power S in MVA, active power P in MW, reactive power Q in Mvar, Displacement factor cos φ
    2. Phase-to-phase voltage VABC in V, absolute phase shift in degree, p.u.-value in % of the voltage Vnom/√3
    3. Phase currents IABC in A, absolute phase shift in degree, [Relative phase shift φrel in relation to VAG in degree], p.u.-value in % of the nominal current In
    4. Apparent power S in MVA, active power P in MW, reactive power Q in Mvar, Displacement factor cos φ
    5. Accuracy of the Load Adjusting algorithm


Short-Circuit Results in Tooltips: 3-Phase Source

3-Phase Source

The content of the tooltip depends on the setting Phase Adjusting [image] which can be enabled or disabled in the settings dialog ATP Data . In addition the option Adjusting Phase can be enabled or disabled in the settings dialog of the 3-Phase Source for each source separately.

  • Phase Adjusting disabled

    • Setting Phase Adjusting (settings dialog ATP Data) [image] disabled

or

    • Setting Phase Adjusting (settings dialog ATP Data) enabled and option Phase Adjusting (settings dialog 3-Phase Source) disabled

The information displayed in the tooltip depends on the source type selected by the user in the settings dialog of the 3-Phase Source .

    1. Settings: V or I or P, fnom, Phase shift (Phi)
    2. Settings: Displacement factor cos φ (CP), Network Connection Point (NCP)
    3. Amount of the phase-to-phase voltage VAB in kV, Phase-to-phase voltage VBC in kV, Phase-to-phase voltage VCA in kV
    4. Amount of the phase-to-ground voltage VAG in kV, Phase-to-ground voltage VBG in kV, Phase-to-ground voltage VCG in kV
    5. Absolute phase of the phase-to-ground voltages VAG, VBG and VCG

  • Phase Adjusting enabled

    • Setting Phase Adjusting (settings dialog ATP Data) [image] enabled and option Phase Adjusting (settings dialog 3-Phase Source ) enabled

    1. Settings: V or I or P, fnom, Phase shift (Phi)
    2. Settings: Displacement factor cos φ (CP), Network Connection Point (NCP)
    3. Phase-to-phase voltage VAB in kV, Phase-to-phase voltage VBC in kV, Phase-to-phase voltage VCA in kV
    4. Phase-to-ground voltage VAG in kV, Phase-to-ground voltage VBG in kV, Phase-to-ground voltage VCG in kV
    5. Absolute phase of the phase-to-ground voltages VAG, VBG and VCG
    6. Amount of the phase currents IA, IB, and IC
    7. Amount of the phase currents IA, IB, and IC in % of the nominal current Inom
    8. Absolute phase of the phase currents IA, IB, and IC
    9. Phase shift between the phase-to-ground voltages Vpg and the corresponding phase currents Ip
    10. Apparent power S in MVA
    11. Active power P in MW, reactive power Q in Mvar, displacement factor cos φ
    12. Settings of the overvoltage (V>) protection element, undervoltage (V<) protection element, Average value of the amount of the phase-to-ground voltages (Vav)
    13. Amount of the phase-to-ground voltages used to calculate the average value Vav


Short-Circuit Results in Tooltips: Network Infeed

Network Infeed

    1. Settings: Vnom, fnom, Sk", absolute phase shift
    2. Phase-to-phase voltage VAB in kV and in % Vnom, Phase-to-phase voltage VBC in kV and in % Vnom, Phase-to-phase voltage VCA in kV and in % Vnom
    3. Phase-to-ground voltage VAG in kV and in % Vnom, Phase-to-ground voltage VBG in kV and in % Vnom/√3, Phase-to-ground voltage VCG in kV and in % Vnom
    4. Impedance Zk1 of the positive-sequence system, Impedance Zk0 of the zero-sequence system
    5. Amount of the phase currents IABC in A, Absolute phase shift in degree, [Relative phase shift φrel in relation to the corresponding phase-to-ground voltages VABC in degree]


Short-Circuit Results in Tooltips: Transformer

Transformer

    1. Winding A: Current winding A in A, Current winding A in % IrA, B: Current winding B in A, Current winding B in % IrB
    2. Winding A: Currents flowing through the internal windings depending on the vector group
    3. Winding B: Currents flowing through the internal windings depending on the vector group
    4. Winding A: Short-circuit impedance ZkHV (positive-sequence impedance)
    5. Winding B: Short-circuit impedance ZkLV (positive-sequence impedance)
    6. Apparent power S in kVA, Active power losses P in kW, Reactive power Q in kvar related to Winding A
    7. if Tap Changer enabled:
      1. Current Tap changer position
      2. Middle position of the tap changer
    8. if VDE 0102 (IEC 60909) enabled:
      1. KT : correction factor for the short-circuit impedance
      2. xT : short-circuit reactance in p.u. (1 p.u. = V2rT / SrT)
      3. cmax : maximum voltage factor c
    9. if Tap Changer enabled:
      1. dV : setting Step-Switch Voltage in %
      2. dVmeas : deviation of the measured voltage regarding the reference voltage Vnom reg

The currents IrA and IrB are the rated currents of the transformer of both windings A and B and will be automatically calculated by ATPDesigner.


Short-Circuit Results in Tooltips: 2/3-W. Transformer BCTRAN

Short-Circuit Results in Tooltips: 2/3-Winding Transformer BCTRAN

BCTRAN Transformer

    1. Setting: Rated Voltages Vrx (x = Number of the winding 1, 2 or 3)
    2. Setting: Rated apparent power SrTxy (xy = number of the windings 12, 23 and 13, the third winding is always open-circuit)
    3. VAG, VBG, VCG: Amount of the phase-to-ground voltages in V and %Vr / √3
    4. Short-circuit resistance Rk
    5. Short-circuit reactance Xk
    6. Amount of the short-circuit impedance Zk

  • 2-Winding-Transformer: Short-circuit calculation acc. VDE 0102 (IEC 60909) disabled

  • 3-Winding-Transformer: Short-circuit calculation acc. VDE 0102 (IEC 60909) disabled

If the short-circuit calculation acc. VDE 0102 (IEC 60909) has been enabled, some additional lines will be also displayed.

    1. if VDE 0102 (IEC 60909) enabled:
      1. cmax : maximum voltage factor c
      2. xT : short-circuit reactance in p.u. (1 p.u. = V2rT / SrT)
      3. KT : correction factor for the short-circuit impedance


Short-Circuit Results in Tooltips: 2/3-W. Transformer XFORMER

Short-Circuit Results in Tooltips: 2/3-Winding Transformer XFORMER

XFORMER Transformer

    1. Setting: Rated Voltages Vrx (x = Number of the winding 1, 2 or 3)
    2. Setting: Rated apparent power SrTxy (xy = number of the windings 12, 23 and 13, the third winding is always open-circuit)
    3. VAG, VBG, VCG: Amount of the phase-to-ground voltages in V and %Vr / √3

  • 2-Winding-Transformer

  • 3-Winding-Transformer


Example: Short-Circuit Results

Example: Short-Circuit Analysis Results

Read more about List of Short-Circuit Analysis Results

Read also Power Loss Calculation

Read also .NET - File 29: 20kV-Network with wind-power plant infeed modelled using the network element Multi Frequency Source (MFS)

Read also Load Adjusting

Read also Phase Adjusting

This example explains how to use the Short-Circuit Analysis Results in combination with a Short-Circuit , which is based on ATP's Steady State Analysis. The figure below shows a power network used to explain this feature. The node names can be displayed in the graphics view pressing the F3 key for the network element identified at the current mouse cursor position.

Open the Short-Circuit Analysis Results Dialog

Processing and Displaying the Short-Circuit Analysis Results:

The next figure shows the Short-Circuit Analysis Results dialog. It may be of interest to identify the node e.g. A00016 in the spread sheet.

A00016 - A00004 IA = 1070.65 A

  • Phase current IA flowing from node A00016 to node A00004

F4: Presenting the Short-Circuit Analysis Results in the Power Network Graphic

The Short-Circuit Analysis Results can be also presented in tooltips as part of the power network graphics for Probes . The user must press the F4 Key to enable this function. The figure below shows an example.

  • Please Note

Additional Fx keys are also available to display different Short-Circuit Results.


Example: Displaying Short-Circuit Results in the Power Network Graphics

Example: Displaying Short-Circuit Analysis Results in the Power Network Graphics

The Short-Circuit Analysis Results can be displayed directly in the power network graphics. Please read more details in the chapter Example: Short-Circuit Analysis Results


Power Loss Calculation

Read also Adjusting Load Impedances

Read more about List of Short-Circuit Analysis Results

ATPDesigner provides the user to calculate the power losses of the electrical power network based on Short-Circuit Analysis Results .

    • Apparent Power S in kVA
    • Active Power P in kW
    • Reactive Power Q in kvar

      • S = P + jQ

ATPDesigner calculates the power losses of several network elements e.g. Transformers and Single-Circuit Lines and writes the results in a text file, which can be opened via the main menu View [image] . The figure below shows an example of such an file. ATPDesigner creates such an file, if the Short-Circuit Analysis function has been started e.g. via [image] for each .NET-File separately.

    • File name: [Name of the .NET-File] + _PL + .TXT
    • Example: Network_29_PL.TXT


Short-Circuit Power Calculation

ATPDesigner calculates the Short-Circuit Power Sk" for all Busbars by calculating the short-circuit current for a 3-phase-to-ground short-circuit Ik3. The short-circuit power will be displayed in the power network graphic closed to the busbar shape.

Sk" = √3 ⋅ Vnom ⋅ Ik3

The calculation can be started using

  • the menu item Short-Power Calculation in the main menu ATP or
  • the toolbar button [image] in the Main Toolbar .

  • Please Note

If the Short-Circuit Power Calculation has been started, the results of the Protection Elements will be not displayed in the network graphic. Don't forget to enable displaying the results of the the Protection Elements e.g. using the toolbar buttons [image] and [image] of the Network Design Toolbar .

  • Please Note

The tooltips of the Short-Circuit Power Calculation can be enabled or disabled using the toolbar button [image] in the Toolbar for Short-Circuit and Protection .

The figure below shows the results of the Short-Circuit Power Calculation. The short-circuit power Sk" will be displayed in the network graphic but also in the Messages Window . The results displayed in the network graphic can be removed (and deleted) using the toolbar button [image] or the menu item Remove Short-Circuit Results in the main menu ATP .


Protection Relaying Results

The Protection Relaying Results of ATPDesigner can be used to process a Short-Circuit Analysis of electric power networks (ATP's Steady State Analysis) from the Protection Relay Point of View. What does it mean ?

Protection relays e.g. distance protection relays measure the phase-to-ground voltages vpg(t) and the corresponding phase currents ip(t) at one measuring location in the power network. Voltages and currents as well as derived data e.g. impedances ZPG or ZPP will be calculated based on manufacturer depending algorithms e.g. a Discrete Fourier Transformation based algorithm, but always using the voltages and currents measured on the same measuring location. The Protection Relaying Results function presents several data e.g. short-circuit voltages, short-circuit currents, impedances, etc. in measuring data dialog. The intention is to help the user getting an improved understanding of the behavior and the measuring data of protection relays.

  • Please Note

ATPDesigner only calculates these short-circuit data for the Measuring Locations M1..5 only, which are assigned to the Circuit-Breakers Cb1..5 .

First: Enable the function Protection Relaying Results (ATP Setting: KSSOUT)

Before using this feature the setting Protection Relaying Results must be first enabled in the settings dialog ATP Data . The figure below shows the setting inside the red frame. ATPDesigner writes the value of the ATP setting KSSOUT into the .ATP-File .

Next Step: Calculating the Short-Circuit Data of the Power Network

    1. : Processing the simulation of the electrical power network
    2. : Open the dialog to present the short-circuit analysis data

If the short-circuit analysis of the power network has been started using the button [image] of the Main Toolbar , ATPDesigner writes the .ATP-File and calculates the vectors of currents and voltages of all nodes of the power network. No time dependent behavior or transient phenomena will be taken into account. ATPDesigner analyses automatically the .LST-File , which contains the vectors of voltages and currents. The data will be presented these as Primary Peak Values as shown in the figures below. This results are called in the ATP nomenclature Steady State Analysis. Additional data e.g. impedances will be also calculated and presented by ATPDesigner. The dialog to present the Protection Relaying Results can be opened via the button [image] in the Main Toolbar . The results of the complete network analysis can also be calculated and presented as Short-Circuit Analysis Results .

Protection Relaying Results and Protection Relays

The function Protection Relaying Results was integrated in ATPDesigner to calculate the impedances of the measuring loops A-B, B-C, C-A, A-G, B-G and C-G which can be faulty in case of a network disturbance. It can be assumed that the short-circuit analysis works as an Ideal Protection Relay. The presented voltages, currents and impedances are calculated based on a fundamental frequency network analysis using the DFT algorithm implemented in ATPDesigner executable code.

  • Please Note

If the Current and Voltage Transformer are disabled, the ratio between voltages and currents of the primary and secondary values are set to 1. Therefore the presented data are secondary values independent of the head line of the dialog.

  • Please Note
    • The character x in the lines below is "1" for Measuring Location M1, "2" for Measuring Location M2 etc.
    • All Circuit-Breaker will be used in the state which is defined as Initial State . The time dependent behavior will be ignored.
    • If a Fault Type has been used, the Fault Type will be taken into account for the short-circuit analysis.The time dependent behavior of the fault will be ignored.

Data calculated from ATPDesigner: Primary Short-Circuit Voltages and Currents (x = 1..5)

All data, which are not "measured" (means calculated by the ATP) will calculated by ATPDesigner. What does it mean: "Measured" ? Measured data are the result of the short-circuit analysis (Steady State Analysis) of the ATP.

VAGx

Phase-to-ground voltage VAG measured at Measuring Location Mx

VBGx

Phase-to-ground voltage VBG measured at Measuring Location Mx

VCGx

Phase-to-ground voltage VCG measured at Measuring Location Mx

V0x

Zero sequence voltage V0

VABx

Phase-to-phase voltage VAB

VBCx

Phase-to-phase voltage VBC

VCAx

Phase-to-phase voltage VCA

IAx

Phase current IA measured at Measuring Location Mx

IBx

Phase current IB measured at Measuring Location Mx

ICx

Phase current IC measured at Measuring Location Mx

IGx

Residual current IG

IABx

Phase-to-phase current IAB

IBCx

Phase-to-phase current IBC

ICAx

Phase-to-phase current ICA

ZABx, ZBCx, ZCAx

Impedances of the phase-to-phase loops AB, BC and CA presented as complex values with amount and phase angle or real and imaginary part

Primary or Secondary Fault Impedances: Zppx = Uppx / Ippx

ZAGx, ZBGx, ZCGx

Impedances of the phase-to-ground loops AG, BG and CG presented as complex values with amount and phase angle or real and imaginary part

Primary or Secondary Fault Impedances: Zpgx = Upgx / (Ipx + kG ⋅ IGx + kGM ⋅ IGy)

kG

Amount and phase angle of the ground factor

kGM

Amount and phase angle of the ground factor of the zero sequence mutual coupling

Meas.Location

Measuring location of the displayed voltages, currents, impedances, etc.

Meas. Loc. DBL

Second measuring location of the displayed voltages, currents, impedances, etc.

This measuring location should be used only, if one or more Double-Circuit Lines has been enabled. The zero sequence mutual compensation can be taken into account measuring the ground current IGy at this location. This option will be enabled, if two or more measuring locations have been enabled independent of the Double-Circuit Lines.

Fault Impedance Loop

The impedance loop to calculate the fault impedances can be chosen.

    • Phase-to-Phase secondary
    • Phase-to-Ground secondary
    • Phase-to-Phase primary
    • Phase-to-Ground primary

  • Please Note

The ration of Voltage and Current Substation Transformer are not taken into account, if primary values will be displayed.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Steady State Analysis of ATP

The Steady State Analysis of ATP is used to realize the Protection Relaying Results of ATPDesigner. During the steady state analysis ATP calculates voltages and currents for all nodes of the power network based on the mathematical method of a Fourier analysis for the Nominal Network Frequency of the power network. Therefore all network infeed of the power network have to have the same nominal frequency.

The steady state analysis of ATP will be enabled setting KSSOUT = 1 as part of the Miscellaneous Data Cards shown in the figure below.

The figure below shows the results of the steady state analysis of ATP which will be written in the .LST-File . Voltages and currents of the power network measured between the nodes Bus K and Bus M have been calculated and will be shown.

  • Please Note

The values presented below are peak values, not r.m.s values.


Load Flow Analysis

There are two different load flow analysis methods available: processed by the ATP itself or processed by ATPDesigner.

  • Load Flow Analysis (processed by ATPDesigner)
  • Load Flow Analysis (processed by the ATP)


Load Flow Analysis (processed by ATPDesigner)

ATPDesigner is also able to process a load flow analysis or also called load flow calculation using the steady state calculation of the ATP.

  • Introduction in ATPDesigner Load Flow Analysis (Load Flow Calculation)
  • Load Adjusting (PQ- and PV-Nodes)
  • Phase Adjusting (Renewable Power Infeed)
  • Overloading of Network Elements displayed in the Power Network
  • How to Stop a Load Flow Analysis


Introduction in ATPDesigner Load Flow Analysis

Introduction in ATPDesigner Load Flow Analysis (Load Flow Calculation)

ATPDesigner processes its own Load Flow Analysis or Load Flow Calculation, which is based on the usual algorithms for load flow calculation. ATPDesigner considers different elements processing the load flow algorithm. If the Load Flow Analysis had been finalized some information will be presented in the Status Bar .

  • Section 1

Status of the Load Flow Analysis (LF) after processing it

    • LF=o.k.

The LF algorithm could achieve convergence therefore the accuracy has been achieved.

    • LF=failed

The LF algorithm could achieve divergence therefore the accuracy could be NOT achieved.

  • Section 2

Accuracy of the Load Adjusting algorithm related to all Load Impedance and Network Infeed

    • dS : average of the deviation of the apparent power
    • dP : average of the deviation of the active power

  • Section 3

Accuracy of the Phase Adjusting algorithm related to all 3-Phase Source network elements

    • dPh : average of the deviation of the phase shift (displacement factor cos φ)
    • dS : average of the deviation of the apparent power

  • Section 4

Number of the iteration steps which has been processed

This number can be compared with the maximum umber of iteration steps Max. Steps set in the both tabs the Load Adjusting algorithm and the Phase Adjusting algorithm. In case of a divergence of the Load Flow Analysis or the user had been stopped it, the number N = 999 will be displayed.

In addition a more global information about the convergence will be displayed in the Messages Window for the Load Adjusting algorithm and the Phase Adjusting algorithm.

The most important network elements to process a Load Flow Analysis are listed below.

  • Load (PQ-Node)
    • Load Impedance

  • Renewable power source using an inverter and automatic regulation of the displacement factor cos φ
    • 3-Phase Source

  • Power source (PV-Node)
    • Network Infeed

  • Transformer with tap changer and automatic voltage regulation
    • Transformer

  • Load Impedance of the Single-Circuit Lines
    • Single-Circuit Line: Load Impedance

  • Please Note

The Load Flow Calculation consist of two parts, which can be enabled or disabled independent of each other:

    • Load Adjusting - Load flow calculation for PQ-Nodes ( Load Impedance ) and PV-Nodes ( Network Infeed )
    • Phase Adjusting - Load flow calculation for Renewable Power Infeed Nodes ( 3-Phase Source )

The Load Flow Calculation can be started as explained below:

  • Enable Load Adjusting and/or Phase Adjusting

    • Enable option Load Adjusting and/or Phase Adjusting in the settings dialog ATP Related Data, tab ATP Data.
    • Enable option Load Adjusting via the main toolbar button [image] and enable the Phase Adjusting via the main toolbar button [image] .
    • Enable option Voltage Regulator Enabled in the settings dialog Transformer , tab Voltage Regulator .
    • Enable option Adjusting Network Infeed in the settings dialog Load Adjusting of the Network Infeed .

  • Starting the Load Flow Analysis
    • The Load Flow Analysis will be started as a Short-Circuit Analysis e.g. via the main toolbar button [image] .

The results will be shown in the same way as for Short-Circuit Results e.g. using tooltips at the tip of the mouse cursor.

  • Deleting the Load Flow Analysis Results from the power network graphic
    • The Load Flow Analysis Results can be deleted from the power network graphic in the same way as for Short-Circuit Results e.g. using the main toolbar button [image] .

The figure below shows the Active Power P flow and Reactive Power Q flow as results of the Load Flow Analysis drawn nearby the Lines . The character L and R indicates the left and the right terminal of the line as explained in the chapter Single-Circuit Line .


Load Adjusting (PQ- and PV-Nodes)

Read also Load Adjusting Settings

Read also Power Loss Calculation

Read also List of Short-Circuit Analysis Results

Read also Phase Adjusting Algorithm

Read also Load Adjusting of Network Infeed

Read also about the Voltage Regulator of Transformer

ATPDesigner provides the user by an algorithm to adjust all selected Load Impedances according the apparent power S = P + jQ specified in the settings dialog of the Load Impedance . In addition the automatic voltage regulation of Transformer can be also taken into account.

In electrical power networks the apparent power of a load impedance S = P + jQ (e.g. a simple model of a consumer of electrical energy) calculated by the ATP is normally less than the user specified apparent power, because the calculated node voltage is less than the nominal voltage Vnom. Now ATPDesigner tries to compensate this by iterative changing the apparent power S = P + jQ used to calculate the load impedance Z = R + jX processing the Load Adjusting Algorithm. The Load Adjusting Algorithm will be stopped, if the specified accuracy or a maximum number of iteration steps has been achieved (see more about in Load Adjusting ). The current accuracy dS (=0.001%) will be displayed in the lower Status Bar . The figure below shows the accuracy dS at the left.

    • The option Load Adjusting in the settings dialog ATP Data or via the toolbar button [image] as part of the Main Toolbar must be enabled.
    • The option Adjusting Load Impedance in the settings dialog Load Impedance must be enabled.
    • The option Voltage Regulator Enabled can be enabled in addition in the settings dialog Transformer , tab Voltage Regulator .
    • The option Adjusting Network Infeed can be enabled in the settings dialog Load Adjusting of the Network Infeed .

The figure below shows the results of the Voltage Monitoring at the network connection point of Busbar and 3-Phase Source .

Short-Circuit Results

ATPDesigner starts the iteration process, if the options explained above have been first enabled.

Remove Short-Circuit Results

ATPDesigner deletes the text file, which contains the results of the Load Adjusting Algorithm.

The results of each step of the Load Adjusting algorithm will be stored in a text file, which can be opened using the External Text Editor via the menu item Open Load Adjusting - File as part of the main menu View . The figure below shows an example.

  • Please Note

The iteration process can be stopped if the ESC key has been pressed permanently for some seconds. ATPDesigner indicates this by N = 999.

Automatic Voltage Regulation by 2-Winding-Transformer

Total number of 2-Winding-Transformer NT = 1

Transformer [630kVA]: Vnom reg = 0.3kV; Vpp = 0.399411kV; dV = 1%Vr

Transformer [630kVA]: Voltage deviation dV = 0.0994107kV > dVmax = 0.036kV

Transformer [630kVA]: Tap Changer Position 10->1 in Endposition

Network related data

Iteration step k = 0

Total number of Load Impedances N = 2

Total Apparent Power S = 6.32456 MVA {Sum of all Load Impedance Settings S}

Total Deviation |dStot| = 0.308242 MVA {Sum of (S(k) - S) of all Load Impedances}

Average Deviation |dStot| / N = 4.87374 %

Global settings related to the iteration

Accuracy = 0.1 %

Max. Steps = 20

S : Apparent power specified by the user (setting)

S(k) : Apparent power calculated during the iteration

Important !!! It must be always S(k) < S. If not, iteration will be aborted.

dS(k) : (S(k) - S) / S

P : Active power calculated during the iteration

Q : Reactive power calculated during the iteration

cos rho : Displacement factor calculated during the iteration

cos phi : Displacement factor specified by the user

=================================================================================================================================

Name | S [MVA] | S(k) [MVA] | dS(k) [%] | P [MW] | Q [Mvar] | cos rho | cos phi | User Specific Name

Load 1 3.16228 2.85404 -9.74738 2.70758 0.902527 0.948683 0.948683 (3+j1)MVA

Load 2 3.16228 3.16228 -9.3815e-005 3 1 0.948683 0.948683 Load 2

=================================================================================================================================

Total : 6.32456 6.01632

=================================================================================================================================

No. of Busbars = 5

=================================================================================================================================

Bb 1: 0.4kV 90.7063% 90.7063% 90.7063% - - ONT1

: 0.4kV 90.7063% 90.7063% 90.7063% - - ONT1

Bb 2: 0.4kV 89.2145% 89.2145% 89.2145% - V<> - Bb 2

: 0.4kV 89.2145% 89.2145% 89.2145% - V<> - Bb 2

Bb 3: 0.4kV 92.3839% 92.3839% 92.3839% - - Bb 3

: 0.4kV 92.3839% 92.3839% 92.3839% - - Bb 3

Bb 4: 0.4kV 88.364% 88.364% 88.364% - V<> - Bb 4

: 0.4kV 88.364% 88.364% 88.364% - V<> - Bb 4

Bb 5: 0.4kV 92.3834% 92.3834% 92.3834% - - Bb 5

: 0.4kV 92.3834% 92.3834% 92.3834% - - Bb 5

=================================================================================================================================

The Load Adjusting - File can be opened via the main menu View , menu item Open Load Adjusting - File. The results are similar as displayed above.

  • The results of the overvoltage and undervoltage monitoring of the Busbars are displayed at the end of the Load Adjusting - File. In this example the undervoltage threshold was set to 90%Vnom, the overvoltage threshold to 110%Vnom. Therefore the voltages of Busbars Bb 2 and Bb 4 were detected (V<>)

  • First line starting with the name of the busbar Bb x:
    • Phase-to-phase voltages VAB, VBC, and VCA in %Vnom of the Busbar as result of the Load Adjusting algorithm.

  • Second line:
    • Phase-to-ground voltages VAG, VBG, and VCG in %Vnom of the Busbar as result of the Load Adjusting algorithm.

  • Please Note

The results of the Voltage Monitoring will also displayed in the Messages Window , also if the short-circuit calculation according VDE 0102 has been enabled.


Phase Adjusting (Renewable Power Infeed)

Read also Phase Adjusting Settings

Read also Power Loss Calculation

Read more about List of Short-Circuit Analysis Results

Read also Load Adjusting Algorithm

ATPDesigner provides the user to adjust the phase shift between the phase currents of an 3-Phase Current Source IABC and the corresponding phase-to-ground voltages VABCG measured at the infeed node of the 3-Phase Source . ATPDesigner starts the Phase Adjusting Algorithm and automatically modifies the phase shift. The Phase Adjusting Algorithm will be stopped, if the specified accuracy dPhi or a maximum number of iteration steps has been achieved (see more about in Phase Adjusting ). The current accuracy dPh will be displayed in the lower Status Bar . The figure below shows the accuracy dPh.

    • The option Phase Adjusting in the settings dialog ATP Data or via the toolbar button [image] as part of the Main Toolbar must be enabled.
    • The option Adjusting Phase in the settings dialog 3-Phase Source must be enabled.
    • The operation modes Snom ... , Pnom ... or Inom ... in the settings dialog 3-Phase Source must be selected.

Short-Circuit Results

ATPDesigner starts the iteration process, if the options explained above have been first enabled.

Remove Short-Circuit Results

ATPDesigner deletes the text file which contains the results of the Phase Adjusting Algorithm.

The results of each iteration step of the Phase Adjusting algorithm will be stored in a text file, which can be opened using the External Text Editor via the menu item Open Phase Adjusting - File as part of the main menu View . The figure below shows an example.

  • Please Note

The iteration process can be canceled, if the ESC key has been pressed permanently for some seconds. ATPDesigner indicates this by N = 999.

Settings: Max. Iteration Steps = 20; Max. Phase = 1°

3P-Source: PV [3Ph 2]

1. Step : Operation Mode 'Pnom (Ip:3p) = const.', Phase Adjusting Enabled

Pnom = 50kW; Vnom init = 0.4kV; Ip = 80.1875A

Phase shift phi(Ip,Vpg) = -25.8419°

Displacement factor cos phi = 0.9

Ipmax = 300%Inom; Ipmax = 240.563A

s = 100%; s = 100%; Snom = 55.5555kVA; Sber = 54.1256kVA

VAG = 0.224996kV; VBG = 0.224996kV; VCG = 0.224996kV

No. of 1P-Source N = 3

V> = 1e+015kV; V< = 0kV; Vav = 0.224996kV = 0.97426p.u.

Results of Step No. 1 ...

Phase Difference phi(Ip,Vpg): PDiffAG = -263.5°; PDiffBG = 96.5°; PDiffCG = 96.5°

Phase Deviation: A: -263.5°-(-25.8419)°=122.342°; B: 96.5°-(-25.8419)=122.342°; C: 96.5°-(-25.8419)°=122.342°

Deviation Amount: |122.342°| + |122.342°| + |122.342°| = 367.026° ; Sum = 367.026°

Phase A: PDiff = 122.342°; Phase (0) -25.8419° - 122.342° >>> (1) 211.816°

Phase B: PDiff = 122.342°; Phase (0) -25.8419° - 122.342° >>> (1) 211.816°

Phase C: PDiff = 122.342°; Phase (0) -25.8419° - 122.342° >>> (1) 211.816°

===================================================================================

3P-Source: 3Ph 1 [3Ph 1]

3P-Source: 3Ph 1 [3Ph 1]: Phase Adjusting Disabled

===================================================================================

No. of 1P-Source N = 3

No. of 3P-Sources 2

Total Deviation |dPhi| = 367.026°

Average Deviation |dPhi| / N = 122.342°

===================================================================================


Overloading displayed in the Power Network

Overloading of Network Elements displayed in the Power Network

ATPDesigner analyses the Short-Circuit Results as well as the results of the Load Flow Analysis to identify overloaded network elements e.g. Line , Transformer , Busbar and Probe The results can be displayed in the report as shown below. The settings dialog of a network element can be opened by a Left Mouse Double Click on the cell Name or User Name in the table shown below.

  • Network Design Mode Disabled

If the network element has been selected by a Left Mouse Button Click, the cell Name of the corresponding line will be colored.

  • Network Design Mode Enabled

If the mouse cursor has been moved "over" a network element, the network element will be automatically selected (drawn in grey) and the cell Name of the corresponding line will be colored.

If a network element has been selected in the network graphic by a Left Mouse Button Click, the reference name of the equipment will be highlighted using light blue color.

Ref.

Reference name of the network element

Name

User specific name

Ena.

  • On : Network element is enabled
  • Off : Network element is disabled

The cell will be colored according the colors set in the settings dialog Graphic Colors if the network element has been disabled. The corresponding network element can be enabled or disabled by a Left Mouse Button Double-Click on this cell.

Load [%]

Load of the network element in %

The corresponding cell in the column Res. will be colored according the colors set in the settings dialog Graphic Colors in case of an overload.

Vpp<> [%]

Phase-to-phase voltage in %

The corresponding cell in the column Res. will be colored according the colors set in the settings dialog Graphic Colors in case of an over- or undervoltage.

Vpg<> [%]

Phase-to-ground voltage in %

The corresponding cell in the column Res. will be colored according the colors set in the settings dialog Graphic Colors in case of an over- or undervoltage.

Res.

Column to display e.g. an overload.

Find

Find the network element in the list of network elements of the power network visible in the top most view

Clear

Redraw the network elements using the standard drawing color and delete the frame around the network element.

Help

Open the corresponding chapter in the help file

Close

Close the dialog

Copy

The content of the report can be copied into the clipboard using a .csv-format

No;Name;User Name;Ena;Load [%];Vpp<> [%];Vpg<> [%];Res

1;Bb 1;;On;;93,7995%;93,7995%;

2;Bb 2;;On;;86,9484%;100,397%;X

3;Bb 3;;On;;92,4475%;92,4475%;

4;Bb 4;;On;;93,7243%;93,7243%;

5;Bb 5;;On;;89,8446%;100,377%;X

6;Line 1;8km;On;569,902%;;;X

7;Line 10;5km;On;2,30614e-013%;;;

8;Line 11;2km;On;6,46151%;;;

9;Line 12;3km;On;569,781%;;;X

10;Line 4;2km;On;6,26312%;;;

11;Line 7;2km;On;113,088%;;;X

12;Line 8;2km;Off;;;;

13;Line 9;2km;On;113,3%;;;X

14;Prb 1;I>;On;;93,7995%;93,7995%;

15;Prb 10;P10;On;;92,4475%;92,4475%;

16;Prb 11;Z< P11;On;;86,9484%;100,397%;X

17;Prb 12;Z< P12;On;;98,9784%;100,276%;

18;Prb 16;Z<;On;;93,7996%;93,7996%;

19;Prb 17;Fu;On;;93,7243%;93,7243%;

20;Prb 2;Z< P2;Off;;;;

21;Prb 3;Z< P3;On;;86,9484%;100,397%;X

22;Prb 4;I->;On;;93,7995%;93,7995%;

23;Prb 5;I->;On;;93,7995%;93,7995%;

24;Prb 6;I>;On;;92,4475%;92,4475%;

25;Prb 7;P7;On;;92,4475%;92,4475%;

26;Prb 8;Z< P8;On;;89,8446%;100,377%;X

27;Prb 9;Z< P9;On;;89,8446%;100,377%;X

28;Tra 1;110/20kV;On;86,6657%;;;

29;Tra 2;110/20kV;On;411,804%;;;X


How to Stop a Load Flow Analysis

The Load Flow Analysis processed by ATPDesigner can be stopped during the iteration process by a left mouse button click on the toolbar button [image] . If done ATPDesigner shows the status bar as below.

  • LF=stopped
  • N=999


Using EMTP Load Flow Analysis
  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this important ATP feature.

Read also General Load Flow Settings

Read also Load Flow Nodes

Chapter X of the ATP Rule Book - Power Constraints: The EMTP Load Flow

"The steady-state phasor solution for initial conditions of the electric network can be determined so as to observe power constraints at one or more busses. By analogy with the dominant steady-state program of system planning departments, this has been named the "load flow" feature of the EMTP. In effect, it is a multi-phase load flow capability (albeit in somewhat restricted form) that is available to the EMTP user." (ATP Rule Book)

Background Information about the EMTP Load Flow

"Each single-phase node of a network involves four real variables of interest. There are real power injection PK. reactive power injection QK, phasor voltage magnitude VK, and phasor voltage angle THETAK. Since there is one real-power and one reactive-power constraint equation for the node, this imlpies that two of these variables can be specified quite arbitrarily, and the other two the can be determined by numerical computation. Before the load flow was available, EMTP users could apply only the special zero-power constraint (with both PK=0 and QK=0, meaning no connection). Control of non-zero power was only indirect, and by trial and error. But now, thanks to the EMTP load flow, the user can choose among the following constraints for an EMTP source node. The user can:

a) specify PK and QK at the node. The EMTP then will solve for VK and THETAK. This is ordinary load modeling of conventional, single-phase load flow usage by system planning departments. Or, alternatively,

b) specify PK and VK. The EMTP then will solve for QK and THETAK. This is ordinary generator modeling of conventional, single-phase load flow usage by system planning departments. Or, alternatively,

c) specify THETAK and this third and final option is QK. The EMTP then will solve for PK and VK. This third and final option is seldom used.

There is no limit on the number of busses that are constrained, although at least one source should be unconstrained. The unconstrained source commonly is taken as the reference for other phasors (THETAK for this node is fixed at zero). In the terminology of conventional, single-phase load flows, this is called "slack bus".

For those who intend to terminate execution once the load flo is complete (i.e., TMAX non-positive), life is particularly simple. No EMTP source cards are required, and power constraints can be applied to any node of the network. The only program limitation is that the source table (List 4) must sized to equal or exceed the total number of power-constrained nodes of the network. This is because one source is automatically, internally defined for each power-constraint card as it is read in overlay 9.

When a transient simulation is to follow the EMTP load flow (i.e., if TMAX is positive), the user should understand that his power constraints forgotten once the time-step loop is entered. With power constraints only to nodes with Type-14 voltage sources, the angle and/or magnitude of this source will be automatically adjusted prior to entry into the time-step loop, and adjusted to correspond to the load flow solution. This may or may not result in approximate continued observance of the steady-state power constraints during the transient simulation, of course. The result is a function of nonlinearities, and of unpredictable transients, which are quite beyond any general summary. The user should simply keep in mind that load flow constraints only provide for the automatic, internal setting of constants (e.g., generator angles) at time zero, and have no other direct effect on any subsequent simulation.

As presently implemented, power constraints are only allowed at nodes of known voltage, or at the armature nodes of rotating ac machinery. Such constraints can not be applied to current sources. For cases without any associated transient simulation, this is not a restriction, since the required voltage sources are defined internally, to whatever nodes the user wants to apply power constraints. But for cases involving transient simulation, current sources are simply not allowed (i.e., the user can not apply a power constraint to a current source). Perhaps the EMTP could be generalized to handle such cases in the future (Vol. XIII, 23 July 19831 Section II-A, page VDEL-3, middle paragraph), although no plans have been made as of April, 1984, as this page is being written.

A power constraint of the EMTP load flow may only be applied at a network bus. The user can not constrain a line flow, nor can he constrain a group of line flows (the familiar area interchange control), directly. Neither is there any automatic adjustment of transformer or phase shifter taps at the present time. But certain limits on voltage magnitude and angle at a power-constrained node can be observed. First, at a load bus that normally would have both PK and QK fixed, the reactive-power constraint will only be maintained within user-specified limits on voltage VK, and the real-power constraint will only be held within user-specified limits on the angle THETAK. Second, generator bus that normally would have both PK and VK fixed, the real-power constraint will only be held within user-specified limits on the angle THETAK. Third and finally, at a bus that normally would have both QK and THETAK fixed (who knows a good , short name for such a bus?), the reactive power constraint will be held only within user-specified limits on voltage VK. Conspicuous by its absence in this list is the popular choice of system planners for generators: the maintenance of voltage VK with limits on reactive power QK.

Thus far, there has been a mixture of talk about network busses and individual nodes. These may or may not be synonymous, for purposes of EMTP load flow usage. The possible difference is due to multi-phase constraints. The user can gang three nodes together, and control them as a unit, if he likes. In this case, all three voltages are assumed to be balanced, positive-sequence phasors. Any specified real or reactive power is a total 3-phase injection, which will be split equally among the three phases only if the rest of the problem is balanced. But if either the network or some excitation is unbalanced, note that the 3-phase injections will not be balanced, either. In addition to this conventional 3-phase usage, it is possible to drop the third phase (phase "c", which lags phase "a" by 240 degrees), so that only phases "a" and "b" are ganged together. This could be of use to those studying outages (the loss of one phase)." (ATP Rule Book)


General Load Flow Settings

Read also Using EMTP Load Flow Analysis in ATPDesigner

Read also Load Flow Nodes

The figure below shows the miscellaneous settings of the EMTP Load Flow according the ATP Rule Book Chapter X.

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this important ATP feature.

Additional interactive output during load flow iteration

ATP related Name: NNNOUT

Is a binary flag for control of additional interactive output during the load flow iteration.

Tabular printout for nodes with power constraints

ATP related Name: NPRINT

Is a binary flag that allows for the selection or suppression of special tabular printout for the nodes with power constraints. Key unity to obtain output of such values (VK, THETAK, PK, QK), or zero (or blank) to suppress it.

Number of iterations

ATP related Name: NITERA

Is a bound on teh number of iterations of the load flow. Any non-positive entry will be given a default value of 500.

Relative convergence tolerance

ATP related Name: RALCHAK

Is a relative convergence tolerance that constols teh accuracy of the solution. For termination of the iteration, all power mismatches must be less than RALCHAK times the largest scheduled power (either PK or QK) of the network. A non-positive value will be taken as a request for the default tolerance 1/100.

NFLOUT

Is the buffer size for accumulating the output that is associated with the interactive convergence monitoring (the correction at each iteration). Any non-positve value, or any value in excess of 20, will be set equal to the default value of 20. Since exactly 20 numbers fir on a line, a value of 20 corresponds to waiting for a line to be filled before the user is shown any of the contents.

CFITEV

Is an acceleration factor associated with the conversion of a change in reactive power to a change in voltage magnitude.

CFITEA

Is an acceleration factor associated with the conversion of a change in real power to a change in voltage angle.

VSCALE

Unfortunately not yet documented in the ATP Rule Book.

KTAPER

Unfortunately not yet documented in the ATP Rule Book.

Help

Open the corresponding chapter in the help file


Load Flow Nodes

Read also Using EMTP Load Flow Analysis in ATPDesigner

Read also General Load Flow Settings

The both figures below show the settings dialogs of a Load Flow Node depending on the Type of the Load Flow Node.

  • Please Note

Some of the comments below are copied out of the ATP Rule Book to achieve the best understanding how to use this important ATP feature.

  • Load Flow Node: PQ

  • Load Flow Node: PV

Name

User specific name of the generator displayed in the network graphics

User specific text using a Text Frame

  • Read more in User specific Text for Network Elements using a Text Frame

Delete the user specific text

Select the drawing color of the network element (read also Read more about the submenu Network Element Color )

Node Type

    • PQ

The user must specify the active power P and the reactive power Q at this node. This Node Type represents an ordinary load modeling.

    • PV

The user must specify the active power P and the nominal voltage V at this node. This Node Type represents an ordinary generator modeling.

P

Active power in MW

Q

Reactive power in Mvar

V

Nominal voltage in kV

Vmin/max

Enable or disable the settings Vmin and Vmax

Vmin

Is the minimum voltage VK for those cases where the voltage is not fixed. This setting will be used for Node Type PV. If disabled, no minimum will be assumed.

Vmax

Is the maximum voltage VK for those cases where the voltage is not fixed. This setting will be used for Node Type PV. If disabled, the maximum will be automatically set to infinity.

THmin/max

Enable or disable the settings THmin and THmax

THmin

Is the minimum angle THETAK for those cases where the angle is not fixed. This setting will be used for Node Type PV and PQ. If disabled, the minimum will be automatically set to minus infinity.

THmax

Is the maximum angle THETAK for those cases where the angle is not fixed. This setting will be used for Node Type PV and PQ. If disabled, the maximum will be automatically set to infinity.

Phase A

Node name of the power constraint phase A

Phase B

Node name of the power constraint phase B

Phase C

Node name of the power constraint phase C

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Protection Elements

ATPDesigner supports the Protection Elements realized by the network element Probe shown below.

Directional Overcurrent Protection

Distance Protection

Differential Protection

Fuse

Inverse-Time Overcurrent Protection (IDMT)

Overvoltage and Undervoltage Protection

Ground Fault Protection

Q-V-Protection - Reactive Power Undervoltage Protection

Underimpedance Detection Z<

Protective Signaling


Probes and Protection Elements

Read also Probes

Read also Short-Circuit Analysis Results displayed in Tooltips

Read more about Enable Tooltip of Short-Circuit Results

The network element Probe can be used to realize protection elements e.g. Directional Overcurrent Protection and to study the behavior of protection elements in electrical power networks so called Protection Schemes. ATPDesigner also processes the protection elements calculating the steady state or the transients of an electrical power network using the same settings of the Probe without changing a setting. Probes provide the user to study protection elements by several starting elements and protection algorithms, which will be explained more in detail in the next chapters. In case of the steady state calculation ATPDesigner internally processes the time delays of the protection elements to identify the protection relay which may trip first. Calculating the steady state MODELS based protection algorithms will be not executed. Read more information about these features in the following chapters.

  • Please Note
    • The protection elements of the Probe are all disabled if the short-circuit calculation based on IEC 60909-0:2001 has been enabled.
    • The protection element must be selected in the settings dialog of the Probe using the setting Protection .

  • Please Note

It is very important to understand, that ATPDesigner uses the Short-Circuit Analysis Results (= results of the Load Flow Analysis ) but also the calculation of transients using MODELS to process the selected protection elements.

    • Short-Circuit Results (Steady State)

Based on the results of the ATP Steady State Analysis ATPDesigner processes the protection elements analyzing the phasor solution of voltages and currents, which are calculated at the measuring location of the Probes . ATPDesigner also processes the time delays to identify the protection relay which may trip first. It is not possible to identify the protection relay which may trip second, third, etc.

    • Calculating Transients

If the transients shall be calculated ATPDesigner automatically uses the MODELS interface of the ATP to implement protection elements. Now it is possible to analyze the interaction of several protection relays and the impact of the transients regarding the behavior of the protection relays.

It is possible to select different protection elements for the Probes used in the electrical power network:

  • Probe P1: Directional Overcurrent Protection
  • Probe P2: Overvoltage and Undervoltage Protection
  • Probe P3: Overcurrent Protection
  • Probe P4: Distance Protection
  • Probe P5: Fuse
  • etc.

Protection Elements for Short-Circuit Analysis (Steady State)

The protection elements will be processed by ATPDesigner independent of each other processed in parallel. The user can enable or disable each starting element by choosing extremely high (e.g. I> = 1000Inom) or low values (e.g. V< = -1.0Vnom) or by using controls closed to the time delay settings of the protection elements in the corresponding settings dialog. As usual for protection relays the starting elements will be used to detect a network disturbance (or a short-circuit) in general and which of the phases A, B and C are faulty. But nevertheless which of the starting elements will be used depends on the selected protection element Protection. It will be explained more in detail in the corresponding chapters of the protection elements.

Read more in Directional Overcurrent Protection

Read more in Overvoltage and Undervoltage Protection

Read more in Distance Protection

ATPDesigner writes several information which has been identified executing the analysis of the protection elements in the Messages Window .

    • List of all Probe setting a TRIP Command by one of the Protection Elements

  • Select the protection element in the settings dialog of the Probe .

  • Define the protection element related settings of the probes

    • Define the nominal voltage Vnom
    • Define the nominal current Inom
    • Define all required settings of the protection elements

  • Process the calculation of the steady state of the electrical power network e.g. via [image] or main menu ATP or CTRL + E

The figure below shows an example, where the top left Probe may trip first of all protection elements in the power network. It can be also seen that some other V< elements will also create a starting information. It must be seen that this method can only detect the protection relay which may trip first, not to analyze the time dependent behavior or the interaction of several protection relays of the power network. These can be only done using the protection relays implemented in ATPDesigner using MODELS . More details are explained in the chapter Protection and Short-Circuit Analysis .

  • Press Fx to display the Measurement Data Frame containing the results of the protection elements

The results of the voltage and current measurements as well as the results of the protection elements can be displayed directly in the power network graphics. The figures below show two examples in case of a short-circuit ABCG realized by the Short-Circuit . The protection element Directional Overcurrent has been enabled in the Probe settings dialog. The red arrow closed to Probe P2 indicates the fault direction measured by the Protection Element, the text elements I>; V< indicates, that the protection elements I> and V< has been detected a starting condition. The red frame around the Measurement Data Frame indicates, that at least one of the Starting Elements of the Probe has been detected a fault condition processing the starting elements: I> or V> or ...


Protection ON or OFF - LED in the Network Design Toolbar

The protection elements of all Probe can be enabled or disabled (global ON or global OFF).

  • using the toolbar button [image] of the Network Design Toolbar

or

  • using the menu item ALL Protection ON/OFF in the main menu Protection

The state Protection ON or Protection OFF will be indicated in the network design Toolbar using a green LED = ON or a red LED = OFF. The LED can be seen in the figure below at the right side of figure, second toolbar.


Analyzing Protection Schemes only in a few Steps

The analysis of protection schemes can be easily realized using ATPDesigner only in a few steps.

  1. Set the Short-Circuit to a node or at any location along a Single-Circuit Line

The Short-Circuit (red flash) can be defined by the steps explained below.

    • Select a fault type ABCG, AB, AG, ...

    • Click on the toolbar button [image] to enable the Short-Circuit Cursor

  2. Run the Short-Circuit Analysis to calculate the steady-state fault situation
    • Click on the toolbar button
    • Use the hot key Strg+E

  3. Invoke the dialog List of Protection Analysis Results
    • Click on the toolbar button
    • Main menu Protection , menu item List of Protection Analysis Results

  4. Invoke the Protection Graph Curves using the dialog Protection Analysis- Tripping Characteristic Diagrams
    • Click on the button
    • Main menu Protection , menu item Protection Analysis

  5. Select the protection element using the Find button in the dialog List of Protection Analysis Results

    • Select the protection element using the check box in the first column
    • Click on the Find button

Now the corresponding Probe will be drawn with a double-line red frame in the power network.

  6. Select the Protection Time Current Curves of interest using the list box in the dialog Protection Analysis- Tripping Characteristic Diagrams

  7. Run again the Short-Circuit Analysis to calculate the steady-state fault situation and to display the results in the both dialogs List of Protection Analysis Results and Protection Analysis- Tripping Characteristic Diagrams

    • To display the fault level co-ordinates on the time current curves
    • Read also How to Create a Diagram for a Tripping Characteristic


Protection Elements - Identification in the Network Graphic by Specific Colors

The protection elements can be easily identified by different colored shapes. In addition the results of the analysis of all protection elements will be displayed in a tooltip, if the cursor has been moved "over" the red or green shape. The color an the tooltip van be enabled or disabled using the toolbar buttons shown below.

The toolbar buttons [image] :

  1. Enable the tooltip to display the results of the protection element analysis
  3. Enable the color of the Undirectional Overcurrent Protection
  4. Enable the color of the Directional Overcurrent Protection
  5. Enable the color of the Distance Protection
  6. Enable the color of the Fuse
  7. Enable the color of the Differential Protection


Protection and Short-Circuit Analysis (ATP Steady State)

ATPDesigner can be also used to analyze Protection Schemes based on the results of a Short-Circuit Analysis (ATP Steady State). It must be considered that only the results of the steady state of the electrical power network will be used to analyze the protection elements.

  • Please Note

ATPDesigner writes a lot of information for all protection relays used in an electrical power network into the Messages Window , independent of the protection scheme. As an example these output information are explained for the Distance Protection , but also presenting for the Overcurrent Protection.

  • Please Note

Transients are not relevant analyzing a protection scheme based on the results of a Short-Circuit Analysis (ATP Steady State).

  1. ATPDesigner calculates the steady state of the electrical power network pressing the [image] button.

  2. ATPDesigner identifies all Probe Px with active starting system e.g. I> of an Overcurrent Protection .

  3. ATPDesigner compares the time delays e.g. TI> of an Overcurrent Protection to identify the Probe with the minimum time delay.

  4. ATPDesigner sets the virtual TRIP-command or a starting condition to these Probe with the minimum time delay and indicates this using a red or green frame closed to these Probe .

    • Red Frame

T: ... indicates a TRIP-command with the protection function and the minimum time delay

    • Green Frame

G: ... indicates only a starting condition with the protection function and the minimum time delay

Protection Elements in Case of a Short-Circuit Analysis (Steady State)

The figure below shows the results of the Short-Circuit Analysis including the results after analyzing the Overcurrent Protection pressing the [image] button. Based on the results of the steady state analysis, the Probe indicated by the green arrow may open the assigned circuit-breaker in a real electrical power network.

Protection Elements in Case of a the Calculation of Transients

It is now possible to analyze the behavior of the protection functions if the transients will be calculated, by pressing the [image] button. Now a Switch is required to simulate the opening of the circuit-breaker. The switch can be easily combined with the Probe . The figure below shows the results executing the MODELS -based protection algorithms.

The corresponding TRIP command times will be displayed in the Messages Window as shown below.


Combine Probe and Circuit-Breaker or Switch to a Protection Element

ATPDesigner provides the user to combine easily the protection function of a Probe and a Switch to realize the combination Protection Relay - Circuit-Breaker. The figure below shows two combinations of Probe and Switch, which will be indicated by a green dotted line between the two network elements.

  • Please Note

It is possible to set the green lines visible or invisible using the toolbar button [image] or the menu item Display Combinations in the main menu View . It is recommended to use the Switch shape [image] .

How to Combine a Probe and a Switch ?

The user of ATPDesigner can easily combine a Probe and a Switch to realize a protection relay, which can be used simulating the Short-Circuit Results (Steady State or Load Flow Analysis ) as well transients in a power network. Depending on the results of the power network calculation the Switch will be opened and/or closed.

  • The algorithms of this protection relay are part of the network element Probe .
  • The Switch realizes the circuit-breaker which is normally assigned to a protection relay in a power network.

ATPDesigner automatically creates the link between the Probe and the Switch to combine both network elements.

  • Please Note

It is not required that Probe and Switch are directly connected at a common node.

  1. A combination of a Probe and a Σωιτχη shall be created in the power network.

  2. Enabled the function Combine pressing the toolbar button [image] → [image] of the Main Toolbar

  3. Move the tip of the cursor "over" the Probe , press down the Left Mouse Button

  4. Move the cursor "over" the Switch, a dotted red line will be displayed

  5. Release the Left Mouse Button, a green dotted line will be displayed to indicate the combination

ATPDesigner automatically identifies the both network elements and selects the right Switch as a setting of the Probe .

Settings dialog of the Probe :

Calculating Transients: Settings of the Switch

The node names TR(ABC)xxx will be automatically created by ATPDesigner and will be used in the MODELS source code of the protection algorithms. Following an example of the MODELS source code which will be automatically created by ATPDesigner to create an instance of the distance protection MODEL .

INPUT

AV002 {v(A00036)}

BV002 {v(B00036)}

CV002 {v(C00036)}

INPUT

AI002 {i(A00023)}

BI002 {i(B00023)}

CI002 {i(C00023)}

OUTPUT TRA002

OUTPUT TRB002

OUTPUT TRC002

USE PROT1 AS PROT1002

INPUT

VA:=AV002

VB:=BV002

VC:=CV002

IA:=AI002

IB:=BI002

IC:=CI002

OUTPUT

TRA002:=TLX[1]

TRB002:=TLX[2]

TRC002:=TLX[3]

DATA

VNPG:=11547.005384

I1G:=3000.000000

I1GG:=3000.000000

V1G:=11547005.383793

V1K:=-11547.005384

TI1G:=0.100000

TV1G:=0.100000

TV1K:=0.100000

TCB:=0.060000

TRC:=1000000000000.000000

FDIR:=1

FW1:=89.900000

FW2:=-89.900000

ENDUSE

RECORD

PROT1001.TRIP AS ITP001

PROT1001.T1A AS IIG001

PROT1001.TV1AG AS IVG001

PROT1001.TV1AK AS IVK001

PROT1002.TRIP AS ITP002

PROT1002.T1A AS IIG002

PROT1002.TV1AG AS IVG002

PROT1002.TV1AK AS IVK002

ENDMODELS

The trip command will be always set as a 1-phase trip command independent of the protection relay.

Holding current Ihold to simulate phase-selective tripping

The phase-selective tripping can be easily done using the setting Ihold in the settings dialog of the Switch. The current will be interrupted by opening the Switch,

    • if a trip signal was given to the Switch AND
    • the amount sampling value of the current is smaller thane the value Ihold.

How to erase a Combination of a Probe and a Switch ?

  1. Select both network elements Probe and Switch which are combined.

  2. Click on the toolbar button [image] of the Main Toolbar .


How to Calculate Settings for Protection Relays

The protection schemes can be also used to identify settings to be used for protection relays.

  • Distance Protection

Calculation of the Positive-Sequence System used to set a Distance Protection Relay


Overcurrent Element using MODELS, Probe and Switch

Read also Probe and Switch in Series

Read also Example: TRIP Commands of Protection Relays using ATPDES: - Comment

Read also Comment ATPDES: using the MODELS command WRITE("...

ATPDesigner provides the user Developing, Implementing and Testing Protection Algorithms. In general three components are sufficient for such a purpose.

  1. A Probe to measure voltages and currents to be infeeded into the protection algorithm.
  2. A Switch to be controlled by the protection algorithm.
  3. A MODELS program to process the protection algorithm.

An example to study:

Read also .NET-File 54: Protection Relay PTOC based on MODELS


Find Protection Element

Read also Find - Network Elements and Node Names

Read also Protection Analysis

ATPDesigner also provides a special dialog to display only the Protection Elements which are realized by Probe . This dialog is similar the Find dialog and can be opened via

  • the main menu Edit , menu item Find Protection or
  • the toolbar button [image] of then Network Design Mode toolbar or

  • the hot key CTRL + F12.

The figure below shows Find Protection Element dialog.

    • Reference name of the Probe Prb x
    • User specific name of the Probe
    • Network element e.g. Transformer to protect

The text ??? indicates that no network element has been assigned to this Probe .

It is also possible to find one of the Probe in the electrical power network. If found the Probe will be marked by a red frame. Read more details in Find - Network Elements and Node Names . The icons in the dialog are explained in Protection Elements - Identification in the Network Graphic by Specific Colors .

    • : Protection element with TRIP
    • : Protection element with GENERAL STARTING only

In addition the tree control shows

  • the number of all network elements overall and the number of network elements per type
  • the list of all Disabled Network Elements .

If the dialog has been started, it is easy to display all protection elements as shown below using the Expand + button.

Find Protection Element and Protection Analysis

Using the dialog shown below it is possible to draw a diagram which shows the tripping characteristic of the protection element.

  1. Select the Probe with the Protection Element which is of interest
  2. Left mouse button click on the button Find

The Probe can now easily identified in the power network graphic by a red frame (Read more in Find - Network Elements and Node Names )

  3. Open the dialog Protection Analysis

The buttons and other controls are explained in Find - Network Elements and Node Names .


Protection Elements in ATPDesigner

Directional Overcurrent Protection

Distance Protection

Differential Protection

Fuse

Inverse-Time Overcurrent Protection (IDMT)

Overvoltage and Undervoltage Protection

Ground Fault Protection

Q-V-Protection - Reactive Power Undervoltage Protection

Underimpedance Detection Z<

Protective Signaling


Using Nominal Current Inom and Nominal Voltage Vnom

Using the Nominal Currents and Nominal Voltages for Protection Elements

The network element Probe can be used only to measure voltages, currents, etc. but also to realize Protection Elements e.g. Overcurrent Protection . Therefore different settings for nominal voltage and nominal current are used depending on the function to be realized

Nominal Current and Nominal Voltage for the Measuring Device

The both settings Vnom and Inom are used as primary nominal voltage and current for the measuring device also in parallel to the protection elements.

Nominal Current and Nominal Voltage for the Protection Elements

Tab General Data

  • The both settings Vnom and Inom are used as primary nominal voltage and current for the protection elements set in the tab V<V & I>. The secondary nominal currents can be not set.
    • Undirectional Overcurrent Protection
    • Directional Overcurrent Protection
    • Overvoltage and Undervoltage Protection

Tab Distance

  • The settings Vnprim, Vnsec, Inprim and Insec will be only used for the calculation of the short-circuit impedances of the distance protection used to be compared with the impedance tripping characteristic. Using this four separate settings which are only used from the distance protection it is possible to define the impedance tripping characteristic using primary or secondary impedances. The starting system of the distance protection will be set in the tab V<> & I> and therefore the both nominal values Vnom and Inom of the tab General Data will be used for the starting system.

Tab IDMT

  • The Inverse-Time Overcurrent Protection (IDMT) uses the setting Iref which can be found in the tab IDMT .

Tab Differential

  • The Differential Protection uses the setting Iref which can be found in the tab Differential .

Tab Fuse

  • The Fuse uses the setting Ir which can be found in the tab Fuse .

Tab GF Det.

  • The Ground Fault Detection uses the setting IGnom which can be found in the tab GF Det. .


Directional Overcurrent Protection

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table below). ATPDesigner uses the same settings for both different network calculation methods.

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
I>, TI> (No. 1..3) | X | X
IG>, TIG> | X | X
IF> | - | -
Ip >= 2/3 Ipmax | X | -
Fault Direction Detection (1): Ø(Vpg,Ip) | X | X
Fault Direction Detection (2): Char. Angle | X | -
Inverse-Time Overcurrent (IDMT) | X | -
V / I - Starting System | - | -
V<, TV<, V>, TV> | X | X
Ground Fault Protection | X | -
Q-V-Protection | X | -

Read also Probes and Protection Elements

See also .NET-File 38: Directional Overcurrent Protection in a small power network

Read also Protection Analysis - Tripping Characteristic Diagrams for Directional Overcurrent Protection

The settings listed below are used by the protection element Directional Overcurrent Protection implemented in the network element Probe .

  • Please Note

It can be easily switched between calculating transients and calculating the steady state results, without changing any setting, e.g. only pressing the right button in the Main Toolbar .

The Directional Overcurrent Protection element can be also combined with other protection elements.

  • IDMT-Protection

The protection element will processed in parallel to the distance protection.

  • Under- and Overvoltage Protection

The protection element will processed in parallel to the distance protection.

  • Please Note

ATPDesigner writes a lot of information for all protection relays used in a electrical power network into the Messages Window . As an example these output information are explained for the Distance Protection .

  • Calculating Transients

In case of transients ATPDesigner will automatically use MODELS to implement protection algorithms.

  • Short-Circuit Results (Steady State)

If a Short-Circuit Analysis of the power network (Steady State) has been processed, ATPDesigner itself processes the time delays to detect the protection relay, which will create the first TRIP command. The results will be shown directly in the power network graphic as shown below. It can be seen, that the protection relay at the upper left corner of the power network will trip first.

  • Please Note

Each starting element e.g. phase overcurrent starting I> can be enabled or disabled using the control on the right of the time delay. If disabled the protection element do NOT create a TRIP command also if the starting element operates.

I>

Starting element Phase Overcurrent to monitor the amount of the phase currents IA, IB and IC

ATPDesigner compares the amount of the three phase currents IA, IB and IC with the starting element I> to detect the fault types AG, BG, CG, AB, BC, AC, ABG, BCG, ACG, ABC or ABCG. The fault direction will be only determined and displayed in the network graphics, if a fault has been detected. The determination of the Fault Direction will be only started, if at least one of the amounts of the phase currents IA, IB and IC have been exceeded the threshold I>. The nominal current Inom can be set in the settings dialog Probe .

  • IA> active if the |IA| > I>
  • IB> active if the |IB| > I>
  • IC> active if the |IC| > I>
  • I> active if the (|IA| > I>) OR (|IB| > I>) OR (|IC| > I>)

IG>

Starting element Ground Overcurrent to monitor the residual current IG

ATPDesigner calculates the residual current IG and compares its amount with the starting element IG> to detect a fault-to-ground or not. The IG> starting signal will be not used to start a time delay.

  • IG> active if the residual current |IG| > IG>

  • Please Note

In case of the calculation of transients ATPDesigner creates several signals stored in the .PL4-File (xxx =Number of the Probe, 0=inactive, 1=active).

    • Starting signal IA> : IAxxx
    • Starting signal IB> : IBxxx
    • Starting signal IC> : ICxxx
    • Starting signal IG> : IGxxx

Ip >= 2/3 Ipmax

If enabled, the phase currents with |Ip| < 2/3 ⋅ |Ipmax| will be ignored processing the starting system where Ipmax is the maximum amount of the phase currents IA, IB and IC. This option may help to reduce the influence of e.g. unsymmetrical loads or renewable power infeed regarding the starting elements.

TI>

Time delay Phase Overcurrent

TIG>

Time delay Ground Overcurrent

Inverse-Time Overcurrent (IDMT)

Enables the IDMT Protection Element

Fault Direction

The Fault Direction can be detected by different methods.

    • None = 0 (= Undirectional)

The fault direction will be calculated and displayed in the network graphic but not used to decide to trip or not to trip.

    • Forward = 1

The fault direction is set according the measuring direction of the Probe (in direction of the red arrow).

    • Backward = 2

The fault direction is set reverse to the measuring direction of the Probe (in reverse of the red arrow).

Additional Overcurrent Protection in the Spread Sheet Line No. 1..N

The spread sheet shows several overcurrent protection elements, one per line of the spread sheet.

    • The overcurrent protection element in Line No. 1 is equal by the overcurrent element of the group I> - Protection. The settings of this line can be not changed, but will be automatically set to the settings in the group I> - Protection.

    • The overcurrent elements of the Lines No. 2..N can be set independent of the overcurrent element in the group I> - Protection.

The settings of the overcurrent elements are similar the the settings of the group I> - Protection.

    • On : 1 / 0 = on/off
    • I> : Starting element Phase Overcurrent to monitor the phase currents IA, IB and IC
    • t[ms] : Time delay Phase Overcurrent
    • Dir. : 0 / 1 / 2 = undirectional / forward / backward

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Detection of the Fault Direction

ATPDesigner provide different methods to detect the Fault Direction explained below.

  • Char. Angle

The Fault Direction will be detected analyzing a phase current and a phase-to-phase voltage depending of the Fault Type. In addition a Characteristic Angle will be used. The figure below shows the settings dialog to set the Characteristic Angle depending on the Fault Type.

The figure below shows the characteristic used for the Fault Direction Detection.

Example: Phase-to-Ground Fault AG

In case of a phase-to-ground fault AG the phase-to-ground fault VAG may be very low and therefore it will be difficult to determine the phase angle between the faulty phase-to-ground voltage VAG and the phase current IA. Nevertheless the phase-to-phase voltage VBC is more or less equal to the nominal voltage and can be easily used to determine the fault direction. The characteristic angle must be also used to define the fault direction characteristic related to the phase-to-phase current VBC.

Fault Type | Phase Current IP | Phase-to-Phase Voltage VPP | Characteristic Angle
AG | IA | VBC | +45°
BG | IB | VCA | +45°
CG | IC | VAB | +45°
AB | IA | VBC | +60°
BC | IC | VAB | +30°
CA | IC | VAB | +60°
ABC | IC | VAB | +45°

  • Ø(Vpg,Ip)

The detection of the Fault Direction will be processed based on the physical line model shown below. Depending on the Fault Type phase currents and phase-to-ground voltages or phase-to-phase currents and phase-to-phase currents will be used to determine the Fault Direction. Two angles ø1 and ø2 will be used to separate the direction forward and backward.

ø1

Phase angle 1 of the fault direction characteristic in degree

This phase angle can be used to define the area of fault direction forward and backward.

ø2

Phase angle 2 of the fault direction characteristic in degree

This phase angle can be used to define the area of fault direction forward and backward.

The figure below shows the single-phase model (physical model of the positive-sequence system), which will be assumed by the protection element to detect the fault direction. Therefore the fault direction detection algorithm can be used to protect e.g. Lines , Cables or Transformers .

Fault Type | Current | Voltage | IG>
AG | IA | VAG | active
BG | IB | VBG | active
CG | IC | VCG | active
AB | IAB | VAB | inactive
BC | IBC | VBC | inactive
CA | ICA | VCA | inactive
ABG | IA and IB | VAG and VAG | active
BCG | IB and IC | VBG and VCG | active
CAG | IC and IA | VCG and VAG | active
ABC | IAB and IAC and ICA | VAB and VAC and VCA | inactive
ABCG | IA and IB and IC | VAG and VBG and VCG | active

If IG> not active (= Fault without Ground)

ATPDesigner always calculates the phase shift of the phase-to-phase currents IAB, IBC and ICA related to the corresponding phase-to-phase voltages VAB, VBC and VCA. The fault direction will be determined according to the figure above analyzing the phase selective starting signals IA>, IB> and IC>.

    • In case of a 3-pole fault ABC the three fault directions of the three measuring loops AB, BC and AC must be identical to detect forward or backward.

If IG> active (= Ground Fault)

ATPDesigner always calculates the phase shift of the phase currents IA, IB and IC related to the corresponding phase-to-ground voltages VAG, VBG and VCG. The fault direction will be determined according to the figure above analyzing the phase selective starting signals IA>, IB> and IC>.

    • In case of a 3-pole fault ABCG the three fault directions of the three measuring loops AG, BG and CG must be identical.
    • In case of a 2-pole fault ABG, BCG and CAG the two fault directions of the both measuring loops must be identical to detect forward or backward.

In case of an overcurrent detection calculating the steady state of e power network, the text element "I>" will be displayed closed to the Probe . Fault Directions are shown in the figure below. The short-circuit ABCG has been set at the line using a Short-Circuit .


Distance Protection

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table below). ATPDesigner uses the same settings for both different network calculation methods.

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
I>, TI> (No. 1) | X | X
I>, TI> (No. 2..3) | X | -
IG>, TIG> | X | X
IF> | X | X
Ip >= 2/3 Ipmax | X | -
Fault Direction Detection (1): Ø(Vpg,Ip) | X | X
Fault Direction Detection (2): Char. Angle | X | -
Inverse-Time Overcurrent (IDMT) | X | -
V / I - Starting System | X | -
V<, TV<, V>, TV> | X | X
Impedance Characteristic: Polygon 1..3 | X | X
Impedance Characteristic: Polygon 4..5 | X | -
Impedance Characteristic: Circle 1..5 | X | -
Vnprim, Vnsec, Inprim, Insec | X | X
|kG| , ϕ(kG) | X | X
Impedance Algorithm | - | X
Z< Measuring Loop PPG | X | X
Protective Signaling | X | -
Underimpedance Detection | X | -
Backup Overcurrent Protection | X | -
Ground Fault Protection | X | -
Q-V-Protection | X | -

Read also Probes and Protection Elements

Read more about the Calculation of Impedances by Probes

Read also Protection Analysis - Tripping Characteristic Diagrams for Distance Protection

ATPDesigner calculates the impedance of the positive-sequence system Z1 (also called short-circuit impedance Z1k) between the measuring location of a Probe and a short-circuit location in the electrical power network e.g. caused by a Short-Circuit using different impedance calculation algorithms. The figure below shows the settings dialog. These impedances can be calculated using the Short-Circuit Analysis (ATP Steady State) and displayed using one of the Fx-Keys in a Measurement Data Frame . In case of the calculation of the transients ATPDesigner will automatically use MODELS to implement a protection algorithm to realize a distance protection relay. The Distance Protection element can be also combined with other protection elements.

  • Please Note

In practice it is usual to use one overcurrent protection element with and one overcurrent protection element without short-circuit detection as a long-time backup protection, processing in parallel to the distance protection element. Both overcurrent protection elements can be easily realized using the Additional Overcurrent Protection .

Starting System

The protection element Distance Protection uses a starting system only to detect the fault type e.g. AB or AG. ATPDesigner supports two different starting systems for the Distance Protection. The settings have been explained in Directional Overcurrent Protection and Overvoltage and Undervoltage Protection . The p.u. - settings of the tab V<> & I> are related to the both settings Inom and Vnom in the tab General Data of the Probe .

  • Please Note

It is recommended to set the primary nominal settings Vnprim and Inprim of the tab General Data of the Probe which are the nominal settings of the Starting System . It is also recommended to set the primary nominal settings Vnprim and Inprim if the tab Distance equal to these both settings.

I> - Starting System

This starting system only uses the I> - Protection. The setting V< must be set to -1. The Enabled check box in the V / I - Starting System group must be disabled.

  • I> - threshold for phase-selective overcurrent starting (see Directional Overcurrent Protection , I> - Protection group)

Ip >= 2/3 Ipmax

If enabled, the phase currents with |Ip| < 2/3 ⋅ |Ipmax| will be ignored processing the starting system where Ipmax is the maximum amount of the phase currents IA, IB and IC. This option may help to reduce the influence of e.g. unsymmetrical loads or renewable power infeed regarding the starting elements.

I>, V< - Starting System

This starting system only uses the settings in I> - Protection and V<> - Protection, not the settings in the V / I - Starting System group. The Enabled check box in the V / I - Starting System group must be disabled.

  • I> - threshold for phase-selective overcurrent starting (see Directional Overcurrent Protection , I> - Protection group)
  • I>> - threshold for phase-selective overcurrent starting (see Directional Overcurrent Protection , I> - Protection group)
  • V< - threshold for phase-selective undervoltage starting (see Directional Overcurrent Protection , V<> - Protection group)

V / I - Starting System

This starting system uses the settings in I> - Protection and V<> - Protection and the settings in the V / I - Starting System group. It must be enabled using the Enabled check box in the V / I - Starting System group.

  • I> - threshold for phase-selective overcurrent starting (see Directional Overcurrent Protection , I> - Protection group)
  • I> - threshold for phase-selective overcurrent starting (see Directional Overcurrent Protection , I> - Protection group)
  • V< - threshold for phase-selective undervoltage starting (see Directional Overcurrent Protection , V<> - Protection group)
  • V<< - threshold for phase-selective undervoltage starting

Additional Protection Elements

IDMT-Protection

The protection element will processed in parallel to the distance protection.

Under- and Overvoltage Protection

The protection element will processed in parallel to the distance protection.

Overcurrent Protection with time delay and optionally with fault direction

The protection element will processed in parallel to the distance protection, but not the elements used for the Starting System as described above.

Backup Overcurrent Protection

ATPDesigner also provides a Backup Overcurrent Protection using the settings of the Overcurrent Protection elements No. 2 and 3 as shown in the settings dialog below. The backup overcurrent protection will be started either using the I> thresholds in the settings dialog below or using the Underimpedance Detection . It is also possible to use the fault direction as explained for the Directional Overcurrent Protection . The example below shows a backup overcurrent using two stages:

    • Line No. 2: I> = 1.5 Inom, 4s, fault direction forward
    • Line No. 3: I> = 1.5 Inom, 5s, fault direction undirectional = forward or backward

Distance Protection and Short-Circuit Analysis (ATP Steady State)

ATPDesigner calculates the impedances based on the results of the steady state analysis of the electrical power network, that means based on the complex phasors of the voltages and currents. Based on the settings of the Distance Protection as shown below, ATPDesigner identifies the distance protection which will trip first in the power network. The tripping characteristic as well as the delay time of the impedance zone will be taken into account.

The figure above shows the results of the Distance Protection processed by ATPDesigner. ATPDesigner writes the results of all Distance Protections into the Messages Window , if the Distance Protection has identified a starting condition (I>, V<, V> starting system or VI - starting system).

PROT> : Results of a protection relay

    1. User specific name of the Probe
    2. Reference name of the Probe
    3. GEN=1/0 : protection relay has detected a general starting/not detected a general starting
    4. I>=1/0, IG>=1/0, V>=1/0, V<=1/0, VI=1/0 : starting system
      1. general starting 1/0(..)
      2. phase selective starting ..(1/0 1/0 1/0) for phase A, B and C
    5. TRIP=1/0 : protection relay has been tripped/not tripped
    6. Name of the protection scheme e.g. Distance Protection
    7. ZONE=x/y
      1. x = Number x of the impedance zone
      2. y = Name of the impedance measuring loop e.g. AB
    8. Minimum tripping time of all protection relays in the electrical power network, identified by ATPDesigner
    9. Resistance of the positive-sequence impedance calculated by the distance protection
    10. Reactance of the positive-sequence impedance calculated by the distance protection
    11. Settings of the distance protection
    12. Resistance of the positive-sequence system of the impedance zone
    13. Reactance of the positive-sequence system of the impedance zone
    14. Time delay of the impedance zone

  • Calculation of the Positive-Sequence System used to set a Distance Protection Relay

The messages of the Distance Protection shown in the figure above can be also used to calculate the impedance of the positive-sequence system, which must be known to set a distance protection relay.

    • Set the Short-Circuit ABCG at the end of the impedance zone e.g. at 85% of the line length.
    • Start the Short-Circuit Analysis e.g. by pressing the toolbar button
    • Identify the positive-sequence impedance in the Messages Window : Z1 = R1k + jX1k

The short-circuit impedance Z1 of the positive-sequence system will be calculated using the equations shown below:

    • For the phase-to-phase measuring loops: Z1pp = Upp / Ipp
    • For the phase-to-phase measuring loops: Z1pg = Upg / (Ipg + kG ⋅ Ipg)

The ground compensation factor kG will be calculated using the impedances of the positive-sequence system and the zero-sequence system:

      • kG = (Z0 - Z1) / (3 ⋅ Z1) = ZG / Z1

Distance Protection and Calculating Transients

ATPDesigner automatically executes a MODELS based Distance Protection based on the settings of the Distance Protection as shown below. The figure below shows the structure of the distance protection algorithm implemented in ATPDesigner in case of the calculation of the transients. The short-circuit impedance Z1 of the positive-sequence system will be calculated using the equations shown below:

  • For the phase-to-phase measuring loops: Z1pp = Upp / Ipp
  • For the phase-to-phase measuring loops: Z1pg = Upg / (Ipg + kG ⋅ Ipg)

The ground compensation factor kG will be calculated using the impedances of the positive-sequence system and the zero-sequence system:

    • kG = (Z0 - Z1) / (3 ⋅ Z1) = ZG / Z1

    • The impedance of the positive-sequence system Z1 can be calculated at the primary or secondary circuit of the voltage and current transformers. Furthermore the Ground Compensation Factor kG will be also taken into account calculating the impedance of the positive-sequence system Z1 for the impedance measurement loops AG, BG and CG.

    • The distance protection relay sets an (internal) TRIP command to the connected circuit-breaker, if the positive-sequence impedance Z1 calculated by the impedance algorithm is inside the characteristic of the impedance zone and the tripping time T has been elapsed.

    • The time of the circuit-breaker to interrupt the short-circuit will be simulated by the time interval Tcb in the settings dialog Probe .

    • An automatic-reclosing can be also set using the time interval Trc in the settings dialog Probe .

  • Please Note

The algorithm to calculate the impedance of the positive-sequence system Z1 can be set in the settings dialog Network Configuration , tab Protection . In the settings dialog shown below this setting will be only displayed and can not be changed. This setting is only of interest, if the MODELS based distance protection will be used, therefore only during the calculation of the transients, not in case of the Short-Circuit Analysis (ATP Steady State).

  • Please Note

Some explanations written below are only of interest if the MODELS based distance protection will be used, therefore only during the calculation of the transients, not in case of the Short-Circuit Analysis (ATP Steady State).

Settings Dialog

The figure below shows the settings dialog.

  • Please Note

It should be considered that the nominal voltages and nominal currents defined in the settings dialog below may be equal to the settings in the tab General Data of the Probe settings dialog.

Vnprim

Nominal voltage of the voltage transformer at the primary circuit

Vnsec

Nominal voltage of the voltage transformer at the secondary circuit

Inprim

Nominal current of the current transformer at the primary circuit

Insec

Nominal current of the current transformer at the secondary circuit

  • Please Note

It is recommended to set the primary nominal settings Vnprim and Inprim equal to the both corresponding settings in the tab General Data of the Probe which realizes the Starting System of the distance protection element.

Equipment to be protected

ATPDesigner automatically identifies the equipment e.g. a Line or a Transformer which has to be protected by the protection element. If the equipment identification could be successfully finalized ATPDesigner determines the positive-sequence impedance of this network element. The positive-sequence impedance will be used e.g. creating the tripping characteristic diagram of the distance protection element.

  • R1sec

Positive-sequence resistance of the network element to be protected at the secondary circuit of the ct/vt

  • X1sec

Positive-sequence reactance of the network element to be protected at the secondary circuit of the ct/vt

  • Please Note

The automatic identification of the secondary positive-sequence system impedance will be started by pressing the button Equipment in the dialog List of Protection Analysis Results .

IF>

Minimum amount of the phase currents to enable the impedance calculation

    • Enable the impedance measuring system

The calculation of the short-circuit impedance will be enabled, if at least one of the amounts of the phase currents IA, IB and IC exceeds the threshold IF>, otherwise the impedance measuring system is disabled for all impedance zones. If disabled the short-circuit impedances of the impedance measuring loops will be set to 0Ω and the algorithm of the impedance zones to trip or not to trip will be disabled. The starting signal DA5xxx is the result of the comparison of the phase currents and the threshold IF>.

      • DA5xxx = 1 if (|IA| > IF>) OR (|IB| > IF>) OR (|IC| > IF>) ⇒ Calculation of the short-circuit impedances enabled
      • DA5xxx = 0 otherwise ⇒ Calculation of the short-circuit impedances disabled, short-circuit impedances set to 0Ω

    • Enable the impedance zone based decision (trip or not trip)

If the impedance measuring system has been enabled (DA5xxx = 1), the amount of all phase currents which are used to calculate the short-circuit impedance of a impedance measuring loop must exceed the the threshold IF>, otherwise the algorithm to decide trip or not trip will be automatically disabled.

Example: 2p-Short-Circuit BC

      • (|IB| > IF>) AND (|IC| > IF>) go enable the impedance measuring algorithm for zone AB

|kG|

Amount of the ground compensation factor kG

ϕ(kG)

Phase of the ground compensation factor kG

  • Please Note

This ground compensation factor is always equal to the ground compensation factor of the impedance zones. The ground compensation factor will be used by ATPDesigner processing the distance protection in case of a Short-Circuit Analysis (ATP Steady State) and calculating transients. The ground compensation factor kG will be calculated using the impedances of the positive-sequence system and the zero-sequence system:

    • kG = (Z0 - Z1) / (3 ⋅ Z1) = ZG / Z1

Tripping Characteristic

    • Polygon

The characteristic of the impedance zone is a Polygon.

      • used for the calculation of the transients and the Short-Circuit Analysis (ATP Steady State)

    • Circle

The characteristic of the impedance zone is a Circle.

      • used only for the Short-Circuit Analysis (ATP Steady State)

Impedance Algorithm

The user can select an algorithm to calculate the impedance of the positive-sequence system Z1 between the measuring location of the Probe and the fault location. The impedance Z1 will be used to trip or not trip according the tripping characteristic as well known from distance protection relays. Each impedance algorithms has its own response time. In addition a time delay caused by the mechanical relay contact, which sets the OPEN command to the circuit-breaker, must be also considered. This setting is only of interest if the transients will be calculated. The algorithms are implemented using MODELS and therefore can be not used during Short-Circuit Analysis (ATP Steady State).

    • Phadke/Ibrahim

This method is a Fourier based algorithm to calculate the impedance Z of a measuring loop based on the phase-to-ground and phase-to-phase voltages and the phase currents.

Response time: 20ms

Time delay by relay contact: 3ms

    • McInnes/Morrison

This method is an algorithm based on differential equation 1st order to calculate the resistance R and the inductance L of a measuring loop based on the phase-to-ground and phase-to-phase voltages and the phase currents.

Response time: 11ms

Time delay by relay contact: 3ms

  • Please Note

Minimum tripping time of the internal TRIP command (DCDxxx) = Response time + Time delay by relay contact

  • Please Note

This setting can be only changed at the same time for all Probes using the corresponding setting in the settings dialog Network Configuration, Protection .

  • Please Note

Read more about algorithms to calculate impedances in "Digitaler Distanzschutz Verhalten der Algorithmen bei nichtidealen Eingangssignalen

Nelles, Dieter; Opperskalski, Hartmut; Deutscher Universitäts-Verlag, 1991"

Z< Measuring Loop PPG

In case of a phase-to-phase-to-ground fault (e.g. ABG, BCG or CAG) it is possible to select one of the impedance measuring loops phase-to-phase or phase-to-ground, which will be used to calculate the positive-system impedance Z1. The impedance Z1 will be used to trip or not trip according the tripping characteristic as well known from distance protection relays.

    • PP

Phase-to-phase measuring loop

    • PG (leading)

Leading phase-to-ground measuring loop

    • PG (lagging)

Lagging phase-to-ground measuring loop

Starting Information | PP | PG (leading) | (PG (lagging)
ABG | AB | AG | BG
BCG | BC | BG | CG
CAG | CA | CG | AG

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

The table below shows the impedance measuring loops which will be used to calculate the positive-system impedance Z1. The impedance Z1 will be used to trip or not trip according the tripping characteristic as well known from distance protection relays.

Starting | Impedance Measuring Loop
AG | AG
BG | BG
CG | CG
ABG | AB or AG or BG
BCG | BC or BG or CG
CAG | CA or CG or AG
ABCG | AB
AB | AB
BC | BC
CA | CA
ABC | AB

  • Please Note

In case of a phase-to-phase-to-ground fault ABG, BCG or CAG, the impedance measuring loop will be selected according the setting Z< Measuring Loop PPG .

Results of the Distance Protection calculating Transients

The tripping behavior of the distance protection relay can be easily tested in case of a 2-phase-to-ground fault as shown in the example in the figure below. The both lines have been realized using Line 1 and Line 2 . Both lines can be used with an integrated fault location. The Prefault of the both faults can be set in the settings dialog ATP Data .

    • 2-Phase-to-Ground Fault AG and BG at different fault locations
    • Distance Protection set at Probe P6
      • Zone 1: 85% of the line length (10km + 10km = 20km) = 17km, t = 0ms
      • Zone 2: 110% of the line length (10km + 10km = 20km) = 22km, t = 300ms

  • Z< Measuring Loop PPG: PP

Phase-to-phase measuring loop AB, tripping time about 700ms (= 400ms Prefault + 300ms Zone 2)

  • Z< Measuring Loop PPG: PG (leading)

Leading phase-to-ground measuring loop AG, tripping time about 400ms (= 400ms Prefault + 0ms Zone 1)

  • Z< Measuring Loop PPG: PG (lagging)

Lagging phase-to-ground measuring loop BG, tripping time about 700ms (= 400ms Prefault + 300ms Zone 1)

  • Please Note

The tripping time is an absolute time stamp and not related to the starting signal of the distance protection but only related to starting time of the simulation at t = 0ms. Therefore the Prefault must be subtracted.

The tripping time can be displayed in a tooltip if the mouse cursor moves "over" the shape of the Switch, which is combined with the Probe as shown in the figure below.

The figure below shows

  • the time dependent signals of the short-circuit currents API006, BPI006 and CPI006
  • the general starting signal DA0006
  • the TRIP command DTP006

in a Diagram . The general starting signal and the TRIP command have been scaled using the Diagram Scaling Factors .

Characteristic of the Impedance Zones

The figure below shows the characteristic of the impedance zones used as part of the distance protection relay. The green arrow indicates the positive-sequence impedance Z1 of the line which to be protected. As usual for protection relays only the impedance of the positive-sequence system will be used for the characteristic of the impedance zone independent of the fault types phase-to-ground or phase-to-phase.

    • Positive-Sequence Impedance Z1 = R1 + jX1 = R + jX

X [Ohm]

Reactive reach of the impedance zone (reactance of the positive-sequence impedance X = X1)

R [Ohm]

Resistive Reach of the impedance zone (resistance of the positive-sequence impedance R = R1)

ϕ(Z) [°]

Angle of the zone (= angle of the positive-sequence impedance): ϕ(Z) = atan (X / R) = atan (X1 / R1)

t [ms]

Tripping time of the zone

Dir.

Fault direction of the zone

    • 1 = forward
    • 2 = backward

ϕ [°]

Angle to set the straight line separating the fault both directions forward and backward in the impedance diagram displayed above

|kG|

Amount of the ground compensation factor kG

kG [°]

Phase of the ground compensation factor kG

  • Please Note

This ground compensation factor of the all impedance zones will be automatically set equal to the ground compensation factor of zone 1 and the third ground compensation factor called Factor kG in the settings dialog.

MODELS Output Signals

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

Name | Description
DA0xxx | General starting: 0 = disabled, 1 = enabled DA0xxx = DA1xxx OR DA2xxx OR DA3xxx
DTPxxx | TRIP-Command of the circuit-breaker 0 = circuit-breaker closed, 1 = circuit-breaker opened
DVGxxx | General starting des V> - protection 0 = disabled, 1 = enabled
DVKxxx | General starting V< - protection 0 = disabled, 1 = enabled

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 3 or higher

Name

Description

IB1xxx

IB2xxx

IB3xxx

IB4xxx

Amount of the phase current IA [A]
Amount of the phase current IB [A]
Amount of the phase current IC [A]
Amount of the ground current IG [A]

used for I> - starting

DA1xxx

DA2xxx

DA3xxx

DA4xxx

DA5xxx

Starting phase A
Starting phase B
Starting phase C

Starting ground G
0 = disabled, 1 = enabled (if IABCG > I>)

Minimum amount of the phase currents to enable the impedance calculation

0 = disabled, 1 = enabled (if IABCG > IF>)

DCDxxx

Internal TRIP-command used to control the assigned circuit-breaker ( Switch )

1 = closed, 0 = opened

Znxxx

Impedance Zone 1:

n = 0: Z00xxx = Z01xxx OR Z02xxx OR Z03xxx OR ...

n = 1: Short-circuit impedance AG (secondary)

n = 2: Short-circuit impedance BG (secondary)

n = 3: Short-circuit impedance CG (secondary)

n = 4: Short-circuit impedance AB (secondary)

n = 5: Short-circuit impedance BC (secondary)

n = 6: Short-circuit impedance CA (secondary)

Impedance Zone 2:

n = 7: Z07xxx = Z08xxx OR Z09xxx OR Z10xxx OR ...

n = 8: Short-circuit impedance AG (secondary)

n = 9: Short-circuit impedance BG (secondary)

n = 10: Short-circuit impedance CG (secondary)

n = 11: Short-circuit impedance AB (secondary)

n = 12: Short-circuit impedance BC (secondary)

n = 13: Short-circuit impedance CA (secondary)

1 = Short-circuit impedance Z1k = R1k + jX1k inside the distance zone

0 = otherwise

  • Please Note
    These impedances are identical to the positive-sequence impedance usually calculated by distance protection relays measured at the secondary circuit of the voltage and current transformers of the substation.

XAGxxx

XBGxxx

XCGxxx

Reactance of the positive-system impedances X1k [Ohm] of the short-circuit impedances AG, BG and CG (secondary)

XABxxx

XBCxxx

XCAxxx

Reactance of the positive-system impedances X1k [Ohm] of the short-circuit impedances AB, BC and CA (secondary)

RAGxxx

RBGxxx

RCGxxx

Resistance of the positive-system impedances X1k [Ohm] of the short-circuit impedances AG, BG and CG (secondary)

RABxxx

RBCxxx

RCAxxx

Resistance of the positive-system impedances X1k [Ohm] of the short-circuit impedances AB, BC and CA (secondary)

DI1xxx

DI2xxx

DI3xxx

Phase current to calculate the short-circuit impedance of the phase-to-ground measuring loop

DI(123)xxx = i(ABC)(t) + kG ⋅ iG(t)

  • Please Note
    Only if impedance algorithm McInnes/Morrison has been selected

GITxxx

Residual (ground or earth-return) current iG(t) = iA(t) + iB(t) + iC(t)

  • Please Note
    Only if impedance algorithm McInnes/Morrison has been selected


Differential Protection

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table below). ATPDesigner uses the same settings for both different network calculation methods.

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
Differential Protection (2 Measuring Locations) | X | X
Differential Protection (3 Measuring Locations) | X | -
Measuring Direction D1, D2 and D3 | X | -

Read also about Protection Analysis - Tripping Characteristic Diagrams for Differential Protection

ATPDesigner supports the Differential Protection for 2 or 3 measuring locations, for 2-Winding-Transformer and 3-Winding-Transformer as well as for Line with 2 or 3 terminals. The measuring locations will be realized using the network element Probe , one Probe for each measuring location so called Measuring Probe.

  • Nominal Voltage Vnom and Nominal Current Inom of the Measuring Probe

The settings Vnom and Inom of the Probe used as measuring locations must be set equal to the primary nominal voltage and primary nominal current of the current transformer (ct) and voltage transformer (vt) used in the power network.

  • Differential Protection and Circuit-Breaker

The Measuring Probe (= Probe used as measuring locations) must be connected with a Switch using the Combine function.

How to Lock/Unlock the green Measuring Lines from/to the Differential Protection Probe ?

Using the Lock/Unlock button

  • Select the shape of the Probe by a left mouse button click
  • Click on the Lock/Unlock button

Using the Right Mouse Button Menu

  • Select the shape of the Probe by a left mouse button click
  • Open the Right Mouse Button Menu
  • Click on the menu item Lock


Differential Protection - 2 Measuring Locations

ATPDesigner processes a Differential Protection with 2 measuring locations. ATPDesigner calculates the differential current Idiff and the restraining current Irest as defined below:

Idiff = | I1 + I2 |

Irest = 0,5 ⋅ (I1 - I2)

In the example shown below the currents I1 and I2 will be measured by the Measuring Probes P2 and P3 .

Idiff P4 = | IP2 + IP3 |

Irest P4 = 0,5 ⋅ (IP2 - IP3)

  • Measuring Direction of the Measuring Probes P2 and P3

It is required to set the measuring directions of all Measuring Probes in direction to the transformer or line as shown in the figure below.

    • The Measuring Probes can be also used to process an Protection Element but not the Differential Protection .

  • Please Note

It is not allowed to set the Operating Mode of the Measuring Probes to Vdiff .

  • Combine Measuring Probe and Switch

It is also required to combine the Measuring Probe and the corresponding Switch as shown in the figure below by the green Combine lines between Measuring Probe and Switch .

  • Differential Protection Probe P4

The Differential Protection Probe P4 will be only used by ATPDesigner to process the differential protection algorithm. This Probe must be connected to the Measuring Probes P2 and P3 by the green Measuring Line .

    • The Operating Mode of the Differential Probe P4 must be set to Vdiff .
    • The Differential Probe P4 takes the currents measured by the Measuring Probes P2 and P3 and processes the differential protection algorithm.
    • The Differential Probe P4 sends trip command to the Measuring Probes P2 and P3.

  • Please Note

The Switches in the example above will be opened as explained below:

    • The Differential Protection Probe P4 sends a trip command to the Measuring Probes P2 and P3.
    • The Measuring Probes P2 and P3 open the Switches combined by the green lines.

The settings nominal voltage Vnom and nominal current Inom of the both Measuring Probes P2 and P3 must be set equal to the primary nominal voltage and primary nominal current of the current transformer (ct) and voltage transformer (vt) used in the power network. The Measuring Probes P2 and P3 must also be combined with two circuit-breaker (Switch). It is also possible to use the Internal Switch of the Probe instead of the external Switch. The figure below shows an example processing Load Flow Analysis . In case of a TRIP command, the both Switch combined to the both Measuring Probes may be opened in case of a short-circuit.

Read also about Combine Probe and Circuit-Breaker to a Protection Relay to a Protection Relay

In addition ATPDesigner writes the results of the protection scheme analysis into the Messages Window . It can be seen that the Distance Protection has been started (GEN=1) and tripped (TRIP=1). The Differential Protection has been started (G) and tripped (T). It can be also seen that the Differential Protection uses the two Probes Prb 2 and Prb 3 as measuring locations. The figure below shows the settings dialog of the Differential Protection as part of the settings dialog of the Probe .

  • IdABC: differential current Idiff for the three phases A, B and C
  • IrABC: restraining currents Irest for the three phases A, B and C

In the settings dialog below the two Measuring Probes M1 = Prb 2 = P2 and M2 = Prb 3 = P3 have been set.

Measuring Locations M1, M2 and M3

Reference name of the both Probe to be used to measure the phase currents

  • Please Note

It is recommended to use the Probe at measuring location M1 at Winding A (HV-Winding) of the Transformer , the Probe at measuring location M2 at the Winding B (LV-Winding).

Measuring Direction D1, D2 and D3

The measuring direction can be set for each Measuring Probe.

    • Standard

Measuring Direction = Direction of the red triangle of the Measuring Probe

    • Invers

Measuring Direction = Invers to the direction of the red triangle of the Measuring Probe

M1: Zero-sequence current filtering enabled

Enable the filtering of zero-sequence current measured by Probe M1

M2: Zero-sequence current filtering enabled

Enable the filtering of zero-sequence current measured by Probe M2

M3: Zero-sequence current filtering enabled

Enable the filtering of zero-sequence current measured by Probe M3

  • Please Note

In case of a transformer differential protection it is recommended to enable the zero-sequence current filtering for the winding where the neutral point has been set to solid grounded .

Iref

Reference current Iref

The reference current will be automatically set to the nominal current of the Measuring Probe M1.

Iref = Inom M1

Set the setting Iref equal to the nominal current I nom of the Measuring Probe M1

Td>

Time delay of the differential protection

Id>

Operate value of the differential protection function as referred to the reference current Iref

Id>>

Threshold value of the differential current for deactivation of the inrush stabilization function (harmonic restraint) and of the overfluxing restraint.

Id>>>

Threshold value of the differential current for tripping by the differential protection function independent of restraining variable, harmonic restraint, overfluxing restraint and saturation detector.

m1

Gradient of the tripping characteristic of differential protection in the range 0.5 Idiff> < Irest < Ir,m2.

m2

Gradient of the tripping characteristic of differential protection in the range Irest > Ir,m2

Ir,m2

This setting defines the second knee of the tripping characteristic. Above this knee, the gradient is equal to m2.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


Differential Protection - 3 Measuring Locations

ATPDesigner processes a Differential Protection with 3 measuring locations. ATPDesigner calculates the differential current Idiff and the restraining current Irest as defined below:

Idiff = | I1 + I2 + I3 |

Irest = 0,5 ⋅ (| I1 | + | I2 | + | I3 |)

In the example shown below the currents I1 , I2 and I3 will be measured by the Measuring Probes P2, P3 and P5. The tripping characteristic and the the zero-sequence current filtering is equal to the differential protection using only 2 measuring locations.

Idiff P4 = | IP2 + IP3 + IP5 |

Irest P4 = 0,5 ⋅ (| IP2 | + | IP3 | + | IP5 |)

  • Measuring Direction of the Measuring Probes P2, P3 and P5

It is required to set the measuring directions of all Measuring Probes in direction to the transformer or line as shown in the figure below.

    • The Measuring Probes can be also used to process an Protection Element but not the Differential Protection .

  • Please Note

It is not allowed to set the Operating Mode of the Measuring Probes to Vdiff .

  • Combine Measuring Probe and Switch

It is also required to combine the Measuring Probe and the corresponding Switch as shown in the figure below by the green Combine lines between Measuring Probe and Switch.

  • Differential Protection Probe P4

The Differential Protection Probe P4 will be only used by ATPDesigner to process the differential protection algorithm. This Probe must be connected to the Measuring Probes P2, P3 and P5 by the green Measuring Line .

    • The Operating Mode of the Differential Probe P4 must be set to Vdiff .
    • The Differential Probe P4 takes the currents measured by the Measuring Probes P2, P3 and P5 and processes the differential protection algorithm.
    • The Differential Probe P4 sends trip command to the Measuring Probes P2, P3 and P5.

  • Please Note

The Σωιτχηεσ in the example above will be opened as explained below:

    • The Differential Protection Probe P4 sends a trip command to the Measuring Probes P2, P3 and P5.
    • The Measuring Probes P2, P3 and P5 open the Switches combined by the green lines.


Differential Protection - Tripping Characteristic

The figure below shows the tripping characteristic of the Differential Protection for 2 measuring locations as well as 3 measuring locations. The settings dialog shown below has been explained in Differential Protection . This tripping characteristic will be typically used for transformer differential protection but can also be used for line differential protection.


Underimpedance Detection

ATPDesigner provides the user with an Underimpedance Detection.

  • available for Distance Protection

The figure below shows the characteristic of the Underimpedance Detection. The characteristic can be displayed in a impedance diagram using the Diagram Type X = f(R) .

The settings of the Underimpedance Detection will be shown in the settings dialog below at the left. The diagram at the right shows the characteristic of the Underimpedance Detection drawn in brown with the tripping characteristic polygon of the Distance Protection .

ϕ(Z) [°]

Angle of the line impedance (= angle of the positive-sequence impedance): ϕ(Z) = atan (X / R) = atan (X1 / R1)

X [Ohm]

Reactance (always X > 0)

R [Ohm]

Resistance (always R > 0)

ϕ(Load) [°]

Angle of the load

RLoad [Ohm]

Resistance of the load

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file

As usual for an underimpedance detection the impedance of the positive-sequence system Z1 of all phase-to-phase and phase-to-ground impedance measuring loops will be used to check if their phasors are inside the characteristic or not. ATPDesigner calculates the positive-impedances Z1 of all impedance measuring loops Z1AG, Z1BG, Z1CG, Z1AB, Z1BC and Z1CA. The table below shows how ATPDesigner generates the phase-selective starting signals, which will be used to select the impedance measuring loop to calculate the short-circuit impedance Z1k.

Z1xx inside the characteristic | Starting (Z< Detection)
Z1AG | A
Z1BG | B
Z1CG | C
Z1AB | A and B
Z1BC | B and C
Z1CA | C and A

The phase-selective starting signals will be OR-combined to the (3-phase) starting signal of the Underimpedance Detection. If enabled the Underimpedance Detection starts the Backup Overcurrent Protection of the Distance Protection ,

IF

  • the short-circuit impedance Zk is inside the underimpedance detection characteristic

AND

  • the short-circuit impedance Zk is outside all Impedance Characteristic Polygon of the Distance Protection Zones .

If both conditions are true the Underimpedance Detection identifies the phase selective starting signals Z< Detection AG,BG,CG according the table above. The impedance diagram above shows an example. The red cross indicates that the short-circuit impedance Z1k is inside the Underimpedance Detection characteristic but outside the polygons. Therefore the Backup Overcurrent Protection will be started.


Protective Signaling

ATPDesigner provides the user with the Protective Signaling in combination with the Distance Protection . The reach of the first impedance zone of the distance protection element is normally set for values less than 100%. Protective signaling can be used to extend protection to 100% of the line section. This can be achieved by linking the distance protection element to the remote station’s protection element by Protective Signaling. The figure below shows the settings dialog. The Protective Signaling only uses the results of the first impedance zone, which can be identified by the identifier No. 1 in the List of Impedance Zones shown in the tab Distance Protection .

Enable Protective Signaling

Enable or disable the Protective Signaling element

T

Starting time in ms

Operation Mode

    • Direct underreaching transfer trip

When a distance protection trip command in the impedance zone 1 has occurred, a signal is sent to the remote station’s protection element which opens the remote station’s circuit-breaker.

    • Permissive underreaching transfer trip

When a distance protection trip command in the impedance zone 1 has occurred, a signal is sent to the remote station’s protection element. On receipt of the signal by the remote station, the remote station’s circuit-breaker will trip after elapsing the Starting Time T has been elapsed.

Remote Station Protection Relay

The user must select the reference names of the sending Probe e.g Prb 1 in the remote station.The user specific name of the Probe will be displayed in the text frame at the right.

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


Inverse-Time Overcurrent Protection (IDMT)

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table below). ATPDesigner uses the same settings for both different network calculation methods.

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
Inverse-Time Overcurrent (IDMT) | X | -

ATPDesigner supports the Inverse-Time Overcurrent Protection (IDMT) processed as part and in parallel of to the Directional Overcurrent Protection and Distance Protection .

The Inverse-Time Overcurrent Protection (IDMT) can be set for the phase currents, the negative-sequence system and the zero-sequence system independent from each other. Each of these three IDMT elements can be defined using the settings below:

    • Starting Element [p.u.]
    • Reference current [A]
    • Invers-time characteristic
    • k-factor for the invers time characteristic

The figure below shows the relation between the starting signals of the three IDMT sub elements and the General Starting signal of the protection element.

  • Please Note

ATPDesigner displays the Results of the Protection Element e.g. the TRIP command as well in the power network graphic as in the Messages Window .

The IDMT protection element consists of three different protection elements. All of these IDMT elements can use different IDMT invers-time characteristics. If a Directional Overcurrent Protection or Distance Protection has been selected as the main protection element, the short-circuit direction will be automatically determined and used processing the Protection Analysis Algorithm.

  • IDMT: Phase-Current Element IABC>

The IDMT element uses the phase currents IA, IB and IC to determine the time of the TRIP command and the short-circuit direction.

Read also IDMT Protection Element for Phase-Currents

  • IDMT: Zero-Sequence System Element IG>

The IDMT element uses the residual current IG = (IA + IB + IC) to determine the time of the TRIP command and the short-circuit direction.

Read also IDMT Protection Element for the Zero-Sequence System

  • IDMT: Negative-Sequence System Element I2>

The IDMT element uses the negative-sequence system current I2 = ( IA + a2 ⋅ IB + a ⋅ IC) / 3 to determine the time of the TRIP command and the short-circuit direction.

Read also IDMT Protection Element for the Negative-Sequence System

The figure below shows the settings dialog of the IDMT protection elements.

  • IDMT and Undirectional Overcurrent Protection

If the Undirectional Overcurrent has been selected the detection of the fault direction will be ignored.

  • IDMT and Directional Overcurrent Protection or Distance Protection

If the Directional Overcurrent or Distance Protection has been selected the detection of the short-circuit direction will be taken into account as explained in the chapters:

    • IDMT Protection Element for Phase-Currents IABC>

    • IDMT Protection Element for the Zero-Sequence System IG>

    • IDMT Protection Element for the Negative-Sequence System I2>

Ip>

Starting element to monitor the phase currents IA, IB and IC

The IDMT-protection element will be enabled if the amount of one of the phase currents exceeds the threshold Ip>.

IG>

Starting element to monitor the residual current IG = IA + IB + IC

The IDMT-protection element will be enabled if the amount of the residual current exceeds the threshold IG>.

I2>

Starting element to monitor the negative-sequence system current I2 = ( IA + a2 ⋅ IB + a ⋅ IC) / 3

The IDMT-protection element will be enabled if the amount of the negative-sequence system current exceeds the threshold I2>.

  • Please Note

The value of the thresholds Ip>, IG> and I2> must be defined in p.u. related to the corresponding reference current Ipref, IGref and I2ref (= 1 p.u.). The reference currents are settings as part of the IDMT settings dialog.

    • Ip> [A] = Ip> [p.u.] ⋅ Ipref [A]
    • IG> [A] = IG> [p.u.] ⋅ IGref [A]
    • I2> [A] = I2> [p.u.] ⋅ I2ref [A]

  • Please Note

The starting elements Ip>, IG> and I2> will be not used to calculate the IDMT tripping time. These settings will be only used as thresholds to enable or disable the IDMT-protection elements.

Ipref

Reference current of the phase-current IDMT element

IGref

Reference current of the zero-sequence system IDMT element using the residual current IG

I2ref

Reference current of the negative-sequence system IDMT element using the negative-sequence system current I2

k(Ip)

k-factor used by the IDMT characteristic of the phase-current IDMT element

k(IG)

k-factor of the IDMT characteristic used by the IDMT characteristic of the zero-sequence system IDMT element

k(I2)

k-factor of the IDMT characteristic used by the IDMT characteristic of the negative-sequence system IDMT element

Ø(IG)

Characteristic angle of short-circuit detection used by the IDMT characteristic of the zero-sequence system IDMT element

Ø(I2)

Characteristic angle of short-circuit detection used by the IDMT characteristic of the negative-sequence system IDMT element

IDMT Characteristics

    • Definite Time : t = k

    • IEC 255-3

      • Standard Invers : a = 0.14 ; b = 0.02

      • Very Invers : a = 13.5 ; b = 1.0

      • Extremly Invers : a = 80.0 ; b = 2.0

      • Long Time Invers : a = 120.0 ; b = 1.0

= Inom

Set the setting Ipref or IGref or I2ref equal to the nominal current I nom of the Probe

Depending on the IDMT characteristic it may be useful to set the reference current of the IDMT-protection element to a value which is not equal the nominal current Inom of the Probe .

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


Results in the Power Network ans Messages Window

The results of the protection element will be shown in the power network closed to the Probe which processes the protection element.

    • T: Protection element with TRIP
    • G: Protection element with GENERAL STARTING only
    • IT Abbreviation of the protection element
    • x:y x = time of the TRIP command, y = time of the interruption of the short-circuit current

In the Messages Window :

PROT> P8 [Prb 8] Directional Overcurrent GEN=1 [V>=0(000), V<=1(111)] TRIP=0: V< disabled, V> disabled

PROT> P8 [Prb 8] Directional Overcurrent GEN=1 [IDMT>=1(111), TIDMT(I/Iref)=733.412ms, I/Iref=6.51006] TRIP=1

PROT> P8 [Prb 8] Directional Overcurrent GEN=1 [I>=0(000), IG>=0, V>=0, V<=1] TRIP=0: I>=1000In, TI>=100ms, Tpr=20ms, Tcb=60ms, Forward(---FFF)

PROT> P8 [Prb 8] Directional Overcurrent: I>> OFF

PROT> P8 [Prb 8] Directional Overcurrent: I>>> OFF

    • GEN Starting information
    • IDMT> = 1: One or more of the phase currents exceeds the threshold I>, = 0 : otherwise

(xxx) with x=0/1 : phase selective starting signals phase A, B and C

    • TIDMT(I/Iref) Time of the TRIP command according the IDMT-characteristic
    • I/Iref Short-circuit current in p.u.
    • TRIP = 1 : with TRIP command, 0 = without TRIP command


IDMT Protection Element for Phase-Currents

First ATPDesigner determines the phase selective starting signals using the threshold Ip>. The general IDMT starting signal IIDMT> will be calculated as disjunction of the phase selective starting signals:

IIDMT> = IA> OR IB> OR IC>

The short-circuit detection of the phase-current IDMT uses

These four starting signals will be displayed in the Messages Window a shown below. The time delay of the IDMT-characteristic will be only calculated if the general IDMT starting signal IIDMT> has been detected.

Results of the IDMT for Probe P9

    • GEN = 1 : General starting for Probe P9 as the result of the protection analysis of all enabled protection elements
    • IDMT>=1(110) :
      • General IDMT starting signal IIDMT> detected
      • Phase selective starting signals (110) : amount of the phase currents exceed the I> threshold in phase A and B
    • TIDMT(I/Iref) : Time delay 3078.07 ms
    • I/Iref : Ratio between the maximum phase current and the reference current Iref
    • Iref : Setting reference current Iref
    • TRIP = 1 : TRIP command by the IDMT protection element

The figure below shows the results of the power network calculation.

    • Maximum phase current = 8319A measured by the Probe
    • I/Iref = 8319A / 900A = 9.24
    • T: IT/3078.1:3138.1ms : TRIP command by IDMT after 3078.1ms

The figure below shows the protection analysis results if all phase currents doesn't exceed the threshold I>.


IDMT Protection Element for the Zero-Sequence System

ATPDesigner processes an IDMT protection element in the zero-sequence system using the residual current IG and the zero-system sequence voltage V0. The IDMT-protection element will be enabled if the amount of the residual current exceeds the threshold IG>.

  • V0 = (VAG + VBG + VCG) / 3
  • IG = IA + IB + IC

The figure below shows the short-circuit detection characteristic.

Read more about the diagram of the short-circuit detection characteristic.


IDMT Protection Element for the Negative-Sequence System

ATPDesigner processes an IDMT protection element in the negative-sequence system using the negative-sequence system current I2 and the negative-system sequence voltage V2. The IDMT-protection element will be enabled if the amount of the negative-sequence system current exceeds the threshold I2>.

  • V2 = (VAG + a2 ⋅ VBG + a ⋅ VCG) / 3
  • I2 = (IA + a2 ⋅ IB + a ⋅ IC) / 3

The figure below shows the short-circuit detection characteristic.

Read more about the diagram of the short-circuit detection characteristic.


Fuse

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table above). ATPDesigner uses the same settings for both different network calculation methods.

  • Please Note

It will be recommended to read and study the document FUSE MANUAL from Dr.-Ing. Herbert Bessei. It is also available in German called Sicherungshandbuch. This document contains a lot of information and technical issues regarding fuses. It can be obtained from NH/HH-Recycling www.nh-hh-recycling.de .

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
Tv = f(Ik) - characteristic | X | -
I2t = f(t) - characteristic | - | X

ATPDesigner also provides the protection element Fuse represented by the I2t = f(t) characteristic (joule integral) or the Fuse Virtual Time Tv = f(Ik) characteristic and several settings shown in the settings dialog below. The both characteristics must be digitized by hand or by a tool to write a .csv-File . It is possible to load a specific fuse characteristic for each Probe . These characteristics will be stored into the .NET-File . Therefore it is not necessary to store the .csv-Files together with the .NET-File . The Fuse Characteristics are stored in the folder C:\ATPDesigner\Exe\Fuse using the .csv-File format. A set of Fuse Characteristics are part of the ATPDesigner Setup.

  • Please Note

These feature can be also used for all Protection Elements which are defined based on a characteristic identical to the Fuse Virtual Time Tv = f(Ik) characteristic. This can be very helpfully to study the behavior of Protection Elements in LV power networks.

  • Please Note

ATPDesigner also draws the Fuse Virtual Time Tv = f(Ik) characteristic in a diagram as known from the other Protection Elements .

Read more about the Fuse Virtual Time Characteristic displayed in a diagram

No.

Number of entries (lines) of the list

The maximum number of data pairs is limited up to 300.

Fuse Characteristic

The characteristic of the Fuse can be selected.

    • Characteristic Tv = f(Ik)

This characteristic can be only used to calculate the Short-Circuit Analysis Results (ATP Steady State).

    • Characteristic I2t = f(t)

This characteristic can be only used to calculate the transients.

Calculate I2t

The I2t = f(t) - characteristic will be calculated using the Tv = f(Ik) - characteristic: I2t = Ik ⋅ Tv. The settings I>, Ir and Imax of the Tv = f(Ik) - characteristic will be copied.

I>

Starting element

ATPDesigner compares the amount of the three phase currents IA, IB and IC with the starting element I> to start the supervision of the I2t characteristic (joule integral) of the fuse. The value of the setting will be calculated after loading a new characteristic of the fuse.

    • Loading tv characteristic
      • Identification of the smallest short-circuit current Ik min of the tv characteristic
      • Calculation I> = (1,05 ⋅ Ik min) / Ir rounded to the next positive integer

Ir

Rated current

Imax

Rated short-circuit breaking capacity

Maximum short-circuit current which can be interrupted by the fuse

Tol

Tolerance of the fuse characteristic

Arc Resistance

Enable the MODELS based arc resistance R(t) of the fuse (only available for the calculation of the transients)

Thermal Preloading

Enable the thermal preloading of the fuse e.g. to take a short-circuit current into account but without fusing (only available for the calculation of the transients)

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file

Loading and Saving a Fuse Characteristic

The ATPDesigner setup includes some digitized Fuse Characteristics which are stored in the folder C:\ATPDesigner\Exe\Fuse. Below it will be explained how to load and configure a Fuse Characteristic. These steps are required.

    1. Delete the content of the list control using the button Delete
    2. Select the option Characteristic Tv = f(Ik)
    3. Load the Fuse Characteristic using the button Load
    4. Set the rated current Ir of the Fuse
    5. ATPDesigner now automatically calculates the threshold I> depending on the rated current Ir.
    6. Set the rated short-circuit breaking capacity Imax
    7. Calculate the Fuse Characteristic to calculate transients using the button Calculate I2t
    8. Select the option Characteristic I2t = f(t) and check that the second characteristic is also available

The figure below shows the content of the folder C:\ATPDesigner\Exe\Fuse after the setup has been successfully finalized. The file names are for example:

    • 160A_NH2_gG.csv

Rated current Ir = 160A, type size NH2, utilization category gG

  • Please Note

It is recommended to select the right option Characteristic Tv = f(Ik) or Characteristic I2t = f(t)

    • Characteristic Tv = f(Ik) ⇒ Calculation of Steady State or Load Flow
    • Characteristic I2t = f(t) ⇒ Calculation of Transients

Load

The I2t or tv characteristic of the fuse can be loaded from a .csv-file.

Save

The I2t or tv characteristic of the fuse can be saved into a .csv-file.

Delete

Delete the fuse characteristic shown in the list control

  • Please Note

The format of the .csv-File can be seen in lines below. The both values are separated by a semicolon. It is recommended to set an empty line at the end of the file. If not the last data pair may be not read from the file into the spread sheet. It is possible to use a comment line, if a "/" has been set a the first character of the line.

// comment line

0.0030000000;414.1152794000

0.0040000000;418.8514192000

0.0050000000;435.4817950000

0.0060000000;455.1465450000

0.0080000000;482.0476689000

    • Fuse characteristic to process the Short-Circuit Analysis (ATP Steady State)

1. Value: Short-circuit current Ik in A

2. Value: Fuse virtual time Tv in seconds

    • Fuse characteristic to calculate the transients

1. Value: Time in seconds

2. Value: Joule integral I2t value in A2s

Model of the Fuse calculating the Transients

The Fuse model calculating transients uses MODELS and the Nonlinear Element to take the electric arc into consideration. The figure below shows the structure of the Fuse model.

    • a Probe to measure the voltages and currents and to realize the Protection Element
    • an electric arc using the Nonlinear Element operation mode Circuit-Breaker or Electric Arc R(t,i) (91)
    • a Switch to interrupt the short-circuit current

Below an example designed using ATPDesigner.

  • Network Infeed 0,4kV
  • Probe P3 set to the protection Fuse
  • Switch to interrupt the short-circuit current
  • The Nonlinear Element Z(x) 1 set to the operation mode Circuit-Breaker or Electric Arc R(t,i) (91)
  • The Single-Circuit Line and the Load Impedance

ATPDesigner automatically writes the MODELS source code to implement the Fuse and the electric arc into the .ATP-File .

  • It is recommended to set node names of the TACS/MODELS Control Interface to (ABC)LBxxx as shown in the settings dialog below.
    • (ABC)LBxxx with xxx = number of the Probe set to the protection Fuse

The figure below shows the algorithm which is implemented in MODELS .

  1. Calculation of the R.M.S value of the short-circuit current
  2. Starting element I> to start the Fuse model
  3. Calculation of the equivalent energy of the short-circuit current
  4. Decision if the melting temperature has been reached
  5. Model of the electric arc
  6. Decision about the extinction of the electric arc
  7. Interruption of the circuit-breaker Combined with the Probe

Read also Combine Probe and Circuit-Breaker to a Protection Relay

MODELS Output Signals

ATPDesigner writes some output signals of the MODELS based Fuse to the .PL4-File if transients will be simulated.

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 2 or higher

Name | Description
FTPxxx | TRIP-Command of the circuit-breaker which interrupts the short-circuit current, the electric-arc has been taken into consideration 0 = circuit-breaker closed, 1 = circuit-breaker opened
INFxxx | Starting element I> of the Fuse model 0 = disabled, 1 = enabled
AIExxx BIExxx CIExxx | R.M.S-value of the short-circuit (phase ABC)
AJIxxx BJIxxx CJIxxx | Value of the joule integral (I2t value) calculated by the MODELS based software
ASIxxx BSIxxx CSIxxx | Value of the melting energy (I2t value) depending on the short-circuit time (time since the occurrence of the short-circuit)
AGSxxx BGSxxx CGSxxx | Initial value of the joule integral (I2t value) at the starting time of the Fuse model in % (0..100%)

  • If the setting Output Signals of the settings dialog ATP Data has been set to Output List 3 or higher

Name | Description
--- | ---
--- | ---
--- | ---


Overvoltage and Undervoltage Protection

Overvoltage Protection V> and Undervoltage Protection V<

The protection element will be also used for the Short-Circuit Analysis of the power network as well as for the calculation of transients (see the table below). ATPDesigner uses the same settings for both different network calculation methods.

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
V<, TV<, V>, TV> | X | X
V / I - Starting System | - | -

The settings of the Voltage Protection can be set in the settings dialog shown below. In case of transients ATPDesigner will automatically use MODELS to implement protection algorithms. Each starting element e.g. V> or V< can be enabled or disabled using the control on the right of the time delay. If disabled the protection element do NOT create a TRIP command also if the starting element operates.

  • Please Note

ATPDesigner writes a lot of information for all protection relays used in a electrical power network into the Messages Window . As an example these output information are explained for the Distance Protection .

  • Please Note

Read also the chapter Directional Overcurrent Protection

V>

Starting element Phase Overvoltage to monitor the phase-to-ground voltages VAG, VBG and VCG

V<

Starting element Phase Undervoltage to monitor the phase-to-ground voltages VAG, VBG and VCG

  • Please Note

The settings V> and V< will be set in p.u. = Vpg nom = Vnom/√3

TV>

Time delay Phase Overvoltage

TV<

Time delay Phase Undervoltage

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Protection Elements for Short-Circuit Analysis Results (Steady State)

ATPDesigner compares phase selective the phase-to-ground voltages VAG, VBG and VCG with the both thresholds V> and V<. In case of an overvoltage or undervoltage detection, V> and/or V< will be displayed closed to the Probe .


Ground Fault Protection

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
GF Detection: cos (ø) | X | -
GF Detection: sin (ø) | X | -

ATPDesigner provides the user with an Ground Fault Protection. The ground fault protection and the detection of the ground fault direction will be detected by evaluating the neutral point displacement voltage and the residual current based on the steady state of the power network in case of a ground fault. Only voltages and currents of the fundamental frequency will be used processing the ground fault detection. The figure below shows the settings dialog.

Enable Grund Fault Detection

Enable or disable the Ground Fault Protection

Operation Mode

    • GF Detection: cos (ø)

    • GF Detection: sin (ø)

IGnom

Nominal current of the current transformer of the residual current IG

ø(sect.)

Sector angle (only used if operation mode GF Detection: cos (ø) has been selected)

V0>

Starting element Zero-Sequence System Overvoltage to monitor the zero-sequence voltage V0

TV0>

Time delay Zero-Sequence System Overvoltage

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file

GF Detection: cos (ø)

The directional decision is disabled until the active component of the residual current IG exceeds the threshold IG> and the neutral point voltage exceeds V0>. In addition the active component of the residual current must be outside the "dead zone" (= area drawn in grey). The sector angle makes it possible to extend the “dead zone” to avoid phase-angle errors.

GF Detection: sin (ø)

The direction decision is enabled if the reactive component of the residual current IG has exceeded the both thresholds IG> and V0>.


Q-V-Protection - Reactive Power and Undervoltage Protection

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
Q-V-Protection | X | -

ATPDesigner also supports the Reactive Power and Undervoltage Protection so called Q-V-Protection according the German standard

  • Lastenheft Blindleistungs-Unterspannungsschutz (Q-U-Schutz), Forum Netztechnk/Netzbtrieb im VDE (FNN), Februar 2010.

  • Please Note

The Q-V-Protection can only used if one of the main protection functions has been selected: Directional Overcurrent Protection , Distance Protection .

Enable Q-V-Protection

Enable or disable the Q-V-Protection

Default

Loading default values but only for the settings of the visible tab

Help

Open the corresponding chapter in the help file


Protection Supporting Functions

In addition to the protection elements ATPDesigner also provides Protection Supporting Functions e.g. to combine the TRIP command using the TACS network element implemented in ATPDesigner. There are some special ATPDesigner related TACS Operation Mode available, which will be only processed during the Analysis of Protection Elements. There is no model to be operated by the ATP itself. The figure below shows the settings dialog of the TACS Data Card and the settings required to define the Protection Supporting Functions.

  • Protection Logic Functions


Protection Logic Functions

Protection Supporting Function - Protection Logic Functions

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
Protection: AND | X | -
Protection: OR | X | -
Protection: NAND | X | -
Protection: NOR | X | -
Protection: Source | X | -

In addition to the protection elements ATPDesigner also provides Protection Supporting Functions e.g. to combine the TRIP command using the TACS network element implemented in ATPDesigner. There are some special ATPDesigner related TACS Operation Mode available, which will be only processed during the Analysis of Protection Elements. There is no model to be operated by the ATP itself. The figure below shows the settings dialog of the TACS Data Card and the settings required to define the Protection Supporting Functions.

  • Please Note

The logic blocks described below will be only used by the ATPDesigner Protection Analysis Software after the execution of a steady-state analysis ( Load Flow Analysis or Short-Circuit Analysis ). The logic blocks will be not written into the .ATP-File and therefore not executed by the ATP.

Related Examples

  • .NET - File 69: Multiple Protection Elements operate the same switch using an OR Logic implemented in TACS
  • .NET - File 70: Multiple Protection Elements operate the same switch using an AND Logic implemented in TACS

  1. Select the TACS operation mode to Protection: ...
  2. Set the TACS output to Ext
  3. Enable Input 1..5
  4. Set the TACS operating mode of the input channels to Ext
  5. Enable the option Node for TRIP Command in the settings dialog of the Switch
  6. Connect a green Measuring Line from each TACS input to one of the nodes of a Probe used to realize a Protection Element
  7. Connect a green Measuring Line from the TACS output to the third node of a Switch used as a circuit-breaker

The third TRIP command node of a Switch can be enabled using the option Node for TRIP Command in the settings dialog of the Switch.

Using the option Ext for enabled inputs and the output, TACS nodes are enabled by ATPDesigner and therefore visible, which can be used to connect to nodes of a Probe and a Switch using the Measuring Line .

ATPDesigner also presents the related settings of the Protection Logic in the tab Protection Logic which make it easier to define the settings of the Protection Logic.

Name

User specific name of the network element

Operation Mode

Set the operating mode of the logic block (examples see below)

    • Protection: AND Logic
    • Protection: OR Logic
    • Protection: NAND Logic
    • Protection: NOR Logic
    • Protection: Source

Input 1..5

Enable or disable the input of the logic block

Output

Enable or disable the output of the logic block

  • If the operation mode Protection: Source has been selected, the output of the logic block can be set to TRUE or FALSE.
  • For all other operation modes: the output must be set to Logic Function.

The figure below shows the settings dialog of the Switch where the option Node for TRIP Command has been enabled.

The incoming Measuring Line of Input 1..5 will be used to detect the TRIP Command of the Probe connected to the related input. The result of the operation mode will be send to the TRIP input of the Switch (third node of the shape) connected to the output of the TACS Data Card . The TRIP input of the Switch is the third node which can be enabled by enabling the option Node for TRIP Command.

  • Protection: AND Logic

The incoming TRIP commands of the Probe will be processed by a AND Logic and send to the TRIP input of the Switch.

  • Protection: OR Logic

The incoming TRIP commands of the Probe will be processed by a OR Logic and send to the TRIP input of the Switch .


Logic Functions - Selecting Probe Output Signal

Read more in Connection for Protection Logic Functions


Logic Functions - Moving using the Cursor

The Protection Logic Functions are connected to the Probe and Switch elements using the green Measuring Line . Sometimes it will be necessary to move the logic block to an other location in the view.

Using the Lock/Unlock button

  • If the logic block has been locked: The Measuring Lines keep always connected to inputs and the output of the logic block and will be redrawn like a "rubber band".
  • If the logic block has been unlocked: The Measuring Lines will be disconnected from the inputs and the output of the logic block.

How to Lock/Unlock the Measuring Lines from/to the Logic Functions ?

Using the Lock/Unlock button

  • Select the shape of the logic block by a left mouse button click
  • Click on the Lock/Unlock button

Using the Right Mouse Button Menu

  • Select the shape of the logic block by a left mouse button click
  • Open the Right Mouse Button Menu
  • Click on the menu item Lock


Logic Functions - Tooltip to Display Inputs and Output

During the Analysis of Protection Elements ATPDesigner automatically identifies the network elements connected to the inputs and output of the TACS Data Card used to realize a Protection Logic Function.

Inputs of the TACS Data Card

  • Probes connected via a Measuring Line with one of the TACS Data card inputs 1..5

Inputs of the TACS Data Card

  • Switch connected via a a Measuring Line with the TACS output

The results will be displayed in a tooltip after the execution of a steady-state analysis ( Load Flow Analysis or Short-Circuit Analysis ), if the mouse cursor will be moved "over" the shape of the TACS Data Card . The figure below shows an example.

  • Inp 1..5: User specific name [Reference name] of the Probe
  • Out: User specific name [Reference name] of the Switch


Logic Functions - Valid and invalid Probe Connection Schemes

During the Analysis of Protection Elements ATPDesigner automatically identifies the network elements connected to the inputs and output of the TACS Data Card used to realize a Protection Logic Function. It is important to understand which connection schemes of the Probes in series are valid or invalid regarding the correct identification of the Protection Logic Block scheme.

The figure below shows the typical Protection Logic Function scheme with one Probe and one Switch directly connected in series. The green Measuring Line can be connected to the left or to the right node of the Probe. For both cases ATPDesigner is able to identify clearly the Protection Logic Function scheme.

The next figure below shows not a typical Protection Logic Block scheme but a valid scheme where several Probes are directly connected in series. ATPDesigner identifies two nodes (node between I>1 and I>2 and the node between I>2 and I>3) where two Probes are directly connected and are connected to the same green Measuring Line . Nevertheless ATPDesigner is able to clearly identify and assign only one of the both directly connected Probes to the input of the TACS Data Card .

  • If several Probes are directly connected in series ATPDesigner assigns the Probe whose tip of the red triangle points to the node of the green Measuring Line to the input of the TACS Data Card .

  • Please Note

All other Protection Logic Function scheme where several Probes are directly connected in series are invalid and can not be clearly identified by ATPDesigner.


How to Create a Diagram for a Tripping Characteristic

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
description below | X | -

ATPDesigner supports the user to display the tripping characteristics of the different protection elements in a diagram. In addition the results of the Short-Circuit Analysis e.g. short-circuit currents will be also displayed in the diagram.

Diagram - Overcurrent Protection


Creating a Diagram for Overcurrent Protection

It will be now explained how to use ATPDesigner for Overcurrent Protection without Short-Circuit Direction Detection using the .NET-File 68.

  • The minimum short-circuit current must be identified e.g. using the international standard IEC 60909 or using the Short-Circuit Analysis . In the figure below the Short-Circuit Analysis would be used. The minimum short circuit current can be identified if a short-circuit AG will be set at the end of the line.

  • The settings dialog of Probe P3 must be opened to select

    • the protection element Undirectional Overcurrent
    • the nominal voltage Vnom = 20kV (primary) of the voltage transformer and
    • the nominal current Inom = 600A (primary) of the current transformer.

It will be assumed that the nominal voltage and current at the secondary circuit of the ct and vt are both set equal to the both settings of the protection relay.

  • Please Note

The setting CBreaker shall be set to SwtIntern. If not an Switch must be used as circuit-breaker connected to the Probe .

  • Open the dialog List of Protection Analysis Results

    • in the main menu Protection or
    • using the toolbar button [image] .

The equipment to be protected by the Probe can be now automatically identified by a Left Mouse Button Click on the button Equipment. The dialog can be closed and the settings shall be saved.

  • The I> threshold can be now set in the settings dialog of the Probe , tab V<> & I>

  • Now the short-circuit current can be calculated

    • using the menu item Short-Circuit Results in the main menu ATP ,
    • hot key CTRL + E or
    • using the toolbar button [image] in the Main Toolbar .

The figure below shows the results. The protection relay P3 trips in 100ms. The internal switch of the probe P3 will be opened.

The dotted line between the red frame and the Probe can be enabled and disabled using the toolbar button [image] .

  • Now two dialogs must be opened

    • the dialog Protection Analysis Results and
    • the dialog Protection Analysis.

Both dialogs can keep opened in parallel to the main view of ATPDesigner. The Short-Circuit Analysis can be started if both dialogs are opened. The results of the Short-Circuit Analysis and the results of the Protection Analysis will be automatically updated and displayed in both dialogs. The Protection Analysis dialog can be opened

    • in the main menu Protection or
    • using the toolbar button [image] .

The content of the dialog List of Protection Analysis Results is explained in the chapter List of Protection Analysis Results .

Now the tripping characteristic must be selected in the dialog Protection Analysis using the combo box in the red frame above. Different Diagram Type are available to draw the tripping characteristic in a diagram. For the Overcurrent Protection only the setting T=f(X, Ik) can be selected.

    • Select Probe P3 by a Left Mouse Button Click on the check box to create the tripping characteristic as a diagram.
    • Restart the Short-Circuit Analysis without closing the both dialogs.

Now the results of the Short-Circuit Analysis and the Protection Analysis will be displayed in the both diagrams.


List of Protection Analysis Results

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
description below | X | -

ATPDesigner displays the results of the Protection Analysis in a spread sheet but only in case of the calculation of the Short-Circuit Results (ATP Steady State). The content of the spread sheet can be easily inserted e.g. into an Excel file using the Copy button.

  • Please Note

The settings dialog of the network element to be protected e.g. a Line or a Transformer will be opened with a Left Mouse Button Double Click on the columns Equip. or E.Name. The settings dialog of a Probe can be opened with a Left Mouse Button Double Click on any other column of the corresponding line of the spread sheet.

Checkbox to select the Probe if the tripping characteristic of more than one Probe shall be displayed in one diagram ( Read more about Multiple Tripping Characteristics in the same Diagram )

Ord.

Order number, if Multiple Tripping Characteristics shall be displayed in the same diagram

The different tripping characteristics will be drawn in the sequence of the order numbers.

Name

User specific name of the Probe

Prot.

Name of the protection element ( Protection Analysis - Displayed in the Power Network )

On/Off

On : Protection element is enabled; Off : Protection element is disabled

Equip.

Name of the network element to be protected

E.Name

User specific name of the network element to be protected

Cb

Reference name of the Switch which is assigned to the Protection Element of the Probe

If assigned the Switch will opened and closed by the protection element processing a Short-Circuit Analysis .

  • orange : Status of the Switch = OPEN (done by a user action e.g. setting or toolbar button)
  • red : Status of the Switch = OPEN (triggered by a Protection Element)

GEN

X = General starting detected

TRIP

X = Trip command

Zone

Number of the impedance zone (polygon or circle) with TRIP command

T[ms]

Time of the TRIP command

R1s[Ohm]

Secondary positive-sequence resistance of the impedance measuring loop

X1s[Ohm]

Secondary positive-sequence reactance of the impedance measuring loop

R1p[Ohm]

Primary positive-sequence resistance of the impedance measuring loop

X1p[Ohm]

Primary positive-sequence reactance of the impedance measuring loop

Z1s[Ohm]

Amount of the secondary the positive-sequence impedance

Z1p[Ohm]

Amount of the primary the positive-sequence impedance

X1Ls[Ohm]

Secondary positive-sequence reactance of the network element to be protected

  • if < 0.0: The reactance X1 is not existing for the network element e.g. for a Busbar .

The reactance X1 can be automatically identified for all Probe which are visible in the spread sheet using the button Equipment . The value of the reactance X1 will be also displayed and can be set in the tab Distance of the Probe .

Ref.Name

Name of the Probe

The figure below hows the List of Protection Analysis Results.

  • Protection Element with a Trip will be marked by a red colored cell.
  • Protection Element with a General Starting will be marked by a green colored cell.
  • Protection Element with Protection Offline will be marked by a orange colored cell.
  • Protection Element identified if the the mouse cursor by a blue colored cell.
  • A light pink colored cell: The secondary positive-sequence reactance of the network element to be protected is invalid (X1 < 0Ω)

The red LED and the green LED under the button Equipment indicates the results of the overall analysis of the protection results.

  • Green LED: at least one of the protection elements detects a General Starting (G).
  • Red LED: at least one of the protection elements detects a Trip Command (T).

  • Please Note

In case of the calculation of transients, only a subset of the information will be displayed in the dialog shown above e.g. the TRIP command.

Protection ON/OFF

A context sensitive menu can be opened by clicking on this column using the left mouse button. If the protection element has been disabled the corresponding cell of the spread sheet will be drawn using light grey background color.

    • Probe: Protection ON

The protection elements of the selected Probe will be enabled.

    • Probe: Protection OFF

The protection elements of the selected Probe will be disabled.

    • All Protection ON

The protection elements of all Probe will be enabled.

    • All Protection OFF

The protection elements of all Probe will be disabled.

Prot. only

Only Probe with enabled Protection Element will be shown in the list

Copy

Copy the spread sheet into the clipboard using a .csv-format

Refresh

The content of the list will be refreshed.

Find

Find the selected network element in the power network and mark it with a red frame

    • If a line of the spread sheet has been selected with a Left Mouse Button Click on the columns Equip. or E.Name, the network element to be protected will be framed by a red double line frame.

    • If a line of the spread sheet has been selected with a Left Mouse Button Click on any other column, the Probe will be framed by a red double line frame.

Clear

Clear all red frames and redraw the power network

Settings

Open the settings dialog of the Probe which has been selected by a left mouse button click on a line of the spread sheet

Equipment

The network element which shall be protected by the Protection Element , the Switch which will be assigned as a circuit-breaker of the Protection Element of the Probe and the positive-sequence system reactance X1 will be automatically identified. The reactance X1 will be also displayed and can be set in the tab Distance of the Probe .

The algorithm tries to identify the network element at the red tip of the Probe independent of the drawing direction. In case of a Line or a Transformer or a Busbar the algorithm assigns the network element as to be protected. If a Switch or a Circuit-Breaker has been connected between the Probe and the network element to be protected, a Switch and the Circuit-Breaker will be ignored.

Del Equipm.

The network element to be protected will be deleted for all Protection Element .

Close

Close the dialog

Help

Open the corresponding chapter in the help file


Protection Analysis - Displayed in the Power Network

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
description below | X | -

Read also Find Protection Element

ATPDesigner displays the results of the Protection Analysis directly in the power network graphics as shown in the figure below.

    • T: Protection element with TRIP
    • G: Protection element with GENERAL STARTING

If the mouse cursor position has been moved "over" one of the red or green frames, a tooltip will be displayed as shown in the figure below.

  • [Reference name of the Probe ], user specific name
  • Protection element
  • Text element of the red or green frame displayed closed to the Probe
  • Reference name of the network element to be protected
  • Short-circuit impedance Zk of the positive-sequence system

The short-circuit impedance Zk will be calculated for the Impedance Measuring Loop of the Distance Protection .

Explanations

  • Trip.Time Tripping time of the protection relay analyzing all protection elements which are enabled
  • Inter.Time Interruption time of the short-circuit (tripping time + circuit-breaker Time Tcb)

The General Starting information indicates that

  • the protection element will not trip in the protection scheme which has been analyzed, because an other protection element will trip faster.
  • the protection element may trip as backup protection.

Relocation of the Frames displaying the Protection Analysis Results

It is possible to relocate the frames which display the Protection Analysis in the power network.

  • Move the cursor "over" the frame which display the Protection Analysis
  • Press the Left Mouse Button
  • Keep the Left Mouse Button pressed and move the frame to a new position
  • Release the Left Mouse Button

Enable the Lines between all Probe and their Protection Analysis

It is possible to enable the lines between all Probe and the corresponding frame which displays the Protection Analysis

  • using the corresponding menu item in the main menu Protection or
  • using the corresponding toolbar button in the Toolbar for Short-Circuit Tooltips

Reset the Lines between all Probe and their Protection Analysis

It is possible to reset these lines to default using the corresponding menu item in the main menu Protection .

Reset only one Line between the selected Probe and its Protection Analysis

The line between the selected Probe and the its frame which displays the Protection Analysis using the context sensitive Right Mouse Button Menu of the Probe .

Protection Element | Symbol | Trip Command T: Starting G: | Description
Undirectional Overcurrent Protection | I> | T: I>/40:110ms G: I>/40:110ms | Trip command; Trip.Time = 40ms; Inter.Time = 110ms General Starting; Trip.Time = 40ms; Inter.Time = 110ms
Directional Overcurrent Protection | I-> | T: I->/40:110ms G: I->/40:110ms | Trip command; Trip.Time = 40ms; Inter.Time = 110ms General Starting; Trip.Time = 40ms; Inter.Time = 110ms
Distance Protection | Z< | T: Z</1/50:110ms G: Z</1/600:660ms G: Z< | Trip command; Zone 1; Trip.Time = 50ms; Inter.Time = 110ms General Starting; Zone 1; Trip.Time = 600ms; Inter.Time = 660ms General Starting only
Differential Protection | Id | T: Id/0:80ms | Trip command; Trip.Time = 0ms; Inter.Time = 80ms
Invers-Time Overcurrent Protection (IDMT) | IT | T: IT/0.9:80.0ms G: IT/100.0/160.0ms | Trip command; Trip.Time = 0ms; Inter.Time = 80ms General Starting; Trip.Time = 100.0ms; Inter.Time = 160.0ms
Fuse | Fu | T: Fu[111]19/19/19ms | Trip command in phase A, B and C; Trip. Time = 19ms, 19ms 19ms
Protective Signaling | SI | T: SI/100:160ms | Trip command; Trip.Time = 100ms; Inter.Time = 160ms
Underimpedance Detection | Z« | T: Z«:Z</2000:2060ms | Trip command; Trip.Time = 2000ms; Inter.Time = 2060ms

  • Please Note

The protection element Fuse always trips phase-selective. Therefore the text in teh network graphics indicates phase-selective if tripped or not in the brackets [Trip A Trip B Trip C]. In addition the tripping time will be also displayed phase-selective [A B C].

  • Please Note

The protection element Differential Protection only generates a trip command, no starting information, independent of the setting Td>.


Protection Analysis - Tripping Characteristic Diagrams

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
description below | X | -

Read also Find Protection Element

ATPDesigner supports the user analyzing the results of the Protection Elements . In addition it is possible to display Multiple Tripping Characteristics in the same diagram.

  • Distance Protection
  • Directional and Undirectional Overcurrent Protection

  • Please Note

The settings of the diagrams shown below will be automatically calculated, if one of the Probe in the dialog Find Protection Element or List of Protection Analysis Results has been selected. Nevertheless the settings can be also changed by hand.

  • Please Note

The settings shown in the dialogs shown below will be automatically changed depending of the diagram which will be presented.

Settings

Diagram Type

    • T = f(X,Ik)

The diagram shows the tripping characteristic: Y-axis = T, X-axis = X or |Z|.

    • X = f(R)

The diagram shows the impedance characteristic: Y-axis = Short-circuit reactance X, X-axis = Short-circuit resistance R.

    • G=f(V<,I>)

The diagram shows the results of the starting system: Y-axis = Vpg, X-axis = Ip

    • Id=f(Ir)

The diagram shows the results of the Differential Protection : Y-axis = Differential current Id, X-axis = restraining current Ir

    • Tv=f(Ik)

The diagram shows the results of the Fuse : Y-axis = Fuse virtual time tv, X-axis = Short-circuit current Ik,

    • Dir=f(Vk,Ik)

The diagram shows the vectors of the phase currents IA, IB and IC: Y-axis and X-axis = Short-circuit current Ik

    • Tidmt=f(Ik)

The diagram shows the characteristic of the Inverse-Time Overcurrent Protection (IDMT) : Y-axis = IDMT tripping time T, X-axis = Short-circuit current Ik

    • GF=f(V0,IG)

The diagram shows the characteristic of the Ground Fault Detection : Y-axis = Residual current IG, X-axis = Zero-sequence voltage V0

    • Dir=f(V2,I2)

The diagram shows the vectors of the negative-sequence system: Y-axis and X-axis = Negative-sequence system current I2

    • Dir=f(V0,IG)

The diagram shows the vectors of the negative-sequence system: Y-axis and X-axis = Negative-sequence system current I2

T [ms]

Maximum time displayed in the diagram

R [Ohm]

Maximum resistance displayed in the diagram

X [Ohm]

Maximum reactance displayed in the diagram

Z [Ohm]

Maximum impedance displayed in the diagram

Ik [p.u.] or Ik [A]

Maximum short-circuit current displayed in the diagram

Ir [p.u.]

Maximum restraining current displayed in the diagram

Id [p.u.]

Maximum differential current displayed in the diagram

Tv

Maximum fuse virtual time displayed in the diagram

Re(Ik) [p.u.]

Real part of the vector of the short-circuit current Ik

Im(Ik) [p.u.]

Imaginary part of the vector of the short-circuit current Ik

Zk Only

If enabled the impedances of all phase-to-phase and phase-to-ground impedance measuring loops will be displayed.

If disabled, only the short-circuit impedance which will be used to decide tripping the connected circuit-breaker will be displayed.

Close

Close the dialog

Help

Open the corresponding chapter in the help file

Copy

Copy the diagram into the clipboard

Font

Font and font color of the diagram can be selected


Diagram - Distance Protection

The figure below shows the tripping diagram of a Distance Protection .

  • Distance Protection with impedance zones, fault direction, ...
  • Overcurrent Protection with time delay and optionally with fault direction

The tripping characteristic and the short-circuit reactance of the impedance of the positive-sequence system Z1 (red cross with the dotted line) will be also presented if calculated during the Short-Circuit Analysis (ATP Steady State).

The figure below shows related to the measuring direction of the Probe :

  • Impedance zones forward: 1.44Ohm / 50ms, 2.67Ohm / 200ms, 6Ohm / 400ms
  • One overcurrent protection with the detection of the short-circuit direction forward: 600ms
  • One overcurrent protection without the detection of the short-circuit direction: 800ms

In the header of the dialog the name of the Probe Prb 2 with the user specific name Z< and the name of the network element to be protected Line 5 will be also displayed. The red cross shows the short-circuit reactance X1 and the time delay 50ms to trip. In addition the short-circuit impedance Z1 van be also seen: (1.185 +j 1.038)Ohm. Also the reactance of the line to be protected X1L = 1.695Ohm will be displayed as a blue dotted line.

The figure below shows the tripping characteristic of the Distance Protection based on the analysis of the short-circuit impedances and the Tripping Characteristic Polygon . The short-circuit impedance of the positive-sequence system Zk which has been used to trip or not to trip is displayed in the right upper corner of diagram. The position of the short-circuit impedance Zk can be seen as a red cross in the diagram.

    • Blue = Impedance zone 1
    • Green = Impedance zone 2
    • Magenta = Impedance zone 3

The figure below shows the Starting Information of the I> and V< starting system analyzing the phase-to-ground voltages and the phase currents measured at the measuring location of the Probe in case of a short-circuit AB.

    • I> threshold = 1p.u.
    • V< threshold = 0.7p.u.
    • Short-circuit phase currents at the measuring location Ik for the phases A, B and C
    • Short-circuit phase-to-ground voltages at the measuring location Vk for the phases A, B and C

The maximum current Ik of the X-axis and the maximum phase-to-ground voltage Vpg of the Y-axis can be changed using the edit controls.

The three crosses show the data pairs (Vpg, Ip) calculated at the measuring location of the Probe .

    • brown = (VAG, IA)
    • magenta = (VBG, IB)
    • green = (VCG, IC)


Diagram - Directional and Undirectional Overcurrent Protection

The figure below shows the tripping diagram of a Directional and Undirectional Overcurrent Protection .

In the header of the dialog the name of the Probe with the user specific name and the name of the network element to be protected will be displayed. The red crosses show the amount of the short-circuit currents IA/IB,IC = 11,34/11,34/11,34p.u. measure by the Probe and the time delay 40ms to trip.

  • Diagram of Probe Prb 1, I>, the network element Line 4 to be protected.

  • Please Note

Up to three red crosses can be displayed each for one of the amount of the short-circuit current flowing through the three lines at the measuring location of the Probe . Only short-circuits which exceeds the I>-threshold of the overcurrent protection will be displayed by a red cross. The fault direction calculated by the Probe as explained in chapter Directional Overcurrent Protection will be considered displaying one, two or three crosses.

ATPDesigner offers two different methods to detect the short-circuit direction :

  • The first method (setting: Char. Angle) uses one phase current, one phase-to-phase voltage and a characteristic angle depending on the fault type to detect the short-circuit direction.
  • The second method (setting: Ø(Vpg,Ip)) uses up to three measuring loops as well known form the Distance Protection to detect the short-circuit direction.

Method (1): Ø(Vpg,Ip)

The figure below shows the vector diagram of the phase currents IA, IB and IC. Each vector of the phase currents will be drawn in relation to the (violett) horizontal axis (Re(Ik)). Therefore in case of a 3pG-fault the vectors of the phase currents may be identically. In addition the I>-thresholds will be also drawn as circles. The both red lines separate the forward and backward area and can be set in the settings dialog of the Probe , tab V<> & I> by the angles ø1 and ø1.

Method (2): Char. Angle

The figure below shows the vector diagram of the short-circuit current which will be used to identify the short-circuit direction. The red line from the upper left corner to the lower right corner separates the forward and backward area and can be set in the settings dialog of the Probe , tab V<> & I> by the characteristic angle. The characteristic angle can be set in the settings dialog Char. Angle depending on the fault type.

  • Please Note

The characteristic angle will be first determined if the fault type AG, AB, etc. has been identified. Therefore the diagram may be confusing before calculating the steady-state in case of an short-circuit.

  • Short-Circuit Current (= blue line), 1 p.u. = Inom
  • Reference voltage (= dark violett line), 1 p.u. = Vnom/√3


Diagram - Differential Protection

The figure below shows the tripping diagram of a Differential Protection . The three crosses display the location of the data pair [restraining current Ir, differential current Id] in the tripping characteristic.


Diagram - Fuse

The figure below shows the Fuse Virtual Time Tv = f(Ik) characteristic. The three crosses display the location of the data pairs [short-circuit current Ik, fuse virtual time tv] in the tripping characteristic. The red lines shown in the figure below indicate the tripping tolerance of the fuse set by the setting Tol in the settings dialog Fuse .

  • Please Note

The maximum values of the X- and Y-axis which can be set in the dialog shown below can be only set as a power of 10.


Diagram - Inverse-Time Overcurrent Protection (IDMT)

The figure below shows the tripping characteristic of the Inverse-Time Overcurrent Protection (IDMT) . The diagram shows up to three tripping characteristics:

  • IDMT Element for Phase-Currents - blue color
  • IDMT Element for Negative-Sequence System - green color
  • IDMT Element for Zero-Sequence System - magenta color

The three crosses display the location of the data pairs [short-circuit current, tripping time T] for all three IDMT elements in the tripping characteristic.

  • Please Note

The maximum values of the Y-axis which can be set in the dialog shown below can be only set as a power of 10.

Short-Circuit Detection: IDMT Element for Phase-Currents IA, IB and IC

The IDMT protection element for phase-currents uses the same characteristic as the method Char. Angle used by the Directional Overcurrent Protection .

Short-Circuit Detection: IDMT Element for Negative-Sequence System

The figure below shows the vector diagram of the negative-sequence system current I2 which will be used to identify the short-circuit direction in the negative-sequence system. The red line from the upper right corner to the lower left corner separates the forward and backward area and can be set in the settings dialog of the Probe , tab IDMT . The invers negative-sequence voltage will be used as the reference voltage. In addition the I>-thresholds of the Overcurrent Protection will be also drawn as circles.

  • I2 = negative-sequence current (= blue line), 1 p.u. = Inom
  • -V2 = invers negative-sequence system voltage (= dark violett line), 1 p.u. = Vnom/√3

Short-Circuit Detection: IDMT Element for Zero-Sequence System

The figure below shows the vector diagram of the residual current IG which will be used to identify the short-circuit direction in the zero-sequence system. The red line from the upper right corner to the lower left corner separates the forward and backward area and can be set in the settings dialog of the Probe , tab IDMT . The invers zero-sequence voltage will be used as the reference voltage. In addition the I>-thresholds of the Overcurrent Protection will be also drawn as circles.

  • IG = residual current (= blue line), 1 p.u. = Inom
  • -V0 = invers zero-sequence system voltage (= dark violett line), 1 p.u. = Vnom/√3


Protection Analysis - Multiple Tripping Characteristics in one Diagram

Protection Element | Short-Circuit Analysis (Steady State) | Calculation of Transients (MODELS)
description below | X | -

ATPDesigner also displays more than one tripping characteristic in one diagram, if the Protection Element of all selected Probe are identical.

How to identify the Probe to be displayed in one tripping characteristic by the mouse cursor ?

  1. Disable the Network Design Mode e.g. by the toolbar button
  2. Move the mouse cursor "over" the shape of the Probe : now the corresponding cell has been colored in blue.
  3. The checkbox at the beginning of the line can be set.


Multiple Distance Protection

The figure below shows the tripping characteristic of three Distance Protection Relays .

  • The distance zones forward in the upper part of the diagram (diagram area T[ms] > 0)
  • The distance zones backward in the upper part of the diagram (diagram area T[ms] < 0)


Multiple Fuses

The figure below shows the tripping characteristic of three Fuses .


Multiple Fuse and Undirectional Overcurrent

Multiple Multiple Fuse and Undirectional Overcurrent

The figure below shows the tripping characteristic of one Fuse and one Undirectional Overcurrent .

ATPDesigner uses the nominal voltage of the first Fuse (setting Vnom, tab General Data of the corresponding Probe ) as reference voltage Vref. Using the nominal voltage Vnom of all other Probe ATPDesigner determines the voltage ratio Vnom k / Vref to draw the tripping characteristic related to the tripping characteristic of the first Fuse .


Single-Step Test

A Single-Step Test is the most simple method testing protection relays, which is implemented in ATPDesigner. The user can start a Single-Step Test pressing only one button or using one menu item or pressing one hot key. A Single-Step Test should be used if no element or data of the electrical power network e.g. the fault location should be modified. If such modifications or iterations should be done Test Procedures should be used.

  • Please Note

This test method can be only used, if a CMC Test System has been connected and set as Output Device .

The Single-Step Test can be started via

  • the main menu item Test , sub-item Single-Step Test,
  • pressing CTRL + M or
  • pressing the Main Toolbar button

After starting a Single-Step Test, ATPDesigner executes the tasks listed below:

Task 1:

Calculation of voltages and currents at all enabled Measuring Locations according the defined power network and e.g. Fault Types . ATP creates automatically the corresponding .PL4 - File , which contains the sampled voltages and currents.

Read more about Simulation of Power Networks

As an alternative ATPDesigner is also able to create COMTRADE files for all specified single tests, if COMTRADE has been selected as Output Device . The COMTRADE files will be saved into the Data Directory .

Task 2:

Converting and transferring voltages and currents to the Output Device . If a CMC Test System has been selected as Output Device, ATPDesigner transfers automatically voltages and currents measured at the Measuring Location to the CMC test system. The reactions of the protection device will be monitored and presented.

Read more about CMC Test Systems and ATPDesigner

  • Please Note

ATPDesigner transfers the calculated voltages and currents as sampled data to the CMC Test System. The CMC Test System will then be automatically set to stimulate and monitor the protection device. ATPDesigner reads out automatically the monitored data and calculates the operating times. The operating times of the protection device will be written into a test report.

  • Please Note

If a CMC Test System has been connected, the calculated voltages and currents identified by the node names OUTP01..18 will be automatically transferred to the test system, the operation times of the connected protection device will be measured and displayed in the Operating Time Dialog presented below.

Read more about Node Names

Correction of Measured Operating Times

All operating times, which are recorded from the CMC Test System, are time tagged but referenced to the start of the data set means referenced to the first sample of the data set. Therefore the CMC Test System measured operating times still include the pre-fault time and therefore must be corrected. ATPDesigner supports the Correction of Measured Operating Times.

Read more about Correction of Measured Operating Times

Input 1..10

Measured operating times and additional information of the corresponding binary input channel of the CMC Test System

Copy

Copy the selected operating times into the clipboard

Select All

Select all operating times to copy

Op. Time

Measured operating time in milliseconds

Count

Number of the executed single test steps seen in the left list box (used to calculate the Mean Time)

Min. Time

Minimum operating time of all measured operating times of the corresponding binary input of the CMC Test System

Mean Time

Mean value of all measured operating times of the corresponding binary input of the CMC Test System

Max. Time

Maximum operating time of all measured operating times of the corresponding binary input of the CMC Test System

Lev 1

Value of the corresponding Level 1 setting of the single test step (only if a Test Procedure has been executed)

Lev 2

Value of the corresponding Level 2 setting of the single test step (only if a Test Procedure has been executed)


SIR Factors

Protection engineers use often SIR factors to describe the test environment during protection relay testing. The SIR factor is called "Source to Line Impedance Ratio". For example the operating times of protection relays are often measured depending on different SIR factors e.g. 1, 5, 10, 30 and 60.

Help

Open the corresponding chapter in the help file

High SIR Factor

A high SIR factor can have two different meanings:

  • a high internal source impedance of the network infeed and therefore a low short-circuit power of the network infeed or
  • a short single-circuit line and therefore a low reactive reach of the protection relay, which is normally set to 80% of the line reactance.

Low SIR Factor

A low SIR factor normally means a low internal source impedance of the network infeed and therefore a high short-circuit power of the network infeed.

The SIR factor is defined as the ratio between the reactance of the network infeed X and the reactive reach Xk of the tested protection relay. The reactive reach of the tested protection relay is normally defined using a setting of the relay.

SIR = Xnetwork infeed / Xk

The algorithm to calculate the SIR factor uses the Reactive Reach of a Distance Protection Relay defined separately for the single-circut lines 1..3, but the positive system reactance of Network 1 only.

The figure below shows the dialog to display the SIR Factors which are calculated for the Single-Circuit Lines 1 and the network infeed Network 1. The calculation of the SIR factor will be enabled automatically if the corresponding single-circuit line has been enabled.

The dialog SIR Factors can be enabled via the menu item View and will be displayed in parallel to the ATPDesigner graphics view. The SIR factors will be updated automatically, if the data of Network 1 or of the Lines 1..3 have been changed.


Secondary Fault Impedances

Read also Primary Fault Impedances

The fault impedance at calculated the secondary circuit of current and voltage transformers can be used to check the fault impedance which is calculated by the tested protection relay in case of a network fault. The fault impedances can be only calculated and displayed for the Lines 1..3 , if a fault has been enabled. Separate dialogs can be opened for each of the three Lines 1..3 . The dialogs Zksec Line1..3 can be enabled via the menu item View and will be displayed in parallel to the ATPDesigner graphics view. The fault impedances will be updated automatically, if the data of the Fault Location or of the Lines 1..3 have been changed.

  • Please Note

Only the settings of the current and voltage transformers of Measuring Location 1 will be used to calculate the secondary fault impedance.

Protection relays normally calculate the fault impedance as the positive-sequence impedance between the measuring location of the protection relay and the fault location. The fault impedance is proportional to the distance measuring location - fault location. The accuracy of the calculated fault impedance depends on the used algorithms which are part of the firmware of the protection relays. The accuracy of the calculated fault impedance and in addition of the fault resistance and fault reactance must be checked during protection relay tests. ATPDesigner calculates also the fault impedances as positive-sequence impedance from both terminals of the line to the fault location. This calculation is only based on the fault location and the positive-sequence impedance of the corresponding line. The dialog below shows the fault impedances for Line 1.

a

Fault location in % of the line length

a * R1

Resistance between left-side terminal of the line and the fault location

a * X1

Reactance between left-side terminal of the line and the fault location

a * Z1

Impedance between left-side terminal of the line and the fault location

(1 - a) * R1

Resistance between the fault location and the right-side terminal of the line

(1 -a) * X1

Reactance between the fault location and the right-side terminal of the line

(1 - a) * Z1

Impedance between the fault location and the right-side terminal of the line

R1, X1, Z1

Settings of the corresponding settings dialog Lines 1..3


Primary Fault Impedances

Read also Secondary Fault Impedances

ATPDesigner calculates the primary fault impedance in addition to the Secondary Fault Impedance . The fault impedances can be only calculated for the Lines 1..3 . Different dialogs can be opened for each of the three Lines 1..3 . The dialogs Zkprim Line 1..3 can be opened via the menu item View and will be displayed in parallel to ATPDesigner. The fault impedances will be updated automatically, if the position of the Fault Location or a setting of the Lines 1..3 have been changed. The dialog can be only displayed, if a Fault Type and a Fault Location has been enabled.

  • Please Note

Only the settings of the current and voltage transformers of Measuring Location 1 will be used to calculate the primary fault impedance based on the secondary fault impedance. The impedance ratio between the primary and the secondary circuit of the substation currents and voltage transformers will be calculated automatically and displayed in the dialog Current and Voltage Transformer . The figure below shows the Impedance Ratio between the primary and secondary circuit impedance of the substation current and voltage transformers Zprim = ... ⋅ Zsec.

The figure below shows both dialogs, the primary and the secondary fault impedance. It can be seen that the ration between the primary and the secondary fault impedance is equal to the impedance ratio discussed above.

  • Please Note

The impedances of the Lines 1..3 are primary impedances.

Zprim = 0.8 Ohm = 5.5 · (Zsek = 0.145 Ohm)


Measuring Operating Times of a Protection Device

Read also Correction of Measured Operating Times

Operating times of protection devices can be measured using ATPDesigner in combination with a CMC Test System . The CMC Test System monitors the 10 binary input channels with a resolution of 100μs. The time dependent behavior of all output relays of the protection device, which are connected to the binary input channels of the CMC Test System, will be recorded from the CMC Test System. ATPDesigner is able to read out these information via Omicrons CMEngine interface e.g. connected to the parallel port of the test PC. All operating times, which are recorded from the CMC Test System, are time tagged but referenced to the start of the data set means referenced to the first sample of the data set. Therefore the CMC Test System measured operating times still include the prefault time and therefore must be corrected. ATPDesigner supports the Correction of Measured Operating Times . The figure below shows the dialog to present the measured and corrected operating times.

Single-Step Test don't need the Level 1 (Lev 1) and Level 2 (Lev 2) settings, which are only relevant for Test Procedures . The figure below shows an example.

Read more about Test Procedures


Correction of Measured Operating Times

Read also about Measuring Operating Times of a Protection Device

ATPDesigner sends a data file consisting of the calculated currents and voltages as sampled data to the CMC Test System . This data file consists of the pre-fault, fault and post-fault. The figure below shows this data set. The data set starts at t = 0, the pre-fault ends at t = tc, the fault period starts with t = tc.

The CMC Test System monitors the output contacts of the protection device, which are connected to the binary inputs of the CMC Test System. If a binary input channel of the CMC Test System has been stimulated, the CMC Test System calculates the time difference between the first sample of the data file at t = 0 and the time t = top, where the binary input was stimulated. The operating time of the protection relay will be now calculated subtracting the pre-fault time.

Operating Time = top - tc

Measuring Scheme: Distance Protection or Differential Protection

If one or more Single-Circuit Lines or Double-Circuit Lines with Line Faults had been enabled (this means that one or more of the network elements Line 1..3 had been enabled), the time difference, which must be subtracted from the measured operating time may differ from the pre-fault time depending on the phase angle of the fault. Using a line fault the user can define the phase angle on which the fault will occure. This phase angle is related to the zero crossing of the phase-to-ground voltage VAG at the end of the pre-fault. Please note that the Pre-Fault Time can be only set as a number of cycles. ATPDesigner corrects automatically the time difference, which must be subtracted from the measured operating time, depending on the phase angle of the line fault.

Example 1:

Pre-Fault Time: 4 cycles = 80ms, if fnom = 50Hz, Line 1 enabled with line fault AG:

  • the single-phase-to-ground fault occurs exactly at the zero-crossing of the phase-to-ground voltage VAG
  • the time difference to be subtracted from the measured operating time: 80ms

Example 2:

Pre-Fault Time: 4 cycles = 80ms if fnom = 50Hz, Line 1 enabled with line fault BG (120° phase-shifted related to phase AG):

  • the single-phase-to-ground fault occurs 120° later (= 6.66ms) as the zero-crossing of the phase-to-ground voltage VAG
  • the time difference to be subtracted from the measured operating time: 80ms + 6.66ms = 86.66ms

If one of the Lines 1..3 had been enabled but without configuring a line fault, ATPDesigner presents the error message which is shown in the figure below. ATPDesigner stopps the test procedure without testing the protection device.

The figure below shows the dialog Correction of Operating/Release Times. Two different settings for the correction times are available, one setting to correct the monitored operating times and one setting to correct the monitored release times.

The content of the both list boxes depends on the enabled (therefore visible) network elements.

Correction of Operating Times

Correction of Release Times

    • Start Time of Short-Circuit

Time = top - Short-Circuit Fault Time

    • End Time of Prefault

Time = top - Prefault

    • Start Time of Test Case (T = 0)

Time = top

    • Start Time Fault Line 1

Time = top - Start Time of Fault of Line 1

    • Start Time Fault Line 2

Time = top - Start Time of Fault of Line 2

    • Start Time Fault Line 3

Time = top - Start Time of Fault of Line 3

    • Simulation Time of Test Case

Time = top - tend

    • T1 of Circuit-Breaker 1

Time = top - T1 of Circuit-Breaker 1

    • T1 of Circuit-Breaker 2

Time = top - T1 of Circuit-Breaker 2

    • T1 of Circuit-Breaker 3

Time = top - T1 of Circuit-Breaker 3

    • T1 of Circuit-Breaker 4

Time = top - T1 of Circuit-Breaker 4

    • T1 of Circuit-Breaker 5

Time = top - T1 of Circuit-Breaker 5


Concept of Test Procedures

ATPDesigner is not only designed to analyze the stationary and transient behavior of electrical power networks but also to support protection or test engineers in testing protection devices using an Omicron CMCxxx test system. Therefore Test Procedures can be defined which will be automatically executed. ATPDesigner automatically monitors and analyzes the tripping reactions of the protection relay and writes a test report. The settings dialog presented below gives the user the opportunity to define a Test Procedure which will be automatically processed and controlled by ATPDesigner itself.

As an alternative ATPDesigner is also able to write the sampled values of the voltages and currents calculated by the ATP in text files e.g. according the COMTRADE standard or to write the results of the Load Flow Analysis into a text file.

  • Please Note

Before defining a Test Procedure it is required to select the Output Device e.g. CMC Test System .

  • Step 1: Select the Output Device

  • Step 2: Specification of the Electrical Power Network

The user has to specify the required electrical power network including Measuring Locations and/or Probes e.g. where the behavior of the protection relay should be validated or where the steady-state voltages and currents are of interest. The power network can be designed and configured using all network elements which are available in ATPDesigner. ATPDesigner calculates voltages and currents at the specified Measuring Locations and/or Probes according the behavior of the electrical power network and e.g. the specified Fault Types .

  • Step 3: Specification of the Test Procedure

The Test Procedure consists of a sequence of several test steps. The protection device will be stimulated or the calculated information will be written into a text file for each test step. In case of testing a protection device using an Omicron Test System , the reactions will be automatically measured and written into a report file. After the test sequence has been finalized, the user can analyze the test results with assistance by ATPDesigner. The figure above shows the dialog to define a test procedure. Test procedures can consist of up to one Test Levels 1 and as an option one Test Level 2 , which will be automatically executed for each step of Test Levels 1 .

Testing Protection Devices using a CMC Test System

ATPDesigner is designed to monitor all 10 binary inputs of the connected CMC Test System. The measured operating times will be compared with specified minimum and maximum operating times. Up to 4 monitoring ranges can be used. The supervision of trip command, starting signal and backward direction will be used as standard configuration of the monitored binary inputs.

Read more about CMC Test Systems and ATPDesigner

Read more about Operating Times Dialog

Read more about PC Equipment and Support of Omicron's CMC Test System

In this example, the test procedure consists of 260 different test steps. The protection device will be stimulated 10 times for each test step. In sum the protection device will be stimulated 2600 times.

For each test step, ATPDesigner transfers the calculated voltages and currents as sampled data to the CMC Test System. The CMC Test System will then be programmed to stimulate and monitor the protection device. ATPDesigner reads out automatically the monitored data and calculates the operating times. The operating times of the protection device will be written into a test report. The test report contains information as listed below:

  • a short description of the test procedure,
  • a description of the monitored signals,
  • the measured operating times and
  • the result of the type test.


How to define a Test Procedure

The figure below shows the dialog which shall be used to define a Test Procedure.

Start

Start of the Test Procedure

Copy to ...

Copy the Test Procedure into the List of Test Procedures contained in the second tab List of Test Procedures.

Ok

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file

Del Results

Delete the Protection Analysis Results and the Short-Circuit Results

It is equal to the operations processed by pressing the button [image] removing the Short-Circuit Analysis from the power network.

Time Correct.

Read more about Correction of Measured Operating Times

Comments

Read more about Test Procedure Comments

Ranges

Read more about Monitoring Ranges

Test Specification

Min

Minimum value of the setting which will be modified as test level 1

Max

Maximum value of the setting which will be modified as test level 1

Step

Step size value of the setting which will be modified as test level 1

Out

Number of stimulations of the protection device for each single test step (= one calculated set of voltages and currents)

Relaxing Time

Time between two single test steps of the protection device

Test Level 1

The dialog element Test Level 1 shall be used to select the type of the Test Level 1 . Depending on the selected Text Level 1 an additional Test Level 2 can also be selected.

Test Level 2

The dialog element Test Level 2 shall be used to select the type of the Test Level 2 .

Test Report File Name

File name of the test report which will be automatically created by ATPDesigner

Output Device

Selected Output Device

Test Report Directory

Directory which will be used by ATPDesigner to store the test reports

Report

Opening the test report in a text editor

Network

Opening the Network Description File of the current test procedure in a text editor

Monitoring Range 1 and Monitored Binary Inputs

Read more about Monitoring Ranges


List of Test Procedures

ATPDesigner assists the user to define a List of Test Procedures which can be processed by the Start button according the order 1..N defined in the list. The figure below shows an example using two test procedures.

  • Changing the Settings of one Test Procedure

The settings dialog can be opened via a Left Mouse Button Double Click or using the button Open.

Start

Start of the test procedures defined in the list according the order 1..N

Copy

The content of the spread sheet will be copied into the clipboard using a .csv-format as shown in the frame below.

;No;Lev1;Min;Max;Step;Lev2;Min;Max;Step;Prb 1N;Report Dir;Report

1;1;Short-Circuit Location;0;100;30;AB;0;0;1;Prb 2,Prb 3;D:\ATPDesigner\Data;TestDistUMZ

2;2;Short-Circuit Location;0;100;30;ABCG;0;0;1;Prb 2,Prb 3;D:\ATPDesigner\Data;TestDistUMZ

Open

If one of the lines of the spread sheet has been selected by a left mouse button click, the settings dialog can be opened. The settings dialog consists of the first tab General Technical Data of the settings dialog.

Delete

If one of the lines of the spread sheet has been selected by a left mouse button click, the test procedure can be deleted.

Del Results

Delete the Protection Analysis Results and the Short-Circuit Results

It is equal to the operations processed by pressing the button [image] removing the Short-Circuit Analysis from the power network.

Ok

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file


Test Level 1

The list below shows the settings which can be used for Test Level 1.

Test Level 1 | Equipment and setting to be modified
None | disabled
Fault Location Line 1…3 | Fault Location of Line 1..3
Sn of CT M1…5 | Nominal apparent power of the Current Transformer of the measuring location
N of CT M1...5 | Rated overcurrent number (ALF) of the Current Transformer
fnom of Network 1 | Nominal Frequency of the Network Infeed 1
R1 of Network 1 | Resistance of the positive-sequence system of the Network Infeed 1
X1 of Network 1 | Reactance of the positive-sequence system of the Network Infeed 1
T1 of Cb1...5 | Switching time T1 of the Circuit-Breaker
R1 of Line 1 | Resistance of the positive-sequence system of the Line 1
X1 of Line 1 | Reactance of the positive-sequence system of the Line 1
|Ip| of Line 1 | Amount of the phase current of Line 1 , left node L
|Vpg| of Line 1 | Amount of the phase-to-ground voltage of Line 1 , left node L
PoW (v, VAG) of Line 1 | Point of Wave of the Fault Type of Line 1 (Distance Protection)
PoW (v, VAG) of Line 1 (left) | Point of Wave of the Fault Type of Line 1 , left node L (Differential Protection)
PoW (v, VAG) of Line 1 (right) | Point of Wave of the Fault Type of Line 1 , right node R (Differential Protection)
R of Load 1..4 (Serial Imped.) | Resistance of the Load Impedance
X of Load 1..4 (Serial Imped.) | Reactance of the Load Impedance
C of Load 1..4 (Serial Imped.) | Capacitance of the Load Impedance
ATP Source: Amplitude | Amplitude of all ATP Sources of the electrical power network in parallel
3-Ph.Source: Pnom/Snom | Amplitude of all 3-Phase Sources of the electrical power network in parallel
Short-Circuit Location | Fault location of the Short-Circuit in % of the line length related to the left node "L" of the line
Short-Circuit Location (R) | Fault location of the Short-Circuit in % of the line length related to the right node "R" of the line


Test Level 2

The figure below shows the dialog Test Level 2 of a Test Procedure . The operation mode of the Test Level 2 can be selected in the settings dialog Test Procedure . The meaning of the settings Min, Max and Step depends on the selected operating mode of Test Level 2.

The list below shows the settings which can be used for Test Level 2.

Test Level 2 | Equipment and setting to be modified
None | disabled
Point on Wave | Point on wave of the Fault Type of the Line 1..3

Selected Test Level 2

Name of the selected test level 2

Test Level 2 must be selected in the dialog to define a Test Procedure .

Min

Minimum value of the setting which will be modified as Test Level 2

Max

Maximum value of the setting which will be modified as Test Level 2

Step

Step size value of the setting which will be modified as Test Level 2

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Help

Open the corresponding chapter in the help file


Test Procedure Comments

ATPDesigner provides the user to add a test description and additional comments to the Test Procedure . These test description and comments will be saved into the .NET-File . After executing the Test Procedure, ATPDesigner writes the test description into the Test Report. The figure below shows the dialog where the test description and comments shall be inserted.

  • Please Note

The ATPDesigner test description is limited up to 10.000 characters.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Reset

The original test description, which was presented after opening the dialog, will be reset.

Undo

The last changes made in the text editor will be canceled using the Undo - button

Test Status

The user can define the status of the Test Procedure as approved or witnessed. The status will be written into the test report.

Inp. 1 .. 10: Monitored Binary Inputs

The user can define a short description for each of the 10 monitored binary input channels of the connected CMC Test System. The descriptions will be written into the Test Report. The description is limited up to 100 characters.


Monitoring Ranges

ATPDesigner supports testing protection devices with up to 4 independent Monitoring Ranges. The Monitoring Ranges allow to monitor the 10 binary input channels of the CMC Test System . The figure below shows the dialog Specifications of Monitoring Ranges. If no CMC Test system has been connected, the Monitoring Ranges can be set but will be ignored from ATPDesigner.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Help

Open the corresponding chapter in the help file

Range No. x

Settings for Monitoring Range x (x = 1..4)

Monitoring Range

Monitoring enabled

Enable or disable the presented Monitoring Range

Min

Minimum value of Test Level 1 or 2 of the monitoring range

Max

Maximum value of Test Level 1 or 2 value of the monitoring range

  • Please Note

The value of Min and Max depends on the additional setting displayed below:

    1. Monitoring of Level 1 : The values of Test Level 1 will be monitored
    2. Monitoring of Level 2 : The values of Test Level 2 will be monitored

Read more about Test Level 1 and 2

Monitored Binary Inputs

Up to 10 binary input channels of the CMC Test System can be monitored independent from each other.

Inp. x

Number of the binary input channel 1..10 of the CMC Test System

On/Off

Enable or disable the monitoring of the binary input channel

H/L

Operating mode of the binary input channel: High Active or Low Active

Configuration

Operating Time (HIGH -> LOW) or Release Time (LOW -> HIGH) will be monitored

Min. - Max. Oper. Time

Minimum and maximum operating time for the binary input channel


Operating Times Dialog for Test Procedures

Read more about Operating Times Dialog

The figure below shows an Operating Time Dialog, which presents operating times measured and corrected during a Test Procedure . The Test Procedure has been defined using Level 1 (Lev 1) only, Level 2 (Lev 2) was not used. Level 1 was set to modify the Fault Location from 0% up to 10% using a 10% step size.

  • Please Note

This dialog will be only used if the Output Device CMC Test System has been selected.

The next figure shows the Operating Times Dialog as result of a Test procedure, where both Level 1 (Lev 1) and Level 2 (Lev 2) had been used. Level 1 was set to modify the Fault Location from 0% up to 10% using a 10% step size. Level 2 was used to iterate the Point on Wave from 0° up to 300°, step size 60°.

The figure below shows operating times measured around the decision zone (zone 1) of a distance protection device. Zone 1 was set to 80% of the line length. The dashed line "---" indicates that the protection relay didn't trip.


Menu Item Configuration of Amplifiers

The sub menu Configuration of amplifiers to configure the CMC test system consists of three menu items shown in the figure below. The menu items will be automatically enabled (black) or disabled (grayed) depending on the configuration of Output Device in Network Configuration .

Read also CMC Configuration

  • Please Note

The messages coming from the CMC Test System will be also displayed in the Messages Window .

  • Please Note

Please select Output Device CMC Test System in the settings dialog Network Configuration, tab Network before using this option. It is recommended to close and restart ATPDesigner after setting this option. If successfully ATPDesigner writes some messages into the Messages Window .

Configuration of Amplifiers (Distance Protection)

Open the dialog Configuration of Omicron CMC Test Systems to configure the amplifiers depending on the Measuring Scheme in Network Configuration .

Configuration of Amplifiers (Differential Protection)

Open the dialog Configuration of Omicron CMC Test Systems to configure the amplifiers depending on the Measuring Scheme in Network Configuration .

Reset Amplifiers

Reset and reconnect the CMC test system

If the CMC test system is not configured as Output Device in Network Configuration , the error message shown below will be presented. Some times it is required to close the ATPDesigner, shut up the CMC test system and to restart first the CMC test system and then ATPDesigner to establish the connection again.

If the CMC test system has been not configured as the Output Device , the error message shown below will be displayed in a message dialog or in the Messages Window .


Connecting CMC Test System during Startup

Read more about Output Device Configuration

Read more about ATPDesigner and CMC Test System

If the Output Device CMC Test System has been selected, ATPDesigner tries to connect and to configure the CMC Test System according the CMC Test System Configuration during the startup phase.

  1. Loading CMEngine - DLL using the folder CM Engine as part of the Program Settings
  2. Establish communication link to the CMC Test System
  3. Read more about How ATPDesigner Connects the CMC Test System
  4. Reset the CMC Test System
  5. Configuration of the CMC Test System according the CMC Test System Configuration

  • Please Note

The messages coming from the CMC Test System will be also displayed in the Messages Window .

Error Messages Connecting CMC Test System During Startup Phase

  • If ATPDesigner could not load the CMEngine - DLL

  • If the CMEngine - DLL has been successfully loaded, but CMC Test System could not be reset

  • The messages will be also displayed in the Messages Window .


How ATPDesigner Connects the CMC Test System
  • Please Note

The messages coming from the CMC Test System will be also displayed in the Messages Window .

After loading the communication interface CMEngine , ATPDesigner resets the CMC Test System as shown in the message below. This can take some seconds because the reset process is slow. The CMEngine is part of Omicron's software package and can be used for the communication between a Windows based PC and the CMC Test Systems e.g. CMC156 or CMC256 or CMC356.

If ATPDesigner could not connect the CMC Test System, the message shown below will be presented.

If connecting successfully the CMC Test System, ATPDesigner reads now the identification messages of the connected test system.

Read more about ATPDesigner and CMC Test System

If ATPDesigner could identify a CMC Test System consisting of CMC156 or CMC256 without additional amplifiers, the message below will be presented.

If additional amplifiers had been identified the message presents also this information. In the example below ATPDesigner had identified the current amplifier CMA156.

If additional amplifiers could be identified ATPDesigner displays this information as below. ATPDesigner could identify the test system CMC256 with additional amplifier CMS156 connected to the CMC256. The amplifier CMS156 consists of a voltage and a current amplifier.

As the last step ATPDesigner configures the connected amplifiers according the configuration in Configuration of Omicron CMC Test Systems .

The messages will be also displayed in the Messages Window .


Configuration of Omicron CMC Test Systems

ATPDesigner supports the user to assign the Measuring Locations to the connected CMC test systems. The figure below shows the dialog to configure the amplifiers of the CMC test system.

  • Please Note

The messages coming from the CMC Test System will be also displayed in the Messages Window .

Measuring Scheme: Distance Protection

If the Measuring Scheme Distance Protection in the settings dialog Network Configuration has been selected, the voltages and currents of the Measuring Locations M1 and M2 of the Circuit-Breaker Cb1 and Cb2 can be assigned to the amplifiers of the CMC test system.

Measuring Location 1: Voltages

Assignment of the phase-to-ground voltages of Measuring Location M1 to an amplifier of the CMC test system

Measuring Location 1: Currents

Assignment of the phase currents of Measuring Location M1 to an amplifier of the CMC test system

Measuring Location 2: Voltages

Assignment of the phase-to-ground voltages of Measuring Location M2 to an amplifier of the CMC test system

Measuring Location 2: Currents

Assignment of the phase currents of Measuring Location M2 to an amplifier of the CMC test system

Threshold of Binary Inputs

Trigger threshold of the binary inputs of CMC test system

  • Please Note

If an external DC-Source will be used to detect the trip commands, this threshold must be set to a voltage value > 0V.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings

Measuring Scheme: Diff. Protection

If the Measuring Scheme Diff. Protection in the settings dialog Network Configuration has been selected, the voltages and currents of the Measuring Locations M1 and M2 of the Circuit-Breaker Cb1 and Cb2 can be assigned to the amplifiers of the CMC Test System.

Measuring Location 1: Currents

Assignment of the phase currents of Measuring Location M1 to an amplifier of the CMC test system

Measuring Location 2: Currents

Assignment of the phase currents of Measuring Location M2 to an amplifier of the CMC test system

Measuring Location 3: Currents

Assignment of the phase currents of Measuring Location M3 to an amplifier of the CMC test system

Measuring Location 4: Currents

Assignment of the phase currents of Measuring Location M4 to an amplifier of the CMC test system

Threshold of Binary Inputs

Trigger threshold of the binary inputs of CMC test system

  • Please Note

If an external DC-Source will be used to detect the trip commands, this threshold must be set to a voltage value > 0V.

OK

Close dialog and save changed settings

Cancel

Close dialog without saving changed settings

Default

Load the default settings


File

The figure below shows the menu item File of the main menu.

New

Create a new electrical power network

see button [image] in Main Toolbar

Open ..

Open an existing electrical power network loading a .NET-File or open several other file types e.g. COMTRADE or .TXT-Files .

see button [image] in Main Toolbar

  • Please Note

.NET-Files can be also opened using the MRU-List (most recently file list).

Save

see button [image] in Main Toolbar

Save As ..

Several files e.g. .NET - Files or Extended .CFG - Files can be saved using a new file name. Extended .CFG - Files may contain User Defined Equations. In addition it is also possible to save the .NET-File and all assigned External .ATP-Files into a .ZIP-File .

Read also How to Create a Project Backup using .ZIP-Files

Save Project

Saving the .NET-File and all assigned External .ATP-Files e.g. MODELS files in one .ZIP-File . The toolbar button can be found in the Main Toolbar .

Import and Export

ATPDesigner imports and exports several information using .csv-files.

Read more in Import and Export

Browse

Start the browser for .NET-Files , .PL4-Files and .CFG (COMTRADE) - Files

Read also about Browser for .NET-, .PL4- and COMTRADE-Files

Print ..

see button [image] in Main Toolbar

Print Preview

see button [image] in Main Toolbar

Print Setup

Opens the dialog to select and configure the printer

Exit

ATPDesigner will be closed after the user has been asked to save all .NET-Files not yet saved . The figure below shows the dialog which will be opened if the last modifications of the .NET-File has not been saved.


Edit

The figure shows the menu item Edit of the main menu.

Find CTRL + F

Open a dialog to display all network elements in a tree view

Network elements can be selected in the tree view and after that highlighted in the power network graphics

Read more about the dialog how to Find Network Elements and Node Names

Library CTRL + ALT + L

Open a Library of Network Elements

Redraw CTRL + ALT + M

Redraw the power network graphic and move the network graphic to the top left of the graphics view

Refresh

Refresh the power network graphics without modifications

Vnom Level CTRL + ALT + C

ATPDesigner automatically identifies sub networks using the same nominal voltage Vnom. These sub network will be drawn in one common color.

Read also Automatic Identification of Nominal Voltages Vnom

Enable All

Enable all disabled network elements

Read also How to Enable or Disable Network Elements

Select All CTRL + A

All network elements of the electrical power network will be selected

All selected network elements can be unselected clicking with the left mouse button on the graphics view.

  • Please Note

This function can be very helpfully if the user wants to check which network element is flexible or not, means, which shape can be modified or not. The figure below shows a snapshot of the graphical view of a power network drawn after selecting all network elements using the menu item Select All. It can be seen that the Lock [image] / Unlock [image] - Symbols of the network elements with flexible shape will be displayed.

Read more about How to Lock / Unlock Network Elements

Copy CTRL + C

If no network element has been selected: Copy the graphics of the power network or a diagram to the clipboard

Read more about Copy Graphics to Clipboard

Read more about Copy and Paste Network Elements

Paste CTRL + V

Paste the last copied network element from the clipboard into the center of the graphics view

Read more about Copy and Paste Network Elements

Undo CTRL + Z

Undo the last modifications done during the design of the eletrical power network

Read more about Undo

Zoom In

Read more about Zooming the Power Network Graphics

Zoom Out

Read more about Zooming the Power Network Graphics

Reset Zoom

Zooming the power network graphics to the smallest zoom factor

Erase All

Erase all network elements

Read more about How to Delete All Network Elements

The functions can be also started via the both elements listed below.

  • Main Toolbar
  • Hotkey


Power Network

The figure shows the menu item Power Network of the main menu. Only the predefined network elements and some general data can be modified using the submenu items. If one of the submenu items has been selected, the corresponding dialog will be opened.

Submenu Combine Network Elements

ATP Data

Read more about ATP Data

Equipment Settings List

The settings of the network elements can be displayed and changed using a report control (spread sheet).

Read more about Equipment Settings List

Network Configuration

Read more about Network Configuration

Node Names

If F3 hotkey or toolbar button enabled the node names of the network element at the tip of the mouse cursor will be displayed in a tooltip

Read more about How to Show the Node Names of Network Elements

Settings of Network Elements

If enabled the most important settings of the network element will be displayed in a tooltip at the tip of the mouse cursor.

Display User Text

The User Specific Text will be displayed in a tooltip if the mouse cursor has been moved "over" the shape of the network element. The User Specific Text will be not displayed if any other information will be displayed in a tooltip e.g. Short-Circuit Results or any results of the Protection Elements .

  • Please Note

The User Specific Text can be inserted using the button [image] which is part of the settings dialogs of the network element.

Calculator PI Model

Read more about Calculator for PI Line Model

Network Infeed 1

Read more about Network Infeed

Harmonics Network Infeed 1

Read more about Harmonics

Single Line

The network element will be enabled if required and the corresponding settings dialog for Line No. 1, 2 and 3 will be opened. The figure below shows the submenu item to open the corresponding dialogs of the lines 1..3.

Double Line

The dialogs for Double Line No. 1, 2 and 3 can be opened.

CT's and VT's

Read more about Current and Voltage Transformer

CT Saturation

Read more about CT Saturation Characteristic

Circuit-Breaker

Read more about Circuit-Breaker (3-Pole) or Circuit-Breaker (1-Pole)

Fault Types

Read more about Fault Types and Fault Location

Fault Impedance

Read more about Fault Impedance

Arc Fault

Read more about Configuration of Arc Faults

Submenu ATP MODELS

The figure below shows the submenu.

Create a new MODELS file

Creates new MODELS files.

Read also ATPDesigner and MODELS

Create MODEL: TOC Protection (PTOC)

ATPDesigner automatically creates the MODELS script required to implement a Time Overcurrent Protection and inserts the MODELS script into a MODELS file (based on External .ATP-File ), which has been selected.

Create MODEL: Clarke-Transformation (0ab)

ATPDesigner automatically creates the MODELS script required to implement a Clarke-Transformation and inserts the MODELS script into a MODELS file (based on External .ATP-File ), which has been selected.

Create MODEL: DFT (Discrete Fourier Transformation

ATPDesigner automatically creates the MODELS script required to implement a Discrete Fourier Transformation and inserts the MODELS script into a MODELS file (based on External .ATP-File ), which has been selected.


ATP

The figure shows the menu item ATP of the main menu.

Start ATP

Start ATP without writing the .ATP-File

Write .ATP - Control File

Create the main .ATP-File and save them on the hard disk (excluding Line Constants, CABLE PARAMETERS, etc.) without starting the ATP

Write ATP Control Files and Start ATP

Write all .ATP-Files (incl. LINE CONSTANTS, ..) and start ATP to calculate voltages and currents

Additional .ATP-Files e.g. for the LINE CONSTANTS pre-processing will be calculated first before the main .ATP-File will be processed. The pre-processed .ATP-Files will be used as $INCLUDE - files for the main .ATP-File.

Start ATP and Convert Control File

Calculation of the .ATP-File , converting and transfering to the selected Output Device

Please note, that the .ATP-File will be NOT written again to the hard disk. ATPDesigner processes the .ATP-File which has been saved to the hard disk before.

Write ATP Line Constants and Start ATP

Write LINE CONSTANTS .ATP-File , calculation of the impedance matrix of the Double-Circuit Line

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the LINE CONSTANTS pre-processing. This function can be used to check the results of the LINE CONSTANTS pre-processing.

Write MULTI-CIRCUIT LINE and Start ATP

Write LINE CONSTANTS .ATP-File , calculation of the impedance matrix of the Multi-Circuit Line

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP - Files which are required for the LINE CONSTANTS Multi-Circuit Line pre-processing. This function can be used to check the results of the LINE CONSTANTS Multi-Circuit Line pre-processing.

Write ATP BCTRAN and Start ATP

Write BCTRAN .ATP-File, calculation of the BCTRAN model

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the BCTRAN pre-processing. This function can be used to check the results of the BCTRAN pre-processing.

Write ATP XFORMER and Start ATP

Write XFORMER .ATP - File, calculation of the XFORMER model

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the XFORMER pre-processing. This function can be used to check the results of the XFORMER pre-processing.

Write ATP Cable and Start ATP

Write CABLE PARAMETERS .ATP-File, calculation of the Cable model

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the CABLE PARAMETERS pre-processing. This function can be used to check the results of the CABLE PARAMETERS pre-processing.

Write ZNO Fitter and Start ATP

Write Mov / ZNO Fitter .ATP-File, calculation of the ZNO Fitter model

The main .ATP-File will be not written by ATPDesigner and processed, but only the .ATP-Files which are required for the ZNO Fitter pre-processing. This function can be used to check the results of the ZNO Fitter pre-processing.

Short-Circuit Power Calculation

Read more about Short-Power Calculation

Protection Relaying Results

Read more about Protection Relaying Results

Power Network Impedance

Calculation of the Power Network Impedance

Maximum Voltage Vpg and Voltage Drop

Enable or disable displaying the Voltage Drop Tooltips for all Busbars and enable or disable the coloring of the maximum phase-to-ground voltages in the power network

Minimum Voltage Vpg and Voltage Drop

Enable or disable displaying the Voltage Drop Tooltips for all Busbars and enable or disable the coloring of the minimum phase-to-ground voltages in the power network

Power Loss Coloring

Enable or disable the coloring e,.g. of Line and Transformer depending of their power losses.

Read also about the tab Ploss Colors of the Network Configuration settings dialog

Display the Measurement Values of all Probes and Single-Circuit Lines in One List

Load Flow Results - Overloading displayed in the Power Network

Display the results of a load flow analysis in a report

Enable or disable Load Adjusting

Enable or disable Phase Adjusting

Short-Circuit Results

ATPDesigner writes the .ATP-File including the enabled ATP Steady State Analysis as the basis for the Short-Circuit Analysis Results presentation. The results will be displayed into the dialog Short-Circuit Analysis Results .

Remove Short-Circuit Results

Remove the results of the Short-Circuit Analysis from the power network

View Short-Circuit Results

View the results of the Short-Circuit Analysis in details using a spreadsheet

Short-Circuit Settings

Short-Circuit Type

Enable the Short-Circuit and move the Short-Circuit Cursor to any node of the power network

Remove Short-Circuit

Remove the Short-Circuit from the power network.

Power Network Impedance

ATPDesigner calculates the power network impedance which depends on the current frequency of the power network.

Read more in Calculation of the Power Network Impedance

Start Graphics Viewer

Start Graphics Viewers to show the calculated data

Convert and Export Currents and Voltages

Select new file format, convert calculated voltages and currents and export into a data file

This function can be used to convert the currents and voltages saved in the .PL4 - file e.g. to COMTRADE (see Converting Voltages and Currents to Other File Formats ).

Time Correction

Read more about Correction of the Measured Operating and Release Times

Additional ATP Tools

ATPDesigner supports the user to start Additional ATP Tools e.g. WINDSYN or ELINEQ directly using the menu structure of ATPDesigner. The .ATP-Files which will be created from the additonal tools can be directly included into the .ATP-File created from ATPDesigner using the network element External .ATP-File .

Read more about WINDSYN

Read more about WTRAFOS2 and WTRAFOS3

Read more about ELINEQ

The figure below shows the submenu which can be used to start the Additional ATP Tools.


Test

The figure shows the menu item Test of the main menu.

Test Procedure

Processing a single test procedure

Read more about Concept of Test Procedures

Single-Step Test

Processing a manual test

Read more about Single-Step Test

Monitoring Ranges

Read more about Monitoring Ranges

Time Correction

Read more about Correction of the Measured Operating and Release Times


Network Design

The figure shows the menu item Network Design of the main menu and the related submenu.

  • Please Note

Menu items can be drawn as enabled (black) or disabled (grayed) depending on the configuration of the power network and the network elements in use.

  • Submenu Add Switch

  • Submenu Add Line

  • Submenu Add Transformer

  • Submenu Add Voltage or Current Source

Network Elements

Opens the sub menu shown below

Enable Network Elements

Some network elements Circuit-Breaker , Single-Circuit Line and Network Infeed are predefined. Predefined network elements are always stored in the .NET-File . A predefined network element e.g. Network Infeed 1 can be not deleted but only set invisible or invisible.

Read more about this submenu item to enable or disable Predefined Network Elements

Settings for Busbar

Read more about this submenu item

Settings for Line

Read more about this submenu item

Add Probe | Add a new Probe
Set Probe | Read more in the main menu Protection
Add Line | Add a new Single-Circuit Line or Double-Circuit Line
Add Connection | Add a new Connection
Add Load Impedance | Add a new Load Impedance
Add RLC Impedance | Add a new RLC Impedance
Add Busbar | Add a new Busbar
Add Network | Add a new Network Infeed
Add Transformer | Add an new Transformer
Add BCTRAN Transformer | Add an new BCTRAN Transformer
Add XFORMER Transformer | Add an new XFORMER Transformer
Add SATURABLE Transformer | Add an new SATURABLE Transformer
Add Cable | Add an new Cable
Add Multi-Circuit Line | Add a new Multi-Circuit Line
Add Autotransformer | Add a new Autotransformer
Add Generator | Add a new Generator
Add Electrical Machine | Add a new Electrical Machine
Add Renewable Power Infeed | Add a new Renewable Power Infeed
Add Circuit-Breaker | Add a new Circuit-Breaker (3-Pole) or Circuit-Breaker (1-Pole)
Add Grounding System | Add a new Grounding System
Add 3-Phase Source | Add a new 3-Phase Source
Add .ATP-File | Add a new External .ATP-File
Add Text Frame | Add a new Text Frame
Add Measuring Line | Add a new Measuring Line
Add Connection | Add a new Connection
Add Splitter | A a new Splitter
Add Admittance Function Y(s) or Y(z) | A a new Admittance Function
Add ATP Source | Add a new Static Power Network Sources
Add Empirical Function | Add a new Empirical Function
Add TACS Data Card | Add a new TACS Data Card
Add Nonlinear Element | Add a new Nonlinear Element
Add Load Flow Node | Add a new Load Flow Node
Add Switch (normal shape) | Add a new Switch with normal shape size
Add Switch (small shape) | Add a new Switch with small shape size
Check Network Nodes | read more in How to Identify Not Connected Nodes
Open Circuit-Breaker or Switch | Open all selected Circuit-Breaker or Switch
Close Circuit-Breaker or Switch | Close all selected Circuit-Breaker or Switch
Close all Circuit-Breaker or Switch | Close all Circuit-Breaker or Switch independent if they are selected or not
Open all Circuit-Breaker and Switch | Open all all Circuit-Breaker or Switch independent if they are selected or not

  • Please Note

If a Circuit-Breaker or a Switch is disabled, they will be not closed or opened. Read more How to Enable or Disable Network Elements


Network Design - Enable Network Elements

Predefined network elements are always stored in the .NET-File . A predefined network element e.g. Network Infeed 1 can be not deleted but only set invisible or invisible. The predefined network elements are

  • Circuit-Breaker Cb1..5
  • Line 1..3
  • Network Infeed 1


Network Design - Changing Properties of Network Elements

Using this submenu the user can change some important properties of one or more selected network elements e.g. the drawing color.

  • Please Note

The drawing color of one or more selected network elements can be also modified using a Right Mouse Button Menu .

Properties

Display the Properties of the selected network element

Network Element Data

Opens the dialog to change the data of the selected network element

Deselect

Deselect all selected network elements

Delete

Delete all selected network elements

Duplicate

Duplicate the selected network element

Lock

The graphical representation of the network element will be locked and can be not changed. If the check mark is visible, the network element is locked, otherwise the network element is still unlocked.

Move to Foreground

Move the network element to the foreground

Move to Background

Move the network element to the background

Rotate 180°

How to Rotate a Network Element

Rotate 90° Clockwise

How to Rotate a Network Element

Rotate 90° Invers

How to Rotate a Network Element

Network Element Color

Read more details about the submenu Network Element Color


Network Design - Settings for Busbar

Read also Right Mouse Button Menus

The figure below shows the content of the submenu.

Busbar Settings

If one busbar has been selected, the settings dialog of the Busbar can be opened and the settings of the busbars can be modified.

Set not connected Feeder (in)visible

For Double Busbar only: Busbar feeder which are not connected to other network elements will be set visible or invisible


Network Design - Settings for Line

Read also Right Mouse Button Menus

The figure below shows the content of the submenu Set Line.

Line Shape for Cable and Overhead Line

Enable or disable different line shapes for Single-Circuit Line as cable or as overhead line and Multi Line

  • dashed line shape : cable
  • solid line shape : overhead line

Set Line or Connection Vertical

The menu option is only enabled, if one Line or Connection had been selected. The selected network element will be redrawn vertical, if maximum one node of the selected network element is still connected.

Set Line or Connection Horizontal

The menu option is only enabled, if one Line or Connection had been selected. The selected network element will be redrawn horizontal, if maximum one node of the selected network element is still connected.

Set Line or Connection 50% Length

The menu option is only enabled, if one Line or Connection had been selected. The selected network element will be redrawn with 50% of the current length. Please note, that this function can be only processed, if the network element had been drawn vertical or horizontal.

Set Line or Connection 200% Length

The menu option is only enabled, if one Line or Connection had been selected. The selected network element will be redrawn with 200% of the current length. Please note, that this function can be only processed, if the network element had been drawn vertical or horizontal.


Network Design - Settings for Load Impedance

The figure below shows the content of the submenu.

Select the shape of the Load Impedance

    • impedance symbol

or

    • arrow symbol


Protection

The figure below shows the main menu Protection.

  • Submenu Protection Design

  • Submenu Protection Analysis

  • Submenu Protection Logic

    • Set Invisible Drawing Color

Select the drawing color for the logic blocks used if the menu item Set to Invisible has been enabled

    • Reset Invisible Block Drawing Color

The default drawing color will be set.

    • Set to Invisible

All logic blocks and Measuring Lines will be drawn using the color selected by Set Invisible Drawing Color

Find Protection

Open the dialog to find a Probe and the related Protection Element in the electrical power network

Protection Analysis

Open the dialog to display the tripping characteristic and additional information about the results of the Protection Analysis

Line Probe - Protection Analysis

Enable the line between all Probe and the corresponding frame displaying the Protection Analysis

Reset All Lines Probe - Prot. Analysis

Reset the line between all Probe and the corresponding frame displaying the Protection Analysis

All Protection ON/OFF

The protection elements of all Probe will be disabled.

All Backup Protection ON/OFF

The backup protection elements of all Probe will be disabled.

Probe: Protection ON/OFF

The protection elements of the selected Probe will be disabled.

Probe: Backup Protection ON/OFF

The backup protection elements of the selected Probe will be disabled.

List of Protection Analysis Results

The results of the Protection Analysis of all Probe will be displayed in a spread sheet.

Read more in the chapter List of Protection Analysis Results

Freeze Protection Analysis Results

The results of the last Protection Analysis of all Probe will be stored in an internal list (therefore called Freeze) to be also as initial values of the next Protection Analysis

Delete All Protection Analysis Results

The results stored in an internal list will be deleted.

  • Please Note

It is strongly recommended to delete the internal list used to be stored the results of the protection analysis before starting a new protection analysis.

Automatic Protection Analysis

Processing the Protection Analysis automatically until the short-circuit current has been interrupted


Diagrams

The figure shows the menu item Diagrams of the main menu. The menu items corresponds with buttons in the Network Element Toolbar .

Diagram Settings

Read more about Diagram Settings

Diagram Curve Colors

The drawing colors of the signals e.g voltages or currents displayed in a Diagram can be changed.

Read more about Selecting Colors to Draw the Diagram Curves

Signal List

The graphics file can be reopened and new signals can be selected.

Read more about Selecting Voltages and Currents

Refresh Diagram

Refresh the signal diagram of voltages and currents

Signal Analysis Settings

Read more about Signal Analysis Settings

Diagram Diagram Scaling Factors

Read more about Diagram Diagram Scaling Factors

Open a Diagram


Tools

The figure shows the menu item Tools of the main menu.

Configuration of Amplifiers

Configuration and Reset of Omicron`s CMC Test System

Program Settings

Open dialog to define the Program Settings

Customize Toolbars

The toolbars Main Toolbar , Network Design Toolbar , Search Toolbar and Network Elements Toolbar can be customized. The size of the icons can be changed between small icons (18x18 pixels) and large icons (36x36 pixels).

Read more How to CustomizeToolbars

Merging COMTRADE Files

Read more about Merging COMTRADE Files

Appending Text Files

Read more about Appending Text Files


View

Read more about How to Insert a New Network Element using the Network Element Toolbox

The figure below shows the menu View of the main menu. The menu items can be enabled (black) or disabled (grayed) depending on the configuration of the electrical power network. The figure to the left shows the menu, if a power network has been enabled as the top most window. The figure to the right shows the menu, if a diagram has been chosen as the top most window.

Fault Impedance

Read more about Primary Fault Impedance or Secondary Fault Impedance

SIR Factors

Read more about SIR Factors

Signal Analysis Results

Read more about Signal Analysis Results

Vector Diagram

Read more about Vector Diagrams

Open .ATP-File

Open the .ATP-File using the configured Text Editor

Open .LST-File

Open the .LST-File using the configured Text Editor

Open .PL4 - File

Open the ATP graphics file using the configured Diagram Viewer

The .PL4-File contains the sampled values of all voltages and currents calculated by ATP.

Open Load Adjusting - File

Open the text file containing the results of the Load Adjusting iteration process.

Open Phase Adjusting - File

Open the text file containing the results of the Phase Adjusting iteration process.

Open Power Loss - File

Open the text file containing the results of the Power Loss Calculation of the electrical power network.

Open ATP Startup File

Open the ATP startup file, which is saved in the folder AtpSystem

Network Grid

A grid can be enabled in the background of the network graphics to support the user positioning the network elements.

Display Combinations

Display the green line to indicate the combination of a Probe and a Switch

Set All Nodes (In)Visible

The nodes of the network elements where network elements can be connected can be set visible or invisible.

Diagram Cursor

Read more about Diagram Cursor

Diagram Zoom

Read more about Diagram Zoom

Diagram Cursor Snap

Read more about Diagram Cursor Snap Data Points

Network Design Mode

The menu item presented below shows that the Network Design Mode has been disabled. If the Network Design Mode has been enabled, a check mark will be displayed at the left-side of the corresponding menu item. To enable or disable the Network Design Mode, click on the corresponding menu item or use the corresponding button [image] in the Main Toolbar .


View - Toolbars and Messages Windows

The figure below shows the main menu View . Using the menu items shown in the last block of the menu Toolbar , Status Bar and Docking Windows can be set visible or invisible.

Network Design Toolbar

Read more about Toolbar for Network Design Mode

Main Toolbar

Read more about Main Toolbar

Network Toolbar

Read more about Toolbar for Network Elements

Tooltip Toolbar

Read more about Toolbar for Short-Circuit Tooltips

Read also about the Right Mouse Button menus for Short-Circuit Results

Messages Window

ATPDesigner writes messages e.g. errors, warnings, calculated short-circuit currents, etc. into a docking window, which can be set visible or invisible using this menu item.

Read more about Messages Window

Protection Messages

ATPDesigner writes all messages which are related to the Protection Elements into a docking window, which can be set visible or invisible using this menu item.

Read more about Messages Window

Status Bar

Read more about Status Bar

Project Information

Read more about Project Information

ATP Messages

ATPDesigner writes warnings and errors which are generated by the ATP itself into this Messages Window .


Window

The figure shows the menu item Window of the main menu. At the end of the dialog the MRU list will be displayed.

New Window

A new window will be opened presenting the same content as the current window.

Cascade

Cascade all windows

Tile

Tile all windows

Arrange Icons

Arrange the icons of the minimised windows.

Split

Not yet supported

Close Top Most

Close the top most window

If the .NET-File assigned to window has been modified, the user will be asked to save the .NET-File which is assigned to the window.

Close All

Close all windows

If the .NET-File assigned to window has been modified, the user will be asked to save the .NET-File which is assigned to the window.

Close All (AutoSave)

Close all windows

If the .NET-File assigned to the window has been modified, the .NET-File which is assigned to the window will be automatically saved without asking the user.


Help

The figure shows the menu item Help of the main menu.

Help Topics

Start this online help of ATPDesigner

The online help can be also started using F1 if no network element is enabled.

About ...

Open the About - dialog of ATPDesigner displaying information about software release version, .NET-File version, etc.

Web Services

ATPDesigner provides the user with some Web Services , if an internet connection is available.

  • Homepage of ATPDesigner
  • E-Mail to the author of ATPDesigner

About Omicron`s CMEngine

Open a dialog containing information about the communication interface to Omicron`s CMC test system. If no CMC test system has been connected or the CMEngine - DLL could not loaded several error messages will be displayed.


Toolbars and Status Bar
  • Main Toolbar
  • Toolbar for Network Elements
  • Toolbar for Network Design Mode
  • Toolbar for Short-Circuit and Protection Tooltips
  • Status Bar
  • Customize Toolbars


Toolbars with Small or Large Icons

ATPDesigner supports toolbars with small (18x18 pixel) and large (36x36 pixel) icons. The icon size can be changed using the Customize Toolbars dialog.

  • Open the main menu Tools , submenu Customize Toolbars
  • Move the mouse cursor "over" a toolbar and open the Right Mouse Button Menu

  • Change the Icon options


Main Toolbar

The Main Toolbar provides the user to start quickly often used features. The Main Toolbar can be enabled or disabled via the main menu item View . Some features of the buttons of the toolbar can be also started via Hot Keys . The figure below shows the Main Toolbar.

Read more about How to Customize Toolbars

Read more about Files and File Extensions

Read more about Program Settings

Read more about Folders

Create a new .NET-File loading the default settings and the default power network

Open an existing file

Several file types e.g. a .NET-File or a .PL4-File can be opened to be processed by ATPDesigner. The figure below shows the Windows standard dialog to open files. The user must select the corresponding file extension as shown below.

Save the current .NET-File without changing the file name

  • Please Note

Before saving the .NET-File ATPDesigner first creates a copy of the .NET-File stored on the hard disk using the file extension .BAK.

Save Project

Saving the .NET-File and all assigned External .ATP-Files e.g. MODELS files in one .ZIP-File . This toolbar button corresponds to the menu item Save Project in the main menu File .

Start the browser for .NET-Files , .PL4-Files and .CFG (COMTRADE) - files

See more about Browser for .NET-, .PL4- and COMTRADE-Files

Print the graphics of the power network

Shows the print preview of the graphics of the power network

Erase all network elements

Read also How to Delete All Network Elements

If no network element has been selected: Copy the graphics of the power network or a diagram to the clipboard

Read also Copy Graphics to Clipboard

If a network element has been selected: Copy the network element

Read also Copy and Paste Network Elements

Paste the last copied network element into the center of the graphics view

Read also Copy and Paste Network Elements

Copy the selected network element

Undo the last modification of the power network

Read more about Undo

Write .ATP-File to the hard disk without starting ATP

Starting the network simulation process

ATPDesigner writes the .ATP-File and starts the simulation program ATP as a background job. The ATP calculates voltages, currents, etc. and creates several files: the .LST-File and the .PL4-File to create Diagrams .

Load the .PL4-File and create a Diagram

Read more about How to Open a Diagram

Read more about How to Create a New Diagram of Voltages and Currents

Read more about Network Configuration

Read more about ATP Data

Read more about Protection Relaying Results

Read more about Load Flow Nodes

Enable or disable Load Adjusting

Enable or disable Phase Adjusting

Enable or disable the Power Loss Coloring e,.g. of Line and Transformer depending of their power losses.

Read also about the tab Ploss Colors of the Network Configuration settings dialog

Enable or disable drawing the red and green arrows indicating power load flow as result of the Load Adjusting

Enable or disable displaying the Voltage Drop Tooltips for all Busbars and enable or disable the coloring of the maximum phase-to-ground voltages in the power network

Enable or disable displaying the Voltage Drop Tooltips for all Busbars and enable or disable the coloring of the minimum phase-to-ground voltages in the power network

Start the calculation of the Short-Circuit Analysis and display these results directly in the power network

View the Short-Circuit Analysis in a spreadsheet

ATPDesigner identifies parts of the electrical power network using the same Voltage Level Vnom. The power network will be redrawn using a specific color for each nominal voltage Vnom level, which has been identified. The rated voltages Vr also used in several settings dialogs will be not used.

Remove the Short-Circuit Analysis from the power network

Display the Measurement Values of all Probes in One List

Load Flow Results - Overloading displayed in the Power Network

Display the results of a load flow analysis in a report

Start the Short-Circuit Power Calculation

Read more about Converting Voltages and Currents to Other File Formats

Read more about Single-Step Test

Read more about How to Define a Test Procedure

Enable / Disable Network Design Mode

Combine two network elements e.g. probe and switch using the green line

Read more about Combine Probe and Circuit-Breaker

Erase combination (green line) of two network elements e.g. probe and switch

Read more about Combine Probe and Circuit-Breaker

Display Combinations

Display the green line to indicate the combination of a Probe and a Switch

A grid can be enabled in the background of the network graphics to support the user positioning the network elements.

Refresh the power network graphics without modifications

Read more about Zooming the Power Network Graphics

Read more about Zooming the Power Network Graphics

Zooming the power network graphics to the smallest zoom factor

Redraw CTRL + ALT + M

First redraw and after that move the network graphic to the top left of the graphics view

Check all network nodes to identify not connected nodes

Read more about How to Identify Not Connected Nodes

Display the Properties dialog of the selected network element

Current Zoom Factor or Fault Location of Line 1..3 in % of the line length, if the fault location will be changed using the mouse cursor and the red triangle.

The current sum of errors and warnings detected in the .LST-File or using Protection Elements will be displayed.

No errors and warnings detected

Only warnings detected

Errors and warnings detected

Set the nodes of all network elements visible or invisible

CTRL + ALT + G

Create a group containing all selected network elements (drawn in gray color)

Read also about Grouping Network Elements

CTRL + ALT + U

Delete a group containing all selected network elements (drawn in gray color)

Read also about Grouping Network Elements

Library CTRL + ALT + L

Open a Library of Network Elements

Copy to Network Library

Copy the selected network element into the Network Library

Read more in Overview about Libraries

Read more about Info about ATPDesigner


Toolbar for Network Elements

Read more about how to Customize Toolbars

The Network Element Toolbar supports the user to change the electrical and mechanical data of predefined network elements. The Network Element Toolbar can be enabled or disabled via the main menu item View . The figure below shows the Network Element Toolbar. The toolbar buttons will be enabled or disabled depending on the enabled view: if a network graphics or a diagram will be presented. The first toolbar shows the toolbar buttons which are enabled if the active view contains a network graphics.

The toolbar consists of toolbar buttons which are important for definition and usage of Zone and Version .

The next figure shows the toolbar button, which are enabled, if the active view shows a Diagram e.g. presenting phase currents and phase-to-ground voltages.

The dialog Network Infeed will be opened to define the data of the network infeed Network Infeed 1. The settings dialog to define the data of all other network infeed can be opened by a Left Mouse Button Double-Click only.

The dialog Harmonics will be opened to define the data of harmonic voltages connected in parallel to the source voltages of the network infeed Network Infeed 1.

etc.

The dialog Circuit-Breaker (3-Pole) or Circuit-Breaker (1-Pole) will be opened.

etc.

The dialog Current and Voltage Transformer will be opened to define the data of the voltage and current transformers of the substation. The yellow colored number indicates the number of the corresponding Measuring Location .

etc.

The dialog CT Saturation Characteristic will be opened to define the data of the magnetization characteristic of the current transformers of the substation. The yellow colored number indicates the number of the corresponding Measuring Location .

Select a Short-Circuit e.g. AG, BG, etc. as well for the calculation of the Short-Circuit Results as for the calculation of the transients of voltages and currents.

Enable the Short-Circuit and move the Short-Circuit Cursor to any node of the power network

Set the fault location of the Short-Circuit (read also the chapter Short-Circuit )

Remove the Short-Circuit from the power network.

The dialog Static Arc Faults and Dynamic Arc Faults will be opened to define the data of the static and dynamic arc fault which is assigned to a Fault Type and Fault Location . The yellow colored number indicates the number of the corresponding Fault Type and Fault Location . The Configuration of Arc Faults must be also taken into account as well as the Line Configuration about arc faults and fault impedances.

etc.

The dialog Fault Impedance will be opened to define the data of a fault impedance which is assigned to a Fault Type and Fault Location . The yellow colored number indicates the number of the corresponding Fault Type and Fault Location . The Configuration of Arc Faults must be also taken into account as well as the Line Configuration about arc faults and fault impedances.

If enabled the node names of the network element at the tip of the mouse cursor will be displayed in a tooltip (can be also enabled and disabled using F3)

If enabled the most important settings of the network element will be displayed in a tooltip at the tip of the mouse cursor.

Read also How to Show Settings at the Tip of the Mouse Cursor

Display User Text

The User Specific Text will be displayed in a tooltip if the mouse cursor has been moved "over" the shape of the network element. The User Specific Text will be not displayed if any other information will be displayed in a tooltip e.g. Short-Circuit Results or any results of the Protection Elements .

  • Please Note

The User Specific Text can be inserted using the button [image] which is part of the settings dialogs of the network element.

Open the MODELS file using the Internal MODELS Text Editor

Analyzing the MODELS file for MODEL..ENDMODEL, USE..ENDUSE, etc. to be displayed in a dialog

Read also Modifying MODELS File

Open the selected External .ATP-File or MODELS file using the external Text Editor

Read the DATA settings of the USE instance of the MODELS file, which are related to the selected Probe

Read also Change DATA Settings of USE instance

Read more about Selecting Voltages, Currents and Binary Signals

Read more about Diagram Diagram Scaling Factors

Diagram Curve Colors

The drawing colors of the signals e.g voltages or currents displayed in a Diagram can be changed.

Read more about Selecting Colors to Draw the Diagram Curves

The default values of the drawing colors for a Diagram will be loaded.

Read more about Selecting Colors to Draw the Diagram Curves

Enable diagram cursor for time measuring inside the diagram

Read more about Enable Diagram Cursor

Read more about Signal Analysis Results

Enable the zoom function for the diagram

Enable Automatic Y-Scaling 10^n

Read more about Diagram Settings

Read more about Vector Diagrams

Refresh the topmost diagram e.g. of voltages and currents

The assigned .PL4-File or .CFG-File ( COMTRADE ) will be reloaded and the diagram will be refreshed.

Read more about Diagram Cursor Snap Data Points

Read more about Signal Analysis Settings

Load the .PL4-File and create a Diagram


Toolbar for Network Design

Read more about how to Customize Toolbars

The Network Design Toolbar provides the user to design electrical power networks. The Network Design Toolbar can be enabled or disabled via the main menu item View or via the [image] button in the Main Toolbar . The figure below shows the Network Design Toolbar, if no network element had been selected. Selected network elements will be drawn in light gray color.

  • Please Note

At the right hand end of the toolbar the Time of the Trip Command e.g. T:300ms will be displayed after finalizing a Protection Analysis .

  • If one or more Circuit-Breaker and/or one or more Switch has been selected, the toolbar displayed below will be presented. The toolbar buttons [image] , [image] , [image] , [image] etc. to close or open the circuit-breaker are now enabled.

  • Please Note

Both the Circuit-Breaker or a Switch can be opened and closed via the toolbar buttons CL and OP if first selected by a Left Mouse Button Click.

  • Several network element e.g. Single-Circuit Lines , Double-Circuit Lines , Connections , Measuring Line or Cable can be used with a flexible shape or a fixed shape: The shape of the network element can be locked and unlocked. The Lock/Unlock - state of the network element will be indicated using the lock symbol [image] .

Read more about How to Lock / Unlock Network Elements

  • The network element Probe can be also used as Protection Element . The both toolbar elements at the end of the toolbar show protection related information.

    • Tripping Time

Displays the tripping time of the "fastest" protection element

    • Protection ON or OFF

The toolbar LED indicates if ALL protection functions of Probe and 3-Phase Source are enabled or disabled. The color of the LED will be changed using the toolbar button [image] or the menu item All Protection ON/OFF

      • GREEN = ALL Protection Elements are enabled.
      • RED = ALL Protection Elements are disabled.

Add a new Busbar

For Double Busbar only: Busbar feeder which are not connected to other network elements will be set visible or invisible

Add a new Network Infeed

Add a new Load Impedance

Select the shape of the Load Impedance

    • impedance symbol

or

    • arrow symbol

Enable or disable the grounding of the selected load impedance

Read more about Load Impedances

Add a new RLC Impedance

Add an new Transformer

Add an new BCTRAN Transformer

Add a new Autotransformer

Add a new Generator

Add a new Grounding System

Add a new Electrical Machine

Add a new Text Frame

Add a new Static Power Network Source

Add a new 3-Phase Symmetrical Source

Add a new Renewable Power Infeed

Add a new Empirical Function

Add a new External .ATP-File

Add a new Connection

Add a new Measuring Line

Add a new Probe

Open or close the Internal Switch of the Probe

Select the standard or the small shape of the Probe

The small shape of the Probe can be used to connected directly two feeder of a Double Busbar .

A a new Splitter

Add a new Single-Circuit Line or Double-Circuit Line

Enable or disable different line shapes for Single-Circuit Line as cable or as overhead line and Multi Line

  • dashed line shape : cable
  • solid line shape : overhead line

Add a new Multi-Circuit Line

Add a new Cable

Add a new TACS Data Card

Add a new Nonlinear Element

A a new Admittance Function Y(s) or Y(z)

Add a new Switch with normal shape size

Add a new Switch with small shape size

Close all selected Circuit-Breaker or Switch

Open all selected Circuit-Breaker or Switch

Open all Circuit-Breaker and Switch

Open all all Circuit-Breaker or Switch independent if they are selected or not

Close all Circuit-Breaker or Switch , if not disabled

  • Please Note

If a Circuit-Breaker or a Switch is disabled, they will be not closed or opened.

Read more How to Enable or Disable Network Elements

Add a new Circuit-Breaker (3-Pole) or Circuit-Breaker (1-Pole)

  • Please Note

Only circuit-breakers Cbx without an assigned measuring location Mx can be created using this button.

Add one of the predefined circuit-breakers Cb1..5

If the right-side arrow symbol will be pressed a menu will be displayed. The figure below shows an example for this menu. The circuit-breakers Cb3..5 are not used in the power network and can be enabled selecting the corresponding menu item. After selecting the menu item the circuit-breaker will be drawn in the center of the view. Then the circuit-breaker can be connected to any other network element.

  • Please Note

The circuit-breakers Cb1..5 are assigned with a measuring location M1..5.

Add one of the predefined lines Line 1..3

If the right-side arrow symbol will be pressed a menu will be displayed. The figure below shows an example for this menu. The lines 2 and 3 are not used in the power network and can be enabled selecting the corresponding menu item. After selecting the menu item the line will be drwan in the center of the view. Then the line can be connected to any other network element.

Delete all selected network elements

Deselect all selected network elements

How to Rotate a Network Element

How to Rotate a Network Element

How to Rotate a Network Element

Move the network element to the foreground

Move the network element to the background

Unlock / Lock

The shape of the network element can be locked (= fixed) and therefore the shape can be NOT modified. If the check mark is visible, the network element is locked, otherwise the network element is still unlocked.

Read more about How to Lock / Unlock Network Elements

Enable / Disable

The network element can be enabled or disabled

If the network element had been disabled, it will be drawn as part of the network using the Color for Disabled Network Elements, but it will be NOT taken into account during the network simulation processed by ATP.

Set Diagonal Shape

Toggles between the standard (horizontal / vertical) and the diagonal shape of lines, connections, etc.

Read more about How to Select Network Elements with a Frame


Toolbar for Short-Circuit and Protection

The figure below shows the toolbar to enable or disable the Short-Circuit Tooltips. The toolbar itself can be shown or hidden using the corresponding menu item of the main menu View .

  • Tooltip for Network Elements
    • Tooltip for Line
    • Tooltip for Busbar
    • Tooltip for Load Impedance
    • Tooltip for Probe
    • Tooltip for Circuit-Breaker
    • Tooltip for 3-Phase Source
    • Tooltip for Network Infeed
    • Tooltip for Transformer
    • Tooltip for Generator
    • Tooltip for Short-Circuit
    • Tooltip for Short-Circuit Power Calculation
    • Tooltip for Voltage Drop at Busbars

  • Toolbar Buttons to identify Protection Elements realized using a Probe by different drawing colors
    • Tooltip to display the results of the protection element analysis
    • Coloring Undirectional Overcurrent Protection
    • Coloring Directional Overcurrent Protection
    • Coloring Distance Protection
    • Coloring Fuse
    • Coloring Differential Protection
    • Coloring Ground Fault Protection
    • Coloring Measuring Devices

  • Enable or Disable All Tooltips

  • Tooltip for Protection Elements

Open a dialog to display only Protection Elements used in the power network

Probe: Protection On/Off

If a Probe has been selected the Protection Elements of the selected Probe can be enabled or disabled in one step. If disabled the results of the main and the backup protection e.g. tripping times will be not displayed in the network graphic.

Probe: Backup Protection On/Off

If a Probe has been selected the Protection Elements of the selected Probe will be processed . If disabled, the results of the backup protection will be not displayed in the network graphic.

All Protection On/Off

The Protection Elements of all Probe , 3-Phase Source and Line can be enabled or disabled. If disabled the results of the main and the backup protection e.g. tripping times will be not displayed in the network graphic.

All Backup Protection On/Off

The Protection Elements of all Probe , 3-Phase Source and Line will be processed. If disabled, the results of the backup protection will be not displayed in the network graphic.

  • Please Note

Read more about the content of the toolbar buttons in Right Mouse Button Menus for Short-Circuit Results .

Protection Analysis

A dialog can be opened to display the tripping characteristics of the protection elements including the results of the Short-Circuit Analysis e.g. the short-circuit current.

List of Protection Analysis Results

The results of the Protection Analysis of all Probe will be displayed in a spread sheet.

Read more in the chapter List of Protection Analysis Results

Freeze Protection Analysis Results

The results of the last Protection Analysis of all Probe will be stored (therefore called Freeze) to be used as initial values of the next Protection Analysis

Line Probe - Protection Analysis

Enable the line between all Probe and the corresponding frame displaying the Protection Analysis


Search Toolbar

Search Toolbar - Searching Network Elements

The Search Toolbar provides the user easily to search a network element by its name or a part of its name. The user specific name or the reference name (displayed in the header of the corresponding settings dialog) or the content or the part of the content of a Text Frame can be set into the edit control shown in the Search Toolbar below.

If the text to be searched are set into the edit control ATPDesigner starts to search the network element by a Left Mouse Button Click on this toolbar button. If found ATPDesigner automatically marks the network element by a double lined red frame and shifts the power network in order to have the found network element in the middle of the network view. The figure below shows an example.

  • Please Note

ATPDesigner also start to search the network element by the RETURN key.

ATPDesigner removes the double lined red frame.

ATPDesigner continues to search the next network element.


Status Bar

The figure below shows the Status Bar. The Status Bar can be enabled and disabled via the View menu item. The information presented in the Status Bar depends on the displayed network graphics or the feature which had been processed.

  • Please Note

The content of the Status Bar changes e.g.

    • if a Diagram will be presented.
    • if a Load Flow Analysis has been started.

Examples for different Status Bar contents:

  • Status Bar after calculation of transients

  • Status Bar after processing a Load Flow Analysis

  • Section 1

This section displays different information depending on the last user action:

    • Name of the selected network element
    • Description of the selected menu item

  • Section 2

If the option has been enabled, the voltage and current transformers of the substation are disabled and will be not used as part of the power network during the network simulation. The ratio of both ct's and vt's are automatically set to 1. Voltages and currents will be only calculated related to the secondary circuit of the substation ct's and vt's.

Read more about the corresponding Setting

CtVt +

The current and voltage transformers of the substation are enabled and will be used as part of the electric power network

CtVt -

The current and voltage transformers of the substation are disabled and will be used as part of the electric power network

Read more about the Status Bar in case of a Load Flow Analysis


Customize Toolbars

ATPDesigner provides the user to customize the toolbars using the standard Customization Dialog. The language used for some controls of the Customization Dialog depends on the language of the operating system, because this dialog is part of the common dialogs of the Windows OS. The figure below shows only the German version.

The Customization Dialog can be opened via the main menu Tools , sub menu Customize Toolbars or using the mouse cursor.

  • Move the mouse cursor "over" a toolbar
  • Open the context sensitive Right Mouse Button Menu

  • Select the menu item Customize ...


Overview About Hotkeys

F1 : Open this help File

F2 : Properties of a selected network element

F3 : Show all Node Names of the visible network elements in a tooltip, if the cursor will be moved "over" a network element

F4, F6, F7, F8, F9, ALT + F7, ALT + F8, ALT + F9 : Short-Circuit Analysis Results Displayed in Measurement Data Frames

F5 : Enable or Disable Network Elements

R

Rotate a network element clockwise

L

Rotate a network element anti-clockwise


CTRL + ...

CTRL + F12

Open the Find Protection Element dialog

CTRL + 4

Open the .PL4-File to create a Diagram

The .PL4-File will be calculated based on the settings of the electrical power network displayed in the topmost view.

CTRL + A

All network elements of the electrical power network will be selected.

CTRL + B

Write the .ATP-File

CTRL + C

  • If NO network element has been selected: Copy the graphics of the power network or a diagram to the clipboard

Read also Copy Graphics to Clipboard

  • If ONE network element has been selected: Prepare network element for Copy and Paste

Read also Copy and Paste Network Elements

CTRL + D

Dialog to define the Monitoring Ranges to monitor the binary input channels of CMCxxx test devices

CTRL + E

Starting the Steady State Network Calculation so called Short-Circuit Analysis Results and display the results using tooltips

CTRL + F

Find network elements and node names in the power network graphics

CTRL + G

Start the diagram viewer e.g. PCPlot to view the existing .PL4-File

CTRL + I

ATPDesigner calculates the power network impedance which depends on the current frequency of the power network.

Read more information in Power Network Impedance

CTRL + K

Start ATP to calculate currents and voltages and convert the content of the .PL4-File to the selected output format e.g. CMCxxx or COMTRADE

CTRL + L

Write the ATP LINE CONSTANTS file and start the ATP to calculate currents and voltages

CTRL + M

Start a Single-Step Test

CTRL + N

Create a new .NET-File based on the default settings

CTRL + O

Open an existing .NET-File e.g. from the hard disk

CTRL + P

Print the graphics view of the network

CTRL + R

ATPDesigner writes the .ATP-File and starts ATP to calculate currents and voltages

CTRL + S

Save .NET-File

CTRL + T

Dialog to define and execute Test Procedures

CTRL + U

Presenting the data of the last Protection Relaying Results

CTRL + V

Paste the last copied network element into the center of the graphics view

Read more about Copy and Paste Network Elements

CTRL + W

Enable / Disable Network Design Mode

CTRL + X

Start Browser for .NET-, .PL4- and COMTRADE-Files

CTRL + Z

Undo the last change of the power network


CTRL + F: Find Network Elements

Read more about Find Network Elements and Node Names in the Power Network Graphics


CTRL + Alt + ...

CTRL + 1

The length of a not connected Line will be shortened to 50% of the current line length.

CTRL + 2

The length of a not connected Line will be changed to 200% of the current line length.

CTRL + ALT + F Diagram Curve Colors

The drawing colors of the signals e.g voltages or currents displayed in a Diagram can be changed.

Read more about Selecting Colors to Draw the Diagram Curves

CTRL + ALT + C [image] Vnom Level

ATPDesigner identifies parts of the electrical power network using the same Voltage Level. The power network will be redrawn using a specific color for each new nominal voltage level, which has been identified.

CTRL + ALT + L

Open the dialog to create, load, save, ... a Library of Network Elements

CTRL + ALT + M

Redraw the network graphic and move the network graphic to the top left of the graphics view

CTRL + ALT + X

  • Delete all ATPDesigner related entries in the registry
  • Restore default state for all docking windows

CTRL + ALT + N

Open the .NET-file, which corresponds to the top most graphics view, in a text editor

CTRL + ALT + R

Refresh the top most diagram

See also Reseting or Refreshing Diagrams

CTRL + ALT + S

Open the signal list of voltages, currents, .. which can be used to create a diagram

Read also about Selecting Voltages, Currents and Binary Signals

CTRL + ALT + G

Create a group containing all selected network elements (drawn in gray color)

Read also about Grouping Network Elements

CTRL + ALT + U

Delete a group containing all selected network elements (drawn in gray color)

Read also about Grouping Network Elements

CTRL + ALT + P

Read more about Save Project in the main menu File .

CTRL + ALT + Z

Copies the content of a Tooltip if displayed into the clipboard


Shift + ...

Shift + B

Move the network element to the background

Shift + F

Move the network element to the foreground


CTRL + F1: Equipment Settings List

Equipment Settings List

The settings of the network elements can be displayed and changed using a report control (spread sheet).

Read more about Equipment Settings List


F2 : Properties

Read more about Properties of Network Elements

Read more about How to Select One or More Network Elements

If a network element has been selected e.g. by a Left Mouse Button Click , a dialog to present the Properties will be be opened.


F3 : Show Node Names

Read also How to Show the Node Names of Network Elements

Pressing F3 the node names of the network elements can be displayed in the graphics view. The node name of one node or all node names of a network element can be displayed in a tooltip also using the toolbar button [image] which can be found in the Toolbar for Network Elements .


F4, F6, F7, F8, F9; ALT+F7, + F8, +F9 : Short-Circuit Analyis Results

F4, F6, F7, F8, F9, ALT + F7, ALT+F8, ALT+F9 : Short-Circuit Analyis Results

The results of the Short-Circuit Analysis (ATP Steady State) can be displayed in the power network graphics using yellow tooltips.

Read more about Short-Circuit Analysis Results

Read more about Short-Circuit Analysis Results Displayed in Measurement Data Frames

Read more about Short-Circuit Analysis Results Displayed in a Tooltip Moving Cursor to Network Elements

Read more about Example: Displaying Short-Circuit Analysis Results in the Power Network Graphics

Read more about Example: Short-Circuit Analysis Results


F5 : Enable or Disable Network Elemen(s)

Read more about How to Enable or Disable Network Elements


Symbols for Diagrams of Power Networks

The figures shown below will be used to draw the diagrams of the electical network models used in ATPDesigner. All shapes will be drawn as single-phase elements, but represent 3-phase network elements.

  • Measuring Device

The shape below shows the graphical representation of a measuring device which will be used to measure voltages and currents. Such a measuring device will be always realized using a permamnently closed MEASURING SWITCH.

  • Circuit-Breaker

The shape below shows the representation of a circuit-breaker or switch.

  • Phase-to-Ground Resistance

The shape below shows the graphical representation of a resistance which will be used to connect isolated networks to ground. ATP requires such phase-to-ground resistances in order to avoid mathematical singularities during the process to invert the impedance matrix of the power network.

  • Shunt Reactance

The shape below shows the graphical representation of a shunt reactance.

  • Non-Linear Inductance

The shape below shows the graphical representation of a non-linear inductance which will be used e.g. to model the magnetisation characteristic of current transformers.

  • Ideal Transformer

The shape below shows the graphical representation of a ideal transformer which will be used as part of the power transformer or current transformer model.

  • Impedance

The shape below shows the graphical representation of a impedance which consists of R, L and C.

  • Resistance

The shape below shows the graphical representation of a resistance.

  • Inductance

The shape below shows the graphical representation of an inductance.

  • Capacitance

The shape below shows the graphical representation of a capacitance.

  • Network Infeed

The shape below shows the graphical representation of an 3-phase network source with 120 degree phase shift in between the 3 phase-to-ground voltages. The right-side figure shows the single-phase diagram of the network infeed.

Note:

The network infeed as shown above is solidly grounded.

  • Line with Fault Location

The shape below shows the graphical representation of a faulty line. The line is divided into two parts with a fault location in between.

The name of the node which will be used to simulate the fault is defined as follows:

    • for phase R or A: RKNFxx
    • for phase S or B: SKNFxx
    • for phase T or C: TKNFxx
    • with xx is the number of the line

  • TACS Control Device

The shape below shows the graphical representation of a TACS control device. TACS control devices can be used to simulate various elements as dividers, timers, etc. ATPDesigner uses the TACS control devices in combination with circuit-breakers to control the time dependent behavior of the circuit-breaker. The name of the TACS control device can be seen also.

The name of a TACS control device will be generated according the following rules.

3-Pole Circuit-Breaker

    • CB3xxx
    • with xxx is the number of the circuit-breaker

1-Pole Circuit-Breaker

    • for phase R or A: CBAxxx
    • for phase S or B: CBBxxx
    • for phase T or C: CBCxxx
    • with xxx is the number of the circuit-breaker


Default Network

The figure below shows the single-phase model of the Default Network and the corresponding graphics of ATPDesigner. The user can select the Default Network via two different methods:

  • Menu item New in Menu File
  • Toolbar button New in the Main Toolbar

  • Please Note
    • The first character of the name of the node names "X" must be replaced according the rules defined in the chapter Node Names in the ATP Control File .
    • Several 1015 Ohm resistances are used to connect nodes of the power network to ground, which are not connected to any other network element. It must be done to avoid singularities during the inversion of the impedance matrix which can be seen otherwise as "numerical oscillations" in the waveforms of currents and voltages. Such kind of isolated nodes will be called "floating subnetwork" if identified from ATP during runtime.


Fault Types Realised With Circuit-Breakers

The figure below shows the model of the Fault Types realised with TACS controlled switches. All fault types can be realised using these four circuit-breakers shown in the figure below. The measuring switch FKIE01 can be used to measure the current flowing from the neutral-point to ground in case of phase-to-ground faults. The three faults of the Lines 1..3 can be easily identified by the numbers 01, 02 and 03 at the end of the node names.

  • The 1015 Ohm resistance shall be used to connect not-connected nodes to ground. It shall be done to avoid singularities during the inversion of the impedance matrix which can be seen otherwise as "numerical oscillations" in the time dependent diagrams of currents and voltages.

  • The 10-15 Ohm resistance will be used to separate the TACS controlled switch between the nodes FKNE01 and FKNX01 and the MEASURING switch between the nodes FKIE01 and Ground. If both the TACS controlled switch and the MEASURING switch has been directly connected, ATP can not assign clearly the node FKIE01 to one of the both switches. Please note, that the node FKIE01 will be used to store the sampling values of the short-circuit current flowing to ground for phase-to-ground faults into the .PL4-File via the TACS section of the .ATP-File .


Faults With Additional Fault Impedances

The figure below shows the single-phase diagram of the realisation of the Fault Impedances in combination with Fault Types . The resistances RA, RB and RC can be set using the settings dialog Fault Impedance .

  • Please Note

Several 1015 Ohm resistances are used to connect nodes of the power network to ground. It must be done to avoid singularities during the inversion of the impedance matrix which can be seen otherwise as "numerical oscillations" in the time dependent diagrams of currents and voltages.


Power Network Infeed

The figure below shows the single-phase diagram of the Power Network Infeed . The model is based on ATP's mutual coupled RL-impedances. If the Decoupled model will be used, the series impedances are NOT mutual coupled (XQM = 0).

If the option Decoupled had been enabled:


Current Transformer

The figure below presents the electrical model of the Current Transformer (CT) used by ATPDesigner. This model of a CT represents one phase of the 3-phase CT.

Internal Input Node

Input node of the current transformer at primary circuit ( Read also Current and Voltage Transformer )

Xh

Non-linear inductance of the current transformer ( Read also Current and Voltage Transformer )

Zb

Burden impedance

For all other node names see Node Names for CT Saturation

  • Please Note

Several 1015 Ohm resistances are used to connect nodes of the power network to ground. It must be done to avoid singularities during the inversion of the impedance matrix which can be seen otherwise as "numerical oscillations" in the time dependent diagrams of currents and voltages.


Capacitive Voltage Transformer (CVT)

The figure below shows the electrical model of the Capacitive Voltage Transformer (CVT) which will be used in ATPDesigner. The model is presented as a single-phase diagram. The node names of the CVT which are used in the .ATP-File are displayed in red or blue color. The "x" will be replaced by the number 1..9 of the Measuring Location .


Model of Load Impedance

Read more about Configuration, Settings, etc. of Load Impedances

The first figure below shows the single-phase diagram Load Impedance , if the operation mode Serial Impedance had been choosen. The model of the load impedance is based on the RLC impedance of ATP. ATPDesigner implements load impedances using the high-precision $VINTAGE, 1 - format to increase the accuracy of the power network simulation. An example for the implementation of a load impedance is shown below, where the common star-point of the three serial impedances are solid grounded.

$VINTAGE, 1

R00006 1.15749037850E7 0.00000000000E0 0.00000000000E0

S00006 1.15749037850E7 0.00000000000E0 0.00000000000E0

T00006 1.15749037850E7 0.00000000000E0 0.00000000000E0

$VINTAGE, 0

The characters A, B, and C are the identification of the different phases of the 3-phase power network system. The character G identifies the ground system. The load impedance can be defined with a solid grounded star-point. In this case the switch, which can be seen in the diagram below is permanently closed.

The next figure shows the single-phase diagram, if the Operation Mode Serial Impedance (Single Phase) had been choosen.

The next figure shows the single-phase diagram, if the Operation Mode Parallel Impedance had been choosen.


Line Models

ATPDesigner uses several ATP based line models depending on the selected setting Line Model as part of the dialog Single-Circuit Line or Double-Circuit Line .

Single Line (RL)

Mutual coupled RL impedances

ATP-based model

Branch cards for mutually coupled RL elements, type 51, 52, 53,

3-phase continuously-transposed line, sequence settings

This line model can be used if the fundamental frequency of the line should be taken into consideration. The line length shall be shorter as 500km. It should be considered that this line model takes no capacitances into account. Therefore this line model shouldn't be used e.g. for isolated or Petersen-coil grounded power networks, but for solid grounded or impedance grounded networks with high short-circuit currents.

Single Line (RLC)

Distributed line model

ATP-based model

Branch cards for distributed-parameter elements, type -1, -2, -3

3-phase continuously-transposed line, sequence settings

The absolute values of the resistances, reactances and capacitances which are defined in the dialog will be divided by the length of the line. The resulting values are used as settings for the ATP based line model. This line model should be used, if higher frequencies should be taken into consideration. All types of power networks can be simulated especially isolated or Petersen-coil grounded power networks.

Single Line (RLC-PI)

PI-representation of the line

ATP-based model

Branch cards for mutually coupled RLC elements, type 1, 2, 3

Decoupled RL

Line model based on three concentrated RLC series impedances without mutual coupling between the lines

ATP-based model

Branch cards for uncoupled, lumped series RLC branches, type 0

This line model should be used, if neither the mutual coupling nor capacitances shouldn't be taken into consideration. It can be also used if 3-phase, symmetrical RLC-impedances are of interest.

Double Line

Single- or Double-Circuit Line based on the geometrical and electrical data of the overhead line

The settings of the double line will be defined in the dialog Double-Circuit Line .

ATP-based model

Branch cards for distributed-parameter elements, type -1, -2, -3

The settings of the double-circuit line will be calculated by ATP automatically during a LINE CONSTANTS pre-processing. Therefore ATPDesigner starts ATP twice if at least one double-circuit line had been used in the power network. During the first execution of ATP, the parameter of the line model will be calculated and saved in a .PCH-File. ATPDesigner writes one or more corresponding $INCLUDE commands into the main .ATP-File .

  • Example for the .ATP-File

  • Example for the .PCH-File


Model of a Splitter

Read more about Splitter

ATPDesigner provides the user with a Splitter, which can be used to split one 3-phase node to 3x 1-phase node. This operation mode of the Splitter will be called 3-Phase Splitting. The figure below shows .NET - File 33 : How to connect 2x 3-phase nodes using 2x Splitter and 3x 1-phase Connection . It is very important to understand, that each of the 3 Connections used to connect the 1-phase nodes of the both Splitter must be set to Single-Phase with Only Phase A Enabled, independent if phase A, B or C of the both Splitter will be connected. The figure below shows the settings dialog of one of the 1-phase Splitter .

Internal model of a Splitter, drawing direction RIGHT

The both figures below show the structure of the internal ATP based model used from ATPDesigner to implement the Splitter. Please note, that the Splitter can be set to display the phase identifiers "A", "B" and "C" near the position of the nodes in the graphics view. Read more about this feature in Splitter . ATPDesigner uses 4x 3-phase nodes to identify the 4 nodes of the Splitter, independent if the node will be used as a 3-phase or a 1-phase node in the electrical power network. It can be seen that ATPDesigner always uses the phase identifier R (= A) internally for the 1-phase nodes, independent if it is phase A, B or C of the Splitter. The nodes S (= B) and T (= C) will be not further used in the electrical power network. Therefore, the Connection used to connect the 1-phase nodes of the both Splitter must be set as explained above.


Probe and Switch in Series

The internal, ATP based model of the network element Probe , which can be used to measure voltage, current and power, consists of a MEASURING SWITCH. If a Probe and a Switch are connected in series, ATP can not assign the TACS control signals to the both network elements, because both network elements are sharing one node name. The figures below show the corresponding error messages presented by ATPDesigner and the ATP.

To avoid this error it is required to decouple the both MEASURING SWITCH internally using a low-impedance series resistance. The figure below shows the internal model.


Model of an Electrical Machine

The figure below presents the equivalent circuit of the Electrical Machine for one phase.

s

Initial slip (>0 for power consumption, <0 for power generation)

Rs

Stator winding resistance

Xs

Stator winding leackage reactance

Rr

Rotor winding resistance

Xr

Rotor winding leackage reactance

Msru

Unsaturated value of mutual reactance

  • Please Note

The positive flowing direction of the phase current is defined as shown in the figure above.


Yyn0-Transformer

Read more about Transformer

Node Names

The node names of both windings A and B (Phase A, B, C and G) will be created automatically ( Node Names ).

Node NIGxxx

The node NIGxxx (xxx = number of the transformer) will be used to measure the primary current flowing through the neutral-point of the corresponding winding to ground.

Node NVGxxx

The node NVGxxx (xxx = number of the transformer) will be used to measure the primary neutral-point-to-ground voltage VNG of the corresponding winding.

Neutral-Point of Winding A

As an option the neutral-point of winding A can be connected to single-phase network elements ( 2nd Star Point for YY-Transformers ). In this case the node name of the neutral-point will be created automatically by ATPDesigner. If the neutral-point is disabled, the node name will be automatically set to NHVxxx (xxx = number of the transformer).

Neutral-Point of Winding B

The neutral-point of winding B can not be connected to external network elements, but typical neutral-point connections can be chosen using the dialog to define the Transformer . The node name of the neutral-point will be automatically set as described in the diagram shown below.


Dd0-Transformer

Read more about Transformer

Node Names

The node names of both windings A and B (Phase A, B, C and G) will be created automatically ( Node Names ).


YNd11-Transformer

Read more about Transformer

Node Names

The node names of both windings A and B (Phase A, B, C and G) will be created automatically ( Node Names ).

Node NIGxxx

The node NIGxxx (xxx = number of the transformer) will be used to measure the primary current flowing through the neutral-point of the corresponding winding to ground.

Node NVGxxx

The node NVGxxx (xxx = number of the transformer) will be used to measure the primary neutral-point-to-ground voltage VNG of the corresponding winding.

Neutral-Point of Winding A

The neutral-point of the winding can not be connected to external network elements, but typical neutral-point connections e.g. isolated or solid grouned neutral-points can be choosen using the dialog to define the Transformer . In addition a circuit-breaker can be configured connected between the neutral-point of the transformer and ground. The node name of the neutral-point will be automatically set as described in the diagram shown below.


YNd5-Transformer

Read more about Transformer

Node Names

The node names of both windings A and B (Phase A, B, C and G) will be created automatically ( Node Names ).

Node NIGxxx

The node NIGxxx (xxx = number of the transformer) will be used to measure the primary current flowing through the neutral-point of the corresponding winding to ground.

Node NVGxxx

The node NVGxxx (xxx = number of the transformer) will be used to measure the primary neutral-point-to-ground voltage VNG of the corresponding winding.

Neutral-Point of Winding A

The neutral-point of the winding can not be connected to external network elements, but typical neutral-point connections e.g. isolated or solid grouned neutral-points can be choosen using the dialog to define the Transformer . In addition a circuit-breaker can be configured connected between the neutral-point of the transformer and ground. The node name of the neutral-point will be automatically set as described in the diagram shown below.


Dyn11-Transformer

Read more about Transformer

Node Names

The node names of both windings A and B (Phase A, B, C and G) will be created automatically ( Node Names ).

Node NIGxxx

The node NIGxxx (xxx = number of the transformer) will be used to measure the primary current flowing through the neutral-point of the corresponding winding to ground.

Node NVGxxx

The node NVGxxx (xxx = number of the transformer) will be used to measure the primary neutral-point-to-ground voltage VNG of the corresponding winding.

Neutral-Point of Winding B

The neutral-point of the winding can not be connected to external network elements, but typical neutral-point connections e.g. isolated or solid grouned neutral-points can be choosen using the dialog to define the Transformer . In addition a circuit-breaker can be configured connected between the neutral-point of the transformer and ground. The node name of the neutral-point will be automatically set as described in the diagram shown below.


Arc Faults and Arc Resistances

The figure below shows the modelling rules of Arc Faults using Arc Resistances. The table shows for each fault type which Arc Resistance will be used to realise the Arc Fault.

Example: Fault Type ABG with Arc Resistance

ATPDesigner uses the Arc Resistances between AG (phase A to ground) and BG (phase B to ground).


Arc Resistance for a Static Arc Fault

Read more about Arc Faults

The figure below shows the simple Model of the Arc. The settings are explained in the chapter Static Arc Faults . What is the basic idea of this model ? It will be assumed that the arc voltage is a rectangular voltage in phase with the short-circuit current flowing through the arc at the fault location. Therefore the arc voltage can be modeled as a small resistance but the voltage drop will be limited if the peak value of the voltage drop has been exceeded the value Varc peak. The arc voltage can be easily modeled using the ATP based model TYPE 92 Multiphase, Piecewise-Linear Resistance with Flashover. The flashover voltage will be disabled. The piecewise-linear resistance will be defined using two lines as shown in the figure below.

Specification of the characteristic of the arc voltage.

For arc faults phase-ground:

  • Varc peak = (Vnom ⋅ varc) ⋅ √2/√3) ⋅ varc with varc [p.u.] = Varc / 100%

For arc faults phase-phase:

  • Varc peak = (Vnom ⋅ varc) ⋅ √2) ⋅ varc with varc [p.u.] = Varc / 100%

For al types of arc faults:

  • Iarc peak = Varc peak / 100kOhm

A small gradient of the arc voltage limitation is required to avoid numerical oscillations.

  • Please Note

The Static Arc Fault can be only used if transients will be calculated using the ATP.

The diagram below shows the phase-to-ground voltage vAG(t) in case of an arc. It can be seen that the phase-to-ground voltage consists of two parts: a rectangular voltage and a sinusoidal voltage, both voltages are in phase.


Warnings

Before starting the ATP executable file, ATPDesigner checks the structure of the power network. The figure above shows the message box presenting the results, if one or more of the test procedures have been failed.

... isolated network element(s) found

Isolated network elements are not connected with any other network element of the power network.

... self connected network element(s) found

These network elements are connected to themselves e.g. Lines

... failed node name(s) found

The node names are not according the internal rules

Read more about Node Names

... not connected node(s) of network element(s) found

Nodes of network elements are not connected but should be connected.

... invalid busbar nodes found

Nodes of one or more busbars are not according the internal rules

... disabled network element(s) found

Read more about How to Disable or Enable Network Elements

ATPDesigner checks the .LST-File for errors, if the network simulation has been finalised and a .LST-File could be read. Now ATPDesigner presents first an error statistics, before each error comment will be shown in message boxes. The user can now decide to continue and to read all error and warning messages in detail or to cancel. The figure above shows this message.

Two network elements e.g. Probes are using the same node of the electrical power network in their 90- or 91-TACS interface. This may cause a problem during the network simulation process and ATP may be stopped with an error message. The user specific names and the reference names of the both network elements are displayed in the message displayed above. Please use the FIND dialog to identify both network elements.

  • Please Note

This problem will be typically caused, if two Probes are connected to the same Busbar in the configuration as shown in the figure below.

ATPDesigner calculates the Minimum Travel Time of all lines of the power network, which are specified based on the distributed parameter line model (e.g. Single Line (RLC)). If the minimum travel time is less than the Internal Sampling Rate , ATP will be NOT able to process the simulation. To avoid this ATPDesigner calculates the best internal sampling rate. The external sampling rate DT of the .PL4-File keeps unchanged, only the internal parameter STEP will be recalculated.

Read more about DT and Step in the settings dialog ATP Data

Read more about Lines and Line Models


Error Messages

A Load Impedance will be used to calculate the consumption of electrical energy for a 15min time period of the year. ATPDesigner can not read the file, which contains the data of the selected load profile. These files should be saved in the current working directory of ATPDesigner e.g. the folder where the file ATPDesigner.exe has been saved during setup.

  • Check if the files containing the data of the load profile are saved in the Current Working Directory of ATPDesigner.

The user has enabled one or both of the options R = Re [ DFT (V, I) ] and/or X = Im [ DFT (V, I) ] in the ATP Data settings dialog AND an External .ATP-File , which contains a MODELS Sequence (Content of the File : MODELS only), has been used in the .NET-File . If both are used ATPDesigner writes two MODELS sequences into the .NET-File , which causes an error.

  • Disable both options R and X in the ATP Data settings dialog or disable the External .ATP-File .

The network element has been configured as a SINGLE-PHASE network element, but the user has forgotten to enable one or more of the phases A, B or C.

  • Open the settings dialog of the corresponding network element e.g. via left mouse button double-click on the network element shape and disable the single-phase option or enable one or more of the phases A, B or C.

The power network consists of one or more single-circuit or double-circuit lines based on ATP line model "Branch cards for distributed-parameter elements". ATP checks one important parameter before calculating voltages an currents: the frequency of traveling waves. The internal time step during the network simulation must be small enough to be able to calculate the traveling wave with the highest frequency. The traveling wave frequency depends of the line parameters and therefore of the length of the line. It can be assumed for real power networks, that the shortest line in the network determines the highest travelling wave frequency.

  • ATPDesigner checks the .LST-File which will be produced from ATP during the simulation. The user should now increase the setting Step which can be found in the dialog ATP Data . The required number of steps depends on the parameter of the line and other settings e.g. transposition schemes or short-circuit locations. Therefore the user must identify the best Step setting "playing" with the value e.g. increasing step by step and repeating the simulation, until ATPDesigner displays no longer the error message.

Read more about Line Models used in ATPDesigner

The .ATP - File doesn't contain any output signal e.g. currents or voltages. But minimum one output signal must be defined.

  • One or more output signal should be defined.

Read more about Output Signals

The format of one analogue data channel of the COMTRADE .CFG-File corresponds not with the COMTRADE IEC 60255-24 standard.

  • The format of the .CFG-File should be checked.

Read more about Support of COMTRADE Files

The format of one binary data channel of the COMTRADE .CFG-File corresponds not with the COMTRADE IEC 60255-24 standard.

  • The format of the .CFG-File should be checked.

Read more about Support of COMTRADE Files

The software interface DLL CMEngine to connect the CMC Test System of Omicron could not be loaded.

  • The CMEngine DLL should must be installed first.

Read more about PC Equipment and Support of Omicron's CMC Test System

The DATA folder could not be found on the hard disk. Instead the current working folder of ATPDesigner will be used as DATA folder.

  • The DATA folder should be defined.
  • The Program Settings should be reassigned to the current DATA folder.

ATPDesigner tries to start the ATP executable file e.g. TPBIGG.EXE (ATP main module), but could not find this exe file in the ATP System folder. The default value of the ATP System folder is C:\ATPDesigner\ATPSystem. Maybe that the name of the ATP executable file defined in the Program Settings dialog is NOT identical with the file saved in the folder ATPSystem.

  • The ATP System folder should be pointed to the folder of the ATP runtime system (see settings of the Program Settings dialog).
  • The file name of the ATP executable file must be identical to the file name defined in the Program Settings Dialog.

ATPDesigner tries to start the ATP executable file (ATP main module) and to process the .ATP-File . The ATP executable file file must be saved in the ATP System folder. If ATPDesigner could not find the ATP executable file ATP can not be started and the .ATP-File can not be processed. Therefore the resulting .LST-File can not be found to check on errors. For ATPDesigner Release < V 1.5.0: Maybe that the environment variable GNUDIR points NOT to the ATP System directory.

  • For ATPDesigner Release < V 1.5.0: The environment variable GNUDIR should be reassigned to the ATP System folder.
  • The file name of the ATP executable file must be identical to the file name defined in the Program Settings Dialog.

  • Please Note

If a really critical error has been "created" in the .ATP-File using ATPDesigner, it may be that ATP can not process the .ATP-File and therefore can not write the corresponding .LST-File. If the solutions described above could not solve the problems, please contact the author of ATPDesigner via e-mail.

ATPDesigner could not load the .INI-File from the Working Directory during startup.

  • ATPDesigner writes a new .INI-File into the working folder. Please be carefully, some settings e.g. the COMTRADE Equations will be lost.

ATPDesigner identifies N = 5 nodes of network elements (not busbars !!!), which are not connected to other network elements. This may be correct from the users point of view, but this can cause problems solving the differential equation system called numerical oscillations.

  • The not connected nodes should be connected to ground using resistances e.g. 10kOhm .. 1MOhm. Load Impedances can be easily used.s

One or more nodes of the network element, which should be rotated, is still connected to other network elements.

  • The network element must be disconnected first before rotating.

ATPDesigner is only able to manage a limited number of the different network elements. The error message shown in the message box above indicates, that the user wants to copy an existing network element, but its maximum number has been achieved. Please note, that this maximum number depends on the ATPDesigner releases e.g. the Evaluation Version.

The magnetization current IL is to small compared with the magnetization losses of the iron core PL.

  • Increase the magnetization current IL or decrease the magnetization losses of the iron core PL


.NET-Files
         Vorheriges Thema

These .NET-Files are saved in the folder DATA .

  • .NET - File 1: Small power network to supply a city with electrical energy
  • .NET - File 2: Line Fault ABCG at 100% if the line length
  • .NET - File 3: Substation with two 110/20kV - Transformers in parallel
  • .NET - File 4: Transport of electrical energy using an untransposed Double-Circuit Line
  • .NET - File 5: Double-circuit line with ABCG fault at the end of the line
  • .NET - File 6: Short-circuit ABCG in a 110/20kV - substation at 20kV-level
  • .NET - File 7: Petersen-Coil grounded 110kV-Network
  • .NET - File 8: Measuring the Positive-Sequence Impedance of a 2-Winding Yyn0 Transformer
  • .NET - File 9: 3-Phase voltage source using 3x 1-phase Empirical Function

.TXT - File 9: Sampled values for Empirical Functions (.NET - File 9)

  • .NET - File 10: Power network with 2-winding BCTRAN transformer (ATP Rule Book XIX-C)
  • .NET - File 11: Isolated or compensated power network with 2-winding BCTRAN transformer
  • .NET - File 12: Load Impedance as External .ATP-File (Type B, BRANCH cards only)

.EXT - File 12: Load Impedance as BRANCH card (.NET - File 12): LoadImpedance.ext

  • .NET - File 13: Splitter to realize a neutral point to connect a 1-phase network element
  • .NET - File 14: Splitter to connect a 1-phase ATP source (voltage or current source) to a 3-phase power network
  • .NET - File 15: Splitter to connect an Empirical Function to a 3-phase power network

.TXT - File 15: Sampled values for Empirical Functions (.NET - File 15)

  • .NET - File 16: Splitter to connect 3 1-phase network elements to a 3-phase power network
  • .NET - File 17: 3-Phase underground cable using CABLE PARAMETERS simulating a fault AG in a 110kV-network
  • .NET - File 18: TACS controlled 3-phase voltage source using a TACS Data Card
  • .NET - File 19: Measuring the power network frequency and other network specific data using a TACS Data Card
  • .NET - File 20: Measuring the Short-Circuit Impedance of a XFORMER transformer
  • .NET - File 21: Measuring the Excitation Data of a XFORMER transformer
  • .NET - File 22: Shunt impedance which consists of 2 connectable "electrical" nodes realised by External .ATP-File

.EXT - File 22: Load Impedance as BRANCH card (.NET - File 22): Shunt2Nodes.ext

  • .NET - File 23: Short-Circuit CG in a 380kV-Network connected to a 110kV- and 30kV-network using a 3-winding transformer (BCTRAN)
  • .NET - File 24: Speed control of a 400MVA generator
  • .NET - File 25: 3-phase, 2-winding transformer with low homopolar reluctance using SATURABLE TRANSFORMER
  • .NET - File 26: High-order rational admittance function with bitmaps: RLC equivalent circuit, phase currents measured by a probe
  • .NET - File 27: Measuring the Short-Circuit Impedance of a SATURABLE transformer
  • .NET - File 28: How to execute complete ATP-Files which are written independent of ATPDesigner using the network element External .ATP-File
  • .NET - File 29: 20kV-Network with wind-power plant infeed modeled using the network element Multi Frequency Source (MFS)
  • .NET - File 30: 1-Phase circuit: Charging a RC-circuit (Type 11 Source, Time Controlled Switch, Probe)
  • .NET - File 31: Rectifier circuit presented during the EEUG Course 2006 using Nonlinear Element: Type 99 Pseudo Nonlinear R (dioden.dat)
  • .NET - File 32: Rectifier circuit presented during the EEUG Course 2006 using Switch: Type 11 Switch (diodesw.dat)
  • .NET - File 33: Splitting a 3-phase overhead line using Splitter and Connections to simulate phase failures.
  • .NET - File 34: Transposition scheme of an overhead line using 2 Splitters and 3 Connections
  • .NET - File 35: Calculation of the Power Network Impedance of a RLC-Series Impedance
  • .NET - File 36: 3-phase voltage source with variable frequency implemented in MODELS , connected to the power network using ATP Source Type 60
  • .NET - File 37: Earthfault Detection in Peterson Coil Grounded Power Networks using the Pulse Detection Method
  • .NET - File 38: Directional Overcurrent Protection in a small power network
  • .NET - File 39: Calculation and analysis of power swing phenomena of a Generator using a MODELS file
  • .NET - File 40: Overexcitation of a 110/0.1kV voltage transformer using XFORMER and Nonlinear Elements
  • .NET - File 41: Interconnection between TACS , TACS Connection , TACS Splitter
  • .NET - File 42: Power network with two power plants (S.M. 59) and speed control to simulate network stability transients
  • .NET - File 43: TYPE 56 Phase-Domain Machine Model in a power network using the EXTERNAL .ATP-File
  • .NET - File 44: Model of an Electrical Machine used in a power network
  • .NET - File 45: Power network using Multi-Circuit Line to simulate 16 ⋅ 0.4kV untransposed lines
  • .NET - File 46: Power network using Additional Nodes for Single-Circuit Lines
  • .NET - File 47: WYE-connected load based on three single Load Impedances, Splitter, Busbars and Probes
  • .NET - File 48: DELTA-connected load based on three single Load Impedances, Splitter, Busbars and Probes
  • .NET - File 49: Simulating Protection Schemes using MODELS to implement the algorithms

Protection.mod: MODELS data for a simple OC Protection Relay

  • .NET - File 50: EMTP Load Flow
  • .NET - File 51: 1-Phase and 2-Phase Power Network coupled using a 1-Phase Saturable Transformer and a 2-Phase Splitter
  • .NET - File 52: Calculation of Symmetrical Components in Zero/Positive/Negative Sequence System using MODELS
  • .NET - File 53: Clarke-Transformation using MODELS
  • .NET - File 54: Protection Relay PTOC based on MODELS
  • .NET - File 55: Heideler Model to simulate a lightning strike (flash) in combination with Cables
  • .NET - File 56: 20kV-Network with Wind Farm ( Renewable Power Infeed RPI ) and Distance Protection (Probe)
  • .NET - File 57: Floating 1-phase voltage source using ATP Source with two nodes
  • .NET - File 58: Calculating the longitudinal voltage of a Switch using TACS
  • .NET - File 59: Calculating the longitudinal voltage of a Switch using a Probe
  • .NET - File 60: Using the protection element Fuse with and without an arc resistance model
  • .NET - File 61: Windfarm based on several instances of the Renewable Power Infeed with battery
  • .NET - File 62: Distance Protection and Protective Signaling
  • .NET - File 63: Short-circuit with a Static Arc Fault in a 20kV-Network
  • .NET - File 64: Synchronous generator (S.M.59) with speed control and voltage control based on MODELS
  • .NET - File 65: Windfarm with 11 Renewable Power Infeed and RPI Control System at Probe P1
  • .NET - File 66: 20kV-Netzwork with Wind Farm ( Renewable Power Infeed ) and Load Impedance
  • .NET - File 67: Simple power network to simulate CT Saturation
  • .NET - File 68: Using Directional Overcurrent in a 20kV-power network
  • .NET - File 69: Multiple Protection Elements operate the same switch using an OR Logic implemented in TACS
  • .NET - File 70: Multiple Protection Elements operate the same switch using an AND Logic implemented in TACS

  • Creating a Diagram from a Text File

Text files can be also used to create a Diagram .

    • Open the text file via File + Open , file extension .TXT-File
    • Select one or more signals COLx in the dialog Selecting Voltages, Currents and Binary Signals

  • Please Note

If a text file will be opened in the File Browser , the text file will be displayed in the Standard Text Editor .